"use strict";var React=require("react"),_typeof=require("@babel/runtime/helpers/esm/typeof");function _interopNamespaceDefault(e){var n=Object.create(null);return e&&Object.keys(e).forEach(function(k){if("default"!==k){var d=Object.getOwnPropertyDescriptor(e,k);Object.defineProperty(n,k,d.get?d:{enumerable:!0,get:function(){return e[k];}});}}),n.default=e,Object.freeze(n);}var React__namespace=_interopNamespaceDefault(React);function getAlignment(placement){return placement.split("-")[1];}function getLengthFromAxis(axis){return"y"===axis?"height":"width";}function getSide(placement){return placement.split("-")[0];}function getMainAxisFromPlacement(placement){return["top","bottom"].includes(getSide(placement))?"x":"y";}function computeCoordsFromPlacement(_ref,placement,rtl){let{reference:reference,floating:floating}=_ref;const commonX=reference.x+reference.width/2-floating.width/2,commonY=reference.y+reference.height/2-floating.height/2,mainAxis=getMainAxisFromPlacement(placement),length=getLengthFromAxis(mainAxis),commonAlign=reference[length]/2-floating[length]/2,isVertical="x"===mainAxis;let coords;switch(getSide(placement)){case"top":coords={x:commonX,y:reference.y-floating.height};break;case"bottom":coords={x:commonX,y:reference.y+reference.height};break;case"right":coords={x:reference.x+reference.width,y:commonY};break;case"left":coords={x:reference.x-floating.width,y:commonY};break;default:coords={x:reference.x,y:reference.y};}switch(getAlignment(placement)){case"start":coords[mainAxis]-=commonAlign*(rtl&&isVertical?-1:1);break;case"end":coords[mainAxis]+=commonAlign*(rtl&&isVertical?-1:1);}return coords;}function evaluate(value,param){return"function"==typeof value?value(param):value;}function rectToClientRect(rect){return{...rect,top:rect.y,left:rect.x,right:rect.x+rect.width,bottom:rect.y+rect.height};}async function detectOverflow(state,options){var _await$platform$isEle;void 0===options&&(options={});const{x:x,y:y,platform:platform,rects:rects,elements:elements,strategy:strategy}=state,{boundary="clippingAncestors",rootBoundary="viewport",elementContext="floating",altBoundary=!1,padding=0}=evaluate(options,state),paddingObject=function(padding){return"number"!=typeof padding?function(padding){return{top:0,right:0,bottom:0,left:0,...padding};}(padding):{top:padding,right:padding,bottom:padding,left:padding};}(padding),element=elements[altBoundary?"floating"===elementContext?"reference":"floating":elementContext],clippingClientRect=rectToClientRect(await platform.getClippingRect({element:null==(_await$platform$isEle=await(null==platform.isElement?void 0:platform.isElement(element)))||_await$platform$isEle?element:element.contextElement||(await(null==platform.getDocumentElement?void 0:platform.getDocumentElement(elements.floating))),boundary:boundary,rootBoundary:rootBoundary,strategy:strategy})),rect="floating"===elementContext?{...rects.floating,x:x,y:y}:rects.reference,offsetParent=await(null==platform.getOffsetParent?void 0:platform.getOffsetParent(elements.floating)),offsetScale=(await(null==platform.isElement?void 0:platform.isElement(offsetParent)))&&(await(null==platform.getScale?void 0:platform.getScale(offsetParent)))||{x:1,y:1},elementClientRect=rectToClientRect(platform.convertOffsetParentRelativeRectToViewportRelativeRect?await platform.convertOffsetParentRelativeRectToViewportRelativeRect({rect:rect,offsetParent:offsetParent,strategy:strategy}):rect);return{top:(clippingClientRect.top-elementClientRect.top+paddingObject.top)/offsetScale.y,bottom:(elementClientRect.bottom-clippingClientRect.bottom+paddingObject.bottom)/offsetScale.y,left:(clippingClientRect.left-elementClientRect.left+paddingObject.left)/offsetScale.x,right:(elementClientRect.right-clippingClientRect.right+paddingObject.right)/offsetScale.x};}const min$3=Math.min,max$2=Math.max;function within(min$1,value,max$1){return max$2(min$1,min$3(value,max$1));}const oppositeSideMap={left:"right",right:"left",bottom:"top",top:"bottom"};function getOppositePlacement(placement){return placement.replace(/left|right|bottom|top/g,side=>oppositeSideMap[side]);}const oppositeAlignmentMap={start:"end",end:"start"};function getOppositeAlignmentPlacement(placement){return placement.replace(/start|end/g,alignment=>oppositeAlignmentMap[alignment]);}const flip=function(options){return void 0===options&&(options={}),{name:"flip",options:options,async fn(state){var _middlewareData$flip;const{placement:placement,middlewareData:middlewareData,rects:rects,initialPlacement:initialPlacement,platform:platform,elements:elements}=state,{mainAxis:checkMainAxis=!0,crossAxis:checkCrossAxis=!0,fallbackPlacements:specifiedFallbackPlacements,fallbackStrategy="bestFit",fallbackAxisSideDirection="none",flipAlignment=!0,...detectOverflowOptions}=evaluate(options,state),side=getSide(placement),isBasePlacement=getSide(initialPlacement)===initialPlacement,rtl=await(null==platform.isRTL?void 0:platform.isRTL(elements.floating)),fallbackPlacements=specifiedFallbackPlacements||(isBasePlacement||!flipAlignment?[getOppositePlacement(initialPlacement)]:function(placement){const oppositePlacement=getOppositePlacement(placement);return[getOppositeAlignmentPlacement(placement),oppositePlacement,getOppositeAlignmentPlacement(oppositePlacement)];}(initialPlacement));specifiedFallbackPlacements||"none"===fallbackAxisSideDirection||fallbackPlacements.push(...function(placement,flipAlignment,direction,rtl){const alignment=getAlignment(placement);let list=function(side,isStart,rtl){const lr=["left","right"],rl=["right","left"],tb=["top","bottom"],bt=["bottom","top"];switch(side){case"top":case"bottom":return rtl?isStart?rl:lr:isStart?lr:rl;case"left":case"right":return isStart?tb:bt;default:return[];}}(getSide(placement),"start"===direction,rtl);return alignment&&(list=list.map(side=>side+"-"+alignment),flipAlignment&&(list=list.concat(list.map(getOppositeAlignmentPlacement)))),list;}(initialPlacement,flipAlignment,fallbackAxisSideDirection,rtl));const placements=[initialPlacement,...fallbackPlacements],overflow=await detectOverflow(state,detectOverflowOptions),overflows=[];let overflowsData=(null==(_middlewareData$flip=middlewareData.flip)?void 0:_middlewareData$flip.overflows)||[];if(checkMainAxis&&overflows.push(overflow[side]),checkCrossAxis){const{main:main,cross:cross}=function(placement,rects,rtl){void 0===rtl&&(rtl=!1);const alignment=getAlignment(placement),mainAxis=getMainAxisFromPlacement(placement),length=getLengthFromAxis(mainAxis);let mainAlignmentSide="x"===mainAxis?alignment===(rtl?"end":"start")?"right":"left":"start"===alignment?"bottom":"top";return rects.reference[length]>rects.floating[length]&&(mainAlignmentSide=getOppositePlacement(mainAlignmentSide)),{main:mainAlignmentSide,cross:getOppositePlacement(mainAlignmentSide)};}(placement,rects,rtl);overflows.push(overflow[main],overflow[cross]);}if(overflowsData=[...overflowsData,{placement:placement,overflows:overflows}],!overflows.every(side=>side<=0)){var _middlewareData$flip2,_overflowsData$filter;const nextIndex=((null==(_middlewareData$flip2=middlewareData.flip)?void 0:_middlewareData$flip2.index)||0)+1,nextPlacement=placements[nextIndex];if(nextPlacement)return{data:{index:nextIndex,overflows:overflowsData},reset:{placement:nextPlacement}};let resetPlacement=null==(_overflowsData$filter=overflowsData.filter(d=>d.overflows[0]<=0).sort((a,b)=>a.overflows[1]-b.overflows[1])[0])?void 0:_overflowsData$filter.placement;if(!resetPlacement)switch(fallbackStrategy){case"bestFit":{var _overflowsData$map$so;const placement=null==(_overflowsData$map$so=overflowsData.map(d=>[d.placement,d.overflows.filter(overflow=>overflow>0).reduce((acc,overflow)=>acc+overflow,0)]).sort((a,b)=>a[1]-b[1])[0])?void 0:_overflowsData$map$so[0];placement&&(resetPlacement=placement);break;}case"initialPlacement":resetPlacement=initialPlacement;}if(placement!==resetPlacement)return{reset:{placement:resetPlacement}};}return{};}};};const offset=function(options){return void 0===options&&(options=0),{name:"offset",options:options,async fn(state){const{x:x,y:y}=state,diffCoords=await async function(state,options){const{placement:placement,platform:platform,elements:elements}=state,rtl=await(null==platform.isRTL?void 0:platform.isRTL(elements.floating)),side=getSide(placement),alignment=getAlignment(placement),isVertical="x"===getMainAxisFromPlacement(placement),mainAxisMulti=["left","top"].includes(side)?-1:1,crossAxisMulti=rtl&&isVertical?-1:1,rawValue=evaluate(options,state);let{mainAxis:mainAxis,crossAxis:crossAxis,alignmentAxis:alignmentAxis}="number"==typeof rawValue?{mainAxis:rawValue,crossAxis:0,alignmentAxis:null}:{mainAxis:0,crossAxis:0,alignmentAxis:null,...rawValue};return alignment&&"number"==typeof alignmentAxis&&(crossAxis="end"===alignment?-1*alignmentAxis:alignmentAxis),isVertical?{x:crossAxis*crossAxisMulti,y:mainAxis*mainAxisMulti}:{x:mainAxis*mainAxisMulti,y:crossAxis*crossAxisMulti};}(state,options);return{x:x+diffCoords.x,y:y+diffCoords.y,data:diffCoords};}};};const shift=function(options){return void 0===options&&(options={}),{name:"shift",options:options,async fn(state){const{x:x,y:y,placement:placement}=state,{mainAxis:checkMainAxis=!0,crossAxis:checkCrossAxis=!1,limiter={fn:_ref=>{let{x:x,y:y}=_ref;return{x:x,y:y};}},...detectOverflowOptions}=evaluate(options,state),coords={x:x,y:y},overflow=await detectOverflow(state,detectOverflowOptions),mainAxis=getMainAxisFromPlacement(getSide(placement)),crossAxis="x"===mainAxis?"y":"x";let mainAxisCoord=coords[mainAxis],crossAxisCoord=coords[crossAxis];if(checkMainAxis){const maxSide="y"===mainAxis?"bottom":"right";mainAxisCoord=within(mainAxisCoord+overflow["y"===mainAxis?"top":"left"],mainAxisCoord,mainAxisCoord-overflow[maxSide]);}if(checkCrossAxis){const maxSide="y"===crossAxis?"bottom":"right";crossAxisCoord=within(crossAxisCoord+overflow["y"===crossAxis?"top":"left"],crossAxisCoord,crossAxisCoord-overflow[maxSide]);}const limitedCoords=limiter.fn({...state,[mainAxis]:mainAxisCoord,[crossAxis]:crossAxisCoord});return{...limitedCoords,data:{x:limitedCoords.x-x,y:limitedCoords.y-y}};}};};function getWindow(node){var _node$ownerDocument;return(null==node||null==(_node$ownerDocument=node.ownerDocument)?void 0:_node$ownerDocument.defaultView)||window;}function getComputedStyle$1(element){return getWindow(element).getComputedStyle(element);}function isNode(value){return value instanceof getWindow(value).Node;}function getNodeName(node){return isNode(node)?(node.nodeName||"").toLowerCase():"#document";}function isHTMLElement(value){return value instanceof HTMLElement||value instanceof getWindow(value).HTMLElement;}function isShadowRoot(node){return"undefined"!=typeof ShadowRoot&&(node instanceof getWindow(node).ShadowRoot||node instanceof ShadowRoot);}function isOverflowElement(element){const{overflow:overflow,overflowX:overflowX,overflowY:overflowY,display:display}=getComputedStyle$1(element);return /auto|scroll|overlay|hidden|clip/.test(overflow+overflowY+overflowX)&&!["inline","contents"].includes(display);}function isTableElement(element){return["table","td","th"].includes(getNodeName(element));}function isContainingBlock(element){const safari=isSafari(),css=getComputedStyle$1(element);return"none"!==css.transform||"none"!==css.perspective||!!css.containerType&&"normal"!==css.containerType||!safari&&!!css.backdropFilter&&"none"!==css.backdropFilter||!safari&&!!css.filter&&"none"!==css.filter||["transform","perspective","filter"].some(value=>(css.willChange||"").includes(value))||["paint","layout","strict","content"].some(value=>(css.contain||"").includes(value));}function isSafari(){return!("undefined"==typeof CSS||!CSS.supports)&&CSS.supports("-webkit-backdrop-filter","none");}function isLastTraversableNode(node){return["html","body","#document"].includes(getNodeName(node));}const min$2=Math.min,max$1=Math.max,round=Math.round,createCoords=v=>({x:v,y:v});function getCssDimensions(element){const css=getComputedStyle$1(element);let width=parseFloat(css.width)||0,height=parseFloat(css.height)||0;const hasOffset=isHTMLElement(element),offsetWidth=hasOffset?element.offsetWidth:width,offsetHeight=hasOffset?element.offsetHeight:height,shouldFallback=round(width)!==offsetWidth||round(height)!==offsetHeight;return shouldFallback&&(width=offsetWidth,height=offsetHeight),{width:width,height:height,$:shouldFallback};}function isElement(value){return value instanceof Element||value instanceof getWindow(value).Element;}function unwrapElement(element){return isElement(element)?element:element.contextElement;}function getScale(element){const domElement=unwrapElement(element);if(!isHTMLElement(domElement))return createCoords(1);const rect=domElement.getBoundingClientRect(),{width:width,height:height,$:$}=getCssDimensions(domElement);let x=($?round(rect.width):rect.width)/width,y=($?round(rect.height):rect.height)/height;return x&&Number.isFinite(x)||(x=1),y&&Number.isFinite(y)||(y=1),{x:x,y:y};}const noOffsets=createCoords(0);function getVisualOffsets(element){const win=getWindow(element);return isSafari()&&win.visualViewport?{x:win.visualViewport.offsetLeft,y:win.visualViewport.offsetTop}:noOffsets;}function getBoundingClientRect(element,includeScale,isFixedStrategy,offsetParent){void 0===includeScale&&(includeScale=!1),void 0===isFixedStrategy&&(isFixedStrategy=!1);const clientRect=element.getBoundingClientRect(),domElement=unwrapElement(element);let scale=createCoords(1);includeScale&&(offsetParent?isElement(offsetParent)&&(scale=getScale(offsetParent)):scale=getScale(element));const visualOffsets=function(element,isFixed,floatingOffsetParent){return void 0===isFixed&&(isFixed=!1),!(!floatingOffsetParent||isFixed&&floatingOffsetParent!==getWindow(element))&&isFixed;}(domElement,isFixedStrategy,offsetParent)?getVisualOffsets(domElement):createCoords(0);let x=(clientRect.left+visualOffsets.x)/scale.x,y=(clientRect.top+visualOffsets.y)/scale.y,width=clientRect.width/scale.x,height=clientRect.height/scale.y;if(domElement){const win=getWindow(domElement),offsetWin=offsetParent&&isElement(offsetParent)?getWindow(offsetParent):offsetParent;let currentIFrame=win.frameElement;for(;currentIFrame&&offsetParent&&offsetWin!==win;){const iframeScale=getScale(currentIFrame),iframeRect=currentIFrame.getBoundingClientRect(),css=getComputedStyle(currentIFrame),left=iframeRect.left+(currentIFrame.clientLeft+parseFloat(css.paddingLeft))*iframeScale.x,top=iframeRect.top+(currentIFrame.clientTop+parseFloat(css.paddingTop))*iframeScale.y;x*=iframeScale.x,y*=iframeScale.y,width*=iframeScale.x,height*=iframeScale.y,x+=left,y+=top,currentIFrame=getWindow(currentIFrame).frameElement;}}return rectToClientRect({width:width,height:height,x:x,y:y});}function getNodeScroll(element){return isElement(element)?{scrollLeft:element.scrollLeft,scrollTop:element.scrollTop}:{scrollLeft:element.pageXOffset,scrollTop:element.pageYOffset};}function getDocumentElement(node){var _ref;return null==(_ref=(isNode(node)?node.ownerDocument:node.document)||window.document)?void 0:_ref.documentElement;}function getWindowScrollBarX(element){return getBoundingClientRect(getDocumentElement(element)).left+getNodeScroll(element).scrollLeft;}function getParentNode(node){if("html"===getNodeName(node))return node;const result=node.assignedSlot||node.parentNode||isShadowRoot(node)&&node.host||getDocumentElement(node);return isShadowRoot(result)?result.host:result;}function getNearestOverflowAncestor(node){const parentNode=getParentNode(node);return isLastTraversableNode(parentNode)?node.ownerDocument?node.ownerDocument.body:node.body:isHTMLElement(parentNode)&&isOverflowElement(parentNode)?parentNode:getNearestOverflowAncestor(parentNode);}function getOverflowAncestors(node,list){var _node$ownerDocument;void 0===list&&(list=[]);const scrollableAncestor=getNearestOverflowAncestor(node),isBody=scrollableAncestor===(null==(_node$ownerDocument=node.ownerDocument)?void 0:_node$ownerDocument.body),win=getWindow(scrollableAncestor);return isBody?list.concat(win,win.visualViewport||[],isOverflowElement(scrollableAncestor)?scrollableAncestor:[]):list.concat(scrollableAncestor,getOverflowAncestors(scrollableAncestor));}function getClientRectFromClippingAncestor(element,clippingAncestor,strategy){let rect;if("viewport"===clippingAncestor)rect=function(element,strategy){const win=getWindow(element),html=getDocumentElement(element),visualViewport=win.visualViewport;let width=html.clientWidth,height=html.clientHeight,x=0,y=0;if(visualViewport){width=visualViewport.width,height=visualViewport.height;const visualViewportBased=isSafari();(!visualViewportBased||visualViewportBased&&"fixed"===strategy)&&(x=visualViewport.offsetLeft,y=visualViewport.offsetTop);}return{width:width,height:height,x:x,y:y};}(element,strategy);else if("document"===clippingAncestor)rect=function(element){const html=getDocumentElement(element),scroll=getNodeScroll(element),body=element.ownerDocument.body,width=max$1(html.scrollWidth,html.clientWidth,body.scrollWidth,body.clientWidth),height=max$1(html.scrollHeight,html.clientHeight,body.scrollHeight,body.clientHeight);let x=-scroll.scrollLeft+getWindowScrollBarX(element);const y=-scroll.scrollTop;return"rtl"===getComputedStyle$1(body).direction&&(x+=max$1(html.clientWidth,body.clientWidth)-width),{width:width,height:height,x:x,y:y};}(getDocumentElement(element));else if(isElement(clippingAncestor))rect=function(element,strategy){const clientRect=getBoundingClientRect(element,!0,"fixed"===strategy),top=clientRect.top+element.clientTop,left=clientRect.left+element.clientLeft,scale=isHTMLElement(element)?getScale(element):createCoords(1);return{width:element.clientWidth*scale.x,height:element.clientHeight*scale.y,x:left*scale.x,y:top*scale.y};}(clippingAncestor,strategy);else{const visualOffsets=getVisualOffsets(element);rect={...clippingAncestor,x:clippingAncestor.x-visualOffsets.x,y:clippingAncestor.y-visualOffsets.y};}return rectToClientRect(rect);}function hasFixedPositionAncestor(element,stopNode){const parentNode=getParentNode(element);return!(parentNode===stopNode||!isElement(parentNode)||isLastTraversableNode(parentNode))&&("fixed"===getComputedStyle$1(parentNode).position||hasFixedPositionAncestor(parentNode,stopNode));}function getRectRelativeToOffsetParent(element,offsetParent,strategy){const isOffsetParentAnElement=isHTMLElement(offsetParent),documentElement=getDocumentElement(offsetParent),isFixed="fixed"===strategy,rect=getBoundingClientRect(element,!0,isFixed,offsetParent);let scroll={scrollLeft:0,scrollTop:0};const offsets=createCoords(0);if(isOffsetParentAnElement||!isOffsetParentAnElement&&!isFixed)if(("body"!==getNodeName(offsetParent)||isOverflowElement(documentElement))&&(scroll=getNodeScroll(offsetParent)),isHTMLElement(offsetParent)){const offsetRect=getBoundingClientRect(offsetParent,!0,isFixed,offsetParent);offsets.x=offsetRect.x+offsetParent.clientLeft,offsets.y=offsetRect.y+offsetParent.clientTop;}else documentElement&&(offsets.x=getWindowScrollBarX(documentElement));return{x:rect.left+scroll.scrollLeft-offsets.x,y:rect.top+scroll.scrollTop-offsets.y,width:rect.width,height:rect.height};}function getTrueOffsetParent(element,polyfill){return isHTMLElement(element)&&"fixed"!==getComputedStyle$1(element).position?polyfill?polyfill(element):element.offsetParent:null;}function getOffsetParent(element,polyfill){const window=getWindow(element);if(!isHTMLElement(element))return window;let offsetParent=getTrueOffsetParent(element,polyfill);for(;offsetParent&&isTableElement(offsetParent)&&"static"===getComputedStyle$1(offsetParent).position;)offsetParent=getTrueOffsetParent(offsetParent,polyfill);return offsetParent&&("html"===getNodeName(offsetParent)||"body"===getNodeName(offsetParent)&&"static"===getComputedStyle$1(offsetParent).position&&!isContainingBlock(offsetParent))?window:offsetParent||function(element){let currentNode=getParentNode(element);for(;isHTMLElement(currentNode)&&!isLastTraversableNode(currentNode);){if(isContainingBlock(currentNode))return currentNode;currentNode=getParentNode(currentNode);}return null;}(element)||window;}const platform={convertOffsetParentRelativeRectToViewportRelativeRect:function(_ref){let{rect:rect,offsetParent:offsetParent,strategy:strategy}=_ref;const isOffsetParentAnElement=isHTMLElement(offsetParent),documentElement=getDocumentElement(offsetParent);if(offsetParent===documentElement)return rect;let scroll={scrollLeft:0,scrollTop:0},scale=createCoords(1);const offsets=createCoords(0);if((isOffsetParentAnElement||!isOffsetParentAnElement&&"fixed"!==strategy)&&(("body"!==getNodeName(offsetParent)||isOverflowElement(documentElement))&&(scroll=getNodeScroll(offsetParent)),isHTMLElement(offsetParent))){const offsetRect=getBoundingClientRect(offsetParent);scale=getScale(offsetParent),offsets.x=offsetRect.x+offsetParent.clientLeft,offsets.y=offsetRect.y+offsetParent.clientTop;}return{width:rect.width*scale.x,height:rect.height*scale.y,x:rect.x*scale.x-scroll.scrollLeft*scale.x+offsets.x,y:rect.y*scale.y-scroll.scrollTop*scale.y+offsets.y};},getDocumentElement:getDocumentElement,getClippingRect:function(_ref){let{element:element,boundary:boundary,rootBoundary:rootBoundary,strategy:strategy}=_ref;const elementClippingAncestors="clippingAncestors"===boundary?function(element,cache){const cachedResult=cache.get(element);if(cachedResult)return cachedResult;let result=getOverflowAncestors(element).filter(el=>isElement(el)&&"body"!==getNodeName(el)),currentContainingBlockComputedStyle=null;const elementIsFixed="fixed"===getComputedStyle$1(element).position;let currentNode=elementIsFixed?getParentNode(element):element;for(;isElement(currentNode)&&!isLastTraversableNode(currentNode);){const computedStyle=getComputedStyle$1(currentNode),currentNodeIsContaining=isContainingBlock(currentNode);currentNodeIsContaining||"fixed"!==computedStyle.position||(currentContainingBlockComputedStyle=null),(elementIsFixed?!currentNodeIsContaining&&!currentContainingBlockComputedStyle:!currentNodeIsContaining&&"static"===computedStyle.position&&currentContainingBlockComputedStyle&&["absolute","fixed"].includes(currentContainingBlockComputedStyle.position)||isOverflowElement(currentNode)&&!currentNodeIsContaining&&hasFixedPositionAncestor(element,currentNode))?result=result.filter(ancestor=>ancestor!==currentNode):currentContainingBlockComputedStyle=computedStyle,currentNode=getParentNode(currentNode);}return cache.set(element,result),result;}(element,this._c):[].concat(boundary),clippingAncestors=[...elementClippingAncestors,rootBoundary],firstClippingAncestor=clippingAncestors[0],clippingRect=clippingAncestors.reduce((accRect,clippingAncestor)=>{const rect=getClientRectFromClippingAncestor(element,clippingAncestor,strategy);return accRect.top=max$1(rect.top,accRect.top),accRect.right=min$2(rect.right,accRect.right),accRect.bottom=min$2(rect.bottom,accRect.bottom),accRect.left=max$1(rect.left,accRect.left),accRect;},getClientRectFromClippingAncestor(element,firstClippingAncestor,strategy));return{width:clippingRect.right-clippingRect.left,height:clippingRect.bottom-clippingRect.top,x:clippingRect.left,y:clippingRect.top};},getOffsetParent:getOffsetParent,getElementRects:async function(_ref){let{reference:reference,floating:floating,strategy:strategy}=_ref;const getOffsetParentFn=this.getOffsetParent||getOffsetParent,getDimensionsFn=this.getDimensions;return{reference:getRectRelativeToOffsetParent(reference,await getOffsetParentFn(floating),strategy),floating:{x:0,y:0,...(await getDimensionsFn(floating))}};},getClientRects:function(element){return Array.from(element.getClientRects());},getDimensions:function(element){return getCssDimensions(element);},getScale:getScale,isElement:isElement,isRTL:function(element){return"rtl"===getComputedStyle(element).direction;}},computePosition=(reference,floating,options)=>{const cache=new Map(),mergedOptions={platform:platform,...options},platformWithCache={...mergedOptions.platform,_c:cache};return(async(reference,floating,config)=>{const{placement="bottom",strategy="absolute",middleware=[],platform:platform}=config,validMiddleware=middleware.filter(Boolean),rtl=await(null==platform.isRTL?void 0:platform.isRTL(floating));let rects=await platform.getElementRects({reference:reference,floating:floating,strategy:strategy}),{x:x,y:y}=computeCoordsFromPlacement(rects,placement,rtl),statefulPlacement=placement,middlewareData={},resetCount=0;for(let i=0;i<validMiddleware.length;i++){const{name:name,fn:fn}=validMiddleware[i],{x:nextX,y:nextY,data:data,reset:reset}=await fn({x:x,y:y,initialPlacement:placement,placement:statefulPlacement,strategy:strategy,middlewareData:middlewareData,rects:rects,platform:platform,elements:{reference:reference,floating:floating}});x=null!=nextX?nextX:x,y=null!=nextY?nextY:y,middlewareData={...middlewareData,[name]:{...middlewareData[name],...data}},reset&&resetCount<=50&&(resetCount++,"object"==typeof reset&&(reset.placement&&(statefulPlacement=reset.placement),reset.rects&&(rects=!0===reset.rects?await platform.getElementRects({reference:reference,floating:floating,strategy:strategy}):reset.rects),({x:x,y:y}=computeCoordsFromPlacement(rects,statefulPlacement,rtl))),i=-1);}return{x:x,y:y,placement:statefulPlacement,strategy:strategy,middlewareData:middlewareData};})(reference,floating,{...mergedOptions,platform:platformWithCache});},INITIAL_NUM_CANDLES_TO_DISPLAY=100,INITIAL_NUM_CANDLES_TO_FETCH=1e4,MIN_NUM_TICKS=3;function toInteger(dirtyNumber){if(null===dirtyNumber||!0===dirtyNumber||!1===dirtyNumber)return NaN;var number=Number(dirtyNumber);return isNaN(number)?number:number<0?Math.ceil(number):Math.floor(number);}function requiredArgs(required,args){if(args.length<required)throw new TypeError(required+" argument"+(required>1?"s":"")+" required, but only "+args.length+" present");}function toDate(argument){requiredArgs(1,arguments);var argStr=Object.prototype.toString.call(argument);return argument instanceof Date||"object"===_typeof(argument)&&"[object Date]"===argStr?new Date(argument.getTime()):"number"==typeof argument||"[object Number]"===argStr?new Date(argument):("string"!=typeof argument&&"[object String]"!==argStr||"undefined"==typeof console||(console.warn("Starting with v2.0.0-beta.1 date-fns doesn't accept strings as date arguments. Please use `parseISO` to parse strings. See: https://github.com/date-fns/date-fns/blob/master/docs/upgradeGuide.md#string-arguments"),console.warn(new Error().stack)),new Date(NaN));}function addMilliseconds(dirtyDate,dirtyAmount){requiredArgs(2,arguments);var timestamp=toDate(dirtyDate).getTime(),amount=toInteger(dirtyAmount);return new Date(timestamp+amount);}function addHours(dirtyDate,dirtyAmount){return requiredArgs(2,arguments),addMilliseconds(dirtyDate,36e5*toInteger(dirtyAmount));}var defaultOptions={};function getDefaultOptions(){return defaultOptions;}function isValid(dirtyDate){if(requiredArgs(1,arguments),!function(value){return requiredArgs(1,arguments),value instanceof Date||"object"===_typeof(value)&&"[object Date]"===Object.prototype.toString.call(value);}(dirtyDate)&&"number"!=typeof dirtyDate)return!1;var date=toDate(dirtyDate);return!isNaN(Number(date));}function startOfUTCISOWeek(dirtyDate){requiredArgs(1,arguments);var date=toDate(dirtyDate),day=date.getUTCDay(),diff=(day<1?7:0)+day-1;return date.setUTCDate(date.getUTCDate()-diff),date.setUTCHours(0,0,0,0),date;}function getUTCISOWeekYear(dirtyDate){requiredArgs(1,arguments);var date=toDate(dirtyDate),year=date.getUTCFullYear(),fourthOfJanuaryOfNextYear=new Date(0);fourthOfJanuaryOfNextYear.setUTCFullYear(year+1,0,4),fourthOfJanuaryOfNextYear.setUTCHours(0,0,0,0);var startOfNextYear=startOfUTCISOWeek(fourthOfJanuaryOfNextYear),fourthOfJanuaryOfThisYear=new Date(0);fourthOfJanuaryOfThisYear.setUTCFullYear(year,0,4),fourthOfJanuaryOfThisYear.setUTCHours(0,0,0,0);var startOfThisYear=startOfUTCISOWeek(fourthOfJanuaryOfThisYear);return date.getTime()>=startOfNextYear.getTime()?year+1:date.getTime()>=startOfThisYear.getTime()?year:year-1;}function getUTCISOWeek(dirtyDate){requiredArgs(1,arguments);var date=toDate(dirtyDate),diff=startOfUTCISOWeek(date).getTime()-function(dirtyDate){requiredArgs(1,arguments);var year=getUTCISOWeekYear(dirtyDate),fourthOfJanuary=new Date(0);return fourthOfJanuary.setUTCFullYear(year,0,4),fourthOfJanuary.setUTCHours(0,0,0,0),startOfUTCISOWeek(fourthOfJanuary);}(date).getTime();return Math.round(diff/6048e5)+1;}function startOfUTCWeek(dirtyDate,options){var _ref,_ref2,_ref3,_options$weekStartsOn,_options$locale,_options$locale$optio,_defaultOptions$local,_defaultOptions$local2;requiredArgs(1,arguments);var defaultOptions=getDefaultOptions(),weekStartsOn=toInteger(null!==(_ref=null!==(_ref2=null!==(_ref3=null!==(_options$weekStartsOn=null==options?void 0:options.weekStartsOn)&&void 0!==_options$weekStartsOn?_options$weekStartsOn:null==options||null===(_options$locale=options.locale)||void 0===_options$locale||null===(_options$locale$optio=_options$locale.options)||void 0===_options$locale$optio?void 0:_options$locale$optio.weekStartsOn)&&void 0!==_ref3?_ref3:defaultOptions.weekStartsOn)&&void 0!==_ref2?_ref2:null===(_defaultOptions$local=defaultOptions.locale)||void 0===_defaultOptions$local||null===(_defaultOptions$local2=_defaultOptions$local.options)||void 0===_defaultOptions$local2?void 0:_defaultOptions$local2.weekStartsOn)&&void 0!==_ref?_ref:0);if(!(weekStartsOn>=0&&weekStartsOn<=6))throw new RangeError("weekStartsOn must be between 0 and 6 inclusively");var date=toDate(dirtyDate),day=date.getUTCDay(),diff=(day<weekStartsOn?7:0)+day-weekStartsOn;return date.setUTCDate(date.getUTCDate()-diff),date.setUTCHours(0,0,0,0),date;}function getUTCWeekYear(dirtyDate,options){var _ref,_ref2,_ref3,_options$firstWeekCon,_options$locale,_options$locale$optio,_defaultOptions$local,_defaultOptions$local2;requiredArgs(1,arguments);var date=toDate(dirtyDate),year=date.getUTCFullYear(),defaultOptions=getDefaultOptions(),firstWeekContainsDate=toInteger(null!==(_ref=null!==(_ref2=null!==(_ref3=null!==(_options$firstWeekCon=null==options?void 0:options.firstWeekContainsDate)&&void 0!==_options$firstWeekCon?_options$firstWeekCon:null==options||null===(_options$locale=options.locale)||void 0===_options$locale||null===(_options$locale$optio=_options$locale.options)||void 0===_options$locale$optio?void 0:_options$locale$optio.firstWeekContainsDate)&&void 0!==_ref3?_ref3:defaultOptions.firstWeekContainsDate)&&void 0!==_ref2?_ref2:null===(_defaultOptions$local=defaultOptions.locale)||void 0===_defaultOptions$local||null===(_defaultOptions$local2=_defaultOptions$local.options)||void 0===_defaultOptions$local2?void 0:_defaultOptions$local2.firstWeekContainsDate)&&void 0!==_ref?_ref:1);if(!(firstWeekContainsDate>=1&&firstWeekContainsDate<=7))throw new RangeError("firstWeekContainsDate must be between 1 and 7 inclusively");var firstWeekOfNextYear=new Date(0);firstWeekOfNextYear.setUTCFullYear(year+1,0,firstWeekContainsDate),firstWeekOfNextYear.setUTCHours(0,0,0,0);var startOfNextYear=startOfUTCWeek(firstWeekOfNextYear,options),firstWeekOfThisYear=new Date(0);firstWeekOfThisYear.setUTCFullYear(year,0,firstWeekContainsDate),firstWeekOfThisYear.setUTCHours(0,0,0,0);var startOfThisYear=startOfUTCWeek(firstWeekOfThisYear,options);return date.getTime()>=startOfNextYear.getTime()?year+1:date.getTime()>=startOfThisYear.getTime()?year:year-1;}function getUTCWeek(dirtyDate,options){requiredArgs(1,arguments);var date=toDate(dirtyDate),diff=startOfUTCWeek(date,options).getTime()-function(dirtyDate,options){var _ref,_ref2,_ref3,_options$firstWeekCon,_options$locale,_options$locale$optio,_defaultOptions$local,_defaultOptions$local2;requiredArgs(1,arguments);var defaultOptions=getDefaultOptions(),firstWeekContainsDate=toInteger(null!==(_ref=null!==(_ref2=null!==(_ref3=null!==(_options$firstWeekCon=null==options?void 0:options.firstWeekContainsDate)&&void 0!==_options$firstWeekCon?_options$firstWeekCon:null==options||null===(_options$locale=options.locale)||void 0===_options$locale||null===(_options$locale$optio=_options$locale.options)||void 0===_options$locale$optio?void 0:_options$locale$optio.firstWeekContainsDate)&&void 0!==_ref3?_ref3:defaultOptions.firstWeekContainsDate)&&void 0!==_ref2?_ref2:null===(_defaultOptions$local=defaultOptions.locale)||void 0===_defaultOptions$local||null===(_defaultOptions$local2=_defaultOptions$local.options)||void 0===_defaultOptions$local2?void 0:_defaultOptions$local2.firstWeekContainsDate)&&void 0!==_ref?_ref:1),year=getUTCWeekYear(dirtyDate,options),firstWeek=new Date(0);return firstWeek.setUTCFullYear(year,0,firstWeekContainsDate),firstWeek.setUTCHours(0,0,0,0),startOfUTCWeek(firstWeek,options);}(date,options).getTime();return Math.round(diff/6048e5)+1;}function addLeadingZeros(number,targetLength){for(var sign=number<0?"-":"",output=Math.abs(number).toString();output.length<targetLength;)output="0"+output;return sign+output;}var formatters$2={y:function(date,token){var signedYear=date.getUTCFullYear(),year=signedYear>0?signedYear:1-signedYear;return addLeadingZeros("yy"===token?year%100:year,token.length);},M:function(date,token){var month=date.getUTCMonth();return"M"===token?String(month+1):addLeadingZeros(month+1,2);},d:function(date,token){return addLeadingZeros(date.getUTCDate(),token.length);},a:function(date,token){var dayPeriodEnumValue=date.getUTCHours()/12>=1?"pm":"am";switch(token){case"a":case"aa":return dayPeriodEnumValue.toUpperCase();case"aaa":return dayPeriodEnumValue;case"aaaaa":return dayPeriodEnumValue[0];default:return"am"===dayPeriodEnumValue?"a.m.":"p.m.";}},h:function(date,token){return addLeadingZeros(date.getUTCHours()%12||12,token.length);},H:function(date,token){return addLeadingZeros(date.getUTCHours(),token.length);},m:function(date,token){return addLeadingZeros(date.getUTCMinutes(),token.length);},s:function(date,token){return addLeadingZeros(date.getUTCSeconds(),token.length);},S:function(date,token){var numberOfDigits=token.length,milliseconds=date.getUTCMilliseconds();return addLeadingZeros(Math.floor(milliseconds*Math.pow(10,numberOfDigits-3)),token.length);}},formatters$3=formatters$2,dayPeriodEnum_midnight="midnight",dayPeriodEnum_noon="noon",dayPeriodEnum_morning="morning",dayPeriodEnum_afternoon="afternoon",dayPeriodEnum_evening="evening",dayPeriodEnum_night="night",formatters={G:function(date,token,localize){var era=date.getUTCFullYear()>0?1:0;switch(token){case"G":case"GG":case"GGG":return localize.era(era,{width:"abbreviated"});case"GGGGG":return localize.era(era,{width:"narrow"});default:return localize.era(era,{width:"wide"});}},y:function(date,token,localize){if("yo"===token){var signedYear=date.getUTCFullYear(),year=signedYear>0?signedYear:1-signedYear;return localize.ordinalNumber(year,{unit:"year"});}return formatters$3.y(date,token);},Y:function(date,token,localize,options){var signedWeekYear=getUTCWeekYear(date,options),weekYear=signedWeekYear>0?signedWeekYear:1-signedWeekYear;return"YY"===token?addLeadingZeros(weekYear%100,2):"Yo"===token?localize.ordinalNumber(weekYear,{unit:"year"}):addLeadingZeros(weekYear,token.length);},R:function(date,token){return addLeadingZeros(getUTCISOWeekYear(date),token.length);},u:function(date,token){return addLeadingZeros(date.getUTCFullYear(),token.length);},Q:function(date,token,localize){var quarter=Math.ceil((date.getUTCMonth()+1)/3);switch(token){case"Q":return String(quarter);case"QQ":return addLeadingZeros(quarter,2);case"Qo":return localize.ordinalNumber(quarter,{unit:"quarter"});case"QQQ":return localize.quarter(quarter,{width:"abbreviated",context:"formatting"});case"QQQQQ":return localize.quarter(quarter,{width:"narrow",context:"formatting"});default:return localize.quarter(quarter,{width:"wide",context:"formatting"});}},q:function(date,token,localize){var quarter=Math.ceil((date.getUTCMonth()+1)/3);switch(token){case"q":return String(quarter);case"qq":return addLeadingZeros(quarter,2);case"qo":return localize.ordinalNumber(quarter,{unit:"quarter"});case"qqq":return localize.quarter(quarter,{width:"abbreviated",context:"standalone"});case"qqqqq":return localize.quarter(quarter,{width:"narrow",context:"standalone"});default:return localize.quarter(quarter,{width:"wide",context:"standalone"});}},M:function(date,token,localize){var month=date.getUTCMonth();switch(token){case"M":case"MM":return formatters$3.M(date,token);case"Mo":return localize.ordinalNumber(month+1,{unit:"month"});case"MMM":return localize.month(month,{width:"abbreviated",context:"formatting"});case"MMMMM":return localize.month(month,{width:"narrow",context:"formatting"});default:return localize.month(month,{width:"wide",context:"formatting"});}},L:function(date,token,localize){var month=date.getUTCMonth();switch(token){case"L":return String(month+1);case"LL":return addLeadingZeros(month+1,2);case"Lo":return localize.ordinalNumber(month+1,{unit:"month"});case"LLL":return localize.month(month,{width:"abbreviated",context:"standalone"});case"LLLLL":return localize.month(month,{width:"narrow",context:"standalone"});default:return localize.month(month,{width:"wide",context:"standalone"});}},w:function(date,token,localize,options){var week=getUTCWeek(date,options);return"wo"===token?localize.ordinalNumber(week,{unit:"week"}):addLeadingZeros(week,token.length);},I:function(date,token,localize){var isoWeek=getUTCISOWeek(date);return"Io"===token?localize.ordinalNumber(isoWeek,{unit:"week"}):addLeadingZeros(isoWeek,token.length);},d:function(date,token,localize){return"do"===token?localize.ordinalNumber(date.getUTCDate(),{unit:"date"}):formatters$3.d(date,token);},D:function(date,token,localize){var dayOfYear=function(dirtyDate){requiredArgs(1,arguments);var date=toDate(dirtyDate),timestamp=date.getTime();date.setUTCMonth(0,1),date.setUTCHours(0,0,0,0);var difference=timestamp-date.getTime();return Math.floor(difference/864e5)+1;}(date);return"Do"===token?localize.ordinalNumber(dayOfYear,{unit:"dayOfYear"}):addLeadingZeros(dayOfYear,token.length);},E:function(date,token,localize){var dayOfWeek=date.getUTCDay();switch(token){case"E":case"EE":case"EEE":return localize.day(dayOfWeek,{width:"abbreviated",context:"formatting"});case"EEEEE":return localize.day(dayOfWeek,{width:"narrow",context:"formatting"});case"EEEEEE":return localize.day(dayOfWeek,{width:"short",context:"formatting"});default:return localize.day(dayOfWeek,{width:"wide",context:"formatting"});}},e:function(date,token,localize,options){var dayOfWeek=date.getUTCDay(),localDayOfWeek=(dayOfWeek-options.weekStartsOn+8)%7||7;switch(token){case"e":return String(localDayOfWeek);case"ee":return addLeadingZeros(localDayOfWeek,2);case"eo":return localize.ordinalNumber(localDayOfWeek,{unit:"day"});case"eee":return localize.day(dayOfWeek,{width:"abbreviated",context:"formatting"});case"eeeee":return localize.day(dayOfWeek,{width:"narrow",context:"formatting"});case"eeeeee":return localize.day(dayOfWeek,{width:"short",context:"formatting"});default:return localize.day(dayOfWeek,{width:"wide",context:"formatting"});}},c:function(date,token,localize,options){var dayOfWeek=date.getUTCDay(),localDayOfWeek=(dayOfWeek-options.weekStartsOn+8)%7||7;switch(token){case"c":return String(localDayOfWeek);case"cc":return addLeadingZeros(localDayOfWeek,token.length);case"co":return localize.ordinalNumber(localDayOfWeek,{unit:"day"});case"ccc":return localize.day(dayOfWeek,{width:"abbreviated",context:"standalone"});case"ccccc":return localize.day(dayOfWeek,{width:"narrow",context:"standalone"});case"cccccc":return localize.day(dayOfWeek,{width:"short",context:"standalone"});default:return localize.day(dayOfWeek,{width:"wide",context:"standalone"});}},i:function(date,token,localize){var dayOfWeek=date.getUTCDay(),isoDayOfWeek=0===dayOfWeek?7:dayOfWeek;switch(token){case"i":return String(isoDayOfWeek);case"ii":return addLeadingZeros(isoDayOfWeek,token.length);case"io":return localize.ordinalNumber(isoDayOfWeek,{unit:"day"});case"iii":return localize.day(dayOfWeek,{width:"abbreviated",context:"formatting"});case"iiiii":return localize.day(dayOfWeek,{width:"narrow",context:"formatting"});case"iiiiii":return localize.day(dayOfWeek,{width:"short",context:"formatting"});default:return localize.day(dayOfWeek,{width:"wide",context:"formatting"});}},a:function(date,token,localize){var dayPeriodEnumValue=date.getUTCHours()/12>=1?"pm":"am";switch(token){case"a":case"aa":return localize.dayPeriod(dayPeriodEnumValue,{width:"abbreviated",context:"formatting"});case"aaa":return localize.dayPeriod(dayPeriodEnumValue,{width:"abbreviated",context:"formatting"}).toLowerCase();case"aaaaa":return localize.dayPeriod(dayPeriodEnumValue,{width:"narrow",context:"formatting"});default:return localize.dayPeriod(dayPeriodEnumValue,{width:"wide",context:"formatting"});}},b:function(date,token,localize){var dayPeriodEnumValue,hours=date.getUTCHours();switch(dayPeriodEnumValue=12===hours?dayPeriodEnum_noon:0===hours?dayPeriodEnum_midnight:hours/12>=1?"pm":"am",token){case"b":case"bb":return localize.dayPeriod(dayPeriodEnumValue,{width:"abbreviated",context:"formatting"});case"bbb":return localize.dayPeriod(dayPeriodEnumValue,{width:"abbreviated",context:"formatting"}).toLowerCase();case"bbbbb":return localize.dayPeriod(dayPeriodEnumValue,{width:"narrow",context:"formatting"});default:return localize.dayPeriod(dayPeriodEnumValue,{width:"wide",context:"formatting"});}},B:function(date,token,localize){var dayPeriodEnumValue,hours=date.getUTCHours();switch(dayPeriodEnumValue=hours>=17?dayPeriodEnum_evening:hours>=12?dayPeriodEnum_afternoon:hours>=4?dayPeriodEnum_morning:dayPeriodEnum_night,token){case"B":case"BB":case"BBB":return localize.dayPeriod(dayPeriodEnumValue,{width:"abbreviated",context:"formatting"});case"BBBBB":return localize.dayPeriod(dayPeriodEnumValue,{width:"narrow",context:"formatting"});default:return localize.dayPeriod(dayPeriodEnumValue,{width:"wide",context:"formatting"});}},h:function(date,token,localize){if("ho"===token){var hours=date.getUTCHours()%12;return 0===hours&&(hours=12),localize.ordinalNumber(hours,{unit:"hour"});}return formatters$3.h(date,token);},H:function(date,token,localize){return"Ho"===token?localize.ordinalNumber(date.getUTCHours(),{unit:"hour"}):formatters$3.H(date,token);},K:function(date,token,localize){var hours=date.getUTCHours()%12;return"Ko"===token?localize.ordinalNumber(hours,{unit:"hour"}):addLeadingZeros(hours,token.length);},k:function(date,token,localize){var hours=date.getUTCHours();return 0===hours&&(hours=24),"ko"===token?localize.ordinalNumber(hours,{unit:"hour"}):addLeadingZeros(hours,token.length);},m:function(date,token,localize){return"mo"===token?localize.ordinalNumber(date.getUTCMinutes(),{unit:"minute"}):formatters$3.m(date,token);},s:function(date,token,localize){return"so"===token?localize.ordinalNumber(date.getUTCSeconds(),{unit:"second"}):formatters$3.s(date,token);},S:function(date,token){return formatters$3.S(date,token);},X:function(date,token,_localize,options){var timezoneOffset=(options._originalDate||date).getTimezoneOffset();if(0===timezoneOffset)return"Z";switch(token){case"X":return formatTimezoneWithOptionalMinutes(timezoneOffset);case"XXXX":case"XX":return formatTimezone(timezoneOffset);default:return formatTimezone(timezoneOffset,":");}},x:function(date,token,_localize,options){var timezoneOffset=(options._originalDate||date).getTimezoneOffset();switch(token){case"x":return formatTimezoneWithOptionalMinutes(timezoneOffset);case"xxxx":case"xx":return formatTimezone(timezoneOffset);default:return formatTimezone(timezoneOffset,":");}},O:function(date,token,_localize,options){var timezoneOffset=(options._originalDate||date).getTimezoneOffset();switch(token){case"O":case"OO":case"OOO":return"GMT"+formatTimezoneShort(timezoneOffset,":");default:return"GMT"+formatTimezone(timezoneOffset,":");}},z:function(date,token,_localize,options){var timezoneOffset=(options._originalDate||date).getTimezoneOffset();switch(token){case"z":case"zz":case"zzz":return"GMT"+formatTimezoneShort(timezoneOffset,":");default:return"GMT"+formatTimezone(timezoneOffset,":");}},t:function(date,token,_localize,options){var originalDate=options._originalDate||date;return addLeadingZeros(Math.floor(originalDate.getTime()/1e3),token.length);},T:function(date,token,_localize,options){return addLeadingZeros((options._originalDate||date).getTime(),token.length);}};function formatTimezoneShort(offset,dirtyDelimiter){var sign=offset>0?"-":"+",absOffset=Math.abs(offset),hours=Math.floor(absOffset/60),minutes=absOffset%60;if(0===minutes)return sign+String(hours);var delimiter=dirtyDelimiter||"";return sign+String(hours)+delimiter+addLeadingZeros(minutes,2);}function formatTimezoneWithOptionalMinutes(offset,dirtyDelimiter){return offset%60==0?(offset>0?"-":"+")+addLeadingZeros(Math.abs(offset)/60,2):formatTimezone(offset,dirtyDelimiter);}function formatTimezone(offset,dirtyDelimiter){var delimiter=dirtyDelimiter||"",sign=offset>0?"-":"+",absOffset=Math.abs(offset);return sign+addLeadingZeros(Math.floor(absOffset/60),2)+delimiter+addLeadingZeros(absOffset%60,2);}var formatters$1=formatters,dateLongFormatter=function(pattern,formatLong){switch(pattern){case"P":return formatLong.date({width:"short"});case"PP":return formatLong.date({width:"medium"});case"PPP":return formatLong.date({width:"long"});default:return formatLong.date({width:"full"});}},timeLongFormatter=function(pattern,formatLong){switch(pattern){case"p":return formatLong.time({width:"short"});case"pp":return formatLong.time({width:"medium"});case"ppp":return formatLong.time({width:"long"});default:return formatLong.time({width:"full"});}},longFormatters={p:timeLongFormatter,P:function(pattern,formatLong){var dateTimeFormat,matchResult=pattern.match(/(P+)(p+)?/)||[],datePattern=matchResult[1],timePattern=matchResult[2];if(!timePattern)return dateLongFormatter(pattern,formatLong);switch(datePattern){case"P":dateTimeFormat=formatLong.dateTime({width:"short"});break;case"PP":dateTimeFormat=formatLong.dateTime({width:"medium"});break;case"PPP":dateTimeFormat=formatLong.dateTime({width:"long"});break;default:dateTimeFormat=formatLong.dateTime({width:"full"});}return dateTimeFormat.replace("{{date}}",dateLongFormatter(datePattern,formatLong)).replace("{{time}}",timeLongFormatter(timePattern,formatLong));}},longFormatters$1=longFormatters,protectedDayOfYearTokens=["D","DD"],protectedWeekYearTokens=["YY","YYYY"];function throwProtectedError(token,format,input){if("YYYY"===token)throw new RangeError("Use `yyyy` instead of `YYYY` (in `".concat(format,"`) for formatting years to the input `").concat(input,"`; see: https://github.com/date-fns/date-fns/blob/master/docs/unicodeTokens.md"));if("YY"===token)throw new RangeError("Use `yy` instead of `YY` (in `".concat(format,"`) for formatting years to the input `").concat(input,"`; see: https://github.com/date-fns/date-fns/blob/master/docs/unicodeTokens.md"));if("D"===token)throw new RangeError("Use `d` instead of `D` (in `".concat(format,"`) for formatting days of the month to the input `").concat(input,"`; see: https://github.com/date-fns/date-fns/blob/master/docs/unicodeTokens.md"));if("DD"===token)throw new RangeError("Use `dd` instead of `DD` (in `".concat(format,"`) for formatting days of the month to the input `").concat(input,"`; see: https://github.com/date-fns/date-fns/blob/master/docs/unicodeTokens.md"));}var formatDistanceLocale={lessThanXSeconds:{one:"less than a second",other:"less than {{count}} seconds"},xSeconds:{one:"1 second",other:"{{count}} seconds"},halfAMinute:"half a minute",lessThanXMinutes:{one:"less than a minute",other:"less than {{count}} minutes"},xMinutes:{one:"1 minute",other:"{{count}} minutes"},aboutXHours:{one:"about 1 hour",other:"about {{count}} hours"},xHours:{one:"1 hour",other:"{{count}} hours"},xDays:{one:"1 day",other:"{{count}} days"},aboutXWeeks:{one:"about 1 week",other:"about {{count}} weeks"},xWeeks:{one:"1 week",other:"{{count}} weeks"},aboutXMonths:{one:"about 1 month",other:"about {{count}} months"},xMonths:{one:"1 month",other:"{{count}} months"},aboutXYears:{one:"about 1 year",other:"about {{count}} years"},xYears:{one:"1 year",other:"{{count}} years"},overXYears:{one:"over 1 year",other:"over {{count}} years"},almostXYears:{one:"almost 1 year",other:"almost {{count}} years"}},formatDistance$1=function(token,count,options){var result,tokenValue=formatDistanceLocale[token];return result="string"==typeof tokenValue?tokenValue:1===count?tokenValue.one:tokenValue.other.replace("{{count}}",count.toString()),null!=options&&options.addSuffix?options.comparison&&options.comparison>0?"in "+result:result+" ago":result;};function buildFormatLongFn(args){return function(){var options=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},width=options.width?String(options.width):args.defaultWidth;return args.formats[width]||args.formats[args.defaultWidth];};}var formatLong$1={date:buildFormatLongFn({formats:{full:"EEEE, MMMM do, y",long:"MMMM do, y",medium:"MMM d, y",short:"MM/dd/yyyy"},defaultWidth:"full"}),time:buildFormatLongFn({formats:{full:"h:mm:ss a zzzz",long:"h:mm:ss a z",medium:"h:mm:ss a",short:"h:mm a"},defaultWidth:"full"}),dateTime:buildFormatLongFn({formats:{full:"{{date}} 'at' {{time}}",long:"{{date}} 'at' {{time}}",medium:"{{date}}, {{time}}",short:"{{date}}, {{time}}"},defaultWidth:"full"})},formatRelativeLocale={lastWeek:"'last' eeee 'at' p",yesterday:"'yesterday at' p",today:"'today at' p",tomorrow:"'tomorrow at' p",nextWeek:"eeee 'at' p",other:"P"},formatRelative$1=function(token,_date,_baseDate,_options){return formatRelativeLocale[token];};function buildLocalizeFn(args){return function(dirtyIndex,options){var valuesArray;if("formatting"===(null!=options&&options.context?String(options.context):"standalone")&&args.formattingValues){var defaultWidth=args.defaultFormattingWidth||args.defaultWidth,width=null!=options&&options.width?String(options.width):defaultWidth;valuesArray=args.formattingValues[width]||args.formattingValues[defaultWidth];}else{var _defaultWidth=args.defaultWidth,_width=null!=options&&options.width?String(options.width):args.defaultWidth;valuesArray=args.values[_width]||args.values[_defaultWidth];}return valuesArray[args.argumentCallback?args.argumentCallback(dirtyIndex):dirtyIndex];};}var localize={ordinalNumber:function(dirtyNumber,_options){var number=Number(dirtyNumber),rem100=number%100;if(rem100>20||rem100<10)switch(rem100%10){case 1:return number+"st";case 2:return number+"nd";case 3:return number+"rd";}return number+"th";},era:buildLocalizeFn({values:{narrow:["B","A"],abbreviated:["BC","AD"],wide:["Before Christ","Anno Domini"]},defaultWidth:"wide"}),quarter:buildLocalizeFn({values:{narrow:["1","2","3","4"],abbreviated:["Q1","Q2","Q3","Q4"],wide:["1st quarter","2nd quarter","3rd quarter","4th quarter"]},defaultWidth:"wide",argumentCallback:function(quarter){return quarter-1;}}),month:buildLocalizeFn({values:{narrow:["J","F","M","A","M","J","J","A","S","O","N","D"],abbreviated:["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"],wide:["January","February","March","April","May","June","July","August","September","October","November","December"]},defaultWidth:"wide"}),day:buildLocalizeFn({values:{narrow:["S","M","T","W","T","F","S"],short:["Su","Mo","Tu","We","Th","Fr","Sa"],abbreviated:["Sun","Mon","Tue","Wed","Thu","Fri","Sat"],wide:["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"]},defaultWidth:"wide"}),dayPeriod:buildLocalizeFn({values:{narrow:{am:"a",pm:"p",midnight:"mi",noon:"n",morning:"morning",afternoon:"afternoon",evening:"evening",night:"night"},abbreviated:{am:"AM",pm:"PM",midnight:"midnight",noon:"noon",morning:"morning",afternoon:"afternoon",evening:"evening",night:"night"},wide:{am:"a.m.",pm:"p.m.",midnight:"midnight",noon:"noon",morning:"morning",afternoon:"afternoon",evening:"evening",night:"night"}},defaultWidth:"wide",formattingValues:{narrow:{am:"a",pm:"p",midnight:"mi",noon:"n",morning:"in the morning",afternoon:"in the afternoon",evening:"in the evening",night:"at night"},abbreviated:{am:"AM",pm:"PM",midnight:"midnight",noon:"noon",morning:"in the morning",afternoon:"in the afternoon",evening:"in the evening",night:"at night"},wide:{am:"a.m.",pm:"p.m.",midnight:"midnight",noon:"noon",morning:"in the morning",afternoon:"in the afternoon",evening:"in the evening",night:"at night"}},defaultFormattingWidth:"wide"})};function buildMatchFn(args){return function(string){var options=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},width=options.width,matchPattern=width&&args.matchPatterns[width]||args.matchPatterns[args.defaultMatchWidth],matchResult=string.match(matchPattern);if(!matchResult)return null;var value,matchedString=matchResult[0],parsePatterns=width&&args.parsePatterns[width]||args.parsePatterns[args.defaultParseWidth],key=Array.isArray(parsePatterns)?function(array,predicate){for(var key=0;key<array.length;key++)if(predicate(array[key]))return key;return;}(parsePatterns,function(pattern){return pattern.test(matchedString);}):function(object,predicate){for(var key in object)if(object.hasOwnProperty(key)&&predicate(object[key]))return key;return;}(parsePatterns,function(pattern){return pattern.test(matchedString);});return value=args.valueCallback?args.valueCallback(key):key,{value:value=options.valueCallback?options.valueCallback(value):value,rest:string.slice(matchedString.length)};};}var args,defaultLocale$2={code:"en-US",formatDistance:formatDistance$1,formatLong:formatLong$1,formatRelative:formatRelative$1,localize:localize,match:{ordinalNumber:(args={matchPattern:/^(\d+)(th|st|nd|rd)?/i,parsePattern:/\d+/i,valueCallback:function(value){return parseInt(value,10);}},function(string){var options=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},matchResult=string.match(args.matchPattern);if(!matchResult)return null;var matchedString=matchResult[0],parseResult=string.match(args.parsePattern);if(!parseResult)return null;var value=args.valueCallback?args.valueCallback(parseResult[0]):parseResult[0];return{value:value=options.valueCallback?options.valueCallback(value):value,rest:string.slice(matchedString.length)};}),era:buildMatchFn({matchPatterns:{narrow:/^(b|a)/i,abbreviated:/^(b\.?\s?c\.?|b\.?\s?c\.?\s?e\.?|a\.?\s?d\.?|c\.?\s?e\.?)/i,wide:/^(before christ|before common era|anno domini|common era)/i},defaultMatchWidth:"wide",parsePatterns:{any:[/^b/i,/^(a|c)/i]},defaultParseWidth:"any"}),quarter:buildMatchFn({matchPatterns:{narrow:/^[1234]/i,abbreviated:/^q[1234]/i,wide:/^[1234](th|st|nd|rd)? quarter/i},defaultMatchWidth:"wide",parsePatterns:{any:[/1/i,/2/i,/3/i,/4/i]},defaultParseWidth:"any",valueCallback:function(index){return index+1;}}),month:buildMatchFn({matchPatterns:{narrow:/^[jfmasond]/i,abbreviated:/^(jan|feb|mar|apr|may|jun|jul|aug|sep|oct|nov|dec)/i,wide:/^(january|february|march|april|may|june|july|august|september|october|november|december)/i},defaultMatchWidth:"wide",parsePatterns:{narrow:[/^j/i,/^f/i,/^m/i,/^a/i,/^m/i,/^j/i,/^j/i,/^a/i,/^s/i,/^o/i,/^n/i,/^d/i],any:[/^ja/i,/^f/i,/^mar/i,/^ap/i,/^may/i,/^jun/i,/^jul/i,/^au/i,/^s/i,/^o/i,/^n/i,/^d/i]},defaultParseWidth:"any"}),day:buildMatchFn({matchPatterns:{narrow:/^[smtwf]/i,short:/^(su|mo|tu|we|th|fr|sa)/i,abbreviated:/^(sun|mon|tue|wed|thu|fri|sat)/i,wide:/^(sunday|monday|tuesday|wednesday|thursday|friday|saturday)/i},defaultMatchWidth:"wide",parsePatterns:{narrow:[/^s/i,/^m/i,/^t/i,/^w/i,/^t/i,/^f/i,/^s/i],any:[/^su/i,/^m/i,/^tu/i,/^w/i,/^th/i,/^f/i,/^sa/i]},defaultParseWidth:"any"}),dayPeriod:buildMatchFn({matchPatterns:{narrow:/^(a|p|mi|n|(in the|at) (morning|afternoon|evening|night))/i,any:/^([ap]\.?\s?m\.?|midnight|noon|(in the|at) (morning|afternoon|evening|night))/i},defaultMatchWidth:"any",parsePatterns:{any:{am:/^a/i,pm:/^p/i,midnight:/^mi/i,noon:/^no/i,morning:/morning/i,afternoon:/afternoon/i,evening:/evening/i,night:/night/i}},defaultParseWidth:"any"})},options:{weekStartsOn:0,firstWeekContainsDate:1}},formattingTokensRegExp=/[yYQqMLwIdDecihHKkms]o|(\w)\1*|''|'(''|[^'])+('|$)|./g,longFormattingTokensRegExp=/P+p+|P+|p+|''|'(''|[^'])+('|$)|./g,escapedStringRegExp=/^'([^]*?)'?$/,doubleQuoteRegExp=/''/g,unescapedLatinCharacterRegExp=/[a-zA-Z]/;function format$1(dirtyDate,dirtyFormatStr,options){var _ref,_options$locale,_ref2,_ref3,_ref4,_options$firstWeekCon,_options$locale2,_options$locale2$opti,_defaultOptions$local,_defaultOptions$local2,_ref5,_ref6,_ref7,_options$weekStartsOn,_options$locale3,_options$locale3$opti,_defaultOptions$local3,_defaultOptions$local4;requiredArgs(2,arguments);var formatStr=String(dirtyFormatStr),defaultOptions=getDefaultOptions(),locale=null!==(_ref=null!==(_options$locale=null==options?void 0:options.locale)&&void 0!==_options$locale?_options$locale:defaultOptions.locale)&&void 0!==_ref?_ref:defaultLocale$2,firstWeekContainsDate=toInteger(null!==(_ref2=null!==(_ref3=null!==(_ref4=null!==(_options$firstWeekCon=null==options?void 0:options.firstWeekContainsDate)&&void 0!==_options$firstWeekCon?_options$firstWeekCon:null==options||null===(_options$locale2=options.locale)||void 0===_options$locale2||null===(_options$locale2$opti=_options$locale2.options)||void 0===_options$locale2$opti?void 0:_options$locale2$opti.firstWeekContainsDate)&&void 0!==_ref4?_ref4:defaultOptions.firstWeekContainsDate)&&void 0!==_ref3?_ref3:null===(_defaultOptions$local=defaultOptions.locale)||void 0===_defaultOptions$local||null===(_defaultOptions$local2=_defaultOptions$local.options)||void 0===_defaultOptions$local2?void 0:_defaultOptions$local2.firstWeekContainsDate)&&void 0!==_ref2?_ref2:1);if(!(firstWeekContainsDate>=1&&firstWeekContainsDate<=7))throw new RangeError("firstWeekContainsDate must be between 1 and 7 inclusively");var weekStartsOn=toInteger(null!==(_ref5=null!==(_ref6=null!==(_ref7=null!==(_options$weekStartsOn=null==options?void 0:options.weekStartsOn)&&void 0!==_options$weekStartsOn?_options$weekStartsOn:null==options||null===(_options$locale3=options.locale)||void 0===_options$locale3||null===(_options$locale3$opti=_options$locale3.options)||void 0===_options$locale3$opti?void 0:_options$locale3$opti.weekStartsOn)&&void 0!==_ref7?_ref7:defaultOptions.weekStartsOn)&&void 0!==_ref6?_ref6:null===(_defaultOptions$local3=defaultOptions.locale)||void 0===_defaultOptions$local3||null===(_defaultOptions$local4=_defaultOptions$local3.options)||void 0===_defaultOptions$local4?void 0:_defaultOptions$local4.weekStartsOn)&&void 0!==_ref5?_ref5:0);if(!(weekStartsOn>=0&&weekStartsOn<=6))throw new RangeError("weekStartsOn must be between 0 and 6 inclusively");if(!locale.localize)throw new RangeError("locale must contain localize property");if(!locale.formatLong)throw new RangeError("locale must contain formatLong property");var originalDate=toDate(dirtyDate);if(!isValid(originalDate))throw new RangeError("Invalid time value");var timezoneOffset=function(date){var utcDate=new Date(Date.UTC(date.getFullYear(),date.getMonth(),date.getDate(),date.getHours(),date.getMinutes(),date.getSeconds(),date.getMilliseconds()));return utcDate.setUTCFullYear(date.getFullYear()),date.getTime()-utcDate.getTime();}(originalDate),utcDate=function(dirtyDate,dirtyAmount){return requiredArgs(2,arguments),addMilliseconds(dirtyDate,-toInteger(dirtyAmount));}(originalDate,timezoneOffset),formatterOptions={firstWeekContainsDate:firstWeekContainsDate,weekStartsOn:weekStartsOn,locale:locale,_originalDate:originalDate},result=formatStr.match(longFormattingTokensRegExp).map(function(substring){var firstCharacter=substring[0];return"p"===firstCharacter||"P"===firstCharacter?(0,longFormatters$1[firstCharacter])(substring,locale.formatLong):substring;}).join("").match(formattingTokensRegExp).map(function(substring){if("''"===substring)return"'";var firstCharacter=substring[0];if("'"===firstCharacter)return function(input){var matched=input.match(escapedStringRegExp);if(!matched)return input;return matched[1].replace(doubleQuoteRegExp,"'");}(substring);var token,formatter=formatters$1[firstCharacter];if(formatter)return null!=options&&options.useAdditionalWeekYearTokens||(token=substring,-1===protectedWeekYearTokens.indexOf(token))||throwProtectedError(substring,dirtyFormatStr,String(dirtyDate)),null!=options&&options.useAdditionalDayOfYearTokens||!function(token){return-1!==protectedDayOfYearTokens.indexOf(token);}(substring)||throwProtectedError(substring,dirtyFormatStr,String(dirtyDate)),formatter(utcDate,substring,locale.localize,formatterOptions);if(firstCharacter.match(unescapedLatinCharacterRegExp))throw new RangeError("Format string contains an unescaped latin alphabet character `"+firstCharacter+"`");return substring;}).join("");return result;}var commonjsGlobal="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{};function getDefaultExportFromCjs(x){return x&&x.__esModule&&Object.prototype.hasOwnProperty.call(x,"default")?x.default:x;}var hasRequiredReactJsxRuntime_production_min,jsxRuntime={exports:{}},reactJsxRuntime_production_min={};var hasRequiredReactJsxRuntime_development,reactJsxRuntime_development={};/**
 * @license React
 * react-jsx-runtime.development.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */"production"===process.env.NODE_ENV?jsxRuntime.exports=function(){if(hasRequiredReactJsxRuntime_production_min)return reactJsxRuntime_production_min;hasRequiredReactJsxRuntime_production_min=1;var f=React,k=Symbol.for("react.element"),l=Symbol.for("react.fragment"),m=Object.prototype.hasOwnProperty,n=f.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactCurrentOwner,p={key:!0,ref:!0,__self:!0,__source:!0};function q(c,a,g){var b,d={},e=null,h=null;for(b in void 0!==g&&(e=""+g),void 0!==a.key&&(e=""+a.key),void 0!==a.ref&&(h=a.ref),a)m.call(a,b)&&!p.hasOwnProperty(b)&&(d[b]=a[b]);if(c&&c.defaultProps)for(b in a=c.defaultProps)void 0===d[b]&&(d[b]=a[b]);return{$$typeof:k,type:c,key:e,ref:h,props:d,_owner:n.current};}return reactJsxRuntime_production_min.Fragment=l,reactJsxRuntime_production_min.jsx=q,reactJsxRuntime_production_min.jsxs=q,reactJsxRuntime_production_min;}():jsxRuntime.exports=(hasRequiredReactJsxRuntime_development||(hasRequiredReactJsxRuntime_development=1,"production"!==process.env.NODE_ENV&&function(){var React$1=React,REACT_ELEMENT_TYPE=Symbol.for("react.element"),REACT_PORTAL_TYPE=Symbol.for("react.portal"),REACT_FRAGMENT_TYPE=Symbol.for("react.fragment"),REACT_STRICT_MODE_TYPE=Symbol.for("react.strict_mode"),REACT_PROFILER_TYPE=Symbol.for("react.profiler"),REACT_PROVIDER_TYPE=Symbol.for("react.provider"),REACT_CONTEXT_TYPE=Symbol.for("react.context"),REACT_FORWARD_REF_TYPE=Symbol.for("react.forward_ref"),REACT_SUSPENSE_TYPE=Symbol.for("react.suspense"),REACT_SUSPENSE_LIST_TYPE=Symbol.for("react.suspense_list"),REACT_MEMO_TYPE=Symbol.for("react.memo"),REACT_LAZY_TYPE=Symbol.for("react.lazy"),REACT_OFFSCREEN_TYPE=Symbol.for("react.offscreen"),MAYBE_ITERATOR_SYMBOL=Symbol.iterator,FAUX_ITERATOR_SYMBOL="@@iterator",ReactSharedInternals=React$1.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED;function error(format){for(var _len2=arguments.length,args=new Array(_len2>1?_len2-1:0),_key2=1;_key2<_len2;_key2++)args[_key2-1]=arguments[_key2];!function(level,format,args){var stack=ReactSharedInternals.ReactDebugCurrentFrame.getStackAddendum();""!==stack&&(format+="%s",args=args.concat([stack]));var argsWithFormat=args.map(function(item){return String(item);});argsWithFormat.unshift("Warning: "+format),Function.prototype.apply.call(console[level],console,argsWithFormat);}("error",format,args);}var REACT_MODULE_REFERENCE,enableScopeAPI=!1,enableCacheElement=!1,enableTransitionTracing=!1,enableLegacyHidden=!1,enableDebugTracing=!1;function getContextName(type){return type.displayName||"Context";}function getComponentNameFromType(type){if(null==type)return null;if("number"==typeof type.tag&&error("Received an unexpected object in getComponentNameFromType(). This is likely a bug in React. Please file an issue."),"function"==typeof type)return type.displayName||type.name||null;if("string"==typeof type)return type;switch(type){case REACT_FRAGMENT_TYPE:return"Fragment";case REACT_PORTAL_TYPE:return"Portal";case REACT_PROFILER_TYPE:return"Profiler";case REACT_STRICT_MODE_TYPE:return"StrictMode";case REACT_SUSPENSE_TYPE:return"Suspense";case REACT_SUSPENSE_LIST_TYPE:return"SuspenseList";}if("object"==typeof type)switch(type.$$typeof){case REACT_CONTEXT_TYPE:return getContextName(type)+".Consumer";case REACT_PROVIDER_TYPE:return getContextName(type._context)+".Provider";case REACT_FORWARD_REF_TYPE:return function(outerType,innerType,wrapperName){var displayName=outerType.displayName;if(displayName)return displayName;var functionName=innerType.displayName||innerType.name||"";return""!==functionName?wrapperName+"("+functionName+")":wrapperName;}(type,type.render,"ForwardRef");case REACT_MEMO_TYPE:var outerName=type.displayName||null;return null!==outerName?outerName:getComponentNameFromType(type.type)||"Memo";case REACT_LAZY_TYPE:var lazyComponent=type,payload=lazyComponent._payload,init=lazyComponent._init;try{return getComponentNameFromType(init(payload));}catch(x){return null;}}return null;}REACT_MODULE_REFERENCE=Symbol.for("react.module.reference");var prevLog,prevInfo,prevWarn,prevError,prevGroup,prevGroupCollapsed,prevGroupEnd,assign=Object.assign,disabledDepth=0;function disabledLog(){}disabledLog.__reactDisabledLog=!0;var prefix,ReactCurrentDispatcher=ReactSharedInternals.ReactCurrentDispatcher;function describeBuiltInComponentFrame(name,source,ownerFn){if(void 0===prefix)try{throw Error();}catch(x){var match=x.stack.trim().match(/\n( *(at )?)/);prefix=match&&match[1]||"";}return"\n"+prefix+name;}var componentFrameCache,reentry=!1,PossiblyWeakMap="function"==typeof WeakMap?WeakMap:Map;function describeNativeComponentFrame(fn,construct){if(!fn||reentry)return"";var control,frame=componentFrameCache.get(fn);if(void 0!==frame)return frame;reentry=!0;var previousDispatcher,previousPrepareStackTrace=Error.prepareStackTrace;Error.prepareStackTrace=void 0,previousDispatcher=ReactCurrentDispatcher.current,ReactCurrentDispatcher.current=null,function(){if(0===disabledDepth){prevLog=console.log,prevInfo=console.info,prevWarn=console.warn,prevError=console.error,prevGroup=console.group,prevGroupCollapsed=console.groupCollapsed,prevGroupEnd=console.groupEnd;var props={configurable:!0,enumerable:!0,value:disabledLog,writable:!0};Object.defineProperties(console,{info:props,log:props,warn:props,error:props,group:props,groupCollapsed:props,groupEnd:props});}disabledDepth++;}();try{if(construct){var Fake=function(){throw Error();};if(Object.defineProperty(Fake.prototype,"props",{set:function(){throw Error();}}),"object"==typeof Reflect&&Reflect.construct){try{Reflect.construct(Fake,[]);}catch(x){control=x;}Reflect.construct(fn,[],Fake);}else{try{Fake.call();}catch(x){control=x;}fn.call(Fake.prototype);}}else{try{throw Error();}catch(x){control=x;}fn();}}catch(sample){if(sample&&control&&"string"==typeof sample.stack){for(var sampleLines=sample.stack.split("\n"),controlLines=control.stack.split("\n"),s=sampleLines.length-1,c=controlLines.length-1;s>=1&&c>=0&&sampleLines[s]!==controlLines[c];)c--;for(;s>=1&&c>=0;s--,c--)if(sampleLines[s]!==controlLines[c]){if(1!==s||1!==c)do{if(s--,--c<0||sampleLines[s]!==controlLines[c]){var _frame="\n"+sampleLines[s].replace(" at new "," at ");return fn.displayName&&_frame.includes("<anonymous>")&&(_frame=_frame.replace("<anonymous>",fn.displayName)),"function"==typeof fn&&componentFrameCache.set(fn,_frame),_frame;}}while(s>=1&&c>=0);break;}}}finally{reentry=!1,ReactCurrentDispatcher.current=previousDispatcher,function(){if(0==--disabledDepth){var props={configurable:!0,enumerable:!0,writable:!0};Object.defineProperties(console,{log:assign({},props,{value:prevLog}),info:assign({},props,{value:prevInfo}),warn:assign({},props,{value:prevWarn}),error:assign({},props,{value:prevError}),group:assign({},props,{value:prevGroup}),groupCollapsed:assign({},props,{value:prevGroupCollapsed}),groupEnd:assign({},props,{value:prevGroupEnd})});}disabledDepth<0&&error("disabledDepth fell below zero. This is a bug in React. Please file an issue.");}(),Error.prepareStackTrace=previousPrepareStackTrace;}var name=fn?fn.displayName||fn.name:"",syntheticFrame=name?describeBuiltInComponentFrame(name):"";return"function"==typeof fn&&componentFrameCache.set(fn,syntheticFrame),syntheticFrame;}function describeUnknownElementTypeFrameInDEV(type,source,ownerFn){if(null==type)return"";if("function"==typeof type)return describeNativeComponentFrame(type,!(!(prototype=type.prototype)||!prototype.isReactComponent));var prototype;if("string"==typeof type)return describeBuiltInComponentFrame(type);switch(type){case REACT_SUSPENSE_TYPE:return describeBuiltInComponentFrame("Suspense");case REACT_SUSPENSE_LIST_TYPE:return describeBuiltInComponentFrame("SuspenseList");}if("object"==typeof type)switch(type.$$typeof){case REACT_FORWARD_REF_TYPE:return describeNativeComponentFrame(type.render,!1);case REACT_MEMO_TYPE:return describeUnknownElementTypeFrameInDEV(type.type,source,ownerFn);case REACT_LAZY_TYPE:var lazyComponent=type,payload=lazyComponent._payload,init=lazyComponent._init;try{return describeUnknownElementTypeFrameInDEV(init(payload),source,ownerFn);}catch(x){}}return"";}componentFrameCache=new PossiblyWeakMap();var hasOwnProperty=Object.prototype.hasOwnProperty,loggedTypeFailures={},ReactDebugCurrentFrame=ReactSharedInternals.ReactDebugCurrentFrame;function setCurrentlyValidatingElement(element){if(element){var owner=element._owner,stack=describeUnknownElementTypeFrameInDEV(element.type,element._source,owner?owner.type:null);ReactDebugCurrentFrame.setExtraStackFrame(stack);}else ReactDebugCurrentFrame.setExtraStackFrame(null);}var isArrayImpl=Array.isArray;function isArray(a){return isArrayImpl(a);}function testStringCoercion(value){return""+value;}function checkKeyStringCoercion(value){if(function(value){try{return testStringCoercion(value),!1;}catch(e){return!0;}}(value))return error("The provided key is an unsupported type %s. This value must be coerced to a string before before using it here.",function(value){return"function"==typeof Symbol&&Symbol.toStringTag&&value[Symbol.toStringTag]||value.constructor.name||"Object";}(value)),testStringCoercion(value);}var specialPropKeyWarningShown,specialPropRefWarningShown,didWarnAboutStringRefs,ReactCurrentOwner=ReactSharedInternals.ReactCurrentOwner,RESERVED_PROPS={key:!0,ref:!0,__self:!0,__source:!0};didWarnAboutStringRefs={};var ReactElement=function(type,key,ref,self,source,owner,props){var element={$$typeof:REACT_ELEMENT_TYPE,type:type,key:key,ref:ref,props:props,_owner:owner,_store:{}};return Object.defineProperty(element._store,"validated",{configurable:!1,enumerable:!1,writable:!0,value:!1}),Object.defineProperty(element,"_self",{configurable:!1,enumerable:!1,writable:!1,value:self}),Object.defineProperty(element,"_source",{configurable:!1,enumerable:!1,writable:!1,value:source}),Object.freeze&&(Object.freeze(element.props),Object.freeze(element)),element;};function jsxDEV(type,config,maybeKey,source,self){var propName,props={},key=null,ref=null;for(propName in void 0!==maybeKey&&(checkKeyStringCoercion(maybeKey),key=""+maybeKey),function(config){if(hasOwnProperty.call(config,"key")){var getter=Object.getOwnPropertyDescriptor(config,"key").get;if(getter&&getter.isReactWarning)return!1;}return void 0!==config.key;}(config)&&(checkKeyStringCoercion(config.key),key=""+config.key),function(config){if(hasOwnProperty.call(config,"ref")){var getter=Object.getOwnPropertyDescriptor(config,"ref").get;if(getter&&getter.isReactWarning)return!1;}return void 0!==config.ref;}(config)&&(ref=config.ref,function(config,self){if("string"==typeof config.ref&&ReactCurrentOwner.current&&self&&ReactCurrentOwner.current.stateNode!==self){var componentName=getComponentNameFromType(ReactCurrentOwner.current.type);didWarnAboutStringRefs[componentName]||(error('Component "%s" contains the string ref "%s". Support for string refs will be removed in a future major release. This case cannot be automatically converted to an arrow function. We ask you to manually fix this case by using useRef() or createRef() instead. Learn more about using refs safely here: https://reactjs.org/link/strict-mode-string-ref',getComponentNameFromType(ReactCurrentOwner.current.type),config.ref),didWarnAboutStringRefs[componentName]=!0);}}(config,self)),config)hasOwnProperty.call(config,propName)&&!RESERVED_PROPS.hasOwnProperty(propName)&&(props[propName]=config[propName]);if(type&&type.defaultProps){var defaultProps=type.defaultProps;for(propName in defaultProps)void 0===props[propName]&&(props[propName]=defaultProps[propName]);}if(key||ref){var displayName="function"==typeof type?type.displayName||type.name||"Unknown":type;key&&function(props,displayName){var warnAboutAccessingKey=function(){specialPropKeyWarningShown||(specialPropKeyWarningShown=!0,error("%s: `key` is not a prop. Trying to access it will result in `undefined` being returned. If you need to access the same value within the child component, you should pass it as a different prop. (https://reactjs.org/link/special-props)",displayName));};warnAboutAccessingKey.isReactWarning=!0,Object.defineProperty(props,"key",{get:warnAboutAccessingKey,configurable:!0});}(props,displayName),ref&&function(props,displayName){var warnAboutAccessingRef=function(){specialPropRefWarningShown||(specialPropRefWarningShown=!0,error("%s: `ref` is not a prop. Trying to access it will result in `undefined` being returned. If you need to access the same value within the child component, you should pass it as a different prop. (https://reactjs.org/link/special-props)",displayName));};warnAboutAccessingRef.isReactWarning=!0,Object.defineProperty(props,"ref",{get:warnAboutAccessingRef,configurable:!0});}(props,displayName);}return ReactElement(type,key,ref,self,source,ReactCurrentOwner.current,props);}var propTypesMisspellWarningShown,ReactCurrentOwner$1=ReactSharedInternals.ReactCurrentOwner,ReactDebugCurrentFrame$1=ReactSharedInternals.ReactDebugCurrentFrame;function setCurrentlyValidatingElement$1(element){if(element){var owner=element._owner,stack=describeUnknownElementTypeFrameInDEV(element.type,element._source,owner?owner.type:null);ReactDebugCurrentFrame$1.setExtraStackFrame(stack);}else ReactDebugCurrentFrame$1.setExtraStackFrame(null);}function isValidElement(object){return"object"==typeof object&&null!==object&&object.$$typeof===REACT_ELEMENT_TYPE;}function getDeclarationErrorAddendum(){if(ReactCurrentOwner$1.current){var name=getComponentNameFromType(ReactCurrentOwner$1.current.type);if(name)return"\n\nCheck the render method of `"+name+"`.";}return"";}propTypesMisspellWarningShown=!1;var ownerHasKeyUseWarning={};function validateExplicitKey(element,parentType){if(element._store&&!element._store.validated&&null==element.key){element._store.validated=!0;var currentComponentErrorInfo=function(parentType){var info=getDeclarationErrorAddendum();if(!info){var parentName="string"==typeof parentType?parentType:parentType.displayName||parentType.name;parentName&&(info="\n\nCheck the top-level render call using <"+parentName+">.");}return info;}(parentType);if(!ownerHasKeyUseWarning[currentComponentErrorInfo]){ownerHasKeyUseWarning[currentComponentErrorInfo]=!0;var childOwner="";element&&element._owner&&element._owner!==ReactCurrentOwner$1.current&&(childOwner=" It was passed a child from "+getComponentNameFromType(element._owner.type)+"."),setCurrentlyValidatingElement$1(element),error('Each child in a list should have a unique "key" prop.%s%s See https://reactjs.org/link/warning-keys for more information.',currentComponentErrorInfo,childOwner),setCurrentlyValidatingElement$1(null);}}}function validateChildKeys(node,parentType){if("object"==typeof node)if(isArray(node))for(var i=0;i<node.length;i++){var child=node[i];isValidElement(child)&&validateExplicitKey(child,parentType);}else if(isValidElement(node))node._store&&(node._store.validated=!0);else if(node){var iteratorFn=function(maybeIterable){if(null===maybeIterable||"object"!=typeof maybeIterable)return null;var maybeIterator=MAYBE_ITERATOR_SYMBOL&&maybeIterable[MAYBE_ITERATOR_SYMBOL]||maybeIterable[FAUX_ITERATOR_SYMBOL];return"function"==typeof maybeIterator?maybeIterator:null;}(node);if("function"==typeof iteratorFn&&iteratorFn!==node.entries)for(var step,iterator=iteratorFn.call(node);!(step=iterator.next()).done;)isValidElement(step.value)&&validateExplicitKey(step.value,parentType);}}function validatePropTypes(element){var propTypes,type=element.type;if(null!=type&&"string"!=typeof type){if("function"==typeof type)propTypes=type.propTypes;else{if("object"!=typeof type||type.$$typeof!==REACT_FORWARD_REF_TYPE&&type.$$typeof!==REACT_MEMO_TYPE)return;propTypes=type.propTypes;}if(propTypes){var name=getComponentNameFromType(type);!function(typeSpecs,values,location,componentName,element){var has=Function.call.bind(hasOwnProperty);for(var typeSpecName in typeSpecs)if(has(typeSpecs,typeSpecName)){var error$1=void 0;try{if("function"!=typeof typeSpecs[typeSpecName]){var err=Error((componentName||"React class")+": "+location+" type `"+typeSpecName+"` is invalid; it must be a function, usually from the `prop-types` package, but received `"+typeof typeSpecs[typeSpecName]+"`.This often happens because of typos such as `PropTypes.function` instead of `PropTypes.func`.");throw err.name="Invariant Violation",err;}error$1=typeSpecs[typeSpecName](values,typeSpecName,componentName,location,null,"SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED");}catch(ex){error$1=ex;}!error$1||error$1 instanceof Error||(setCurrentlyValidatingElement(element),error("%s: type specification of %s `%s` is invalid; the type checker function must return `null` or an `Error` but returned a %s. You may have forgotten to pass an argument to the type checker creator (arrayOf, instanceOf, objectOf, oneOf, oneOfType, and shape all require an argument).",componentName||"React class",location,typeSpecName,typeof error$1),setCurrentlyValidatingElement(null)),error$1 instanceof Error&&!(error$1.message in loggedTypeFailures)&&(loggedTypeFailures[error$1.message]=!0,setCurrentlyValidatingElement(element),error("Failed %s type: %s",location,error$1.message),setCurrentlyValidatingElement(null));}}(propTypes,element.props,"prop",name,element);}else void 0===type.PropTypes||propTypesMisspellWarningShown||(propTypesMisspellWarningShown=!0,error("Component %s declared `PropTypes` instead of `propTypes`. Did you misspell the property assignment?",getComponentNameFromType(type)||"Unknown"));"function"!=typeof type.getDefaultProps||type.getDefaultProps.isReactClassApproved||error("getDefaultProps is only used on classic React.createClass definitions. Use a static property named `defaultProps` instead.");}}function jsxWithValidation(type,props,key,isStaticChildren,source,self){var validType=function(type){return"string"==typeof type||"function"==typeof type||!!(type===REACT_FRAGMENT_TYPE||type===REACT_PROFILER_TYPE||enableDebugTracing||type===REACT_STRICT_MODE_TYPE||type===REACT_SUSPENSE_TYPE||type===REACT_SUSPENSE_LIST_TYPE||enableLegacyHidden||type===REACT_OFFSCREEN_TYPE||enableScopeAPI||enableCacheElement||enableTransitionTracing)||"object"==typeof type&&null!==type&&(type.$$typeof===REACT_LAZY_TYPE||type.$$typeof===REACT_MEMO_TYPE||type.$$typeof===REACT_PROVIDER_TYPE||type.$$typeof===REACT_CONTEXT_TYPE||type.$$typeof===REACT_FORWARD_REF_TYPE||type.$$typeof===REACT_MODULE_REFERENCE||void 0!==type.getModuleId);}(type);if(!validType){var info="";(void 0===type||"object"==typeof type&&null!==type&&0===Object.keys(type).length)&&(info+=" You likely forgot to export your component from the file it's defined in, or you might have mixed up default and named imports.");var typeString,sourceInfo=function(source){return void 0!==source?"\n\nCheck your code at "+source.fileName.replace(/^.*[\\\/]/,"")+":"+source.lineNumber+".":"";}(source);info+=sourceInfo||getDeclarationErrorAddendum(),null===type?typeString="null":isArray(type)?typeString="array":void 0!==type&&type.$$typeof===REACT_ELEMENT_TYPE?(typeString="<"+(getComponentNameFromType(type.type)||"Unknown")+" />",info=" Did you accidentally export a JSX literal instead of a component?"):typeString=typeof type,error("React.jsx: type is invalid -- expected a string (for built-in components) or a class/function (for composite components) but got: %s.%s",typeString,info);}var element=jsxDEV(type,props,key,source,self);if(null==element)return element;if(validType){var children=props.children;if(void 0!==children)if(isStaticChildren){if(isArray(children)){for(var i=0;i<children.length;i++)validateChildKeys(children[i],type);Object.freeze&&Object.freeze(children);}else error("React.jsx: Static children should always be an array. You are likely explicitly calling React.jsxs or React.jsxDEV. Use the Babel transform instead.");}else validateChildKeys(children,type);}return type===REACT_FRAGMENT_TYPE?function(fragment){for(var keys=Object.keys(fragment.props),i=0;i<keys.length;i++){var key=keys[i];if("children"!==key&&"key"!==key){setCurrentlyValidatingElement$1(fragment),error("Invalid prop `%s` supplied to `React.Fragment`. React.Fragment can only have `key` and `children` props.",key),setCurrentlyValidatingElement$1(null);break;}}null!==fragment.ref&&(setCurrentlyValidatingElement$1(fragment),error("Invalid attribute `ref` supplied to `React.Fragment`."),setCurrentlyValidatingElement$1(null));}(element):validatePropTypes(element),element;}var jsx=function(type,props,key){return jsxWithValidation(type,props,key,!1);},jsxs=function(type,props,key){return jsxWithValidation(type,props,key,!0);};reactJsxRuntime_development.Fragment=REACT_FRAGMENT_TYPE,reactJsxRuntime_development.jsx=jsx,reactJsxRuntime_development.jsxs=jsxs;}()),reactJsxRuntime_development);var jsxRuntimeExports=jsxRuntime.exports,styles$5_closeButton="close-button-module_closeButton__6XZN-",styles$5_svgIcon="close-button-module_svgIcon__K3aw9";const CloseButton=({title="Close",onClick:onClick})=>jsxRuntimeExports.jsx("a",{className:styles$5_closeButton,role:"button",title:title,"aria-label":title,onClick:()=>{onClick?.();},children:jsxRuntimeExports.jsx("svg",{className:styles$5_svgIcon,viewBox:"0 0 1024 1024",children:jsxRuntimeExports.jsx("path",{d:"M150 150a512 512 0 11724 724 512 512 0 01-724-724zm69.3 64.2A418.5 418.5 0 0095.9 512a418.5 418.5 0 00123.4 297.8A418.5 418.5 0 00517 933.2 418.5 418.5 0 00815 809.8 418.5 418.5 0 00938.4 512 418.5 418.5 0 00815 214.2 418.5 418.5 0 00517 90.8a418.5 418.5 0 00-297.8 123.4zM655 304a46 46 0 0165 65L577 512l143 143a46 46 0 11-65 65L512 577 369 720a46 46 0 11-65-65l143-143-143-143a46 46 0 0165-65l143 143 143-143z"})})}),range=(start,stop,step=1)=>Array.from({length:(stop-start)/step+1},(_,i)=>start+i*step);function getNumXTicks(size){return Math.max(MIN_NUM_TICKS,Math.abs(size)/100);}function getNumYTicks(size){return Math.max(MIN_NUM_TICKS,Math.abs(size)/50);}const ChartType={AREA:"area",CANDLE:"candle",LINE:"line",OHLC:"ohlc"},Interval={I1M:"I1M",I5M:"I5M",I15M:"I15M",I30M:"I30M",I1H:"I1H",I4H:"I4H",I6H:"I6H",I8H:"I8H",I12H:"I12H",I1D:"I1D",I7D:"I7D"};function getSubMinutes(interval,visibleCandleCount){switch(interval){case Interval.I1M:return visibleCandleCount;case Interval.I5M:return 5*visibleCandleCount;case Interval.I15M:return 15*visibleCandleCount;case Interval.I30M:return 30*visibleCandleCount;case Interval.I1H:return 60*visibleCandleCount;case Interval.I4H:return 60*visibleCandleCount*4;case Interval.I6H:return 60*visibleCandleCount*6;case Interval.I8H:return 60*visibleCandleCount*8;case Interval.I12H:return 60*visibleCandleCount*12;case Interval.I1D:return 60*visibleCandleCount*24;case Interval.I7D:return 60*visibleCandleCount*24*7;default:throw new Error("Invalid interval");}}const getCandleWidth=interval=>{const[intervalValue,intervalUnit]=function(interval){const match=interval.match(/I(\d+)([MHD])/);if(!match)throw new Error("Invalid interval value");return[parseInt(match[1],10),match[2]];}(interval);let ms;switch(intervalUnit){case"M":ms=60*intervalValue*1e3;break;case"H":ms=60*intervalValue*60*1e3;break;case"D":ms=24*intervalValue*60*60*1e3;break;default:throw new Error("Invalid interval unit");}return ms;};function clearCanvas(canvas,ctx,fillStyle){ctx.save(),ctx.resetTransform(),ctx.clearRect(0,0,canvas.width,canvas.height),fillStyle&&(ctx.fillStyle=fillStyle,ctx.fillRect(0,0,canvas.width,canvas.height)),ctx.restore();}const COLORS={GRAY:"#6a6a6a",VEGA_RED:"#ff261a",VEGA_ORANGE:"#d9822b",VEGA_GREEN:"#26ff8a",VEGA_YELLOW:"#daff0d"};function mergeData(a,b){let i=0,j=0;const sortedA=[...a].sort((a,b)=>a.date.getTime()-b.date.getTime()),sortedB=[...b].sort((a,b)=>a.date.getTime()-b.date.getTime()),mergedArray=[];for(;i<sortedA.length&&j<sortedB.length;)sortedA[i].date<sortedB[j].date?mergedArray.push(sortedA[i++]):sortedA[i].date>sortedB[j].date?mergedArray.push(sortedB[j++]):(mergedArray.push(sortedA[i++]),j++);for(;i<sortedA.length;)mergedArray.push(sortedA[i++]);for(;j<sortedB.length;)mergedArray.push(sortedB[j++]);return mergedArray;}var t0=new Date(),t1=new Date();function newInterval(floori,offseti,count,field){function interval(date){return floori(date=0===arguments.length?new Date():new Date(+date)),date;}return interval.floor=function(date){return floori(date=new Date(+date)),date;},interval.ceil=function(date){return floori(date=new Date(date-1)),offseti(date,1),floori(date),date;},interval.round=function(date){var d0=interval(date),d1=interval.ceil(date);return date-d0<d1-date?d0:d1;},interval.offset=function(date,step){return offseti(date=new Date(+date),null==step?1:Math.floor(step)),date;},interval.range=function(start,stop,step){var previous,range=[];if(start=interval.ceil(start),step=null==step?1:Math.floor(step),!(start<stop&&step>0))return range;do{range.push(previous=new Date(+start)),offseti(start,step),floori(start);}while(previous<start&&start<stop);return range;},interval.filter=function(test){return newInterval(function(date){if(date>=date)for(;floori(date),!test(date);)date.setTime(date-1);},function(date,step){if(date>=date)if(step<0)for(;++step<=0;)for(;offseti(date,-1),!test(date););else for(;--step>=0;)for(;offseti(date,1),!test(date););});},count&&(interval.count=function(start,end){return t0.setTime(+start),t1.setTime(+end),floori(t0),floori(t1),Math.floor(count(t0,t1));},interval.every=function(step){return step=Math.floor(step),isFinite(step)&&step>0?step>1?interval.filter(field?function(d){return field(d)%step==0;}:function(d){return interval.count(0,d)%step==0;}):interval:null;}),interval;}var millisecond=newInterval(function(){},function(date,step){date.setTime(+date+step);},function(start,end){return end-start;});millisecond.every=function(k){return k=Math.floor(k),isFinite(k)&&k>0?k>1?newInterval(function(date){date.setTime(Math.floor(date/k)*k);},function(date,step){date.setTime(+date+step*k);},function(start,end){return(end-start)/k;}):millisecond:null;};var millisecond$1=millisecond;millisecond.range;var second=newInterval(function(date){date.setTime(date-date.getMilliseconds());},function(date,step){date.setTime(+date+1e3*step);},function(start,end){return(end-start)/1e3;},function(date){return date.getUTCSeconds();}),utcSecond=second;second.range;var minute=newInterval(function(date){date.setTime(date-date.getMilliseconds()-1e3*date.getSeconds());},function(date,step){date.setTime(+date+6e4*step);},function(start,end){return(end-start)/6e4;},function(date){return date.getMinutes();}),timeMinute=minute;minute.range;var hour=newInterval(function(date){date.setTime(date-date.getMilliseconds()-1e3*date.getSeconds()-6e4*date.getMinutes());},function(date,step){date.setTime(+date+36e5*step);},function(start,end){return(end-start)/36e5;},function(date){return date.getHours();}),timeHour=hour;hour.range;var day=newInterval(date=>date.setHours(0,0,0,0),(date,step)=>date.setDate(date.getDate()+step),(start,end)=>(end-start-6e4*(end.getTimezoneOffset()-start.getTimezoneOffset()))/864e5,date=>date.getDate()-1),timeDay=day;function weekday(i){return newInterval(function(date){date.setDate(date.getDate()-(date.getDay()+7-i)%7),date.setHours(0,0,0,0);},function(date,step){date.setDate(date.getDate()+7*step);},function(start,end){return(end-start-6e4*(end.getTimezoneOffset()-start.getTimezoneOffset()))/6048e5;});}day.range;var sunday=weekday(0),monday=weekday(1),tuesday=weekday(2),wednesday=weekday(3),thursday=weekday(4),friday=weekday(5),saturday=weekday(6);sunday.range,monday.range,tuesday.range,wednesday.range,thursday.range,friday.range,saturday.range;var month=newInterval(function(date){date.setDate(1),date.setHours(0,0,0,0);},function(date,step){date.setMonth(date.getMonth()+step);},function(start,end){return end.getMonth()-start.getMonth()+12*(end.getFullYear()-start.getFullYear());},function(date){return date.getMonth();}),timeMonth=month;month.range;var year=newInterval(function(date){date.setMonth(0,1),date.setHours(0,0,0,0);},function(date,step){date.setFullYear(date.getFullYear()+step);},function(start,end){return end.getFullYear()-start.getFullYear();},function(date){return date.getFullYear();});year.every=function(k){return isFinite(k=Math.floor(k))&&k>0?newInterval(function(date){date.setFullYear(Math.floor(date.getFullYear()/k)*k),date.setMonth(0,1),date.setHours(0,0,0,0);},function(date,step){date.setFullYear(date.getFullYear()+step*k);}):null;};var timeYear=year;year.range;var utcDay=newInterval(function(date){date.setUTCHours(0,0,0,0);},function(date,step){date.setUTCDate(date.getUTCDate()+step);},function(start,end){return(end-start)/864e5;},function(date){return date.getUTCDate()-1;}),utcDay$1=utcDay;function utcWeekday(i){return newInterval(function(date){date.setUTCDate(date.getUTCDate()-(date.getUTCDay()+7-i)%7),date.setUTCHours(0,0,0,0);},function(date,step){date.setUTCDate(date.getUTCDate()+7*step);},function(start,end){return(end-start)/6048e5;});}utcDay.range;var utcSunday=utcWeekday(0),utcMonday=utcWeekday(1),utcTuesday=utcWeekday(2),utcWednesday=utcWeekday(3),utcThursday=utcWeekday(4),utcFriday=utcWeekday(5),utcSaturday=utcWeekday(6);utcSunday.range,utcMonday.range,utcTuesday.range,utcWednesday.range,utcThursday.range,utcFriday.range,utcSaturday.range;var utcYear=newInterval(function(date){date.setUTCMonth(0,1),date.setUTCHours(0,0,0,0);},function(date,step){date.setUTCFullYear(date.getUTCFullYear()+step);},function(start,end){return end.getUTCFullYear()-start.getUTCFullYear();},function(date){return date.getUTCFullYear();});utcYear.every=function(k){return isFinite(k=Math.floor(k))&&k>0?newInterval(function(date){date.setUTCFullYear(Math.floor(date.getUTCFullYear()/k)*k),date.setUTCMonth(0,1),date.setUTCHours(0,0,0,0);},function(date,step){date.setUTCFullYear(date.getUTCFullYear()+step*k);}):null;};var utcYear$1=utcYear;function bisector$3(compare){return 1===compare.length&&(compare=function(f){return function(d,x){return function(a,b){return a<b?-1:a>b?1:a>=b?0:NaN;}(f(d),x);};}(compare)),{left:function(a,x,lo,hi){for(null==lo&&(lo=0),null==hi&&(hi=a.length);lo<hi;){var mid=lo+hi>>>1;compare(a[mid],x)<0?lo=mid+1:hi=mid;}return lo;},right:function(a,x,lo,hi){for(null==lo&&(lo=0),null==hi&&(hi=a.length);lo<hi;){var mid=lo+hi>>>1;compare(a[mid],x)>0?hi=mid:lo=mid+1;}return lo;}};}utcYear.range;var e10$1=Math.sqrt(50),e5$1=Math.sqrt(10),e2$1=Math.sqrt(2);function tickStep$1(start,stop,count){var step0=Math.abs(stop-start)/Math.max(0,count),step1=Math.pow(10,Math.floor(Math.log(step0)/Math.LN10)),error=step0/step1;return error>=e10$1?step1*=10:error>=e5$1?step1*=5:error>=e2$1&&(step1*=2),stop<start?-step1:step1;}const[timeTicks,timeTickInterval]=function(year,month,week,day,hour,minute){const tickIntervals=[[utcSecond,1,1e3],[utcSecond,5,5e3],[utcSecond,15,15e3],[utcSecond,30,3e4],[minute,1,6e4],[minute,5,3e5],[minute,15,9e5],[minute,30,18e5],[hour,1,36e5],[hour,3,108e5],[hour,6,216e5],[hour,12,432e5],[day,1,864e5],[day,2,1728e5],[week,1,6048e5],[month,1,2592e6],[month,3,7776e6],[year,1,31536e6]];function tickInterval(start,stop,count){const target=Math.abs(stop-start)/count,i=bisector$3(([,,step])=>step).right(tickIntervals,target);if(i===tickIntervals.length)return year.every(tickStep$1(start/31536e6,stop/31536e6,count));if(0===i)return millisecond$1.every(Math.max(tickStep$1(start,stop,count),1));const[t,step]=tickIntervals[target/tickIntervals[i-1][2]<tickIntervals[i][2]/target?i-1:i];return t.every(step);}return[function(start,stop,count){const reverse=stop<start;reverse&&([start,stop]=[stop,start]);const interval=count&&"function"==typeof count.range?count:tickInterval(start,stop,count),ticks=interval?interval.range(start,+stop+1):[];return reverse?ticks.reverse():ticks;},tickInterval];}(timeYear,timeMonth,sunday,timeDay,timeHour,timeMinute);function localDate(d){if(0<=d.y&&d.y<100){var date=new Date(-1,d.m,d.d,d.H,d.M,d.S,d.L);return date.setFullYear(d.y),date;}return new Date(d.y,d.m,d.d,d.H,d.M,d.S,d.L);}function utcDate(d){if(0<=d.y&&d.y<100){var date=new Date(Date.UTC(-1,d.m,d.d,d.H,d.M,d.S,d.L));return date.setUTCFullYear(d.y),date;}return new Date(Date.UTC(d.y,d.m,d.d,d.H,d.M,d.S,d.L));}function newDate(y,m,d){return{y:y,m:m,d:d,H:0,M:0,S:0,L:0};}var locale$1,timeFormat,pads={"-":"",_:" ",0:"0"},numberRe=/^\s*\d+/,percentRe=/^%/,requoteRe=/[\\^$*+?|[\]().{}]/g;function pad(value,fill,width){var sign=value<0?"-":"",string=(sign?-value:value)+"",length=string.length;return sign+(length<width?new Array(width-length+1).join(fill)+string:string);}function requote(s){return s.replace(requoteRe,"\\$&");}function formatRe(names){return new RegExp("^(?:"+names.map(requote).join("|")+")","i");}function formatLookup(names){return new Map(names.map((name,i)=>[name.toLowerCase(),i]));}function parseWeekdayNumberSunday(d,string,i){var n=numberRe.exec(string.slice(i,i+1));return n?(d.w=+n[0],i+n[0].length):-1;}function parseWeekdayNumberMonday(d,string,i){var n=numberRe.exec(string.slice(i,i+1));return n?(d.u=+n[0],i+n[0].length):-1;}function parseWeekNumberSunday(d,string,i){var n=numberRe.exec(string.slice(i,i+2));return n?(d.U=+n[0],i+n[0].length):-1;}function parseWeekNumberISO(d,string,i){var n=numberRe.exec(string.slice(i,i+2));return n?(d.V=+n[0],i+n[0].length):-1;}function parseWeekNumberMonday(d,string,i){var n=numberRe.exec(string.slice(i,i+2));return n?(d.W=+n[0],i+n[0].length):-1;}function parseFullYear(d,string,i){var n=numberRe.exec(string.slice(i,i+4));return n?(d.y=+n[0],i+n[0].length):-1;}function parseYear(d,string,i){var n=numberRe.exec(string.slice(i,i+2));return n?(d.y=+n[0]+(+n[0]>68?1900:2e3),i+n[0].length):-1;}function parseZone(d,string,i){var n=/^(Z)|([+-]\d\d)(?::?(\d\d))?/.exec(string.slice(i,i+6));return n?(d.Z=n[1]?0:-(n[2]+(n[3]||"00")),i+n[0].length):-1;}function parseQuarter(d,string,i){var n=numberRe.exec(string.slice(i,i+1));return n?(d.q=3*n[0]-3,i+n[0].length):-1;}function parseMonthNumber(d,string,i){var n=numberRe.exec(string.slice(i,i+2));return n?(d.m=n[0]-1,i+n[0].length):-1;}function parseDayOfMonth(d,string,i){var n=numberRe.exec(string.slice(i,i+2));return n?(d.d=+n[0],i+n[0].length):-1;}function parseDayOfYear(d,string,i){var n=numberRe.exec(string.slice(i,i+3));return n?(d.m=0,d.d=+n[0],i+n[0].length):-1;}function parseHour24(d,string,i){var n=numberRe.exec(string.slice(i,i+2));return n?(d.H=+n[0],i+n[0].length):-1;}function parseMinutes(d,string,i){var n=numberRe.exec(string.slice(i,i+2));return n?(d.M=+n[0],i+n[0].length):-1;}function parseSeconds(d,string,i){var n=numberRe.exec(string.slice(i,i+2));return n?(d.S=+n[0],i+n[0].length):-1;}function parseMilliseconds(d,string,i){var n=numberRe.exec(string.slice(i,i+3));return n?(d.L=+n[0],i+n[0].length):-1;}function parseMicroseconds(d,string,i){var n=numberRe.exec(string.slice(i,i+6));return n?(d.L=Math.floor(n[0]/1e3),i+n[0].length):-1;}function parseLiteralPercent(d,string,i){var n=percentRe.exec(string.slice(i,i+1));return n?i+n[0].length:-1;}function parseUnixTimestamp(d,string,i){var n=numberRe.exec(string.slice(i));return n?(d.Q=+n[0],i+n[0].length):-1;}function parseUnixTimestampSeconds(d,string,i){var n=numberRe.exec(string.slice(i));return n?(d.s=+n[0],i+n[0].length):-1;}function formatDayOfMonth(d,p){return pad(d.getDate(),p,2);}function formatHour24(d,p){return pad(d.getHours(),p,2);}function formatHour12(d,p){return pad(d.getHours()%12||12,p,2);}function formatDayOfYear(d,p){return pad(1+timeDay.count(timeYear(d),d),p,3);}function formatMilliseconds(d,p){return pad(d.getMilliseconds(),p,3);}function formatMicroseconds(d,p){return formatMilliseconds(d,p)+"000";}function formatMonthNumber(d,p){return pad(d.getMonth()+1,p,2);}function formatMinutes(d,p){return pad(d.getMinutes(),p,2);}function formatSeconds(d,p){return pad(d.getSeconds(),p,2);}function formatWeekdayNumberMonday(d){var day=d.getDay();return 0===day?7:day;}function formatWeekNumberSunday(d,p){return pad(sunday.count(timeYear(d)-1,d),p,2);}function dISO(d){var day=d.getDay();return day>=4||0===day?thursday(d):thursday.ceil(d);}function formatWeekNumberISO(d,p){return d=dISO(d),pad(thursday.count(timeYear(d),d)+(4===timeYear(d).getDay()),p,2);}function formatWeekdayNumberSunday(d){return d.getDay();}function formatWeekNumberMonday(d,p){return pad(monday.count(timeYear(d)-1,d),p,2);}function formatYear(d,p){return pad(d.getFullYear()%100,p,2);}function formatYearISO(d,p){return pad((d=dISO(d)).getFullYear()%100,p,2);}function formatFullYear(d,p){return pad(d.getFullYear()%1e4,p,4);}function formatFullYearISO(d,p){var day=d.getDay();return pad((d=day>=4||0===day?thursday(d):thursday.ceil(d)).getFullYear()%1e4,p,4);}function formatZone(d){var z=d.getTimezoneOffset();return(z>0?"-":(z*=-1,"+"))+pad(z/60|0,"0",2)+pad(z%60,"0",2);}function formatUTCDayOfMonth(d,p){return pad(d.getUTCDate(),p,2);}function formatUTCHour24(d,p){return pad(d.getUTCHours(),p,2);}function formatUTCHour12(d,p){return pad(d.getUTCHours()%12||12,p,2);}function formatUTCDayOfYear(d,p){return pad(1+utcDay$1.count(utcYear$1(d),d),p,3);}function formatUTCMilliseconds(d,p){return pad(d.getUTCMilliseconds(),p,3);}function formatUTCMicroseconds(d,p){return formatUTCMilliseconds(d,p)+"000";}function formatUTCMonthNumber(d,p){return pad(d.getUTCMonth()+1,p,2);}function formatUTCMinutes(d,p){return pad(d.getUTCMinutes(),p,2);}function formatUTCSeconds(d,p){return pad(d.getUTCSeconds(),p,2);}function formatUTCWeekdayNumberMonday(d){var dow=d.getUTCDay();return 0===dow?7:dow;}function formatUTCWeekNumberSunday(d,p){return pad(utcSunday.count(utcYear$1(d)-1,d),p,2);}function UTCdISO(d){var day=d.getUTCDay();return day>=4||0===day?utcThursday(d):utcThursday.ceil(d);}function formatUTCWeekNumberISO(d,p){return d=UTCdISO(d),pad(utcThursday.count(utcYear$1(d),d)+(4===utcYear$1(d).getUTCDay()),p,2);}function formatUTCWeekdayNumberSunday(d){return d.getUTCDay();}function formatUTCWeekNumberMonday(d,p){return pad(utcMonday.count(utcYear$1(d)-1,d),p,2);}function formatUTCYear(d,p){return pad(d.getUTCFullYear()%100,p,2);}function formatUTCYearISO(d,p){return pad((d=UTCdISO(d)).getUTCFullYear()%100,p,2);}function formatUTCFullYear(d,p){return pad(d.getUTCFullYear()%1e4,p,4);}function formatUTCFullYearISO(d,p){var day=d.getUTCDay();return pad((d=day>=4||0===day?utcThursday(d):utcThursday.ceil(d)).getUTCFullYear()%1e4,p,4);}function formatUTCZone(){return"+0000";}function formatLiteralPercent(){return"%";}function formatUnixTimestamp(d){return+d;}function formatUnixTimestampSeconds(d){return Math.floor(+d/1e3);}locale$1=function(locale){var locale_dateTime=locale.dateTime,locale_date=locale.date,locale_time=locale.time,locale_periods=locale.periods,locale_weekdays=locale.days,locale_shortWeekdays=locale.shortDays,locale_months=locale.months,locale_shortMonths=locale.shortMonths,periodRe=formatRe(locale_periods),periodLookup=formatLookup(locale_periods),weekdayRe=formatRe(locale_weekdays),weekdayLookup=formatLookup(locale_weekdays),shortWeekdayRe=formatRe(locale_shortWeekdays),shortWeekdayLookup=formatLookup(locale_shortWeekdays),monthRe=formatRe(locale_months),monthLookup=formatLookup(locale_months),shortMonthRe=formatRe(locale_shortMonths),shortMonthLookup=formatLookup(locale_shortMonths),formats={a:function(d){return locale_shortWeekdays[d.getDay()];},A:function(d){return locale_weekdays[d.getDay()];},b:function(d){return locale_shortMonths[d.getMonth()];},B:function(d){return locale_months[d.getMonth()];},c:null,d:formatDayOfMonth,e:formatDayOfMonth,f:formatMicroseconds,g:formatYearISO,G:formatFullYearISO,H:formatHour24,I:formatHour12,j:formatDayOfYear,L:formatMilliseconds,m:formatMonthNumber,M:formatMinutes,p:function(d){return locale_periods[+(d.getHours()>=12)];},q:function(d){return 1+~~(d.getMonth()/3);},Q:formatUnixTimestamp,s:formatUnixTimestampSeconds,S:formatSeconds,u:formatWeekdayNumberMonday,U:formatWeekNumberSunday,V:formatWeekNumberISO,w:formatWeekdayNumberSunday,W:formatWeekNumberMonday,x:null,X:null,y:formatYear,Y:formatFullYear,Z:formatZone,"%":formatLiteralPercent},utcFormats={a:function(d){return locale_shortWeekdays[d.getUTCDay()];},A:function(d){return locale_weekdays[d.getUTCDay()];},b:function(d){return locale_shortMonths[d.getUTCMonth()];},B:function(d){return locale_months[d.getUTCMonth()];},c:null,d:formatUTCDayOfMonth,e:formatUTCDayOfMonth,f:formatUTCMicroseconds,g:formatUTCYearISO,G:formatUTCFullYearISO,H:formatUTCHour24,I:formatUTCHour12,j:formatUTCDayOfYear,L:formatUTCMilliseconds,m:formatUTCMonthNumber,M:formatUTCMinutes,p:function(d){return locale_periods[+(d.getUTCHours()>=12)];},q:function(d){return 1+~~(d.getUTCMonth()/3);},Q:formatUnixTimestamp,s:formatUnixTimestampSeconds,S:formatUTCSeconds,u:formatUTCWeekdayNumberMonday,U:formatUTCWeekNumberSunday,V:formatUTCWeekNumberISO,w:formatUTCWeekdayNumberSunday,W:formatUTCWeekNumberMonday,x:null,X:null,y:formatUTCYear,Y:formatUTCFullYear,Z:formatUTCZone,"%":formatLiteralPercent},parses={a:function(d,string,i){var n=shortWeekdayRe.exec(string.slice(i));return n?(d.w=shortWeekdayLookup.get(n[0].toLowerCase()),i+n[0].length):-1;},A:function(d,string,i){var n=weekdayRe.exec(string.slice(i));return n?(d.w=weekdayLookup.get(n[0].toLowerCase()),i+n[0].length):-1;},b:function(d,string,i){var n=shortMonthRe.exec(string.slice(i));return n?(d.m=shortMonthLookup.get(n[0].toLowerCase()),i+n[0].length):-1;},B:function(d,string,i){var n=monthRe.exec(string.slice(i));return n?(d.m=monthLookup.get(n[0].toLowerCase()),i+n[0].length):-1;},c:function(d,string,i){return parseSpecifier(d,locale_dateTime,string,i);},d:parseDayOfMonth,e:parseDayOfMonth,f:parseMicroseconds,g:parseYear,G:parseFullYear,H:parseHour24,I:parseHour24,j:parseDayOfYear,L:parseMilliseconds,m:parseMonthNumber,M:parseMinutes,p:function(d,string,i){var n=periodRe.exec(string.slice(i));return n?(d.p=periodLookup.get(n[0].toLowerCase()),i+n[0].length):-1;},q:parseQuarter,Q:parseUnixTimestamp,s:parseUnixTimestampSeconds,S:parseSeconds,u:parseWeekdayNumberMonday,U:parseWeekNumberSunday,V:parseWeekNumberISO,w:parseWeekdayNumberSunday,W:parseWeekNumberMonday,x:function(d,string,i){return parseSpecifier(d,locale_date,string,i);},X:function(d,string,i){return parseSpecifier(d,locale_time,string,i);},y:parseYear,Y:parseFullYear,Z:parseZone,"%":parseLiteralPercent};function newFormat(specifier,formats){return function(date){var c,pad,format,string=[],i=-1,j=0,n=specifier.length;for(date instanceof Date||(date=new Date(+date));++i<n;)37===specifier.charCodeAt(i)&&(string.push(specifier.slice(j,i)),null!=(pad=pads[c=specifier.charAt(++i)])?c=specifier.charAt(++i):pad="e"===c?" ":"0",(format=formats[c])&&(c=format(date,pad)),string.push(c),j=i+1);return string.push(specifier.slice(j,i)),string.join("");};}function newParse(specifier,Z){return function(string){var week,day,d=newDate(1900,void 0,1);if(parseSpecifier(d,specifier,string+="",0)!=string.length)return null;if("Q"in d)return new Date(d.Q);if("s"in d)return new Date(1e3*d.s+("L"in d?d.L:0));if(Z&&!("Z"in d)&&(d.Z=0),"p"in d&&(d.H=d.H%12+12*d.p),void 0===d.m&&(d.m="q"in d?d.q:0),"V"in d){if(d.V<1||d.V>53)return null;"w"in d||(d.w=1),"Z"in d?(day=(week=utcDate(newDate(d.y,0,1))).getUTCDay(),week=day>4||0===day?utcMonday.ceil(week):utcMonday(week),week=utcDay$1.offset(week,7*(d.V-1)),d.y=week.getUTCFullYear(),d.m=week.getUTCMonth(),d.d=week.getUTCDate()+(d.w+6)%7):(day=(week=localDate(newDate(d.y,0,1))).getDay(),week=day>4||0===day?monday.ceil(week):monday(week),week=timeDay.offset(week,7*(d.V-1)),d.y=week.getFullYear(),d.m=week.getMonth(),d.d=week.getDate()+(d.w+6)%7);}else("W"in d||"U"in d)&&("w"in d||(d.w="u"in d?d.u%7:"W"in d?1:0),day="Z"in d?utcDate(newDate(d.y,0,1)).getUTCDay():localDate(newDate(d.y,0,1)).getDay(),d.m=0,d.d="W"in d?(d.w+6)%7+7*d.W-(day+5)%7:d.w+7*d.U-(day+6)%7);return"Z"in d?(d.H+=d.Z/100|0,d.M+=d.Z%100,utcDate(d)):localDate(d);};}function parseSpecifier(d,specifier,string,j){for(var c,parse,i=0,n=specifier.length,m=string.length;i<n;){if(j>=m)return-1;if(37===(c=specifier.charCodeAt(i++))){if(c=specifier.charAt(i++),!(parse=parses[c in pads?specifier.charAt(i++):c])||(j=parse(d,string,j))<0)return-1;}else if(c!=string.charCodeAt(j++))return-1;}return j;}return formats.x=newFormat(locale_date,formats),formats.X=newFormat(locale_time,formats),formats.c=newFormat(locale_dateTime,formats),utcFormats.x=newFormat(locale_date,utcFormats),utcFormats.X=newFormat(locale_time,utcFormats),utcFormats.c=newFormat(locale_dateTime,utcFormats),{format:function(specifier){var f=newFormat(specifier+="",formats);return f.toString=function(){return specifier;},f;},parse:function(specifier){var p=newParse(specifier+="",!1);return p.toString=function(){return specifier;},p;},utcFormat:function(specifier){var f=newFormat(specifier+="",utcFormats);return f.toString=function(){return specifier;},f;},utcParse:function(specifier){var p=newParse(specifier+="",!0);return p.toString=function(){return specifier;},p;}};}({dateTime:"%x, %X",date:"%-m/%-d/%Y",time:"%-I:%M:%S %p",periods:["AM","PM"],days:["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"],shortDays:["Sun","Mon","Tue","Wed","Thu","Fri","Sat"],months:["January","February","March","April","May","June","July","August","September","October","November","December"],shortMonths:["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"]}),timeFormat=locale$1.format,locale$1.parse,locale$1.utcFormat,locale$1.utcParse,timeFormat(".%L"),timeFormat(":%S");const formatMinute=timeFormat("%H:%M"),formatHour=timeFormat("%H:%M"),formatDay=timeFormat("%b %d");timeFormat("%b %d"),timeFormat("%B"),timeFormat("%Y");const formatter=(value,fractionDigits=5)=>isNaN(value)?"-":(fractionDigits=Math.max(0,fractionDigits),new Intl.NumberFormat("default",{maximumFractionDigits:fractionDigits,minimumFractionDigits:fractionDigits}).format(value));const numberFormatter=decimalPlaces=>new Intl.NumberFormat("default",{maximumFractionDigits:decimalPlaces,minimumFractionDigits:decimalPlaces});function defaultPriceFormat(price){return numberFormatter(2).format(price);}function defaultNumberFormat(price){return numberFormatter(2).format(price);}function calculateShiftedPositions(positions,height){let previousY=-1/0;const sortedYPositions=[...positions].sort((a,b)=>a-b),shiftedYPositions=sortedYPositions.reduce((p,y)=>{const ypx=y;let ny=ypx;return ypx-previousY<height&&(ny=previousY+height),p.push(ny),previousY=ny||ypx,p;},[]);return shiftedYPositions;}function ascending$3(a,b){return a<b?-1:a>b?1:a>=b?0:NaN;}function bisector$2(f){let delta=f,compare=f;function left(a,x,lo,hi){for(null==lo&&(lo=0),null==hi&&(hi=a.length);lo<hi;){const mid=lo+hi>>>1;compare(a[mid],x)<0?lo=mid+1:hi=mid;}return lo;}return 1===f.length&&(delta=(d,x)=>f(d)-x,compare=function(f){return(d,x)=>ascending$3(f(d),x);}(f)),{left:left,center:function(a,x,lo,hi){null==lo&&(lo=0),null==hi&&(hi=a.length);const i=left(a,x,lo,hi-1);return i>lo&&delta(a[i-1],x)>-delta(a[i],x)?i-1:i;},right:function(a,x,lo,hi){for(null==lo&&(lo=0),null==hi&&(hi=a.length);lo<hi;){const mid=lo+hi>>>1;compare(a[mid],x)>0?hi=mid:lo=mid+1;}return lo;}};}const ascendingBisect$1=bisector$2(ascending$3),bisectRight$1=ascendingBisect$1.right,bisectLeft=ascendingBisect$1.left;function extent(values,valueof){let min,max;if(void 0===valueof)for(const value of values)null!=value&&(void 0===min?value>=value&&(min=max=value):(min>value&&(min=value),max<value&&(max=value)));else{let index=-1;for(let value of values)null!=(value=valueof(value,++index,values))&&(void 0===min?value>=value&&(min=max=value):(min>value&&(min=value),max<value&&(max=value)));}return[min,max];}function max(values,valueof){let max;if(void 0===valueof)for(const value of values)null!=value&&(max<value||void 0===max&&value>=value)&&(max=value);else{let index=-1;for(let value of values)null!=(value=valueof(value,++index,values))&&(max<value||void 0===max&&value>=value)&&(max=value);}return max;}function min$1(values,valueof){let min;if(void 0===valueof)for(const value of values)null!=value&&(min>value||void 0===min&&value>=value)&&(min=value);else{let index=-1;for(let value of values)null!=(value=valueof(value,++index,values))&&(min>value||void 0===min&&value>=value)&&(min=value);}return min;}function mean$1(values,valueof){let count=0,sum=0;if(void 0===valueof)for(let value of values)null!=value&&(value=+value)>=value&&(++count,sum+=value);else{let index=-1;for(let value of values)null!=(value=valueof(value,++index,values))&&(value=+value)>=value&&(++count,sum+=value);}if(count)return sum/count;}function length$1(d){return d.length;}function zip$1(){return function(matrix){if(!(n=matrix.length))return[];for(var i=-1,m=min$1(matrix,length$1),transpose=new Array(m);++i<m;)for(var n,j=-1,row=transpose[i]=new Array(n);++j<n;)row[j]=matrix[j][i];return transpose;}(arguments);}function calculateScales(pane,data,yEncodingFields){if(!pane)return[0,1];if(yEncodingFields){const mappedData=yEncodingFields.flatMap(field=>data.map(d=>d[field])),domain=extent(mappedData),domainSize=Math.abs(domain[1]-domain[0]);return[domain[0]-.1*domainSize,domain[1]+.2*domainSize];}return[0,1];}bisector$2(function(x){return null===x?NaN:+x;}).center;const pi=Math.PI,tau$1=2*pi,tauEpsilon=tau$1-1e-6;function Path$1(){this._x0=this._y0=this._x1=this._y1=null,this._="";}function path(){return new Path$1();}function constant$4(x){return function(){return x;};}function array$1(x){return"object"==typeof x&&"length"in x?x:Array.from(x);}function Linear(context){this._context=context;}function curveLinear(context){return new Linear(context);}function x$1(p){return p[0];}function y$1(p){return p[1];}function line(x,y){var defined=constant$4(!0),context=null,curve=curveLinear,output=null;function line(data){var i,d,buffer,n=(data=array$1(data)).length,defined0=!1;for(null==context&&(output=curve(buffer=path())),i=0;i<=n;++i)!(i<n&&defined(d=data[i],i,data))===defined0&&((defined0=!defined0)?output.lineStart():output.lineEnd()),defined0&&output.point(+x(d,i,data),+y(d,i,data));if(buffer)return output=null,buffer+""||null;}return x="function"==typeof x?x:void 0===x?x$1:constant$4(x),y="function"==typeof y?y:void 0===y?y$1:constant$4(y),line.x=function(_){return arguments.length?(x="function"==typeof _?_:constant$4(+_),line):x;},line.y=function(_){return arguments.length?(y="function"==typeof _?_:constant$4(+_),line):y;},line.defined=function(_){return arguments.length?(defined="function"==typeof _?_:constant$4(!!_),line):defined;},line.curve=function(_){return arguments.length?(curve=_,null!=context&&(output=curve(context)),line):curve;},line.context=function(_){return arguments.length?(null==_?context=output=null:output=curve(context=_),line):context;},line;}function area(x0,y0,y1){var x1=null,defined=constant$4(!0),context=null,curve=curveLinear,output=null;function area(data){var i,j,k,d,buffer,n=(data=array$1(data)).length,defined0=!1,x0z=new Array(n),y0z=new Array(n);for(null==context&&(output=curve(buffer=path())),i=0;i<=n;++i){if(!(i<n&&defined(d=data[i],i,data))===defined0)if(defined0=!defined0)j=i,output.areaStart(),output.lineStart();else{for(output.lineEnd(),output.lineStart(),k=i-1;k>=j;--k)output.point(x0z[k],y0z[k]);output.lineEnd(),output.areaEnd();}defined0&&(x0z[i]=+x0(d,i,data),y0z[i]=+y0(d,i,data),output.point(x1?+x1(d,i,data):x0z[i],y1?+y1(d,i,data):y0z[i]));}if(buffer)return output=null,buffer+""||null;}function arealine(){return line().defined(defined).curve(curve).context(context);}return x0="function"==typeof x0?x0:void 0===x0?x$1:constant$4(+x0),y0="function"==typeof y0?y0:constant$4(void 0===y0?0:+y0),y1="function"==typeof y1?y1:void 0===y1?y$1:constant$4(+y1),area.x=function(_){return arguments.length?(x0="function"==typeof _?_:constant$4(+_),x1=null,area):x0;},area.x0=function(_){return arguments.length?(x0="function"==typeof _?_:constant$4(+_),area):x0;},area.x1=function(_){return arguments.length?(x1=null==_?null:"function"==typeof _?_:constant$4(+_),area):x1;},area.y=function(_){return arguments.length?(y0="function"==typeof _?_:constant$4(+_),y1=null,area):y0;},area.y0=function(_){return arguments.length?(y0="function"==typeof _?_:constant$4(+_),area):y0;},area.y1=function(_){return arguments.length?(y1=null==_?null:"function"==typeof _?_:constant$4(+_),area):y1;},area.lineX0=area.lineY0=function(){return arealine().x(x0).y(y0);},area.lineY1=function(){return arealine().x(x0).y(y1);},area.lineX1=function(){return arealine().x(x1).y(y0);},area.defined=function(_){return arguments.length?(defined="function"==typeof _?_:constant$4(!!_),area):defined;},area.curve=function(_){return arguments.length?(curve=_,null!=context&&(output=curve(context)),area):curve;},area.context=function(_){return arguments.length?(null==_?context=output=null:output=curve(context=_),area):context;},area;}function Step(context,t){this._context=context,this._t=t;}function stepBefore(context){return new Step(context,0);}function stepAfter(context){return new Step(context,1);}function stackOffsetNone(series,order){if((n=series.length)>1)for(var j,s0,n,i=1,s1=series[order[0]],m=s1.length;i<n;++i)for(s0=s1,s1=series[order[i]],j=0;j<m;++j)s1[j][1]+=s1[j][0]=isNaN(s0[j][1])?s0[j][0]:s0[j][1];}function stackOrderNone(series){for(var n=series.length,o=new Array(n);--n>=0;)o[n]=n;return o;}function stackValue(d,key){return d[key];}function stackSeries(key){const series=[];return series.key=key,series;}Path$1.prototype=path.prototype={constructor:Path$1,moveTo:function(x,y){this._+="M"+(this._x0=this._x1=+x)+","+(this._y0=this._y1=+y);},closePath:function(){null!==this._x1&&(this._x1=this._x0,this._y1=this._y0,this._+="Z");},lineTo:function(x,y){this._+="L"+(this._x1=+x)+","+(this._y1=+y);},quadraticCurveTo:function(x1,y1,x,y){this._+="Q"+ +x1+","+ +y1+","+(this._x1=+x)+","+(this._y1=+y);},bezierCurveTo:function(x1,y1,x2,y2,x,y){this._+="C"+ +x1+","+ +y1+","+ +x2+","+ +y2+","+(this._x1=+x)+","+(this._y1=+y);},arcTo:function(x1,y1,x2,y2,r){x1=+x1,y1=+y1,x2=+x2,y2=+y2,r=+r;var x0=this._x1,y0=this._y1,x21=x2-x1,y21=y2-y1,x01=x0-x1,y01=y0-y1,l01_2=x01*x01+y01*y01;if(r<0)throw new Error("negative radius: "+r);if(null===this._x1)this._+="M"+(this._x1=x1)+","+(this._y1=y1);else if(l01_2>1e-6){if(Math.abs(y01*x21-y21*x01)>1e-6&&r){var x20=x2-x0,y20=y2-y0,l21_2=x21*x21+y21*y21,l20_2=x20*x20+y20*y20,l21=Math.sqrt(l21_2),l01=Math.sqrt(l01_2),l=r*Math.tan((pi-Math.acos((l21_2+l01_2-l20_2)/(2*l21*l01)))/2),t01=l/l01,t21=l/l21;Math.abs(t01-1)>1e-6&&(this._+="L"+(x1+t01*x01)+","+(y1+t01*y01)),this._+="A"+r+","+r+",0,0,"+ +(y01*x20>x01*y20)+","+(this._x1=x1+t21*x21)+","+(this._y1=y1+t21*y21);}else this._+="L"+(this._x1=x1)+","+(this._y1=y1);}else;},arc:function(x,y,r,a0,a1,ccw){x=+x,y=+y,ccw=!!ccw;var dx=(r=+r)*Math.cos(a0),dy=r*Math.sin(a0),x0=x+dx,y0=y+dy,cw=1^ccw,da=ccw?a0-a1:a1-a0;if(r<0)throw new Error("negative radius: "+r);null===this._x1?this._+="M"+x0+","+y0:(Math.abs(this._x1-x0)>1e-6||Math.abs(this._y1-y0)>1e-6)&&(this._+="L"+x0+","+y0),r&&(da<0&&(da=da%tau$1+tau$1),da>tauEpsilon?this._+="A"+r+","+r+",0,1,"+cw+","+(x-dx)+","+(y-dy)+"A"+r+","+r+",0,1,"+cw+","+(this._x1=x0)+","+(this._y1=y0):da>1e-6&&(this._+="A"+r+","+r+",0,"+ +(da>=pi)+","+cw+","+(this._x1=x+r*Math.cos(a1))+","+(this._y1=y+r*Math.sin(a1))));},rect:function(x,y,w,h){this._+="M"+(this._x0=this._x1=+x)+","+(this._y0=this._y1=+y)+"h"+ +w+"v"+ +h+"h"+-w+"Z";},toString:function(){return this._;}},Linear.prototype={areaStart:function(){this._line=0;},areaEnd:function(){this._line=NaN;},lineStart:function(){this._point=0;},lineEnd:function(){(this._line||0!==this._line&&1===this._point)&&this._context.closePath(),this._line=1-this._line;},point:function(x,y){switch(x=+x,y=+y,this._point){case 0:this._point=1,this._line?this._context.lineTo(x,y):this._context.moveTo(x,y);break;case 1:this._point=2;default:this._context.lineTo(x,y);}}},Step.prototype={areaStart:function(){this._line=0;},areaEnd:function(){this._line=NaN;},lineStart:function(){this._x=this._y=NaN,this._point=0;},lineEnd:function(){0<this._t&&this._t<1&&2===this._point&&this._context.lineTo(this._x,this._y),(this._line||0!==this._line&&1===this._point)&&this._context.closePath(),this._line>=0&&(this._t=1-this._t,this._line=1-this._line);},point:function(x,y){switch(x=+x,y=+y,this._point){case 0:this._point=1,this._line?this._context.lineTo(x,y):this._context.moveTo(x,y);break;case 1:this._point=2;default:if(this._t<=0)this._context.lineTo(this._x,y),this._context.lineTo(x,y);else{var x1=this._x*(1-this._t)+x*this._t;this._context.lineTo(x1,this._y),this._context.lineTo(x1,y);}}this._x=x,this._y=y;}};class AreaElement{get x(){return this.points[0][0];}constructor(cfg){this.points=void 0,this.fill=void 0,this.line=void 0,this.areaGenerator=area().curve(curveLinear),this.lineGenerator=line().curve(curveLinear);const{points:points,fill:fill,line:line$1}=cfg;this.points=points,this.fill=fill,this.line=line$1;}draw(ctx,xScale,yScale){let fill;if(this.areaGenerator.x(d=>xScale(d[0])).y0(d=>yScale(d[1])).y1(d=>yScale(d[2])),this.lineGenerator.x(d=>xScale(d[0])).y(d=>yScale(d[2])),"string"==typeof this.fill)fill=this.fill;else{fill=ctx.createLinearGradient(0,yScale.range()[1],0,yScale.range()[0]);for(const stop of this.fill.stops)fill.addColorStop(stop.offset,stop.color);}this.areaGenerator.context(ctx),this.lineGenerator.context(ctx),this.points.length>1&&(ctx.beginPath(),this.areaGenerator(this.points),ctx.fillStyle=fill,ctx.globalAlpha=.7,ctx.fill(),ctx.globalAlpha=1,ctx.closePath(),this.line&&(ctx.beginPath(),this.lineGenerator(this.points),ctx.lineWidth=2,ctx.strokeStyle=this.line,ctx.stroke(),ctx.closePath()));}}class BarElement{constructor(cfg){this.x=void 0,this.y=void 0,this.width=void 0,this.height=void 0,this.fill=void 0,this.stroke=void 0,this.lineWidth=void 0;const{x:x,y:y,width:width,height:height,fill:fill,stroke:stroke,lineWidth:lineWidth}=cfg;this.x=x,this.y=y,this.width=width,this.height=height,this.fill=fill,this.stroke=stroke,this.lineWidth=lineWidth;}draw(ctx,xScale,yScale,pixelRatio=1){ctx.beginPath();const pixelWidth=Math.max(xScale(this.width)-xScale(0),1/pixelRatio);ctx.rect(xScale(this.x.getTime()-this.width/2),yScale(this.y),pixelWidth,Math.abs(yScale(this.height)-yScale(0))),ctx.fillStyle=this.fill,ctx.fill(),this.stroke&&(ctx.lineWidth=this.lineWidth/pixelRatio,ctx.strokeStyle=this.stroke,ctx.stroke());}}class CrosshairElement{draw(ctx,xScale,yScale,pixelRatio=1,position,color){!function(ctx,xScale,yScale,position,color){const x=position[0],y=position[1],xRange=xScale.range().map(Math.round),yRange=yScale.range().map(Math.round);ctx.save(),ctx.setLineDash([4,6]),ctx.lineWidth=1,ctx.strokeStyle=color,x&&(ctx.beginPath(),ctx.moveTo(Math.round(xScale(x)),yRange[0]),ctx.lineTo(Math.round(xScale(x)),yRange[1]),ctx.stroke(),ctx.closePath()),y&&(ctx.beginPath(),ctx.moveTo(xRange[0],Math.round(yScale(y))),ctx.lineTo(xRange[1],Math.round(yScale(y))),ctx.stroke(),ctx.closePath()),ctx.restore();}(ctx,xScale,yScale,position,color);}}class DummyElement{constructor(cfg){this.x=void 0;const{x:x}=cfg;this.x=x;}draw(_ctx,_xScale,_yScale){}}class GridElement{draw(ctx,xScale,yScale,pixelRatio=1,color){!function(ctx,xScale,yScale,pixelRatio=1,color){const xRange=xScale.range().map(Math.round),yRange=yScale.range().map(Math.round),numXTicks=getNumXTicks(xRange[1]-xRange[0]),numYTicks=getNumYTicks(yRange[1]-yRange[0]),xTicks=xScale.ticks(numXTicks),yTicks=yScale.ticks(numYTicks);for(const tick of xTicks)ctx.save(),ctx.beginPath(),ctx.strokeStyle=color,ctx.fillStyle="transparent",ctx.lineWidth=1/pixelRatio,ctx.moveTo(xScale(tick),yRange[0]),ctx.lineTo(xScale(tick),yRange[1]),ctx.fill(),ctx.stroke(),ctx.closePath(),ctx.restore();for(const tick of yTicks)ctx.save(),ctx.beginPath(),ctx.strokeStyle=color,ctx.fillStyle="transparent",ctx.lineWidth=1/pixelRatio,ctx.moveTo(xRange[0],yScale(tick)),ctx.lineTo(xRange[1],yScale(tick)),ctx.fill(),ctx.stroke(),ctx.closePath(),ctx.restore();}(ctx,xScale,yScale,pixelRatio,color);}}function addLabel(ctx,xScale,yScale,pixelRatio,label,y,colors){const stroke="success"===label.intent?colors.buyStroke:colors.sellStroke;ctx.font="14px sans-serif",ctx.textBaseline="middle",ctx.lineWidth=2,ctx.strokeStyle=stroke;const totalWidth=function(values,valueof){let sum=0;if(void 0===valueof)for(let value of values)(value=+value)&&(sum+=value);else{let index=-1;for(let value of values)(value=+valueof(value,++index,values))&&(sum+=value);}return sum;}(label.cells.map(cell=>ctx.measureText(cell.label).width+8));ctx.beginPath(),ctx.setLineDash([2*pixelRatio,3*pixelRatio]),ctx.moveTo(totalWidth,y),ctx.lineTo(Math.max(xScale.range()[1]/2,totalWidth),yScale(label.y)),ctx.lineTo(xScale.range()[1],yScale(label.y)),ctx.stroke(),ctx.closePath();}class LabelAnnotationElement{constructor(cfg){this.labels=void 0;const{labels:labels}=cfg;this.labels=[...labels].sort((a,b)=>b.y-a.y);}draw(ctx,xScale,yScale,pixelRatio=1,colors){const shiftedYPositions=calculateShiftedPositions(this.labels.map(label=>yScale(label.y)),22);for(let i=0;i<this.labels.length;i++)addLabel(ctx,xScale,yScale,pixelRatio,this.labels[i],shiftedYPositions[i],colors);}}class LineElement{get x(){return this.points[0][0];}constructor(cfg){this.points=void 0,this.color=void 0,this.lineGenerator=line().curve(curveLinear);const{points:points,color:color}=cfg;this.points=points,this.color=color;}draw(ctx,xScale,yScale,pixelRatio=1){this.lineGenerator.x(d=>xScale(d[0])).y(d=>yScale(d[1])),this.lineGenerator.context(ctx),this.points.length>1&&(ctx.beginPath(),this.lineGenerator(this.points),ctx.strokeStyle=this.color,ctx.lineCap="butt",ctx.lineWidth=2/pixelRatio,ctx.stroke(),ctx.closePath());}}class RuleElement{constructor(cfg){this.x=void 0,this.x2=void 0,this.y=void 0,this.y2=void 0,this.color=void 0;const{x:x,x2:x2,y:y,y2:y2,color:color}=cfg;this.x=x,this.x2=x2,this.y=y,this.y2=y2,this.color=color;}draw(ctx,xScale,yScale,pixelRatio=1){let x,x2,y,y2;null===this.x?(x=xScale.range()[0],x2=xScale.range()[1],y=yScale(this.y),y2=null===this.y2?y:yScale(this.y2)):null===this.y?(x=xScale(this.x),x2=null===this.x2?x:xScale(this.x2),y=yScale.range()[0],y2=yScale.range()[1]):(x=xScale(this.x),x2=null===this.x2?x:xScale(this.x2),y=yScale(this.y),y2=null===this.y2?y:yScale(this.y2)),ctx.beginPath(),ctx.moveTo(x,y),ctx.lineTo(x2,y2),ctx.strokeStyle=this.color,ctx.lineCap="butt",ctx.lineWidth=2/pixelRatio,ctx.stroke(),ctx.closePath();}}class TickElement{constructor(cfg){this.x=void 0,this.y=void 0,this.width=void 0,this.color=void 0,this.orient=void 0;const{x:x,y:y,width:width,color:color,orient:orient}=cfg;this.x=x,this.y=y,this.width=width,this.color=color,this.orient=orient;}draw(ctx,xScale,yScale,pixelRatio=1){ctx.beginPath(),ctx.moveTo(xScale(this.x.getTime()-("left"===this.orient?this.width/2:0)),yScale(this.y)),ctx.lineTo(xScale(this.x.getTime()+("right"===this.orient?this.width/2:0)),yScale(this.y)),ctx.strokeStyle=this.color,ctx.lineCap="butt",ctx.lineWidth=2/pixelRatio,ctx.stroke(),ctx.closePath();}}function addXAxisPath(ctx,xScale,pixelRatio,interval,color){ctx.strokeStyle="#fff";const xRange=xScale.range(),numXTicks=getNumXTicks(xRange[1]-xRange[0]),xTicks=xScale.ticks(numXTicks),xTickLabels=function(ticks,interval){switch(interval){case Interval.I1M:case Interval.I5M:case Interval.I15M:case Interval.I30M:{const arr=[];for(let i=0;i<ticks.length;i++)0===i&&timeDay(ticks[i])<ticks[i]||i>0&&ticks[i-1].getDay()===ticks[i].getDay()?arr.push(format$1(ticks[i],"HH:mm")):arr.push(format$1(ticks[i],"d"));return arr;}case Interval.I1H:case Interval.I4H:case Interval.I6H:case Interval.I8H:case Interval.I12H:{const arr=[];for(let i=0;i<ticks.length;i++)0===i&&timeDay(ticks[i])<ticks[i]||i>0&&ticks[i-1].getDay()===ticks[i].getDay()?arr.push(format$1(ticks[i],"HH:mm")):arr.push(format$1(ticks[i],"d"));return arr;}case Interval.I7D:case Interval.I1D:{const arr=[];for(let i=0;i<ticks.length;i++)0===i&&timeMonth(ticks[i])<ticks[i]||i>0&&ticks[i-1].getMonth()===ticks[i].getMonth()?arr.push(format$1(ticks[i],"d")):arr.push(format$1(ticks[i],"d LLL"));return arr;}}}(xTicks,interval);for(let i=0;i<xTicks.length;i++)ctx.beginPath(),ctx.fillStyle=color,ctx.textBaseline="top",ctx.textAlign="center",ctx.font='12px "Roboto Mono", monospace',ctx.fillText(xTickLabels?.[i]??"",xScale(xTicks[i]),9),ctx.closePath();}class XAxisElement{draw(ctx,xScale,_yScale,pixelRatio=1,interval,color){addXAxisPath(ctx,xScale,0,interval,color);}}function addXAxisTooltipPath(ctx,xScale,pixelRatio,position,interval,colors){if(position){const x=xScale(position),height=24.5;ctx.font="12px monospace",ctx.textAlign="center",ctx.textBaseline="middle";const xPad=5,text=function(date,interval){switch(interval){case Interval.I1M:case Interval.I5M:case Interval.I15M:case Interval.I30M:return formatMinute(date);case Interval.I1H:case Interval.I4H:case Interval.I6H:case Interval.I8H:case Interval.I12H:return formatHour(date);case Interval.I1D:case Interval.I7D:return formatDay(date);}}(xScale.invert(x),interval),rectWidth=ctx.measureText(text??"").width+2*xPad,rectHeight=19;let xAdjusted=x;x-rectWidth/2<0&&(xAdjusted=rectWidth/2),x+rectWidth/2>xScale.range()[1]&&(xAdjusted=xScale.range()[1]-rectWidth/2),ctx.beginPath(),ctx.moveTo(x,height-rectHeight-5),ctx.lineTo(x+5,height-rectHeight),ctx.lineTo(xAdjusted+rectWidth/2,height-rectHeight),ctx.lineTo(xAdjusted+rectWidth/2,height),ctx.lineTo(xAdjusted-rectWidth/2,height),ctx.lineTo(xAdjusted-rectWidth/2,height-rectHeight),ctx.lineTo(x-5,height-rectHeight),ctx.closePath(),ctx.fillStyle=colors.backgroundSurface,ctx.strokeStyle=colors.emphasis300,ctx.fill(),ctx.stroke(),ctx.closePath(),ctx.beginPath(),ctx.fillStyle=colors.textPrimary,ctx.fillText(text??"",xAdjusted,height-rectHeight/2),ctx.closePath();}}class XAxisTooltipElement{draw(ctx,xScale,_yScale,pixelRatio=1,position,interval,colors){addXAxisTooltipPath(ctx,xScale,0,position,interval,colors);}}let SHAPES=function(SHAPES){return SHAPES.RECT="Rectangle",SHAPES.LINE="Line",SHAPES.AREA="Area",SHAPES.POLY="Polygon",SHAPES.CIRCLE="Circle",SHAPES;}({});class Rectangle{constructor(x=0,y=0,width=0,height=0){this.x=0,this.y=0,this.width=0,this.height=0,this.type=void 0,this.x=x,this.y=y,this.width=width,this.height=height,this.type=SHAPES.RECT;}get left(){return this.x;}get right(){return this.x+this.width;}get top(){return this.y;}get bottom(){return this.y+this.height;}static get EMPTY(){return new Rectangle(0,0,0,0);}clone(){return new Rectangle(this.x,this.y,this.width,this.height);}copyFrom(rectangle){return this.x=rectangle.x,this.y=rectangle.y,this.width=rectangle.width,this.height=rectangle.height,this;}copyTo(rectangle){return rectangle.x=this.x,rectangle.y=this.y,rectangle.width=this.width,rectangle.height=this.height,rectangle;}contains(x,y){return!(this.width<=0||this.height<=0)&&x>=this.x&&x<this.x+this.width&&y>=this.y&&y<this.y+this.height;}}class Circle{constructor(x=0,y=0,radius=0){this.x=void 0,this.y=void 0,this.radius=void 0,this.type=void 0,this.x=x,this.y=y,this.radius=radius,this.type=SHAPES.CIRCLE;}clone(){return new Circle(this.x,this.y,this.radius);}contains(x,y){if(this.radius<=0)return!1;const r2=this.radius*this.radius;let dx=this.x-x,dy=this.y-y;return dx*=dx,dy*=dy,dx+dy<=r2;}getBounds(){return new Rectangle(this.x-this.radius,this.y-this.radius,2*this.radius,2*this.radius);}}class Line{constructor(data=[],curve=curveLinear){this.data=[],this.curve=void 0,this.type=void 0,this.data=data,this.curve=curve,this.type=SHAPES.LINE;}clone(){return new Line(this.data,this.curve);}copyFrom(line){return this.data=line.data,this.curve=line.curve,this;}copyTo(line){return line.data=this.data,line.curve=this.curve,line;}contains(x,y){return!1;}}let Polygon$1=class Polygon{constructor(...points){this.points=void 0,this.closeStroke=void 0,this.type=void 0;let flat=Array.isArray(points[0])?points[0]:points;if("number"!=typeof flat[0]){const p=[];for(let i=0,il=flat.length;i<il;i++)p.push(flat[i].x,flat[i].y);flat=p;}this.points=flat,this.type=SHAPES.POLY,this.closeStroke=!0;}clone(){const points=this.points.slice(),polygon=new Polygon(points);return polygon.closeStroke=this.closeStroke,polygon;}contains(x,y){let inside=!1;const length=this.points.length/2;for(let i=0,j=length-1;i<length;j=i++){const xi=this.points[2*i],yi=this.points[2*i+1],xj=this.points[2*j],yj=this.points[2*j+1];yi>y!=yj>y&&x<(y-yi)/(yj-yi)*(xj-xi)+xi&&(inside=!inside);}return inside;}};class Point{constructor(x=0,y=0){this.x=0,this.y=0,this.x=x,this.y=y;}clone(){return new Point(this.x,this.y);}copyFrom(p){return this.set(p.x,p.y),this;}copyTo(p){return p.set(this.x,this.y),p;}equals(p){return p.x===this.x&&p.y===this.y;}set(x=0,y=x){return this.x=x,this.y=y,this;}}class Matrix{constructor(a=1,b=0,c=0,d=1,tx=0,ty=0){this.a=void 0,this.b=void 0,this.c=void 0,this.d=void 0,this.tx=void 0,this.ty=void 0,this.array=null,this.a=a,this.b=b,this.c=c,this.d=d,this.tx=tx,this.ty=ty;}fromArray(array){this.a=array[0],this.b=array[1],this.c=array[3],this.d=array[4],this.tx=array[2],this.ty=array[5];}set(a,b,c,d,tx,ty){return this.a=a,this.b=b,this.c=c,this.d=d,this.tx=tx,this.ty=ty,this;}toArray(transpose,out){this.array||(this.array=new Float32Array(9));const array=out||this.array;return transpose?(array[0]=this.a,array[1]=this.b,array[2]=0,array[3]=this.c,array[4]=this.d,array[5]=0,array[6]=this.tx,array[7]=this.ty,array[8]=1):(array[0]=this.a,array[1]=this.c,array[2]=this.tx,array[3]=this.b,array[4]=this.d,array[5]=this.ty,array[6]=0,array[7]=0,array[8]=1),array;}apply(pos,newPos){newPos=newPos||new Point();const x=pos.x,y=pos.y;return newPos.x=this.a*x+this.c*y+this.tx,newPos.y=this.b*x+this.d*y+this.ty,newPos;}applyInverse(pos,newPos){newPos=newPos||new Point();const id=1/(this.a*this.d+this.c*-this.b),x=pos.x,y=pos.y;return newPos.x=this.d*id*x+-this.c*id*y+(this.ty*this.c-this.tx*this.d)*id,newPos.y=this.a*id*y+-this.b*id*x+(-this.ty*this.a+this.tx*this.b)*id,newPos;}translate(x,y){return this.tx+=x,this.ty+=y,this;}scale(x,y){return this.a*=x,this.d*=y,this.c*=x,this.b*=y,this.tx*=x,this.ty*=y,this;}rotate(angle){const cos=Math.cos(angle),sin=Math.sin(angle),a1=this.a,c1=this.c,tx1=this.tx;return this.a=a1*cos-this.b*sin,this.b=a1*sin+this.b*cos,this.c=c1*cos-this.d*sin,this.d=c1*sin+this.d*cos,this.tx=tx1*cos-this.ty*sin,this.ty=tx1*sin+this.ty*cos,this;}append(matrix){const a1=this.a,b1=this.b,c1=this.c,d1=this.d;return this.a=matrix.a*a1+matrix.b*c1,this.b=matrix.a*b1+matrix.b*d1,this.c=matrix.c*a1+matrix.d*c1,this.d=matrix.c*b1+matrix.d*d1,this.tx=matrix.tx*a1+matrix.ty*c1+this.tx,this.ty=matrix.tx*b1+matrix.ty*d1+this.ty,this;}setTransform(x,y,pivotX,pivotY,scaleX,scaleY,rotation,skewX,skewY){return this.a=Math.cos(rotation+skewY)*scaleX,this.b=Math.sin(rotation+skewY)*scaleX,this.c=-Math.sin(rotation-skewX)*scaleY,this.d=Math.cos(rotation-skewX)*scaleY,this.tx=x-(pivotX*this.a+pivotY*this.c),this.ty=y-(pivotX*this.b+pivotY*this.d),this;}prepend(matrix){const tx1=this.tx;if(1!==matrix.a||0!==matrix.b||0!==matrix.c||1!==matrix.d){const a1=this.a,c1=this.c;this.a=a1*matrix.a+this.b*matrix.c,this.b=a1*matrix.b+this.b*matrix.d,this.c=c1*matrix.a+this.d*matrix.c,this.d=c1*matrix.b+this.d*matrix.d;}return this.tx=tx1*matrix.a+this.ty*matrix.c+matrix.tx,this.ty=tx1*matrix.b+this.ty*matrix.d+matrix.ty,this;}decompose(transform){const a=this.a,b=this.b,c=this.c,d=this.d,pivot=transform.pivot,skewX=-Math.atan2(-c,d),skewY=Math.atan2(b,a),delta=Math.abs(skewX+skewY);return delta<1e-5||Math.abs(2*Math.PI-delta)<1e-5?(transform.rotation=skewY,transform.skew.x=transform.skew.y=0):(transform.rotation=0,transform.skew.x=skewX,transform.skew.y=skewY),transform.scale.x=Math.sqrt(a*a+b*b),transform.scale.y=Math.sqrt(c*c+d*d),transform.position.x=this.tx+(pivot.x*a+pivot.y*c),transform.position.y=this.ty+(pivot.x*b+pivot.y*d),transform;}invert(){const a1=this.a,b1=this.b,c1=this.c,d1=this.d,tx1=this.tx,n=a1*d1-b1*c1;return this.a=d1/n,this.b=-b1/n,this.c=-c1/n,this.d=a1/n,this.tx=(c1*this.ty-d1*tx1)/n,this.ty=-(a1*this.ty-b1*tx1)/n,this;}identity(){return this.a=1,this.b=0,this.c=0,this.d=1,this.tx=0,this.ty=0,this;}clone(){const matrix=new Matrix();return matrix.a=this.a,matrix.b=this.b,matrix.c=this.c,matrix.d=this.d,matrix.tx=this.tx,matrix.ty=this.ty,matrix;}copyTo(matrix){return matrix.a=this.a,matrix.b=this.b,matrix.c=this.c,matrix.d=this.d,matrix.tx=this.tx,matrix.ty=this.ty,matrix;}copyFrom(matrix){return this.a=matrix.a,this.b=matrix.b,this.c=matrix.c,this.d=matrix.d,this.tx=matrix.tx,this.ty=matrix.ty,this;}static get IDENTITY(){return new Matrix();}}const settings_RESOLUTION=1,settings_ROUND_PIXELS=!0;var chroma$1={exports:{}};/**
 * chroma.js - JavaScript library for color conversions
 *
 * Copyright (c) 2011-2019, Gregor Aisch
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice, this
 * list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution.
 *
 * 3. The name Gregor Aisch may not be used to endorse or promote products
 * derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL GREGOR AISCH OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
 * INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
 * OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * -------------------------------------------------------
 *
 * chroma.js includes colors from colorbrewer2.org, which are released under
 * the following license:
 *
 * Copyright (c) 2002 Cynthia Brewer, Mark Harrower,
 * and The Pennsylvania State University.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific
 * language governing permissions and limitations under the License.
 *
 * ------------------------------------------------------
 *
 * Named colors are taken from X11 Color Names.
 * http://www.w3.org/TR/css3-color/#svg-color
 *
 * @preserve
 */chroma$1.exports=function(){for(var limit$2=function(x,min,max){return void 0===min&&(min=0),void 0===max&&(max=1),x<min?min:x>max?max:x;},limit$1=limit$2,clip_rgb$3=function(rgb){rgb._clipped=!1,rgb._unclipped=rgb.slice(0);for(var i=0;i<=3;i++)i<3?((rgb[i]<0||rgb[i]>255)&&(rgb._clipped=!0),rgb[i]=limit$1(rgb[i],0,255)):3===i&&(rgb[i]=limit$1(rgb[i],0,1));return rgb;},classToType={},i$1=0,list$1=["Boolean","Number","String","Function","Array","Date","RegExp","Undefined","Null"];i$1<list$1.length;i$1+=1){var name=list$1[i$1];classToType["[object "+name+"]"]=name.toLowerCase();}var type$p=function(obj){return classToType[Object.prototype.toString.call(obj)]||"object";},type$o=type$p,unpack$B=function(args,keyOrder){return void 0===keyOrder&&(keyOrder=null),args.length>=3?Array.prototype.slice.call(args):"object"==type$o(args[0])&&keyOrder?keyOrder.split("").filter(function(k){return void 0!==args[0][k];}).map(function(k){return args[0][k];}):args[0];},type$n=type$p,last$4=function(args){if(args.length<2)return null;var l=args.length-1;return"string"==type$n(args[l])?args[l].toLowerCase():null;},PI$2=Math.PI,utils={clip_rgb:clip_rgb$3,limit:limit$2,type:type$p,unpack:unpack$B,last:last$4,PI:PI$2,TWOPI:2*PI$2,PITHIRD:PI$2/3,DEG2RAD:PI$2/180,RAD2DEG:180/PI$2},input$h={format:{},autodetect:[]},last$3=utils.last,clip_rgb$2=utils.clip_rgb,type$m=utils.type,_input=input$h,Color$D=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var me=this;if("object"===type$m(args[0])&&args[0].constructor&&args[0].constructor===this.constructor)return args[0];var mode=last$3(args),autodetect=!1;if(!mode){autodetect=!0,_input.sorted||(_input.autodetect=_input.autodetect.sort(function(a,b){return b.p-a.p;}),_input.sorted=!0);for(var i=0,list=_input.autodetect;i<list.length;i+=1){var chk=list[i];if(mode=chk.test.apply(chk,args))break;}}if(!_input.format[mode])throw new Error("unknown format: "+args);var rgb=_input.format[mode].apply(null,autodetect?args:args.slice(0,-1));me._rgb=clip_rgb$2(rgb),3===me._rgb.length&&me._rgb.push(1);};Color$D.prototype.toString=function(){return"function"==type$m(this.hex)?this.hex():"["+this._rgb.join(",")+"]";};var Color_1=Color$D,chroma$k=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];return new(Function.prototype.bind.apply(chroma$k.Color,[null].concat(args)))();};chroma$k.Color=Color_1,chroma$k.version="2.4.2";var chroma_1=chroma$k,unpack$A=utils.unpack,max$2=Math.max,rgb2cmyk$1=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var ref=unpack$A(args,"rgb"),r=ref[0],g=ref[1],b=ref[2],k=1-max$2(r/=255,max$2(g/=255,b/=255)),f=k<1?1/(1-k):0;return[(1-r-k)*f,(1-g-k)*f,(1-b-k)*f,k];},rgb2cmyk_1=rgb2cmyk$1,unpack$z=utils.unpack,cmyk2rgb=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var c=(args=unpack$z(args,"cmyk"))[0],m=args[1],y=args[2],k=args[3],alpha=args.length>4?args[4]:1;return 1===k?[0,0,0,alpha]:[c>=1?0:255*(1-c)*(1-k),m>=1?0:255*(1-m)*(1-k),y>=1?0:255*(1-y)*(1-k),alpha];},cmyk2rgb_1=cmyk2rgb,chroma$j=chroma_1,Color$C=Color_1,input$g=input$h,unpack$y=utils.unpack,type$l=utils.type,rgb2cmyk=rgb2cmyk_1;Color$C.prototype.cmyk=function(){return rgb2cmyk(this._rgb);},chroma$j.cmyk=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];return new(Function.prototype.bind.apply(Color$C,[null].concat(args,["cmyk"])))();},input$g.format.cmyk=cmyk2rgb_1,input$g.autodetect.push({p:2,test:function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];if(args=unpack$y(args,"cmyk"),"array"===type$l(args)&&4===args.length)return"cmyk";}});var unpack$x=utils.unpack,last$2=utils.last,rnd=function(a){return Math.round(100*a)/100;},hsl2css$1=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var hsla=unpack$x(args,"hsla"),mode=last$2(args)||"lsa";return hsla[0]=rnd(hsla[0]||0),hsla[1]=rnd(100*hsla[1])+"%",hsla[2]=rnd(100*hsla[2])+"%","hsla"===mode||hsla.length>3&&hsla[3]<1?(hsla[3]=hsla.length>3?hsla[3]:1,mode="hsla"):hsla.length=3,mode+"("+hsla.join(",")+")";},hsl2css_1=hsl2css$1,unpack$w=utils.unpack,rgb2hsl$3=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var r=(args=unpack$w(args,"rgba"))[0],g=args[1],b=args[2];r/=255,g/=255,b/=255;var s,h,min=Math.min(r,g,b),max=Math.max(r,g,b),l=(max+min)/2;return max===min?(s=0,h=Number.NaN):s=l<.5?(max-min)/(max+min):(max-min)/(2-max-min),r==max?h=(g-b)/(max-min):g==max?h=2+(b-r)/(max-min):b==max&&(h=4+(r-g)/(max-min)),(h*=60)<0&&(h+=360),args.length>3&&void 0!==args[3]?[h,s,l,args[3]]:[h,s,l];},rgb2hsl_1=rgb2hsl$3,unpack$v=utils.unpack,last$1=utils.last,hsl2css=hsl2css_1,rgb2hsl$2=rgb2hsl_1,round$6=Math.round,rgb2css$1=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var rgba=unpack$v(args,"rgba"),mode=last$1(args)||"rgb";return"hsl"==mode.substr(0,3)?hsl2css(rgb2hsl$2(rgba),mode):(rgba[0]=round$6(rgba[0]),rgba[1]=round$6(rgba[1]),rgba[2]=round$6(rgba[2]),("rgba"===mode||rgba.length>3&&rgba[3]<1)&&(rgba[3]=rgba.length>3?rgba[3]:1,mode="rgba"),mode+"("+rgba.slice(0,"rgb"===mode?3:4).join(",")+")");},rgb2css_1=rgb2css$1,unpack$u=utils.unpack,round$5=Math.round,hsl2rgb$1=function(){for(var assign,args=[],len=arguments.length;len--;)args[len]=arguments[len];var r,g,b,h=(args=unpack$u(args,"hsl"))[0],s=args[1],l=args[2];if(0===s)r=g=b=255*l;else{var t3=[0,0,0],c=[0,0,0],t2=l<.5?l*(1+s):l+s-l*s,t1=2*l-t2,h_=h/360;t3[0]=h_+1/3,t3[1]=h_,t3[2]=h_-1/3;for(var i=0;i<3;i++)t3[i]<0&&(t3[i]+=1),t3[i]>1&&(t3[i]-=1),6*t3[i]<1?c[i]=t1+6*(t2-t1)*t3[i]:2*t3[i]<1?c[i]=t2:3*t3[i]<2?c[i]=t1+(t2-t1)*(2/3-t3[i])*6:c[i]=t1;r=(assign=[round$5(255*c[0]),round$5(255*c[1]),round$5(255*c[2])])[0],g=assign[1],b=assign[2];}return args.length>3?[r,g,b,args[3]]:[r,g,b,1];},hsl2rgb_1=hsl2rgb$1,hsl2rgb=hsl2rgb_1,input$f=input$h,RE_RGB=/^rgb\(\s*(-?\d+),\s*(-?\d+)\s*,\s*(-?\d+)\s*\)$/,RE_RGBA=/^rgba\(\s*(-?\d+),\s*(-?\d+)\s*,\s*(-?\d+)\s*,\s*([01]|[01]?\.\d+)\)$/,RE_RGB_PCT=/^rgb\(\s*(-?\d+(?:\.\d+)?)%,\s*(-?\d+(?:\.\d+)?)%\s*,\s*(-?\d+(?:\.\d+)?)%\s*\)$/,RE_RGBA_PCT=/^rgba\(\s*(-?\d+(?:\.\d+)?)%,\s*(-?\d+(?:\.\d+)?)%\s*,\s*(-?\d+(?:\.\d+)?)%\s*,\s*([01]|[01]?\.\d+)\)$/,RE_HSL=/^hsl\(\s*(-?\d+(?:\.\d+)?),\s*(-?\d+(?:\.\d+)?)%\s*,\s*(-?\d+(?:\.\d+)?)%\s*\)$/,RE_HSLA=/^hsla\(\s*(-?\d+(?:\.\d+)?),\s*(-?\d+(?:\.\d+)?)%\s*,\s*(-?\d+(?:\.\d+)?)%\s*,\s*([01]|[01]?\.\d+)\)$/,round$4=Math.round,css2rgb$1=function(css){var m;if(css=css.toLowerCase().trim(),input$f.format.named)try{return input$f.format.named(css);}catch(e){}if(m=css.match(RE_RGB)){for(var rgb=m.slice(1,4),i=0;i<3;i++)rgb[i]=+rgb[i];return rgb[3]=1,rgb;}if(m=css.match(RE_RGBA)){for(var rgb$1=m.slice(1,5),i$1=0;i$1<4;i$1++)rgb$1[i$1]=+rgb$1[i$1];return rgb$1;}if(m=css.match(RE_RGB_PCT)){for(var rgb$2=m.slice(1,4),i$2=0;i$2<3;i$2++)rgb$2[i$2]=round$4(2.55*rgb$2[i$2]);return rgb$2[3]=1,rgb$2;}if(m=css.match(RE_RGBA_PCT)){for(var rgb$3=m.slice(1,5),i$3=0;i$3<3;i$3++)rgb$3[i$3]=round$4(2.55*rgb$3[i$3]);return rgb$3[3]=+rgb$3[3],rgb$3;}if(m=css.match(RE_HSL)){var hsl=m.slice(1,4);hsl[1]*=.01,hsl[2]*=.01;var rgb$4=hsl2rgb(hsl);return rgb$4[3]=1,rgb$4;}if(m=css.match(RE_HSLA)){var hsl$1=m.slice(1,4);hsl$1[1]*=.01,hsl$1[2]*=.01;var rgb$5=hsl2rgb(hsl$1);return rgb$5[3]=+m[4],rgb$5;}};css2rgb$1.test=function(s){return RE_RGB.test(s)||RE_RGBA.test(s)||RE_RGB_PCT.test(s)||RE_RGBA_PCT.test(s)||RE_HSL.test(s)||RE_HSLA.test(s);};var css2rgb_1=css2rgb$1,chroma$i=chroma_1,Color$B=Color_1,input$e=input$h,type$k=utils.type,rgb2css=rgb2css_1,css2rgb=css2rgb_1;Color$B.prototype.css=function(mode){return rgb2css(this._rgb,mode);},chroma$i.css=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];return new(Function.prototype.bind.apply(Color$B,[null].concat(args,["css"])))();},input$e.format.css=css2rgb,input$e.autodetect.push({p:5,test:function(h){for(var rest=[],len=arguments.length-1;len-->0;)rest[len]=arguments[len+1];if(!rest.length&&"string"===type$k(h)&&css2rgb.test(h))return"css";}});var Color$A=Color_1,chroma$h=chroma_1,input$d=input$h,unpack$t=utils.unpack;input$d.format.gl=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var rgb=unpack$t(args,"rgba");return rgb[0]*=255,rgb[1]*=255,rgb[2]*=255,rgb;},chroma$h.gl=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];return new(Function.prototype.bind.apply(Color$A,[null].concat(args,["gl"])))();},Color$A.prototype.gl=function(){var rgb=this._rgb;return[rgb[0]/255,rgb[1]/255,rgb[2]/255,rgb[3]];};var unpack$s=utils.unpack,rgb2hcg$1=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var h,ref=unpack$s(args,"rgb"),r=ref[0],g=ref[1],b=ref[2],min=Math.min(r,g,b),max=Math.max(r,g,b),delta=max-min,c=100*delta/255,_g=min/(255-delta)*100;return 0===delta?h=Number.NaN:(r===max&&(h=(g-b)/delta),g===max&&(h=2+(b-r)/delta),b===max&&(h=4+(r-g)/delta),(h*=60)<0&&(h+=360)),[h,c,_g];},rgb2hcg_1=rgb2hcg$1,unpack$r=utils.unpack,floor$3=Math.floor,hcg2rgb=function(){for(var assign,assign$1,assign$2,assign$3,assign$4,assign$5,args=[],len=arguments.length;len--;)args[len]=arguments[len];var r,g,b,h=(args=unpack$r(args,"hcg"))[0],c=args[1],_g=args[2];_g*=255;var _c=255*c;if(0===c)r=g=b=_g;else{360===h&&(h=0),h>360&&(h-=360),h<0&&(h+=360);var i=floor$3(h/=60),f=h-i,p=_g*(1-c),q=p+_c*(1-f),t=p+_c*f,v=p+_c;switch(i){case 0:r=(assign=[v,t,p])[0],g=assign[1],b=assign[2];break;case 1:r=(assign$1=[q,v,p])[0],g=assign$1[1],b=assign$1[2];break;case 2:r=(assign$2=[p,v,t])[0],g=assign$2[1],b=assign$2[2];break;case 3:r=(assign$3=[p,q,v])[0],g=assign$3[1],b=assign$3[2];break;case 4:r=(assign$4=[t,p,v])[0],g=assign$4[1],b=assign$4[2];break;case 5:r=(assign$5=[v,p,q])[0],g=assign$5[1],b=assign$5[2];}}return[r,g,b,args.length>3?args[3]:1];},hcg2rgb_1=hcg2rgb,unpack$q=utils.unpack,type$j=utils.type,chroma$g=chroma_1,Color$z=Color_1,input$c=input$h,rgb2hcg=rgb2hcg_1;Color$z.prototype.hcg=function(){return rgb2hcg(this._rgb);},chroma$g.hcg=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];return new(Function.prototype.bind.apply(Color$z,[null].concat(args,["hcg"])))();},input$c.format.hcg=hcg2rgb_1,input$c.autodetect.push({p:1,test:function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];if(args=unpack$q(args,"hcg"),"array"===type$j(args)&&3===args.length)return"hcg";}});var unpack$p=utils.unpack,last=utils.last,round$3=Math.round,rgb2hex$2=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var ref=unpack$p(args,"rgba"),r=ref[0],g=ref[1],b=ref[2],a=ref[3],mode=last(args)||"auto";void 0===a&&(a=1),"auto"===mode&&(mode=a<1?"rgba":"rgb");var str="000000"+((r=round$3(r))<<16|(g=round$3(g))<<8|(b=round$3(b))).toString(16);str=str.substr(str.length-6);var hxa="0"+round$3(255*a).toString(16);switch(hxa=hxa.substr(hxa.length-2),mode.toLowerCase()){case"rgba":return"#"+str+hxa;case"argb":return"#"+hxa+str;default:return"#"+str;}},rgb2hex_1=rgb2hex$2,RE_HEX=/^#?([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$/,RE_HEXA=/^#?([A-Fa-f0-9]{8}|[A-Fa-f0-9]{4})$/,hex2rgb$1=function(hex){if(hex.match(RE_HEX)){4!==hex.length&&7!==hex.length||(hex=hex.substr(1)),3===hex.length&&(hex=(hex=hex.split(""))[0]+hex[0]+hex[1]+hex[1]+hex[2]+hex[2]);var u=parseInt(hex,16);return[u>>16,u>>8&255,255&u,1];}if(hex.match(RE_HEXA)){5!==hex.length&&9!==hex.length||(hex=hex.substr(1)),4===hex.length&&(hex=(hex=hex.split(""))[0]+hex[0]+hex[1]+hex[1]+hex[2]+hex[2]+hex[3]+hex[3]);var u$1=parseInt(hex,16);return[u$1>>24&255,u$1>>16&255,u$1>>8&255,Math.round((255&u$1)/255*100)/100];}throw new Error("unknown hex color: "+hex);},hex2rgb_1=hex2rgb$1,chroma$f=chroma_1,Color$y=Color_1,type$i=utils.type,input$b=input$h,rgb2hex$1=rgb2hex_1;Color$y.prototype.hex=function(mode){return rgb2hex$1(this._rgb,mode);},chroma$f.hex=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];return new(Function.prototype.bind.apply(Color$y,[null].concat(args,["hex"])))();},input$b.format.hex=hex2rgb_1,input$b.autodetect.push({p:4,test:function(h){for(var rest=[],len=arguments.length-1;len-->0;)rest[len]=arguments[len+1];if(!rest.length&&"string"===type$i(h)&&[3,4,5,6,7,8,9].indexOf(h.length)>=0)return"hex";}});var unpack$o=utils.unpack,TWOPI$2=utils.TWOPI,min$2=Math.min,sqrt$4=Math.sqrt,acos=Math.acos,rgb2hsi$1=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var h,ref=unpack$o(args,"rgb"),r=ref[0],g=ref[1],b=ref[2],min_=min$2(r/=255,g/=255,b/=255),i=(r+g+b)/3,s=i>0?1-min_/i:0;return 0===s?h=NaN:(h=(r-g+(r-b))/2,h/=sqrt$4((r-g)*(r-g)+(r-b)*(g-b)),h=acos(h),b>g&&(h=TWOPI$2-h),h/=TWOPI$2),[360*h,s,i];},rgb2hsi_1=rgb2hsi$1,unpack$n=utils.unpack,limit=utils.limit,TWOPI$1=utils.TWOPI,PITHIRD=utils.PITHIRD,cos$4=Math.cos,hsi2rgb=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var r,g,b,h=(args=unpack$n(args,"hsi"))[0],s=args[1],i=args[2];return isNaN(h)&&(h=0),isNaN(s)&&(s=0),h>360&&(h-=360),h<0&&(h+=360),(h/=360)<1/3?g=1-((b=(1-s)/3)+(r=(1+s*cos$4(TWOPI$1*h)/cos$4(PITHIRD-TWOPI$1*h))/3)):h<2/3?b=1-((r=(1-s)/3)+(g=(1+s*cos$4(TWOPI$1*(h-=1/3))/cos$4(PITHIRD-TWOPI$1*h))/3)):r=1-((g=(1-s)/3)+(b=(1+s*cos$4(TWOPI$1*(h-=2/3))/cos$4(PITHIRD-TWOPI$1*h))/3)),[255*(r=limit(i*r*3)),255*(g=limit(i*g*3)),255*(b=limit(i*b*3)),args.length>3?args[3]:1];},hsi2rgb_1=hsi2rgb,unpack$m=utils.unpack,type$h=utils.type,chroma$e=chroma_1,Color$x=Color_1,input$a=input$h,rgb2hsi=rgb2hsi_1;Color$x.prototype.hsi=function(){return rgb2hsi(this._rgb);},chroma$e.hsi=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];return new(Function.prototype.bind.apply(Color$x,[null].concat(args,["hsi"])))();},input$a.format.hsi=hsi2rgb_1,input$a.autodetect.push({p:2,test:function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];if(args=unpack$m(args,"hsi"),"array"===type$h(args)&&3===args.length)return"hsi";}});var unpack$l=utils.unpack,type$g=utils.type,chroma$d=chroma_1,Color$w=Color_1,input$9=input$h,rgb2hsl$1=rgb2hsl_1;Color$w.prototype.hsl=function(){return rgb2hsl$1(this._rgb);},chroma$d.hsl=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];return new(Function.prototype.bind.apply(Color$w,[null].concat(args,["hsl"])))();},input$9.format.hsl=hsl2rgb_1,input$9.autodetect.push({p:2,test:function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];if(args=unpack$l(args,"hsl"),"array"===type$g(args)&&3===args.length)return"hsl";}});var unpack$k=utils.unpack,min$1=Math.min,max$1=Math.max,rgb2hsl=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var h,s,v,r=(args=unpack$k(args,"rgb"))[0],g=args[1],b=args[2],min_=min$1(r,g,b),max_=max$1(r,g,b),delta=max_-min_;return v=max_/255,0===max_?(h=Number.NaN,s=0):(s=delta/max_,r===max_&&(h=(g-b)/delta),g===max_&&(h=2+(b-r)/delta),b===max_&&(h=4+(r-g)/delta),(h*=60)<0&&(h+=360)),[h,s,v];},rgb2hsv$1=rgb2hsl,unpack$j=utils.unpack,floor$2=Math.floor,hsv2rgb=function(){for(var assign,assign$1,assign$2,assign$3,assign$4,assign$5,args=[],len=arguments.length;len--;)args[len]=arguments[len];var r,g,b,h=(args=unpack$j(args,"hsv"))[0],s=args[1],v=args[2];if(v*=255,0===s)r=g=b=v;else{360===h&&(h=0),h>360&&(h-=360),h<0&&(h+=360);var i=floor$2(h/=60),f=h-i,p=v*(1-s),q=v*(1-s*f),t=v*(1-s*(1-f));switch(i){case 0:r=(assign=[v,t,p])[0],g=assign[1],b=assign[2];break;case 1:r=(assign$1=[q,v,p])[0],g=assign$1[1],b=assign$1[2];break;case 2:r=(assign$2=[p,v,t])[0],g=assign$2[1],b=assign$2[2];break;case 3:r=(assign$3=[p,q,v])[0],g=assign$3[1],b=assign$3[2];break;case 4:r=(assign$4=[t,p,v])[0],g=assign$4[1],b=assign$4[2];break;case 5:r=(assign$5=[v,p,q])[0],g=assign$5[1],b=assign$5[2];}}return[r,g,b,args.length>3?args[3]:1];},hsv2rgb_1=hsv2rgb,unpack$i=utils.unpack,type$f=utils.type,chroma$c=chroma_1,Color$v=Color_1,input$8=input$h,rgb2hsv=rgb2hsv$1;Color$v.prototype.hsv=function(){return rgb2hsv(this._rgb);},chroma$c.hsv=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];return new(Function.prototype.bind.apply(Color$v,[null].concat(args,["hsv"])))();},input$8.format.hsv=hsv2rgb_1,input$8.autodetect.push({p:2,test:function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];if(args=unpack$i(args,"hsv"),"array"===type$f(args)&&3===args.length)return"hsv";}});var labConstants={Kn:18,Xn:.95047,Yn:1,Zn:1.08883,t0:.137931034,t1:.206896552,t2:.12841855,t3:.008856452},LAB_CONSTANTS$3=labConstants,unpack$h=utils.unpack,pow$a=Math.pow,rgb2lab$2=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var ref=unpack$h(args,"rgb"),r=ref[0],g=ref[1],b=ref[2],ref$1=rgb2xyz(r,g,b),x=ref$1[0],y=ref$1[1],l=116*y-16;return[l<0?0:l,500*(x-y),200*(y-ref$1[2])];},rgb_xyz=function(r){return(r/=255)<=.04045?r/12.92:pow$a((r+.055)/1.055,2.4);},xyz_lab=function(t){return t>LAB_CONSTANTS$3.t3?pow$a(t,1/3):t/LAB_CONSTANTS$3.t2+LAB_CONSTANTS$3.t0;},rgb2xyz=function(r,g,b){return r=rgb_xyz(r),g=rgb_xyz(g),b=rgb_xyz(b),[xyz_lab((.4124564*r+.3575761*g+.1804375*b)/LAB_CONSTANTS$3.Xn),xyz_lab((.2126729*r+.7151522*g+.072175*b)/LAB_CONSTANTS$3.Yn),xyz_lab((.0193339*r+.119192*g+.9503041*b)/LAB_CONSTANTS$3.Zn)];},rgb2lab_1=rgb2lab$2,LAB_CONSTANTS$2=labConstants,unpack$g=utils.unpack,pow$9=Math.pow,lab2rgb$1=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var x,y,z,l=(args=unpack$g(args,"lab"))[0],a=args[1],b=args[2];return y=(l+16)/116,x=isNaN(a)?y:y+a/500,z=isNaN(b)?y:y-b/200,y=LAB_CONSTANTS$2.Yn*lab_xyz(y),x=LAB_CONSTANTS$2.Xn*lab_xyz(x),z=LAB_CONSTANTS$2.Zn*lab_xyz(z),[xyz_rgb(3.2404542*x-1.5371385*y-.4985314*z),xyz_rgb(-.969266*x+1.8760108*y+.041556*z),xyz_rgb(.0556434*x-.2040259*y+1.0572252*z),args.length>3?args[3]:1];},xyz_rgb=function(r){return 255*(r<=.00304?12.92*r:1.055*pow$9(r,1/2.4)-.055);},lab_xyz=function(t){return t>LAB_CONSTANTS$2.t1?t*t*t:LAB_CONSTANTS$2.t2*(t-LAB_CONSTANTS$2.t0);},lab2rgb_1=lab2rgb$1,unpack$f=utils.unpack,type$e=utils.type,chroma$b=chroma_1,Color$u=Color_1,input$7=input$h,rgb2lab$1=rgb2lab_1;Color$u.prototype.lab=function(){return rgb2lab$1(this._rgb);},chroma$b.lab=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];return new(Function.prototype.bind.apply(Color$u,[null].concat(args,["lab"])))();},input$7.format.lab=lab2rgb_1,input$7.autodetect.push({p:2,test:function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];if(args=unpack$f(args,"lab"),"array"===type$e(args)&&3===args.length)return"lab";}});var unpack$e=utils.unpack,RAD2DEG=utils.RAD2DEG,sqrt$3=Math.sqrt,atan2$2=Math.atan2,round$2=Math.round,lab2lch$2=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var ref=unpack$e(args,"lab"),l=ref[0],a=ref[1],b=ref[2],c=sqrt$3(a*a+b*b),h=(atan2$2(b,a)*RAD2DEG+360)%360;return 0===round$2(1e4*c)&&(h=Number.NaN),[l,c,h];},lab2lch_1=lab2lch$2,unpack$d=utils.unpack,rgb2lab=rgb2lab_1,lab2lch$1=lab2lch_1,rgb2lch$1=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var ref=unpack$d(args,"rgb"),r=ref[0],g=ref[1],b=ref[2],ref$1=rgb2lab(r,g,b),l=ref$1[0],a=ref$1[1],b_=ref$1[2];return lab2lch$1(l,a,b_);},rgb2lch_1=rgb2lch$1,unpack$c=utils.unpack,DEG2RAD=utils.DEG2RAD,sin$3=Math.sin,cos$3=Math.cos,lch2lab$2=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var ref=unpack$c(args,"lch"),l=ref[0],c=ref[1],h=ref[2];return isNaN(h)&&(h=0),[l,cos$3(h*=DEG2RAD)*c,sin$3(h)*c];},lch2lab_1=lch2lab$2,unpack$b=utils.unpack,lch2lab$1=lch2lab_1,lab2rgb=lab2rgb_1,lch2rgb$1=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var l=(args=unpack$b(args,"lch"))[0],c=args[1],h=args[2],ref=lch2lab$1(l,c,h),L=ref[0],a=ref[1],b_=ref[2],ref$1=lab2rgb(L,a,b_);return[ref$1[0],ref$1[1],ref$1[2],args.length>3?args[3]:1];},lch2rgb_1=lch2rgb$1,unpack$a=utils.unpack,lch2rgb=lch2rgb_1,hcl2rgb=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var hcl=unpack$a(args,"hcl").reverse();return lch2rgb.apply(void 0,hcl);},hcl2rgb_1=hcl2rgb,unpack$9=utils.unpack,type$d=utils.type,chroma$a=chroma_1,Color$t=Color_1,input$6=input$h,rgb2lch=rgb2lch_1;Color$t.prototype.lch=function(){return rgb2lch(this._rgb);},Color$t.prototype.hcl=function(){return rgb2lch(this._rgb).reverse();},chroma$a.lch=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];return new(Function.prototype.bind.apply(Color$t,[null].concat(args,["lch"])))();},chroma$a.hcl=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];return new(Function.prototype.bind.apply(Color$t,[null].concat(args,["hcl"])))();},input$6.format.lch=lch2rgb_1,input$6.format.hcl=hcl2rgb_1,["lch","hcl"].forEach(function(m){return input$6.autodetect.push({p:2,test:function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];if(args=unpack$9(args,m),"array"===type$d(args)&&3===args.length)return m;}});});var w3cx11_1={aliceblue:"#f0f8ff",antiquewhite:"#faebd7",aqua:"#00ffff",aquamarine:"#7fffd4",azure:"#f0ffff",beige:"#f5f5dc",bisque:"#ffe4c4",black:"#000000",blanchedalmond:"#ffebcd",blue:"#0000ff",blueviolet:"#8a2be2",brown:"#a52a2a",burlywood:"#deb887",cadetblue:"#5f9ea0",chartreuse:"#7fff00",chocolate:"#d2691e",coral:"#ff7f50",cornflower:"#6495ed",cornflowerblue:"#6495ed",cornsilk:"#fff8dc",crimson:"#dc143c",cyan:"#00ffff",darkblue:"#00008b",darkcyan:"#008b8b",darkgoldenrod:"#b8860b",darkgray:"#a9a9a9",darkgreen:"#006400",darkgrey:"#a9a9a9",darkkhaki:"#bdb76b",darkmagenta:"#8b008b",darkolivegreen:"#556b2f",darkorange:"#ff8c00",darkorchid:"#9932cc",darkred:"#8b0000",darksalmon:"#e9967a",darkseagreen:"#8fbc8f",darkslateblue:"#483d8b",darkslategray:"#2f4f4f",darkslategrey:"#2f4f4f",darkturquoise:"#00ced1",darkviolet:"#9400d3",deeppink:"#ff1493",deepskyblue:"#00bfff",dimgray:"#696969",dimgrey:"#696969",dodgerblue:"#1e90ff",firebrick:"#b22222",floralwhite:"#fffaf0",forestgreen:"#228b22",fuchsia:"#ff00ff",gainsboro:"#dcdcdc",ghostwhite:"#f8f8ff",gold:"#ffd700",goldenrod:"#daa520",gray:"#808080",green:"#008000",greenyellow:"#adff2f",grey:"#808080",honeydew:"#f0fff0",hotpink:"#ff69b4",indianred:"#cd5c5c",indigo:"#4b0082",ivory:"#fffff0",khaki:"#f0e68c",laserlemon:"#ffff54",lavender:"#e6e6fa",lavenderblush:"#fff0f5",lawngreen:"#7cfc00",lemonchiffon:"#fffacd",lightblue:"#add8e6",lightcoral:"#f08080",lightcyan:"#e0ffff",lightgoldenrod:"#fafad2",lightgoldenrodyellow:"#fafad2",lightgray:"#d3d3d3",lightgreen:"#90ee90",lightgrey:"#d3d3d3",lightpink:"#ffb6c1",lightsalmon:"#ffa07a",lightseagreen:"#20b2aa",lightskyblue:"#87cefa",lightslategray:"#778899",lightslategrey:"#778899",lightsteelblue:"#b0c4de",lightyellow:"#ffffe0",lime:"#00ff00",limegreen:"#32cd32",linen:"#faf0e6",magenta:"#ff00ff",maroon:"#800000",maroon2:"#7f0000",maroon3:"#b03060",mediumaquamarine:"#66cdaa",mediumblue:"#0000cd",mediumorchid:"#ba55d3",mediumpurple:"#9370db",mediumseagreen:"#3cb371",mediumslateblue:"#7b68ee",mediumspringgreen:"#00fa9a",mediumturquoise:"#48d1cc",mediumvioletred:"#c71585",midnightblue:"#191970",mintcream:"#f5fffa",mistyrose:"#ffe4e1",moccasin:"#ffe4b5",navajowhite:"#ffdead",navy:"#000080",oldlace:"#fdf5e6",olive:"#808000",olivedrab:"#6b8e23",orange:"#ffa500",orangered:"#ff4500",orchid:"#da70d6",palegoldenrod:"#eee8aa",palegreen:"#98fb98",paleturquoise:"#afeeee",palevioletred:"#db7093",papayawhip:"#ffefd5",peachpuff:"#ffdab9",peru:"#cd853f",pink:"#ffc0cb",plum:"#dda0dd",powderblue:"#b0e0e6",purple:"#800080",purple2:"#7f007f",purple3:"#a020f0",rebeccapurple:"#663399",red:"#ff0000",rosybrown:"#bc8f8f",royalblue:"#4169e1",saddlebrown:"#8b4513",salmon:"#fa8072",sandybrown:"#f4a460",seagreen:"#2e8b57",seashell:"#fff5ee",sienna:"#a0522d",silver:"#c0c0c0",skyblue:"#87ceeb",slateblue:"#6a5acd",slategray:"#708090",slategrey:"#708090",snow:"#fffafa",springgreen:"#00ff7f",steelblue:"#4682b4",tan:"#d2b48c",teal:"#008080",thistle:"#d8bfd8",tomato:"#ff6347",turquoise:"#40e0d0",violet:"#ee82ee",wheat:"#f5deb3",white:"#ffffff",whitesmoke:"#f5f5f5",yellow:"#ffff00",yellowgreen:"#9acd32"},Color$s=Color_1,input$5=input$h,type$c=utils.type,w3cx11=w3cx11_1,hex2rgb=hex2rgb_1,rgb2hex=rgb2hex_1;Color$s.prototype.name=function(){for(var hex=rgb2hex(this._rgb,"rgb"),i=0,list=Object.keys(w3cx11);i<list.length;i+=1){var n=list[i];if(w3cx11[n]===hex)return n.toLowerCase();}return hex;},input$5.format.named=function(name){if(name=name.toLowerCase(),w3cx11[name])return hex2rgb(w3cx11[name]);throw new Error("unknown color name: "+name);},input$5.autodetect.push({p:5,test:function(h){for(var rest=[],len=arguments.length-1;len-->0;)rest[len]=arguments[len+1];if(!rest.length&&"string"===type$c(h)&&w3cx11[h.toLowerCase()])return"named";}});var unpack$8=utils.unpack,rgb2num$1=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var ref=unpack$8(args,"rgb");return(ref[0]<<16)+(ref[1]<<8)+ref[2];},rgb2num_1=rgb2num$1,type$b=utils.type,num2rgb=function(num){if("number"==type$b(num)&&num>=0&&num<=16777215)return[num>>16,num>>8&255,255&num,1];throw new Error("unknown num color: "+num);},num2rgb_1=num2rgb,chroma$9=chroma_1,Color$r=Color_1,input$4=input$h,type$a=utils.type,rgb2num=rgb2num_1;Color$r.prototype.num=function(){return rgb2num(this._rgb);},chroma$9.num=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];return new(Function.prototype.bind.apply(Color$r,[null].concat(args,["num"])))();},input$4.format.num=num2rgb_1,input$4.autodetect.push({p:5,test:function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];if(1===args.length&&"number"===type$a(args[0])&&args[0]>=0&&args[0]<=16777215)return"num";}});var chroma$8=chroma_1,Color$q=Color_1,input$3=input$h,unpack$7=utils.unpack,type$9=utils.type,round$1=Math.round;Color$q.prototype.rgb=function(rnd){return void 0===rnd&&(rnd=!0),!1===rnd?this._rgb.slice(0,3):this._rgb.slice(0,3).map(round$1);},Color$q.prototype.rgba=function(rnd){return void 0===rnd&&(rnd=!0),this._rgb.slice(0,4).map(function(v,i){return i<3?!1===rnd?v:round$1(v):v;});},chroma$8.rgb=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];return new(Function.prototype.bind.apply(Color$q,[null].concat(args,["rgb"])))();},input$3.format.rgb=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var rgba=unpack$7(args,"rgba");return void 0===rgba[3]&&(rgba[3]=1),rgba;},input$3.autodetect.push({p:3,test:function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];if(args=unpack$7(args,"rgba"),"array"===type$9(args)&&(3===args.length||4===args.length&&"number"==type$9(args[3])&&args[3]>=0&&args[3]<=1))return"rgb";}});var log$1=Math.log,temperature2rgb$1=function(kelvin){var r,g,b,temp=kelvin/100;return temp<66?(r=255,g=temp<6?0:-155.25485562709179-.44596950469579133*(g=temp-2)+104.49216199393888*log$1(g),b=temp<20?0:.8274096064007395*(b=temp-10)-254.76935184120902+115.67994401066147*log$1(b)):(r=351.97690566805693+.114206453784165*(r=temp-55)-40.25366309332127*log$1(r),g=325.4494125711974+.07943456536662342*(g=temp-50)-28.0852963507957*log$1(g),b=255),[r,g,b,1];},temperature2rgb_1=temperature2rgb$1,temperature2rgb=temperature2rgb_1,unpack$6=utils.unpack,round=Math.round,rgb2temperature$1=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];for(var temp,rgb=unpack$6(args,"rgb"),r=rgb[0],b=rgb[2],minTemp=1e3,maxTemp=4e4,eps=.4;maxTemp-minTemp>eps;){var rgb$1=temperature2rgb(temp=.5*(maxTemp+minTemp));rgb$1[2]/rgb$1[0]>=b/r?maxTemp=temp:minTemp=temp;}return round(temp);},chroma$7=chroma_1,Color$p=Color_1,input$2=input$h,rgb2temperature=rgb2temperature$1;Color$p.prototype.temp=Color$p.prototype.kelvin=Color$p.prototype.temperature=function(){return rgb2temperature(this._rgb);},chroma$7.temp=chroma$7.kelvin=chroma$7.temperature=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];return new(Function.prototype.bind.apply(Color$p,[null].concat(args,["temp"])))();},input$2.format.temp=input$2.format.kelvin=input$2.format.temperature=temperature2rgb_1;var unpack$5=utils.unpack,cbrt=Math.cbrt,pow$8=Math.pow,sign$1=Math.sign,rgb2oklab$2=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var ref=unpack$5(args,"rgb"),r=ref[0],g=ref[1],b=ref[2],ref$1=[rgb2lrgb(r/255),rgb2lrgb(g/255),rgb2lrgb(b/255)],lr=ref$1[0],lg=ref$1[1],lb=ref$1[2],l=cbrt(.4122214708*lr+.5363325363*lg+.0514459929*lb),m=cbrt(.2119034982*lr+.6806995451*lg+.1073969566*lb),s=cbrt(.0883024619*lr+.2817188376*lg+.6299787005*lb);return[.2104542553*l+.793617785*m-.0040720468*s,1.9779984951*l-2.428592205*m+.4505937099*s,.0259040371*l+.7827717662*m-.808675766*s];},rgb2oklab_1=rgb2oklab$2;function rgb2lrgb(c){var abs=Math.abs(c);return abs<.04045?c/12.92:(sign$1(c)||1)*pow$8((abs+.055)/1.055,2.4);}var unpack$4=utils.unpack,pow$7=Math.pow,sign=Math.sign,oklab2rgb$1=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var L=(args=unpack$4(args,"lab"))[0],a=args[1],b=args[2],l=pow$7(L+.3963377774*a+.2158037573*b,3),m=pow$7(L-.1055613458*a-.0638541728*b,3),s=pow$7(L-.0894841775*a-1.291485548*b,3);return[255*lrgb2rgb(4.0767416621*l-3.3077115913*m+.2309699292*s),255*lrgb2rgb(-1.2684380046*l+2.6097574011*m-.3413193965*s),255*lrgb2rgb(-.0041960863*l-.7034186147*m+1.707614701*s),args.length>3?args[3]:1];},oklab2rgb_1=oklab2rgb$1;function lrgb2rgb(c){var abs=Math.abs(c);return abs>.0031308?(sign(c)||1)*(1.055*pow$7(abs,1/2.4)-.055):12.92*c;}var unpack$3=utils.unpack,type$8=utils.type,chroma$6=chroma_1,Color$o=Color_1,input$1=input$h,rgb2oklab$1=rgb2oklab_1;Color$o.prototype.oklab=function(){return rgb2oklab$1(this._rgb);},chroma$6.oklab=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];return new(Function.prototype.bind.apply(Color$o,[null].concat(args,["oklab"])))();},input$1.format.oklab=oklab2rgb_1,input$1.autodetect.push({p:3,test:function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];if(args=unpack$3(args,"oklab"),"array"===type$8(args)&&3===args.length)return"oklab";}});var unpack$2=utils.unpack,rgb2oklab=rgb2oklab_1,lab2lch=lab2lch_1,rgb2oklch$1=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var ref=unpack$2(args,"rgb"),r=ref[0],g=ref[1],b=ref[2],ref$1=rgb2oklab(r,g,b),l=ref$1[0],a=ref$1[1],b_=ref$1[2];return lab2lch(l,a,b_);},rgb2oklch_1=rgb2oklch$1,unpack$1=utils.unpack,lch2lab=lch2lab_1,oklab2rgb=oklab2rgb_1,oklch2rgb=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];var l=(args=unpack$1(args,"lch"))[0],c=args[1],h=args[2],ref=lch2lab(l,c,h),L=ref[0],a=ref[1],b_=ref[2],ref$1=oklab2rgb(L,a,b_);return[ref$1[0],ref$1[1],ref$1[2],args.length>3?args[3]:1];},oklch2rgb_1=oklch2rgb,unpack=utils.unpack,type$7=utils.type,chroma$5=chroma_1,Color$n=Color_1,input=input$h,rgb2oklch=rgb2oklch_1;Color$n.prototype.oklch=function(){return rgb2oklch(this._rgb);},chroma$5.oklch=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];return new(Function.prototype.bind.apply(Color$n,[null].concat(args,["oklch"])))();},input.format.oklch=oklch2rgb_1,input.autodetect.push({p:3,test:function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];if(args=unpack(args,"oklch"),"array"===type$7(args)&&3===args.length)return"oklch";}});var Color$m=Color_1,type$6=utils.type;Color$m.prototype.alpha=function(a,mutate){return void 0===mutate&&(mutate=!1),void 0!==a&&"number"===type$6(a)?mutate?(this._rgb[3]=a,this):new Color$m([this._rgb[0],this._rgb[1],this._rgb[2],a],"rgb"):this._rgb[3];},Color_1.prototype.clipped=function(){return this._rgb._clipped||!1;};var Color$k=Color_1,LAB_CONSTANTS$1=labConstants;Color$k.prototype.darken=function(amount){void 0===amount&&(amount=1);var me=this,lab=me.lab();return lab[0]-=LAB_CONSTANTS$1.Kn*amount,new Color$k(lab,"lab").alpha(me.alpha(),!0);},Color$k.prototype.brighten=function(amount){return void 0===amount&&(amount=1),this.darken(-amount);},Color$k.prototype.darker=Color$k.prototype.darken,Color$k.prototype.brighter=Color$k.prototype.brighten,Color_1.prototype.get=function(mc){var ref=mc.split("."),mode=ref[0],channel=ref[1],src=this[mode]();if(channel){var i=mode.indexOf(channel)-("ok"===mode.substr(0,2)?2:0);if(i>-1)return src[i];throw new Error("unknown channel "+channel+" in mode "+mode);}return src;};var Color$i=Color_1,type$5=utils.type,pow$6=Math.pow,EPS=1e-7,MAX_ITER=20;Color$i.prototype.luminance=function(lum){if(void 0!==lum&&"number"===type$5(lum)){if(0===lum)return new Color$i([0,0,0,this._rgb[3]],"rgb");if(1===lum)return new Color$i([255,255,255,this._rgb[3]],"rgb");var cur_lum=this.luminance(),mode="rgb",max_iter=MAX_ITER,test=function(low,high){var mid=low.interpolate(high,.5,mode),lm=mid.luminance();return Math.abs(lum-lm)<EPS||!max_iter--?mid:lm>lum?test(low,mid):test(mid,high);},rgb=(cur_lum>lum?test(new Color$i([0,0,0]),this):test(this,new Color$i([255,255,255]))).rgb();return new Color$i(rgb.concat([this._rgb[3]]));}return rgb2luminance.apply(void 0,this._rgb.slice(0,3));};var rgb2luminance=function(r,g,b){return .2126*(r=luminance_x(r))+.7152*(g=luminance_x(g))+.0722*(b=luminance_x(b));},luminance_x=function(x){return(x/=255)<=.03928?x/12.92:pow$6((x+.055)/1.055,2.4);},interpolator$1={},Color$h=Color_1,type$4=utils.type,interpolator=interpolator$1,mix$1=function(col1,col2,f){void 0===f&&(f=.5);for(var rest=[],len=arguments.length-3;len-->0;)rest[len]=arguments[len+3];var mode=rest[0]||"lrgb";if(interpolator[mode]||rest.length||(mode=Object.keys(interpolator)[0]),!interpolator[mode])throw new Error("interpolation mode "+mode+" is not defined");return"object"!==type$4(col1)&&(col1=new Color$h(col1)),"object"!==type$4(col2)&&(col2=new Color$h(col2)),interpolator[mode](col1,col2,f).alpha(col1.alpha()+f*(col2.alpha()-col1.alpha()));},Color$g=Color_1,mix=mix$1;Color$g.prototype.mix=Color$g.prototype.interpolate=function(col2,f){void 0===f&&(f=.5);for(var rest=[],len=arguments.length-2;len-->0;)rest[len]=arguments[len+2];return mix.apply(void 0,[this,col2,f].concat(rest));};var Color$f=Color_1;Color$f.prototype.premultiply=function(mutate){void 0===mutate&&(mutate=!1);var rgb=this._rgb,a=rgb[3];return mutate?(this._rgb=[rgb[0]*a,rgb[1]*a,rgb[2]*a,a],this):new Color$f([rgb[0]*a,rgb[1]*a,rgb[2]*a,a],"rgb");};var Color$e=Color_1,LAB_CONSTANTS=labConstants;Color$e.prototype.saturate=function(amount){void 0===amount&&(amount=1);var me=this,lch=me.lch();return lch[1]+=LAB_CONSTANTS.Kn*amount,lch[1]<0&&(lch[1]=0),new Color$e(lch,"lch").alpha(me.alpha(),!0);},Color$e.prototype.desaturate=function(amount){return void 0===amount&&(amount=1),this.saturate(-amount);};var Color$d=Color_1,type$3=utils.type;Color$d.prototype.set=function(mc,value,mutate){void 0===mutate&&(mutate=!1);var ref=mc.split("."),mode=ref[0],channel=ref[1],src=this[mode]();if(channel){var i=mode.indexOf(channel)-("ok"===mode.substr(0,2)?2:0);if(i>-1){if("string"==type$3(value))switch(value.charAt(0)){case"+":case"-":src[i]+=+value;break;case"*":src[i]*=+value.substr(1);break;case"/":src[i]/=+value.substr(1);break;default:src[i]=+value;}else{if("number"!==type$3(value))throw new Error("unsupported value for Color.set");src[i]=value;}var out=new Color$d(src,mode);return mutate?(this._rgb=out._rgb,this):out;}throw new Error("unknown channel "+channel+" in mode "+mode);}return src;};var Color$c=Color_1,rgb=function(col1,col2,f){var xyz0=col1._rgb,xyz1=col2._rgb;return new Color$c(xyz0[0]+f*(xyz1[0]-xyz0[0]),xyz0[1]+f*(xyz1[1]-xyz0[1]),xyz0[2]+f*(xyz1[2]-xyz0[2]),"rgb");};interpolator$1.rgb=rgb;var Color$b=Color_1,sqrt$2=Math.sqrt,pow$5=Math.pow,lrgb=function(col1,col2,f){var ref=col1._rgb,x1=ref[0],y1=ref[1],z1=ref[2],ref$1=col2._rgb,x2=ref$1[0],y2=ref$1[1],z2=ref$1[2];return new Color$b(sqrt$2(pow$5(x1,2)*(1-f)+pow$5(x2,2)*f),sqrt$2(pow$5(y1,2)*(1-f)+pow$5(y2,2)*f),sqrt$2(pow$5(z1,2)*(1-f)+pow$5(z2,2)*f),"rgb");};interpolator$1.lrgb=lrgb;var Color$a=Color_1,lab=function(col1,col2,f){var xyz0=col1.lab(),xyz1=col2.lab();return new Color$a(xyz0[0]+f*(xyz1[0]-xyz0[0]),xyz0[1]+f*(xyz1[1]-xyz0[1]),xyz0[2]+f*(xyz1[2]-xyz0[2]),"lab");};interpolator$1.lab=lab;var Color$9=Color_1,_hsx=function(col1,col2,f,m){var assign,assign$1,xyz0,xyz1,hue0,hue1,sat0,sat1,lbv0,lbv1,sat,hue,lbv;return"hsl"===m?(xyz0=col1.hsl(),xyz1=col2.hsl()):"hsv"===m?(xyz0=col1.hsv(),xyz1=col2.hsv()):"hcg"===m?(xyz0=col1.hcg(),xyz1=col2.hcg()):"hsi"===m?(xyz0=col1.hsi(),xyz1=col2.hsi()):"lch"===m||"hcl"===m?(m="hcl",xyz0=col1.hcl(),xyz1=col2.hcl()):"oklch"===m&&(xyz0=col1.oklch().reverse(),xyz1=col2.oklch().reverse()),"h"!==m.substr(0,1)&&"oklch"!==m||(hue0=(assign=xyz0)[0],sat0=assign[1],lbv0=assign[2],hue1=(assign$1=xyz1)[0],sat1=assign$1[1],lbv1=assign$1[2]),isNaN(hue0)||isNaN(hue1)?isNaN(hue0)?isNaN(hue1)?hue=Number.NaN:(hue=hue1,1!=lbv0&&0!=lbv0||"hsv"==m||(sat=sat1)):(hue=hue0,1!=lbv1&&0!=lbv1||"hsv"==m||(sat=sat0)):hue=hue0+f*(hue1>hue0&&hue1-hue0>180?hue1-(hue0+360):hue1<hue0&&hue0-hue1>180?hue1+360-hue0:hue1-hue0),void 0===sat&&(sat=sat0+f*(sat1-sat0)),lbv=lbv0+f*(lbv1-lbv0),new Color$9("oklch"===m?[lbv,sat,hue]:[hue,sat,lbv],m);},interpolate_hsx$5=_hsx,lch=function(col1,col2,f){return interpolate_hsx$5(col1,col2,f,"lch");};interpolator$1.lch=lch,interpolator$1.hcl=lch;var Color$8=Color_1,num=function(col1,col2,f){var c1=col1.num(),c2=col2.num();return new Color$8(c1+f*(c2-c1),"num");};interpolator$1.num=num;var interpolate_hsx$4=_hsx,hcg=function(col1,col2,f){return interpolate_hsx$4(col1,col2,f,"hcg");};interpolator$1.hcg=hcg;var interpolate_hsx$3=_hsx,hsi=function(col1,col2,f){return interpolate_hsx$3(col1,col2,f,"hsi");};interpolator$1.hsi=hsi;var interpolate_hsx$2=_hsx,hsl=function(col1,col2,f){return interpolate_hsx$2(col1,col2,f,"hsl");};interpolator$1.hsl=hsl;var interpolate_hsx$1=_hsx,hsv=function(col1,col2,f){return interpolate_hsx$1(col1,col2,f,"hsv");};interpolator$1.hsv=hsv;var Color$7=Color_1,oklab=function(col1,col2,f){var xyz0=col1.oklab(),xyz1=col2.oklab();return new Color$7(xyz0[0]+f*(xyz1[0]-xyz0[0]),xyz0[1]+f*(xyz1[1]-xyz0[1]),xyz0[2]+f*(xyz1[2]-xyz0[2]),"oklab");};interpolator$1.oklab=oklab;var interpolate_hsx=_hsx,oklch=function(col1,col2,f){return interpolate_hsx(col1,col2,f,"oklch");};interpolator$1.oklch=oklch;var Color$6=Color_1,clip_rgb$1=utils.clip_rgb,pow$4=Math.pow,sqrt$1=Math.sqrt,PI$1=Math.PI,cos$2=Math.cos,sin$2=Math.sin,atan2$1=Math.atan2,average=function(colors,mode,weights){void 0===mode&&(mode="lrgb"),void 0===weights&&(weights=null);var l=colors.length;weights||(weights=Array.from(new Array(l)).map(function(){return 1;}));var k=l/weights.reduce(function(a,b){return a+b;});if(weights.forEach(function(w,i){weights[i]*=k;}),colors=colors.map(function(c){return new Color$6(c);}),"lrgb"===mode)return _average_lrgb(colors,weights);for(var first=colors.shift(),xyz=first.get(mode),cnt=[],dx=0,dy=0,i=0;i<xyz.length;i++)if(xyz[i]=(xyz[i]||0)*weights[0],cnt.push(isNaN(xyz[i])?0:weights[0]),"h"===mode.charAt(i)&&!isNaN(xyz[i])){var A=xyz[i]/180*PI$1;dx+=cos$2(A)*weights[0],dy+=sin$2(A)*weights[0];}var alpha=first.alpha()*weights[0];colors.forEach(function(c,ci){var xyz2=c.get(mode);alpha+=c.alpha()*weights[ci+1];for(var i=0;i<xyz.length;i++)if(!isNaN(xyz2[i]))if(cnt[i]+=weights[ci+1],"h"===mode.charAt(i)){var A=xyz2[i]/180*PI$1;dx+=cos$2(A)*weights[ci+1],dy+=sin$2(A)*weights[ci+1];}else xyz[i]+=xyz2[i]*weights[ci+1];});for(var i$1=0;i$1<xyz.length;i$1++)if("h"===mode.charAt(i$1)){for(var A$1=atan2$1(dy/cnt[i$1],dx/cnt[i$1])/PI$1*180;A$1<0;)A$1+=360;for(;A$1>=360;)A$1-=360;xyz[i$1]=A$1;}else xyz[i$1]=xyz[i$1]/cnt[i$1];return alpha/=l,new Color$6(xyz,mode).alpha(alpha>.99999?1:alpha,!0);},_average_lrgb=function(colors,weights){for(var l=colors.length,xyz=[0,0,0,0],i=0;i<colors.length;i++){var col=colors[i],f=weights[i]/l,rgb=col._rgb;xyz[0]+=pow$4(rgb[0],2)*f,xyz[1]+=pow$4(rgb[1],2)*f,xyz[2]+=pow$4(rgb[2],2)*f,xyz[3]+=rgb[3]*f;}return xyz[0]=sqrt$1(xyz[0]),xyz[1]=sqrt$1(xyz[1]),xyz[2]=sqrt$1(xyz[2]),xyz[3]>.9999999&&(xyz[3]=1),new Color$6(clip_rgb$1(xyz));},chroma$4=chroma_1,type$2=utils.type,pow$3=Math.pow,scale$2=function(colors){var _mode="rgb",_nacol=chroma$4("#ccc"),_spread=0,_domain=[0,1],_pos=[],_padding=[0,0],_classes=!1,_colors=[],_out=!1,_min=0,_max=1,_correctLightness=!1,_colorCache={},_useCache=!0,_gamma=1,setColors=function(colors){if((colors=colors||["#fff","#000"])&&"string"===type$2(colors)&&chroma$4.brewer&&chroma$4.brewer[colors.toLowerCase()]&&(colors=chroma$4.brewer[colors.toLowerCase()]),"array"===type$2(colors)){1===colors.length&&(colors=[colors[0],colors[0]]),colors=colors.slice(0);for(var c=0;c<colors.length;c++)colors[c]=chroma$4(colors[c]);_pos.length=0;for(var c$1=0;c$1<colors.length;c$1++)_pos.push(c$1/(colors.length-1));}return resetCache(),_colors=colors;},getClass=function(value){if(null!=_classes){for(var n=_classes.length-1,i=0;i<n&&value>=_classes[i];)i++;return i-1;}return 0;},tMapLightness=function(t){return t;},tMapDomain=function(t){return t;},getColor=function(val,bypassMap){var col,t;if(null==bypassMap&&(bypassMap=!1),isNaN(val)||null===val)return _nacol;t=bypassMap?val:_classes&&_classes.length>2?getClass(val)/(_classes.length-2):_max!==_min?(val-_min)/(_max-_min):1,t=tMapDomain(t),bypassMap||(t=tMapLightness(t)),1!==_gamma&&(t=pow$3(t,_gamma)),t=_padding[0]+t*(1-_padding[0]-_padding[1]),t=Math.min(1,Math.max(0,t));var k=Math.floor(1e4*t);if(_useCache&&_colorCache[k])col=_colorCache[k];else{if("array"===type$2(_colors))for(var i=0;i<_pos.length;i++){var p=_pos[i];if(t<=p){col=_colors[i];break;}if(t>=p&&i===_pos.length-1){col=_colors[i];break;}if(t>p&&t<_pos[i+1]){t=(t-p)/(_pos[i+1]-p),col=chroma$4.interpolate(_colors[i],_colors[i+1],t,_mode);break;}}else"function"===type$2(_colors)&&(col=_colors(t));_useCache&&(_colorCache[k]=col);}return col;},resetCache=function(){return _colorCache={};};setColors(colors);var f=function(v){var c=chroma$4(getColor(v));return _out&&c[_out]?c[_out]():c;};return f.classes=function(classes){if(null!=classes){if("array"===type$2(classes))_classes=classes,_domain=[classes[0],classes[classes.length-1]];else{var d=chroma$4.analyze(_domain);_classes=0===classes?[d.min,d.max]:chroma$4.limits(d,"e",classes);}return f;}return _classes;},f.domain=function(domain){if(!arguments.length)return _domain;_min=domain[0],_max=domain[domain.length-1],_pos=[];var k=_colors.length;if(domain.length===k&&_min!==_max)for(var i=0,list=Array.from(domain);i<list.length;i+=1){var d=list[i];_pos.push((d-_min)/(_max-_min));}else{for(var c=0;c<k;c++)_pos.push(c/(k-1));if(domain.length>2){var tOut=domain.map(function(d,i){return i/(domain.length-1);}),tBreaks=domain.map(function(d){return(d-_min)/(_max-_min);});tBreaks.every(function(val,i){return tOut[i]===val;})||(tMapDomain=function(t){if(t<=0||t>=1)return t;for(var i=0;t>=tBreaks[i+1];)i++;var f=(t-tBreaks[i])/(tBreaks[i+1]-tBreaks[i]);return tOut[i]+f*(tOut[i+1]-tOut[i]);});}}return _domain=[_min,_max],f;},f.mode=function(_m){return arguments.length?(_mode=_m,resetCache(),f):_mode;},f.range=function(colors,_pos){return setColors(colors),f;},f.out=function(_o){return _out=_o,f;},f.spread=function(val){return arguments.length?(_spread=val,f):_spread;},f.correctLightness=function(v){return null==v&&(v=!0),_correctLightness=v,resetCache(),tMapLightness=_correctLightness?function(t){for(var L0=getColor(0,!0).lab()[0],L1=getColor(1,!0).lab()[0],pol=L0>L1,L_actual=getColor(t,!0).lab()[0],L_ideal=L0+(L1-L0)*t,L_diff=L_actual-L_ideal,t0=0,t1=1,max_iter=20;Math.abs(L_diff)>.01&&max_iter-->0;)pol&&(L_diff*=-1),L_diff<0?(t0=t,t+=.5*(t1-t)):(t1=t,t+=.5*(t0-t)),L_actual=getColor(t,!0).lab()[0],L_diff=L_actual-L_ideal;return t;}:function(t){return t;},f;},f.padding=function(p){return null!=p?("number"===type$2(p)&&(p=[p,p]),_padding=p,f):_padding;},f.colors=function(numColors,out){arguments.length<2&&(out="hex");var result=[];if(0===arguments.length)result=_colors.slice(0);else if(1===numColors)result=[f(.5)];else if(numColors>1){var dm=_domain[0],dd=_domain[1]-dm;result=__range__(0,numColors,!1).map(function(i){return f(dm+i/(numColors-1)*dd);});}else{colors=[];var samples=[];if(_classes&&_classes.length>2)for(var i=1,end=_classes.length,asc=1<=end;asc?i<end:i>end;asc?i++:i--)samples.push(.5*(_classes[i-1]+_classes[i]));else samples=_domain;result=samples.map(function(v){return f(v);});}return chroma$4[out]&&(result=result.map(function(c){return c[out]();})),result;},f.cache=function(c){return null!=c?(_useCache=c,f):_useCache;},f.gamma=function(g){return null!=g?(_gamma=g,f):_gamma;},f.nodata=function(d){return null!=d?(_nacol=chroma$4(d),f):_nacol;},f;};function __range__(left,right,inclusive){for(var range=[],ascending=left<right,end=inclusive?ascending?right+1:right-1:right,i=left;ascending?i<end:i>end;ascending?i++:i--)range.push(i);return range;}var Color$5=Color_1,scale$1=scale$2,binom_row=function(n){for(var row=[1,1],i=1;i<n;i++){for(var newrow=[1],j=1;j<=row.length;j++)newrow[j]=(row[j]||0)+row[j-1];row=newrow;}return row;},bezier=function(colors){var assign,assign$1,assign$2,I,lab0,lab1,lab2;if(colors=colors.map(function(c){return new Color$5(c);}),2===colors.length)assign=colors.map(function(c){return c.lab();}),lab0=assign[0],lab1=assign[1],I=function(t){var lab=[0,1,2].map(function(i){return lab0[i]+t*(lab1[i]-lab0[i]);});return new Color$5(lab,"lab");};else if(3===colors.length)assign$1=colors.map(function(c){return c.lab();}),lab0=assign$1[0],lab1=assign$1[1],lab2=assign$1[2],I=function(t){var lab=[0,1,2].map(function(i){return(1-t)*(1-t)*lab0[i]+2*(1-t)*t*lab1[i]+t*t*lab2[i];});return new Color$5(lab,"lab");};else if(4===colors.length){var lab3;assign$2=colors.map(function(c){return c.lab();}),lab0=assign$2[0],lab1=assign$2[1],lab2=assign$2[2],lab3=assign$2[3],I=function(t){var lab=[0,1,2].map(function(i){return(1-t)*(1-t)*(1-t)*lab0[i]+3*(1-t)*(1-t)*t*lab1[i]+3*(1-t)*t*t*lab2[i]+t*t*t*lab3[i];});return new Color$5(lab,"lab");};}else{if(!(colors.length>=5))throw new RangeError("No point in running bezier with only one color.");var labs,row,n;labs=colors.map(function(c){return c.lab();}),n=colors.length-1,row=binom_row(n),I=function(t){var u=1-t,lab=[0,1,2].map(function(i){return labs.reduce(function(sum,el,j){return sum+row[j]*Math.pow(u,n-j)*Math.pow(t,j)*el[i];},0);});return new Color$5(lab,"lab");};}return I;},bezier_1=function(colors){var f=bezier(colors);return f.scale=function(){return scale$1(f);},f;},chroma$3=chroma_1,blend=function(bottom,top,mode){if(!blend[mode])throw new Error("unknown blend mode "+mode);return blend[mode](bottom,top);},blend_f=function(f){return function(bottom,top){var c0=chroma$3(top).rgb(),c1=chroma$3(bottom).rgb();return chroma$3.rgb(f(c0,c1));};},each=function(f){return function(c0,c1){var out=[];return out[0]=f(c0[0],c1[0]),out[1]=f(c0[1],c1[1]),out[2]=f(c0[2],c1[2]),out;};},normal=function(a){return a;},multiply=function(a,b){return a*b/255;},darken=function(a,b){return a>b?b:a;},lighten=function(a,b){return a>b?a:b;},screen=function(a,b){return 255*(1-(1-a/255)*(1-b/255));},overlay=function(a,b){return b<128?2*a*b/255:255*(1-2*(1-a/255)*(1-b/255));},burn=function(a,b){return 255*(1-(1-b/255)/(a/255));},dodge=function(a,b){return 255===a||(a=b/255*255/(1-a/255))>255?255:a;};blend.normal=blend_f(each(normal)),blend.multiply=blend_f(each(multiply)),blend.screen=blend_f(each(screen)),blend.overlay=blend_f(each(overlay)),blend.darken=blend_f(each(darken)),blend.lighten=blend_f(each(lighten)),blend.dodge=blend_f(each(dodge)),blend.burn=blend_f(each(burn));for(var blend_1=blend,type$1=utils.type,clip_rgb=utils.clip_rgb,TWOPI=utils.TWOPI,pow$2=Math.pow,sin$1=Math.sin,cos$1=Math.cos,chroma$2=chroma_1,cubehelix=function(start,rotations,hue,gamma,lightness){void 0===start&&(start=300),void 0===rotations&&(rotations=-1.5),void 0===hue&&(hue=1),void 0===gamma&&(gamma=1),void 0===lightness&&(lightness=[0,1]);var dl,dh=0;"array"===type$1(lightness)?dl=lightness[1]-lightness[0]:(dl=0,lightness=[lightness,lightness]);var f=function(fract){var a=TWOPI*((start+120)/360+rotations*fract),l=pow$2(lightness[0]+dl*fract,gamma),amp=(0!==dh?hue[0]+fract*dh:hue)*l*(1-l)/2,cos_a=cos$1(a),sin_a=sin$1(a);return chroma$2(clip_rgb([255*(l+amp*(-.14861*cos_a+1.78277*sin_a)),255*(l+amp*(-.29227*cos_a-.90649*sin_a)),255*(l+amp*(1.97294*cos_a)),1]));};return f.start=function(s){return null==s?start:(start=s,f);},f.rotations=function(r){return null==r?rotations:(rotations=r,f);},f.gamma=function(g){return null==g?gamma:(gamma=g,f);},f.hue=function(h){return null==h?hue:("array"===type$1(hue=h)?0==(dh=hue[1]-hue[0])&&(hue=hue[1]):dh=0,f);},f.lightness=function(h){return null==h?lightness:("array"===type$1(h)?(lightness=h,dl=h[1]-h[0]):(lightness=[h,h],dl=0),f);},f.scale=function(){return chroma$2.scale(f);},f.hue(hue),f;},Color$4=Color_1,digits="0123456789abcdef",floor$1=Math.floor,random=Math.random,random_1=function(){for(var code="#",i=0;i<6;i++)code+=digits.charAt(floor$1(16*random()));return new Color$4(code,"hex");},type=type$p,log=Math.log,pow$1=Math.pow,floor=Math.floor,abs$1=Math.abs,analyze=function(data,key){void 0===key&&(key=null);var r={min:Number.MAX_VALUE,max:-1*Number.MAX_VALUE,sum:0,values:[],count:0};return"object"===type(data)&&(data=Object.values(data)),data.forEach(function(val){key&&"object"===type(val)&&(val=val[key]),null==val||isNaN(val)||(r.values.push(val),r.sum+=val,val<r.min&&(r.min=val),val>r.max&&(r.max=val),r.count+=1);}),r.domain=[r.min,r.max],r.limits=function(mode,num){return limits(r,mode,num);},r;},limits=function(data,mode,num){void 0===mode&&(mode="equal"),void 0===num&&(num=7),"array"==type(data)&&(data=analyze(data));var min=data.min,max=data.max,values=data.values.sort(function(a,b){return a-b;});if(1===num)return[min,max];var limits=[];if("c"===mode.substr(0,1)&&(limits.push(min),limits.push(max)),"e"===mode.substr(0,1)){limits.push(min);for(var i=1;i<num;i++)limits.push(min+i/num*(max-min));limits.push(max);}else if("l"===mode.substr(0,1)){if(min<=0)throw new Error("Logarithmic scales are only possible for values > 0");var min_log=Math.LOG10E*log(min),max_log=Math.LOG10E*log(max);limits.push(min);for(var i$1=1;i$1<num;i$1++)limits.push(pow$1(10,min_log+i$1/num*(max_log-min_log)));limits.push(max);}else if("q"===mode.substr(0,1)){limits.push(min);for(var i$2=1;i$2<num;i$2++){var p=(values.length-1)*i$2/num,pb=floor(p);if(pb===p)limits.push(values[pb]);else{var pr=p-pb;limits.push(values[pb]*(1-pr)+values[pb+1]*pr);}}limits.push(max);}else if("k"===mode.substr(0,1)){var cluster,n=values.length,assignments=new Array(n),clusterSizes=new Array(num),repeat=!0,nb_iters=0,centroids=null;(centroids=[]).push(min);for(var i$3=1;i$3<num;i$3++)centroids.push(min+i$3/num*(max-min));for(centroids.push(max);repeat;){for(var j=0;j<num;j++)clusterSizes[j]=0;for(var i$4=0;i$4<n;i$4++)for(var value=values[i$4],mindist=Number.MAX_VALUE,best=void 0,j$1=0;j$1<num;j$1++){var dist=abs$1(centroids[j$1]-value);dist<mindist&&(mindist=dist,best=j$1),clusterSizes[best]++,assignments[i$4]=best;}for(var newCentroids=new Array(num),j$2=0;j$2<num;j$2++)newCentroids[j$2]=null;for(var i$5=0;i$5<n;i$5++)null===newCentroids[cluster=assignments[i$5]]?newCentroids[cluster]=values[i$5]:newCentroids[cluster]+=values[i$5];for(var j$3=0;j$3<num;j$3++)newCentroids[j$3]*=1/clusterSizes[j$3];repeat=!1;for(var j$4=0;j$4<num;j$4++)if(newCentroids[j$4]!==centroids[j$4]){repeat=!0;break;}centroids=newCentroids,++nb_iters>200&&(repeat=!1);}for(var kClusters={},j$5=0;j$5<num;j$5++)kClusters[j$5]=[];for(var i$6=0;i$6<n;i$6++)kClusters[cluster=assignments[i$6]].push(values[i$6]);for(var tmpKMeansBreaks=[],j$6=0;j$6<num;j$6++)tmpKMeansBreaks.push(kClusters[j$6][0]),tmpKMeansBreaks.push(kClusters[j$6][kClusters[j$6].length-1]);tmpKMeansBreaks=tmpKMeansBreaks.sort(function(a,b){return a-b;}),limits.push(tmpKMeansBreaks[0]);for(var i$7=1;i$7<tmpKMeansBreaks.length;i$7+=2){var v=tmpKMeansBreaks[i$7];isNaN(v)||-1!==limits.indexOf(v)||limits.push(v);}}return limits;},analyze_1={analyze:analyze,limits:limits},Color$3=Color_1,contrast=function(a,b){a=new Color$3(a),b=new Color$3(b);var l1=a.luminance(),l2=b.luminance();return l1>l2?(l1+.05)/(l2+.05):(l2+.05)/(l1+.05);},Color$2=Color_1,sqrt=Math.sqrt,pow=Math.pow,min=Math.min,max=Math.max,atan2=Math.atan2,abs=Math.abs,cos=Math.cos,sin=Math.sin,exp=Math.exp,PI=Math.PI,deltaE=function(a,b,Kl,Kc,Kh){void 0===Kl&&(Kl=1),void 0===Kc&&(Kc=1),void 0===Kh&&(Kh=1);var rad2deg=function(rad){return 360*rad/(2*PI);},deg2rad=function(deg){return 2*PI*deg/360;};a=new Color$2(a),b=new Color$2(b);var ref=Array.from(a.lab()),L1=ref[0],a1=ref[1],b1=ref[2],ref$1=Array.from(b.lab()),L2=ref$1[0],a2=ref$1[1],b2=ref$1[2],avgL=(L1+L2)/2,avgC=(sqrt(pow(a1,2)+pow(b1,2))+sqrt(pow(a2,2)+pow(b2,2)))/2,G=.5*(1-sqrt(pow(avgC,7)/(pow(avgC,7)+pow(25,7)))),a1p=a1*(1+G),a2p=a2*(1+G),C1p=sqrt(pow(a1p,2)+pow(b1,2)),C2p=sqrt(pow(a2p,2)+pow(b2,2)),avgCp=(C1p+C2p)/2,arctan1=rad2deg(atan2(b1,a1p)),arctan2=rad2deg(atan2(b2,a2p)),h1p=arctan1>=0?arctan1:arctan1+360,h2p=arctan2>=0?arctan2:arctan2+360,avgHp=abs(h1p-h2p)>180?(h1p+h2p+360)/2:(h1p+h2p)/2,T=1-.17*cos(deg2rad(avgHp-30))+.24*cos(deg2rad(2*avgHp))+.32*cos(deg2rad(3*avgHp+6))-.2*cos(deg2rad(4*avgHp-63)),deltaHp=h2p-h1p;deltaHp=abs(deltaHp)<=180?deltaHp:h2p<=h1p?deltaHp+360:deltaHp-360,deltaHp=2*sqrt(C1p*C2p)*sin(deg2rad(deltaHp)/2);var deltaL=L2-L1,deltaCp=C2p-C1p,sl=1+.015*pow(avgL-50,2)/sqrt(20+pow(avgL-50,2)),sc=1+.045*avgCp,sh=1+.015*avgCp*T,deltaTheta=30*exp(-pow((avgHp-275)/25,2)),Rt=-2*sqrt(pow(avgCp,7)/(pow(avgCp,7)+pow(25,7)))*sin(2*deg2rad(deltaTheta)),result=sqrt(pow(deltaL/(Kl*sl),2)+pow(deltaCp/(Kc*sc),2)+pow(deltaHp/(Kh*sh),2)+Rt*(deltaCp/(Kc*sc))*(deltaHp/(Kh*sh)));return max(0,min(100,result));},Color$1=Color_1,distance=function(a,b,mode){void 0===mode&&(mode="lab"),a=new Color$1(a),b=new Color$1(b);var l1=a.get(mode),l2=b.get(mode),sum_sq=0;for(var i in l1){var d=(l1[i]||0)-(l2[i]||0);sum_sq+=d*d;}return Math.sqrt(sum_sq);},Color=Color_1,valid=function(){for(var args=[],len=arguments.length;len--;)args[len]=arguments[len];try{return new(Function.prototype.bind.apply(Color,[null].concat(args)))(),!0;}catch(e){return!1;}},chroma$1=chroma_1,scale=scale$2,scales={cool:function(){return scale([chroma$1.hsl(180,1,.9),chroma$1.hsl(250,.7,.4)]);},hot:function(){return scale(["#000","#f00","#ff0","#fff"]).mode("rgb");}},colorbrewer={OrRd:["#fff7ec","#fee8c8","#fdd49e","#fdbb84","#fc8d59","#ef6548","#d7301f","#b30000","#7f0000"],PuBu:["#fff7fb","#ece7f2","#d0d1e6","#a6bddb","#74a9cf","#3690c0","#0570b0","#045a8d","#023858"],BuPu:["#f7fcfd","#e0ecf4","#bfd3e6","#9ebcda","#8c96c6","#8c6bb1","#88419d","#810f7c","#4d004b"],Oranges:["#fff5eb","#fee6ce","#fdd0a2","#fdae6b","#fd8d3c","#f16913","#d94801","#a63603","#7f2704"],BuGn:["#f7fcfd","#e5f5f9","#ccece6","#99d8c9","#66c2a4","#41ae76","#238b45","#006d2c","#00441b"],YlOrBr:["#ffffe5","#fff7bc","#fee391","#fec44f","#fe9929","#ec7014","#cc4c02","#993404","#662506"],YlGn:["#ffffe5","#f7fcb9","#d9f0a3","#addd8e","#78c679","#41ab5d","#238443","#006837","#004529"],Reds:["#fff5f0","#fee0d2","#fcbba1","#fc9272","#fb6a4a","#ef3b2c","#cb181d","#a50f15","#67000d"],RdPu:["#fff7f3","#fde0dd","#fcc5c0","#fa9fb5","#f768a1","#dd3497","#ae017e","#7a0177","#49006a"],Greens:["#f7fcf5","#e5f5e0","#c7e9c0","#a1d99b","#74c476","#41ab5d","#238b45","#006d2c","#00441b"],YlGnBu:["#ffffd9","#edf8b1","#c7e9b4","#7fcdbb","#41b6c4","#1d91c0","#225ea8","#253494","#081d58"],Purples:["#fcfbfd","#efedf5","#dadaeb","#bcbddc","#9e9ac8","#807dba","#6a51a3","#54278f","#3f007d"],GnBu:["#f7fcf0","#e0f3db","#ccebc5","#a8ddb5","#7bccc4","#4eb3d3","#2b8cbe","#0868ac","#084081"],Greys:["#ffffff","#f0f0f0","#d9d9d9","#bdbdbd","#969696","#737373","#525252","#252525","#000000"],YlOrRd:["#ffffcc","#ffeda0","#fed976","#feb24c","#fd8d3c","#fc4e2a","#e31a1c","#bd0026","#800026"],PuRd:["#f7f4f9","#e7e1ef","#d4b9da","#c994c7","#df65b0","#e7298a","#ce1256","#980043","#67001f"],Blues:["#f7fbff","#deebf7","#c6dbef","#9ecae1","#6baed6","#4292c6","#2171b5","#08519c","#08306b"],PuBuGn:["#fff7fb","#ece2f0","#d0d1e6","#a6bddb","#67a9cf","#3690c0","#02818a","#016c59","#014636"],Viridis:["#440154","#482777","#3f4a8a","#31678e","#26838f","#1f9d8a","#6cce5a","#b6de2b","#fee825"],Spectral:["#9e0142","#d53e4f","#f46d43","#fdae61","#fee08b","#ffffbf","#e6f598","#abdda4","#66c2a5","#3288bd","#5e4fa2"],RdYlGn:["#a50026","#d73027","#f46d43","#fdae61","#fee08b","#ffffbf","#d9ef8b","#a6d96a","#66bd63","#1a9850","#006837"],RdBu:["#67001f","#b2182b","#d6604d","#f4a582","#fddbc7","#f7f7f7","#d1e5f0","#92c5de","#4393c3","#2166ac","#053061"],PiYG:["#8e0152","#c51b7d","#de77ae","#f1b6da","#fde0ef","#f7f7f7","#e6f5d0","#b8e186","#7fbc41","#4d9221","#276419"],PRGn:["#40004b","#762a83","#9970ab","#c2a5cf","#e7d4e8","#f7f7f7","#d9f0d3","#a6dba0","#5aae61","#1b7837","#00441b"],RdYlBu:["#a50026","#d73027","#f46d43","#fdae61","#fee090","#ffffbf","#e0f3f8","#abd9e9","#74add1","#4575b4","#313695"],BrBG:["#543005","#8c510a","#bf812d","#dfc27d","#f6e8c3","#f5f5f5","#c7eae5","#80cdc1","#35978f","#01665e","#003c30"],RdGy:["#67001f","#b2182b","#d6604d","#f4a582","#fddbc7","#ffffff","#e0e0e0","#bababa","#878787","#4d4d4d","#1a1a1a"],PuOr:["#7f3b08","#b35806","#e08214","#fdb863","#fee0b6","#f7f7f7","#d8daeb","#b2abd2","#8073ac","#542788","#2d004b"],Set2:["#66c2a5","#fc8d62","#8da0cb","#e78ac3","#a6d854","#ffd92f","#e5c494","#b3b3b3"],Accent:["#7fc97f","#beaed4","#fdc086","#ffff99","#386cb0","#f0027f","#bf5b17","#666666"],Set1:["#e41a1c","#377eb8","#4daf4a","#984ea3","#ff7f00","#ffff33","#a65628","#f781bf","#999999"],Set3:["#8dd3c7","#ffffb3","#bebada","#fb8072","#80b1d3","#fdb462","#b3de69","#fccde5","#d9d9d9","#bc80bd","#ccebc5","#ffed6f"],Dark2:["#1b9e77","#d95f02","#7570b3","#e7298a","#66a61e","#e6ab02","#a6761d","#666666"],Paired:["#a6cee3","#1f78b4","#b2df8a","#33a02c","#fb9a99","#e31a1c","#fdbf6f","#ff7f00","#cab2d6","#6a3d9a","#ffff99","#b15928"],Pastel2:["#b3e2cd","#fdcdac","#cbd5e8","#f4cae4","#e6f5c9","#fff2ae","#f1e2cc","#cccccc"],Pastel1:["#fbb4ae","#b3cde3","#ccebc5","#decbe4","#fed9a6","#ffffcc","#e5d8bd","#fddaec","#f2f2f2"]},i=0,list=Object.keys(colorbrewer);i<list.length;i+=1){var key=list[i];colorbrewer[key.toLowerCase()]=colorbrewer[key];}var colorbrewer_1=colorbrewer,chroma=chroma_1;chroma.average=average,chroma.bezier=bezier_1,chroma.blend=blend_1,chroma.cubehelix=cubehelix,chroma.mix=chroma.interpolate=mix$1,chroma.random=random_1,chroma.scale=scale$2,chroma.analyze=analyze_1.analyze,chroma.contrast=contrast,chroma.deltaE=deltaE,chroma.distance=distance,chroma.limits=analyze_1.limits,chroma.valid=valid,chroma.scales=scales,chroma.colors=w3cx11_1,chroma.brewer=colorbrewer_1;var chroma_js=chroma;return chroma_js;}();var chroma=getDefaultExportFromCjs(chroma$1.exports);const INVALID_COLOR=16777215;function hex2rgb(hex,out=[]){return out[0]=(hex>>16&255)/255,out[1]=(hex>>8&255)/255,out[2]=(255&hex)/255,out;}function hex2string(hex){let hexString=hex.toString(16);return hexString="000000".substr(0,6-hexString.length)+hexString,`#${hexString}`;}function string2hex(input){try{let string=chroma(input).hex("rgb");return"#"===string[0]&&(string=string.substr(1)),parseInt(string,16);}catch(e){return INVALID_COLOR;}}function sign(n){return 0===n?0:n<0?-1:1;}class AbstractRenderer{constructor(options){this.resolution=void 0,this.view=void 0,this.screen=void 0,this.plugins={},this._backgroundColor=0,this._backgroundColorString="#000000",this._backgroundColorRgba=[0,0,0,1],this._lastObjectRendered=void 0,this.resolution=options?.resolution||settings_RESOLUTION,this.screen=new Rectangle(0,0,options?.width??800,options?.height??600),this.view=options?.view||document.createElement("canvas"),this.backgroundColor=options?.backgroundColor||this._backgroundColor,this.backgroundAlpha=options?.backgroundAlpha||1,this._lastObjectRendered=null;}resize(screenWidth,screenHeight){this.screen.width=screenWidth,this.screen.height=screenHeight,this.view.width=screenWidth*this.resolution,this.view.height=screenHeight*this.resolution,this.view.style.width=`${screenWidth}px`,this.view.style.height=`${screenHeight}px`;}destroy(){this.plugins.interaction.destroy(),this.plugins.interaction=null;this.plugins=null,this.view=null,this.screen=null,this._tempDisplayObjectParent=null,this.options=null,this._lastObjectRendered=null;}get width(){return this.view.width;}get height(){return this.view.height;}get backgroundColor(){return this._backgroundColor;}set backgroundColor(value){this._backgroundColor=value,this._backgroundColorString=hex2string(value),hex2rgb(value,this._backgroundColorRgba);}get backgroundAlpha(){return this._backgroundColorRgba[3];}set backgroundAlpha(value){this._backgroundColorRgba[3]=value;}}class Geometry{}class BatchGeometry extends Geometry{}var eventemitter3={exports:{}};!function(module){var has=Object.prototype.hasOwnProperty,prefix="~";function Events(){}function EE(fn,context,once){this.fn=fn,this.context=context,this.once=once||!1;}function addListener(emitter,event,fn,context,once){if("function"!=typeof fn)throw new TypeError("The listener must be a function");var listener=new EE(fn,context||emitter,once),evt=prefix?prefix+event:event;return emitter._events[evt]?emitter._events[evt].fn?emitter._events[evt]=[emitter._events[evt],listener]:emitter._events[evt].push(listener):(emitter._events[evt]=listener,emitter._eventsCount++),emitter;}function clearEvent(emitter,evt){0==--emitter._eventsCount?emitter._events=new Events():delete emitter._events[evt];}function EventEmitter(){this._events=new Events(),this._eventsCount=0;}Object.create&&(Events.prototype=Object.create(null),new Events().__proto__||(prefix=!1)),EventEmitter.prototype.eventNames=function(){var events,name,names=[];if(0===this._eventsCount)return names;for(name in events=this._events)has.call(events,name)&&names.push(prefix?name.slice(1):name);return Object.getOwnPropertySymbols?names.concat(Object.getOwnPropertySymbols(events)):names;},EventEmitter.prototype.listeners=function(event){var evt=prefix?prefix+event:event,handlers=this._events[evt];if(!handlers)return[];if(handlers.fn)return[handlers.fn];for(var i=0,l=handlers.length,ee=new Array(l);i<l;i++)ee[i]=handlers[i].fn;return ee;},EventEmitter.prototype.listenerCount=function(event){var evt=prefix?prefix+event:event,listeners=this._events[evt];return listeners?listeners.fn?1:listeners.length:0;},EventEmitter.prototype.emit=function(event,a1,a2,a3,a4,a5){var evt=prefix?prefix+event:event;if(!this._events[evt])return!1;var args,i,listeners=this._events[evt],len=arguments.length;if(listeners.fn){switch(listeners.once&&this.removeListener(event,listeners.fn,void 0,!0),len){case 1:return listeners.fn.call(listeners.context),!0;case 2:return listeners.fn.call(listeners.context,a1),!0;case 3:return listeners.fn.call(listeners.context,a1,a2),!0;case 4:return listeners.fn.call(listeners.context,a1,a2,a3),!0;case 5:return listeners.fn.call(listeners.context,a1,a2,a3,a4),!0;case 6:return listeners.fn.call(listeners.context,a1,a2,a3,a4,a5),!0;}for(i=1,args=new Array(len-1);i<len;i++)args[i-1]=arguments[i];listeners.fn.apply(listeners.context,args);}else{var j,length=listeners.length;for(i=0;i<length;i++)switch(listeners[i].once&&this.removeListener(event,listeners[i].fn,void 0,!0),len){case 1:listeners[i].fn.call(listeners[i].context);break;case 2:listeners[i].fn.call(listeners[i].context,a1);break;case 3:listeners[i].fn.call(listeners[i].context,a1,a2);break;case 4:listeners[i].fn.call(listeners[i].context,a1,a2,a3);break;default:if(!args)for(j=1,args=new Array(len-1);j<len;j++)args[j-1]=arguments[j];listeners[i].fn.apply(listeners[i].context,args);}}return!0;},EventEmitter.prototype.on=function(event,fn,context){return addListener(this,event,fn,context,!1);},EventEmitter.prototype.once=function(event,fn,context){return addListener(this,event,fn,context,!0);},EventEmitter.prototype.removeListener=function(event,fn,context,once){var evt=prefix?prefix+event:event;if(!this._events[evt])return this;if(!fn)return clearEvent(this,evt),this;var listeners=this._events[evt];if(listeners.fn)listeners.fn!==fn||once&&!listeners.once||context&&listeners.context!==context||clearEvent(this,evt);else{for(var i=0,events=[],length=listeners.length;i<length;i++)(listeners[i].fn!==fn||once&&!listeners[i].once||context&&listeners[i].context!==context)&&events.push(listeners[i]);events.length?this._events[evt]=1===events.length?events[0]:events:clearEvent(this,evt);}return this;},EventEmitter.prototype.removeAllListeners=function(event){var evt;return event?(evt=prefix?prefix+event:event,this._events[evt]&&clearEvent(this,evt)):(this._events=new Events(),this._eventsCount=0),this;},EventEmitter.prototype.off=EventEmitter.prototype.removeListener,EventEmitter.prototype.addListener=EventEmitter.prototype.on,EventEmitter.prefixed=prefix,EventEmitter.EventEmitter=EventEmitter,module.exports=EventEmitter;}(eventemitter3);var EventEmitter=getDefaultExportFromCjs(eventemitter3.exports);class Bounds{constructor(){this.minX=void 0,this.minY=void 0,this.maxX=void 0,this.maxY=void 0,this.rect=void 0,this.updateID=void 0,this.minX=1/0,this.minY=1/0,this.maxX=-1/0,this.maxY=-1/0,this.rect=null,this.updateID=-1;}isEmpty(){return this.minX>this.maxX||this.minY>this.maxY;}clear(){this.minX=1/0,this.minY=1/0,this.maxX=-1/0,this.maxY=-1/0;}getRectangle(rect){return this.minX>this.maxX||this.minY>this.maxY?Rectangle.EMPTY:((rect=rect||new Rectangle(0,0,1,1)).x=this.minX,rect.y=this.minY,rect.width=this.maxX-this.minX,rect.height=this.maxY-this.minY,rect);}addPoint(point){this.minX=Math.min(this.minX,point.x),this.maxX=Math.max(this.maxX,point.x),this.minY=Math.min(this.minY,point.y),this.maxY=Math.max(this.maxY,point.y);}addPointMatrix(matrix,point){const{a:a,b:b,c:c,d:d,tx:tx,ty:ty}=matrix,x=a*point.x+c*point.y+tx,y=b*point.x+d*point.y+ty;this.minX=Math.min(this.minX,x),this.maxX=Math.max(this.maxX,x),this.minY=Math.min(this.minY,y),this.maxY=Math.max(this.maxY,y);}addQuad(vertices){let minX=this.minX,minY=this.minY,maxX=this.maxX,maxY=this.maxY,x=vertices[0],y=vertices[1];minX=x<minX?x:minX,minY=y<minY?y:minY,maxX=x>maxX?x:maxX,maxY=y>maxY?y:maxY,x=vertices[2],y=vertices[3],minX=x<minX?x:minX,minY=y<minY?y:minY,maxX=x>maxX?x:maxX,maxY=y>maxY?y:maxY,x=vertices[4],y=vertices[5],minX=x<minX?x:minX,minY=y<minY?y:minY,maxX=x>maxX?x:maxX,maxY=y>maxY?y:maxY,x=vertices[6],y=vertices[7],minX=x<minX?x:minX,minY=y<minY?y:minY,maxX=x>maxX?x:maxX,maxY=y>maxY?y:maxY,this.minX=minX,this.minY=minY,this.maxX=maxX,this.maxY=maxY;}addFrame(transform,x0,y0,x1,y1){this.addFrameMatrix(transform.worldTransform,x0,y0,x1,y1);}addFrameMatrix(matrix,x0,y0,x1,y1){const a=matrix.a,b=matrix.b,c=matrix.c,d=matrix.d,tx=matrix.tx,ty=matrix.ty;let minX=this.minX,minY=this.minY,maxX=this.maxX,maxY=this.maxY,x=a*x0+c*y0+tx,y=b*x0+d*y0+ty;minX=x<minX?x:minX,minY=y<minY?y:minY,maxX=x>maxX?x:maxX,maxY=y>maxY?y:maxY,x=a*x1+c*y0+tx,y=b*x1+d*y0+ty,minX=x<minX?x:minX,minY=y<minY?y:minY,maxX=x>maxX?x:maxX,maxY=y>maxY?y:maxY,x=a*x0+c*y1+tx,y=b*x0+d*y1+ty,minX=x<minX?x:minX,minY=y<minY?y:minY,maxX=x>maxX?x:maxX,maxY=y>maxY?y:maxY,x=a*x1+c*y1+tx,y=b*x1+d*y1+ty,minX=x<minX?x:minX,minY=y<minY?y:minY,maxX=x>maxX?x:maxX,maxY=y>maxY?y:maxY,this.minX=minX,this.minY=minY,this.maxX=maxX,this.maxY=maxY;}addVertexData(vertexData,beginOffset,endOffset){let minX=this.minX,minY=this.minY,maxX=this.maxX,maxY=this.maxY;for(let i=beginOffset;i<endOffset;i+=2){const x=vertexData[i],y=vertexData[i+1];minX=x<minX?x:minX,minY=y<minY?y:minY,maxX=x>maxX?x:maxX,maxY=y>maxY?y:maxY;}this.minX=minX,this.minY=minY,this.maxX=maxX,this.maxY=maxY;}addVertices(transform,vertices,beginOffset,endOffset){this.addVerticesMatrix(transform.worldTransform,vertices,beginOffset,endOffset);}addVerticesMatrix(matrix,vertices,beginOffset,endOffset,padX=0,padY=padX){const a=matrix.a,b=matrix.b,c=matrix.c,d=matrix.d,tx=matrix.tx,ty=matrix.ty;let minX=this.minX,minY=this.minY,maxX=this.maxX,maxY=this.maxY;for(let i=beginOffset;i<endOffset;i+=2){const rawX=vertices[i],rawY=vertices[i+1],x=a*rawX+c*rawY+tx,y=d*rawY+b*rawX+ty;minX=Math.min(minX,x-padX),maxX=Math.max(maxX,x+padX),minY=Math.min(minY,y-padY),maxY=Math.max(maxY,y+padY);}this.minX=minX,this.minY=minY,this.maxX=maxX,this.maxY=maxY;}addBounds(bounds){const minX=this.minX,minY=this.minY,maxX=this.maxX,maxY=this.maxY;this.minX=bounds.minX<minX?bounds.minX:minX,this.minY=bounds.minY<minY?bounds.minY:minY,this.maxX=bounds.maxX>maxX?bounds.maxX:maxX,this.maxY=bounds.maxY>maxY?bounds.maxY:maxY;}addBoundsMask(bounds,mask){const _minX=bounds.minX>mask.minX?bounds.minX:mask.minX,_minY=bounds.minY>mask.minY?bounds.minY:mask.minY,_maxX=bounds.maxX<mask.maxX?bounds.maxX:mask.maxX,_maxY=bounds.maxY<mask.maxY?bounds.maxY:mask.maxY;if(_minX<=_maxX&&_minY<=_maxY){const minX=this.minX,minY=this.minY,maxX=this.maxX,maxY=this.maxY;this.minX=_minX<minX?_minX:minX,this.minY=_minY<minY?_minY:minY,this.maxX=_maxX>maxX?_maxX:maxX,this.maxY=_maxY>maxY?_maxY:maxY;}}addBoundsMatrix(bounds,matrix){this.addFrameMatrix(matrix,bounds.minX,bounds.minY,bounds.maxX,bounds.maxY);}addBoundsArea(bounds,area){const _minX=bounds.minX>area.x?bounds.minX:area.x,_minY=bounds.minY>area.y?bounds.minY:area.y,_maxX=bounds.maxX<area.x+area.width?bounds.maxX:area.x+area.width,_maxY=bounds.maxY<area.y+area.height?bounds.maxY:area.y+area.height;if(_minX<=_maxX&&_minY<=_maxY){const minX=this.minX,minY=this.minY,maxX=this.maxX,maxY=this.maxY;this.minX=_minX<minX?_minX:minX,this.minY=_minY<minY?_minY:minY,this.maxX=_maxX>maxX?_maxX:maxX,this.maxY=_maxY>maxY?_maxY:maxY;}}pad(paddingX=0,paddingY=paddingX){this.isEmpty()||(this.minX-=paddingX,this.maxX+=paddingX,this.minY-=paddingY,this.maxY+=paddingY);}addFramePad(x0,y0,x1,y1,padX,padY){x0-=padX,y0-=padY,x1+=padX,y1+=padY,this.minX=this.minX<x0?this.minX:x0,this.maxX=this.maxX>x1?this.maxX:x1,this.minY=this.minY<y0?this.minY:y0,this.maxY=this.maxY>y1?this.maxY:y1;}}class DisplayObject extends EventEmitter{constructor(){super(),this.cursor=null,this.hitArea=void 0,this.interactive=void 0,this.interactiveChildren=void 0,this.parent=void 0,this.transform=void 0,this.visible=void 0,this._trackedPointers=void 0,this.isMask=!1,this._mask=null,this._bounds=new Bounds(),this._localBounds=null,this._boundsID=0,this._boundsRect=null,this._localBoundsRect=null,this.tempDisplayObjectParent=null,this.hitArea=null,this.interactive=!1,this.interactiveChildren=!0,this.parent=null,this.transform=new class{constructor(){this.localTransform=void 0,this.pivot=void 0,this.position=void 0,this.scale=void 0,this.skew=void 0,this.worldTransform=void 0,this._rotation=void 0,this._cx=void 0,this._sx=void 0,this._cy=void 0,this._sy=void 0,this.localTransform=new Matrix(),this.pivot=new Point(0,0),this.position=new Point(0,0),this.scale=new Point(1,1),this.skew=new Point(0,0),this.worldTransform=new Matrix(),this._rotation=0,this._cx=1,this._sx=0,this._cy=0,this._sy=1;}updateLocalTransform(){const lt=this.localTransform;lt.a=this._cx*this.scale.x,lt.b=this._sx*this.scale.x,lt.c=this._cy*this.scale.y,lt.d=this._sy*this.scale.y,lt.tx=this.position.x-(this.pivot.x*lt.a+this.pivot.y*lt.c),lt.ty=this.position.y-(this.pivot.x*lt.b+this.pivot.y*lt.d);}updateTransform(parentTransform){const lt=this.localTransform;lt.a=this._cx*this.scale.x,lt.b=this._sx*this.scale.x,lt.c=this._cy*this.scale.y,lt.d=this._sy*this.scale.y,lt.tx=this.position.x-(this.pivot.x*lt.a+this.pivot.y*lt.c),lt.ty=this.position.y-(this.pivot.x*lt.b+this.pivot.y*lt.d);const pt=parentTransform.worldTransform,wt=this.worldTransform;wt.a=lt.a*pt.a+lt.b*pt.c,wt.b=lt.a*pt.b+lt.b*pt.d,wt.c=lt.c*pt.a+lt.d*pt.c,wt.d=lt.c*pt.b+lt.d*pt.d,wt.tx=lt.tx*pt.a+lt.ty*pt.c+pt.tx,wt.ty=lt.tx*pt.b+lt.ty*pt.d+pt.ty;}setFromMatrix(matrix){matrix.decompose(this);}updateSkew(){this._cx=Math.cos(this._rotation+this.skew.y),this._sx=Math.sin(this._rotation+this.skew.y),this._cy=-Math.sin(this._rotation-this.skew.x),this._sy=Math.cos(this._rotation-this.skew.x);}get rotation(){return this._rotation;}set rotation(value){this._rotation!==value&&(this._rotation=value,this.updateSkew());}}(),this.visible=!0;}setParent(container){return container.addChild(this),container;}updateTransform(){this.parent&&this.transform.updateTransform(this.parent.transform);}getLocalBounds(rect){rect||(this._localBoundsRect||(this._localBoundsRect=new Rectangle()),rect=this._localBoundsRect),this._localBounds||(this._localBounds=new Bounds());const transformRef=this.transform,parentRef=this.parent;this.parent=null,this.transform=this._tempDisplayObjectParent.transform;const worldBounds=this._bounds,worldBoundsID=this._boundsID;this._bounds=this._localBounds;const bounds=this.getBounds(!1,rect);return this.parent=parentRef,this.transform=transformRef,this._bounds=worldBounds,this._bounds.updateID+=this._boundsID-worldBoundsID,bounds;}getBounds(skipUpdate,rect){return skipUpdate||(this.parent?this.updateTransform():(this.parent=this._tempDisplayObjectParent,this.updateTransform(),this.parent=null)),this._bounds.updateID!==this._boundsID&&(this.calculateBounds(),this._bounds.updateID=this._boundsID),rect||(this._boundsRect||(this._boundsRect=new Rectangle()),rect=this._boundsRect),this._bounds.getRectangle(rect);}destroy(){this.parent&&this.parent.removeChild(this),this.removeAllListeners(),this.parent=null,this.hitArea=null,this.interactive=!1,this.interactiveChildren=!1;}get _tempDisplayObjectParent(){return null===this.tempDisplayObjectParent&&(this.tempDisplayObjectParent=new TemporaryDisplayObject()),this.tempDisplayObjectParent;}enableTempParent(){const myParent=this.parent;return this.parent=this._tempDisplayObjectParent,myParent;}disableTempParent(cacheParent){this.parent=cacheParent;}get x(){return this.position.x;}set x(value){this.transform.position.x=value;}get y(){return this.position.y;}set y(value){this.transform.position.y=value;}get position(){return this.transform.position;}set position(value){this.transform.position.copyFrom(value);}get rotation(){return this.transform.rotation;}set rotation(value){this.transform.rotation=value;}get scale(){return this.transform.scale;}set scale(value){this.transform.scale.copyFrom(value);}get trackedPointers(){return void 0===this._trackedPointers&&(this._trackedPointers={}),this._trackedPointers;}get worldTransform(){return this.transform.worldTransform;}get mask(){return this._mask;}set mask(value){this._mask!==value&&(this._mask=value,this._mask.isMask=!0);}}class TemporaryDisplayObject extends DisplayObject{calculateBounds(){return null;}removeChild(child){return null;}render(renderer){return null;}}class Container extends DisplayObject{constructor(){super(),this.children=[],this.parent=null;}calculateBounds(){this._bounds.clear(),this._calculateBounds();for(let i=0;i<this.children.length;i++){const child=this.children[i];child.visible&&(child.calculateBounds(),this._bounds.addBounds(child._bounds));}this._bounds.updateID=this._boundsID;}addChild(...children){if(children.length>1)for(let i=0;i<children.length;i++)this.addChild(children[i]);else{const child=children[0];child.parent&&child.parent.removeChild(child),child.parent=this,this.children.push(child);}return children[0];}removeChild(...children){if(children.length>1)for(let i=0;i<children.length;i++)this.removeChild(children[i]);else{const child=children[0],index=this.children.indexOf(child);if(-1===index)return null;child.parent=null,function(arr,startIdx,removeCount){const length=arr.length;let i;if(startIdx>=length||0===removeCount)return;const len=length-(removeCount=startIdx+removeCount>length?length-startIdx:removeCount);for(i=startIdx;i<len;++i)arr[i]=arr[i+removeCount];arr.length=len;}(this.children,index,1);}return children[0];}removeChildren(beginIndex=0,endIndex=this.children.length){const begin=beginIndex,range=endIndex-begin;let removed;if(range>0&&range<=endIndex){removed=this.children.splice(begin,range);for(let i=0;i<removed.length;++i)removed[i].parent=null;return this._boundsID++,removed;}if(0===range&&0===this.children.length)return[];throw new RangeError("removeChildren: numeric values are outside the acceptable range.");}render(renderer){if(this.visible){this._mask&&renderer.mask?.pushMask(this._mask),this._render(renderer);for(let i=0,j=this.children.length;i<j;++i)this.children[i].render(renderer);this._mask&&renderer.mask?.popMask(renderer);}}updateTransform(){this.parent&&this.transform.updateTransform(this.parent.transform);for(let i=0,j=this.children.length;i<j;++i){const child=this.children[i];child.visible&&child.updateTransform();}}getLocalBounds(rect,skipChildrenUpdate=!1){const result=super.getLocalBounds(rect);if(!skipChildrenUpdate)for(let i=0,j=this.children.length;i<j;++i){const child=this.children[i];child.visible&&child.updateTransform();}return result;}destroy(){super.destroy();const oldChildren=this.removeChildren(0,this.children.length);for(let i=0;i<oldChildren.length;++i)oldChildren[i].destroy();}_render(_renderer){}_calculateBounds(){}}class GraphicsData{constructor(shape,fillStyle=null,lineStyle=null,matrix=null){this.shape=void 0,this.lineStyle=void 0,this.fillStyle=void 0,this.matrix=void 0,this.type=void 0,this.shape=shape,this.lineStyle=lineStyle,this.fillStyle=fillStyle,this.matrix=matrix,this.type=shape.type;}}const tmpPoint=new Point();class GraphicsGeometry extends BatchGeometry{constructor(){super(),this.graphicsData=void 0,this.points=void 0,this.graphicsData=[],this.points=[];}clear(){return this.graphicsData.length>0&&(this.graphicsData.length=0),this;}drawShape(shape,fillStyle=null,lineStyle=null,matrix=null){const data=new GraphicsData(shape,fillStyle,lineStyle,matrix);return this.graphicsData.push(data),this;}containsPoint(point){const graphicsData=this.graphicsData;for(let i=0;i<graphicsData.length;++i){const data=graphicsData[i];if(data.shape&&(data.matrix?data.matrix.applyInverse(point,tmpPoint):tmpPoint.copyFrom(point),data.shape.contains(tmpPoint.x,tmpPoint.y)))return!0;}return!1;}}class FillStyle{constructor(){this.alpha=1,this.color=16777215,this.texture=Texture.WHITE,this.visible=!1;}clone(){const obj=new FillStyle();return obj.alpha=this.alpha,obj.color=this.color,obj.texture=this.texture,obj.visible=this.visible,obj;}reset(){this.alpha=1,this.color=16777215,this.texture=Texture.WHITE,this.visible=!1;}}class LineStyle extends FillStyle{constructor(...args){super(...args),this.width=0,this.lineDash=[];}clone(){const obj=new LineStyle();return obj.alpha=this.alpha,obj.color=this.color,obj.lineDash=this.lineDash,obj.visible=this.visible,obj.width=this.width,obj;}reset(){this.color=0,this.lineDash=[],this.width=0;}}class Graphics extends Container{constructor(geometry=null){super(),this.currentPath=null,this._fillStyle=void 0,this._lineStyle=void 0,this._matrix=void 0,this._tint=void 0,this._geometry=void 0,this._geometry=geometry||new GraphicsGeometry(),this._fillStyle=new FillStyle(),this._lineStyle=new LineStyle(),this._matrix=null,this._tint=16777215;}drawShape(shape){return this._geometry.drawShape(shape,this._fillStyle.clone(),this._lineStyle.clone(),this._matrix),this;}beginFill(color=0,alpha=1){return this.beginTextureFill({color:color,alpha:alpha});}endFill(){return this.finishPoly(),this._fillStyle.reset(),this;}beginTextureFill(options){options=Object.assign({texture:Texture.WHITE,alpha:1,color:16777215,matrix:null},options);const visible=(options?.alpha??1)>0;return visible&&options.matrix&&(options.matrix=options.matrix.clone(),options.matrix.invert()),Object.assign(this._fillStyle,{visible:visible},options),this;}lineStyle(options=null){return this.lineTextureStyle(options??{});}lineTextureStyle(options){options=Object.assign({alpha:1,width:0,color:0,lineDash:[]},options);const visible=(options?.width??!1)&&(options?.alpha??!1);return Object.assign(this._lineStyle,{visible:visible},options),this;}drawArea(data,curve=curveLinear){return this.drawShape(new class Area{constructor(data=[],curve=curveLinear,y0=0){this.data=[],this.curve=void 0,this.y0=0,this.type=void 0,this.data=data,this.curve=curve,this.y0=y0,this.type=SHAPES.AREA;}clone(){return new Area(this.data,this.curve,this.y0);}copyFrom(area){return this.data=area.data,this.curve=area.curve,this.y0=area.y0,this;}copyTo(area){return area.data=this.data,area.curve=this.curve,area.y0=this.y0,area;}contains(x,y){return!1;}}(data,curve));}drawCircle(x,y,radius){return this.drawShape(new Circle(x,y,radius));}drawLine(data,curve=curveLinear){return this.drawShape(new Line(data,curve));}drawRect(x,y,width,height){return this.drawShape(new Rectangle(x,y,width,height));}moveTo(x,y){return this.startPoly(),this.currentPath.points[0]=x,this.currentPath.points[1]=y,this;}lineTo(x,y){this.currentPath||this.moveTo(0,0);return this.currentPath.points.push(x,y),this;}closePath(){const currentPath=this.currentPath;return currentPath&&(currentPath.closeStroke=!0),this;}clear(){return this._geometry.clear(),this._lineStyle.reset(),this._fillStyle.reset(),this;}containsPoint(point){return this.worldTransform.applyInverse(point,Graphics._TEMP_POINT),this._geometry.containsPoint(Graphics._TEMP_POINT);}_render(renderer){!0!==this.isMask&&renderer.plugins.graphics.render(this);}startPoly(){if(this.currentPath){const points=this.currentPath.points,len=this.currentPath.points.length;len>2&&(this.drawShape(this.currentPath),this.currentPath=new Polygon$1(),this.currentPath.closeStroke=!1,this.currentPath.points.push(points[len-2],points[len-1]));}else this.currentPath=new Polygon$1(),this.currentPath.closeStroke=!1;}finishPoly(){this.currentPath&&(this.currentPath.points.length>2?(this.drawShape(this.currentPath),this.currentPath=null):this.currentPath.points.length=0);}get geometry(){return this._geometry;}get tint(){return this._tint;}set tint(value){this._tint=value;}}Graphics._TEMP_POINT=new Point();const cacheStepsPerColorChannel=8;let canvas$1=null;function getTintedPattern(texture,color){let pattern;if(color=function(color){const step=cacheStepsPerColorChannel,rgbValues=hex2rgb(color);return rgbValues[0]=Math.min(255,rgbValues[0]/step*step),rgbValues[1]=Math.min(255,rgbValues[1]/step*step),rgbValues[2]=Math.min(255,rgbValues[2]/step*step),function(rgb){return(255*rgb[0]<<16)+(255*rgb[1]<<8)+(255*rgb[2]|0);}(rgbValues);}(color),`00000${(0|color).toString(16)}`.substr(-6),canvas$1||(canvas$1=document.createElement("canvas")),canvas$1){!function(texture,color,canvas){const context=canvas.getContext("2d"),crop=texture._frame.clone(),resolution=texture.baseTexture.resolution;if(crop.x*=resolution,crop.y*=resolution,crop.width*=resolution,crop.height*=resolution,canvas.width=Math.ceil(crop.width),canvas.height=Math.ceil(crop.height),context){context.save(),context.fillStyle=`#${`00000${(0|color).toString(16)}`.substr(-6)}`,context.fillRect(0,0,crop.width,crop.height),context.globalCompositeOperation="multiply";const source=texture.baseTexture.getDrawableSource();context.drawImage(source,crop.x,crop.y,crop.width,crop.height,0,0,crop.width,crop.height),context.globalCompositeOperation="destination-atop",context.drawImage(source,crop.x,crop.y,crop.width,crop.height,0,0,crop.width,crop.height),context.restore();}}(texture,color,canvas$1);const context=canvas$1.getContext("2d");context&&(pattern=context.createPattern(canvas$1,"repeat"));}return pattern;}class GraphicsRenderer{constructor(renderer){this.renderer=void 0,this._tempMatrix=void 0,this.renderer=renderer,this._tempMatrix=new Matrix();}render(graphics){const renderer=this.renderer,context=renderer.context,transform=graphics.transform.worldTransform;renderer.setContextTransform(transform,!0,1);const graphicsData=graphics.geometry.graphicsData;let contextFillStyle,contextStrokeStyle;const tintR=(graphics.tint>>16&255)/255,tintG=(graphics.tint>>8&255)/255,tintB=(255&graphics.tint)/255;for(let i=0;i<graphicsData.length;i++){const data=graphicsData[i],shape=data.shape,fillStyle=data.fillStyle??new FillStyle(),lineStyle=data.lineStyle??new LineStyle(),fillColor=data?.fillStyle?.color??0,lineColor=data?.lineStyle?.color??0;data.matrix&&renderer.setContextTransform(transform.copyTo(this._tempMatrix).append(data.matrix),!0,1);const fillTint=((fillColor>>16&255)/255*tintR*255<<16)+((fillColor>>8&255)/255*tintG*255<<8)+(255&fillColor)/255*tintB*255;contextFillStyle=this._calcCanvasStyle(fillStyle,fillTint);const lineTint=((lineColor>>16&255)/255*tintR*255<<16)+((lineColor>>8&255)/255*tintG*255<<8)+(255&lineColor)/255*tintB*255;if(contextStrokeStyle=this._calcCanvasStyle(lineStyle,lineTint),context.lineWidth=lineStyle?.width??0,data.type===SHAPES.POLY){context.beginPath();const tempShape=shape;let points=tempShape.points;context.moveTo(points[0],points[1]);for(let j=2;j<points.length;j+=2)context.lineTo(points[j],points[j+1]);tempShape.closeStroke&&context.closePath(),fillStyle.visible&&(context.globalAlpha=fillStyle.alpha,context.fillStyle=contextFillStyle,context.fill()),lineStyle.visible&&this.paintPolygonStroke(tempShape,lineStyle,contextStrokeStyle,context);}else if(data.type===SHAPES.LINE){const tempShape=shape;context.globalAlpha=fillStyle.alpha,context.strokeStyle=contextStrokeStyle,context.beginPath(),line().curve(tempShape.curve).context(context)(tempShape.data),context.stroke();}else if(data.type===SHAPES.AREA){const tempShape=shape;context.globalAlpha=fillStyle.alpha,context.strokeStyle=contextStrokeStyle,context.beginPath(),area().curve(tempShape.curve).y0(d=>d[1]).y1(d=>d[2]).context(context)(tempShape.data),fillStyle.visible&&(context.globalAlpha=fillStyle.alpha,context.fillStyle=contextFillStyle,context.fill());}else if(data.type===SHAPES.RECT){const tempShape=shape;if(fillStyle.visible&&(context.globalAlpha=fillStyle.alpha,context.fillStyle=contextFillStyle,context.fillRect(tempShape.x,tempShape.y,tempShape.width,tempShape.height)),lineStyle.visible){const alignmentOffset=-.5*(lineStyle?.width??0),width=tempShape.width+2*alignmentOffset,height=tempShape.height+2*alignmentOffset;context.strokeStyle=contextStrokeStyle,context.strokeRect(tempShape.x-alignmentOffset,tempShape.y-alignmentOffset,width,height);}}else if(data.type===SHAPES.CIRCLE){const tempShape=shape;context.beginPath(),context.arc(tempShape.x,tempShape.y,tempShape.radius,0,2*Math.PI),context.closePath(),fillStyle.visible&&(context.globalAlpha=fillStyle.alpha,context.fillStyle=contextFillStyle,context.fill()),lineStyle.visible&&(context.globalAlpha=lineStyle.alpha,context.strokeStyle=contextStrokeStyle,context.stroke());}}}paintPolygonStroke(shape,lineStyle,contextStrokeStyle,context){context.globalAlpha=lineStyle.alpha,context.strokeStyle=contextStrokeStyle,context.setLineDash(lineStyle.lineDash),context.stroke();}_calcCanvasStyle(style,tint){let res;return res=style.texture&&style.texture.baseTexture!==Texture.WHITE.baseTexture?getTintedPattern(style.texture,tint):`#${`00000${(0|tint).toString(16)}`.substr(-6)}`,res;}}class InteractionData{constructor(){this.button=0,this.global=void 0,this.identifier=void 0,this.target=void 0,this.originalEvent=null,this.pointerType=null,this.global=new Point(),this.identifier=null,this.target=null;}copyEvent(event){"pointerType"in event&&(this.pointerType=event.pointerType);}reset(){}}class InteractionEvent{constructor(){this.stopped=void 0,this.stopsPropagatingAt=void 0,this.stopPropagationHint=void 0,this.target=void 0,this.currentTarget=void 0,this.type=void 0,this.data=void 0,this.stopped=!1,this.stopsPropagatingAt=null,this.stopPropagationHint=!1,this.target=null,this.currentTarget=null,this.type=null,this.data=null;}stopPropagation(){this.stopped=!0,this.stopPropagationHint=!0,this.stopsPropagatingAt=this.currentTarget;}reset(){this.stopped=!1,this.stopsPropagatingAt=null,this.stopPropagationHint=!1,this.currentTarget=null,this.target=null;}}class InteractionTrackingData{constructor(pointerId){this._pointerId=void 0,this._flags=void 0,this._pointerId=pointerId,this._flags=InteractionTrackingData.FLAGS.NONE;}_doSet(flag,yn){this._flags=yn?this._flags|flag:this._flags&~flag;}get pointerId(){return this._pointerId;}get flags(){return this._flags;}set flags(flags){this._flags=flags;}get none(){return this._flags===InteractionTrackingData.FLAGS.NONE;}get over(){return 0!=(this._flags&InteractionTrackingData.FLAGS.OVER);}set over(yn){this._doSet(InteractionTrackingData.FLAGS.OVER,yn);}get rightDown(){return 0!=(this._flags&InteractionTrackingData.FLAGS.RIGHT_DOWN);}set rightDown(yn){this._doSet(InteractionTrackingData.FLAGS.RIGHT_DOWN,yn);}get leftDown(){return 0!=(this._flags&InteractionTrackingData.FLAGS.LEFT_DOWN);}set leftDown(yn){this._doSet(InteractionTrackingData.FLAGS.LEFT_DOWN,yn);}}InteractionTrackingData.FLAGS=Object.freeze({NONE:0,OVER:1,LEFT_DOWN:2,RIGHT_DOWN:4});class TreeSearch{constructor(){this._tempPoint=void 0,this._tempPoint=new Point();}recursiveFindHit(interactionEvent,displayObject,func,hitTest,interactive){if(!displayObject||!displayObject.visible||!interactionEvent.data)return!1;const point=interactionEvent.data.global;let hit=!1,interactiveParent=interactive=displayObject.interactive||interactive,hitTestChildren=!0;if(displayObject.hitArea&&(hitTest&&(displayObject.worldTransform.applyInverse(point,this._tempPoint),displayObject.hitArea.contains(this._tempPoint.x,this._tempPoint.y)?hit=!0:(hitTest=!1,hitTestChildren=!1)),interactiveParent=!1),hitTestChildren&&displayObject.interactiveChildren&&displayObject.children){const children=displayObject.children;for(let i=children.length-1;i>=0;i--){const child=children[i],childHit=this.recursiveFindHit(interactionEvent,child,func,hitTest,interactiveParent);if(childHit){if(!child.parent)continue;interactiveParent=!1,childHit&&(interactionEvent.target&&(hitTest=!1),hit=!0);}}}return interactive&&(hitTest&&!interactionEvent.target&&!displayObject.hitArea&&displayObject.containsPoint&&displayObject.containsPoint(point)&&(hit=!0),displayObject.interactive&&(hit&&!interactionEvent.target&&(interactionEvent.target=displayObject),func&&func(interactionEvent,displayObject,!!hit))),hit;}findHit(interactionEvent,displayObject,func,hitTest){return this.recursiveFindHit(interactionEvent,displayObject,func,hitTest,!1);}}class InteractionManager extends EventEmitter{constructor(renderer,options){super(),this.activeInteractionData=void 0,this.supportsTouchEvents=void 0,this.supportsPointerEvents=void 0,this.cursor=null,this.delayedEvents=[],this.interactionDataPool=void 0,this.interactionFrequency=void 0,this.moveWhenInside=!1,this.renderer=void 0,this.resolution=void 0,this.search=new TreeSearch(),this.cursorStyles={default:"inherit",grab:"grab",pointer:"pointer"},this.currentCursorMode=null,this.eventData=void 0,this.mouse=void 0,this.interactionDOMElement=void 0,this.mouseOverRenderer=void 0,this._tempDisplayObject=new TemporaryDisplayObject(),this._eventListenerOptions={capture:!0,passive:!1},this.onPointerMove=originalEvent=>{const events=this.normalizeToPointerData(originalEvent);"mouse"!==events[0].pointerType&&"pen"!==events[0].pointerType||(this.cursor=null);for(const event of events){const interactionData=this.getInteractionDataForPointerId(event),interactionEvent=this.configureInteractionEventForDOMEvent(this.eventData,event,interactionData);interactionEvent.data.originalEvent=originalEvent,this.processInteractive(interactionEvent,this.lastObjectRendered,this.processPointerMove,!0),this.emit("pointermove",interactionEvent);}"mouse"===events[0].pointerType&&this.setCursorMode(this.cursor);},this.processPointerMove=(interactionEvent,displayObject,hit)=>{const data=interactionEvent.data,isTouch="touch"===data?.pointerType,isMouse="mouse"===data?.pointerType||"pen"===data?.pointerType;isMouse&&this.processPointerOverOut(interactionEvent,displayObject,hit),hit&&(this.dispatchEvent(displayObject,"pointermove",interactionEvent),isTouch&&this.dispatchEvent(displayObject,"touchmove",interactionEvent),isMouse&&this.dispatchEvent(displayObject,"mousemove",interactionEvent));},this.processPointerOverOut=(interactionEvent,displayObject,hit)=>{const data=interactionEvent.data,id=interactionEvent?.data?.identifier??-1,isMouse="mouse"===data?.pointerType||"pen"===data?.pointerType;let trackingData=displayObject.trackedPointers[id];hit&&!trackingData&&(trackingData=displayObject.trackedPointers[id]=new InteractionTrackingData(id)),void 0!==trackingData&&(hit&&this.mouseOverRenderer?(trackingData.over||(trackingData.over=!0,this.delayDispatchEvent(displayObject,"pointerover",interactionEvent),isMouse&&this.delayDispatchEvent(displayObject,"mouseover",interactionEvent)),isMouse&&null===this.cursor&&(this.cursor=displayObject.cursor)):trackingData.over&&(trackingData.over=!1,this.dispatchEvent(displayObject,"pointerout",this.eventData),isMouse&&this.dispatchEvent(displayObject,"mouseout",interactionEvent),trackingData.none&&delete displayObject.trackedPointers[id]));},this.onPointerDown=originalEvent=>{const events=this.normalizeToPointerData(originalEvent);for(const event of events){const interactionData=this.getInteractionDataForPointerId(event),interactionEvent=this.configureInteractionEventForDOMEvent(this.eventData,event,interactionData);if(interactionEvent.data.originalEvent=originalEvent,this.processInteractive(interactionEvent,this.lastObjectRendered,this.processPointerDown,!0),this.emit("pointerdown",interactionEvent),"touch"===event.pointerType)this.emit("touchstart",interactionEvent);else if("mouse"===event.pointerType||"pen"===event.pointerType){const isRightButton=2===event.button;this.emit(isRightButton?"rightdown":"mousedown",this.eventData);}}},this.processPointerDown=(interactionEvent,displayObject,hit)=>{const data=interactionEvent.data,id=interactionEvent?.data?.identifier??-1;if(hit)if(displayObject.trackedPointers[id]||(displayObject.trackedPointers[id]=new InteractionTrackingData(id)),this.dispatchEvent(displayObject,"pointerdown",interactionEvent),"touch"===data?.pointerType)this.dispatchEvent(displayObject,"touchstart",interactionEvent);else if("mouse"===data?.pointerType||"pen"===data?.pointerType){const isRightButton=2===data.button;isRightButton?displayObject.trackedPointers[id].rightDown=!0:displayObject.trackedPointers[id].leftDown=!0,this.dispatchEvent(displayObject,isRightButton?"rightdown":"mousedown",interactionEvent);}},this.onPointerOut=originalEvent=>{const event=this.normalizeToPointerData(originalEvent)[0];"mouse"===event.pointerType&&(this.mouseOverRenderer=!1,this.setCursorMode(null));const interactionData=this.getInteractionDataForPointerId(event),interactionEvent=this.configureInteractionEventForDOMEvent(this.eventData,event,interactionData);interactionEvent.data.originalEvent=event,this.processInteractive(interactionEvent,this.lastObjectRendered,this.processPointerOverOut,!1),this.emit("pointerout",interactionEvent),"mouse"===event.pointerType||"pen"===event.pointerType?this.emit("mouseout",interactionEvent):this.releaseInteractionDataForPointerId(interactionData.identifier);},this.onPointerOver=originalEvent=>{const event=this.normalizeToPointerData(originalEvent)[0],interactionData=this.getInteractionDataForPointerId(event),interactionEvent=this.configureInteractionEventForDOMEvent(this.eventData,event,interactionData);interactionEvent.data.originalEvent=event,"mouse"===event.pointerType&&(this.mouseOverRenderer=!0),this.emit("pointerover",interactionEvent),"mouse"!==event.pointerType&&"pen"!==event.pointerType||this.emit("mouseover",interactionEvent);},this.onPointerUp=event=>{this.onPointerComplete(event,!1,this.processPointerUp);},this.processPointerUp=(interactionEvent,displayObject,hit)=>{const data=interactionEvent.data,id=interactionEvent?.data?.identifier??-1,trackingData=displayObject.trackedPointers[id],isTouch="touch"===data?.pointerType,isMouse="mouse"===data?.pointerType||"pen"===data?.pointerType;let isMouseTap=!1;if(isMouse){const isRightButton=2===data?.button,flags=InteractionTrackingData.FLAGS,test=isRightButton?flags.RIGHT_DOWN:flags.LEFT_DOWN,isDown=void 0!==trackingData&&trackingData.flags&test;hit?(this.dispatchEvent(displayObject,isRightButton?"rightup":"mouseup",interactionEvent),isDown&&(this.dispatchEvent(displayObject,isRightButton?"rightclick":"click",interactionEvent),isMouseTap=!0)):isDown&&this.dispatchEvent(displayObject,isRightButton?"rightupoutside":"mouseupoutside",interactionEvent),trackingData&&(isRightButton?trackingData.rightDown=!1:trackingData.leftDown=!1);}hit?(this.dispatchEvent(displayObject,"pointerup",interactionEvent),isTouch&&this.dispatchEvent(displayObject,"touchend",interactionEvent),trackingData&&(isMouse&&!isMouseTap||this.dispatchEvent(displayObject,"pointertap",interactionEvent),isTouch&&(this.dispatchEvent(displayObject,"tap",interactionEvent),trackingData.over=!1))):trackingData&&(this.dispatchEvent(displayObject,"pointerupoutside",interactionEvent),isTouch&&this.dispatchEvent(displayObject,"touchendoutside",interactionEvent)),trackingData&&trackingData.none&&delete displayObject.trackedPointers[id];},this.onPointerComplete=(originalEvent,cancelled,func)=>{const events=this.normalizeToPointerData(originalEvent),eventLen=events.length,eventAppend=originalEvent.target!==this.interactionDOMElement?"outside":"";for(let i=0;i<eventLen;i++){const event=events[i],interactionData=this.getInteractionDataForPointerId(event),interactionEvent=this.configureInteractionEventForDOMEvent(this.eventData,event,interactionData);if(interactionEvent.data.originalEvent=originalEvent,this.processInteractive(interactionEvent,this.lastObjectRendered,func,cancelled||!eventAppend),this.emit(cancelled?"pointercancel":`pointerup${eventAppend}`,interactionEvent),"mouse"===event.pointerType||"pen"===event.pointerType){const isRightButton=2===event.button;this.emit(isRightButton?`rightup${eventAppend}`:`mouseup${eventAppend}`,interactionEvent);}else"touch"===event.pointerType&&(this.emit(cancelled?"touchcancel":`touchend${eventAppend}`,interactionEvent),this.releaseInteractionDataForPointerId(event.pointerId));}},this.onDblClick=originalEvent=>{const event=this.normalizeToPointerData(originalEvent)[0],interactionData=this.getInteractionDataForPointerId(event),interactionEvent=this.configureInteractionEventForDOMEvent(this.eventData,event,interactionData);interactionEvent.data.originalEvent=originalEvent,this.processInteractive(interactionEvent,this.lastObjectRendered,this.processDblClick,!0);},this.processDblClick=(interactionEvent,displayObject,hit)=>{hit&&(interactionEvent.data?.originalEvent?.preventDefault(),this.dispatchEvent(displayObject,"dblclick",interactionEvent));},this.onWheel=originalEvent=>{const events=this.normalizeToPointerData(originalEvent);"mouse"!==events[0].pointerType&&"pen"!==events[0].pointerType||(this.cursor=null);for(const event of events){const interactionData=this.getInteractionDataForPointerId(event),interactionEvent=this.configureInteractionEventForDOMEvent(this.eventData,event,interactionData);interactionEvent.data.originalEvent=originalEvent,this.processInteractive(interactionEvent,this.lastObjectRendered,this.processWheel,!0),this.emit("pointermove",interactionEvent);}},this.processWheel=(interactionEvent,displayObject,hit)=>{hit&&(interactionEvent.data?.originalEvent?.preventDefault(),this.dispatchEvent(displayObject,"wheel",interactionEvent));},this.interactionFrequency=options?.interactionFrequency??10,this.mouse=new InteractionData(),this.mouse.identifier=1,this.mouse.global.set(-999999),this.activeInteractionData={},this.activeInteractionData[1]=this.mouse,this.renderer=renderer,this.resolution=1,this.mouseOverRenderer=!("PointerEvent"in self),this.supportsTouchEvents="ontouchstart"in self,this.supportsPointerEvents=!!self.PointerEvent,this.interactionDataPool=[],this.eventData=new InteractionEvent(),this.interactionDOMElement=null,this.setTargetElement(this.renderer.view,this.renderer.resolution);}setTargetElement(element,resolution=1){this.removeEvents(),this.interactionDOMElement=element,this.resolution=resolution,this.addEvents();}processInteractive(interactionEvent,displayObject,func,hitTest){const hit=this.search.findHit(interactionEvent,displayObject,func,hitTest),delayedEvents=this.delayedEvents;if(!delayedEvents.length)return hit;interactionEvent.stopPropagationHint=!1;const delayedLen=delayedEvents.length;this.delayedEvents=[];for(let i=0;i<delayedLen;i++){const{displayObject:displayObject,eventString:eventString,eventData:eventData}=delayedEvents[i];eventData.stopsPropagatingAt===displayObject&&(eventData.stopPropagationHint=!0),this.dispatchEvent(displayObject,eventString,eventData);}return hit;}mapPositionToPoint(point,x,y){if(this.interactionDOMElement){const rect=this.interactionDOMElement.getBoundingClientRect(),resolutionMultiplier=1/this.resolution;point.x=(x-rect.left)*(this.interactionDOMElement.width/rect.width)*resolutionMultiplier,point.y=(y-rect.top)*(this.interactionDOMElement.height/rect.height)*resolutionMultiplier;}}setCursorMode(mode){mode=mode||"default";let applyStyles=!0;if(self.OffscreenCanvas&&this.interactionDOMElement instanceof OffscreenCanvas&&(applyStyles=!1),this.currentCursorMode===mode)return;this.currentCursorMode=mode;const style=this.cursorStyles[mode];if(style)switch(typeof style){case"string":applyStyles&&this.interactionDOMElement&&(this.interactionDOMElement.style.cursor=style);break;case"function":style(mode);break;case"object":applyStyles&&Object.assign(this.interactionDOMElement.style,style);}else applyStyles&&"string"==typeof mode&&!Object.prototype.hasOwnProperty.call(this.cursorStyles,mode)&&(this.interactionDOMElement.style.cursor=mode);}destroy(){this.removeEvents(),this.removeAllListeners(),this.interactionDOMElement=null;}addEvents(){if(!this.interactionDOMElement)return;const style=this.interactionDOMElement.style;self.navigator.msPointerEnabled?(style.msContentZooming="none",style.msTouchAction="none"):this.supportsPointerEvents&&(style.touchAction="none"),this.supportsPointerEvents?(self.document.addEventListener("pointermove",this.onPointerMove,this._eventListenerOptions),this.interactionDOMElement.addEventListener("pointerdown",this.onPointerDown,this._eventListenerOptions),this.interactionDOMElement.addEventListener("pointerleave",this.onPointerOut,this._eventListenerOptions),this.interactionDOMElement.addEventListener("pointerover",this.onPointerOver,this._eventListenerOptions),self.addEventListener("pointerup",this.onPointerUp,this._eventListenerOptions)):(self.document.addEventListener("mousemove",this.onPointerMove,this._eventListenerOptions),this.interactionDOMElement.addEventListener("mousedown",this.onPointerDown,this._eventListenerOptions),this.interactionDOMElement.addEventListener("mouseout",this.onPointerOut,this._eventListenerOptions),this.interactionDOMElement.addEventListener("mouseover",this.onPointerOver,this._eventListenerOptions),self.addEventListener("mouseup",this.onPointerUp,this._eventListenerOptions)),this.interactionDOMElement.addEventListener("wheel",this.onWheel,this._eventListenerOptions),this.interactionDOMElement.addEventListener("dblclick",this.onDblClick,this._eventListenerOptions),this.supportsTouchEvents&&(this.interactionDOMElement.addEventListener("touchstart",this.onPointerDown,this._eventListenerOptions),this.interactionDOMElement.addEventListener("touchend",this.onPointerUp,this._eventListenerOptions),this.interactionDOMElement.addEventListener("touchmove",this.onPointerMove,this._eventListenerOptions));}removeEvents(){this.interactionDOMElement;}delayDispatchEvent(displayObject,eventString,eventData){this.delayedEvents.push({displayObject:displayObject,eventString:eventString,eventData:eventData});}releaseInteractionDataForPointerId(pointerId){const interactionData=this.activeInteractionData[pointerId];interactionData&&(delete this.activeInteractionData[pointerId],interactionData.reset(),this.interactionDataPool.push(interactionData));}dispatchEvent(displayObject,eventString,eventData){eventData.stopPropagationHint&&displayObject!==eventData.stopsPropagatingAt||(eventData.currentTarget=displayObject,eventData.type=eventString,displayObject.emit(eventString,eventData),displayObject[eventString]&&displayObject[eventString](eventData));}configureInteractionEventForDOMEvent(interactionEvent,pointerEvent,interactionData){return interactionEvent.data=interactionData,this.mapPositionToPoint(interactionData.global,pointerEvent.clientX,pointerEvent.clientY),"touch"===pointerEvent.pointerType&&(pointerEvent.globalX=interactionData.global.x,pointerEvent.globalY=interactionData.global.y),interactionData.originalEvent=pointerEvent,interactionEvent.reset(),interactionEvent;}normalizeToPointerData(event){const normalizedEvents=[];if(event instanceof WheelEvent){const tempEvent=event;void 0===tempEvent.deltaX&&(tempEvent.deltaX=event.deltaX),void 0===tempEvent.deltaY&&(tempEvent.deltaY=event.deltaY),normalizedEvents.push(tempEvent);}else if(this.supportsTouchEvents&&event instanceof TouchEvent)for(let i=0,li=event.changedTouches.length;i<li;i++){const touch=event.changedTouches[i];void 0===touch.button&&(touch.button=event.touches.length?1:0),void 0===touch.buttons&&(touch.buttons=event.touches.length?1:0),void 0===touch.isPrimary&&(touch.isPrimary=1===event.touches.length&&"touchstart"===event.type),void 0===touch.width&&(touch.width=touch.radiusX||1),void 0===touch.height&&(touch.height=touch.radiusY||1),void 0===touch.tiltX&&(touch.tiltX=0),void 0===touch.tiltY&&(touch.tiltY=0),void 0===touch.pointerType&&(touch.pointerType="touch"),void 0===touch.pointerId&&(touch.pointerId=touch.identifier||0),void 0===touch.pressure&&(touch.pressure=touch.force||.5),void 0===touch.twist&&(touch.twist=0),void 0===touch.tangentialPressure&&(touch.tangentialPressure=0),touch.isNormalized=!0,normalizedEvents.push(touch);}else if(self.MouseEvent&&(!(event instanceof MouseEvent)||this.supportsPointerEvents&&event instanceof self.PointerEvent))normalizedEvents.push(event);else{const tempEvent=event;void 0===tempEvent.isPrimary&&(tempEvent.isPrimary=!0),void 0===tempEvent.width&&(tempEvent.width=1),void 0===tempEvent.height&&(tempEvent.height=1),void 0===tempEvent.tiltX&&(tempEvent.tiltX=0),void 0===tempEvent.tiltY&&(tempEvent.tiltY=0),void 0===tempEvent.pointerType&&(tempEvent.pointerType="mouse"),void 0===tempEvent.pointerId&&(tempEvent.pointerId=1),void 0===tempEvent.pressure&&(tempEvent.pressure=.5),void 0===tempEvent.twist&&(tempEvent.twist=0),void 0===tempEvent.tangentialPressure&&(tempEvent.tangentialPressure=0),tempEvent.isNormalized=!0,normalizedEvents.push(tempEvent);}return normalizedEvents;}getInteractionDataForPointerId(event){const pointerId=event.pointerId;let interactionData;return 1===pointerId||"mouse"===event.pointerType?interactionData=this.mouse:this.activeInteractionData[pointerId]?interactionData=this.activeInteractionData[pointerId]:(interactionData=this.interactionDataPool.pop()||new InteractionData(),interactionData.identifier=pointerId,this.activeInteractionData[pointerId]=interactionData),interactionData.copyEvent(event),interactionData;}get lastObjectRendered(){return this.renderer._lastObjectRendered??this._tempDisplayObject;}}class SpriteRenderer{constructor(renderer){this.renderer=void 0,this.renderer=renderer;}render(sprite){const texture=sprite._texture,renderer=this.renderer,context=renderer.context,width=texture._frame.width,height=texture._frame.height;let wt=sprite.transform.worldTransform,dx=0,dy=0;const source=texture.baseTexture.getDrawableSource();dx=(.5-sprite.anchor.x)*texture.orig.width,dy=(.5-sprite.anchor.y)*texture.orig.height,dx-=width/2,dy-=height/2,renderer.setContextTransform(wt,sprite.roundPixels,1),sprite.roundPixels&&(dx|=0,dy|=0);const resolution=texture.baseTexture.resolution;context.drawImage(source,texture._frame.x*resolution,texture._frame.y*resolution,Math.floor(width*resolution),Math.floor(height*resolution),Math.floor(dx*renderer.resolution),Math.floor(dy*renderer.resolution),Math.floor(width*renderer.resolution),Math.floor(height*renderer.resolution));}}const tempMatrix$1=new Matrix();class CanvasContextSystem{constructor(renderer){this.renderer=void 0,this.rootContext=null,this.activeContext=null,this.activeResolution=1,this._projTransform=null,this.renderer=renderer,this.rootContext=this.renderer.view.getContext("2d"),this.activeContext=this.rootContext;}setContextTransform(transform,roundPixels,localResolution){let mat=transform;const proj=this._projTransform,contextResolution=this.activeResolution;localResolution=localResolution||contextResolution,proj&&(mat=tempMatrix$1,mat.copyFrom(transform),mat.prepend(proj)),roundPixels?this.activeContext?.setTransform(mat.a*localResolution,mat.b*localResolution,mat.c*localResolution,mat.d*localResolution,mat.tx*contextResolution|0,mat.ty*contextResolution|0):this.activeContext?.setTransform(mat.a*localResolution,mat.b*localResolution,mat.c*localResolution,mat.d*localResolution,mat.tx*contextResolution,mat.ty*contextResolution);}}class CanvasMaskSystem{constructor(renderer){this.renderer=void 0,this._foundShapes=[],this.renderer=renderer;}pushMask(maskData){const renderer=this.renderer,maskObject=maskData;renderer.canvasContext?.activeContext?.save();const foundShapes=this._foundShapes;if(this.recursiveFindShapes(maskObject,foundShapes),foundShapes.length>0){const context=renderer.canvasContext?.activeContext;context?.beginPath();for(let i=0;i<foundShapes.length;i++){const shape=foundShapes[i],transform=shape.transform.worldTransform;this.renderer.canvasContext?.setContextTransform(transform),this.renderGraphicsShape(shape);}foundShapes.length=0,context?.clip();}}recursiveFindShapes(container,out){container.geometry&&container.geometry.graphicsData&&out.push(container);const{children:children}=container;if(children)for(let i=0;i<children.length;i++)this.recursiveFindShapes(children[i],out);}renderGraphicsShape(graphics){graphics.finishPoly();const context=this.renderer.canvasContext?.activeContext;if(!context)return;const graphicsData=graphics.geometry.graphicsData,len=graphicsData.length;if(0!==len)for(let i=0;i<len;i++){const shape=graphicsData[i].shape;if(shape.type===SHAPES.POLY){let points=shape.points;context.moveTo(points[0],points[1]);for(let j=1;j<points.length/2;j++)context.lineTo(points[2*j],points[2*j+1]);points[0]===points[points.length-2]&&points[1]===points[points.length-1]&&context.closePath();}else shape.type===SHAPES.RECT?(context.rect(shape.x,shape.y,shape.width,shape.height),context.closePath()):shape.type===SHAPES.CIRCLE&&(context.arc(shape.x,shape.y,shape.radius,0,2*Math.PI),context.closePath());}}popMask(renderer){renderer.canvasContext?.activeContext?.restore();}}const tempMatrix=new Matrix();class Renderer extends AbstractRenderer{constructor(options){super(options),this.mask=null,this.canvasContext=null,this.context=void 0,this.geometry=void 0,this._projTransform=void 0,this.context=this.view.getContext("2d"),this.context.imageSmoothingEnabled=!0,this.geometry=null,this.plugins.sprite=new SpriteRenderer(this),this.plugins.graphics=new GraphicsRenderer(this),this.plugins.interaction=new InteractionManager(this),this._projTransform=null,this.mask=new CanvasMaskSystem(this),this.canvasContext=new CanvasContextSystem(this),this.resize(options?.width??800,options?.height??600);}render(displayObject){const context=this.context;this._lastObjectRendered=displayObject,displayObject.updateTransform(),context.save(),context.setTransform(1,0,0,1,0,0),context.globalAlpha=1,context.clearRect(0,0,this.width,this.height),displayObject.render(this),context.restore();}clear(clearColor=this._backgroundColorString,alpha=this.backgroundAlpha){this.context.clearRect(0,0,this.width,this.height);}setContextTransform(transform,roundPixels,localResolution){let mat=transform;const proj=this._projTransform;localResolution=localResolution||1,proj&&(mat=tempMatrix,mat.copyFrom(transform),mat.prepend(proj)),roundPixels?this.context.setTransform(mat.a*localResolution,mat.b*localResolution,mat.c*localResolution,mat.d*localResolution,1*mat.tx|0,1*mat.ty|0):this.context.setTransform(mat.a*localResolution,mat.b*localResolution,mat.c*localResolution,mat.d*localResolution,1*mat.tx,1*mat.ty);}}class Resource{constructor(width=0,height=0){this._width=void 0,this._height=void 0,this._width=width,this._height=height;}bind(baseTexture){}unbind(baseTexture){}get width(){return this._width;}get height(){return this._height;}}class BaseImageResource extends Resource{constructor(source){const sourceAny=source;super(sourceAny.naturalWidth||sourceAny.videoWidth||sourceAny.width,sourceAny.naturalHeight||sourceAny.videoHeight||sourceAny.height),this.source=void 0,this.source=source;}}class CanvasResource extends BaseImageResource{constructor(source){super(source);}}class BaseTexture{constructor(resource=null,options={}){this.width=void 0,this.height=void 0,this.resolution=void 0,this.resource=null,this.height=options.height??0,this.resolution=options.resolution??settings_RESOLUTION,this.width=options.height??0,!resource||resource instanceof Resource||(resource=new CanvasResource(resource)),this.setResource(resource);}getDrawableSource(){const resource=this.resource;return resource?resource.bitmap||resource.source:null;}setRealSize(realWidth,realHeight,resolution){return this.resolution=resolution||this.resolution,this.width=realWidth/this.resolution,this.height=realHeight/this.resolution,this;}setResource(resource){if(this.resource===resource)return this;if(this.resource)throw new Error("Resource can be set only once");return this.resource=resource,this;}}class Texture{constructor(baseTexture,frame=new Rectangle(0,0,1,1),orig=frame,anchor){this.baseTexture=void 0,this.orig=void 0,this._frame=void 0,this.defaultAnchor=void 0,this.baseTexture=baseTexture,this._frame=frame,this.orig=orig,this.defaultAnchor=anchor?new Point(anchor.x,anchor.y):new Point(0,0);}onBaseTextureUpdated(baseTexture){this._frame.width=baseTexture.width,this._frame.height=baseTexture.height;}get frame(){return this._frame;}set frame(frame){this._frame=frame;const{x:x,y:y,width:width,height:height}=frame,xNotFit=x+width>this.baseTexture.width,yNotFit=y+height>this.baseTexture.height;if(xNotFit||yNotFit){const relationship=xNotFit&&yNotFit?"and":"or",errorX=`X: ${x} + ${width} = ${x+width} > ${this.baseTexture.width}`,errorY=`Y: ${y} + ${height} = ${y+height} > ${this.baseTexture.height}`;throw new Error(`Texture Error: frame does not fit inside the base Texture dimensions: ${errorX} ${relationship} ${errorY}`);}this.orig=frame;}get resolution(){return this.baseTexture.resolution;}static from(source,options={}){return new Texture(new BaseTexture(source,options));}}Texture.EMPTY=new Texture(new BaseTexture()),Texture.WHITE=new Texture(new BaseTexture());class Sprite extends Container{constructor(texture){super(),this._height=void 0,this._texture=Texture.EMPTY,this._width=void 0,this._anchor=void 0,this._roundPixels=void 0,this._anchor=new Point(texture?texture.defaultAnchor.x:0,texture?texture.defaultAnchor.y:0),this._height=0,this._width=0,this.texture=texture??Texture.EMPTY,this._roundPixels=settings_ROUND_PIXELS;}_render(renderer){renderer.plugins.sprite.render(this);}get width(){return Math.abs(this.scale.x)*this._texture.orig.width;}set width(value){const s=sign(this.scale.x)||1;this.scale.x=s*value/this._texture.orig.width,this._width=value;}get height(){return Math.abs(this.scale.y)*this._texture.orig.height;}set height(value){const s=sign(this.scale.y)||1;this.scale.y=s*value/this._texture.orig.height,this._height=value;}get anchor(){return this._anchor;}set anchor(value){this._anchor.copyFrom(value);}set roundPixels(value){this._roundPixels=value;}get roundPixels(){return this._roundPixels;}get texture(){return this._texture;}set texture(value){this._texture!==value&&(this._texture=value??Texture.EMPTY);}}let TEXT_GRADIENT=function(TEXT_GRADIENT){return TEXT_GRADIENT[TEXT_GRADIENT.LINEAR_VERTICAL=0]="LINEAR_VERTICAL",TEXT_GRADIENT[TEXT_GRADIENT.LINEAR_HORIZONTAL=1]="LINEAR_HORIZONTAL",TEXT_GRADIENT;}({});class TextMetrics{constructor(text,style,width,height,lines,lineWidths,lineHeight,maxLineWidth,fontProperties){this.text=void 0,this.style=void 0,this.width=void 0,this.height=void 0,this.lines=void 0,this.lineWidths=void 0,this.lineHeight=void 0,this.maxLineWidth=void 0,this.fontProperties=void 0,this.text=text,this.style=style,this.width=width,this.height=height,this.lines=lines,this.lineWidths=lineWidths,this.lineHeight=lineHeight,this.maxLineWidth=maxLineWidth,this.fontProperties=fontProperties;}static measureText(text,style,wordWrap,canvas=TextMetrics._canvas){wordWrap=null==wordWrap?style.wordWrap:wordWrap;const font=style.toFontString(),fontProperties=TextMetrics.measureFont(font);0===fontProperties.fontSize&&(fontProperties.fontSize=style.fontSize,fontProperties.ascent=style.fontSize);const context=canvas.getContext("2d");context.font=font;const lines=(wordWrap?TextMetrics.wordWrap(text,style,canvas):text).split(/(?:\r\n|\r|\n)/),lineWidths=new Array(lines.length);let maxLineWidth=0;for(let i=0;i<lines.length;i++){const lineWidth=context.measureText(lines[i]).width+(lines[i].length-1)*style.letterSpacing;lineWidths[i]=lineWidth,maxLineWidth=Math.max(maxLineWidth,lineWidth);}let width=maxLineWidth+style.strokeThickness;style.dropShadow&&(width+=style.dropShadowDistance);const lineHeight=style.lineHeight||fontProperties.fontSize+style.strokeThickness;let height=Math.max(lineHeight,fontProperties.fontSize+style.strokeThickness)+(lines.length-1)*(lineHeight+style.leading);return style.dropShadow&&(height+=style.dropShadowDistance),new TextMetrics(text,style,width,height,lines,lineWidths,lineHeight+style.leading,maxLineWidth,fontProperties);}static wordWrap(text,style,canvas=TextMetrics._canvas){const context=canvas.getContext("2d");let width=0,line="",lines="";const cache=Object.create(null),{letterSpacing:letterSpacing,whiteSpace:whiteSpace}=style,collapseSpaces=TextMetrics.collapseSpaces(whiteSpace),collapseNewlines=TextMetrics.collapseNewlines(whiteSpace);let canPrependSpaces=!collapseSpaces;const wordWrapWidth=style.wordWrapWidth+letterSpacing,tokens=TextMetrics.tokenize(text);for(let i=0;i<tokens.length;i++){let token=tokens[i];if(TextMetrics.isNewline(token)){if(!collapseNewlines){lines+=TextMetrics.addLine(line),canPrependSpaces=!collapseSpaces,line="",width=0;continue;}token=" ";}if(collapseSpaces){const currIsBreakingSpace=TextMetrics.isBreakingSpace(token),lastIsBreakingSpace=TextMetrics.isBreakingSpace(line[line.length-1]);if(currIsBreakingSpace&&lastIsBreakingSpace)continue;}const tokenWidth=TextMetrics.getFromCache(token,letterSpacing,cache,context);if(tokenWidth>wordWrapWidth){if(""!==line&&(lines+=TextMetrics.addLine(line),line="",width=0),TextMetrics.canBreakWords(token,style.breakWords)){const characters=TextMetrics.wordWrapSplit(token);for(let j=0;j<characters.length;j++){let char=characters[j],k=1;for(;characters[j+k];){const nextChar=characters[j+k],lastChar=char[char.length-1];if(TextMetrics.canBreakChars(lastChar,nextChar,token,j,style.breakWords))break;}j+=char.length-1;const characterWidth=TextMetrics.getFromCache(char,letterSpacing,cache,context);characterWidth+width>wordWrapWidth&&(lines+=TextMetrics.addLine(line),canPrependSpaces=!1,line="",width=0),line+=char,width+=characterWidth;}}else{line.length>0&&(lines+=TextMetrics.addLine(line),line="",width=0);const isLastToken=i===tokens.length-1;lines+=TextMetrics.addLine(token,!isLastToken),canPrependSpaces=!1,line="",width=0;}}else tokenWidth+width>wordWrapWidth&&(canPrependSpaces=!1,lines+=TextMetrics.addLine(line),line="",width=0),(line.length>0||!TextMetrics.isBreakingSpace(token)||canPrependSpaces)&&(line+=token,width+=tokenWidth);}return lines+=TextMetrics.addLine(line,!1),lines;}static addLine(line,newLine=!0){return line=TextMetrics.trimRight(line),line=newLine?`${line}\n`:line;}static getFromCache(key,letterSpacing,cache,context){let width=cache[key];if("number"!=typeof width){const spacing=key.length*letterSpacing;width=context.measureText(key).width+spacing,cache[key]=width;}return width;}static collapseSpaces(whiteSpace){return"normal"===whiteSpace||"pre-line"===whiteSpace;}static collapseNewlines(whiteSpace){return"normal"===whiteSpace;}static trimRight(text){if("string"!=typeof text)return"";for(let i=text.length-1;i>=0;i--){const char=text[i];if(!TextMetrics.isBreakingSpace(char))break;text=text.slice(0,-1);}return text;}static isNewline(char){return"string"==typeof char&&TextMetrics._newlines.indexOf(char.charCodeAt(0))>=0;}static isBreakingSpace(char,_nextChar){return"string"==typeof char&&TextMetrics._breakingSpaces.indexOf(char.charCodeAt(0))>=0;}static tokenize(text){const tokens=[];let token="";if("string"!=typeof text)return tokens;for(let i=0;i<text.length;i++){const char=text[i],nextChar=text[i+1];TextMetrics.isBreakingSpace(char,nextChar)||TextMetrics.isNewline(char)?(""!==token&&(tokens.push(token),token=""),tokens.push(char)):token+=char;}return""!==token&&tokens.push(token),tokens;}static canBreakWords(_token,breakWords){return breakWords;}static canBreakChars(_char,_nextChar,_token,_index,_breakWords){return!0;}static wordWrapSplit(token){return token.split("");}static measureFont(font){if(TextMetrics._fonts[font])return TextMetrics._fonts[font];const properties={ascent:0,descent:0,fontSize:0},canvas=TextMetrics._canvas,context=TextMetrics._context;context.font=font;const metricsString=TextMetrics.METRICS_STRING+TextMetrics.BASELINE_SYMBOL,width=Math.ceil(context.measureText(metricsString).width);let baseline=Math.ceil(context.measureText(TextMetrics.BASELINE_SYMBOL).width);const height=Math.ceil(TextMetrics.HEIGHT_MULTIPLIER*baseline);baseline=baseline*TextMetrics.BASELINE_MULTIPLIER|0,canvas.width=width,canvas.height=height,context.fillStyle="#f00",context.fillRect(0,0,width,height),context.font=font,context.textBaseline="alphabetic",context.fillStyle="#000",context.fillText(metricsString,0,baseline);const imagedata=context.getImageData(0,0,width,height).data,pixels=imagedata.length,line=4*width;let i=0,idx=0,stop=!1;for(i=0;i<baseline;++i){for(let j=0;j<line;j+=4)if(255!==imagedata[idx+j]){stop=!0;break;}if(stop)break;idx+=line;}for(properties.ascent=baseline-i,idx=pixels-line,stop=!1,i=height;i>baseline;--i){for(let j=0;j<line;j+=4)if(255!==imagedata[idx+j]){stop=!0;break;}if(stop)break;idx-=line;}return properties.descent=i-baseline,properties.fontSize=properties.ascent+properties.descent,TextMetrics._fonts[font]=properties,properties;}static clearMetrics(font=""){font?delete TextMetrics._fonts[font]:TextMetrics._fonts={};}}TextMetrics.METRICS_STRING=void 0,TextMetrics.BASELINE_SYMBOL=void 0,TextMetrics.BASELINE_MULTIPLIER=void 0,TextMetrics.HEIGHT_MULTIPLIER=void 0,TextMetrics._canvas=void 0,TextMetrics._context=void 0,TextMetrics._fonts=void 0,TextMetrics._newlines=void 0,TextMetrics._breakingSpaces=void 0;let canvas=null;"undefined"!=typeof window&&(canvas=(()=>{try{const c=new OffscreenCanvas(0,0),context=c.getContext("2d");return context&&context.measureText?c:document.createElement("canvas");}catch(ex){return document.createElement("canvas");}})(),canvas.width=canvas.height=10,TextMetrics._canvas=canvas,TextMetrics._context=canvas.getContext("2d")),TextMetrics._fonts={},TextMetrics.METRICS_STRING="|ÉqÅ",TextMetrics.BASELINE_SYMBOL="M",TextMetrics.BASELINE_MULTIPLIER=1.4,TextMetrics.HEIGHT_MULTIPLIER=2,TextMetrics._newlines=[10,13],TextMetrics._breakingSpaces=[9,32,8192,8193,8194,8195,8196,8197,8198,8200,8201,8202,8287,12288];const defaultStyle={align:"left",breakWords:!1,dropShadow:!1,dropShadowAlpha:1,dropShadowAngle:Math.PI/6,dropShadowBlur:0,dropShadowColor:"black",dropShadowDistance:5,fill:"black",fillGradientType:TEXT_GRADIENT.LINEAR_VERTICAL,fillGradientStops:[],fontFamily:"Arial",fontSize:26,fontStyle:"normal",fontVariant:"normal",fontWeight:"normal",letterSpacing:0,lineHeight:0,lineJoin:"miter",miterLimit:10,padding:0,stroke:"black",strokeThickness:0,textBaseline:"alphabetic",trim:!1,whiteSpace:"pre",wordWrap:!1,wordWrapWidth:100,leading:0},genericFontFamilies=["serif","sans-serif","monospace","cursive","fantasy","system-ui"];class TextStyle{constructor(style){this.styleID=void 0,this._align=void 0,this._breakWords=void 0,this._dropShadow=void 0,this._dropShadowAlpha=void 0,this._dropShadowAngle=void 0,this._dropShadowBlur=void 0,this._dropShadowColor=void 0,this._dropShadowDistance=void 0,this._fill=void 0,this._fillGradientType=void 0,this._fillGradientStops=void 0,this._fontFamily=void 0,this._fontSize=void 0,this._fontStyle=void 0,this._fontVariant=void 0,this._fontWeight=void 0,this._letterSpacing=void 0,this._lineHeight=void 0,this._lineJoin=void 0,this._miterLimit=void 0,this._padding=void 0,this._stroke=void 0,this._strokeThickness=void 0,this._textBaseline=void 0,this._trim=void 0,this._whiteSpace=void 0,this._wordWrap=void 0,this._wordWrapWidth=void 0,this._leading=void 0,this.styleID=0,this.reset(),deepCopyProperties(this,style,style);}clone(){const clonedProperties={};return deepCopyProperties(clonedProperties,this,defaultStyle),new TextStyle(clonedProperties);}reset(){deepCopyProperties(this,defaultStyle,defaultStyle);}get align(){return this._align;}set align(align){this._align!==align&&(this._align=align,this.styleID++);}get breakWords(){return this._breakWords;}set breakWords(breakWords){this._breakWords!==breakWords&&(this._breakWords=breakWords,this.styleID++);}get dropShadow(){return this._dropShadow;}set dropShadow(dropShadow){this._dropShadow!==dropShadow&&(this._dropShadow=dropShadow,this.styleID++);}get dropShadowAlpha(){return this._dropShadowAlpha;}set dropShadowAlpha(dropShadowAlpha){this._dropShadowAlpha!==dropShadowAlpha&&(this._dropShadowAlpha=dropShadowAlpha,this.styleID++);}get dropShadowAngle(){return this._dropShadowAngle;}set dropShadowAngle(dropShadowAngle){this._dropShadowAngle!==dropShadowAngle&&(this._dropShadowAngle=dropShadowAngle,this.styleID++);}get dropShadowBlur(){return this._dropShadowBlur;}set dropShadowBlur(dropShadowBlur){this._dropShadowBlur!==dropShadowBlur&&(this._dropShadowBlur=dropShadowBlur,this.styleID++);}get dropShadowColor(){return this._dropShadowColor;}set dropShadowColor(dropShadowColor){const outputColor=getColor(dropShadowColor);this._dropShadowColor!==outputColor&&(this._dropShadowColor=outputColor,this.styleID++);}get dropShadowDistance(){return this._dropShadowDistance;}set dropShadowDistance(dropShadowDistance){this._dropShadowDistance!==dropShadowDistance&&(this._dropShadowDistance=dropShadowDistance,this.styleID++);}get fill(){return this._fill;}set fill(fill){const outputColor=getColor(fill);this._fill!==outputColor&&(this._fill=outputColor,this.styleID++);}get fillGradientType(){return this._fillGradientType;}set fillGradientType(fillGradientType){this._fillGradientType!==fillGradientType&&(this._fillGradientType=fillGradientType,this.styleID++);}get fillGradientStops(){return this._fillGradientStops;}set fillGradientStops(fillGradientStops){(function(array1,array2){if(!Array.isArray(array1)||!Array.isArray(array2))return!1;if(array1.length!==array2.length)return!1;for(let i=0;i<array1.length;++i)if(array1[i]!==array2[i])return!1;return!0;})(this._fillGradientStops,fillGradientStops)||(this._fillGradientStops=fillGradientStops,this.styleID++);}get fontFamily(){return this._fontFamily;}set fontFamily(fontFamily){this.fontFamily!==fontFamily&&(this._fontFamily=fontFamily,this.styleID++);}get fontSize(){return this._fontSize;}set fontSize(fontSize){this._fontSize!==fontSize&&(this._fontSize=fontSize,this.styleID++);}get fontStyle(){return this._fontStyle;}set fontStyle(fontStyle){this._fontStyle!==fontStyle&&(this._fontStyle=fontStyle,this.styleID++);}get fontVariant(){return this._fontVariant;}set fontVariant(fontVariant){this._fontVariant!==fontVariant&&(this._fontVariant=fontVariant,this.styleID++);}get fontWeight(){return this._fontWeight;}set fontWeight(fontWeight){this._fontWeight!==fontWeight&&(this._fontWeight=fontWeight,this.styleID++);}get letterSpacing(){return this._letterSpacing;}set letterSpacing(letterSpacing){this._letterSpacing!==letterSpacing&&(this._letterSpacing=letterSpacing,this.styleID++);}get lineHeight(){return this._lineHeight;}set lineHeight(lineHeight){this._lineHeight!==lineHeight&&(this._lineHeight=lineHeight,this.styleID++);}get leading(){return this._leading;}set leading(leading){this._leading!==leading&&(this._leading=leading,this.styleID++);}get lineJoin(){return this._lineJoin;}set lineJoin(lineJoin){this._lineJoin!==lineJoin&&(this._lineJoin=lineJoin,this.styleID++);}get miterLimit(){return this._miterLimit;}set miterLimit(miterLimit){this._miterLimit!==miterLimit&&(this._miterLimit=miterLimit,this.styleID++);}get padding(){return this._padding;}set padding(padding){this._padding!==padding&&(this._padding=padding,this.styleID++);}get stroke(){return this._stroke;}set stroke(stroke){const outputColor=getColor(stroke);this._stroke!==outputColor&&(this._stroke=outputColor,this.styleID++);}get strokeThickness(){return this._strokeThickness;}set strokeThickness(strokeThickness){this._strokeThickness!==strokeThickness&&(this._strokeThickness=strokeThickness,this.styleID++);}get textBaseline(){return this._textBaseline;}set textBaseline(textBaseline){this._textBaseline!==textBaseline&&(this._textBaseline=textBaseline,this.styleID++);}get trim(){return this._trim;}set trim(trim){this._trim!==trim&&(this._trim=trim,this.styleID++);}get whiteSpace(){return this._whiteSpace;}set whiteSpace(whiteSpace){this._whiteSpace!==whiteSpace&&(this._whiteSpace=whiteSpace,this.styleID++);}get wordWrap(){return this._wordWrap;}set wordWrap(wordWrap){this._wordWrap!==wordWrap&&(this._wordWrap=wordWrap,this.styleID++);}get wordWrapWidth(){return this._wordWrapWidth;}set wordWrapWidth(wordWrapWidth){this._wordWrapWidth!==wordWrapWidth&&(this._wordWrapWidth=wordWrapWidth,this.styleID++);}toFontString(){const fontSizeString="number"==typeof this.fontSize?`${this.fontSize}px`:this.fontSize;let fontFamilies=this.fontFamily;Array.isArray(this.fontFamily)||(fontFamilies=this.fontFamily.split(","));for(let i=fontFamilies.length-1;i>=0;i--){let fontFamily=fontFamilies[i].trim();!/([\"\'])[^\'\"]+\1/.test(fontFamily)&&genericFontFamilies.indexOf(fontFamily)<0&&(fontFamily=`"${fontFamily}"`),fontFamilies[i]=fontFamily;}return`${this.fontStyle} ${this.fontVariant} ${this.fontWeight} ${fontSizeString} ${fontFamilies.join(",")}`;}}function getSingleColor(color){return"number"==typeof color?hex2string(color):("string"==typeof color&&0===color.indexOf("0x")&&(color=color.replace("0x","#")),color);}function getColor(color){if(Array.isArray(color)){for(let i=0;i<color.length;++i)color[i]=getSingleColor(color[i]);return color;}return getSingleColor(color);}function deepCopyProperties(target,source,propertyObj){for(const prop in propertyObj)Array.isArray(source[prop])?target[prop]=source[prop].slice():target[prop]=source[prop];}class Text extends Sprite{constructor(text,style,canvas){canvas||(canvas=document.createElement("canvas"));const texture=Texture.from(canvas);texture.orig=new Rectangle(),super(texture),this.canvas=void 0,this.context=void 0,this._resolution=void 0,this._autoResolution=void 0,this._style=void 0,this._text=void 0,this._font=void 0,this.canvas=canvas,this.context=this.canvas.getContext("2d"),this._resolution=settings_RESOLUTION,this._autoResolution=!0,this._text=null,this._font="",this.style=style,this.text=text;}updateText(){const style=this._style;this._font=this._style.toFontString();const context=this.context,measured=TextMetrics.measureText(this._text||" ",this._style,this._style.wordWrap,this.canvas),width=measured.width,height=measured.height,lines=measured.lines,lineHeight=measured.lineHeight,lineWidths=measured.lineWidths,maxLineWidth=measured.maxLineWidth,fontProperties=measured.fontProperties;let linePositionX,linePositionY;this.canvas.width=Math.ceil(Math.max(1,width)*this._resolution),this.canvas.height=Math.ceil(Math.max(1,height)*this._resolution),context.scale(this._resolution,this._resolution),context.clearRect(0,0,this.canvas.width,this.canvas.height),context.font=this._font,context.fillStyle=this._generateFillStyle(style,lines,measured),context.strokeStyle=style.stroke,context.shadowColor="black",context.shadowBlur=0,context.shadowOffsetX=0,context.shadowOffsetY=0;let linePositionYShift=(lineHeight-fontProperties.fontSize)/2;(!Text.nextLineHeightBehavior||lineHeight-fontProperties.fontSize<0)&&(linePositionYShift=0);for(let i=0;i<lines.length;i++)linePositionX=style.strokeThickness/2,linePositionY=style.strokeThickness/2+i*lineHeight+fontProperties.ascent+linePositionYShift,"right"===style.align?linePositionX+=maxLineWidth-lineWidths[i]:"center"===style.align&&(linePositionX+=(maxLineWidth-lineWidths[i])/2),style.stroke&&style.strokeThickness&&this.drawLetterSpacing(lines[i],linePositionX+style.padding,linePositionY+style.padding,!0),style.fill&&this.drawLetterSpacing(lines[i],linePositionX+style.padding,linePositionY+style.padding);this.updateTexture();}_render(renderer){this._autoResolution&&this._resolution!==renderer.resolution&&(this._resolution=renderer.resolution),this.updateText(),super._render(renderer);}_generateFillStyle(style,lines,metrics){const fillStyle=style.fill;if(!Array.isArray(fillStyle))return fillStyle;if(1===fillStyle.length)return fillStyle[0];let gradient;const dropShadowCorrection=style.dropShadow?style.dropShadowDistance:0,padding=style.padding||0,width=Math.ceil(this.canvas.width/this._resolution)-dropShadowCorrection-2*padding,height=Math.ceil(this.canvas.height/this._resolution)-dropShadowCorrection-2*padding,fill=fillStyle.slice(),fillGradientStops=style.fillGradientStops.slice();if(!fillGradientStops.length){const lengthPlus1=fill.length+1;for(let i=1;i<lengthPlus1;++i)fillGradientStops.push(i/lengthPlus1);}if(fill.unshift(fillStyle[0]),fillGradientStops.unshift(0),fill.push(fillStyle[fillStyle.length-1]),fillGradientStops.push(1),style.fillGradientType===TEXT_GRADIENT.LINEAR_VERTICAL){gradient=this.context.createLinearGradient(width/2,padding,width/2,height+padding);const gradStopLineHeight=(metrics.fontProperties.fontSize+style.strokeThickness)/height;for(let i=0;i<lines.length;i++){const thisLineTop=metrics.lineHeight*i;for(let j=0;j<fill.length;j++){let lineStop=0;lineStop="number"==typeof fillGradientStops[j]?fillGradientStops[j]:j/fill.length;let globalStop=Math.min(1,Math.max(0,thisLineTop/height+lineStop*gradStopLineHeight));globalStop=Number(globalStop.toFixed(5)),gradient.addColorStop(globalStop,fill[j]);}}}else{gradient=this.context.createLinearGradient(padding,height/2,width+padding,height/2);const totalIterations=fill.length+1;let currentIteration=1;for(let i=0;i<fill.length;i++){let stop;stop="number"==typeof fillGradientStops[i]?fillGradientStops[i]:currentIteration/totalIterations,gradient.addColorStop(stop,fill[i]),currentIteration++;}}return gradient;}drawLetterSpacing(text,x,y,isStroke=!1){const letterSpacing=this._style.letterSpacing;if(0===letterSpacing)return void(isStroke?this.context.strokeText(text,x,y):this.context.fillText(text,x,y));let currentPosition=x;const stringArray=Array.from?Array.from(text):text.split("");let previousWidth=this.context.measureText(text).width,currentWidth=0;for(let i=0;i<stringArray.length;++i){const currentChar=stringArray[i];isStroke?this.context.strokeText(currentChar,currentPosition,y):this.context.fillText(currentChar,currentPosition,y),currentWidth=this.context.measureText(text.substring(i+1)).width,currentPosition+=previousWidth-currentWidth+letterSpacing,previousWidth=currentWidth;}}updateTexture(){const canvas=this.canvas,texture=this._texture,padding=this._style.padding,baseTexture=texture.baseTexture;texture.orig.width=texture._frame.width-2*padding,texture.orig.height=texture._frame.height-2*padding,this._width&&(this.scale.x=sign(this.scale.x)*this._width/this._texture.orig.width),this._height&&(this.scale.y=sign(this.scale.y)*this._height/this._texture.orig.height),baseTexture.setRealSize(canvas.width,canvas.height,this._resolution),texture.onBaseTextureUpdated(baseTexture);}get height(){return this.updateText(),Math.abs(this.scale.y)*this._texture.orig.height;}set height(value){this.updateText();const s=sign(this.scale.y)||1;this.scale.y=s*value/this._texture.orig.height,this._height=value;}get resolution(){return this._resolution;}set resolution(value){this._autoResolution=!1,this._resolution!==value&&(this._resolution=value);}get style(){return this._style;}set style(style){this._style=new TextStyle(style);}get text(){return this._text;}set text(text){text=String(null==text?"":text),this._text!==text&&(this._text=text);}get width(){return this.updateText(),Math.abs(this.scale.x)*this._texture.orig.width;}set width(value){this.updateText();const s=sign(this.scale.x)||1;this.scale.x=s*value/this._texture.orig.width,this._width=value;}}Text.nextLineHeightBehavior=!0;class YAxisElement{draw(ctx,xScale,yScale,pixelRatio=1,colors){!function(ctx,xScale,yScale,pixelRatio,colors){const xRange=xScale.range(),yRange=yScale.range(),numYTicks=getNumYTicks(yRange[1]-yRange[0]),yTicks=yScale.ticks(numYTicks),tickFormat=yScale.tickFormat(numYTicks);ctx.beginPath();const rgb=hex2rgb(string2hex(colors.backgroundSurface)).map(c=>255*c);ctx.fillStyle=`rgba(${rgb[0]},${rgb[1]},${rgb[2]},0.8)`,ctx.fillRect(xScale.range()[1]-92,yRange[1],92,yRange[0]-yRange[1]),ctx.closePath(),ctx.strokeStyle="#ffffff",ctx.fillStyle=colors.textSecondary,ctx.textBaseline="middle",ctx.textAlign="left",ctx.font="12px monospace",yTicks.forEach(function(tick){ctx.beginPath(),ctx.fillText(tickFormat(tick),xRange[1]-92+6,Math.round(yScale(tick))),ctx.closePath();});const gradientTop=ctx.createLinearGradient(0,0,0,6);gradientTop.addColorStop(0,`rgba(${rgb[0]},${rgb[1]},${rgb[2]},1)`),gradientTop.addColorStop(1,`rgba(${rgb[0]},${rgb[1]},${rgb[2]},0)`),ctx.fillStyle=gradientTop,ctx.fillRect(xRange[1]-92,0,92,6);const gradientBottom=ctx.createLinearGradient(0,yRange[0]-6,0,yRange[0]);gradientBottom.addColorStop(0,`rgba(${rgb[0]},${rgb[1]},${rgb[2]},0)`),gradientBottom.addColorStop(1,`rgba(${rgb[0]},${rgb[1]},${rgb[2]},1)`),ctx.fillStyle=gradientBottom,ctx.fillRect(xRange[1]-92,yScale.range()[0]-6,92,6),ctx.beginPath(),ctx.strokeStyle=colors.emphasis300,ctx.moveTo(xRange[1]-92,yRange[0]),ctx.lineTo(xRange[1]-92,yRange[1]),ctx.stroke(),ctx.closePath();}(ctx,xScale,yScale,0,colors);}}class YAxisAnnotationElement{constructor(position,decimalPlaces){this.decimalPlaces=void 0,this.position=void 0,this.position=position,this.decimalPlaces=decimalPlaces;}draw(ctx,xScale,yScale,pixelRatio=1,position,colors){!function(ctx,xScale,yScale,position,decimalPlaces,colors){if(position){const width=xScale.range()[1];ctx.font="12px monospace",ctx.textAlign="left",ctx.textBaseline="middle";const xPad=5,text=formatter(position,decimalPlaces),rectHeight=18;let y=yScale(position);ctx.save(),ctx.setLineDash([2,2]),ctx.strokeStyle=colors.textSecondary,ctx.beginPath(),ctx.moveTo(xScale.range()[0],y+.5),ctx.lineTo(xScale.range()[1],y+.5),ctx.stroke(),ctx.closePath(),ctx.restore(),ctx.beginPath(),ctx.moveTo(width-92-10,y),ctx.lineTo(width-92,y-rectHeight/2),ctx.lineTo(width,y-rectHeight/2),ctx.lineTo(width,y+rectHeight/2),ctx.lineTo(width-92,y+rectHeight/2),ctx.closePath(),ctx.fillStyle=colors.backgroundSurface,ctx.strokeStyle=colors.emphasis300,ctx.fill(),ctx.stroke(),ctx.closePath(),ctx.beginPath(),ctx.fillStyle=colors.textPrimary,ctx.fillText(text,width-92+xPad,y),ctx.closePath();}}(ctx,xScale,yScale,this.position,this.decimalPlaces,colors);}}class YAxisTooltipElement{constructor(decimalPlaces){this.decimalPlaces=void 0,this.decimalPlaces=decimalPlaces;}draw(ctx,xScale,yScale,pixelRatio=1,position,colors){!function(ctx,xScale,yScale,position,decimalPlaces,colors){if(position){const width=xScale.range()[1];ctx.font="12px monospace",ctx.textAlign="left",ctx.textBaseline="middle";const xPad=5,text=formatter(position,decimalPlaces),rectHeight=18;let y=yScale(position);ctx.beginPath(),ctx.moveTo(width-92-10,y),ctx.lineTo(width-92,y-rectHeight/2),ctx.lineTo(width,y-rectHeight/2),ctx.lineTo(width,y+rectHeight/2),ctx.lineTo(width-92,y+rectHeight/2),ctx.closePath(),ctx.fillStyle=colors.backgroundSurface,ctx.strokeStyle=colors.emphasis300,ctx.fill(),ctx.stroke(),ctx.closePath(),ctx.beginPath(),ctx.fillStyle=colors.textPrimary,ctx.fillText(text,width-92+xPad,y),ctx.closePath();}}(ctx,xScale,yScale,position,this.decimalPlaces,colors);}}var module,classnames={exports:{}};/*!
	Copyright (c) 2018 Jed Watson.
	Licensed under the MIT License (MIT), see
	http://jedwatson.github.io/classnames
*/module=classnames,function(){var hasOwn={}.hasOwnProperty;function classNames(){for(var classes=[],i=0;i<arguments.length;i++){var arg=arguments[i];if(arg){var argType=typeof arg;if("string"===argType||"number"===argType)classes.push(arg);else if(Array.isArray(arg)){if(arg.length){var inner=classNames.apply(null,arg);inner&&classes.push(inner);}}else if("object"===argType){if(arg.toString!==Object.prototype.toString&&!arg.toString.toString().includes("[native code]")){classes.push(arg.toString());continue;}for(var key in arg)hasOwn.call(arg,key)&&arg[key]&&classes.push(key);}}}return classes.join(" ");}module.exports?(classNames.default=classNames,module.exports=classNames):window.classNames=classNames;}();var classNames=getDefaultExportFromCjs(classnames.exports);const viewBoxX=(-3).toFixed(2),viewBoxWidth=106..toFixed(2);class LabelAnnotationHtmlElement{constructor(cfg){this.labels=void 0;const{labels:labels}=cfg;this.labels=[...labels].sort((a,b)=>b.y-a.y);}draw(selection,_xScale,yScale){const yPositions=this.labels.map(label=>yScale(label.y)),shiftedYPositions=calculateShiftedPositions(yPositions,22),data=this.labels.map((label,labelIndex)=>({...label,y:shiftedYPositions[labelIndex]})),label=selection.selectAll("div.annotation").data(data,d=>d.id).join(enter=>enter.append("div").style("left","0px").style("height","22px").style("position","absolute").style("pointer-events","auto")).attr("class",d=>`annotation intent-${d.intent}`).style("top",d=>d.y-11+"px");label.selectAll("span.cell").data(d=>d.cells.filter(d=>!("onClick"in d))).join("span").attr("class",d=>classNames("cell",{fill:d.fill},{stroke:d.stroke},{numeric:d.numeric},{[`cell-intent-${d.intent}`]:d.intent})).text(d=>d.label),label.selectAll("div.cell").data(d=>d.cells.filter(d=>"onClick"in d)).join(enter=>{const div=enter.append("div").attr("class","cell");return div.append("button").attr("class","content action").on("click",(_event,d)=>{d.onClick?.();}).style("visibility",d=>d.spinner?"hidden":"visible").text(d=>d.label),div.append("div").attr("class",d=>classNames("content","spinner-animation",{"no-spin":!d.spinner})).style("visibility",d=>d.spinner?"visible":"hidden").selectAll("svg").data(d=>[d]).join("svg").attr("width",14).attr("height",14).attr("viewBox",`${viewBoxX} ${viewBoxX} ${viewBoxWidth} ${viewBoxWidth}`).selectAll("path").data([null,null]).join("path").attr("d","M 50,50 m 0,-45 a 45,45 0 1 1 0,90 a 45,45 0 1 1 0,-90").attr("class",(d,i)=>1===i?"spinner-head":"spinner-track").attr("stroke-width",16).attr("fill-opacity",0).attr("pathLength",(_d,i)=>1===i?"280":null).attr("stroke-dasharray",(_d,i)=>1===i?"280 280":null).attr("stroke-dashoffset",(_d,i)=>1===i?"210":null),div;},update=>(update.select("button").style("visibility",d=>d.spinner?"hidden":"visible"),update.select("div").attr("class",d=>classNames("content","spinner-animation",{"no-spin":!d.spinner})).style("visibility",d=>d.spinner?"visible":"hidden"),update));}}class DataFlowNode{constructor(parent){this._children=[],this._parent=null,parent&&(this.parent=parent);}get parent(){return this._parent;}set parent(parent){this._parent=parent,parent&&parent.addChild(this);}get children(){return this._children;}addChild(child,loc){this._children.includes(child)||this._children.push(child);}}class SourceNode extends DataFlowNode{constructor(data){super(null),this._data=void 0,this._data={values:data.values};}dependentFields(){return new Set();}producedFields(){return new Set();}get data(){return this._data;}}class TechnicalIndicatorTransformNode extends DataFlowNode{constructor(parent,transform){super(parent),this.transform=transform,this.transform=transform;}dependentFields(){return new Set(this.transform.on);}producedFields(){return new Set(this.transform.as);}assemble(){const{indicator:indicator,on:on,as:as,...rest}=this.transform;return{type:"technical-indicator",method:indicator,on:on,as:as};}}function isTechnicalIndicator(t){return"indicator"in t;}function parseData(model){let head=function(model){return null===model.data?new SourceNode({values:[]}):new SourceNode(model.data);}(model);return model.component.data,model.data,model.transforms.length>0&&(head=function(head,model){for(const t of model.transforms)isTechnicalIndicator(t)&&(head=new TechnicalIndicatorTransformNode(head,t));return head;}(head,model)),{...model.component.data,outputNodes:{data:head}};}class Model{constructor(spec,parent){this.parent=parent,this.data=void 0,this.transforms=void 0,this.component=void 0,this.children=[],this.data=spec.data??null,this.transforms=spec.transform??[],this.component={data:{outputNodes:parent?parent.component.data.outputNodes:{}}};}parse(){this.parseData();}parseData(){this.component.data=parseData(this);}}function compile(inputSpec){const model=new Model(inputSpec,null);return model.parse(),model;}const Mark={area:"area",bar:"bar",line:"line",rule:"rule"};const PADDING_INNER=.4,MAX_PADDING=2;function createElement(type,options){if("area"===type)return new AreaElement(options);if("bar"===type)return new BarElement(options);if("line"===type)return new LineElement(options);if("rule"===type)return new RuleElement(options);if("tick"===type)return new TickElement(options);throw new Error(`Element type not recognized: ${type}`);}function getConditionalColor(colorDef){let color;if(void 0===colorDef)color=()=>null;else if("condition"in colorDef){const predicate=colorDef.condition?.test;if(function(predicate){return void 0!==predicate.equal;}(predicate)){const comparison="string"==typeof predicate.equal?datum=>datum[predicate.equal]:()=>predicate.equal;color=datum=>datum[predicate.field]===comparison(datum)?colorDef.condition.value??COLORS.GRAY:colorDef.value??COLORS.GRAY;}else if(function(predicate){return void 0!==predicate.lt;}(predicate)){const comparison="string"==typeof predicate.lt?datum=>datum[predicate.lt]:()=>predicate.lt;color=datum=>datum[predicate.field]<comparison(datum)?colorDef.condition.value??COLORS.GRAY:colorDef.value??COLORS.GRAY;}else if(function(predicate){return void 0!==predicate.gt;}(predicate)){const comparison="string"==typeof predicate.gt?datum=>datum[predicate.gt]:()=>predicate.gt;color=datum=>datum[predicate.field]>comparison(datum)?colorDef.condition.value??COLORS.GRAY:colorDef.value??COLORS.GRAY;}else color=()=>null;}else color="value"in colorDef?()=>colorDef.value:()=>null;return color;}async function asyncSnapshot(chartRef){if(chartRef.current){const bbox=chartRef.current.getBoundingClientRect(),panes=chartRef.current.querySelectorAll(".pane__pane"),paneElements=[];for(const pane of panes)paneElements.push({plotArea:pane.querySelector(".plot-area canvas"),yAxis:pane.querySelector(".y-axis canvas")});const xAxisCanvas=chartRef.current.querySelector(".x-axis canvas"),devicePixelRatio=window.devicePixelRatio,width=devicePixelRatio*bbox.width,height=devicePixelRatio*bbox.height,offscreen="OffscreenCanvas"in window?new OffscreenCanvas(width,height):function(width,height){const canvas=document.createElement("canvas");return canvas.width=width,canvas.height=height,canvas;}(width,height),offScreenContext=offscreen.getContext("2d");if(offScreenContext){let offset=0;for(const paneElement of paneElements)offScreenContext.drawImage(paneElement.plotArea,0,offset),offScreenContext.drawImage(paneElement.yAxis,0,offset),offset+=paneElement.plotArea.height,offScreenContext.save(),offScreenContext.lineWidth=2,offScreenContext.beginPath(),offScreenContext.moveTo(0,offset+.5),offScreenContext.lineTo(width,offset+.5),offScreenContext.strokeStyle="#fff",offScreenContext.stroke(),offScreenContext.closePath(),offScreenContext.restore();return offScreenContext.drawImage(xAxisCanvas,0,offset),"OffscreenCanvas"in window?await offscreen.convertToBlob():new Promise(function(resolve,reject){offscreen.toBlob(function(blob){resolve(blob);});});}return null;}return null;}function getColors$4(element){const cssStyleDeclaration=element?getComputedStyle(element):null;return{buyFill:cssStyleDeclaration?.getPropertyValue("--pennant-color-buy-fill").trim()||"#16452d",buyStroke:cssStyleDeclaration?.getPropertyValue("--pennant-color-buy-stroke").trim()||"#26ff8a",sellFill:cssStyleDeclaration?.getPropertyValue("--pennant-color-sell-fill").trim()||"#800700",sellStroke:cssStyleDeclaration?.getPropertyValue("--pennant-color-sell-stroke").trim()||"#ff261a",textPrimary:cssStyleDeclaration?.getPropertyValue("--pennant-font-color-base").trim()||"#ffffff",textSecondary:cssStyleDeclaration?.getPropertyValue("--pennant-font-color-secondary").trim()||"#fafafa",backgroundSurface:cssStyleDeclaration?.getPropertyValue("--pennant-background-surface-color").trim()||"#d9822b",emphasis100:cssStyleDeclaration?.getPropertyValue("--pennant-color-emphasis-100").trim()||"#EDEDED",emphasis300:cssStyleDeclaration?.getPropertyValue("--pennant-color-emphasis-300").trim()||"#494949",emphasis400:cssStyleDeclaration?.getPropertyValue("--pennant-color-emphasis-400").trim()||"#494949",emphasis500:cssStyleDeclaration?.getPropertyValue("--pennant-color-emphasis-500").trim()||"#494949",emphasis900:cssStyleDeclaration?.getPropertyValue("--pennant-color-emphasis-900").trim()||"#333333",vegaGreen:cssStyleDeclaration?.getPropertyValue("--vega-orange").trim()||COLORS.VEGA_GREEN,vegaOrange:cssStyleDeclaration?.getPropertyValue("--vega-orange").trim()||COLORS.VEGA_ORANGE,vegaYellow:cssStyleDeclaration?.getPropertyValue("--vega-yellow").trim()||COLORS.VEGA_YELLOW,accent1:cssStyleDeclaration?.getPropertyValue("--pennant-accent1").trim()||COLORS.VEGA_ORANGE,accent2:cssStyleDeclaration?.getPropertyValue("--pennant-accent2").trim()||COLORS.VEGA_YELLOW,accent3:cssStyleDeclaration?.getPropertyValue("--pennant-accent3").trim()||COLORS.VEGA_RED,accent4:cssStyleDeclaration?.getPropertyValue("--pennant-accent4").trim()||COLORS.VEGA_YELLOW,accent5:cssStyleDeclaration?.getPropertyValue("--pennant-accent5").trim()||COLORS.VEGA_ORANGE,accent6:cssStyleDeclaration?.getPropertyValue("--pennant-accent6").trim()||COLORS.VEGA_RED,eldarRayBearPower:cssStyleDeclaration?.getPropertyValue("--pennant-color-eldar-ray-bear-power").trim()||COLORS.VEGA_RED,eldarRayBullPower:cssStyleDeclaration?.getPropertyValue("--pennant-color-eldar-ray-bull-power").trim()||COLORS.VEGA_GREEN,forceIndex:cssStyleDeclaration?.getPropertyValue("--pennant-color-force-index").trim()||COLORS.VEGA_ORANGE,macdDivergenceBuy:cssStyleDeclaration?.getPropertyValue("--pennant-color-macd-divergence-buy").trim()||COLORS.VEGA_GREEN,macdDivergenceSell:cssStyleDeclaration?.getPropertyValue("--pennant-color-macd-divergence-sell").trim()||COLORS.VEGA_RED,macdSignal:cssStyleDeclaration?.getPropertyValue("--pennant-color-macd-signal").trim()||COLORS.VEGA_ORANGE,macdMacd:cssStyleDeclaration?.getPropertyValue("--pennant-color-macd-macd").trim()||COLORS.VEGA_YELLOW,relativeStrengthIndex:cssStyleDeclaration?.getPropertyValue("--pennant-color-relative-strength-index").trim()||COLORS.GRAY,volumeBuy:cssStyleDeclaration?.getPropertyValue("--pennant-color-volume-buy").trim()||COLORS.VEGA_GREEN,volumeSell:cssStyleDeclaration?.getPropertyValue("--pennant-color-volume-sell").trim()||COLORS.VEGA_RED};}function getAccentColor(n){return"accent"+(1+n%6);}function indicatorPercentageChange(){let period=2;const absoluteChangeIndicator=function(data){const windowData=data.slice(0,period);return data.map((d,i)=>(i>=period&&(windowData.shift(),windowData.push(d)),i<period-1||windowData.some(d=>!(d=>null!==d)(d))?NaN:(windowData[windowData.length-1]-windowData[0])/windowData[0]));};return absoluteChangeIndicator.period=arg=>(period=arg,absoluteChangeIndicator),absoluteChangeIndicator;}function constructMainLayerSpec(chartType,colors){switch(chartType){case ChartType.AREA:return[{encoding:{y:{field:"close",type:"quantitative"}},mark:{type:"area",line:{color:"#009cff"},color:{gradient:"linear",stops:[{offset:0,color:"#044e80"},{offset:1,color:colors.backgroundSurface}]}}}];case ChartType.LINE:return[{encoding:{y:{field:"close",type:"quantitative"}},mark:{type:"line",color:"#009cff"}}];case ChartType.OHLC:return[{encoding:{y:{field:"low",type:"quantitative"},y2:{field:"high",type:"quantitative"},color:{condition:{test:{field:"open",lt:"close"},value:colors.buyStroke},value:colors.sellStroke}},mark:{type:"rule"}},{encoding:{y:{field:"open",type:"quantitative"},color:{condition:{test:{field:"open",lt:"close"},value:colors.buyStroke},value:colors.sellStroke}},mark:{type:"tick",orient:"left"}},{encoding:{y:{field:"close",type:"quantitative"},color:{condition:{test:{field:"open",lt:"close"},value:colors.buyStroke},value:colors.sellStroke}},mark:{type:"tick",orient:"right"}}];case ChartType.CANDLE:return[{encoding:{y:{field:"low",type:"quantitative"},y2:{field:"high",type:"quantitative"},color:{condition:{test:{field:"open",lt:"close"},value:colors.buyStroke},value:colors.sellStroke}},mark:{type:"rule"}},{encoding:{y:{field:"open",type:"quantitative"},y2:{field:"close",type:"quantitative"},fill:{condition:{test:{field:"open",lt:"close"},value:colors.buyFill},value:colors.sellStroke},stroke:{condition:{test:{field:"open",lt:"close"},value:colors.buyStroke},value:colors.sellStroke}},mark:{type:"bar"}},{encoding:{y:{field:"open",type:"quantitative"},y2:{field:"close",type:"quantitative"},fill:{condition:{test:{field:"volume",equal:0},value:colors.emphasis500},value:"#00000000"},stroke:{condition:{test:{field:"volume",equal:0},value:colors.emphasis500},value:"#00000000"},strokeWidth:{value:4}},mark:{type:"bar"}}];}}function constructStudyLayerSpec(study,colors){switch(study){case"eldarRay":return[{encoding:{y:{field:"bullPower",type:"quantitative"},fill:{value:colors.eldarRayBullPower}},mark:{type:"bar"}},{encoding:{y:{field:"bearPower",type:"quantitative"},fill:{value:colors.eldarRayBearPower}},mark:{type:"bar"}}];case"forceIndex":return[{encoding:{y:{field:"forceIndex",type:"quantitative"}},mark:{type:"line",color:colors.forceIndex}}];case"macd":return[{encoding:{y:{field:"divergence",type:"quantitative"},fill:{condition:{test:{field:"divergence",gt:0},value:colors.macdDivergenceBuy},value:colors.macdDivergenceSell}},mark:{type:"bar"}},{encoding:{y:{field:"signal",type:"quantitative"}},mark:{type:"line",color:colors.macdSignal}},{encoding:{y:{field:"macd",type:"quantitative"}},mark:{type:"line",color:colors.macdMacd}}];case"relativeStrengthIndex":return[{encoding:{y:{field:"relativeStrengthIndex",type:"quantitative"}},mark:{type:"line",color:colors.relativeStrengthIndex}}];case"volume":return[{encoding:{y:{field:"volume",type:"quantitative"},fill:{condition:{test:{field:"open",lt:"close"},value:colors.volumeBuy},value:colors.volumeSell}},mark:{type:"bar"}}];default:return[];}}function constructOverlayTransform(overlay){switch(overlay){case"bollinger":return[{indicator:"bollinger",on:["close"],as:["bollingerUpper","bollingerAverage","bollingerLower"]}];case"envelope":return[{indicator:"envelope",on:["close"],as:["envelopeUpper","envelopeLower"]}];case"exponentialMovingAverage":return[{indicator:"exponentialMovingAverage",on:["close"],as:["exponentialMovingAverage"]}];case"movingAverage":return[{indicator:"movingAverage",on:["close"],as:["movingAverage"]}];default:return[];}}function constructStudyTransform(study){switch(study){case"eldarRay":return[{indicator:"eldarRay",on:["close","high","low"],as:["bullPower","bearPower"]}];case"forceIndex":return[{indicator:"forceIndex",on:["close","volume"],as:["forceIndex"]}];case"macd":return[{indicator:"macd",on:["close"],as:["macd","signal","divergence"]}];case"relativeStrengthIndex":return[{indicator:"relativeStrengthIndex",on:["close"],as:["relativeStrengthIndex"]}];default:return[];}}function string2num(string,fallback=1){let width=fallback;return!function(string,target){const length=string.length,position=length-target.length;return position>=0&&string.slice(position,length)===target;}(string,"px")?"number"==typeof Number.parseFloat(string)&&(width=Number.parseFloat(string)):width=Number(string.slice(0,-2)),width;}function isDate(arr){return arr instanceof Date;}function isDateArray(arr){return arr[0]instanceof Date;}class ErrorBoundary extends React__namespace.Component{constructor(props){super(props),this.state={hasError:!1};}static getDerivedStateFromError(_){return{hasError:!0};}componentDidCatch(error,errorInfo){console.error("Uncaught error:",error,errorInfo);}render(){return this.state.hasError?jsxRuntimeExports.jsx("h1",{children:"Sorry... there was an error."}):this.props.children;}}const IndicatorInfo=({title:title,info:info,noTrading=!0,closeable=!1,onClose:onClose})=>jsxRuntimeExports.jsxs("div",{className:"indicator-info-wrapper",children:[title&&jsxRuntimeExports.jsx("span",{className:"text-muted",children:`${title}: `}),info.filter(d=>!noTrading||d.displayWhileNoTrading).map(d=>jsxRuntimeExports.jsxs("div",{className:"indicator-info__item",children:[d.label&&jsxRuntimeExports.jsx("span",{className:"text-muted",children:`${d.label} `}),jsxRuntimeExports.jsx("span",{className:classNames("monospace-text",{success:"success"===d.intent},{danger:"danger"===d.intent}),...(d.color&&{style:{color:d.color}}),children:d.value})]},d.id)),noTrading?jsxRuntimeExports.jsx("span",{className:"text-muted",children:"No trading"}):null,closeable&&jsxRuntimeExports.jsx(CloseButton,{title:"Remove",onClick:onClose})]});var lodash={exports:{}};!function(module,exports){(function(){var undefined$1,FUNC_ERROR_TEXT="Expected a function",PLACEHOLDER="__lodash_placeholder__",wrapFlags=[["ary",128],["bind",1],["bindKey",2],["curry",8],["curryRight",16],["flip",512],["partial",32],["partialRight",64],["rearg",256]],argsTag="[object Arguments]",arrayTag="[object Array]",boolTag="[object Boolean]",dateTag="[object Date]",errorTag="[object Error]",funcTag="[object Function]",genTag="[object GeneratorFunction]",mapTag="[object Map]",numberTag="[object Number]",objectTag="[object Object]",regexpTag="[object RegExp]",setTag="[object Set]",stringTag="[object String]",symbolTag="[object Symbol]",weakMapTag="[object WeakMap]",arrayBufferTag="[object ArrayBuffer]",dataViewTag="[object DataView]",float32Tag="[object Float32Array]",float64Tag="[object Float64Array]",int8Tag="[object Int8Array]",int16Tag="[object Int16Array]",int32Tag="[object Int32Array]",uint8Tag="[object Uint8Array]",uint8ClampedTag="[object Uint8ClampedArray]",uint16Tag="[object Uint16Array]",uint32Tag="[object Uint32Array]",reEmptyStringLeading=/\b__p \+= '';/g,reEmptyStringMiddle=/\b(__p \+=) '' \+/g,reEmptyStringTrailing=/(__e\(.*?\)|\b__t\)) \+\n'';/g,reEscapedHtml=/&(?:amp|lt|gt|quot|#39);/g,reUnescapedHtml=/[&<>"']/g,reHasEscapedHtml=RegExp(reEscapedHtml.source),reHasUnescapedHtml=RegExp(reUnescapedHtml.source),reEscape=/<%-([\s\S]+?)%>/g,reEvaluate=/<%([\s\S]+?)%>/g,reInterpolate=/<%=([\s\S]+?)%>/g,reIsDeepProp=/\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/,reIsPlainProp=/^\w*$/,rePropName=/[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g,reRegExpChar=/[\\^$.*+?()[\]{}|]/g,reHasRegExpChar=RegExp(reRegExpChar.source),reTrimStart=/^\s+/,reWhitespace=/\s/,reWrapComment=/\{(?:\n\/\* \[wrapped with .+\] \*\/)?\n?/,reWrapDetails=/\{\n\/\* \[wrapped with (.+)\] \*/,reSplitDetails=/,? & /,reAsciiWord=/[^\x00-\x2f\x3a-\x40\x5b-\x60\x7b-\x7f]+/g,reForbiddenIdentifierChars=/[()=,{}\[\]\/\s]/,reEscapeChar=/\\(\\)?/g,reEsTemplate=/\$\{([^\\}]*(?:\\.[^\\}]*)*)\}/g,reFlags=/\w*$/,reIsBadHex=/^[-+]0x[0-9a-f]+$/i,reIsBinary=/^0b[01]+$/i,reIsHostCtor=/^\[object .+?Constructor\]$/,reIsOctal=/^0o[0-7]+$/i,reIsUint=/^(?:0|[1-9]\d*)$/,reLatin=/[\xc0-\xd6\xd8-\xf6\xf8-\xff\u0100-\u017f]/g,reNoMatch=/($^)/,reUnescapedString=/['\n\r\u2028\u2029\\]/g,rsComboRange="\\u0300-\\u036f\\ufe20-\\ufe2f\\u20d0-\\u20ff",rsBreakRange="\\xac\\xb1\\xd7\\xf7\\x00-\\x2f\\x3a-\\x40\\x5b-\\x60\\x7b-\\xbf\\u2000-\\u206f \\t\\x0b\\f\\xa0\\ufeff\\n\\r\\u2028\\u2029\\u1680\\u180e\\u2000\\u2001\\u2002\\u2003\\u2004\\u2005\\u2006\\u2007\\u2008\\u2009\\u200a\\u202f\\u205f\\u3000",rsAstral="[\\ud800-\\udfff]",rsBreak="["+rsBreakRange+"]",rsCombo="["+rsComboRange+"]",rsDigits="\\d+",rsDingbat="[\\u2700-\\u27bf]",rsLower="[a-z\\xdf-\\xf6\\xf8-\\xff]",rsMisc="[^\\ud800-\\udfff"+rsBreakRange+rsDigits+"\\u2700-\\u27bfa-z\\xdf-\\xf6\\xf8-\\xffA-Z\\xc0-\\xd6\\xd8-\\xde]",rsFitz="\\ud83c[\\udffb-\\udfff]",rsNonAstral="[^\\ud800-\\udfff]",rsRegional="(?:\\ud83c[\\udde6-\\uddff]){2}",rsSurrPair="[\\ud800-\\udbff][\\udc00-\\udfff]",rsUpper="[A-Z\\xc0-\\xd6\\xd8-\\xde]",rsMiscLower="(?:"+rsLower+"|"+rsMisc+")",rsMiscUpper="(?:"+rsUpper+"|"+rsMisc+")",reOptMod="(?:"+rsCombo+"|"+rsFitz+")"+"?",rsSeq="[\\ufe0e\\ufe0f]?"+reOptMod+("(?:\\u200d(?:"+[rsNonAstral,rsRegional,rsSurrPair].join("|")+")[\\ufe0e\\ufe0f]?"+reOptMod+")*"),rsEmoji="(?:"+[rsDingbat,rsRegional,rsSurrPair].join("|")+")"+rsSeq,rsSymbol="(?:"+[rsNonAstral+rsCombo+"?",rsCombo,rsRegional,rsSurrPair,rsAstral].join("|")+")",reApos=RegExp("['’]","g"),reComboMark=RegExp(rsCombo,"g"),reUnicode=RegExp(rsFitz+"(?="+rsFitz+")|"+rsSymbol+rsSeq,"g"),reUnicodeWord=RegExp([rsUpper+"?"+rsLower+"+(?:['’](?:d|ll|m|re|s|t|ve))?(?="+[rsBreak,rsUpper,"$"].join("|")+")",rsMiscUpper+"+(?:['’](?:D|LL|M|RE|S|T|VE))?(?="+[rsBreak,rsUpper+rsMiscLower,"$"].join("|")+")",rsUpper+"?"+rsMiscLower+"+(?:['’](?:d|ll|m|re|s|t|ve))?",rsUpper+"+(?:['’](?:D|LL|M|RE|S|T|VE))?","\\d*(?:1ST|2ND|3RD|(?![123])\\dTH)(?=\\b|[a-z_])","\\d*(?:1st|2nd|3rd|(?![123])\\dth)(?=\\b|[A-Z_])",rsDigits,rsEmoji].join("|"),"g"),reHasUnicode=RegExp("[\\u200d\\ud800-\\udfff"+rsComboRange+"\\ufe0e\\ufe0f]"),reHasUnicodeWord=/[a-z][A-Z]|[A-Z]{2}[a-z]|[0-9][a-zA-Z]|[a-zA-Z][0-9]|[^a-zA-Z0-9 ]/,contextProps=["Array","Buffer","DataView","Date","Error","Float32Array","Float64Array","Function","Int8Array","Int16Array","Int32Array","Map","Math","Object","Promise","RegExp","Set","String","Symbol","TypeError","Uint8Array","Uint8ClampedArray","Uint16Array","Uint32Array","WeakMap","_","clearTimeout","isFinite","parseInt","setTimeout"],templateCounter=-1,typedArrayTags={};typedArrayTags[float32Tag]=typedArrayTags[float64Tag]=typedArrayTags[int8Tag]=typedArrayTags[int16Tag]=typedArrayTags[int32Tag]=typedArrayTags[uint8Tag]=typedArrayTags["[object Uint8ClampedArray]"]=typedArrayTags[uint16Tag]=typedArrayTags[uint32Tag]=!0,typedArrayTags[argsTag]=typedArrayTags[arrayTag]=typedArrayTags[arrayBufferTag]=typedArrayTags[boolTag]=typedArrayTags[dataViewTag]=typedArrayTags[dateTag]=typedArrayTags[errorTag]=typedArrayTags[funcTag]=typedArrayTags[mapTag]=typedArrayTags[numberTag]=typedArrayTags[objectTag]=typedArrayTags[regexpTag]=typedArrayTags[setTag]=typedArrayTags[stringTag]=typedArrayTags[weakMapTag]=!1;var cloneableTags={};cloneableTags[argsTag]=cloneableTags[arrayTag]=cloneableTags[arrayBufferTag]=cloneableTags[dataViewTag]=cloneableTags[boolTag]=cloneableTags[dateTag]=cloneableTags[float32Tag]=cloneableTags[float64Tag]=cloneableTags[int8Tag]=cloneableTags[int16Tag]=cloneableTags[int32Tag]=cloneableTags[mapTag]=cloneableTags[numberTag]=cloneableTags[objectTag]=cloneableTags[regexpTag]=cloneableTags[setTag]=cloneableTags[stringTag]=cloneableTags[symbolTag]=cloneableTags[uint8Tag]=cloneableTags["[object Uint8ClampedArray]"]=cloneableTags[uint16Tag]=cloneableTags[uint32Tag]=!0,cloneableTags[errorTag]=cloneableTags[funcTag]=cloneableTags[weakMapTag]=!1;var stringEscapes={"\\":"\\","'":"'","\n":"n","\r":"r","\u2028":"u2028","\u2029":"u2029"},freeParseFloat=parseFloat,freeParseInt=parseInt,freeGlobal="object"==typeof commonjsGlobal&&commonjsGlobal&&commonjsGlobal.Object===Object&&commonjsGlobal,freeSelf="object"==typeof self&&self&&self.Object===Object&&self,root=freeGlobal||freeSelf||Function("return this")(),freeExports=exports&&!exports.nodeType&&exports,freeModule=freeExports&&module&&!module.nodeType&&module,moduleExports=freeModule&&freeModule.exports===freeExports,freeProcess=moduleExports&&freeGlobal.process,nodeUtil=function(){try{var types=freeModule&&freeModule.require&&freeModule.require("util").types;return types||freeProcess&&freeProcess.binding&&freeProcess.binding("util");}catch(e){}}(),nodeIsArrayBuffer=nodeUtil&&nodeUtil.isArrayBuffer,nodeIsDate=nodeUtil&&nodeUtil.isDate,nodeIsMap=nodeUtil&&nodeUtil.isMap,nodeIsRegExp=nodeUtil&&nodeUtil.isRegExp,nodeIsSet=nodeUtil&&nodeUtil.isSet,nodeIsTypedArray=nodeUtil&&nodeUtil.isTypedArray;function apply(func,thisArg,args){switch(args.length){case 0:return func.call(thisArg);case 1:return func.call(thisArg,args[0]);case 2:return func.call(thisArg,args[0],args[1]);case 3:return func.call(thisArg,args[0],args[1],args[2]);}return func.apply(thisArg,args);}function arrayAggregator(array,setter,iteratee,accumulator){for(var index=-1,length=null==array?0:array.length;++index<length;){var value=array[index];setter(accumulator,value,iteratee(value),array);}return accumulator;}function arrayEach(array,iteratee){for(var index=-1,length=null==array?0:array.length;++index<length&&!1!==iteratee(array[index],index,array););return array;}function arrayEachRight(array,iteratee){for(var length=null==array?0:array.length;length--&&!1!==iteratee(array[length],length,array););return array;}function arrayEvery(array,predicate){for(var index=-1,length=null==array?0:array.length;++index<length;)if(!predicate(array[index],index,array))return!1;return!0;}function arrayFilter(array,predicate){for(var index=-1,length=null==array?0:array.length,resIndex=0,result=[];++index<length;){var value=array[index];predicate(value,index,array)&&(result[resIndex++]=value);}return result;}function arrayIncludes(array,value){return!!(null==array?0:array.length)&&baseIndexOf(array,value,0)>-1;}function arrayIncludesWith(array,value,comparator){for(var index=-1,length=null==array?0:array.length;++index<length;)if(comparator(value,array[index]))return!0;return!1;}function arrayMap(array,iteratee){for(var index=-1,length=null==array?0:array.length,result=Array(length);++index<length;)result[index]=iteratee(array[index],index,array);return result;}function arrayPush(array,values){for(var index=-1,length=values.length,offset=array.length;++index<length;)array[offset+index]=values[index];return array;}function arrayReduce(array,iteratee,accumulator,initAccum){var index=-1,length=null==array?0:array.length;for(initAccum&&length&&(accumulator=array[++index]);++index<length;)accumulator=iteratee(accumulator,array[index],index,array);return accumulator;}function arrayReduceRight(array,iteratee,accumulator,initAccum){var length=null==array?0:array.length;for(initAccum&&length&&(accumulator=array[--length]);length--;)accumulator=iteratee(accumulator,array[length],length,array);return accumulator;}function arraySome(array,predicate){for(var index=-1,length=null==array?0:array.length;++index<length;)if(predicate(array[index],index,array))return!0;return!1;}var asciiSize=baseProperty("length");function baseFindKey(collection,predicate,eachFunc){var result;return eachFunc(collection,function(value,key,collection){if(predicate(value,key,collection))return result=key,!1;}),result;}function baseFindIndex(array,predicate,fromIndex,fromRight){for(var length=array.length,index=fromIndex+(fromRight?1:-1);fromRight?index--:++index<length;)if(predicate(array[index],index,array))return index;return-1;}function baseIndexOf(array,value,fromIndex){return value==value?function(array,value,fromIndex){var index=fromIndex-1,length=array.length;for(;++index<length;)if(array[index]===value)return index;return-1;}(array,value,fromIndex):baseFindIndex(array,baseIsNaN,fromIndex);}function baseIndexOfWith(array,value,fromIndex,comparator){for(var index=fromIndex-1,length=array.length;++index<length;)if(comparator(array[index],value))return index;return-1;}function baseIsNaN(value){return value!=value;}function baseMean(array,iteratee){var length=null==array?0:array.length;return length?baseSum(array,iteratee)/length:NaN;}function baseProperty(key){return function(object){return null==object?undefined$1:object[key];};}function basePropertyOf(object){return function(key){return null==object?undefined$1:object[key];};}function baseReduce(collection,iteratee,accumulator,initAccum,eachFunc){return eachFunc(collection,function(value,index,collection){accumulator=initAccum?(initAccum=!1,value):iteratee(accumulator,value,index,collection);}),accumulator;}function baseSum(array,iteratee){for(var result,index=-1,length=array.length;++index<length;){var current=iteratee(array[index]);current!==undefined$1&&(result=result===undefined$1?current:result+current);}return result;}function baseTimes(n,iteratee){for(var index=-1,result=Array(n);++index<n;)result[index]=iteratee(index);return result;}function baseTrim(string){return string?string.slice(0,trimmedEndIndex(string)+1).replace(reTrimStart,""):string;}function baseUnary(func){return function(value){return func(value);};}function baseValues(object,props){return arrayMap(props,function(key){return object[key];});}function cacheHas(cache,key){return cache.has(key);}function charsStartIndex(strSymbols,chrSymbols){for(var index=-1,length=strSymbols.length;++index<length&&baseIndexOf(chrSymbols,strSymbols[index],0)>-1;);return index;}function charsEndIndex(strSymbols,chrSymbols){for(var index=strSymbols.length;index--&&baseIndexOf(chrSymbols,strSymbols[index],0)>-1;);return index;}var deburrLetter=basePropertyOf({"À":"A","Á":"A","Â":"A","Ã":"A","Ä":"A","Å":"A","à":"a","á":"a","â":"a","ã":"a","ä":"a","å":"a","Ç":"C","ç":"c","Ð":"D","ð":"d","È":"E","É":"E","Ê":"E","Ë":"E","è":"e","é":"e","ê":"e","ë":"e","Ì":"I","Í":"I","Î":"I","Ï":"I","ì":"i","í":"i","î":"i","ï":"i","Ñ":"N","ñ":"n","Ò":"O","Ó":"O","Ô":"O","Õ":"O","Ö":"O","Ø":"O","ò":"o","ó":"o","ô":"o","õ":"o","ö":"o","ø":"o","Ù":"U","Ú":"U","Û":"U","Ü":"U","ù":"u","ú":"u","û":"u","ü":"u","Ý":"Y","ý":"y","ÿ":"y","Æ":"Ae","æ":"ae","Þ":"Th","þ":"th","ß":"ss","Ā":"A","Ă":"A","Ą":"A","ā":"a","ă":"a","ą":"a","Ć":"C","Ĉ":"C","Ċ":"C","Č":"C","ć":"c","ĉ":"c","ċ":"c","č":"c","Ď":"D","Đ":"D","ď":"d","đ":"d","Ē":"E","Ĕ":"E","Ė":"E","Ę":"E","Ě":"E","ē":"e","ĕ":"e","ė":"e","ę":"e","ě":"e","Ĝ":"G","Ğ":"G","Ġ":"G","Ģ":"G","ĝ":"g","ğ":"g","ġ":"g","ģ":"g","Ĥ":"H","Ħ":"H","ĥ":"h","ħ":"h","Ĩ":"I","Ī":"I","Ĭ":"I","Į":"I","İ":"I","ĩ":"i","ī":"i","ĭ":"i","į":"i","ı":"i","Ĵ":"J","ĵ":"j","Ķ":"K","ķ":"k","ĸ":"k","Ĺ":"L","Ļ":"L","Ľ":"L","Ŀ":"L","Ł":"L","ĺ":"l","ļ":"l","ľ":"l","ŀ":"l","ł":"l","Ń":"N","Ņ":"N","Ň":"N","Ŋ":"N","ń":"n","ņ":"n","ň":"n","ŋ":"n","Ō":"O","Ŏ":"O","Ő":"O","ō":"o","ŏ":"o","ő":"o","Ŕ":"R","Ŗ":"R","Ř":"R","ŕ":"r","ŗ":"r","ř":"r","Ś":"S","Ŝ":"S","Ş":"S","Š":"S","ś":"s","ŝ":"s","ş":"s","š":"s","Ţ":"T","Ť":"T","Ŧ":"T","ţ":"t","ť":"t","ŧ":"t","Ũ":"U","Ū":"U","Ŭ":"U","Ů":"U","Ű":"U","Ų":"U","ũ":"u","ū":"u","ŭ":"u","ů":"u","ű":"u","ų":"u","Ŵ":"W","ŵ":"w","Ŷ":"Y","ŷ":"y","Ÿ":"Y","Ź":"Z","Ż":"Z","Ž":"Z","ź":"z","ż":"z","ž":"z","Ĳ":"IJ","ĳ":"ij","Œ":"Oe","œ":"oe","ŉ":"'n","ſ":"s"}),escapeHtmlChar=basePropertyOf({"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"});function escapeStringChar(chr){return"\\"+stringEscapes[chr];}function hasUnicode(string){return reHasUnicode.test(string);}function mapToArray(map){var index=-1,result=Array(map.size);return map.forEach(function(value,key){result[++index]=[key,value];}),result;}function overArg(func,transform){return function(arg){return func(transform(arg));};}function replaceHolders(array,placeholder){for(var index=-1,length=array.length,resIndex=0,result=[];++index<length;){var value=array[index];value!==placeholder&&value!==PLACEHOLDER||(array[index]=PLACEHOLDER,result[resIndex++]=index);}return result;}function setToArray(set){var index=-1,result=Array(set.size);return set.forEach(function(value){result[++index]=value;}),result;}function setToPairs(set){var index=-1,result=Array(set.size);return set.forEach(function(value){result[++index]=[value,value];}),result;}function stringSize(string){return hasUnicode(string)?function(string){var result=reUnicode.lastIndex=0;for(;reUnicode.test(string);)++result;return result;}(string):asciiSize(string);}function stringToArray(string){return hasUnicode(string)?function(string){return string.match(reUnicode)||[];}(string):function(string){return string.split("");}(string);}function trimmedEndIndex(string){for(var index=string.length;index--&&reWhitespace.test(string.charAt(index)););return index;}var unescapeHtmlChar=basePropertyOf({"&amp;":"&","&lt;":"<","&gt;":">","&quot;":'"',"&#39;":"'"});var _=function runInContext(context){var uid,Array=(context=null==context?root:_.defaults(root.Object(),context,_.pick(root,contextProps))).Array,Date=context.Date,Error=context.Error,Function=context.Function,Math=context.Math,Object=context.Object,RegExp=context.RegExp,String=context.String,TypeError=context.TypeError,arrayProto=Array.prototype,funcProto=Function.prototype,objectProto=Object.prototype,coreJsData=context["__core-js_shared__"],funcToString=funcProto.toString,hasOwnProperty=objectProto.hasOwnProperty,idCounter=0,maskSrcKey=(uid=/[^.]+$/.exec(coreJsData&&coreJsData.keys&&coreJsData.keys.IE_PROTO||""))?"Symbol(src)_1."+uid:"",nativeObjectToString=objectProto.toString,objectCtorString=funcToString.call(Object),oldDash=root._,reIsNative=RegExp("^"+funcToString.call(hasOwnProperty).replace(reRegExpChar,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$"),Buffer=moduleExports?context.Buffer:undefined$1,Symbol=context.Symbol,Uint8Array=context.Uint8Array,allocUnsafe=Buffer?Buffer.allocUnsafe:undefined$1,getPrototype=overArg(Object.getPrototypeOf,Object),objectCreate=Object.create,propertyIsEnumerable=objectProto.propertyIsEnumerable,splice=arrayProto.splice,spreadableSymbol=Symbol?Symbol.isConcatSpreadable:undefined$1,symIterator=Symbol?Symbol.iterator:undefined$1,symToStringTag=Symbol?Symbol.toStringTag:undefined$1,defineProperty=function(){try{var func=getNative(Object,"defineProperty");return func({},"",{}),func;}catch(e){}}(),ctxClearTimeout=context.clearTimeout!==root.clearTimeout&&context.clearTimeout,ctxNow=Date&&Date.now!==root.Date.now&&Date.now,ctxSetTimeout=context.setTimeout!==root.setTimeout&&context.setTimeout,nativeCeil=Math.ceil,nativeFloor=Math.floor,nativeGetSymbols=Object.getOwnPropertySymbols,nativeIsBuffer=Buffer?Buffer.isBuffer:undefined$1,nativeIsFinite=context.isFinite,nativeJoin=arrayProto.join,nativeKeys=overArg(Object.keys,Object),nativeMax=Math.max,nativeMin=Math.min,nativeNow=Date.now,nativeParseInt=context.parseInt,nativeRandom=Math.random,nativeReverse=arrayProto.reverse,DataView=getNative(context,"DataView"),Map=getNative(context,"Map"),Promise=getNative(context,"Promise"),Set=getNative(context,"Set"),WeakMap=getNative(context,"WeakMap"),nativeCreate=getNative(Object,"create"),metaMap=WeakMap&&new WeakMap(),realNames={},dataViewCtorString=toSource(DataView),mapCtorString=toSource(Map),promiseCtorString=toSource(Promise),setCtorString=toSource(Set),weakMapCtorString=toSource(WeakMap),symbolProto=Symbol?Symbol.prototype:undefined$1,symbolValueOf=symbolProto?symbolProto.valueOf:undefined$1,symbolToString=symbolProto?symbolProto.toString:undefined$1;function lodash(value){if(isObjectLike(value)&&!isArray(value)&&!(value instanceof LazyWrapper)){if(value instanceof LodashWrapper)return value;if(hasOwnProperty.call(value,"__wrapped__"))return wrapperClone(value);}return new LodashWrapper(value);}var baseCreate=function(){function object(){}return function(proto){if(!isObject(proto))return{};if(objectCreate)return objectCreate(proto);object.prototype=proto;var result=new object();return object.prototype=undefined$1,result;};}();function baseLodash(){}function LodashWrapper(value,chainAll){this.__wrapped__=value,this.__actions__=[],this.__chain__=!!chainAll,this.__index__=0,this.__values__=undefined$1;}function LazyWrapper(value){this.__wrapped__=value,this.__actions__=[],this.__dir__=1,this.__filtered__=!1,this.__iteratees__=[],this.__takeCount__=4294967295,this.__views__=[];}function Hash(entries){var index=-1,length=null==entries?0:entries.length;for(this.clear();++index<length;){var entry=entries[index];this.set(entry[0],entry[1]);}}function ListCache(entries){var index=-1,length=null==entries?0:entries.length;for(this.clear();++index<length;){var entry=entries[index];this.set(entry[0],entry[1]);}}function MapCache(entries){var index=-1,length=null==entries?0:entries.length;for(this.clear();++index<length;){var entry=entries[index];this.set(entry[0],entry[1]);}}function SetCache(values){var index=-1,length=null==values?0:values.length;for(this.__data__=new MapCache();++index<length;)this.add(values[index]);}function Stack(entries){var data=this.__data__=new ListCache(entries);this.size=data.size;}function arrayLikeKeys(value,inherited){var isArr=isArray(value),isArg=!isArr&&isArguments(value),isBuff=!isArr&&!isArg&&isBuffer(value),isType=!isArr&&!isArg&&!isBuff&&isTypedArray(value),skipIndexes=isArr||isArg||isBuff||isType,result=skipIndexes?baseTimes(value.length,String):[],length=result.length;for(var key in value)!inherited&&!hasOwnProperty.call(value,key)||skipIndexes&&("length"==key||isBuff&&("offset"==key||"parent"==key)||isType&&("buffer"==key||"byteLength"==key||"byteOffset"==key)||isIndex(key,length))||result.push(key);return result;}function arraySample(array){var length=array.length;return length?array[baseRandom(0,length-1)]:undefined$1;}function arraySampleSize(array,n){return shuffleSelf(copyArray(array),baseClamp(n,0,array.length));}function arrayShuffle(array){return shuffleSelf(copyArray(array));}function assignMergeValue(object,key,value){(value!==undefined$1&&!eq(object[key],value)||value===undefined$1&&!(key in object))&&baseAssignValue(object,key,value);}function assignValue(object,key,value){var objValue=object[key];hasOwnProperty.call(object,key)&&eq(objValue,value)&&(value!==undefined$1||key in object)||baseAssignValue(object,key,value);}function assocIndexOf(array,key){for(var length=array.length;length--;)if(eq(array[length][0],key))return length;return-1;}function baseAggregator(collection,setter,iteratee,accumulator){return baseEach(collection,function(value,key,collection){setter(accumulator,value,iteratee(value),collection);}),accumulator;}function baseAssign(object,source){return object&&copyObject(source,keys(source),object);}function baseAssignValue(object,key,value){"__proto__"==key&&defineProperty?defineProperty(object,key,{configurable:!0,enumerable:!0,value:value,writable:!0}):object[key]=value;}function baseAt(object,paths){for(var index=-1,length=paths.length,result=Array(length),skip=null==object;++index<length;)result[index]=skip?undefined$1:get(object,paths[index]);return result;}function baseClamp(number,lower,upper){return number==number&&(upper!==undefined$1&&(number=number<=upper?number:upper),lower!==undefined$1&&(number=number>=lower?number:lower)),number;}function baseClone(value,bitmask,customizer,key,object,stack){var result,isDeep=1&bitmask,isFlat=2&bitmask,isFull=4&bitmask;if(customizer&&(result=object?customizer(value,key,object,stack):customizer(value)),result!==undefined$1)return result;if(!isObject(value))return value;var isArr=isArray(value);if(isArr){if(result=function(array){var length=array.length,result=new array.constructor(length);length&&"string"==typeof array[0]&&hasOwnProperty.call(array,"index")&&(result.index=array.index,result.input=array.input);return result;}(value),!isDeep)return copyArray(value,result);}else{var tag=getTag(value),isFunc=tag==funcTag||tag==genTag;if(isBuffer(value))return cloneBuffer(value,isDeep);if(tag==objectTag||tag==argsTag||isFunc&&!object){if(result=isFlat||isFunc?{}:initCloneObject(value),!isDeep)return isFlat?function(source,object){return copyObject(source,getSymbolsIn(source),object);}(value,function(object,source){return object&&copyObject(source,keysIn(source),object);}(result,value)):function(source,object){return copyObject(source,getSymbols(source),object);}(value,baseAssign(result,value));}else{if(!cloneableTags[tag])return object?value:{};result=function(object,tag,isDeep){var Ctor=object.constructor;switch(tag){case arrayBufferTag:return cloneArrayBuffer(object);case boolTag:case dateTag:return new Ctor(+object);case dataViewTag:return function(dataView,isDeep){var buffer=isDeep?cloneArrayBuffer(dataView.buffer):dataView.buffer;return new dataView.constructor(buffer,dataView.byteOffset,dataView.byteLength);}(object,isDeep);case float32Tag:case float64Tag:case int8Tag:case int16Tag:case int32Tag:case uint8Tag:case uint8ClampedTag:case uint16Tag:case uint32Tag:return cloneTypedArray(object,isDeep);case mapTag:return new Ctor();case numberTag:case stringTag:return new Ctor(object);case regexpTag:return function(regexp){var result=new regexp.constructor(regexp.source,reFlags.exec(regexp));return result.lastIndex=regexp.lastIndex,result;}(object);case setTag:return new Ctor();case symbolTag:return symbol=object,symbolValueOf?Object(symbolValueOf.call(symbol)):{};}var symbol;}(value,tag,isDeep);}}stack||(stack=new Stack());var stacked=stack.get(value);if(stacked)return stacked;stack.set(value,result),isSet(value)?value.forEach(function(subValue){result.add(baseClone(subValue,bitmask,customizer,subValue,value,stack));}):isMap(value)&&value.forEach(function(subValue,key){result.set(key,baseClone(subValue,bitmask,customizer,key,value,stack));});var props=isArr?undefined$1:(isFull?isFlat?getAllKeysIn:getAllKeys:isFlat?keysIn:keys)(value);return arrayEach(props||value,function(subValue,key){props&&(subValue=value[key=subValue]),assignValue(result,key,baseClone(subValue,bitmask,customizer,key,value,stack));}),result;}function baseConformsTo(object,source,props){var length=props.length;if(null==object)return!length;for(object=Object(object);length--;){var key=props[length],predicate=source[key],value=object[key];if(value===undefined$1&&!(key in object)||!predicate(value))return!1;}return!0;}function baseDelay(func,wait,args){if("function"!=typeof func)throw new TypeError(FUNC_ERROR_TEXT);return setTimeout(function(){func.apply(undefined$1,args);},wait);}function baseDifference(array,values,iteratee,comparator){var index=-1,includes=arrayIncludes,isCommon=!0,length=array.length,result=[],valuesLength=values.length;if(!length)return result;iteratee&&(values=arrayMap(values,baseUnary(iteratee))),comparator?(includes=arrayIncludesWith,isCommon=!1):values.length>=200&&(includes=cacheHas,isCommon=!1,values=new SetCache(values));outer:for(;++index<length;){var value=array[index],computed=null==iteratee?value:iteratee(value);if(value=comparator||0!==value?value:0,isCommon&&computed==computed){for(var valuesIndex=valuesLength;valuesIndex--;)if(values[valuesIndex]===computed)continue outer;result.push(value);}else includes(values,computed,comparator)||result.push(value);}return result;}lodash.templateSettings={escape:reEscape,evaluate:reEvaluate,interpolate:reInterpolate,variable:"",imports:{_:lodash}},lodash.prototype=baseLodash.prototype,lodash.prototype.constructor=lodash,LodashWrapper.prototype=baseCreate(baseLodash.prototype),LodashWrapper.prototype.constructor=LodashWrapper,LazyWrapper.prototype=baseCreate(baseLodash.prototype),LazyWrapper.prototype.constructor=LazyWrapper,Hash.prototype.clear=function(){this.__data__=nativeCreate?nativeCreate(null):{},this.size=0;},Hash.prototype.delete=function(key){var result=this.has(key)&&delete this.__data__[key];return this.size-=result?1:0,result;},Hash.prototype.get=function(key){var data=this.__data__;if(nativeCreate){var result=data[key];return"__lodash_hash_undefined__"===result?undefined$1:result;}return hasOwnProperty.call(data,key)?data[key]:undefined$1;},Hash.prototype.has=function(key){var data=this.__data__;return nativeCreate?data[key]!==undefined$1:hasOwnProperty.call(data,key);},Hash.prototype.set=function(key,value){var data=this.__data__;return this.size+=this.has(key)?0:1,data[key]=nativeCreate&&value===undefined$1?"__lodash_hash_undefined__":value,this;},ListCache.prototype.clear=function(){this.__data__=[],this.size=0;},ListCache.prototype.delete=function(key){var data=this.__data__,index=assocIndexOf(data,key);return!(index<0)&&(index==data.length-1?data.pop():splice.call(data,index,1),--this.size,!0);},ListCache.prototype.get=function(key){var data=this.__data__,index=assocIndexOf(data,key);return index<0?undefined$1:data[index][1];},ListCache.prototype.has=function(key){return assocIndexOf(this.__data__,key)>-1;},ListCache.prototype.set=function(key,value){var data=this.__data__,index=assocIndexOf(data,key);return index<0?(++this.size,data.push([key,value])):data[index][1]=value,this;},MapCache.prototype.clear=function(){this.size=0,this.__data__={hash:new Hash(),map:new(Map||ListCache)(),string:new Hash()};},MapCache.prototype.delete=function(key){var result=getMapData(this,key).delete(key);return this.size-=result?1:0,result;},MapCache.prototype.get=function(key){return getMapData(this,key).get(key);},MapCache.prototype.has=function(key){return getMapData(this,key).has(key);},MapCache.prototype.set=function(key,value){var data=getMapData(this,key),size=data.size;return data.set(key,value),this.size+=data.size==size?0:1,this;},SetCache.prototype.add=SetCache.prototype.push=function(value){return this.__data__.set(value,"__lodash_hash_undefined__"),this;},SetCache.prototype.has=function(value){return this.__data__.has(value);},Stack.prototype.clear=function(){this.__data__=new ListCache(),this.size=0;},Stack.prototype.delete=function(key){var data=this.__data__,result=data.delete(key);return this.size=data.size,result;},Stack.prototype.get=function(key){return this.__data__.get(key);},Stack.prototype.has=function(key){return this.__data__.has(key);},Stack.prototype.set=function(key,value){var data=this.__data__;if(data instanceof ListCache){var pairs=data.__data__;if(!Map||pairs.length<199)return pairs.push([key,value]),this.size=++data.size,this;data=this.__data__=new MapCache(pairs);}return data.set(key,value),this.size=data.size,this;};var baseEach=createBaseEach(baseForOwn),baseEachRight=createBaseEach(baseForOwnRight,!0);function baseEvery(collection,predicate){var result=!0;return baseEach(collection,function(value,index,collection){return result=!!predicate(value,index,collection);}),result;}function baseExtremum(array,iteratee,comparator){for(var index=-1,length=array.length;++index<length;){var value=array[index],current=iteratee(value);if(null!=current&&(computed===undefined$1?current==current&&!isSymbol(current):comparator(current,computed)))var computed=current,result=value;}return result;}function baseFilter(collection,predicate){var result=[];return baseEach(collection,function(value,index,collection){predicate(value,index,collection)&&result.push(value);}),result;}function baseFlatten(array,depth,predicate,isStrict,result){var index=-1,length=array.length;for(predicate||(predicate=isFlattenable),result||(result=[]);++index<length;){var value=array[index];depth>0&&predicate(value)?depth>1?baseFlatten(value,depth-1,predicate,isStrict,result):arrayPush(result,value):isStrict||(result[result.length]=value);}return result;}var baseFor=createBaseFor(),baseForRight=createBaseFor(!0);function baseForOwn(object,iteratee){return object&&baseFor(object,iteratee,keys);}function baseForOwnRight(object,iteratee){return object&&baseForRight(object,iteratee,keys);}function baseFunctions(object,props){return arrayFilter(props,function(key){return isFunction(object[key]);});}function baseGet(object,path){for(var index=0,length=(path=castPath(path,object)).length;null!=object&&index<length;)object=object[toKey(path[index++])];return index&&index==length?object:undefined$1;}function baseGetAllKeys(object,keysFunc,symbolsFunc){var result=keysFunc(object);return isArray(object)?result:arrayPush(result,symbolsFunc(object));}function baseGetTag(value){return null==value?value===undefined$1?"[object Undefined]":"[object Null]":symToStringTag&&symToStringTag in Object(value)?function(value){var isOwn=hasOwnProperty.call(value,symToStringTag),tag=value[symToStringTag];try{value[symToStringTag]=undefined$1;var unmasked=!0;}catch(e){}var result=nativeObjectToString.call(value);unmasked&&(isOwn?value[symToStringTag]=tag:delete value[symToStringTag]);return result;}(value):function(value){return nativeObjectToString.call(value);}(value);}function baseGt(value,other){return value>other;}function baseHas(object,key){return null!=object&&hasOwnProperty.call(object,key);}function baseHasIn(object,key){return null!=object&&key in Object(object);}function baseIntersection(arrays,iteratee,comparator){for(var includes=comparator?arrayIncludesWith:arrayIncludes,length=arrays[0].length,othLength=arrays.length,othIndex=othLength,caches=Array(othLength),maxLength=1/0,result=[];othIndex--;){var array=arrays[othIndex];othIndex&&iteratee&&(array=arrayMap(array,baseUnary(iteratee))),maxLength=nativeMin(array.length,maxLength),caches[othIndex]=!comparator&&(iteratee||length>=120&&array.length>=120)?new SetCache(othIndex&&array):undefined$1;}array=arrays[0];var index=-1,seen=caches[0];outer:for(;++index<length&&result.length<maxLength;){var value=array[index],computed=iteratee?iteratee(value):value;if(value=comparator||0!==value?value:0,!(seen?cacheHas(seen,computed):includes(result,computed,comparator))){for(othIndex=othLength;--othIndex;){var cache=caches[othIndex];if(!(cache?cacheHas(cache,computed):includes(arrays[othIndex],computed,comparator)))continue outer;}seen&&seen.push(computed),result.push(value);}}return result;}function baseInvoke(object,path,args){var func=null==(object=parent(object,path=castPath(path,object)))?object:object[toKey(last(path))];return null==func?undefined$1:apply(func,object,args);}function baseIsArguments(value){return isObjectLike(value)&&baseGetTag(value)==argsTag;}function baseIsEqual(value,other,bitmask,customizer,stack){return value===other||(null==value||null==other||!isObjectLike(value)&&!isObjectLike(other)?value!=value&&other!=other:function(object,other,bitmask,customizer,equalFunc,stack){var objIsArr=isArray(object),othIsArr=isArray(other),objTag=objIsArr?arrayTag:getTag(object),othTag=othIsArr?arrayTag:getTag(other),objIsObj=(objTag=objTag==argsTag?objectTag:objTag)==objectTag,othIsObj=(othTag=othTag==argsTag?objectTag:othTag)==objectTag,isSameTag=objTag==othTag;if(isSameTag&&isBuffer(object)){if(!isBuffer(other))return!1;objIsArr=!0,objIsObj=!1;}if(isSameTag&&!objIsObj)return stack||(stack=new Stack()),objIsArr||isTypedArray(object)?equalArrays(object,other,bitmask,customizer,equalFunc,stack):function(object,other,tag,bitmask,customizer,equalFunc,stack){switch(tag){case dataViewTag:if(object.byteLength!=other.byteLength||object.byteOffset!=other.byteOffset)return!1;object=object.buffer,other=other.buffer;case arrayBufferTag:return!(object.byteLength!=other.byteLength||!equalFunc(new Uint8Array(object),new Uint8Array(other)));case boolTag:case dateTag:case numberTag:return eq(+object,+other);case errorTag:return object.name==other.name&&object.message==other.message;case regexpTag:case stringTag:return object==other+"";case mapTag:var convert=mapToArray;case setTag:var isPartial=1&bitmask;if(convert||(convert=setToArray),object.size!=other.size&&!isPartial)return!1;var stacked=stack.get(object);if(stacked)return stacked==other;bitmask|=2,stack.set(object,other);var result=equalArrays(convert(object),convert(other),bitmask,customizer,equalFunc,stack);return stack.delete(object),result;case symbolTag:if(symbolValueOf)return symbolValueOf.call(object)==symbolValueOf.call(other);}return!1;}(object,other,objTag,bitmask,customizer,equalFunc,stack);if(!(1&bitmask)){var objIsWrapped=objIsObj&&hasOwnProperty.call(object,"__wrapped__"),othIsWrapped=othIsObj&&hasOwnProperty.call(other,"__wrapped__");if(objIsWrapped||othIsWrapped){var objUnwrapped=objIsWrapped?object.value():object,othUnwrapped=othIsWrapped?other.value():other;return stack||(stack=new Stack()),equalFunc(objUnwrapped,othUnwrapped,bitmask,customizer,stack);}}if(!isSameTag)return!1;return stack||(stack=new Stack()),function(object,other,bitmask,customizer,equalFunc,stack){var isPartial=1&bitmask,objProps=getAllKeys(object),objLength=objProps.length,othProps=getAllKeys(other),othLength=othProps.length;if(objLength!=othLength&&!isPartial)return!1;var index=objLength;for(;index--;){var key=objProps[index];if(!(isPartial?key in other:hasOwnProperty.call(other,key)))return!1;}var objStacked=stack.get(object),othStacked=stack.get(other);if(objStacked&&othStacked)return objStacked==other&&othStacked==object;var result=!0;stack.set(object,other),stack.set(other,object);var skipCtor=isPartial;for(;++index<objLength;){var objValue=object[key=objProps[index]],othValue=other[key];if(customizer)var compared=isPartial?customizer(othValue,objValue,key,other,object,stack):customizer(objValue,othValue,key,object,other,stack);if(!(compared===undefined$1?objValue===othValue||equalFunc(objValue,othValue,bitmask,customizer,stack):compared)){result=!1;break;}skipCtor||(skipCtor="constructor"==key);}if(result&&!skipCtor){var objCtor=object.constructor,othCtor=other.constructor;objCtor==othCtor||!("constructor"in object)||!("constructor"in other)||"function"==typeof objCtor&&objCtor instanceof objCtor&&"function"==typeof othCtor&&othCtor instanceof othCtor||(result=!1);}return stack.delete(object),stack.delete(other),result;}(object,other,bitmask,customizer,equalFunc,stack);}(value,other,bitmask,customizer,baseIsEqual,stack));}function baseIsMatch(object,source,matchData,customizer){var index=matchData.length,length=index,noCustomizer=!customizer;if(null==object)return!length;for(object=Object(object);index--;){var data=matchData[index];if(noCustomizer&&data[2]?data[1]!==object[data[0]]:!(data[0]in object))return!1;}for(;++index<length;){var key=(data=matchData[index])[0],objValue=object[key],srcValue=data[1];if(noCustomizer&&data[2]){if(objValue===undefined$1&&!(key in object))return!1;}else{var stack=new Stack();if(customizer)var result=customizer(objValue,srcValue,key,object,source,stack);if(!(result===undefined$1?baseIsEqual(srcValue,objValue,3,customizer,stack):result))return!1;}}return!0;}function baseIsNative(value){return!(!isObject(value)||(func=value,maskSrcKey&&maskSrcKey in func))&&(isFunction(value)?reIsNative:reIsHostCtor).test(toSource(value));var func;}function baseIteratee(value){return"function"==typeof value?value:null==value?identity:"object"==typeof value?isArray(value)?baseMatchesProperty(value[0],value[1]):baseMatches(value):property(value);}function baseKeys(object){if(!isPrototype(object))return nativeKeys(object);var result=[];for(var key in Object(object))hasOwnProperty.call(object,key)&&"constructor"!=key&&result.push(key);return result;}function baseKeysIn(object){if(!isObject(object))return function(object){var result=[];if(null!=object)for(var key in Object(object))result.push(key);return result;}(object);var isProto=isPrototype(object),result=[];for(var key in object)("constructor"!=key||!isProto&&hasOwnProperty.call(object,key))&&result.push(key);return result;}function baseLt(value,other){return value<other;}function baseMap(collection,iteratee){var index=-1,result=isArrayLike(collection)?Array(collection.length):[];return baseEach(collection,function(value,key,collection){result[++index]=iteratee(value,key,collection);}),result;}function baseMatches(source){var matchData=getMatchData(source);return 1==matchData.length&&matchData[0][2]?matchesStrictComparable(matchData[0][0],matchData[0][1]):function(object){return object===source||baseIsMatch(object,source,matchData);};}function baseMatchesProperty(path,srcValue){return isKey(path)&&isStrictComparable(srcValue)?matchesStrictComparable(toKey(path),srcValue):function(object){var objValue=get(object,path);return objValue===undefined$1&&objValue===srcValue?hasIn(object,path):baseIsEqual(srcValue,objValue,3);};}function baseMerge(object,source,srcIndex,customizer,stack){object!==source&&baseFor(source,function(srcValue,key){if(stack||(stack=new Stack()),isObject(srcValue))!function(object,source,key,srcIndex,mergeFunc,customizer,stack){var objValue=safeGet(object,key),srcValue=safeGet(source,key),stacked=stack.get(srcValue);if(stacked)return void assignMergeValue(object,key,stacked);var newValue=customizer?customizer(objValue,srcValue,key+"",object,source,stack):undefined$1,isCommon=newValue===undefined$1;if(isCommon){var isArr=isArray(srcValue),isBuff=!isArr&&isBuffer(srcValue),isTyped=!isArr&&!isBuff&&isTypedArray(srcValue);newValue=srcValue,isArr||isBuff||isTyped?isArray(objValue)?newValue=objValue:isArrayLikeObject(objValue)?newValue=copyArray(objValue):isBuff?(isCommon=!1,newValue=cloneBuffer(srcValue,!0)):isTyped?(isCommon=!1,newValue=cloneTypedArray(srcValue,!0)):newValue=[]:isPlainObject(srcValue)||isArguments(srcValue)?(newValue=objValue,isArguments(objValue)?newValue=toPlainObject(objValue):isObject(objValue)&&!isFunction(objValue)||(newValue=initCloneObject(srcValue))):isCommon=!1;}isCommon&&(stack.set(srcValue,newValue),mergeFunc(newValue,srcValue,srcIndex,customizer,stack),stack.delete(srcValue));assignMergeValue(object,key,newValue);}(object,source,key,srcIndex,baseMerge,customizer,stack);else{var newValue=customizer?customizer(safeGet(object,key),srcValue,key+"",object,source,stack):undefined$1;newValue===undefined$1&&(newValue=srcValue),assignMergeValue(object,key,newValue);}},keysIn);}function baseNth(array,n){var length=array.length;if(length)return isIndex(n+=n<0?length:0,length)?array[n]:undefined$1;}function baseOrderBy(collection,iteratees,orders){iteratees=iteratees.length?arrayMap(iteratees,function(iteratee){return isArray(iteratee)?function(value){return baseGet(value,1===iteratee.length?iteratee[0]:iteratee);}:iteratee;}):[identity];var index=-1;iteratees=arrayMap(iteratees,baseUnary(getIteratee()));var result=baseMap(collection,function(value,key,collection){var criteria=arrayMap(iteratees,function(iteratee){return iteratee(value);});return{criteria:criteria,index:++index,value:value};});return function(array,comparer){var length=array.length;for(array.sort(comparer);length--;)array[length]=array[length].value;return array;}(result,function(object,other){return function(object,other,orders){var index=-1,objCriteria=object.criteria,othCriteria=other.criteria,length=objCriteria.length,ordersLength=orders.length;for(;++index<length;){var result=compareAscending(objCriteria[index],othCriteria[index]);if(result)return index>=ordersLength?result:result*("desc"==orders[index]?-1:1);}return object.index-other.index;}(object,other,orders);});}function basePickBy(object,paths,predicate){for(var index=-1,length=paths.length,result={};++index<length;){var path=paths[index],value=baseGet(object,path);predicate(value,path)&&baseSet(result,castPath(path,object),value);}return result;}function basePullAll(array,values,iteratee,comparator){var indexOf=comparator?baseIndexOfWith:baseIndexOf,index=-1,length=values.length,seen=array;for(array===values&&(values=copyArray(values)),iteratee&&(seen=arrayMap(array,baseUnary(iteratee)));++index<length;)for(var fromIndex=0,value=values[index],computed=iteratee?iteratee(value):value;(fromIndex=indexOf(seen,computed,fromIndex,comparator))>-1;)seen!==array&&splice.call(seen,fromIndex,1),splice.call(array,fromIndex,1);return array;}function basePullAt(array,indexes){for(var length=array?indexes.length:0,lastIndex=length-1;length--;){var index=indexes[length];if(length==lastIndex||index!==previous){var previous=index;isIndex(index)?splice.call(array,index,1):baseUnset(array,index);}}return array;}function baseRandom(lower,upper){return lower+nativeFloor(nativeRandom()*(upper-lower+1));}function baseRepeat(string,n){var result="";if(!string||n<1||n>9007199254740991)return result;do{n%2&&(result+=string),(n=nativeFloor(n/2))&&(string+=string);}while(n);return result;}function baseRest(func,start){return setToString(overRest(func,start,identity),func+"");}function baseSample(collection){return arraySample(values(collection));}function baseSampleSize(collection,n){var array=values(collection);return shuffleSelf(array,baseClamp(n,0,array.length));}function baseSet(object,path,value,customizer){if(!isObject(object))return object;for(var index=-1,length=(path=castPath(path,object)).length,lastIndex=length-1,nested=object;null!=nested&&++index<length;){var key=toKey(path[index]),newValue=value;if("__proto__"===key||"constructor"===key||"prototype"===key)return object;if(index!=lastIndex){var objValue=nested[key];(newValue=customizer?customizer(objValue,key,nested):undefined$1)===undefined$1&&(newValue=isObject(objValue)?objValue:isIndex(path[index+1])?[]:{});}assignValue(nested,key,newValue),nested=nested[key];}return object;}var baseSetData=metaMap?function(func,data){return metaMap.set(func,data),func;}:identity,baseSetToString=defineProperty?function(func,string){return defineProperty(func,"toString",{configurable:!0,enumerable:!1,value:constant(string),writable:!0});}:identity;function baseShuffle(collection){return shuffleSelf(values(collection));}function baseSlice(array,start,end){var index=-1,length=array.length;start<0&&(start=-start>length?0:length+start),(end=end>length?length:end)<0&&(end+=length),length=start>end?0:end-start>>>0,start>>>=0;for(var result=Array(length);++index<length;)result[index]=array[index+start];return result;}function baseSome(collection,predicate){var result;return baseEach(collection,function(value,index,collection){return!(result=predicate(value,index,collection));}),!!result;}function baseSortedIndex(array,value,retHighest){var low=0,high=null==array?low:array.length;if("number"==typeof value&&value==value&&high<=2147483647){for(;low<high;){var mid=low+high>>>1,computed=array[mid];null!==computed&&!isSymbol(computed)&&(retHighest?computed<=value:computed<value)?low=mid+1:high=mid;}return high;}return baseSortedIndexBy(array,value,identity,retHighest);}function baseSortedIndexBy(array,value,iteratee,retHighest){var low=0,high=null==array?0:array.length;if(0===high)return 0;for(var valIsNaN=(value=iteratee(value))!=value,valIsNull=null===value,valIsSymbol=isSymbol(value),valIsUndefined=value===undefined$1;low<high;){var mid=nativeFloor((low+high)/2),computed=iteratee(array[mid]),othIsDefined=computed!==undefined$1,othIsNull=null===computed,othIsReflexive=computed==computed,othIsSymbol=isSymbol(computed);if(valIsNaN)var setLow=retHighest||othIsReflexive;else setLow=valIsUndefined?othIsReflexive&&(retHighest||othIsDefined):valIsNull?othIsReflexive&&othIsDefined&&(retHighest||!othIsNull):valIsSymbol?othIsReflexive&&othIsDefined&&!othIsNull&&(retHighest||!othIsSymbol):!othIsNull&&!othIsSymbol&&(retHighest?computed<=value:computed<value);setLow?low=mid+1:high=mid;}return nativeMin(high,4294967294);}function baseSortedUniq(array,iteratee){for(var index=-1,length=array.length,resIndex=0,result=[];++index<length;){var value=array[index],computed=iteratee?iteratee(value):value;if(!index||!eq(computed,seen)){var seen=computed;result[resIndex++]=0===value?0:value;}}return result;}function baseToNumber(value){return"number"==typeof value?value:isSymbol(value)?NaN:+value;}function baseToString(value){if("string"==typeof value)return value;if(isArray(value))return arrayMap(value,baseToString)+"";if(isSymbol(value))return symbolToString?symbolToString.call(value):"";var result=value+"";return"0"==result&&1/value==-Infinity?"-0":result;}function baseUniq(array,iteratee,comparator){var index=-1,includes=arrayIncludes,length=array.length,isCommon=!0,result=[],seen=result;if(comparator)isCommon=!1,includes=arrayIncludesWith;else if(length>=200){var set=iteratee?null:createSet(array);if(set)return setToArray(set);isCommon=!1,includes=cacheHas,seen=new SetCache();}else seen=iteratee?[]:result;outer:for(;++index<length;){var value=array[index],computed=iteratee?iteratee(value):value;if(value=comparator||0!==value?value:0,isCommon&&computed==computed){for(var seenIndex=seen.length;seenIndex--;)if(seen[seenIndex]===computed)continue outer;iteratee&&seen.push(computed),result.push(value);}else includes(seen,computed,comparator)||(seen!==result&&seen.push(computed),result.push(value));}return result;}function baseUnset(object,path){return null==(object=parent(object,path=castPath(path,object)))||delete object[toKey(last(path))];}function baseUpdate(object,path,updater,customizer){return baseSet(object,path,updater(baseGet(object,path)),customizer);}function baseWhile(array,predicate,isDrop,fromRight){for(var length=array.length,index=fromRight?length:-1;(fromRight?index--:++index<length)&&predicate(array[index],index,array););return isDrop?baseSlice(array,fromRight?0:index,fromRight?index+1:length):baseSlice(array,fromRight?index+1:0,fromRight?length:index);}function baseWrapperValue(value,actions){var result=value;return result instanceof LazyWrapper&&(result=result.value()),arrayReduce(actions,function(result,action){return action.func.apply(action.thisArg,arrayPush([result],action.args));},result);}function baseXor(arrays,iteratee,comparator){var length=arrays.length;if(length<2)return length?baseUniq(arrays[0]):[];for(var index=-1,result=Array(length);++index<length;)for(var array=arrays[index],othIndex=-1;++othIndex<length;)othIndex!=index&&(result[index]=baseDifference(result[index]||array,arrays[othIndex],iteratee,comparator));return baseUniq(baseFlatten(result,1),iteratee,comparator);}function baseZipObject(props,values,assignFunc){for(var index=-1,length=props.length,valsLength=values.length,result={};++index<length;){var value=index<valsLength?values[index]:undefined$1;assignFunc(result,props[index],value);}return result;}function castArrayLikeObject(value){return isArrayLikeObject(value)?value:[];}function castFunction(value){return"function"==typeof value?value:identity;}function castPath(value,object){return isArray(value)?value:isKey(value,object)?[value]:stringToPath(toString(value));}var castRest=baseRest;function castSlice(array,start,end){var length=array.length;return end=end===undefined$1?length:end,!start&&end>=length?array:baseSlice(array,start,end);}var clearTimeout=ctxClearTimeout||function(id){return root.clearTimeout(id);};function cloneBuffer(buffer,isDeep){if(isDeep)return buffer.slice();var length=buffer.length,result=allocUnsafe?allocUnsafe(length):new buffer.constructor(length);return buffer.copy(result),result;}function cloneArrayBuffer(arrayBuffer){var result=new arrayBuffer.constructor(arrayBuffer.byteLength);return new Uint8Array(result).set(new Uint8Array(arrayBuffer)),result;}function cloneTypedArray(typedArray,isDeep){var buffer=isDeep?cloneArrayBuffer(typedArray.buffer):typedArray.buffer;return new typedArray.constructor(buffer,typedArray.byteOffset,typedArray.length);}function compareAscending(value,other){if(value!==other){var valIsDefined=value!==undefined$1,valIsNull=null===value,valIsReflexive=value==value,valIsSymbol=isSymbol(value),othIsDefined=other!==undefined$1,othIsNull=null===other,othIsReflexive=other==other,othIsSymbol=isSymbol(other);if(!othIsNull&&!othIsSymbol&&!valIsSymbol&&value>other||valIsSymbol&&othIsDefined&&othIsReflexive&&!othIsNull&&!othIsSymbol||valIsNull&&othIsDefined&&othIsReflexive||!valIsDefined&&othIsReflexive||!valIsReflexive)return 1;if(!valIsNull&&!valIsSymbol&&!othIsSymbol&&value<other||othIsSymbol&&valIsDefined&&valIsReflexive&&!valIsNull&&!valIsSymbol||othIsNull&&valIsDefined&&valIsReflexive||!othIsDefined&&valIsReflexive||!othIsReflexive)return-1;}return 0;}function composeArgs(args,partials,holders,isCurried){for(var argsIndex=-1,argsLength=args.length,holdersLength=holders.length,leftIndex=-1,leftLength=partials.length,rangeLength=nativeMax(argsLength-holdersLength,0),result=Array(leftLength+rangeLength),isUncurried=!isCurried;++leftIndex<leftLength;)result[leftIndex]=partials[leftIndex];for(;++argsIndex<holdersLength;)(isUncurried||argsIndex<argsLength)&&(result[holders[argsIndex]]=args[argsIndex]);for(;rangeLength--;)result[leftIndex++]=args[argsIndex++];return result;}function composeArgsRight(args,partials,holders,isCurried){for(var argsIndex=-1,argsLength=args.length,holdersIndex=-1,holdersLength=holders.length,rightIndex=-1,rightLength=partials.length,rangeLength=nativeMax(argsLength-holdersLength,0),result=Array(rangeLength+rightLength),isUncurried=!isCurried;++argsIndex<rangeLength;)result[argsIndex]=args[argsIndex];for(var offset=argsIndex;++rightIndex<rightLength;)result[offset+rightIndex]=partials[rightIndex];for(;++holdersIndex<holdersLength;)(isUncurried||argsIndex<argsLength)&&(result[offset+holders[holdersIndex]]=args[argsIndex++]);return result;}function copyArray(source,array){var index=-1,length=source.length;for(array||(array=Array(length));++index<length;)array[index]=source[index];return array;}function copyObject(source,props,object,customizer){var isNew=!object;object||(object={});for(var index=-1,length=props.length;++index<length;){var key=props[index],newValue=customizer?customizer(object[key],source[key],key,object,source):undefined$1;newValue===undefined$1&&(newValue=source[key]),isNew?baseAssignValue(object,key,newValue):assignValue(object,key,newValue);}return object;}function createAggregator(setter,initializer){return function(collection,iteratee){var func=isArray(collection)?arrayAggregator:baseAggregator,accumulator=initializer?initializer():{};return func(collection,setter,getIteratee(iteratee,2),accumulator);};}function createAssigner(assigner){return baseRest(function(object,sources){var index=-1,length=sources.length,customizer=length>1?sources[length-1]:undefined$1,guard=length>2?sources[2]:undefined$1;for(customizer=assigner.length>3&&"function"==typeof customizer?(length--,customizer):undefined$1,guard&&isIterateeCall(sources[0],sources[1],guard)&&(customizer=length<3?undefined$1:customizer,length=1),object=Object(object);++index<length;){var source=sources[index];source&&assigner(object,source,index,customizer);}return object;});}function createBaseEach(eachFunc,fromRight){return function(collection,iteratee){if(null==collection)return collection;if(!isArrayLike(collection))return eachFunc(collection,iteratee);for(var length=collection.length,index=fromRight?length:-1,iterable=Object(collection);(fromRight?index--:++index<length)&&!1!==iteratee(iterable[index],index,iterable););return collection;};}function createBaseFor(fromRight){return function(object,iteratee,keysFunc){for(var index=-1,iterable=Object(object),props=keysFunc(object),length=props.length;length--;){var key=props[fromRight?length:++index];if(!1===iteratee(iterable[key],key,iterable))break;}return object;};}function createCaseFirst(methodName){return function(string){var strSymbols=hasUnicode(string=toString(string))?stringToArray(string):undefined$1,chr=strSymbols?strSymbols[0]:string.charAt(0),trailing=strSymbols?castSlice(strSymbols,1).join(""):string.slice(1);return chr[methodName]()+trailing;};}function createCompounder(callback){return function(string){return arrayReduce(words(deburr(string).replace(reApos,"")),callback,"");};}function createCtor(Ctor){return function(){var args=arguments;switch(args.length){case 0:return new Ctor();case 1:return new Ctor(args[0]);case 2:return new Ctor(args[0],args[1]);case 3:return new Ctor(args[0],args[1],args[2]);case 4:return new Ctor(args[0],args[1],args[2],args[3]);case 5:return new Ctor(args[0],args[1],args[2],args[3],args[4]);case 6:return new Ctor(args[0],args[1],args[2],args[3],args[4],args[5]);case 7:return new Ctor(args[0],args[1],args[2],args[3],args[4],args[5],args[6]);}var thisBinding=baseCreate(Ctor.prototype),result=Ctor.apply(thisBinding,args);return isObject(result)?result:thisBinding;};}function createFind(findIndexFunc){return function(collection,predicate,fromIndex){var iterable=Object(collection);if(!isArrayLike(collection)){var iteratee=getIteratee(predicate,3);collection=keys(collection),predicate=function(key){return iteratee(iterable[key],key,iterable);};}var index=findIndexFunc(collection,predicate,fromIndex);return index>-1?iterable[iteratee?collection[index]:index]:undefined$1;};}function createFlow(fromRight){return flatRest(function(funcs){var length=funcs.length,index=length,prereq=LodashWrapper.prototype.thru;for(fromRight&&funcs.reverse();index--;){var func=funcs[index];if("function"!=typeof func)throw new TypeError(FUNC_ERROR_TEXT);if(prereq&&!wrapper&&"wrapper"==getFuncName(func))var wrapper=new LodashWrapper([],!0);}for(index=wrapper?index:length;++index<length;){var funcName=getFuncName(func=funcs[index]),data="wrapper"==funcName?getData(func):undefined$1;wrapper=data&&isLaziable(data[0])&&424==data[1]&&!data[4].length&&1==data[9]?wrapper[getFuncName(data[0])].apply(wrapper,data[3]):1==func.length&&isLaziable(func)?wrapper[funcName]():wrapper.thru(func);}return function(){var args=arguments,value=args[0];if(wrapper&&1==args.length&&isArray(value))return wrapper.plant(value).value();for(var index=0,result=length?funcs[index].apply(this,args):value;++index<length;)result=funcs[index].call(this,result);return result;};});}function createHybrid(func,bitmask,thisArg,partials,holders,partialsRight,holdersRight,argPos,ary,arity){var isAry=128&bitmask,isBind=1&bitmask,isBindKey=2&bitmask,isCurried=24&bitmask,isFlip=512&bitmask,Ctor=isBindKey?undefined$1:createCtor(func);return function wrapper(){for(var length=arguments.length,args=Array(length),index=length;index--;)args[index]=arguments[index];if(isCurried)var placeholder=getHolder(wrapper),holdersCount=function(array,placeholder){for(var length=array.length,result=0;length--;)array[length]===placeholder&&++result;return result;}(args,placeholder);if(partials&&(args=composeArgs(args,partials,holders,isCurried)),partialsRight&&(args=composeArgsRight(args,partialsRight,holdersRight,isCurried)),length-=holdersCount,isCurried&&length<arity){var newHolders=replaceHolders(args,placeholder);return createRecurry(func,bitmask,createHybrid,wrapper.placeholder,thisArg,args,newHolders,argPos,ary,arity-length);}var thisBinding=isBind?thisArg:this,fn=isBindKey?thisBinding[func]:func;return length=args.length,argPos?args=function(array,indexes){var arrLength=array.length,length=nativeMin(indexes.length,arrLength),oldArray=copyArray(array);for(;length--;){var index=indexes[length];array[length]=isIndex(index,arrLength)?oldArray[index]:undefined$1;}return array;}(args,argPos):isFlip&&length>1&&args.reverse(),isAry&&ary<length&&(args.length=ary),this&&this!==root&&this instanceof wrapper&&(fn=Ctor||createCtor(fn)),fn.apply(thisBinding,args);};}function createInverter(setter,toIteratee){return function(object,iteratee){return function(object,setter,iteratee,accumulator){return baseForOwn(object,function(value,key,object){setter(accumulator,iteratee(value),key,object);}),accumulator;}(object,setter,toIteratee(iteratee),{});};}function createMathOperation(operator,defaultValue){return function(value,other){var result;if(value===undefined$1&&other===undefined$1)return defaultValue;if(value!==undefined$1&&(result=value),other!==undefined$1){if(result===undefined$1)return other;"string"==typeof value||"string"==typeof other?(value=baseToString(value),other=baseToString(other)):(value=baseToNumber(value),other=baseToNumber(other)),result=operator(value,other);}return result;};}function createOver(arrayFunc){return flatRest(function(iteratees){return iteratees=arrayMap(iteratees,baseUnary(getIteratee())),baseRest(function(args){var thisArg=this;return arrayFunc(iteratees,function(iteratee){return apply(iteratee,thisArg,args);});});});}function createPadding(length,chars){var charsLength=(chars=chars===undefined$1?" ":baseToString(chars)).length;if(charsLength<2)return charsLength?baseRepeat(chars,length):chars;var result=baseRepeat(chars,nativeCeil(length/stringSize(chars)));return hasUnicode(chars)?castSlice(stringToArray(result),0,length).join(""):result.slice(0,length);}function createRange(fromRight){return function(start,end,step){return step&&"number"!=typeof step&&isIterateeCall(start,end,step)&&(end=step=undefined$1),start=toFinite(start),end===undefined$1?(end=start,start=0):end=toFinite(end),function(start,end,step,fromRight){for(var index=-1,length=nativeMax(nativeCeil((end-start)/(step||1)),0),result=Array(length);length--;)result[fromRight?length:++index]=start,start+=step;return result;}(start,end,step=step===undefined$1?start<end?1:-1:toFinite(step),fromRight);};}function createRelationalOperation(operator){return function(value,other){return"string"==typeof value&&"string"==typeof other||(value=toNumber(value),other=toNumber(other)),operator(value,other);};}function createRecurry(func,bitmask,wrapFunc,placeholder,thisArg,partials,holders,argPos,ary,arity){var isCurry=8&bitmask;bitmask|=isCurry?32:64,4&(bitmask&=~(isCurry?64:32))||(bitmask&=-4);var newData=[func,bitmask,thisArg,isCurry?partials:undefined$1,isCurry?holders:undefined$1,isCurry?undefined$1:partials,isCurry?undefined$1:holders,argPos,ary,arity],result=wrapFunc.apply(undefined$1,newData);return isLaziable(func)&&setData(result,newData),result.placeholder=placeholder,setWrapToString(result,func,bitmask);}function createRound(methodName){var func=Math[methodName];return function(number,precision){if(number=toNumber(number),(precision=null==precision?0:nativeMin(toInteger(precision),292))&&nativeIsFinite(number)){var pair=(toString(number)+"e").split("e");return+((pair=(toString(func(pair[0]+"e"+(+pair[1]+precision)))+"e").split("e"))[0]+"e"+(+pair[1]-precision));}return func(number);};}var createSet=Set&&1/setToArray(new Set([,-0]))[1]==Infinity?function(values){return new Set(values);}:noop;function createToPairs(keysFunc){return function(object){var tag=getTag(object);return tag==mapTag?mapToArray(object):tag==setTag?setToPairs(object):function(object,props){return arrayMap(props,function(key){return[key,object[key]];});}(object,keysFunc(object));};}function createWrap(func,bitmask,thisArg,partials,holders,argPos,ary,arity){var isBindKey=2&bitmask;if(!isBindKey&&"function"!=typeof func)throw new TypeError(FUNC_ERROR_TEXT);var length=partials?partials.length:0;if(length||(bitmask&=-97,partials=holders=undefined$1),ary=ary===undefined$1?ary:nativeMax(toInteger(ary),0),arity=arity===undefined$1?arity:toInteger(arity),length-=holders?holders.length:0,64&bitmask){var partialsRight=partials,holdersRight=holders;partials=holders=undefined$1;}var data=isBindKey?undefined$1:getData(func),newData=[func,bitmask,thisArg,partials,holders,partialsRight,holdersRight,argPos,ary,arity];if(data&&function(data,source){var bitmask=data[1],srcBitmask=source[1],newBitmask=bitmask|srcBitmask,isCommon=newBitmask<131,isCombo=128==srcBitmask&&8==bitmask||128==srcBitmask&&256==bitmask&&data[7].length<=source[8]||384==srcBitmask&&source[7].length<=source[8]&&8==bitmask;if(!isCommon&&!isCombo)return data;1&srcBitmask&&(data[2]=source[2],newBitmask|=1&bitmask?0:4);var value=source[3];if(value){var partials=data[3];data[3]=partials?composeArgs(partials,value,source[4]):value,data[4]=partials?replaceHolders(data[3],PLACEHOLDER):source[4];}(value=source[5])&&(partials=data[5],data[5]=partials?composeArgsRight(partials,value,source[6]):value,data[6]=partials?replaceHolders(data[5],PLACEHOLDER):source[6]);(value=source[7])&&(data[7]=value);128&srcBitmask&&(data[8]=null==data[8]?source[8]:nativeMin(data[8],source[8]));null==data[9]&&(data[9]=source[9]);data[0]=source[0],data[1]=newBitmask;}(newData,data),func=newData[0],bitmask=newData[1],thisArg=newData[2],partials=newData[3],holders=newData[4],!(arity=newData[9]=newData[9]===undefined$1?isBindKey?0:func.length:nativeMax(newData[9]-length,0))&&24&bitmask&&(bitmask&=-25),bitmask&&1!=bitmask)result=8==bitmask||16==bitmask?function(func,bitmask,arity){var Ctor=createCtor(func);return function wrapper(){for(var length=arguments.length,args=Array(length),index=length,placeholder=getHolder(wrapper);index--;)args[index]=arguments[index];var holders=length<3&&args[0]!==placeholder&&args[length-1]!==placeholder?[]:replaceHolders(args,placeholder);return(length-=holders.length)<arity?createRecurry(func,bitmask,createHybrid,wrapper.placeholder,undefined$1,args,holders,undefined$1,undefined$1,arity-length):apply(this&&this!==root&&this instanceof wrapper?Ctor:func,this,args);};}(func,bitmask,arity):32!=bitmask&&33!=bitmask||holders.length?createHybrid.apply(undefined$1,newData):function(func,bitmask,thisArg,partials){var isBind=1&bitmask,Ctor=createCtor(func);return function wrapper(){for(var argsIndex=-1,argsLength=arguments.length,leftIndex=-1,leftLength=partials.length,args=Array(leftLength+argsLength),fn=this&&this!==root&&this instanceof wrapper?Ctor:func;++leftIndex<leftLength;)args[leftIndex]=partials[leftIndex];for(;argsLength--;)args[leftIndex++]=arguments[++argsIndex];return apply(fn,isBind?thisArg:this,args);};}(func,bitmask,thisArg,partials);else var result=function(func,bitmask,thisArg){var isBind=1&bitmask,Ctor=createCtor(func);return function wrapper(){return(this&&this!==root&&this instanceof wrapper?Ctor:func).apply(isBind?thisArg:this,arguments);};}(func,bitmask,thisArg);return setWrapToString((data?baseSetData:setData)(result,newData),func,bitmask);}function customDefaultsAssignIn(objValue,srcValue,key,object){return objValue===undefined$1||eq(objValue,objectProto[key])&&!hasOwnProperty.call(object,key)?srcValue:objValue;}function customDefaultsMerge(objValue,srcValue,key,object,source,stack){return isObject(objValue)&&isObject(srcValue)&&(stack.set(srcValue,objValue),baseMerge(objValue,srcValue,undefined$1,customDefaultsMerge,stack),stack.delete(srcValue)),objValue;}function customOmitClone(value){return isPlainObject(value)?undefined$1:value;}function equalArrays(array,other,bitmask,customizer,equalFunc,stack){var isPartial=1&bitmask,arrLength=array.length,othLength=other.length;if(arrLength!=othLength&&!(isPartial&&othLength>arrLength))return!1;var arrStacked=stack.get(array),othStacked=stack.get(other);if(arrStacked&&othStacked)return arrStacked==other&&othStacked==array;var index=-1,result=!0,seen=2&bitmask?new SetCache():undefined$1;for(stack.set(array,other),stack.set(other,array);++index<arrLength;){var arrValue=array[index],othValue=other[index];if(customizer)var compared=isPartial?customizer(othValue,arrValue,index,other,array,stack):customizer(arrValue,othValue,index,array,other,stack);if(compared!==undefined$1){if(compared)continue;result=!1;break;}if(seen){if(!arraySome(other,function(othValue,othIndex){if(!cacheHas(seen,othIndex)&&(arrValue===othValue||equalFunc(arrValue,othValue,bitmask,customizer,stack)))return seen.push(othIndex);})){result=!1;break;}}else if(arrValue!==othValue&&!equalFunc(arrValue,othValue,bitmask,customizer,stack)){result=!1;break;}}return stack.delete(array),stack.delete(other),result;}function flatRest(func){return setToString(overRest(func,undefined$1,flatten),func+"");}function getAllKeys(object){return baseGetAllKeys(object,keys,getSymbols);}function getAllKeysIn(object){return baseGetAllKeys(object,keysIn,getSymbolsIn);}var getData=metaMap?function(func){return metaMap.get(func);}:noop;function getFuncName(func){for(var result=func.name+"",array=realNames[result],length=hasOwnProperty.call(realNames,result)?array.length:0;length--;){var data=array[length],otherFunc=data.func;if(null==otherFunc||otherFunc==func)return data.name;}return result;}function getHolder(func){return(hasOwnProperty.call(lodash,"placeholder")?lodash:func).placeholder;}function getIteratee(){var result=lodash.iteratee||iteratee;return result=result===iteratee?baseIteratee:result,arguments.length?result(arguments[0],arguments[1]):result;}function getMapData(map,key){var value,type,data=map.__data__;return("string"==(type=typeof(value=key))||"number"==type||"symbol"==type||"boolean"==type?"__proto__"!==value:null===value)?data["string"==typeof key?"string":"hash"]:data.map;}function getMatchData(object){for(var result=keys(object),length=result.length;length--;){var key=result[length],value=object[key];result[length]=[key,value,isStrictComparable(value)];}return result;}function getNative(object,key){var value=function(object,key){return null==object?undefined$1:object[key];}(object,key);return baseIsNative(value)?value:undefined$1;}var getSymbols=nativeGetSymbols?function(object){return null==object?[]:(object=Object(object),arrayFilter(nativeGetSymbols(object),function(symbol){return propertyIsEnumerable.call(object,symbol);}));}:stubArray,getSymbolsIn=nativeGetSymbols?function(object){for(var result=[];object;)arrayPush(result,getSymbols(object)),object=getPrototype(object);return result;}:stubArray,getTag=baseGetTag;function hasPath(object,path,hasFunc){for(var index=-1,length=(path=castPath(path,object)).length,result=!1;++index<length;){var key=toKey(path[index]);if(!(result=null!=object&&hasFunc(object,key)))break;object=object[key];}return result||++index!=length?result:!!(length=null==object?0:object.length)&&isLength(length)&&isIndex(key,length)&&(isArray(object)||isArguments(object));}function initCloneObject(object){return"function"!=typeof object.constructor||isPrototype(object)?{}:baseCreate(getPrototype(object));}function isFlattenable(value){return isArray(value)||isArguments(value)||!!(spreadableSymbol&&value&&value[spreadableSymbol]);}function isIndex(value,length){var type=typeof value;return!!(length=null==length?9007199254740991:length)&&("number"==type||"symbol"!=type&&reIsUint.test(value))&&value>-1&&value%1==0&&value<length;}function isIterateeCall(value,index,object){if(!isObject(object))return!1;var type=typeof index;return!!("number"==type?isArrayLike(object)&&isIndex(index,object.length):"string"==type&&index in object)&&eq(object[index],value);}function isKey(value,object){if(isArray(value))return!1;var type=typeof value;return!("number"!=type&&"symbol"!=type&&"boolean"!=type&&null!=value&&!isSymbol(value))||reIsPlainProp.test(value)||!reIsDeepProp.test(value)||null!=object&&value in Object(object);}function isLaziable(func){var funcName=getFuncName(func),other=lodash[funcName];if("function"!=typeof other||!(funcName in LazyWrapper.prototype))return!1;if(func===other)return!0;var data=getData(other);return!!data&&func===data[0];}(DataView&&getTag(new DataView(new ArrayBuffer(1)))!=dataViewTag||Map&&getTag(new Map())!=mapTag||Promise&&"[object Promise]"!=getTag(Promise.resolve())||Set&&getTag(new Set())!=setTag||WeakMap&&getTag(new WeakMap())!=weakMapTag)&&(getTag=function(value){var result=baseGetTag(value),Ctor=result==objectTag?value.constructor:undefined$1,ctorString=Ctor?toSource(Ctor):"";if(ctorString)switch(ctorString){case dataViewCtorString:return dataViewTag;case mapCtorString:return mapTag;case promiseCtorString:return"[object Promise]";case setCtorString:return setTag;case weakMapCtorString:return weakMapTag;}return result;});var isMaskable=coreJsData?isFunction:stubFalse;function isPrototype(value){var Ctor=value&&value.constructor;return value===("function"==typeof Ctor&&Ctor.prototype||objectProto);}function isStrictComparable(value){return value==value&&!isObject(value);}function matchesStrictComparable(key,srcValue){return function(object){return null!=object&&object[key]===srcValue&&(srcValue!==undefined$1||key in Object(object));};}function overRest(func,start,transform){return start=nativeMax(start===undefined$1?func.length-1:start,0),function(){for(var args=arguments,index=-1,length=nativeMax(args.length-start,0),array=Array(length);++index<length;)array[index]=args[start+index];index=-1;for(var otherArgs=Array(start+1);++index<start;)otherArgs[index]=args[index];return otherArgs[start]=transform(array),apply(func,this,otherArgs);};}function parent(object,path){return path.length<2?object:baseGet(object,baseSlice(path,0,-1));}function safeGet(object,key){if(("constructor"!==key||"function"!=typeof object[key])&&"__proto__"!=key)return object[key];}var setData=shortOut(baseSetData),setTimeout=ctxSetTimeout||function(func,wait){return root.setTimeout(func,wait);},setToString=shortOut(baseSetToString);function setWrapToString(wrapper,reference,bitmask){var source=reference+"";return setToString(wrapper,function(source,details){var length=details.length;if(!length)return source;var lastIndex=length-1;return details[lastIndex]=(length>1?"& ":"")+details[lastIndex],details=details.join(length>2?", ":" "),source.replace(reWrapComment,"{\n/* [wrapped with "+details+"] */\n");}(source,function(details,bitmask){return arrayEach(wrapFlags,function(pair){var value="_."+pair[0];bitmask&pair[1]&&!arrayIncludes(details,value)&&details.push(value);}),details.sort();}(function(source){var match=source.match(reWrapDetails);return match?match[1].split(reSplitDetails):[];}(source),bitmask)));}function shortOut(func){var count=0,lastCalled=0;return function(){var stamp=nativeNow(),remaining=16-(stamp-lastCalled);if(lastCalled=stamp,remaining>0){if(++count>=800)return arguments[0];}else count=0;return func.apply(undefined$1,arguments);};}function shuffleSelf(array,size){var index=-1,length=array.length,lastIndex=length-1;for(size=size===undefined$1?length:size;++index<size;){var rand=baseRandom(index,lastIndex),value=array[rand];array[rand]=array[index],array[index]=value;}return array.length=size,array;}var stringToPath=function(func){var result=memoize(func,function(key){return 500===cache.size&&cache.clear(),key;}),cache=result.cache;return result;}(function(string){var result=[];return 46===string.charCodeAt(0)&&result.push(""),string.replace(rePropName,function(match,number,quote,subString){result.push(quote?subString.replace(reEscapeChar,"$1"):number||match);}),result;});function toKey(value){if("string"==typeof value||isSymbol(value))return value;var result=value+"";return"0"==result&&1/value==-Infinity?"-0":result;}function toSource(func){if(null!=func){try{return funcToString.call(func);}catch(e){}try{return func+"";}catch(e){}}return"";}function wrapperClone(wrapper){if(wrapper instanceof LazyWrapper)return wrapper.clone();var result=new LodashWrapper(wrapper.__wrapped__,wrapper.__chain__);return result.__actions__=copyArray(wrapper.__actions__),result.__index__=wrapper.__index__,result.__values__=wrapper.__values__,result;}var difference=baseRest(function(array,values){return isArrayLikeObject(array)?baseDifference(array,baseFlatten(values,1,isArrayLikeObject,!0)):[];}),differenceBy=baseRest(function(array,values){var iteratee=last(values);return isArrayLikeObject(iteratee)&&(iteratee=undefined$1),isArrayLikeObject(array)?baseDifference(array,baseFlatten(values,1,isArrayLikeObject,!0),getIteratee(iteratee,2)):[];}),differenceWith=baseRest(function(array,values){var comparator=last(values);return isArrayLikeObject(comparator)&&(comparator=undefined$1),isArrayLikeObject(array)?baseDifference(array,baseFlatten(values,1,isArrayLikeObject,!0),undefined$1,comparator):[];});function findIndex(array,predicate,fromIndex){var length=null==array?0:array.length;if(!length)return-1;var index=null==fromIndex?0:toInteger(fromIndex);return index<0&&(index=nativeMax(length+index,0)),baseFindIndex(array,getIteratee(predicate,3),index);}function findLastIndex(array,predicate,fromIndex){var length=null==array?0:array.length;if(!length)return-1;var index=length-1;return fromIndex!==undefined$1&&(index=toInteger(fromIndex),index=fromIndex<0?nativeMax(length+index,0):nativeMin(index,length-1)),baseFindIndex(array,getIteratee(predicate,3),index,!0);}function flatten(array){return(null==array?0:array.length)?baseFlatten(array,1):[];}function head(array){return array&&array.length?array[0]:undefined$1;}var intersection=baseRest(function(arrays){var mapped=arrayMap(arrays,castArrayLikeObject);return mapped.length&&mapped[0]===arrays[0]?baseIntersection(mapped):[];}),intersectionBy=baseRest(function(arrays){var iteratee=last(arrays),mapped=arrayMap(arrays,castArrayLikeObject);return iteratee===last(mapped)?iteratee=undefined$1:mapped.pop(),mapped.length&&mapped[0]===arrays[0]?baseIntersection(mapped,getIteratee(iteratee,2)):[];}),intersectionWith=baseRest(function(arrays){var comparator=last(arrays),mapped=arrayMap(arrays,castArrayLikeObject);return(comparator="function"==typeof comparator?comparator:undefined$1)&&mapped.pop(),mapped.length&&mapped[0]===arrays[0]?baseIntersection(mapped,undefined$1,comparator):[];});function last(array){var length=null==array?0:array.length;return length?array[length-1]:undefined$1;}var pull=baseRest(pullAll);function pullAll(array,values){return array&&array.length&&values&&values.length?basePullAll(array,values):array;}var pullAt=flatRest(function(array,indexes){var length=null==array?0:array.length,result=baseAt(array,indexes);return basePullAt(array,arrayMap(indexes,function(index){return isIndex(index,length)?+index:index;}).sort(compareAscending)),result;});function reverse(array){return null==array?array:nativeReverse.call(array);}var union=baseRest(function(arrays){return baseUniq(baseFlatten(arrays,1,isArrayLikeObject,!0));}),unionBy=baseRest(function(arrays){var iteratee=last(arrays);return isArrayLikeObject(iteratee)&&(iteratee=undefined$1),baseUniq(baseFlatten(arrays,1,isArrayLikeObject,!0),getIteratee(iteratee,2));}),unionWith=baseRest(function(arrays){var comparator=last(arrays);return comparator="function"==typeof comparator?comparator:undefined$1,baseUniq(baseFlatten(arrays,1,isArrayLikeObject,!0),undefined$1,comparator);});function unzip(array){if(!array||!array.length)return[];var length=0;return array=arrayFilter(array,function(group){if(isArrayLikeObject(group))return length=nativeMax(group.length,length),!0;}),baseTimes(length,function(index){return arrayMap(array,baseProperty(index));});}function unzipWith(array,iteratee){if(!array||!array.length)return[];var result=unzip(array);return null==iteratee?result:arrayMap(result,function(group){return apply(iteratee,undefined$1,group);});}var without=baseRest(function(array,values){return isArrayLikeObject(array)?baseDifference(array,values):[];}),xor=baseRest(function(arrays){return baseXor(arrayFilter(arrays,isArrayLikeObject));}),xorBy=baseRest(function(arrays){var iteratee=last(arrays);return isArrayLikeObject(iteratee)&&(iteratee=undefined$1),baseXor(arrayFilter(arrays,isArrayLikeObject),getIteratee(iteratee,2));}),xorWith=baseRest(function(arrays){var comparator=last(arrays);return comparator="function"==typeof comparator?comparator:undefined$1,baseXor(arrayFilter(arrays,isArrayLikeObject),undefined$1,comparator);}),zip=baseRest(unzip);var zipWith=baseRest(function(arrays){var length=arrays.length,iteratee=length>1?arrays[length-1]:undefined$1;return iteratee="function"==typeof iteratee?(arrays.pop(),iteratee):undefined$1,unzipWith(arrays,iteratee);});function chain(value){var result=lodash(value);return result.__chain__=!0,result;}function thru(value,interceptor){return interceptor(value);}var wrapperAt=flatRest(function(paths){var length=paths.length,start=length?paths[0]:0,value=this.__wrapped__,interceptor=function(object){return baseAt(object,paths);};return!(length>1||this.__actions__.length)&&value instanceof LazyWrapper&&isIndex(start)?((value=value.slice(start,+start+(length?1:0))).__actions__.push({func:thru,args:[interceptor],thisArg:undefined$1}),new LodashWrapper(value,this.__chain__).thru(function(array){return length&&!array.length&&array.push(undefined$1),array;})):this.thru(interceptor);});var countBy=createAggregator(function(result,value,key){hasOwnProperty.call(result,key)?++result[key]:baseAssignValue(result,key,1);});var find=createFind(findIndex),findLast=createFind(findLastIndex);function forEach(collection,iteratee){return(isArray(collection)?arrayEach:baseEach)(collection,getIteratee(iteratee,3));}function forEachRight(collection,iteratee){return(isArray(collection)?arrayEachRight:baseEachRight)(collection,getIteratee(iteratee,3));}var groupBy=createAggregator(function(result,value,key){hasOwnProperty.call(result,key)?result[key].push(value):baseAssignValue(result,key,[value]);});var invokeMap=baseRest(function(collection,path,args){var index=-1,isFunc="function"==typeof path,result=isArrayLike(collection)?Array(collection.length):[];return baseEach(collection,function(value){result[++index]=isFunc?apply(path,value,args):baseInvoke(value,path,args);}),result;}),keyBy=createAggregator(function(result,value,key){baseAssignValue(result,key,value);});function map(collection,iteratee){return(isArray(collection)?arrayMap:baseMap)(collection,getIteratee(iteratee,3));}var partition=createAggregator(function(result,value,key){result[key?0:1].push(value);},function(){return[[],[]];});var sortBy=baseRest(function(collection,iteratees){if(null==collection)return[];var length=iteratees.length;return length>1&&isIterateeCall(collection,iteratees[0],iteratees[1])?iteratees=[]:length>2&&isIterateeCall(iteratees[0],iteratees[1],iteratees[2])&&(iteratees=[iteratees[0]]),baseOrderBy(collection,baseFlatten(iteratees,1),[]);}),now=ctxNow||function(){return root.Date.now();};function ary(func,n,guard){return n=guard?undefined$1:n,n=func&&null==n?func.length:n,createWrap(func,128,undefined$1,undefined$1,undefined$1,undefined$1,n);}function before(n,func){var result;if("function"!=typeof func)throw new TypeError(FUNC_ERROR_TEXT);return n=toInteger(n),function(){return--n>0&&(result=func.apply(this,arguments)),n<=1&&(func=undefined$1),result;};}var bind=baseRest(function(func,thisArg,partials){var bitmask=1;if(partials.length){var holders=replaceHolders(partials,getHolder(bind));bitmask|=32;}return createWrap(func,bitmask,thisArg,partials,holders);}),bindKey=baseRest(function(object,key,partials){var bitmask=3;if(partials.length){var holders=replaceHolders(partials,getHolder(bindKey));bitmask|=32;}return createWrap(key,bitmask,object,partials,holders);});function debounce(func,wait,options){var lastArgs,lastThis,maxWait,result,timerId,lastCallTime,lastInvokeTime=0,leading=!1,maxing=!1,trailing=!0;if("function"!=typeof func)throw new TypeError(FUNC_ERROR_TEXT);function invokeFunc(time){var args=lastArgs,thisArg=lastThis;return lastArgs=lastThis=undefined$1,lastInvokeTime=time,result=func.apply(thisArg,args);}function shouldInvoke(time){var timeSinceLastCall=time-lastCallTime;return lastCallTime===undefined$1||timeSinceLastCall>=wait||timeSinceLastCall<0||maxing&&time-lastInvokeTime>=maxWait;}function timerExpired(){var time=now();if(shouldInvoke(time))return trailingEdge(time);timerId=setTimeout(timerExpired,function(time){var timeWaiting=wait-(time-lastCallTime);return maxing?nativeMin(timeWaiting,maxWait-(time-lastInvokeTime)):timeWaiting;}(time));}function trailingEdge(time){return timerId=undefined$1,trailing&&lastArgs?invokeFunc(time):(lastArgs=lastThis=undefined$1,result);}function debounced(){var time=now(),isInvoking=shouldInvoke(time);if(lastArgs=arguments,lastThis=this,lastCallTime=time,isInvoking){if(timerId===undefined$1)return function(time){return lastInvokeTime=time,timerId=setTimeout(timerExpired,wait),leading?invokeFunc(time):result;}(lastCallTime);if(maxing)return clearTimeout(timerId),timerId=setTimeout(timerExpired,wait),invokeFunc(lastCallTime);}return timerId===undefined$1&&(timerId=setTimeout(timerExpired,wait)),result;}return wait=toNumber(wait)||0,isObject(options)&&(leading=!!options.leading,maxWait=(maxing="maxWait"in options)?nativeMax(toNumber(options.maxWait)||0,wait):maxWait,trailing="trailing"in options?!!options.trailing:trailing),debounced.cancel=function(){timerId!==undefined$1&&clearTimeout(timerId),lastInvokeTime=0,lastArgs=lastCallTime=lastThis=timerId=undefined$1;},debounced.flush=function(){return timerId===undefined$1?result:trailingEdge(now());},debounced;}var defer=baseRest(function(func,args){return baseDelay(func,1,args);}),delay=baseRest(function(func,wait,args){return baseDelay(func,toNumber(wait)||0,args);});function memoize(func,resolver){if("function"!=typeof func||null!=resolver&&"function"!=typeof resolver)throw new TypeError(FUNC_ERROR_TEXT);var memoized=function(){var args=arguments,key=resolver?resolver.apply(this,args):args[0],cache=memoized.cache;if(cache.has(key))return cache.get(key);var result=func.apply(this,args);return memoized.cache=cache.set(key,result)||cache,result;};return memoized.cache=new(memoize.Cache||MapCache)(),memoized;}function negate(predicate){if("function"!=typeof predicate)throw new TypeError(FUNC_ERROR_TEXT);return function(){var args=arguments;switch(args.length){case 0:return!predicate.call(this);case 1:return!predicate.call(this,args[0]);case 2:return!predicate.call(this,args[0],args[1]);case 3:return!predicate.call(this,args[0],args[1],args[2]);}return!predicate.apply(this,args);};}memoize.Cache=MapCache;var overArgs=castRest(function(func,transforms){var funcsLength=(transforms=1==transforms.length&&isArray(transforms[0])?arrayMap(transforms[0],baseUnary(getIteratee())):arrayMap(baseFlatten(transforms,1),baseUnary(getIteratee()))).length;return baseRest(function(args){for(var index=-1,length=nativeMin(args.length,funcsLength);++index<length;)args[index]=transforms[index].call(this,args[index]);return apply(func,this,args);});}),partial=baseRest(function(func,partials){var holders=replaceHolders(partials,getHolder(partial));return createWrap(func,32,undefined$1,partials,holders);}),partialRight=baseRest(function(func,partials){var holders=replaceHolders(partials,getHolder(partialRight));return createWrap(func,64,undefined$1,partials,holders);}),rearg=flatRest(function(func,indexes){return createWrap(func,256,undefined$1,undefined$1,undefined$1,indexes);});function eq(value,other){return value===other||value!=value&&other!=other;}var gt=createRelationalOperation(baseGt),gte=createRelationalOperation(function(value,other){return value>=other;}),isArguments=baseIsArguments(function(){return arguments;}())?baseIsArguments:function(value){return isObjectLike(value)&&hasOwnProperty.call(value,"callee")&&!propertyIsEnumerable.call(value,"callee");},isArray=Array.isArray,isArrayBuffer=nodeIsArrayBuffer?baseUnary(nodeIsArrayBuffer):function(value){return isObjectLike(value)&&baseGetTag(value)==arrayBufferTag;};function isArrayLike(value){return null!=value&&isLength(value.length)&&!isFunction(value);}function isArrayLikeObject(value){return isObjectLike(value)&&isArrayLike(value);}var isBuffer=nativeIsBuffer||stubFalse,isDate=nodeIsDate?baseUnary(nodeIsDate):function(value){return isObjectLike(value)&&baseGetTag(value)==dateTag;};function isError(value){if(!isObjectLike(value))return!1;var tag=baseGetTag(value);return tag==errorTag||"[object DOMException]"==tag||"string"==typeof value.message&&"string"==typeof value.name&&!isPlainObject(value);}function isFunction(value){if(!isObject(value))return!1;var tag=baseGetTag(value);return tag==funcTag||tag==genTag||"[object AsyncFunction]"==tag||"[object Proxy]"==tag;}function isInteger(value){return"number"==typeof value&&value==toInteger(value);}function isLength(value){return"number"==typeof value&&value>-1&&value%1==0&&value<=9007199254740991;}function isObject(value){var type=typeof value;return null!=value&&("object"==type||"function"==type);}function isObjectLike(value){return null!=value&&"object"==typeof value;}var isMap=nodeIsMap?baseUnary(nodeIsMap):function(value){return isObjectLike(value)&&getTag(value)==mapTag;};function isNumber(value){return"number"==typeof value||isObjectLike(value)&&baseGetTag(value)==numberTag;}function isPlainObject(value){if(!isObjectLike(value)||baseGetTag(value)!=objectTag)return!1;var proto=getPrototype(value);if(null===proto)return!0;var Ctor=hasOwnProperty.call(proto,"constructor")&&proto.constructor;return"function"==typeof Ctor&&Ctor instanceof Ctor&&funcToString.call(Ctor)==objectCtorString;}var isRegExp=nodeIsRegExp?baseUnary(nodeIsRegExp):function(value){return isObjectLike(value)&&baseGetTag(value)==regexpTag;};var isSet=nodeIsSet?baseUnary(nodeIsSet):function(value){return isObjectLike(value)&&getTag(value)==setTag;};function isString(value){return"string"==typeof value||!isArray(value)&&isObjectLike(value)&&baseGetTag(value)==stringTag;}function isSymbol(value){return"symbol"==typeof value||isObjectLike(value)&&baseGetTag(value)==symbolTag;}var isTypedArray=nodeIsTypedArray?baseUnary(nodeIsTypedArray):function(value){return isObjectLike(value)&&isLength(value.length)&&!!typedArrayTags[baseGetTag(value)];};var lt=createRelationalOperation(baseLt),lte=createRelationalOperation(function(value,other){return value<=other;});function toArray(value){if(!value)return[];if(isArrayLike(value))return isString(value)?stringToArray(value):copyArray(value);if(symIterator&&value[symIterator])return function(iterator){for(var data,result=[];!(data=iterator.next()).done;)result.push(data.value);return result;}(value[symIterator]());var tag=getTag(value);return(tag==mapTag?mapToArray:tag==setTag?setToArray:values)(value);}function toFinite(value){return value?Infinity===(value=toNumber(value))||-Infinity===value?17976931348623157e292*(value<0?-1:1):value==value?value:0:0===value?value:0;}function toInteger(value){var result=toFinite(value),remainder=result%1;return result==result?remainder?result-remainder:result:0;}function toLength(value){return value?baseClamp(toInteger(value),0,4294967295):0;}function toNumber(value){if("number"==typeof value)return value;if(isSymbol(value))return NaN;if(isObject(value)){var other="function"==typeof value.valueOf?value.valueOf():value;value=isObject(other)?other+"":other;}if("string"!=typeof value)return 0===value?value:+value;value=baseTrim(value);var isBinary=reIsBinary.test(value);return isBinary||reIsOctal.test(value)?freeParseInt(value.slice(2),isBinary?2:8):reIsBadHex.test(value)?NaN:+value;}function toPlainObject(value){return copyObject(value,keysIn(value));}function toString(value){return null==value?"":baseToString(value);}var assign=createAssigner(function(object,source){if(isPrototype(source)||isArrayLike(source))copyObject(source,keys(source),object);else for(var key in source)hasOwnProperty.call(source,key)&&assignValue(object,key,source[key]);}),assignIn=createAssigner(function(object,source){copyObject(source,keysIn(source),object);}),assignInWith=createAssigner(function(object,source,srcIndex,customizer){copyObject(source,keysIn(source),object,customizer);}),assignWith=createAssigner(function(object,source,srcIndex,customizer){copyObject(source,keys(source),object,customizer);}),at=flatRest(baseAt);var defaults=baseRest(function(object,sources){object=Object(object);var index=-1,length=sources.length,guard=length>2?sources[2]:undefined$1;for(guard&&isIterateeCall(sources[0],sources[1],guard)&&(length=1);++index<length;)for(var source=sources[index],props=keysIn(source),propsIndex=-1,propsLength=props.length;++propsIndex<propsLength;){var key=props[propsIndex],value=object[key];(value===undefined$1||eq(value,objectProto[key])&&!hasOwnProperty.call(object,key))&&(object[key]=source[key]);}return object;}),defaultsDeep=baseRest(function(args){return args.push(undefined$1,customDefaultsMerge),apply(mergeWith,undefined$1,args);});function get(object,path,defaultValue){var result=null==object?undefined$1:baseGet(object,path);return result===undefined$1?defaultValue:result;}function hasIn(object,path){return null!=object&&hasPath(object,path,baseHasIn);}var invert=createInverter(function(result,value,key){null!=value&&"function"!=typeof value.toString&&(value=nativeObjectToString.call(value)),result[value]=key;},constant(identity)),invertBy=createInverter(function(result,value,key){null!=value&&"function"!=typeof value.toString&&(value=nativeObjectToString.call(value)),hasOwnProperty.call(result,value)?result[value].push(key):result[value]=[key];},getIteratee),invoke=baseRest(baseInvoke);function keys(object){return isArrayLike(object)?arrayLikeKeys(object):baseKeys(object);}function keysIn(object){return isArrayLike(object)?arrayLikeKeys(object,!0):baseKeysIn(object);}var merge=createAssigner(function(object,source,srcIndex){baseMerge(object,source,srcIndex);}),mergeWith=createAssigner(function(object,source,srcIndex,customizer){baseMerge(object,source,srcIndex,customizer);}),omit=flatRest(function(object,paths){var result={};if(null==object)return result;var isDeep=!1;paths=arrayMap(paths,function(path){return path=castPath(path,object),isDeep||(isDeep=path.length>1),path;}),copyObject(object,getAllKeysIn(object),result),isDeep&&(result=baseClone(result,7,customOmitClone));for(var length=paths.length;length--;)baseUnset(result,paths[length]);return result;});var pick=flatRest(function(object,paths){return null==object?{}:function(object,paths){return basePickBy(object,paths,function(value,path){return hasIn(object,path);});}(object,paths);});function pickBy(object,predicate){if(null==object)return{};var props=arrayMap(getAllKeysIn(object),function(prop){return[prop];});return predicate=getIteratee(predicate),basePickBy(object,props,function(value,path){return predicate(value,path[0]);});}var toPairs=createToPairs(keys),toPairsIn=createToPairs(keysIn);function values(object){return null==object?[]:baseValues(object,keys(object));}var camelCase=createCompounder(function(result,word,index){return word=word.toLowerCase(),result+(index?capitalize(word):word);});function capitalize(string){return upperFirst(toString(string).toLowerCase());}function deburr(string){return(string=toString(string))&&string.replace(reLatin,deburrLetter).replace(reComboMark,"");}var kebabCase=createCompounder(function(result,word,index){return result+(index?"-":"")+word.toLowerCase();}),lowerCase=createCompounder(function(result,word,index){return result+(index?" ":"")+word.toLowerCase();}),lowerFirst=createCaseFirst("toLowerCase");var snakeCase=createCompounder(function(result,word,index){return result+(index?"_":"")+word.toLowerCase();});var startCase=createCompounder(function(result,word,index){return result+(index?" ":"")+upperFirst(word);});var upperCase=createCompounder(function(result,word,index){return result+(index?" ":"")+word.toUpperCase();}),upperFirst=createCaseFirst("toUpperCase");function words(string,pattern,guard){return string=toString(string),(pattern=guard?undefined$1:pattern)===undefined$1?function(string){return reHasUnicodeWord.test(string);}(string)?function(string){return string.match(reUnicodeWord)||[];}(string):function(string){return string.match(reAsciiWord)||[];}(string):string.match(pattern)||[];}var attempt=baseRest(function(func,args){try{return apply(func,undefined$1,args);}catch(e){return isError(e)?e:new Error(e);}}),bindAll=flatRest(function(object,methodNames){return arrayEach(methodNames,function(key){key=toKey(key),baseAssignValue(object,key,bind(object[key],object));}),object;});function constant(value){return function(){return value;};}var flow=createFlow(),flowRight=createFlow(!0);function identity(value){return value;}function iteratee(func){return baseIteratee("function"==typeof func?func:baseClone(func,1));}var method=baseRest(function(path,args){return function(object){return baseInvoke(object,path,args);};}),methodOf=baseRest(function(object,args){return function(path){return baseInvoke(object,path,args);};});function mixin(object,source,options){var props=keys(source),methodNames=baseFunctions(source,props);null!=options||isObject(source)&&(methodNames.length||!props.length)||(options=source,source=object,object=this,methodNames=baseFunctions(source,keys(source)));var chain=!(isObject(options)&&"chain"in options&&!options.chain),isFunc=isFunction(object);return arrayEach(methodNames,function(methodName){var func=source[methodName];object[methodName]=func,isFunc&&(object.prototype[methodName]=function(){var chainAll=this.__chain__;if(chain||chainAll){var result=object(this.__wrapped__);return(result.__actions__=copyArray(this.__actions__)).push({func:func,args:arguments,thisArg:object}),result.__chain__=chainAll,result;}return func.apply(object,arrayPush([this.value()],arguments));});}),object;}function noop(){}var over=createOver(arrayMap),overEvery=createOver(arrayEvery),overSome=createOver(arraySome);function property(path){return isKey(path)?baseProperty(toKey(path)):function(path){return function(object){return baseGet(object,path);};}(path);}var range=createRange(),rangeRight=createRange(!0);function stubArray(){return[];}function stubFalse(){return!1;}var add=createMathOperation(function(augend,addend){return augend+addend;},0),ceil=createRound("ceil"),divide=createMathOperation(function(dividend,divisor){return dividend/divisor;},1),floor=createRound("floor");var source,multiply=createMathOperation(function(multiplier,multiplicand){return multiplier*multiplicand;},1),round=createRound("round"),subtract=createMathOperation(function(minuend,subtrahend){return minuend-subtrahend;},0);return lodash.after=function(n,func){if("function"!=typeof func)throw new TypeError(FUNC_ERROR_TEXT);return n=toInteger(n),function(){if(--n<1)return func.apply(this,arguments);};},lodash.ary=ary,lodash.assign=assign,lodash.assignIn=assignIn,lodash.assignInWith=assignInWith,lodash.assignWith=assignWith,lodash.at=at,lodash.before=before,lodash.bind=bind,lodash.bindAll=bindAll,lodash.bindKey=bindKey,lodash.castArray=function(){if(!arguments.length)return[];var value=arguments[0];return isArray(value)?value:[value];},lodash.chain=chain,lodash.chunk=function(array,size,guard){size=(guard?isIterateeCall(array,size,guard):size===undefined$1)?1:nativeMax(toInteger(size),0);var length=null==array?0:array.length;if(!length||size<1)return[];for(var index=0,resIndex=0,result=Array(nativeCeil(length/size));index<length;)result[resIndex++]=baseSlice(array,index,index+=size);return result;},lodash.compact=function(array){for(var index=-1,length=null==array?0:array.length,resIndex=0,result=[];++index<length;){var value=array[index];value&&(result[resIndex++]=value);}return result;},lodash.concat=function(){var length=arguments.length;if(!length)return[];for(var args=Array(length-1),array=arguments[0],index=length;index--;)args[index-1]=arguments[index];return arrayPush(isArray(array)?copyArray(array):[array],baseFlatten(args,1));},lodash.cond=function(pairs){var length=null==pairs?0:pairs.length,toIteratee=getIteratee();return pairs=length?arrayMap(pairs,function(pair){if("function"!=typeof pair[1])throw new TypeError(FUNC_ERROR_TEXT);return[toIteratee(pair[0]),pair[1]];}):[],baseRest(function(args){for(var index=-1;++index<length;){var pair=pairs[index];if(apply(pair[0],this,args))return apply(pair[1],this,args);}});},lodash.conforms=function(source){return function(source){var props=keys(source);return function(object){return baseConformsTo(object,source,props);};}(baseClone(source,1));},lodash.constant=constant,lodash.countBy=countBy,lodash.create=function(prototype,properties){var result=baseCreate(prototype);return null==properties?result:baseAssign(result,properties);},lodash.curry=function curry(func,arity,guard){var result=createWrap(func,8,undefined$1,undefined$1,undefined$1,undefined$1,undefined$1,arity=guard?undefined$1:arity);return result.placeholder=curry.placeholder,result;},lodash.curryRight=function curryRight(func,arity,guard){var result=createWrap(func,16,undefined$1,undefined$1,undefined$1,undefined$1,undefined$1,arity=guard?undefined$1:arity);return result.placeholder=curryRight.placeholder,result;},lodash.debounce=debounce,lodash.defaults=defaults,lodash.defaultsDeep=defaultsDeep,lodash.defer=defer,lodash.delay=delay,lodash.difference=difference,lodash.differenceBy=differenceBy,lodash.differenceWith=differenceWith,lodash.drop=function(array,n,guard){var length=null==array?0:array.length;return length?baseSlice(array,(n=guard||n===undefined$1?1:toInteger(n))<0?0:n,length):[];},lodash.dropRight=function(array,n,guard){var length=null==array?0:array.length;return length?baseSlice(array,0,(n=length-(n=guard||n===undefined$1?1:toInteger(n)))<0?0:n):[];},lodash.dropRightWhile=function(array,predicate){return array&&array.length?baseWhile(array,getIteratee(predicate,3),!0,!0):[];},lodash.dropWhile=function(array,predicate){return array&&array.length?baseWhile(array,getIteratee(predicate,3),!0):[];},lodash.fill=function(array,value,start,end){var length=null==array?0:array.length;return length?(start&&"number"!=typeof start&&isIterateeCall(array,value,start)&&(start=0,end=length),function(array,value,start,end){var length=array.length;for((start=toInteger(start))<0&&(start=-start>length?0:length+start),(end=end===undefined$1||end>length?length:toInteger(end))<0&&(end+=length),end=start>end?0:toLength(end);start<end;)array[start++]=value;return array;}(array,value,start,end)):[];},lodash.filter=function(collection,predicate){return(isArray(collection)?arrayFilter:baseFilter)(collection,getIteratee(predicate,3));},lodash.flatMap=function(collection,iteratee){return baseFlatten(map(collection,iteratee),1);},lodash.flatMapDeep=function(collection,iteratee){return baseFlatten(map(collection,iteratee),Infinity);},lodash.flatMapDepth=function(collection,iteratee,depth){return depth=depth===undefined$1?1:toInteger(depth),baseFlatten(map(collection,iteratee),depth);},lodash.flatten=flatten,lodash.flattenDeep=function(array){return(null==array?0:array.length)?baseFlatten(array,Infinity):[];},lodash.flattenDepth=function(array,depth){return(null==array?0:array.length)?baseFlatten(array,depth=depth===undefined$1?1:toInteger(depth)):[];},lodash.flip=function(func){return createWrap(func,512);},lodash.flow=flow,lodash.flowRight=flowRight,lodash.fromPairs=function(pairs){for(var index=-1,length=null==pairs?0:pairs.length,result={};++index<length;){var pair=pairs[index];result[pair[0]]=pair[1];}return result;},lodash.functions=function(object){return null==object?[]:baseFunctions(object,keys(object));},lodash.functionsIn=function(object){return null==object?[]:baseFunctions(object,keysIn(object));},lodash.groupBy=groupBy,lodash.initial=function(array){return(null==array?0:array.length)?baseSlice(array,0,-1):[];},lodash.intersection=intersection,lodash.intersectionBy=intersectionBy,lodash.intersectionWith=intersectionWith,lodash.invert=invert,lodash.invertBy=invertBy,lodash.invokeMap=invokeMap,lodash.iteratee=iteratee,lodash.keyBy=keyBy,lodash.keys=keys,lodash.keysIn=keysIn,lodash.map=map,lodash.mapKeys=function(object,iteratee){var result={};return iteratee=getIteratee(iteratee,3),baseForOwn(object,function(value,key,object){baseAssignValue(result,iteratee(value,key,object),value);}),result;},lodash.mapValues=function(object,iteratee){var result={};return iteratee=getIteratee(iteratee,3),baseForOwn(object,function(value,key,object){baseAssignValue(result,key,iteratee(value,key,object));}),result;},lodash.matches=function(source){return baseMatches(baseClone(source,1));},lodash.matchesProperty=function(path,srcValue){return baseMatchesProperty(path,baseClone(srcValue,1));},lodash.memoize=memoize,lodash.merge=merge,lodash.mergeWith=mergeWith,lodash.method=method,lodash.methodOf=methodOf,lodash.mixin=mixin,lodash.negate=negate,lodash.nthArg=function(n){return n=toInteger(n),baseRest(function(args){return baseNth(args,n);});},lodash.omit=omit,lodash.omitBy=function(object,predicate){return pickBy(object,negate(getIteratee(predicate)));},lodash.once=function(func){return before(2,func);},lodash.orderBy=function(collection,iteratees,orders,guard){return null==collection?[]:(isArray(iteratees)||(iteratees=null==iteratees?[]:[iteratees]),isArray(orders=guard?undefined$1:orders)||(orders=null==orders?[]:[orders]),baseOrderBy(collection,iteratees,orders));},lodash.over=over,lodash.overArgs=overArgs,lodash.overEvery=overEvery,lodash.overSome=overSome,lodash.partial=partial,lodash.partialRight=partialRight,lodash.partition=partition,lodash.pick=pick,lodash.pickBy=pickBy,lodash.property=property,lodash.propertyOf=function(object){return function(path){return null==object?undefined$1:baseGet(object,path);};},lodash.pull=pull,lodash.pullAll=pullAll,lodash.pullAllBy=function(array,values,iteratee){return array&&array.length&&values&&values.length?basePullAll(array,values,getIteratee(iteratee,2)):array;},lodash.pullAllWith=function(array,values,comparator){return array&&array.length&&values&&values.length?basePullAll(array,values,undefined$1,comparator):array;},lodash.pullAt=pullAt,lodash.range=range,lodash.rangeRight=rangeRight,lodash.rearg=rearg,lodash.reject=function(collection,predicate){return(isArray(collection)?arrayFilter:baseFilter)(collection,negate(getIteratee(predicate,3)));},lodash.remove=function(array,predicate){var result=[];if(!array||!array.length)return result;var index=-1,indexes=[],length=array.length;for(predicate=getIteratee(predicate,3);++index<length;){var value=array[index];predicate(value,index,array)&&(result.push(value),indexes.push(index));}return basePullAt(array,indexes),result;},lodash.rest=function(func,start){if("function"!=typeof func)throw new TypeError(FUNC_ERROR_TEXT);return baseRest(func,start=start===undefined$1?start:toInteger(start));},lodash.reverse=reverse,lodash.sampleSize=function(collection,n,guard){return n=(guard?isIterateeCall(collection,n,guard):n===undefined$1)?1:toInteger(n),(isArray(collection)?arraySampleSize:baseSampleSize)(collection,n);},lodash.set=function(object,path,value){return null==object?object:baseSet(object,path,value);},lodash.setWith=function(object,path,value,customizer){return customizer="function"==typeof customizer?customizer:undefined$1,null==object?object:baseSet(object,path,value,customizer);},lodash.shuffle=function(collection){return(isArray(collection)?arrayShuffle:baseShuffle)(collection);},lodash.slice=function(array,start,end){var length=null==array?0:array.length;return length?(end&&"number"!=typeof end&&isIterateeCall(array,start,end)?(start=0,end=length):(start=null==start?0:toInteger(start),end=end===undefined$1?length:toInteger(end)),baseSlice(array,start,end)):[];},lodash.sortBy=sortBy,lodash.sortedUniq=function(array){return array&&array.length?baseSortedUniq(array):[];},lodash.sortedUniqBy=function(array,iteratee){return array&&array.length?baseSortedUniq(array,getIteratee(iteratee,2)):[];},lodash.split=function(string,separator,limit){return limit&&"number"!=typeof limit&&isIterateeCall(string,separator,limit)&&(separator=limit=undefined$1),(limit=limit===undefined$1?4294967295:limit>>>0)?(string=toString(string))&&("string"==typeof separator||null!=separator&&!isRegExp(separator))&&!(separator=baseToString(separator))&&hasUnicode(string)?castSlice(stringToArray(string),0,limit):string.split(separator,limit):[];},lodash.spread=function(func,start){if("function"!=typeof func)throw new TypeError(FUNC_ERROR_TEXT);return start=null==start?0:nativeMax(toInteger(start),0),baseRest(function(args){var array=args[start],otherArgs=castSlice(args,0,start);return array&&arrayPush(otherArgs,array),apply(func,this,otherArgs);});},lodash.tail=function(array){var length=null==array?0:array.length;return length?baseSlice(array,1,length):[];},lodash.take=function(array,n,guard){return array&&array.length?baseSlice(array,0,(n=guard||n===undefined$1?1:toInteger(n))<0?0:n):[];},lodash.takeRight=function(array,n,guard){var length=null==array?0:array.length;return length?baseSlice(array,(n=length-(n=guard||n===undefined$1?1:toInteger(n)))<0?0:n,length):[];},lodash.takeRightWhile=function(array,predicate){return array&&array.length?baseWhile(array,getIteratee(predicate,3),!1,!0):[];},lodash.takeWhile=function(array,predicate){return array&&array.length?baseWhile(array,getIteratee(predicate,3)):[];},lodash.tap=function(value,interceptor){return interceptor(value),value;},lodash.throttle=function(func,wait,options){var leading=!0,trailing=!0;if("function"!=typeof func)throw new TypeError(FUNC_ERROR_TEXT);return isObject(options)&&(leading="leading"in options?!!options.leading:leading,trailing="trailing"in options?!!options.trailing:trailing),debounce(func,wait,{leading:leading,maxWait:wait,trailing:trailing});},lodash.thru=thru,lodash.toArray=toArray,lodash.toPairs=toPairs,lodash.toPairsIn=toPairsIn,lodash.toPath=function(value){return isArray(value)?arrayMap(value,toKey):isSymbol(value)?[value]:copyArray(stringToPath(toString(value)));},lodash.toPlainObject=toPlainObject,lodash.transform=function(object,iteratee,accumulator){var isArr=isArray(object),isArrLike=isArr||isBuffer(object)||isTypedArray(object);if(iteratee=getIteratee(iteratee,4),null==accumulator){var Ctor=object&&object.constructor;accumulator=isArrLike?isArr?new Ctor():[]:isObject(object)&&isFunction(Ctor)?baseCreate(getPrototype(object)):{};}return(isArrLike?arrayEach:baseForOwn)(object,function(value,index,object){return iteratee(accumulator,value,index,object);}),accumulator;},lodash.unary=function(func){return ary(func,1);},lodash.union=union,lodash.unionBy=unionBy,lodash.unionWith=unionWith,lodash.uniq=function(array){return array&&array.length?baseUniq(array):[];},lodash.uniqBy=function(array,iteratee){return array&&array.length?baseUniq(array,getIteratee(iteratee,2)):[];},lodash.uniqWith=function(array,comparator){return comparator="function"==typeof comparator?comparator:undefined$1,array&&array.length?baseUniq(array,undefined$1,comparator):[];},lodash.unset=function(object,path){return null==object||baseUnset(object,path);},lodash.unzip=unzip,lodash.unzipWith=unzipWith,lodash.update=function(object,path,updater){return null==object?object:baseUpdate(object,path,castFunction(updater));},lodash.updateWith=function(object,path,updater,customizer){return customizer="function"==typeof customizer?customizer:undefined$1,null==object?object:baseUpdate(object,path,castFunction(updater),customizer);},lodash.values=values,lodash.valuesIn=function(object){return null==object?[]:baseValues(object,keysIn(object));},lodash.without=without,lodash.words=words,lodash.wrap=function(value,wrapper){return partial(castFunction(wrapper),value);},lodash.xor=xor,lodash.xorBy=xorBy,lodash.xorWith=xorWith,lodash.zip=zip,lodash.zipObject=function(props,values){return baseZipObject(props||[],values||[],assignValue);},lodash.zipObjectDeep=function(props,values){return baseZipObject(props||[],values||[],baseSet);},lodash.zipWith=zipWith,lodash.entries=toPairs,lodash.entriesIn=toPairsIn,lodash.extend=assignIn,lodash.extendWith=assignInWith,mixin(lodash,lodash),lodash.add=add,lodash.attempt=attempt,lodash.camelCase=camelCase,lodash.capitalize=capitalize,lodash.ceil=ceil,lodash.clamp=function(number,lower,upper){return upper===undefined$1&&(upper=lower,lower=undefined$1),upper!==undefined$1&&(upper=(upper=toNumber(upper))==upper?upper:0),lower!==undefined$1&&(lower=(lower=toNumber(lower))==lower?lower:0),baseClamp(toNumber(number),lower,upper);},lodash.clone=function(value){return baseClone(value,4);},lodash.cloneDeep=function(value){return baseClone(value,5);},lodash.cloneDeepWith=function(value,customizer){return baseClone(value,5,customizer="function"==typeof customizer?customizer:undefined$1);},lodash.cloneWith=function(value,customizer){return baseClone(value,4,customizer="function"==typeof customizer?customizer:undefined$1);},lodash.conformsTo=function(object,source){return null==source||baseConformsTo(object,source,keys(source));},lodash.deburr=deburr,lodash.defaultTo=function(value,defaultValue){return null==value||value!=value?defaultValue:value;},lodash.divide=divide,lodash.endsWith=function(string,target,position){string=toString(string),target=baseToString(target);var length=string.length,end=position=position===undefined$1?length:baseClamp(toInteger(position),0,length);return(position-=target.length)>=0&&string.slice(position,end)==target;},lodash.eq=eq,lodash.escape=function(string){return(string=toString(string))&&reHasUnescapedHtml.test(string)?string.replace(reUnescapedHtml,escapeHtmlChar):string;},lodash.escapeRegExp=function(string){return(string=toString(string))&&reHasRegExpChar.test(string)?string.replace(reRegExpChar,"\\$&"):string;},lodash.every=function(collection,predicate,guard){var func=isArray(collection)?arrayEvery:baseEvery;return guard&&isIterateeCall(collection,predicate,guard)&&(predicate=undefined$1),func(collection,getIteratee(predicate,3));},lodash.find=find,lodash.findIndex=findIndex,lodash.findKey=function(object,predicate){return baseFindKey(object,getIteratee(predicate,3),baseForOwn);},lodash.findLast=findLast,lodash.findLastIndex=findLastIndex,lodash.findLastKey=function(object,predicate){return baseFindKey(object,getIteratee(predicate,3),baseForOwnRight);},lodash.floor=floor,lodash.forEach=forEach,lodash.forEachRight=forEachRight,lodash.forIn=function(object,iteratee){return null==object?object:baseFor(object,getIteratee(iteratee,3),keysIn);},lodash.forInRight=function(object,iteratee){return null==object?object:baseForRight(object,getIteratee(iteratee,3),keysIn);},lodash.forOwn=function(object,iteratee){return object&&baseForOwn(object,getIteratee(iteratee,3));},lodash.forOwnRight=function(object,iteratee){return object&&baseForOwnRight(object,getIteratee(iteratee,3));},lodash.get=get,lodash.gt=gt,lodash.gte=gte,lodash.has=function(object,path){return null!=object&&hasPath(object,path,baseHas);},lodash.hasIn=hasIn,lodash.head=head,lodash.identity=identity,lodash.includes=function(collection,value,fromIndex,guard){collection=isArrayLike(collection)?collection:values(collection),fromIndex=fromIndex&&!guard?toInteger(fromIndex):0;var length=collection.length;return fromIndex<0&&(fromIndex=nativeMax(length+fromIndex,0)),isString(collection)?fromIndex<=length&&collection.indexOf(value,fromIndex)>-1:!!length&&baseIndexOf(collection,value,fromIndex)>-1;},lodash.indexOf=function(array,value,fromIndex){var length=null==array?0:array.length;if(!length)return-1;var index=null==fromIndex?0:toInteger(fromIndex);return index<0&&(index=nativeMax(length+index,0)),baseIndexOf(array,value,index);},lodash.inRange=function(number,start,end){return start=toFinite(start),end===undefined$1?(end=start,start=0):end=toFinite(end),function(number,start,end){return number>=nativeMin(start,end)&&number<nativeMax(start,end);}(number=toNumber(number),start,end);},lodash.invoke=invoke,lodash.isArguments=isArguments,lodash.isArray=isArray,lodash.isArrayBuffer=isArrayBuffer,lodash.isArrayLike=isArrayLike,lodash.isArrayLikeObject=isArrayLikeObject,lodash.isBoolean=function(value){return!0===value||!1===value||isObjectLike(value)&&baseGetTag(value)==boolTag;},lodash.isBuffer=isBuffer,lodash.isDate=isDate,lodash.isElement=function(value){return isObjectLike(value)&&1===value.nodeType&&!isPlainObject(value);},lodash.isEmpty=function(value){if(null==value)return!0;if(isArrayLike(value)&&(isArray(value)||"string"==typeof value||"function"==typeof value.splice||isBuffer(value)||isTypedArray(value)||isArguments(value)))return!value.length;var tag=getTag(value);if(tag==mapTag||tag==setTag)return!value.size;if(isPrototype(value))return!baseKeys(value).length;for(var key in value)if(hasOwnProperty.call(value,key))return!1;return!0;},lodash.isEqual=function(value,other){return baseIsEqual(value,other);},lodash.isEqualWith=function(value,other,customizer){var result=(customizer="function"==typeof customizer?customizer:undefined$1)?customizer(value,other):undefined$1;return result===undefined$1?baseIsEqual(value,other,undefined$1,customizer):!!result;},lodash.isError=isError,lodash.isFinite=function(value){return"number"==typeof value&&nativeIsFinite(value);},lodash.isFunction=isFunction,lodash.isInteger=isInteger,lodash.isLength=isLength,lodash.isMap=isMap,lodash.isMatch=function(object,source){return object===source||baseIsMatch(object,source,getMatchData(source));},lodash.isMatchWith=function(object,source,customizer){return customizer="function"==typeof customizer?customizer:undefined$1,baseIsMatch(object,source,getMatchData(source),customizer);},lodash.isNaN=function(value){return isNumber(value)&&value!=+value;},lodash.isNative=function(value){if(isMaskable(value))throw new Error("Unsupported core-js use. Try https://npms.io/search?q=ponyfill.");return baseIsNative(value);},lodash.isNil=function(value){return null==value;},lodash.isNull=function(value){return null===value;},lodash.isNumber=isNumber,lodash.isObject=isObject,lodash.isObjectLike=isObjectLike,lodash.isPlainObject=isPlainObject,lodash.isRegExp=isRegExp,lodash.isSafeInteger=function(value){return isInteger(value)&&value>=-9007199254740991&&value<=9007199254740991;},lodash.isSet=isSet,lodash.isString=isString,lodash.isSymbol=isSymbol,lodash.isTypedArray=isTypedArray,lodash.isUndefined=function(value){return value===undefined$1;},lodash.isWeakMap=function(value){return isObjectLike(value)&&getTag(value)==weakMapTag;},lodash.isWeakSet=function(value){return isObjectLike(value)&&"[object WeakSet]"==baseGetTag(value);},lodash.join=function(array,separator){return null==array?"":nativeJoin.call(array,separator);},lodash.kebabCase=kebabCase,lodash.last=last,lodash.lastIndexOf=function(array,value,fromIndex){var length=null==array?0:array.length;if(!length)return-1;var index=length;return fromIndex!==undefined$1&&(index=(index=toInteger(fromIndex))<0?nativeMax(length+index,0):nativeMin(index,length-1)),value==value?function(array,value,fromIndex){for(var index=fromIndex+1;index--;)if(array[index]===value)return index;return index;}(array,value,index):baseFindIndex(array,baseIsNaN,index,!0);},lodash.lowerCase=lowerCase,lodash.lowerFirst=lowerFirst,lodash.lt=lt,lodash.lte=lte,lodash.max=function(array){return array&&array.length?baseExtremum(array,identity,baseGt):undefined$1;},lodash.maxBy=function(array,iteratee){return array&&array.length?baseExtremum(array,getIteratee(iteratee,2),baseGt):undefined$1;},lodash.mean=function(array){return baseMean(array,identity);},lodash.meanBy=function(array,iteratee){return baseMean(array,getIteratee(iteratee,2));},lodash.min=function(array){return array&&array.length?baseExtremum(array,identity,baseLt):undefined$1;},lodash.minBy=function(array,iteratee){return array&&array.length?baseExtremum(array,getIteratee(iteratee,2),baseLt):undefined$1;},lodash.stubArray=stubArray,lodash.stubFalse=stubFalse,lodash.stubObject=function(){return{};},lodash.stubString=function(){return"";},lodash.stubTrue=function(){return!0;},lodash.multiply=multiply,lodash.nth=function(array,n){return array&&array.length?baseNth(array,toInteger(n)):undefined$1;},lodash.noConflict=function(){return root._===this&&(root._=oldDash),this;},lodash.noop=noop,lodash.now=now,lodash.pad=function(string,length,chars){string=toString(string);var strLength=(length=toInteger(length))?stringSize(string):0;if(!length||strLength>=length)return string;var mid=(length-strLength)/2;return createPadding(nativeFloor(mid),chars)+string+createPadding(nativeCeil(mid),chars);},lodash.padEnd=function(string,length,chars){string=toString(string);var strLength=(length=toInteger(length))?stringSize(string):0;return length&&strLength<length?string+createPadding(length-strLength,chars):string;},lodash.padStart=function(string,length,chars){string=toString(string);var strLength=(length=toInteger(length))?stringSize(string):0;return length&&strLength<length?createPadding(length-strLength,chars)+string:string;},lodash.parseInt=function(string,radix,guard){return guard||null==radix?radix=0:radix&&(radix=+radix),nativeParseInt(toString(string).replace(reTrimStart,""),radix||0);},lodash.random=function(lower,upper,floating){if(floating&&"boolean"!=typeof floating&&isIterateeCall(lower,upper,floating)&&(upper=floating=undefined$1),floating===undefined$1&&("boolean"==typeof upper?(floating=upper,upper=undefined$1):"boolean"==typeof lower&&(floating=lower,lower=undefined$1)),lower===undefined$1&&upper===undefined$1?(lower=0,upper=1):(lower=toFinite(lower),upper===undefined$1?(upper=lower,lower=0):upper=toFinite(upper)),lower>upper){var temp=lower;lower=upper,upper=temp;}if(floating||lower%1||upper%1){var rand=nativeRandom();return nativeMin(lower+rand*(upper-lower+freeParseFloat("1e-"+((rand+"").length-1))),upper);}return baseRandom(lower,upper);},lodash.reduce=function(collection,iteratee,accumulator){var func=isArray(collection)?arrayReduce:baseReduce,initAccum=arguments.length<3;return func(collection,getIteratee(iteratee,4),accumulator,initAccum,baseEach);},lodash.reduceRight=function(collection,iteratee,accumulator){var func=isArray(collection)?arrayReduceRight:baseReduce,initAccum=arguments.length<3;return func(collection,getIteratee(iteratee,4),accumulator,initAccum,baseEachRight);},lodash.repeat=function(string,n,guard){return n=(guard?isIterateeCall(string,n,guard):n===undefined$1)?1:toInteger(n),baseRepeat(toString(string),n);},lodash.replace=function(){var args=arguments,string=toString(args[0]);return args.length<3?string:string.replace(args[1],args[2]);},lodash.result=function(object,path,defaultValue){var index=-1,length=(path=castPath(path,object)).length;for(length||(length=1,object=undefined$1);++index<length;){var value=null==object?undefined$1:object[toKey(path[index])];value===undefined$1&&(index=length,value=defaultValue),object=isFunction(value)?value.call(object):value;}return object;},lodash.round=round,lodash.runInContext=runInContext,lodash.sample=function(collection){return(isArray(collection)?arraySample:baseSample)(collection);},lodash.size=function(collection){if(null==collection)return 0;if(isArrayLike(collection))return isString(collection)?stringSize(collection):collection.length;var tag=getTag(collection);return tag==mapTag||tag==setTag?collection.size:baseKeys(collection).length;},lodash.snakeCase=snakeCase,lodash.some=function(collection,predicate,guard){var func=isArray(collection)?arraySome:baseSome;return guard&&isIterateeCall(collection,predicate,guard)&&(predicate=undefined$1),func(collection,getIteratee(predicate,3));},lodash.sortedIndex=function(array,value){return baseSortedIndex(array,value);},lodash.sortedIndexBy=function(array,value,iteratee){return baseSortedIndexBy(array,value,getIteratee(iteratee,2));},lodash.sortedIndexOf=function(array,value){var length=null==array?0:array.length;if(length){var index=baseSortedIndex(array,value);if(index<length&&eq(array[index],value))return index;}return-1;},lodash.sortedLastIndex=function(array,value){return baseSortedIndex(array,value,!0);},lodash.sortedLastIndexBy=function(array,value,iteratee){return baseSortedIndexBy(array,value,getIteratee(iteratee,2),!0);},lodash.sortedLastIndexOf=function(array,value){if(null==array?0:array.length){var index=baseSortedIndex(array,value,!0)-1;if(eq(array[index],value))return index;}return-1;},lodash.startCase=startCase,lodash.startsWith=function(string,target,position){return string=toString(string),position=null==position?0:baseClamp(toInteger(position),0,string.length),target=baseToString(target),string.slice(position,position+target.length)==target;},lodash.subtract=subtract,lodash.sum=function(array){return array&&array.length?baseSum(array,identity):0;},lodash.sumBy=function(array,iteratee){return array&&array.length?baseSum(array,getIteratee(iteratee,2)):0;},lodash.template=function(string,options,guard){var settings=lodash.templateSettings;guard&&isIterateeCall(string,options,guard)&&(options=undefined$1),string=toString(string),options=assignInWith({},options,settings,customDefaultsAssignIn);var isEscaping,isEvaluating,imports=assignInWith({},options.imports,settings.imports,customDefaultsAssignIn),importsKeys=keys(imports),importsValues=baseValues(imports,importsKeys),index=0,interpolate=options.interpolate||reNoMatch,source="__p += '",reDelimiters=RegExp((options.escape||reNoMatch).source+"|"+interpolate.source+"|"+(interpolate===reInterpolate?reEsTemplate:reNoMatch).source+"|"+(options.evaluate||reNoMatch).source+"|$","g"),sourceURL="//# sourceURL="+(hasOwnProperty.call(options,"sourceURL")?(options.sourceURL+"").replace(/\s/g," "):"lodash.templateSources["+ ++templateCounter+"]")+"\n";string.replace(reDelimiters,function(match,escapeValue,interpolateValue,esTemplateValue,evaluateValue,offset){return interpolateValue||(interpolateValue=esTemplateValue),source+=string.slice(index,offset).replace(reUnescapedString,escapeStringChar),escapeValue&&(isEscaping=!0,source+="' +\n__e("+escapeValue+") +\n'"),evaluateValue&&(isEvaluating=!0,source+="';\n"+evaluateValue+";\n__p += '"),interpolateValue&&(source+="' +\n((__t = ("+interpolateValue+")) == null ? '' : __t) +\n'"),index=offset+match.length,match;}),source+="';\n";var variable=hasOwnProperty.call(options,"variable")&&options.variable;if(variable){if(reForbiddenIdentifierChars.test(variable))throw new Error("Invalid `variable` option passed into `_.template`");}else source="with (obj) {\n"+source+"\n}\n";source=(isEvaluating?source.replace(reEmptyStringLeading,""):source).replace(reEmptyStringMiddle,"$1").replace(reEmptyStringTrailing,"$1;"),source="function("+(variable||"obj")+") {\n"+(variable?"":"obj || (obj = {});\n")+"var __t, __p = ''"+(isEscaping?", __e = _.escape":"")+(isEvaluating?", __j = Array.prototype.join;\nfunction print() { __p += __j.call(arguments, '') }\n":";\n")+source+"return __p\n}";var result=attempt(function(){return Function(importsKeys,sourceURL+"return "+source).apply(undefined$1,importsValues);});if(result.source=source,isError(result))throw result;return result;},lodash.times=function(n,iteratee){if((n=toInteger(n))<1||n>9007199254740991)return[];var index=4294967295,length=nativeMin(n,4294967295);n-=4294967295;for(var result=baseTimes(length,iteratee=getIteratee(iteratee));++index<n;)iteratee(index);return result;},lodash.toFinite=toFinite,lodash.toInteger=toInteger,lodash.toLength=toLength,lodash.toLower=function(value){return toString(value).toLowerCase();},lodash.toNumber=toNumber,lodash.toSafeInteger=function(value){return value?baseClamp(toInteger(value),-9007199254740991,9007199254740991):0===value?value:0;},lodash.toString=toString,lodash.toUpper=function(value){return toString(value).toUpperCase();},lodash.trim=function(string,chars,guard){if((string=toString(string))&&(guard||chars===undefined$1))return baseTrim(string);if(!string||!(chars=baseToString(chars)))return string;var strSymbols=stringToArray(string),chrSymbols=stringToArray(chars);return castSlice(strSymbols,charsStartIndex(strSymbols,chrSymbols),charsEndIndex(strSymbols,chrSymbols)+1).join("");},lodash.trimEnd=function(string,chars,guard){if((string=toString(string))&&(guard||chars===undefined$1))return string.slice(0,trimmedEndIndex(string)+1);if(!string||!(chars=baseToString(chars)))return string;var strSymbols=stringToArray(string);return castSlice(strSymbols,0,charsEndIndex(strSymbols,stringToArray(chars))+1).join("");},lodash.trimStart=function(string,chars,guard){if((string=toString(string))&&(guard||chars===undefined$1))return string.replace(reTrimStart,"");if(!string||!(chars=baseToString(chars)))return string;var strSymbols=stringToArray(string);return castSlice(strSymbols,charsStartIndex(strSymbols,stringToArray(chars))).join("");},lodash.truncate=function(string,options){var length=30,omission="...";if(isObject(options)){var separator="separator"in options?options.separator:separator;length="length"in options?toInteger(options.length):length,omission="omission"in options?baseToString(options.omission):omission;}var strLength=(string=toString(string)).length;if(hasUnicode(string)){var strSymbols=stringToArray(string);strLength=strSymbols.length;}if(length>=strLength)return string;var end=length-stringSize(omission);if(end<1)return omission;var result=strSymbols?castSlice(strSymbols,0,end).join(""):string.slice(0,end);if(separator===undefined$1)return result+omission;if(strSymbols&&(end+=result.length-end),isRegExp(separator)){if(string.slice(end).search(separator)){var match,substring=result;for(separator.global||(separator=RegExp(separator.source,toString(reFlags.exec(separator))+"g")),separator.lastIndex=0;match=separator.exec(substring);)var newEnd=match.index;result=result.slice(0,newEnd===undefined$1?end:newEnd);}}else if(string.indexOf(baseToString(separator),end)!=end){var index=result.lastIndexOf(separator);index>-1&&(result=result.slice(0,index));}return result+omission;},lodash.unescape=function(string){return(string=toString(string))&&reHasEscapedHtml.test(string)?string.replace(reEscapedHtml,unescapeHtmlChar):string;},lodash.uniqueId=function(prefix){var id=++idCounter;return toString(prefix)+id;},lodash.upperCase=upperCase,lodash.upperFirst=upperFirst,lodash.each=forEach,lodash.eachRight=forEachRight,lodash.first=head,mixin(lodash,(source={},baseForOwn(lodash,function(func,methodName){hasOwnProperty.call(lodash.prototype,methodName)||(source[methodName]=func);}),source),{chain:!1}),lodash.VERSION="4.17.21",arrayEach(["bind","bindKey","curry","curryRight","partial","partialRight"],function(methodName){lodash[methodName].placeholder=lodash;}),arrayEach(["drop","take"],function(methodName,index){LazyWrapper.prototype[methodName]=function(n){n=n===undefined$1?1:nativeMax(toInteger(n),0);var result=this.__filtered__&&!index?new LazyWrapper(this):this.clone();return result.__filtered__?result.__takeCount__=nativeMin(n,result.__takeCount__):result.__views__.push({size:nativeMin(n,4294967295),type:methodName+(result.__dir__<0?"Right":"")}),result;},LazyWrapper.prototype[methodName+"Right"]=function(n){return this.reverse()[methodName](n).reverse();};}),arrayEach(["filter","map","takeWhile"],function(methodName,index){var type=index+1,isFilter=1==type||3==type;LazyWrapper.prototype[methodName]=function(iteratee){var result=this.clone();return result.__iteratees__.push({iteratee:getIteratee(iteratee,3),type:type}),result.__filtered__=result.__filtered__||isFilter,result;};}),arrayEach(["head","last"],function(methodName,index){var takeName="take"+(index?"Right":"");LazyWrapper.prototype[methodName]=function(){return this[takeName](1).value()[0];};}),arrayEach(["initial","tail"],function(methodName,index){var dropName="drop"+(index?"":"Right");LazyWrapper.prototype[methodName]=function(){return this.__filtered__?new LazyWrapper(this):this[dropName](1);};}),LazyWrapper.prototype.compact=function(){return this.filter(identity);},LazyWrapper.prototype.find=function(predicate){return this.filter(predicate).head();},LazyWrapper.prototype.findLast=function(predicate){return this.reverse().find(predicate);},LazyWrapper.prototype.invokeMap=baseRest(function(path,args){return"function"==typeof path?new LazyWrapper(this):this.map(function(value){return baseInvoke(value,path,args);});}),LazyWrapper.prototype.reject=function(predicate){return this.filter(negate(getIteratee(predicate)));},LazyWrapper.prototype.slice=function(start,end){start=toInteger(start);var result=this;return result.__filtered__&&(start>0||end<0)?new LazyWrapper(result):(start<0?result=result.takeRight(-start):start&&(result=result.drop(start)),end!==undefined$1&&(result=(end=toInteger(end))<0?result.dropRight(-end):result.take(end-start)),result);},LazyWrapper.prototype.takeRightWhile=function(predicate){return this.reverse().takeWhile(predicate).reverse();},LazyWrapper.prototype.toArray=function(){return this.take(4294967295);},baseForOwn(LazyWrapper.prototype,function(func,methodName){var checkIteratee=/^(?:filter|find|map|reject)|While$/.test(methodName),isTaker=/^(?:head|last)$/.test(methodName),lodashFunc=lodash[isTaker?"take"+("last"==methodName?"Right":""):methodName],retUnwrapped=isTaker||/^find/.test(methodName);lodashFunc&&(lodash.prototype[methodName]=function(){var value=this.__wrapped__,args=isTaker?[1]:arguments,isLazy=value instanceof LazyWrapper,iteratee=args[0],useLazy=isLazy||isArray(value),interceptor=function(value){var result=lodashFunc.apply(lodash,arrayPush([value],args));return isTaker&&chainAll?result[0]:result;};useLazy&&checkIteratee&&"function"==typeof iteratee&&1!=iteratee.length&&(isLazy=useLazy=!1);var chainAll=this.__chain__,isHybrid=!!this.__actions__.length,isUnwrapped=retUnwrapped&&!chainAll,onlyLazy=isLazy&&!isHybrid;if(!retUnwrapped&&useLazy){value=onlyLazy?value:new LazyWrapper(this);var result=func.apply(value,args);return result.__actions__.push({func:thru,args:[interceptor],thisArg:undefined$1}),new LodashWrapper(result,chainAll);}return isUnwrapped&&onlyLazy?func.apply(this,args):(result=this.thru(interceptor),isUnwrapped?isTaker?result.value()[0]:result.value():result);});}),arrayEach(["pop","push","shift","sort","splice","unshift"],function(methodName){var func=arrayProto[methodName],chainName=/^(?:push|sort|unshift)$/.test(methodName)?"tap":"thru",retUnwrapped=/^(?:pop|shift)$/.test(methodName);lodash.prototype[methodName]=function(){var args=arguments;if(retUnwrapped&&!this.__chain__){var value=this.value();return func.apply(isArray(value)?value:[],args);}return this[chainName](function(value){return func.apply(isArray(value)?value:[],args);});};}),baseForOwn(LazyWrapper.prototype,function(func,methodName){var lodashFunc=lodash[methodName];if(lodashFunc){var key=lodashFunc.name+"";hasOwnProperty.call(realNames,key)||(realNames[key]=[]),realNames[key].push({name:methodName,func:lodashFunc});}}),realNames[createHybrid(undefined$1,2).name]=[{name:"wrapper",func:undefined$1}],LazyWrapper.prototype.clone=function(){var result=new LazyWrapper(this.__wrapped__);return result.__actions__=copyArray(this.__actions__),result.__dir__=this.__dir__,result.__filtered__=this.__filtered__,result.__iteratees__=copyArray(this.__iteratees__),result.__takeCount__=this.__takeCount__,result.__views__=copyArray(this.__views__),result;},LazyWrapper.prototype.reverse=function(){if(this.__filtered__){var result=new LazyWrapper(this);result.__dir__=-1,result.__filtered__=!0;}else(result=this.clone()).__dir__*=-1;return result;},LazyWrapper.prototype.value=function(){var array=this.__wrapped__.value(),dir=this.__dir__,isArr=isArray(array),isRight=dir<0,arrLength=isArr?array.length:0,view=function(start,end,transforms){var index=-1,length=transforms.length;for(;++index<length;){var data=transforms[index],size=data.size;switch(data.type){case"drop":start+=size;break;case"dropRight":end-=size;break;case"take":end=nativeMin(end,start+size);break;case"takeRight":start=nativeMax(start,end-size);}}return{start:start,end:end};}(0,arrLength,this.__views__),start=view.start,end=view.end,length=end-start,index=isRight?end:start-1,iteratees=this.__iteratees__,iterLength=iteratees.length,resIndex=0,takeCount=nativeMin(length,this.__takeCount__);if(!isArr||!isRight&&arrLength==length&&takeCount==length)return baseWrapperValue(array,this.__actions__);var result=[];outer:for(;length--&&resIndex<takeCount;){for(var iterIndex=-1,value=array[index+=dir];++iterIndex<iterLength;){var data=iteratees[iterIndex],iteratee=data.iteratee,type=data.type,computed=iteratee(value);if(2==type)value=computed;else if(!computed){if(1==type)continue outer;break outer;}}result[resIndex++]=value;}return result;},lodash.prototype.at=wrapperAt,lodash.prototype.chain=function(){return chain(this);},lodash.prototype.commit=function(){return new LodashWrapper(this.value(),this.__chain__);},lodash.prototype.next=function(){this.__values__===undefined$1&&(this.__values__=toArray(this.value()));var done=this.__index__>=this.__values__.length;return{done:done,value:done?undefined$1:this.__values__[this.__index__++]};},lodash.prototype.plant=function(value){for(var result,parent=this;parent instanceof baseLodash;){var clone=wrapperClone(parent);clone.__index__=0,clone.__values__=undefined$1,result?previous.__wrapped__=clone:result=clone;var previous=clone;parent=parent.__wrapped__;}return previous.__wrapped__=value,result;},lodash.prototype.reverse=function(){var value=this.__wrapped__;if(value instanceof LazyWrapper){var wrapped=value;return this.__actions__.length&&(wrapped=new LazyWrapper(this)),(wrapped=wrapped.reverse()).__actions__.push({func:thru,args:[reverse],thisArg:undefined$1}),new LodashWrapper(wrapped,this.__chain__);}return this.thru(reverse);},lodash.prototype.toJSON=lodash.prototype.valueOf=lodash.prototype.value=function(){return baseWrapperValue(this.__wrapped__,this.__actions__);},lodash.prototype.first=lodash.prototype.head,symIterator&&(lodash.prototype[symIterator]=function(){return this;}),lodash;}();freeModule?((freeModule.exports=_)._=_,freeExports._=_):root._=_;}).call(commonjsGlobal);}(lodash,lodash.exports);var lodashExports=lodash.exports;let supportDevicePixelContentBox=!1;function useResizeObserver(opts={}){const onResize=opts.onResize,onResizeRef=React.useRef(void 0);onResizeRef.current=onResize;const resizeObserverRef=React.useRef(),[size,setSize]=React.useState({width:void 0,height:void 0,devicePixelContentBoxSizeInlineSize:void 0,devicePixelContentBoxSizeBlockSize:void 0}),didUnmount=React.useRef(!1);React.useEffect(()=>()=>{didUnmount.current=!0;},[]);const previous=React.useRef({width:void 0,height:void 0,devicePixelContentBoxSizeInlineSize:void 0,devicePixelContentBoxSizeBlockSize:void 0}),refCallback=function(subscriber,refOrElement){const callbackRefElement=React.useRef(null),refCallback=React.useCallback(element=>{callbackRefElement.current=element,callSubscriber();},[]),lastReportedElementRef=React.useRef(null),cleanupRef=React.useRef(),callSubscriber=()=>{let element=null;callbackRefElement.current?element=callbackRefElement.current:refOrElement&&(element=refOrElement instanceof HTMLElement?refOrElement:refOrElement.current),lastReportedElementRef.current!==element&&(cleanupRef.current&&(cleanupRef.current(),cleanupRef.current=null),lastReportedElementRef.current=element,element&&(cleanupRef.current=subscriber(element)));};return React.useEffect(()=>{callSubscriber();},[refOrElement]),refCallback;}(element=>(resizeObserverRef.current||(resizeObserverRef.current=new ResizeObserver(entries=>{if(!Array.isArray(entries))return;const entry=entries[0];if(entry){const newWidth=Math.round(entry.contentRect.width),newHeight=Math.round(entry.contentRect.height),newDevicePixelContentBoxSizeInlineSize=entry.devicePixelContentBoxSize?.[0].inlineSize,newDevicePixelContentBoxSizeBlockSize=entry.devicePixelContentBoxSize?.[0].blockSize;if(previous.current.width!==newWidth||previous.current.height!==newHeight||previous.current.devicePixelContentBoxSizeInlineSize!==newDevicePixelContentBoxSizeInlineSize||previous.current.devicePixelContentBoxSizeBlockSize!==newDevicePixelContentBoxSizeBlockSize){const newSize={width:newWidth,height:newHeight,devicePixelContentBoxSizeInlineSize:newDevicePixelContentBoxSizeInlineSize,devicePixelContentBoxSizeBlockSize:newDevicePixelContentBoxSizeBlockSize};onResizeRef.current?onResizeRef.current(newSize):(previous.current.width=newWidth,previous.current.height=newHeight,previous.current.devicePixelContentBoxSizeInlineSize=newDevicePixelContentBoxSizeInlineSize,previous.current.devicePixelContentBoxSizeBlockSize=newDevicePixelContentBoxSizeBlockSize,didUnmount.current||setSize(newSize));}}})),resizeObserverRef.current.observe(element,supportDevicePixelContentBox?{box:"device-pixel-content-box"}:{}),()=>{resizeObserverRef.current&&resizeObserverRef.current.unobserve(element);}),opts.ref);return React.useMemo(()=>({ref:refCallback,width:size.width,height:size.height,devicePixelContentBoxSizeInlineSize:size.devicePixelContentBoxSizeInlineSize,devicePixelContentBoxSizeBlockSize:size.devicePixelContentBoxSizeBlockSize}),[refCallback,size?size.width:null,size?size.height:null,size?size.devicePixelContentBoxSizeInlineSize:null,size?size.devicePixelContentBoxSizeBlockSize:null]);}new Promise(resolve=>{const ro=new ResizeObserver(entries=>{resolve(entries.every(entry=>"devicePixelContentBoxSize"in entry)),ro.disconnect();});ro.observe(document.body,{box:["device-pixel-content-box"]});}).catch(()=>!1).then(result=>{result&&(supportDevicePixelContentBox=!0);});function useThrottledResizeObserver(wait){const[size,setSize]=React.useState({width:void 0,height:void 0,devicePixelContentBoxSizeInlineSize:void 0,devicePixelContentBoxSizeBlockSize:void 0}),onResize=React.useMemo(()=>lodashExports.throttle(setSize,wait),[wait]),{ref:ref}=useResizeObserver({onResize:onResize});return{ref:ref,...size};}const NonIdealState=({delay=1e3,description:description,title:title})=>{const show=((delay=300)=>{const[show,setShow]=React.useState(!1);return React.useEffect(()=>{const timeout=setTimeout(()=>setShow(!0),delay);return()=>clearTimeout(timeout);},[delay]),show;})(delay);return jsxRuntimeExports.jsx("div",{className:classNames("non-ideal-state"),children:jsxRuntimeExports.jsxs("div",{className:classNames("content",{hide:!show}),children:[jsxRuntimeExports.jsx("div",{className:"non-ideal-state-visual"}),jsxRuntimeExports.jsx("h4",{className:"heading",children:title}),description&&jsxRuntimeExports.jsx("div",{children:description})]})});};function formatDecimalParts(x,p){if((i=(x=p?x.toExponential(p-1):x.toExponential()).indexOf("e"))<0)return null;var i,coefficient=x.slice(0,i);return[coefficient.length>1?coefficient[0]+coefficient.slice(2):coefficient,+x.slice(i+1)];}function exponent(x){return(x=formatDecimalParts(Math.abs(x)))?x[1]:NaN;}var prefixExponent,re$1=/^(?:(.)?([<>=^]))?([+\-( ])?([$#])?(0)?(\d+)?(,)?(\.\d+)?(~)?([a-z%])?$/i;function formatSpecifier(specifier){if(!(match=re$1.exec(specifier)))throw new Error("invalid format: "+specifier);var match;return new FormatSpecifier({fill:match[1],align:match[2],sign:match[3],symbol:match[4],zero:match[5],width:match[6],comma:match[7],precision:match[8]&&match[8].slice(1),trim:match[9],type:match[10]});}function FormatSpecifier(specifier){this.fill=void 0===specifier.fill?" ":specifier.fill+"",this.align=void 0===specifier.align?">":specifier.align+"",this.sign=void 0===specifier.sign?"-":specifier.sign+"",this.symbol=void 0===specifier.symbol?"":specifier.symbol+"",this.zero=!!specifier.zero,this.width=void 0===specifier.width?void 0:+specifier.width,this.comma=!!specifier.comma,this.precision=void 0===specifier.precision?void 0:+specifier.precision,this.trim=!!specifier.trim,this.type=void 0===specifier.type?"":specifier.type+"";}function formatRounded(x,p){var d=formatDecimalParts(x,p);if(!d)return x+"";var coefficient=d[0],exponent=d[1];return exponent<0?"0."+new Array(-exponent).join("0")+coefficient:coefficient.length>exponent+1?coefficient.slice(0,exponent+1)+"."+coefficient.slice(exponent+1):coefficient+new Array(exponent-coefficient.length+2).join("0");}formatSpecifier.prototype=FormatSpecifier.prototype,FormatSpecifier.prototype.toString=function(){return this.fill+this.align+this.sign+this.symbol+(this.zero?"0":"")+(void 0===this.width?"":Math.max(1,0|this.width))+(this.comma?",":"")+(void 0===this.precision?"":"."+Math.max(0,0|this.precision))+(this.trim?"~":"")+this.type;};var formatTypes={"%":(x,p)=>(100*x).toFixed(p),b:x=>Math.round(x).toString(2),c:x=>x+"",d:function(x){return Math.abs(x=Math.round(x))>=1e21?x.toLocaleString("en").replace(/,/g,""):x.toString(10);},e:(x,p)=>x.toExponential(p),f:(x,p)=>x.toFixed(p),g:(x,p)=>x.toPrecision(p),o:x=>Math.round(x).toString(8),p:(x,p)=>formatRounded(100*x,p),r:formatRounded,s:function(x,p){var d=formatDecimalParts(x,p);if(!d)return x+"";var coefficient=d[0],exponent=d[1],i=exponent-(prefixExponent=3*Math.max(-8,Math.min(8,Math.floor(exponent/3))))+1,n=coefficient.length;return i===n?coefficient:i>n?coefficient+new Array(i-n+1).join("0"):i>0?coefficient.slice(0,i)+"."+coefficient.slice(i):"0."+new Array(1-i).join("0")+formatDecimalParts(x,Math.max(0,p+i-1))[0];},X:x=>Math.round(x).toString(16).toUpperCase(),x:x=>Math.round(x).toString(16)};function identity$4(x){return x;}var locale,format,formatPrefix,map=Array.prototype.map,prefixes=["y","z","a","f","p","n","µ","m","","k","M","G","T","P","E","Z","Y"];function formatLocale(locale){var grouping,thousands,group=void 0===locale.grouping||void 0===locale.thousands?identity$4:(grouping=map.call(locale.grouping,Number),thousands=locale.thousands+"",function(value,width){for(var i=value.length,t=[],j=0,g=grouping[0],length=0;i>0&&g>0&&(length+g+1>width&&(g=Math.max(1,width-length)),t.push(value.substring(i-=g,i+g)),!((length+=g+1)>width));)g=grouping[j=(j+1)%grouping.length];return t.reverse().join(thousands);}),currencyPrefix=void 0===locale.currency?"":locale.currency[0]+"",currencySuffix=void 0===locale.currency?"":locale.currency[1]+"",decimal=void 0===locale.decimal?".":locale.decimal+"",numerals=void 0===locale.numerals?identity$4:function(numerals){return function(value){return value.replace(/[0-9]/g,function(i){return numerals[+i];});};}(map.call(locale.numerals,String)),percent=void 0===locale.percent?"%":locale.percent+"",minus=void 0===locale.minus?"−":locale.minus+"",nan=void 0===locale.nan?"NaN":locale.nan+"";function newFormat(specifier){var fill=(specifier=formatSpecifier(specifier)).fill,align=specifier.align,sign=specifier.sign,symbol=specifier.symbol,zero=specifier.zero,width=specifier.width,comma=specifier.comma,precision=specifier.precision,trim=specifier.trim,type=specifier.type;"n"===type?(comma=!0,type="g"):formatTypes[type]||(void 0===precision&&(precision=12),trim=!0,type="g"),(zero||"0"===fill&&"="===align)&&(zero=!0,fill="0",align="=");var prefix="$"===symbol?currencyPrefix:"#"===symbol&&/[boxX]/.test(type)?"0"+type.toLowerCase():"",suffix="$"===symbol?currencySuffix:/[%p]/.test(type)?percent:"",formatType=formatTypes[type],maybeSuffix=/[defgprs%]/.test(type);function format(value){var i,n,c,valuePrefix=prefix,valueSuffix=suffix;if("c"===type)valueSuffix=formatType(value)+valueSuffix,value="";else{var valueNegative=(value=+value)<0||1/value<0;if(value=isNaN(value)?nan:formatType(Math.abs(value),precision),trim&&(value=function(s){out:for(var i1,n=s.length,i=1,i0=-1;i<n;++i)switch(s[i]){case".":i0=i1=i;break;case"0":0===i0&&(i0=i),i1=i;break;default:if(!+s[i])break out;i0>0&&(i0=0);}return i0>0?s.slice(0,i0)+s.slice(i1+1):s;}(value)),valueNegative&&0==+value&&"+"!==sign&&(valueNegative=!1),valuePrefix=(valueNegative?"("===sign?sign:minus:"-"===sign||"("===sign?"":sign)+valuePrefix,valueSuffix=("s"===type?prefixes[8+prefixExponent/3]:"")+valueSuffix+(valueNegative&&"("===sign?")":""),maybeSuffix)for(i=-1,n=value.length;++i<n;)if(48>(c=value.charCodeAt(i))||c>57){valueSuffix=(46===c?decimal+value.slice(i+1):value.slice(i))+valueSuffix,value=value.slice(0,i);break;}}comma&&!zero&&(value=group(value,1/0));var length=valuePrefix.length+value.length+valueSuffix.length,padding=length<width?new Array(width-length+1).join(fill):"";switch(comma&&zero&&(value=group(padding+value,padding.length?width-valueSuffix.length:1/0),padding=""),align){case"<":value=valuePrefix+value+valueSuffix+padding;break;case"=":value=valuePrefix+padding+value+valueSuffix;break;case"^":value=padding.slice(0,length=padding.length>>1)+valuePrefix+value+valueSuffix+padding.slice(length);break;default:value=padding+valuePrefix+value+valueSuffix;}return numerals(value);}return precision=void 0===precision?6:/[gprs]/.test(type)?Math.max(1,Math.min(21,precision)):Math.max(0,Math.min(20,precision)),format.toString=function(){return specifier+"";},format;}return{format:newFormat,formatPrefix:function(specifier,value){var f=newFormat(((specifier=formatSpecifier(specifier)).type="f",specifier)),e=3*Math.max(-8,Math.min(8,Math.floor(exponent(value)/3))),k=Math.pow(10,-e),prefix=prefixes[8+e/3];return function(value){return f(k*value)+prefix;};}};}function getStudyInfoFieldValue(data,index,id){const length=data.length;return 0===length?NaN:null===index||index>=length||index<0?data[length-1][id]:data[index][id];}!function(definition){locale=formatLocale(definition),format=locale.format,formatPrefix=locale.formatPrefix;}({thousands:",",grouping:[3],currency:["$",""]});const studyInfoFields={main:{label:"",fields:[{id:"date",label:"",format:d=>format$1(d,"HH:mm dd MMM yyyy"),displayWhileNoTrading:!0},{id:"open",label:"O"},{id:"high",label:"H"},{id:"low",label:"L"},{id:"close",label:"C"},{id:"absoluteChange",label:"Change",format:(d,decimalPlaces)=>isNaN(d)?"-":format(`+.${decimalPlaces}f`)(d),intent:!0},{id:"percentageChange",label:"",format:d=>isNaN(d)?"-":`(${format("+.2%")(d)})`,intent:!0}]},simple:{label:"",fields:[{id:"close",label:""},{id:"percentageChangeData24",label:"",format:d=>isNaN(d)?"-":format("+.2%")(d),intent:!0}]},bollinger:{label:"Bollinger",fields:[{id:"bollingerUpper",label:"Upper"},{id:"bollingerLower",label:"Lower"}]},eldarRay:{label:"Eldar-ray",fields:[{id:"bullPower",label:"Bull"},{id:"bearPower",label:"Bear"}]},envelope:{label:"Envelope",fields:[{id:"envelopeUpper",label:"Upper"},{id:"envelopeLower",label:"Lower"}]},exponentialMovingAverage:{label:"EMA",fields:[{id:"exponentialMovingAverage",label:""}]},forceIndex:{label:"Force index",fields:[{id:"forceIndex",label:""}]},macd:{label:"MACD",fields:[{id:"signal",label:"S"},{id:"divergence",label:"D"},{id:"macd",label:"MACD"}]},movingAverage:{label:"Moving average",fields:[{id:"movingAverage",label:""}]},priceMonitoringBounds1:{label:"Price Monitoring Bounds 1",fields:[{id:"minValidPrice_1",label:"Min"},{id:"maxValidPrice_1",label:"Max"},{id:"referencePrice_1",label:"Reference"}]},priceMonitoringBounds2:{label:"Price Monitoring Bounds 2",fields:[{id:"minValidPrice_2",label:"Min"},{id:"maxValidPrice_2",label:"Max"},{id:"referencePrice_2",label:"Reference"}]},priceMonitoringBounds3:{label:"Price Monitoring Bounds 3",fields:[{id:"minValidPrice_3",label:"Min"},{id:"maxValidPrice_3",label:"Max"},{id:"referencePrice_3",label:"Reference"}]},priceMonitoringBounds4:{label:"Price Monitoring Bounds 4",fields:[{id:"minValidPrice_4",label:"Min"},{id:"maxValidPrice_4",label:"Max"},{id:"referencePrice_4",label:"Reference"}]},relativeStrengthIndex:{label:"RSI",fields:[{id:"relativeStrengthIndex",label:""}]},volume:{label:"Volume",fields:[{id:"volume",label:""}]}};function getIntent(field,value){if(field.intent&&!isNaN(value)&&0!==value)return value>0?"success":"danger";}const PaneView=React.forwardRef(({bounds:bounds,colors:colors,dataIndex:dataIndex,decimalPlaces:decimalPlaces,positionDecimalPlaces:positionDecimalPlaces,priceMonitoringBounds:priceMonitoringBounds,overlays:overlays,pane:pane,simple:simple,onClosePane:onClosePane,onRemoveOverlay:onRemoveOverlay},ref)=>{const[showPaneControls,setShowPaneControls]=React.useState(null),noTrading=0===getStudyInfoFieldValue(pane.originalData,dataIndex,"volume");let colorCount=0;return jsxRuntimeExports.jsxs("div",{ref:ref,className:"pane__pane",onMouseOver:()=>setShowPaneControls(pane.id),onMouseOut:()=>setShowPaneControls(null),children:[jsxRuntimeExports.jsx("d3fc-canvas",{class:"plot-area","use-device-pixel-ratio":!0}),!simple&&jsxRuntimeExports.jsx("d3fc-svg",{class:"plot-area-interaction"}),jsxRuntimeExports.jsx("div",{className:"plot-area-annotations"}),jsxRuntimeExports.jsx("d3fc-canvas",{class:"y-axis","use-device-pixel-ratio":!0,style:{width:simple?0:"100%"}}),jsxRuntimeExports.jsx("d3fc-svg",{class:"y-axis-interaction",style:{width:simple?0:"92px"}}),"main"!==pane.id&&!simple&&jsxRuntimeExports.jsx("div",{className:"pane__close-button-wrapper",style:{right:"92px",opacity:showPaneControls===pane.id?1:0,visibility:showPaneControls===pane.id?"visible":"hidden"},children:jsxRuntimeExports.jsx("div",{className:"pane__close-button",children:jsxRuntimeExports.jsx(CloseButton,{onClick:()=>{onClosePane(pane.id);}})})}),jsxRuntimeExports.jsxs("div",{className:"pane__info-overlay",style:{alignItems:simple?"flex-end":"flex-start"},children:[jsxRuntimeExports.jsx(IndicatorInfo,{title:studyInfoFields[simple?"simple":pane.id].label,info:studyInfoFields[simple?"simple":pane.id].fields.map(field=>{const value=getStudyInfoFieldValue(pane.originalData,dataIndex,field.id),places="volume"===field.id?positionDecimalPlaces:decimalPlaces;return{id:field.id,label:field.label,value:field.format?field.format(value,places):formatter(value,places),displayWhileNoTrading:field.displayWhileNoTrading,intent:getIntent(field,value)};}),noTrading:noTrading}),"main"===pane.id&&overlays.map(overlay=>"priceMonitoringBounds"===overlay?priceMonitoringBounds.slice(0,4).map((_bounds,i)=>jsxRuntimeExports.jsx(IndicatorInfo,{title:studyInfoFields[`priceMonitoringBounds${i+1}`].label,info:studyInfoFields[`priceMonitoringBounds${i+1}`].fields.map(field=>{const value=getStudyInfoFieldValue(pane.originalData,dataIndex,field.id);return{id:field.id,label:field.label,value:field.format?field.format(value,decimalPlaces):formatter(value,decimalPlaces),color:colors[getAccentColor(colorCount++)]};}),noTrading:noTrading,closeable:!0,onClose:()=>{onRemoveOverlay(overlay);}},studyInfoFields[`priceMonitoringBounds${i+1}`].label)):jsxRuntimeExports.jsx(IndicatorInfo,{title:studyInfoFields[overlay].label,info:studyInfoFields[overlay].fields.map(field=>{const value=getStudyInfoFieldValue(pane.originalData,dataIndex,field.id);return{id:field.id,label:field.label,value:field.format?field.format(value,decimalPlaces):formatter(value,decimalPlaces),color:colors[getAccentColor(colorCount++)]};}),noTrading:noTrading,closeable:!0,onClose:()=>{onRemoveOverlay(overlay);}},studyInfoFields[overlay].label))]})]});}),css="d3fc-canvas,d3fc-svg{position:relative;display:block}d3fc-canvas>canvas,d3fc-svg>svg{position:absolute;height:100%;width:100%}d3fc-svg>svg{overflow:visible}";if("undefined"!=typeof window){const styleElement=document.createElement("style");styleElement.setAttribute("type","text/css"),document.querySelector("head").appendChild(styleElement),styleElement.styleSheet?styleElement.styleSheet.cssText+=css:styleElement.textContent+=css;}const key="__d3fc-elements__",get$2=element=>element[key]||{},set$2=(element,data)=>{element[key]=data;},find$1=element=>"D3FC-GROUP"===element.tagName?[element,...element.querySelectorAll("d3fc-canvas, d3fc-group, d3fc-svg")]:[element],measure=element=>{const{width:previousWidth,height:previousHeight}=get$2(element),pixelRatio=element.useDevicePixelRatio&&null!=window.devicePixelRatio?window.devicePixelRatio:1,width=element.clientWidth*pixelRatio,height=element.clientHeight*pixelRatio,resized=width!==previousWidth||height!==previousHeight,child=element.children[0];set$2(element,{pixelRatio:pixelRatio,width:width,height:height,resized:resized,child:child});},resize=element=>{const detail=get$2(element),event=new CustomEvent("measure",{detail:detail});element.dispatchEvent(event);},draw=element=>{const detail=get$2(element),event=new CustomEvent("draw",{detail:detail});element.dispatchEvent(event);};const getQueue=element=>get$2(element.ownerDocument).queue||[],setQueue=(element,queue)=>{let{requestId:requestId}=get$2(element.ownerDocument);null==requestId&&(requestId=requestAnimationFrame(()=>{(elements=>{const allElements=elements.map(find$1).reduce((a,b)=>a.concat(b));allElements.forEach(measure),allElements.forEach(resize),allElements.forEach(draw);})(getQueue(element)),clearQueue(element);})),set$2(element.ownerDocument,{queue:queue,requestId:requestId});},clearQueue=element=>(element=>delete element[key])(element.ownerDocument),isDescendentOf=(element,ancestor)=>{let node=element;do{if(node.parentNode===ancestor)return!0;}while(node=node.parentNode);return!1;};var requestRedraw=element=>{const queue=getQueue(element);if(queue.indexOf(element)>-1)return;if(queue.some(queuedElement=>isDescendentOf(element,queuedElement)))return;const queueExcludingDescendents=queue.filter(queuedElement=>!isDescendentOf(queuedElement,element));queueExcludingDescendents.push(element),setQueue(element,queueExcludingDescendents);};let el$1=class{};"undefined"!=typeof window&&(el$1=HTMLElement);var element=(createNode,applyMeasurements)=>class extends el$1{static get observedAttributes(){return["use-device-pixel-ratio"];}attributeChangedCallback(name){if("use-device-pixel-ratio"===name)this.requestRedraw();}connectedCallback(){0===this.childNodes.length&&this.appendChild(createNode()),(element=>{null==element.__measureListener__&&(element.__measureListener__=event=>element.setMeasurements(event.detail),element.addEventListener("measure",element.__measureListener__));})(this);}disconnectedCallback(){(element=>{null!=element.__measureListener__&&(element.removeEventListener("measure",element.__measureListener__),element.__measureListener__=null);})(this);}setMeasurements({width:width,height:height}){const{childNodes:[node,...other]}=this;if(other.length>0)throw new Error("A d3fc-svg/canvas element must only contain a single svg/canvas element.");applyMeasurements(this,node,{width:width,height:height});}get useDevicePixelRatio(){return this.hasAttribute("use-device-pixel-ratio")&&"false"!==this.getAttribute("use-device-pixel-ratio");}set useDevicePixelRatio(useDevicePixelRatio){useDevicePixelRatio&&!this.useDevicePixelRatio?this.setAttribute("use-device-pixel-ratio",""):!useDevicePixelRatio&&this.useDevicePixelRatio&&this.removeAttribute("use-device-pixel-ratio"),this.requestRedraw();}requestRedraw(){requestRedraw(this);}};class Canvas extends element(()=>document.createElement("canvas"),(element,node,{width:width,height:height})=>{if(node.setAttribute("width",width),node.setAttribute("height",height),element.setWebglViewport){node.getContext("webgl").viewport(0,0,width,height);}}){get setWebglViewport(){return this.hasAttribute("set-webgl-viewport")&&"false"!==this.getAttribute("set-webgl-viewport");}set setWebglViewport(setWebglViewport){setWebglViewport&&!this.setWebglViewport?this.setAttribute("set-webgl-viewport",""):!setWebglViewport&&this.setWebglViewport&&this.removeAttribute("set-webgl-viewport"),this.requestRedraw();}}const updateAutoResize=element=>{element.autoResize?addAutoResizeListener(element):removeAutoResizeListener(element);},addAutoResizeListener=element=>{null==element.__autoResizeListener__&&(element.__autoResizeListener__=()=>requestRedraw(element),addEventListener("resize",element.__autoResizeListener__));},removeAutoResizeListener=element=>{null!=element.__autoResizeListener__&&(removeEventListener("resize",element.__autoResizeListener__),element.__autoResizeListener__=null);};let el=class{};"undefined"!=typeof window&&(el=HTMLElement);class Group extends el{connectedCallback(){updateAutoResize(this);}disconnectedCallback(){removeAutoResizeListener(this);}requestRedraw(){requestRedraw(this);}get autoResize(){return this.hasAttribute("auto-resize")&&"false"!==this.getAttribute("auto-resize");}set autoResize(autoResize){autoResize&&!this.autoResize?this.setAttribute("auto-resize",""):!autoResize&&this.autoResize&&this.removeAttribute("auto-resize"),updateAutoResize(this);}static get observedAttributes(){return["auto-resize"];}attributeChangedCallback(name){if("auto-resize"===name)updateAutoResize(this);}}var Svg=element(()=>document.createElementNS("http://www.w3.org/2000/svg","svg"),(element,node,{width:width,height:height})=>{node.setAttribute("viewBox",`0 0 ${width} ${height}`);});"object"==typeof customElements&&"function"==typeof customElements.define&&(customElements.define("d3fc-canvas",Canvas),customElements.define("d3fc-group",Group),customElements.define("d3fc-svg",Svg));var noop$2={value:()=>{}};function dispatch(){for(var t,i=0,n=arguments.length,_={};i<n;++i){if(!(t=arguments[i]+"")||t in _||/[\s.]/.test(t))throw new Error("illegal type: "+t);_[t]=[];}return new Dispatch(_);}function Dispatch(_){this._=_;}function get$1(type,name){for(var c,i=0,n=type.length;i<n;++i)if((c=type[i]).name===name)return c.value;}function set$1(type,name,callback){for(var i=0,n=type.length;i<n;++i)if(type[i].name===name){type[i]=noop$2,type=type.slice(0,i).concat(type.slice(i+1));break;}return null!=callback&&type.push({name:name,value:callback}),type;}function ascending$2(a,b){return a<b?-1:a>b?1:a>=b?0:NaN;}Dispatch.prototype=dispatch.prototype={constructor:Dispatch,on:function(typename,callback){var t,types,_=this._,T=(types=_,(typename+"").trim().split(/^|\s+/).map(function(t){var name="",i=t.indexOf(".");if(i>=0&&(name=t.slice(i+1),t=t.slice(0,i)),t&&!types.hasOwnProperty(t))throw new Error("unknown type: "+t);return{type:t,name:name};})),i=-1,n=T.length;if(!(arguments.length<2)){if(null!=callback&&"function"!=typeof callback)throw new Error("invalid callback: "+callback);for(;++i<n;)if(t=(typename=T[i]).type)_[t]=set$1(_[t],typename.name,callback);else if(null==callback)for(t in _)_[t]=set$1(_[t],typename.name,null);return this;}for(;++i<n;)if((t=(typename=T[i]).type)&&(t=get$1(_[t],typename.name)))return t;},copy:function(){var copy={},_=this._;for(var t in _)copy[t]=_[t].slice();return new Dispatch(copy);},call:function(type,that){if((n=arguments.length-2)>0)for(var n,t,args=new Array(n),i=0;i<n;++i)args[i]=arguments[i+2];if(!this._.hasOwnProperty(type))throw new Error("unknown type: "+type);for(i=0,n=(t=this._[type]).length;i<n;++i)t[i].value.apply(that,args);},apply:function(type,that,args){if(!this._.hasOwnProperty(type))throw new Error("unknown type: "+type);for(var t=this._[type],i=0,n=t.length;i<n;++i)t[i].value.apply(that,args);}};var compare,ascendingBisect=(1===(compare=ascending$2).length&&(compare=function(f){return function(d,x){return ascending$2(f(d),x);};}(compare)),{left:function(a,x,lo,hi){for(null==lo&&(lo=0),null==hi&&(hi=a.length);lo<hi;){var mid=lo+hi>>>1;compare(a[mid],x)<0?lo=mid+1:hi=mid;}return lo;},right:function(a,x,lo,hi){for(null==lo&&(lo=0),null==hi&&(hi=a.length);lo<hi;){var mid=lo+hi>>>1;compare(a[mid],x)>0?hi=mid:lo=mid+1;}return lo;}}),bisect=ascendingBisect.right,e10=Math.sqrt(50),e5=Math.sqrt(10),e2=Math.sqrt(2);function tickIncrement(start,stop,count){var step=(stop-start)/Math.max(0,count),power=Math.floor(Math.log(step)/Math.LN10),error=step/Math.pow(10,power);return power>=0?(error>=e10?10:error>=e5?5:error>=e2?2:1)*Math.pow(10,power):-Math.pow(10,-power)/(error>=e10?10:error>=e5?5:error>=e2?2:1);}function initRange(domain,range){switch(arguments.length){case 0:break;case 1:this.range(domain);break;default:this.range(range).domain(domain);}return this;}function define(constructor,factory,prototype){constructor.prototype=factory.prototype=prototype,prototype.constructor=constructor;}function extend(parent,definition){var prototype=Object.create(parent.prototype);for(var key in definition)prototype[key]=definition[key];return prototype;}function Color(){}var brighter=1/.7,reI="\\s*([+-]?\\d+)\\s*",reN="\\s*([+-]?\\d*\\.?\\d+(?:[eE][+-]?\\d+)?)\\s*",reP="\\s*([+-]?\\d*\\.?\\d+(?:[eE][+-]?\\d+)?)%\\s*",reHex=/^#([0-9a-f]{3,8})$/,reRgbInteger=new RegExp("^rgb\\("+[reI,reI,reI]+"\\)$"),reRgbPercent=new RegExp("^rgb\\("+[reP,reP,reP]+"\\)$"),reRgbaInteger=new RegExp("^rgba\\("+[reI,reI,reI,reN]+"\\)$"),reRgbaPercent=new RegExp("^rgba\\("+[reP,reP,reP,reN]+"\\)$"),reHslPercent=new RegExp("^hsl\\("+[reN,reP,reP]+"\\)$"),reHslaPercent=new RegExp("^hsla\\("+[reN,reP,reP,reN]+"\\)$"),named={aliceblue:15792383,antiquewhite:16444375,aqua:65535,aquamarine:8388564,azure:15794175,beige:16119260,bisque:16770244,black:0,blanchedalmond:16772045,blue:255,blueviolet:9055202,brown:10824234,burlywood:14596231,cadetblue:6266528,chartreuse:8388352,chocolate:13789470,coral:16744272,cornflowerblue:6591981,cornsilk:16775388,crimson:14423100,cyan:65535,darkblue:139,darkcyan:35723,darkgoldenrod:12092939,darkgray:11119017,darkgreen:25600,darkgrey:11119017,darkkhaki:12433259,darkmagenta:9109643,darkolivegreen:5597999,darkorange:16747520,darkorchid:10040012,darkred:9109504,darksalmon:15308410,darkseagreen:9419919,darkslateblue:4734347,darkslategray:3100495,darkslategrey:3100495,darkturquoise:52945,darkviolet:9699539,deeppink:16716947,deepskyblue:49151,dimgray:6908265,dimgrey:6908265,dodgerblue:2003199,firebrick:11674146,floralwhite:16775920,forestgreen:2263842,fuchsia:16711935,gainsboro:14474460,ghostwhite:16316671,gold:16766720,goldenrod:14329120,gray:8421504,green:32768,greenyellow:11403055,grey:8421504,honeydew:15794160,hotpink:16738740,indianred:13458524,indigo:4915330,ivory:16777200,khaki:15787660,lavender:15132410,lavenderblush:16773365,lawngreen:8190976,lemonchiffon:16775885,lightblue:11393254,lightcoral:15761536,lightcyan:14745599,lightgoldenrodyellow:16448210,lightgray:13882323,lightgreen:9498256,lightgrey:13882323,lightpink:16758465,lightsalmon:16752762,lightseagreen:2142890,lightskyblue:8900346,lightslategray:7833753,lightslategrey:7833753,lightsteelblue:11584734,lightyellow:16777184,lime:65280,limegreen:3329330,linen:16445670,magenta:16711935,maroon:8388608,mediumaquamarine:6737322,mediumblue:205,mediumorchid:12211667,mediumpurple:9662683,mediumseagreen:3978097,mediumslateblue:8087790,mediumspringgreen:64154,mediumturquoise:4772300,mediumvioletred:13047173,midnightblue:1644912,mintcream:16121850,mistyrose:16770273,moccasin:16770229,navajowhite:16768685,navy:128,oldlace:16643558,olive:8421376,olivedrab:7048739,orange:16753920,orangered:16729344,orchid:14315734,palegoldenrod:15657130,palegreen:10025880,paleturquoise:11529966,palevioletred:14381203,papayawhip:16773077,peachpuff:16767673,peru:13468991,pink:16761035,plum:14524637,powderblue:11591910,purple:8388736,rebeccapurple:6697881,red:16711680,rosybrown:12357519,royalblue:4286945,saddlebrown:9127187,salmon:16416882,sandybrown:16032864,seagreen:3050327,seashell:16774638,sienna:10506797,silver:12632256,skyblue:8900331,slateblue:6970061,slategray:7372944,slategrey:7372944,snow:16775930,springgreen:65407,steelblue:4620980,tan:13808780,teal:32896,thistle:14204888,tomato:16737095,turquoise:4251856,violet:15631086,wheat:16113331,white:16777215,whitesmoke:16119285,yellow:16776960,yellowgreen:10145074};function color_formatHex(){return this.rgb().formatHex();}function color_formatRgb(){return this.rgb().formatRgb();}function color(format){var m,l;return format=(format+"").trim().toLowerCase(),(m=reHex.exec(format))?(l=m[1].length,m=parseInt(m[1],16),6===l?rgbn(m):3===l?new Rgb(m>>8&15|m>>4&240,m>>4&15|240&m,(15&m)<<4|15&m,1):8===l?rgba(m>>24&255,m>>16&255,m>>8&255,(255&m)/255):4===l?rgba(m>>12&15|m>>8&240,m>>8&15|m>>4&240,m>>4&15|240&m,((15&m)<<4|15&m)/255):null):(m=reRgbInteger.exec(format))?new Rgb(m[1],m[2],m[3],1):(m=reRgbPercent.exec(format))?new Rgb(255*m[1]/100,255*m[2]/100,255*m[3]/100,1):(m=reRgbaInteger.exec(format))?rgba(m[1],m[2],m[3],m[4]):(m=reRgbaPercent.exec(format))?rgba(255*m[1]/100,255*m[2]/100,255*m[3]/100,m[4]):(m=reHslPercent.exec(format))?hsla(m[1],m[2]/100,m[3]/100,1):(m=reHslaPercent.exec(format))?hsla(m[1],m[2]/100,m[3]/100,m[4]):named.hasOwnProperty(format)?rgbn(named[format]):"transparent"===format?new Rgb(NaN,NaN,NaN,0):null;}function rgbn(n){return new Rgb(n>>16&255,n>>8&255,255&n,1);}function rgba(r,g,b,a){return a<=0&&(r=g=b=NaN),new Rgb(r,g,b,a);}function rgb(r,g,b,opacity){return 1===arguments.length?((o=r)instanceof Color||(o=color(o)),o?new Rgb((o=o.rgb()).r,o.g,o.b,o.opacity):new Rgb()):new Rgb(r,g,b,null==opacity?1:opacity);var o;}function Rgb(r,g,b,opacity){this.r=+r,this.g=+g,this.b=+b,this.opacity=+opacity;}function rgb_formatHex(){return"#"+hex(this.r)+hex(this.g)+hex(this.b);}function rgb_formatRgb(){var a=this.opacity;return(1===(a=isNaN(a)?1:Math.max(0,Math.min(1,a)))?"rgb(":"rgba(")+Math.max(0,Math.min(255,Math.round(this.r)||0))+", "+Math.max(0,Math.min(255,Math.round(this.g)||0))+", "+Math.max(0,Math.min(255,Math.round(this.b)||0))+(1===a?")":", "+a+")");}function hex(value){return((value=Math.max(0,Math.min(255,Math.round(value)||0)))<16?"0":"")+value.toString(16);}function hsla(h,s,l,a){return a<=0?h=s=l=NaN:l<=0||l>=1?h=s=NaN:s<=0&&(h=NaN),new Hsl(h,s,l,a);}function hslConvert(o){if(o instanceof Hsl)return new Hsl(o.h,o.s,o.l,o.opacity);if(o instanceof Color||(o=color(o)),!o)return new Hsl();if(o instanceof Hsl)return o;var r=(o=o.rgb()).r/255,g=o.g/255,b=o.b/255,min=Math.min(r,g,b),max=Math.max(r,g,b),h=NaN,s=max-min,l=(max+min)/2;return s?(h=r===max?(g-b)/s+6*(g<b):g===max?(b-r)/s+2:(r-g)/s+4,s/=l<.5?max+min:2-max-min,h*=60):s=l>0&&l<1?0:h,new Hsl(h,s,l,o.opacity);}function Hsl(h,s,l,opacity){this.h=+h,this.s=+s,this.l=+l,this.opacity=+opacity;}function hsl2rgb(h,m1,m2){return 255*(h<60?m1+(m2-m1)*h/60:h<180?m2:h<240?m1+(m2-m1)*(240-h)/60:m1);}define(Color,color,{copy:function(channels){return Object.assign(new this.constructor(),this,channels);},displayable:function(){return this.rgb().displayable();},hex:color_formatHex,formatHex:color_formatHex,formatHsl:function(){return hslConvert(this).formatHsl();},formatRgb:color_formatRgb,toString:color_formatRgb}),define(Rgb,rgb,extend(Color,{brighter:function(k){return k=null==k?brighter:Math.pow(brighter,k),new Rgb(this.r*k,this.g*k,this.b*k,this.opacity);},darker:function(k){return k=null==k?.7:Math.pow(.7,k),new Rgb(this.r*k,this.g*k,this.b*k,this.opacity);},rgb:function(){return this;},displayable:function(){return-.5<=this.r&&this.r<255.5&&-.5<=this.g&&this.g<255.5&&-.5<=this.b&&this.b<255.5&&0<=this.opacity&&this.opacity<=1;},hex:rgb_formatHex,formatHex:rgb_formatHex,formatRgb:rgb_formatRgb,toString:rgb_formatRgb})),define(Hsl,function(h,s,l,opacity){return 1===arguments.length?hslConvert(h):new Hsl(h,s,l,null==opacity?1:opacity);},extend(Color,{brighter:function(k){return k=null==k?brighter:Math.pow(brighter,k),new Hsl(this.h,this.s,this.l*k,this.opacity);},darker:function(k){return k=null==k?.7:Math.pow(.7,k),new Hsl(this.h,this.s,this.l*k,this.opacity);},rgb:function(){var h=this.h%360+360*(this.h<0),s=isNaN(h)||isNaN(this.s)?0:this.s,l=this.l,m2=l+(l<.5?l:1-l)*s,m1=2*l-m2;return new Rgb(hsl2rgb(h>=240?h-240:h+120,m1,m2),hsl2rgb(h,m1,m2),hsl2rgb(h<120?h+240:h-120,m1,m2),this.opacity);},displayable:function(){return(0<=this.s&&this.s<=1||isNaN(this.s))&&0<=this.l&&this.l<=1&&0<=this.opacity&&this.opacity<=1;},formatHsl:function(){var a=this.opacity;return(1===(a=isNaN(a)?1:Math.max(0,Math.min(1,a)))?"hsl(":"hsla(")+(this.h||0)+", "+100*(this.s||0)+"%, "+100*(this.l||0)+"%"+(1===a?")":", "+a+")");}}));var constant$3=x=>()=>x;function gamma(y){return 1==(y=+y)?nogamma:function(a,b){return b-a?function(a,b,y){return a=Math.pow(a,y),b=Math.pow(b,y)-a,y=1/y,function(t){return Math.pow(a+t*b,y);};}(a,b,y):constant$3(isNaN(a)?b:a);};}function nogamma(a,b){var d=b-a;return d?function(a,d){return function(t){return a+t*d;};}(a,d):constant$3(isNaN(a)?b:a);}var interpolateRgb=function rgbGamma(y){var color=gamma(y);function rgb$1(start,end){var r=color((start=rgb(start)).r,(end=rgb(end)).r),g=color(start.g,end.g),b=color(start.b,end.b),opacity=nogamma(start.opacity,end.opacity);return function(t){return start.r=r(t),start.g=g(t),start.b=b(t),start.opacity=opacity(t),start+"";};}return rgb$1.gamma=rgbGamma,rgb$1;}(1);function numberArray(a,b){b||(b=[]);var i,n=a?Math.min(b.length,a.length):0,c=b.slice();return function(t){for(i=0;i<n;++i)c[i]=a[i]*(1-t)+b[i]*t;return c;};}function genericArray(a,b){var i,nb=b?b.length:0,na=a?Math.min(nb,a.length):0,x=new Array(na),c=new Array(nb);for(i=0;i<na;++i)x[i]=interpolate$1(a[i],b[i]);for(;i<nb;++i)c[i]=b[i];return function(t){for(i=0;i<na;++i)c[i]=x[i](t);return c;};}function date$1(a,b){var d=new Date();return a=+a,b=+b,function(t){return d.setTime(a*(1-t)+b*t),d;};}function interpolateNumber(a,b){return a=+a,b=+b,function(t){return a*(1-t)+b*t;};}function object(a,b){var k,i={},c={};for(k in null!==a&&"object"==typeof a||(a={}),null!==b&&"object"==typeof b||(b={}),b)k in a?i[k]=interpolate$1(a[k],b[k]):c[k]=b[k];return function(t){for(k in i)c[k]=i[k](t);return c;};}var reA=/[-+]?(?:\d+\.?\d*|\.?\d+)(?:[eE][-+]?\d+)?/g,reB=new RegExp(reA.source,"g");function interpolateString(a,b){var am,bm,bs,bi=reA.lastIndex=reB.lastIndex=0,i=-1,s=[],q=[];for(a+="",b+="";(am=reA.exec(a))&&(bm=reB.exec(b));)(bs=bm.index)>bi&&(bs=b.slice(bi,bs),s[i]?s[i]+=bs:s[++i]=bs),(am=am[0])===(bm=bm[0])?s[i]?s[i]+=bm:s[++i]=bm:(s[++i]=null,q.push({i:i,x:interpolateNumber(am,bm)})),bi=reB.lastIndex;return bi<b.length&&(bs=b.slice(bi),s[i]?s[i]+=bs:s[++i]=bs),s.length<2?q[0]?function(b){return function(t){return b(t)+"";};}(q[0].x):function(b){return function(){return b;};}(b):(b=q.length,function(t){for(var o,i=0;i<b;++i)s[(o=q[i]).i]=o.x(t);return s.join("");});}function interpolate$1(a,b){var c,t=typeof b;return null==b||"boolean"===t?constant$3(b):("number"===t?interpolateNumber:"string"===t?(c=color(b))?(b=c,interpolateRgb):interpolateString:b instanceof color?interpolateRgb:b instanceof Date?date$1:function(x){return ArrayBuffer.isView(x)&&!(x instanceof DataView);}(b)?numberArray:Array.isArray(b)?genericArray:"function"!=typeof b.valueOf&&"function"!=typeof b.toString||isNaN(b)?object:interpolateNumber)(a,b);}function interpolateRound(a,b){return a=+a,b=+b,function(t){return Math.round(a*(1-t)+b*t);};}var svgNode,degrees=180/Math.PI,identity$3={translateX:0,translateY:0,rotate:0,skewX:0,scaleX:1,scaleY:1};function decompose(a,b,c,d,e,f){var scaleX,scaleY,skewX;return(scaleX=Math.sqrt(a*a+b*b))&&(a/=scaleX,b/=scaleX),(skewX=a*c+b*d)&&(c-=a*skewX,d-=b*skewX),(scaleY=Math.sqrt(c*c+d*d))&&(c/=scaleY,d/=scaleY,skewX/=scaleY),a*d<b*c&&(a=-a,b=-b,skewX=-skewX,scaleX=-scaleX),{translateX:e,translateY:f,rotate:Math.atan2(b,a)*degrees,skewX:Math.atan(skewX)*degrees,scaleX:scaleX,scaleY:scaleY};}function interpolateTransform(parse,pxComma,pxParen,degParen){function pop(s){return s.length?s.pop()+" ":"";}return function(a,b){var s=[],q=[];return a=parse(a),b=parse(b),function(xa,ya,xb,yb,s,q){if(xa!==xb||ya!==yb){var i=s.push("translate(",null,pxComma,null,pxParen);q.push({i:i-4,x:interpolateNumber(xa,xb)},{i:i-2,x:interpolateNumber(ya,yb)});}else(xb||yb)&&s.push("translate("+xb+pxComma+yb+pxParen);}(a.translateX,a.translateY,b.translateX,b.translateY,s,q),function(a,b,s,q){a!==b?(a-b>180?b+=360:b-a>180&&(a+=360),q.push({i:s.push(pop(s)+"rotate(",null,degParen)-2,x:interpolateNumber(a,b)})):b&&s.push(pop(s)+"rotate("+b+degParen);}(a.rotate,b.rotate,s,q),function(a,b,s,q){a!==b?q.push({i:s.push(pop(s)+"skewX(",null,degParen)-2,x:interpolateNumber(a,b)}):b&&s.push(pop(s)+"skewX("+b+degParen);}(a.skewX,b.skewX,s,q),function(xa,ya,xb,yb,s,q){if(xa!==xb||ya!==yb){var i=s.push(pop(s)+"scale(",null,",",null,")");q.push({i:i-4,x:interpolateNumber(xa,xb)},{i:i-2,x:interpolateNumber(ya,yb)});}else 1===xb&&1===yb||s.push(pop(s)+"scale("+xb+","+yb+")");}(a.scaleX,a.scaleY,b.scaleX,b.scaleY,s,q),a=b=null,function(t){for(var o,i=-1,n=q.length;++i<n;)s[(o=q[i]).i]=o.x(t);return s.join("");};};}var interpolateTransformCss=interpolateTransform(function(value){const m=new("function"==typeof DOMMatrix?DOMMatrix:WebKitCSSMatrix)(value+"");return m.isIdentity?identity$3:decompose(m.a,m.b,m.c,m.d,m.e,m.f);},"px, ","px)","deg)"),interpolateTransformSvg=interpolateTransform(function(value){return null==value?identity$3:(svgNode||(svgNode=document.createElementNS("http://www.w3.org/2000/svg","g")),svgNode.setAttribute("transform",value),(value=svgNode.transform.baseVal.consolidate())?decompose((value=value.matrix).a,value.b,value.c,value.d,value.e,value.f):identity$3);},", ",")",")");function cosh(x){return((x=Math.exp(x))+1/x)/2;}var interpolateZoom=function zoomRho(rho,rho2,rho4){function zoom(p0,p1){var i,S,ux0=p0[0],uy0=p0[1],w0=p0[2],ux1=p1[0],uy1=p1[1],w1=p1[2],dx=ux1-ux0,dy=uy1-uy0,d2=dx*dx+dy*dy;if(d2<1e-12)S=Math.log(w1/w0)/rho,i=function(t){return[ux0+t*dx,uy0+t*dy,w0*Math.exp(rho*t*S)];};else{var d1=Math.sqrt(d2),b0=(w1*w1-w0*w0+rho4*d2)/(2*w0*rho2*d1),b1=(w1*w1-w0*w0-rho4*d2)/(2*w1*rho2*d1),r0=Math.log(Math.sqrt(b0*b0+1)-b0),r1=Math.log(Math.sqrt(b1*b1+1)-b1);S=(r1-r0)/rho,i=function(t){var s=t*S,coshr0=cosh(r0),u=w0/(rho2*d1)*(coshr0*function(x){return((x=Math.exp(2*x))-1)/(x+1);}(rho*s+r0)-function(x){return((x=Math.exp(x))-1/x)/2;}(r0));return[ux0+u*dx,uy0+u*dy,w0*coshr0/cosh(rho*s+r0)];};}return i.duration=1e3*S*rho/Math.SQRT2,i;}return zoom.rho=function(_){var _1=Math.max(.001,+_),_2=_1*_1;return zoomRho(_1,_2,_2*_2);},zoom;}(Math.SQRT2,2,4);function number$2(x){return+x;}var unit=[0,1];function identity$2(x){return x;}function normalize(a,b){return(b-=a=+a)?function(x){return(x-a)/b;}:function(x){return function(){return x;};}(isNaN(b)?NaN:.5);}function bimap(domain,range,interpolate){var d0=domain[0],d1=domain[1],r0=range[0],r1=range[1];return d1<d0?(d0=normalize(d1,d0),r0=interpolate(r1,r0)):(d0=normalize(d0,d1),r0=interpolate(r0,r1)),function(x){return r0(d0(x));};}function polymap(domain,range,interpolate){var j=Math.min(domain.length,range.length)-1,d=new Array(j),r=new Array(j),i=-1;for(domain[j]<domain[0]&&(domain=domain.slice().reverse(),range=range.slice().reverse());++i<j;)d[i]=normalize(domain[i],domain[i+1]),r[i]=interpolate(range[i],range[i+1]);return function(x){var i=bisect(domain,x,1,j)-1;return r[i](d[i](x));};}function copy(source,target){return target.domain(source.domain()).range(source.range()).interpolate(source.interpolate()).clamp(source.clamp()).unknown(source.unknown());}function transformer(){var transform,untransform,unknown,piecewise,output,input,domain=unit,range=unit,interpolate=interpolate$1,clamp=identity$2;function rescale(){var n=Math.min(domain.length,range.length);return clamp!==identity$2&&(clamp=function(a,b){var t;return a>b&&(t=a,a=b,b=t),function(x){return Math.max(a,Math.min(b,x));};}(domain[0],domain[n-1])),piecewise=n>2?polymap:bimap,output=input=null,scale;}function scale(x){return null==x||isNaN(x=+x)?unknown:(output||(output=piecewise(domain.map(transform),range,interpolate)))(transform(clamp(x)));}return scale.invert=function(y){return clamp(untransform((input||(input=piecewise(range,domain.map(transform),interpolateNumber)))(y)));},scale.domain=function(_){return arguments.length?(domain=Array.from(_,number$2),rescale()):domain.slice();},scale.range=function(_){return arguments.length?(range=Array.from(_),rescale()):range.slice();},scale.rangeRound=function(_){return range=Array.from(_),interpolate=interpolateRound,rescale();},scale.clamp=function(_){return arguments.length?(clamp=!!_||identity$2,rescale()):clamp!==identity$2;},scale.interpolate=function(_){return arguments.length?(interpolate=_,rescale()):interpolate;},scale.unknown=function(_){return arguments.length?(unknown=_,scale):unknown;},function(t,u){return transform=t,untransform=u,rescale();};}function continuous(){return transformer()(identity$2,identity$2);}function tickFormat(start,stop,count,specifier){var precision,step=function(start,stop,count){var step0=Math.abs(stop-start)/Math.max(0,count),step1=Math.pow(10,Math.floor(Math.log(step0)/Math.LN10)),error=step0/step1;return error>=e10?step1*=10:error>=e5?step1*=5:error>=e2&&(step1*=2),stop<start?-step1:step1;}(start,stop,count);switch((specifier=formatSpecifier(null==specifier?",f":specifier)).type){case"s":var value=Math.max(Math.abs(start),Math.abs(stop));return null!=specifier.precision||isNaN(precision=function(step,value){return Math.max(0,3*Math.max(-8,Math.min(8,Math.floor(exponent(value)/3)))-exponent(Math.abs(step)));}(step,value))||(specifier.precision=precision),formatPrefix(specifier,value);case"":case"e":case"g":case"p":case"r":null!=specifier.precision||isNaN(precision=function(step,max){return step=Math.abs(step),max=Math.abs(max)-step,Math.max(0,exponent(max)-exponent(step))+1;}(step,Math.max(Math.abs(start),Math.abs(stop))))||(specifier.precision=precision-("e"===specifier.type));break;case"f":case"%":null!=specifier.precision||isNaN(precision=function(step){return Math.max(0,-exponent(Math.abs(step)));}(step))||(specifier.precision=precision-2*("%"===specifier.type));}return format(specifier);}function linearish(scale){var domain=scale.domain;return scale.ticks=function(count){var d=domain();return function(start,stop,count){var reverse,n,ticks,step,i=-1;if(count=+count,(start=+start)==(stop=+stop)&&count>0)return[start];if((reverse=stop<start)&&(n=start,start=stop,stop=n),0===(step=tickIncrement(start,stop,count))||!isFinite(step))return[];if(step>0)for(start=Math.ceil(start/step),stop=Math.floor(stop/step),ticks=new Array(n=Math.ceil(stop-start+1));++i<n;)ticks[i]=(start+i)*step;else for(start=Math.floor(start*step),stop=Math.ceil(stop*step),ticks=new Array(n=Math.ceil(start-stop+1));++i<n;)ticks[i]=(start-i)/step;return reverse&&ticks.reverse(),ticks;}(d[0],d[d.length-1],null==count?10:count);},scale.tickFormat=function(count,specifier){var d=domain();return tickFormat(d[0],d[d.length-1],null==count?10:count,specifier);},scale.nice=function(count){null==count&&(count=10);var prestep,step,d=domain(),i0=0,i1=d.length-1,start=d[i0],stop=d[i1],maxIter=10;for(stop<start&&(step=start,start=stop,stop=step,step=i0,i0=i1,i1=step);maxIter-->0;){if((step=tickIncrement(start,stop,count))===prestep)return d[i0]=start,d[i1]=stop,domain(d);if(step>0)start=Math.floor(start/step)*step,stop=Math.ceil(stop/step)*step;else{if(!(step<0))break;start=Math.ceil(start*step)/step,stop=Math.floor(stop*step)/step;}prestep=step;}return scale;},scale;}function linear(){var scale=continuous();return scale.copy=function(){return copy(scale,linear());},initRange.apply(scale,arguments),linearish(scale);}function date(t){return new Date(t);}function number$1(t){return t instanceof Date?+t:+new Date(+t);}function calendar(ticks,tickInterval,year,month,week,day,hour,minute,second,format){var scale=continuous(),invert=scale.invert,domain=scale.domain,formatMillisecond=format(".%L"),formatSecond=format(":%S"),formatMinute=format("%I:%M"),formatHour=format("%I %p"),formatDay=format("%a %d"),formatWeek=format("%b %d"),formatMonth=format("%B"),formatYear=format("%Y");function tickFormat(date){return(second(date)<date?formatMillisecond:minute(date)<date?formatSecond:hour(date)<date?formatMinute:day(date)<date?formatHour:month(date)<date?week(date)<date?formatDay:formatWeek:year(date)<date?formatMonth:formatYear)(date);}return scale.invert=function(y){return new Date(invert(y));},scale.domain=function(_){return arguments.length?domain(Array.from(_,number$1)):domain().map(date);},scale.ticks=function(interval){var d=domain();return ticks(d[0],d[d.length-1],null==interval?10:interval);},scale.tickFormat=function(count,specifier){return null==specifier?tickFormat:format(specifier);},scale.nice=function(interval){var d=domain();return interval&&"function"==typeof interval.range||(interval=tickInterval(d[0],d[d.length-1],null==interval?10:interval)),interval?domain(function(domain,interval){var t,i0=0,i1=(domain=domain.slice()).length-1,x0=domain[i0],x1=domain[i1];return x1<x0&&(t=i0,i0=i1,i1=t,t=x0,x0=x1,x1=t),domain[i0]=interval.floor(x0),domain[i1]=interval.ceil(x1),domain;}(d,interval)):scale;},scale.copy=function(){return copy(scale,calendar(ticks,tickInterval,year,month,week,day,hour,minute,second,format));},scale;}function time(){return initRange.apply(calendar(timeTicks,timeTickInterval,timeYear,timeMonth,sunday,timeDay,timeHour,timeMinute,utcSecond,timeFormat).domain([new Date(2e3,0,1),new Date(2e3,0,2)]),arguments);}var xhtml="http://www.w3.org/1999/xhtml",namespaces={svg:"http://www.w3.org/2000/svg",xhtml:xhtml,xlink:"http://www.w3.org/1999/xlink",xml:"http://www.w3.org/XML/1998/namespace",xmlns:"http://www.w3.org/2000/xmlns/"};function namespace(name){var prefix=name+="",i=prefix.indexOf(":");return i>=0&&"xmlns"!==(prefix=name.slice(0,i))&&(name=name.slice(i+1)),namespaces.hasOwnProperty(prefix)?{space:namespaces[prefix],local:name}:name;}function creatorInherit(name){return function(){var document=this.ownerDocument,uri=this.namespaceURI;return uri===xhtml&&document.documentElement.namespaceURI===xhtml?document.createElement(name):document.createElementNS(uri,name);};}function creatorFixed(fullname){return function(){return this.ownerDocument.createElementNS(fullname.space,fullname.local);};}function creator(name){var fullname=namespace(name);return(fullname.local?creatorFixed:creatorInherit)(fullname);}function none(){}function selector(selector){return null==selector?none:function(){return this.querySelector(selector);};}function array(x){return"object"==typeof x&&"length"in x?x:Array.from(x);}function empty(){return[];}function selectorAll(selector){return null==selector?empty:function(){return this.querySelectorAll(selector);};}function matcher(selector){return function(){return this.matches(selector);};}function childMatcher(selector){return function(node){return node.matches(selector);};}var find=Array.prototype.find;function childFirst(){return this.firstElementChild;}var filter=Array.prototype.filter;function children(){return this.children;}function sparse(update){return new Array(update.length);}function EnterNode(parent,datum){this.ownerDocument=parent.ownerDocument,this.namespaceURI=parent.namespaceURI,this._next=null,this._parent=parent,this.__data__=datum;}function bindIndex(parent,group,enter,update,exit,data){for(var node,i=0,groupLength=group.length,dataLength=data.length;i<dataLength;++i)(node=group[i])?(node.__data__=data[i],update[i]=node):enter[i]=new EnterNode(parent,data[i]);for(;i<groupLength;++i)(node=group[i])&&(exit[i]=node);}function bindKey(parent,group,enter,update,exit,data,key){var i,node,keyValue,nodeByKeyValue=new Map(),groupLength=group.length,dataLength=data.length,keyValues=new Array(groupLength);for(i=0;i<groupLength;++i)(node=group[i])&&(keyValues[i]=keyValue=key.call(node,node.__data__,i,group)+"",nodeByKeyValue.has(keyValue)?exit[i]=node:nodeByKeyValue.set(keyValue,node));for(i=0;i<dataLength;++i)keyValue=key.call(parent,data[i],i,data)+"",(node=nodeByKeyValue.get(keyValue))?(update[i]=node,node.__data__=data[i],nodeByKeyValue.delete(keyValue)):enter[i]=new EnterNode(parent,data[i]);for(i=0;i<groupLength;++i)(node=group[i])&&nodeByKeyValue.get(keyValues[i])===node&&(exit[i]=node);}function datum(node){return node.__data__;}function ascending$1(a,b){return a<b?-1:a>b?1:a>=b?0:NaN;}function attrRemove$1(name){return function(){this.removeAttribute(name);};}function attrRemoveNS$1(fullname){return function(){this.removeAttributeNS(fullname.space,fullname.local);};}function attrConstant$1(name,value){return function(){this.setAttribute(name,value);};}function attrConstantNS$1(fullname,value){return function(){this.setAttributeNS(fullname.space,fullname.local,value);};}function attrFunction$1(name,value){return function(){var v=value.apply(this,arguments);null==v?this.removeAttribute(name):this.setAttribute(name,v);};}function attrFunctionNS$1(fullname,value){return function(){var v=value.apply(this,arguments);null==v?this.removeAttributeNS(fullname.space,fullname.local):this.setAttributeNS(fullname.space,fullname.local,v);};}function defaultView(node){return node.ownerDocument&&node.ownerDocument.defaultView||node.document&&node||node.defaultView;}function styleRemove$1(name){return function(){this.style.removeProperty(name);};}function styleConstant$1(name,value,priority){return function(){this.style.setProperty(name,value,priority);};}function styleFunction$1(name,value,priority){return function(){var v=value.apply(this,arguments);null==v?this.style.removeProperty(name):this.style.setProperty(name,v,priority);};}function styleValue(node,name){return node.style.getPropertyValue(name)||defaultView(node).getComputedStyle(node,null).getPropertyValue(name);}function propertyRemove(name){return function(){delete this[name];};}function propertyConstant(name,value){return function(){this[name]=value;};}function propertyFunction(name,value){return function(){var v=value.apply(this,arguments);null==v?delete this[name]:this[name]=v;};}function classArray(string){return string.trim().split(/^|\s+/);}function classList(node){return node.classList||new ClassList(node);}function ClassList(node){this._node=node,this._names=classArray(node.getAttribute("class")||"");}function classedAdd(node,names){for(var list=classList(node),i=-1,n=names.length;++i<n;)list.add(names[i]);}function classedRemove(node,names){for(var list=classList(node),i=-1,n=names.length;++i<n;)list.remove(names[i]);}function classedTrue(names){return function(){classedAdd(this,names);};}function classedFalse(names){return function(){classedRemove(this,names);};}function classedFunction(names,value){return function(){(value.apply(this,arguments)?classedAdd:classedRemove)(this,names);};}function textRemove(){this.textContent="";}function textConstant$1(value){return function(){this.textContent=value;};}function textFunction$1(value){return function(){var v=value.apply(this,arguments);this.textContent=null==v?"":v;};}function htmlRemove(){this.innerHTML="";}function htmlConstant(value){return function(){this.innerHTML=value;};}function htmlFunction(value){return function(){var v=value.apply(this,arguments);this.innerHTML=null==v?"":v;};}function raise(){this.nextSibling&&this.parentNode.appendChild(this);}function lower(){this.previousSibling&&this.parentNode.insertBefore(this,this.parentNode.firstChild);}function constantNull(){return null;}function remove(){var parent=this.parentNode;parent&&parent.removeChild(this);}function selection_cloneShallow(){var clone=this.cloneNode(!1),parent=this.parentNode;return parent?parent.insertBefore(clone,this.nextSibling):clone;}function selection_cloneDeep(){var clone=this.cloneNode(!0),parent=this.parentNode;return parent?parent.insertBefore(clone,this.nextSibling):clone;}function onRemove(typename){return function(){var on=this.__on;if(on){for(var o,j=0,i=-1,m=on.length;j<m;++j)o=on[j],typename.type&&o.type!==typename.type||o.name!==typename.name?on[++i]=o:this.removeEventListener(o.type,o.listener,o.options);++i?on.length=i:delete this.__on;}};}function onAdd(typename,value,options){return function(){var o,on=this.__on,listener=function(listener){return function(event){listener.call(this,event,this.__data__);};}(value);if(on)for(var j=0,m=on.length;j<m;++j)if((o=on[j]).type===typename.type&&o.name===typename.name)return this.removeEventListener(o.type,o.listener,o.options),this.addEventListener(o.type,o.listener=listener,o.options=options),void(o.value=value);this.addEventListener(typename.type,listener,options),o={type:typename.type,name:typename.name,value:value,listener:listener,options:options},on?on.push(o):this.__on=[o];};}function dispatchEvent(node,type,params){var window=defaultView(node),event=window.CustomEvent;"function"==typeof event?event=new event(type,params):(event=window.document.createEvent("Event"),params?(event.initEvent(type,params.bubbles,params.cancelable),event.detail=params.detail):event.initEvent(type,!1,!1)),node.dispatchEvent(event);}function dispatchConstant(type,params){return function(){return dispatchEvent(this,type,params);};}function dispatchFunction(type,params){return function(){return dispatchEvent(this,type,params.apply(this,arguments));};}EnterNode.prototype={constructor:EnterNode,appendChild:function(child){return this._parent.insertBefore(child,this._next);},insertBefore:function(child,next){return this._parent.insertBefore(child,next);},querySelector:function(selector){return this._parent.querySelector(selector);},querySelectorAll:function(selector){return this._parent.querySelectorAll(selector);}},ClassList.prototype={add:function(name){this._names.indexOf(name)<0&&(this._names.push(name),this._node.setAttribute("class",this._names.join(" ")));},remove:function(name){var i=this._names.indexOf(name);i>=0&&(this._names.splice(i,1),this._node.setAttribute("class",this._names.join(" ")));},contains:function(name){return this._names.indexOf(name)>=0;}};var root=[null];function Selection$1(groups,parents){this._groups=groups,this._parents=parents;}function selection(){return new Selection$1([[document.documentElement]],root);}function select(selector){return"string"==typeof selector?new Selection$1([[document.querySelector(selector)]],[document.documentElement]):new Selection$1([[selector]],root);}function sourceEvent(event){let sourceEvent;for(;sourceEvent=event.sourceEvent;)event=sourceEvent;return event;}function pointer$2(event,node){if(event=sourceEvent(event),void 0===node&&(node=event.currentTarget),node){var svg=node.ownerSVGElement||node;if(svg.createSVGPoint){var point=svg.createSVGPoint();return point.x=event.clientX,point.y=event.clientY,[(point=point.matrixTransform(node.getScreenCTM().inverse())).x,point.y];}if(node.getBoundingClientRect){var rect=node.getBoundingClientRect();return[event.clientX-rect.left-node.clientLeft,event.clientY-rect.top-node.clientTop];}}return[event.pageX,event.pageY];}function nopropagation$1(event){event.stopImmediatePropagation();}function noevent$1(event){event.preventDefault(),event.stopImmediatePropagation();}function dragDisable(view){var root=view.document.documentElement,selection=select(view).on("dragstart.drag",noevent$1,!0);"onselectstart"in root?selection.on("selectstart.drag",noevent$1,!0):(root.__noselect=root.style.MozUserSelect,root.style.MozUserSelect="none");}function yesdrag(view,noclick){var root=view.document.documentElement,selection=select(view).on("dragstart.drag",null);noclick&&(selection.on("click.drag",noevent$1,!0),setTimeout(function(){selection.on("click.drag",null);},0)),"onselectstart"in root?selection.on("selectstart.drag",null):(root.style.MozUserSelect=root.__noselect,delete root.__noselect);}Selection$1.prototype=selection.prototype={constructor:Selection$1,select:function(select){"function"!=typeof select&&(select=selector(select));for(var groups=this._groups,m=groups.length,subgroups=new Array(m),j=0;j<m;++j)for(var node,subnode,group=groups[j],n=group.length,subgroup=subgroups[j]=new Array(n),i=0;i<n;++i)(node=group[i])&&(subnode=select.call(node,node.__data__,i,group))&&("__data__"in node&&(subnode.__data__=node.__data__),subgroup[i]=subnode);return new Selection$1(subgroups,this._parents);},selectAll:function(select){select="function"==typeof select?function(select){return function(){var group=select.apply(this,arguments);return null==group?[]:array(group);};}(select):selectorAll(select);for(var groups=this._groups,m=groups.length,subgroups=[],parents=[],j=0;j<m;++j)for(var node,group=groups[j],n=group.length,i=0;i<n;++i)(node=group[i])&&(subgroups.push(select.call(node,node.__data__,i,group)),parents.push(node));return new Selection$1(subgroups,parents);},selectChild:function(match){return this.select(null==match?childFirst:function(match){return function(){return find.call(this.children,match);};}("function"==typeof match?match:childMatcher(match)));},selectChildren:function(match){return this.selectAll(null==match?children:function(match){return function(){return filter.call(this.children,match);};}("function"==typeof match?match:childMatcher(match)));},filter:function(match){"function"!=typeof match&&(match=matcher(match));for(var groups=this._groups,m=groups.length,subgroups=new Array(m),j=0;j<m;++j)for(var node,group=groups[j],n=group.length,subgroup=subgroups[j]=[],i=0;i<n;++i)(node=group[i])&&match.call(node,node.__data__,i,group)&&subgroup.push(node);return new Selection$1(subgroups,this._parents);},data:function(value,key){if(!arguments.length)return Array.from(this,datum);var bind=key?bindKey:bindIndex,parents=this._parents,groups=this._groups;"function"!=typeof value&&(value=function(x){return function(){return x;};}(value));for(var m=groups.length,update=new Array(m),enter=new Array(m),exit=new Array(m),j=0;j<m;++j){var parent=parents[j],group=groups[j],groupLength=group.length,data=array(value.call(parent,parent&&parent.__data__,j,parents)),dataLength=data.length,enterGroup=enter[j]=new Array(dataLength),updateGroup=update[j]=new Array(dataLength);bind(parent,group,enterGroup,updateGroup,exit[j]=new Array(groupLength),data,key);for(var previous,next,i0=0,i1=0;i0<dataLength;++i0)if(previous=enterGroup[i0]){for(i0>=i1&&(i1=i0+1);!(next=updateGroup[i1])&&++i1<dataLength;);previous._next=next||null;}}return(update=new Selection$1(update,parents))._enter=enter,update._exit=exit,update;},enter:function(){return new Selection$1(this._enter||this._groups.map(sparse),this._parents);},exit:function(){return new Selection$1(this._exit||this._groups.map(sparse),this._parents);},join:function(onenter,onupdate,onexit){var enter=this.enter(),update=this,exit=this.exit();return enter="function"==typeof onenter?onenter(enter):enter.append(onenter+""),null!=onupdate&&(update=onupdate(update)),null==onexit?exit.remove():onexit(exit),enter&&update?enter.merge(update).order():update;},merge:function(selection){if(!(selection instanceof Selection$1))throw new Error("invalid merge");for(var groups0=this._groups,groups1=selection._groups,m0=groups0.length,m1=groups1.length,m=Math.min(m0,m1),merges=new Array(m0),j=0;j<m;++j)for(var node,group0=groups0[j],group1=groups1[j],n=group0.length,merge=merges[j]=new Array(n),i=0;i<n;++i)(node=group0[i]||group1[i])&&(merge[i]=node);for(;j<m0;++j)merges[j]=groups0[j];return new Selection$1(merges,this._parents);},selection:function(){return this;},order:function(){for(var groups=this._groups,j=-1,m=groups.length;++j<m;)for(var node,group=groups[j],i=group.length-1,next=group[i];--i>=0;)(node=group[i])&&(next&&4^node.compareDocumentPosition(next)&&next.parentNode.insertBefore(node,next),next=node);return this;},sort:function(compare){function compareNode(a,b){return a&&b?compare(a.__data__,b.__data__):!a-!b;}compare||(compare=ascending$1);for(var groups=this._groups,m=groups.length,sortgroups=new Array(m),j=0;j<m;++j){for(var node,group=groups[j],n=group.length,sortgroup=sortgroups[j]=new Array(n),i=0;i<n;++i)(node=group[i])&&(sortgroup[i]=node);sortgroup.sort(compareNode);}return new Selection$1(sortgroups,this._parents).order();},call:function(){var callback=arguments[0];return arguments[0]=this,callback.apply(null,arguments),this;},nodes:function(){return Array.from(this);},node:function(){for(var groups=this._groups,j=0,m=groups.length;j<m;++j)for(var group=groups[j],i=0,n=group.length;i<n;++i){var node=group[i];if(node)return node;}return null;},size:function(){let size=0;for(const node of this)++size;return size;},empty:function(){return!this.node();},each:function(callback){for(var groups=this._groups,j=0,m=groups.length;j<m;++j)for(var node,group=groups[j],i=0,n=group.length;i<n;++i)(node=group[i])&&callback.call(node,node.__data__,i,group);return this;},attr:function(name,value){var fullname=namespace(name);if(arguments.length<2){var node=this.node();return fullname.local?node.getAttributeNS(fullname.space,fullname.local):node.getAttribute(fullname);}return this.each((null==value?fullname.local?attrRemoveNS$1:attrRemove$1:"function"==typeof value?fullname.local?attrFunctionNS$1:attrFunction$1:fullname.local?attrConstantNS$1:attrConstant$1)(fullname,value));},style:function(name,value,priority){return arguments.length>1?this.each((null==value?styleRemove$1:"function"==typeof value?styleFunction$1:styleConstant$1)(name,value,null==priority?"":priority)):styleValue(this.node(),name);},property:function(name,value){return arguments.length>1?this.each((null==value?propertyRemove:"function"==typeof value?propertyFunction:propertyConstant)(name,value)):this.node()[name];},classed:function(name,value){var names=classArray(name+"");if(arguments.length<2){for(var list=classList(this.node()),i=-1,n=names.length;++i<n;)if(!list.contains(names[i]))return!1;return!0;}return this.each(("function"==typeof value?classedFunction:value?classedTrue:classedFalse)(names,value));},text:function(value){return arguments.length?this.each(null==value?textRemove:("function"==typeof value?textFunction$1:textConstant$1)(value)):this.node().textContent;},html:function(value){return arguments.length?this.each(null==value?htmlRemove:("function"==typeof value?htmlFunction:htmlConstant)(value)):this.node().innerHTML;},raise:function(){return this.each(raise);},lower:function(){return this.each(lower);},append:function(name){var create="function"==typeof name?name:creator(name);return this.select(function(){return this.appendChild(create.apply(this,arguments));});},insert:function(name,before){var create="function"==typeof name?name:creator(name),select=null==before?constantNull:"function"==typeof before?before:selector(before);return this.select(function(){return this.insertBefore(create.apply(this,arguments),select.apply(this,arguments)||null);});},remove:function(){return this.each(remove);},clone:function(deep){return this.select(deep?selection_cloneDeep:selection_cloneShallow);},datum:function(value){return arguments.length?this.property("__data__",value):this.node().__data__;},on:function(typename,value,options){var i,t,typenames=function(typenames){return typenames.trim().split(/^|\s+/).map(function(t){var name="",i=t.indexOf(".");return i>=0&&(name=t.slice(i+1),t=t.slice(0,i)),{type:t,name:name};});}(typename+""),n=typenames.length;if(!(arguments.length<2)){for(on=value?onAdd:onRemove,i=0;i<n;++i)this.each(on(typenames[i],value,options));return this;}var on=this.node().__on;if(on)for(var o,j=0,m=on.length;j<m;++j)for(i=0,o=on[j];i<n;++i)if((t=typenames[i]).type===o.type&&t.name===o.name)return o.value;},dispatch:function(type,params){return this.each(("function"==typeof params?dispatchFunction:dispatchConstant)(type,params));},[Symbol.iterator]:function*(){for(var groups=this._groups,j=0,m=groups.length;j<m;++j)for(var node,group=groups[j],i=0,n=group.length;i<n;++i)(node=group[i])&&(yield node);}};var constant$1=x=>()=>x;function DragEvent(type,{sourceEvent:sourceEvent,subject:subject,target:target,identifier:identifier,active:active,x:x,y:y,dx:dx,dy:dy,dispatch:dispatch}){Object.defineProperties(this,{type:{value:type,enumerable:!0,configurable:!0},sourceEvent:{value:sourceEvent,enumerable:!0,configurable:!0},subject:{value:subject,enumerable:!0,configurable:!0},target:{value:target,enumerable:!0,configurable:!0},identifier:{value:identifier,enumerable:!0,configurable:!0},active:{value:active,enumerable:!0,configurable:!0},x:{value:x,enumerable:!0,configurable:!0},y:{value:y,enumerable:!0,configurable:!0},dx:{value:dx,enumerable:!0,configurable:!0},dy:{value:dy,enumerable:!0,configurable:!0},_:{value:dispatch}});}function defaultFilter$1(event){return!event.ctrlKey&&!event.button;}function defaultContainer(){return this.parentNode;}function defaultSubject(event,d){return null==d?{x:event.x,y:event.y}:d;}function defaultTouchable$1(){return navigator.maxTouchPoints||"ontouchstart"in this;}function d3Drag(){var mousedownx,mousedowny,mousemoving,touchending,filter=defaultFilter$1,container=defaultContainer,subject=defaultSubject,touchable=defaultTouchable$1,gestures={},listeners=dispatch("start","drag","end"),active=0,clickDistance2=0;function drag(selection){selection.on("mousedown.drag",mousedowned).filter(touchable).on("touchstart.drag",touchstarted).on("touchmove.drag",touchmoved).on("touchend.drag touchcancel.drag",touchended).style("touch-action","none").style("-webkit-tap-highlight-color","rgba(0,0,0,0)");}function mousedowned(event,d){if(!touchending&&filter.call(this,event,d)){var gesture=beforestart(this,container.call(this,event,d),event,d,"mouse");gesture&&(select(event.view).on("mousemove.drag",mousemoved,!0).on("mouseup.drag",mouseupped,!0),dragDisable(event.view),nopropagation$1(event),mousemoving=!1,mousedownx=event.clientX,mousedowny=event.clientY,gesture("start",event));}}function mousemoved(event){if(noevent$1(event),!mousemoving){var dx=event.clientX-mousedownx,dy=event.clientY-mousedowny;mousemoving=dx*dx+dy*dy>clickDistance2;}gestures.mouse("drag",event);}function mouseupped(event){select(event.view).on("mousemove.drag mouseup.drag",null),yesdrag(event.view,mousemoving),noevent$1(event),gestures.mouse("end",event);}function touchstarted(event,d){if(filter.call(this,event,d)){var i,gesture,touches=event.changedTouches,c=container.call(this,event,d),n=touches.length;for(i=0;i<n;++i)(gesture=beforestart(this,c,event,d,touches[i].identifier,touches[i]))&&(nopropagation$1(event),gesture("start",event,touches[i]));}}function touchmoved(event){var i,gesture,touches=event.changedTouches,n=touches.length;for(i=0;i<n;++i)(gesture=gestures[touches[i].identifier])&&(noevent$1(event),gesture("drag",event,touches[i]));}function touchended(event){var i,gesture,touches=event.changedTouches,n=touches.length;for(touchending&&clearTimeout(touchending),touchending=setTimeout(function(){touchending=null;},500),i=0;i<n;++i)(gesture=gestures[touches[i].identifier])&&(nopropagation$1(event),gesture("end",event,touches[i]));}function beforestart(that,container,event,d,identifier,touch){var dx,dy,s,dispatch=listeners.copy(),p=pointer$2(touch||event,container);if(null!=(s=subject.call(that,new DragEvent("beforestart",{sourceEvent:event,target:drag,identifier:identifier,active:active,x:p[0],y:p[1],dx:0,dy:0,dispatch:dispatch}),d)))return dx=s.x-p[0]||0,dy=s.y-p[1]||0,function gesture(type,event,touch){var n,p0=p;switch(type){case"start":gestures[identifier]=gesture,n=active++;break;case"end":delete gestures[identifier],--active;case"drag":p=pointer$2(touch||event,container),n=active;}dispatch.call(type,that,new DragEvent(type,{sourceEvent:event,subject:s,target:drag,identifier:identifier,active:n,x:p[0]+dx,y:p[1]+dy,dx:p[0]-p0[0],dy:p[1]-p0[1],dispatch:dispatch}),d);};}return drag.filter=function(_){return arguments.length?(filter="function"==typeof _?_:constant$1(!!_),drag):filter;},drag.container=function(_){return arguments.length?(container="function"==typeof _?_:constant$1(_),drag):container;},drag.subject=function(_){return arguments.length?(subject="function"==typeof _?_:constant$1(_),drag):subject;},drag.touchable=function(_){return arguments.length?(touchable="function"==typeof _?_:constant$1(!!_),drag):touchable;},drag.on=function(){var value=listeners.on.apply(listeners,arguments);return value===listeners?drag:value;},drag.clickDistance=function(_){return arguments.length?(clickDistance2=(_=+_)*_,drag):Math.sqrt(clickDistance2);},drag;}DragEvent.prototype.on=function(){var value=this._.on.apply(this._,arguments);return value===this._?this:value;};var taskHead,taskTail,frame=0,timeout$1=0,interval=0,pokeDelay=1e3,clockLast=0,clockNow=0,clockSkew=0,clock="object"==typeof performance&&performance.now?performance:Date,setFrame="object"==typeof window&&window.requestAnimationFrame?window.requestAnimationFrame.bind(window):function(f){setTimeout(f,17);};function now(){return clockNow||(setFrame(clearNow),clockNow=clock.now()+clockSkew);}function clearNow(){clockNow=0;}function Timer(){this._call=this._time=this._next=null;}function timer(callback,delay,time){var t=new Timer();return t.restart(callback,delay,time),t;}function wake(){clockNow=(clockLast=clock.now())+clockSkew,frame=timeout$1=0;try{!function(){now(),++frame;for(var e,t=taskHead;t;)(e=clockNow-t._time)>=0&&t._call.call(null,e),t=t._next;--frame;}();}finally{frame=0,function(){var t0,t2,t1=taskHead,time=1/0;for(;t1;)t1._call?(time>t1._time&&(time=t1._time),t0=t1,t1=t1._next):(t2=t1._next,t1._next=null,t1=t0?t0._next=t2:taskHead=t2);taskTail=t0,sleep(time);}(),clockNow=0;}}function poke(){var now=clock.now(),delay=now-clockLast;delay>pokeDelay&&(clockSkew-=delay,clockLast=now);}function sleep(time){frame||(timeout$1&&(timeout$1=clearTimeout(timeout$1)),time-clockNow>24?(time<1/0&&(timeout$1=setTimeout(wake,time-clock.now()-clockSkew)),interval&&(interval=clearInterval(interval))):(interval||(clockLast=clock.now(),interval=setInterval(poke,pokeDelay)),frame=1,setFrame(wake)));}function timeout(callback,delay,time){var t=new Timer();return delay=null==delay?0:+delay,t.restart(elapsed=>{t.stop(),callback(elapsed+delay);},delay,time),t;}Timer.prototype=timer.prototype={constructor:Timer,restart:function(callback,delay,time){if("function"!=typeof callback)throw new TypeError("callback is not a function");time=(null==time?now():+time)+(null==delay?0:+delay),this._next||taskTail===this||(taskTail?taskTail._next=this:taskHead=this,taskTail=this),this._call=callback,this._time=time,sleep();},stop:function(){this._call&&(this._call=null,this._time=1/0,sleep());}};var emptyOn=dispatch("start","end","cancel","interrupt"),emptyTween=[],CREATED=0,SCHEDULED=1,STARTING=2,STARTED=3,RUNNING=4,ENDING=5,ENDED=6;function schedule(node,name,id,index,group,timing){var schedules=node.__transition;if(schedules){if(id in schedules)return;}else node.__transition={};!function(node,id,self){var tween,schedules=node.__transition;function schedule(elapsed){self.state=SCHEDULED,self.timer.restart(start,self.delay,self.time),self.delay<=elapsed&&start(elapsed-self.delay);}function start(elapsed){var i,j,n,o;if(self.state!==SCHEDULED)return stop();for(i in schedules)if((o=schedules[i]).name===self.name){if(o.state===STARTED)return timeout(start);o.state===RUNNING?(o.state=ENDED,o.timer.stop(),o.on.call("interrupt",node,node.__data__,o.index,o.group),delete schedules[i]):+i<id&&(o.state=ENDED,o.timer.stop(),o.on.call("cancel",node,node.__data__,o.index,o.group),delete schedules[i]);}if(timeout(function(){self.state===STARTED&&(self.state=RUNNING,self.timer.restart(tick,self.delay,self.time),tick(elapsed));}),self.state=STARTING,self.on.call("start",node,node.__data__,self.index,self.group),self.state===STARTING){for(self.state=STARTED,tween=new Array(n=self.tween.length),i=0,j=-1;i<n;++i)(o=self.tween[i].value.call(node,node.__data__,self.index,self.group))&&(tween[++j]=o);tween.length=j+1;}}function tick(elapsed){for(var t=elapsed<self.duration?self.ease.call(null,elapsed/self.duration):(self.timer.restart(stop),self.state=ENDING,1),i=-1,n=tween.length;++i<n;)tween[i].call(node,t);self.state===ENDING&&(self.on.call("end",node,node.__data__,self.index,self.group),stop());}function stop(){for(var i in self.state=ENDED,self.timer.stop(),delete schedules[id],schedules)return;delete node.__transition;}schedules[id]=self,self.timer=timer(schedule,0,self.time);}(node,id,{name:name,index:index,group:group,on:emptyOn,tween:emptyTween,time:timing.time,delay:timing.delay,duration:timing.duration,ease:timing.ease,timer:null,state:CREATED});}function init(node,id){var schedule=get(node,id);if(schedule.state>CREATED)throw new Error("too late; already scheduled");return schedule;}function set(node,id){var schedule=get(node,id);if(schedule.state>STARTED)throw new Error("too late; already running");return schedule;}function get(node,id){var schedule=node.__transition;if(!schedule||!(schedule=schedule[id]))throw new Error("transition not found");return schedule;}function interrupt(node,name){var schedule,active,i,schedules=node.__transition,empty=!0;if(schedules){for(i in name=null==name?null:name+"",schedules)(schedule=schedules[i]).name===name?(active=schedule.state>STARTING&&schedule.state<ENDING,schedule.state=ENDED,schedule.timer.stop(),schedule.on.call(active?"interrupt":"cancel",node,node.__data__,schedule.index,schedule.group),delete schedules[i]):empty=!1;empty&&delete node.__transition;}}function tweenRemove(id,name){var tween0,tween1;return function(){var schedule=set(this,id),tween=schedule.tween;if(tween!==tween0)for(var i=0,n=(tween1=tween0=tween).length;i<n;++i)if(tween1[i].name===name){(tween1=tween1.slice()).splice(i,1);break;}schedule.tween=tween1;};}function tweenFunction(id,name,value){var tween0,tween1;if("function"!=typeof value)throw new Error();return function(){var schedule=set(this,id),tween=schedule.tween;if(tween!==tween0){tween1=(tween0=tween).slice();for(var t={name:name,value:value},i=0,n=tween1.length;i<n;++i)if(tween1[i].name===name){tween1[i]=t;break;}i===n&&tween1.push(t);}schedule.tween=tween1;};}function tweenValue(transition,name,value){var id=transition._id;return transition.each(function(){var schedule=set(this,id);(schedule.value||(schedule.value={}))[name]=value.apply(this,arguments);}),function(node){return get(node,id).value[name];};}function interpolate(a,b){var c;return("number"==typeof b?interpolateNumber:b instanceof color?interpolateRgb:(c=color(b))?(b=c,interpolateRgb):interpolateString)(a,b);}function attrRemove(name){return function(){this.removeAttribute(name);};}function attrRemoveNS(fullname){return function(){this.removeAttributeNS(fullname.space,fullname.local);};}function attrConstant(name,interpolate,value1){var string00,interpolate0,string1=value1+"";return function(){var string0=this.getAttribute(name);return string0===string1?null:string0===string00?interpolate0:interpolate0=interpolate(string00=string0,value1);};}function attrConstantNS(fullname,interpolate,value1){var string00,interpolate0,string1=value1+"";return function(){var string0=this.getAttributeNS(fullname.space,fullname.local);return string0===string1?null:string0===string00?interpolate0:interpolate0=interpolate(string00=string0,value1);};}function attrFunction(name,interpolate,value){var string00,string10,interpolate0;return function(){var string0,string1,value1=value(this);if(null!=value1)return(string0=this.getAttribute(name))===(string1=value1+"")?null:string0===string00&&string1===string10?interpolate0:(string10=string1,interpolate0=interpolate(string00=string0,value1));this.removeAttribute(name);};}function attrFunctionNS(fullname,interpolate,value){var string00,string10,interpolate0;return function(){var string0,string1,value1=value(this);if(null!=value1)return(string0=this.getAttributeNS(fullname.space,fullname.local))===(string1=value1+"")?null:string0===string00&&string1===string10?interpolate0:(string10=string1,interpolate0=interpolate(string00=string0,value1));this.removeAttributeNS(fullname.space,fullname.local);};}function attrTweenNS(fullname,value){var t0,i0;function tween(){var i=value.apply(this,arguments);return i!==i0&&(t0=(i0=i)&&function(fullname,i){return function(t){this.setAttributeNS(fullname.space,fullname.local,i.call(this,t));};}(fullname,i)),t0;}return tween._value=value,tween;}function attrTween(name,value){var t0,i0;function tween(){var i=value.apply(this,arguments);return i!==i0&&(t0=(i0=i)&&function(name,i){return function(t){this.setAttribute(name,i.call(this,t));};}(name,i)),t0;}return tween._value=value,tween;}function delayFunction(id,value){return function(){init(this,id).delay=+value.apply(this,arguments);};}function delayConstant(id,value){return value=+value,function(){init(this,id).delay=value;};}function durationFunction(id,value){return function(){set(this,id).duration=+value.apply(this,arguments);};}function durationConstant(id,value){return value=+value,function(){set(this,id).duration=value;};}var Selection=selection.prototype.constructor;function styleRemove(name){return function(){this.style.removeProperty(name);};}var id=0;function Transition(groups,parents,name,id){this._groups=groups,this._parents=parents,this._name=name,this._id=id;}function newId(){return++id;}var selection_prototype=selection.prototype;Transition.prototype={constructor:Transition,select:function(select){var name=this._name,id=this._id;"function"!=typeof select&&(select=selector(select));for(var groups=this._groups,m=groups.length,subgroups=new Array(m),j=0;j<m;++j)for(var node,subnode,group=groups[j],n=group.length,subgroup=subgroups[j]=new Array(n),i=0;i<n;++i)(node=group[i])&&(subnode=select.call(node,node.__data__,i,group))&&("__data__"in node&&(subnode.__data__=node.__data__),subgroup[i]=subnode,schedule(subgroup[i],name,id,i,subgroup,get(node,id)));return new Transition(subgroups,this._parents,name,id);},selectAll:function(select){var name=this._name,id=this._id;"function"!=typeof select&&(select=selectorAll(select));for(var groups=this._groups,m=groups.length,subgroups=[],parents=[],j=0;j<m;++j)for(var node,group=groups[j],n=group.length,i=0;i<n;++i)if(node=group[i]){for(var child,children=select.call(node,node.__data__,i,group),inherit=get(node,id),k=0,l=children.length;k<l;++k)(child=children[k])&&schedule(child,name,id,k,children,inherit);subgroups.push(children),parents.push(node);}return new Transition(subgroups,parents,name,id);},filter:function(match){"function"!=typeof match&&(match=matcher(match));for(var groups=this._groups,m=groups.length,subgroups=new Array(m),j=0;j<m;++j)for(var node,group=groups[j],n=group.length,subgroup=subgroups[j]=[],i=0;i<n;++i)(node=group[i])&&match.call(node,node.__data__,i,group)&&subgroup.push(node);return new Transition(subgroups,this._parents,this._name,this._id);},merge:function(transition){if(transition._id!==this._id)throw new Error();for(var groups0=this._groups,groups1=transition._groups,m0=groups0.length,m1=groups1.length,m=Math.min(m0,m1),merges=new Array(m0),j=0;j<m;++j)for(var node,group0=groups0[j],group1=groups1[j],n=group0.length,merge=merges[j]=new Array(n),i=0;i<n;++i)(node=group0[i]||group1[i])&&(merge[i]=node);for(;j<m0;++j)merges[j]=groups0[j];return new Transition(merges,this._parents,this._name,this._id);},selection:function(){return new Selection(this._groups,this._parents);},transition:function(){for(var name=this._name,id0=this._id,id1=newId(),groups=this._groups,m=groups.length,j=0;j<m;++j)for(var node,group=groups[j],n=group.length,i=0;i<n;++i)if(node=group[i]){var inherit=get(node,id0);schedule(node,name,id1,i,group,{time:inherit.time+inherit.delay+inherit.duration,delay:0,duration:inherit.duration,ease:inherit.ease});}return new Transition(groups,this._parents,name,id1);},call:selection_prototype.call,nodes:selection_prototype.nodes,node:selection_prototype.node,size:selection_prototype.size,empty:selection_prototype.empty,each:selection_prototype.each,on:function(name,listener){var id=this._id;return arguments.length<2?get(this.node(),id).on.on(name):this.each(function(id,name,listener){var on0,on1,sit=function(name){return(name+"").trim().split(/^|\s+/).every(function(t){var i=t.indexOf(".");return i>=0&&(t=t.slice(0,i)),!t||"start"===t;});}(name)?init:set;return function(){var schedule=sit(this,id),on=schedule.on;on!==on0&&(on1=(on0=on).copy()).on(name,listener),schedule.on=on1;};}(id,name,listener));},attr:function(name,value){var fullname=namespace(name),i="transform"===fullname?interpolateTransformSvg:interpolate;return this.attrTween(name,"function"==typeof value?(fullname.local?attrFunctionNS:attrFunction)(fullname,i,tweenValue(this,"attr."+name,value)):null==value?(fullname.local?attrRemoveNS:attrRemove)(fullname):(fullname.local?attrConstantNS:attrConstant)(fullname,i,value));},attrTween:function(name,value){var key="attr."+name;if(arguments.length<2)return(key=this.tween(key))&&key._value;if(null==value)return this.tween(key,null);if("function"!=typeof value)throw new Error();var fullname=namespace(name);return this.tween(key,(fullname.local?attrTweenNS:attrTween)(fullname,value));},style:function(name,value,priority){var i="transform"==(name+="")?interpolateTransformCss:interpolate;return null==value?this.styleTween(name,function(name,interpolate){var string00,string10,interpolate0;return function(){var string0=styleValue(this,name),string1=(this.style.removeProperty(name),styleValue(this,name));return string0===string1?null:string0===string00&&string1===string10?interpolate0:interpolate0=interpolate(string00=string0,string10=string1);};}(name,i)).on("end.style."+name,styleRemove(name)):"function"==typeof value?this.styleTween(name,function(name,interpolate,value){var string00,string10,interpolate0;return function(){var string0=styleValue(this,name),value1=value(this),string1=value1+"";return null==value1&&(this.style.removeProperty(name),string1=value1=styleValue(this,name)),string0===string1?null:string0===string00&&string1===string10?interpolate0:(string10=string1,interpolate0=interpolate(string00=string0,value1));};}(name,i,tweenValue(this,"style."+name,value))).each(function(id,name){var on0,on1,listener0,remove,key="style."+name,event="end."+key;return function(){var schedule=set(this,id),on=schedule.on,listener=null==schedule.value[key]?remove||(remove=styleRemove(name)):void 0;on===on0&&listener0===listener||(on1=(on0=on).copy()).on(event,listener0=listener),schedule.on=on1;};}(this._id,name)):this.styleTween(name,function(name,interpolate,value1){var string00,interpolate0,string1=value1+"";return function(){var string0=styleValue(this,name);return string0===string1?null:string0===string00?interpolate0:interpolate0=interpolate(string00=string0,value1);};}(name,i,value),priority).on("end.style."+name,null);},styleTween:function(name,value,priority){var key="style."+(name+="");if(arguments.length<2)return(key=this.tween(key))&&key._value;if(null==value)return this.tween(key,null);if("function"!=typeof value)throw new Error();return this.tween(key,function(name,value,priority){var t,i0;function tween(){var i=value.apply(this,arguments);return i!==i0&&(t=(i0=i)&&function(name,i,priority){return function(t){this.style.setProperty(name,i.call(this,t),priority);};}(name,i,priority)),t;}return tween._value=value,tween;}(name,value,null==priority?"":priority));},text:function(value){return this.tween("text","function"==typeof value?function(value){return function(){var value1=value(this);this.textContent=null==value1?"":value1;};}(tweenValue(this,"text",value)):function(value){return function(){this.textContent=value;};}(null==value?"":value+""));},textTween:function(value){var key="text";if(arguments.length<1)return(key=this.tween(key))&&key._value;if(null==value)return this.tween(key,null);if("function"!=typeof value)throw new Error();return this.tween(key,function(value){var t0,i0;function tween(){var i=value.apply(this,arguments);return i!==i0&&(t0=(i0=i)&&function(i){return function(t){this.textContent=i.call(this,t);};}(i)),t0;}return tween._value=value,tween;}(value));},remove:function(){return this.on("end.remove",function(id){return function(){var parent=this.parentNode;for(var i in this.__transition)if(+i!==id)return;parent&&parent.removeChild(this);};}(this._id));},tween:function(name,value){var id=this._id;if(name+="",arguments.length<2){for(var t,tween=get(this.node(),id).tween,i=0,n=tween.length;i<n;++i)if((t=tween[i]).name===name)return t.value;return null;}return this.each((null==value?tweenRemove:tweenFunction)(id,name,value));},delay:function(value){var id=this._id;return arguments.length?this.each(("function"==typeof value?delayFunction:delayConstant)(id,value)):get(this.node(),id).delay;},duration:function(value){var id=this._id;return arguments.length?this.each(("function"==typeof value?durationFunction:durationConstant)(id,value)):get(this.node(),id).duration;},ease:function(value){var id=this._id;return arguments.length?this.each(function(id,value){if("function"!=typeof value)throw new Error();return function(){set(this,id).ease=value;};}(id,value)):get(this.node(),id).ease;},easeVarying:function(value){if("function"!=typeof value)throw new Error();return this.each(function(id,value){return function(){var v=value.apply(this,arguments);if("function"!=typeof v)throw new Error();set(this,id).ease=v;};}(this._id,value));},end:function(){var on0,on1,that=this,id=that._id,size=that.size();return new Promise(function(resolve,reject){var cancel={value:reject},end={value:function(){0==--size&&resolve();}};that.each(function(){var schedule=set(this,id),on=schedule.on;on!==on0&&((on1=(on0=on).copy())._.cancel.push(cancel),on1._.interrupt.push(cancel),on1._.end.push(end)),schedule.on=on1;}),0===size&&resolve();});},[Symbol.iterator]:selection_prototype[Symbol.iterator]};var defaultTiming={time:null,delay:0,duration:250,ease:function(t){return((t*=2)<=1?t*t*t:(t-=2)*t*t+2)/2;}};function inherit(node,id){for(var timing;!(timing=node.__transition)||!(timing=timing[id]);)if(!(node=node.parentNode))throw new Error(`transition ${id} not found`);return timing;}selection.prototype.interrupt=function(name){return this.each(function(){interrupt(this,name);});},selection.prototype.transition=function(name){var id,timing;name instanceof Transition?(id=name._id,name=name._name):(id=newId(),(timing=defaultTiming).time=now(),name=null==name?null:name+"");for(var groups=this._groups,m=groups.length,j=0;j<m;++j)for(var node,group=groups[j],n=group.length,i=0;i<n;++i)(node=group[i])&&schedule(node,name,id,i,group,timing||inherit(node,id));return new Transition(groups,this._parents,name,id);};var constant=x=>()=>x;function ZoomEvent(type,{sourceEvent:sourceEvent,target:target,transform:transform,dispatch:dispatch}){Object.defineProperties(this,{type:{value:type,enumerable:!0,configurable:!0},sourceEvent:{value:sourceEvent,enumerable:!0,configurable:!0},target:{value:target,enumerable:!0,configurable:!0},transform:{value:transform,enumerable:!0,configurable:!0},_:{value:dispatch}});}function Transform(k,x,y){this.k=k,this.x=x,this.y=y;}Transform.prototype={constructor:Transform,scale:function(k){return 1===k?this:new Transform(this.k*k,this.x,this.y);},translate:function(x,y){return 0===x&0===y?this:new Transform(this.k,this.x+this.k*x,this.y+this.k*y);},apply:function(point){return[point[0]*this.k+this.x,point[1]*this.k+this.y];},applyX:function(x){return x*this.k+this.x;},applyY:function(y){return y*this.k+this.y;},invert:function(location){return[(location[0]-this.x)/this.k,(location[1]-this.y)/this.k];},invertX:function(x){return(x-this.x)/this.k;},invertY:function(y){return(y-this.y)/this.k;},rescaleX:function(x){return x.copy().domain(x.range().map(this.invertX,this).map(x.invert,x));},rescaleY:function(y){return y.copy().domain(y.range().map(this.invertY,this).map(y.invert,y));},toString:function(){return"translate("+this.x+","+this.y+") scale("+this.k+")";}};var identity$1=new Transform(1,0,0);function transform(node){for(;!node.__zoom;)if(!(node=node.parentNode))return identity$1;return node.__zoom;}function nopropagation(event){event.stopImmediatePropagation();}function noevent(event){event.preventDefault(),event.stopImmediatePropagation();}function defaultFilter(event){return!(event.ctrlKey&&"wheel"!==event.type||event.button);}function defaultExtent(){var e=this;return e instanceof SVGElement?(e=e.ownerSVGElement||e).hasAttribute("viewBox")?[[(e=e.viewBox.baseVal).x,e.y],[e.x+e.width,e.y+e.height]]:[[0,0],[e.width.baseVal.value,e.height.baseVal.value]]:[[0,0],[e.clientWidth,e.clientHeight]];}function defaultTransform(){return this.__zoom||identity$1;}function defaultWheelDelta(event){return-event.deltaY*(1===event.deltaMode?.05:event.deltaMode?1:.002)*(event.ctrlKey?10:1);}function defaultTouchable(){return navigator.maxTouchPoints||"ontouchstart"in this;}function defaultConstrain$1(transform,extent,translateExtent){var dx0=transform.invertX(extent[0][0])-translateExtent[0][0],dx1=transform.invertX(extent[1][0])-translateExtent[1][0],dy0=transform.invertY(extent[0][1])-translateExtent[0][1],dy1=transform.invertY(extent[1][1])-translateExtent[1][1];return transform.translate(dx1>dx0?(dx0+dx1)/2:Math.min(0,dx0)||Math.max(0,dx1),dy1>dy0?(dy0+dy1)/2:Math.min(0,dy0)||Math.max(0,dy1));}function d3Zoom(){var touchstarting,touchfirst,touchending,filter=defaultFilter,extent=defaultExtent,constrain=defaultConstrain$1,wheelDelta=defaultWheelDelta,touchable=defaultTouchable,scaleExtent=[0,1/0],translateExtent=[[-1/0,-1/0],[1/0,1/0]],duration=250,interpolate=interpolateZoom,listeners=dispatch("start","zoom","end"),touchDelay=500,wheelDelay=150,clickDistance2=0,tapDistance=10;function zoom(selection){selection.property("__zoom",defaultTransform).on("wheel.zoom",wheeled).on("mousedown.zoom",mousedowned).on("dblclick.zoom",dblclicked).filter(touchable).on("touchstart.zoom",touchstarted).on("touchmove.zoom",touchmoved).on("touchend.zoom touchcancel.zoom",touchended).style("-webkit-tap-highlight-color","rgba(0,0,0,0)");}function scale(transform,k){return(k=Math.max(scaleExtent[0],Math.min(scaleExtent[1],k)))===transform.k?transform:new Transform(k,transform.x,transform.y);}function translate(transform,p0,p1){var x=p0[0]-p1[0]*transform.k,y=p0[1]-p1[1]*transform.k;return x===transform.x&&y===transform.y?transform:new Transform(transform.k,x,y);}function centroid(extent){return[(+extent[0][0]+ +extent[1][0])/2,(+extent[0][1]+ +extent[1][1])/2];}function schedule(transition,transform,point,event){transition.on("start.zoom",function(){gesture(this,arguments).event(event).start();}).on("interrupt.zoom end.zoom",function(){gesture(this,arguments).event(event).end();}).tween("zoom",function(){var args=arguments,g=gesture(this,args).event(event),e=extent.apply(this,args),p=null==point?centroid(e):"function"==typeof point?point.apply(this,args):point,w=Math.max(e[1][0]-e[0][0],e[1][1]-e[0][1]),a=this.__zoom,b="function"==typeof transform?transform.apply(this,args):transform,i=interpolate(a.invert(p).concat(w/a.k),b.invert(p).concat(w/b.k));return function(t){if(1===t)t=b;else{var l=i(t),k=w/l[2];t=new Transform(k,p[0]-l[0]*k,p[1]-l[1]*k);}g.zoom(null,t);};});}function gesture(that,args,clean){return!clean&&that.__zooming||new Gesture(that,args);}function Gesture(that,args){this.that=that,this.args=args,this.active=0,this.sourceEvent=null,this.extent=extent.apply(that,args),this.taps=0;}function wheeled(event,...args){if(filter.apply(this,arguments)){var g=gesture(this,args).event(event),t=this.__zoom,k=Math.max(scaleExtent[0],Math.min(scaleExtent[1],t.k*Math.pow(2,wheelDelta.apply(this,arguments)))),p=pointer$2(event);if(g.wheel)g.mouse[0][0]===p[0]&&g.mouse[0][1]===p[1]||(g.mouse[1]=t.invert(g.mouse[0]=p)),clearTimeout(g.wheel);else{if(t.k===k)return;g.mouse=[p,t.invert(p)],interrupt(this),g.start();}noevent(event),g.wheel=setTimeout(function(){g.wheel=null,g.end();},wheelDelay),g.zoom("mouse",constrain(translate(scale(t,k),g.mouse[0],g.mouse[1]),g.extent,translateExtent));}}function mousedowned(event,...args){if(!touchending&&filter.apply(this,arguments)){var g=gesture(this,args,!0).event(event),v=select(event.view).on("mousemove.zoom",function(event){if(noevent(event),!g.moved){var dx=event.clientX-x0,dy=event.clientY-y0;g.moved=dx*dx+dy*dy>clickDistance2;}g.event(event).zoom("mouse",constrain(translate(g.that.__zoom,g.mouse[0]=pointer$2(event,currentTarget),g.mouse[1]),g.extent,translateExtent));},!0).on("mouseup.zoom",function(event){v.on("mousemove.zoom mouseup.zoom",null),yesdrag(event.view,g.moved),noevent(event),g.event(event).end();},!0),p=pointer$2(event,currentTarget),currentTarget=event.currentTarget,x0=event.clientX,y0=event.clientY;dragDisable(event.view),nopropagation(event),g.mouse=[p,this.__zoom.invert(p)],interrupt(this),g.start();}}function dblclicked(event,...args){if(filter.apply(this,arguments)){var t0=this.__zoom,p0=pointer$2(event.changedTouches?event.changedTouches[0]:event,this),p1=t0.invert(p0),k1=t0.k*(event.shiftKey?.5:2),t1=constrain(translate(scale(t0,k1),p0,p1),extent.apply(this,args),translateExtent);noevent(event),duration>0?select(this).transition().duration(duration).call(schedule,t1,p0,event):select(this).call(zoom.transform,t1,p0,event);}}function touchstarted(event,...args){if(filter.apply(this,arguments)){var started,i,t,p,touches=event.touches,n=touches.length,g=gesture(this,args,event.changedTouches.length===n).event(event);for(nopropagation(event),i=0;i<n;++i)p=[p=pointer$2(t=touches[i],this),this.__zoom.invert(p),t.identifier],g.touch0?g.touch1||g.touch0[2]===p[2]||(g.touch1=p,g.taps=0):(g.touch0=p,started=!0,g.taps=1+!!touchstarting);touchstarting&&(touchstarting=clearTimeout(touchstarting)),started&&(g.taps<2&&(touchfirst=p[0],touchstarting=setTimeout(function(){touchstarting=null;},touchDelay)),interrupt(this),g.start());}}function touchmoved(event,...args){if(this.__zooming){var i,t,p,l,g=gesture(this,args).event(event),touches=event.changedTouches,n=touches.length;for(noevent(event),i=0;i<n;++i)p=pointer$2(t=touches[i],this),g.touch0&&g.touch0[2]===t.identifier?g.touch0[0]=p:g.touch1&&g.touch1[2]===t.identifier&&(g.touch1[0]=p);if(t=g.that.__zoom,g.touch1){var p0=g.touch0[0],l0=g.touch0[1],p1=g.touch1[0],l1=g.touch1[1],dp=(dp=p1[0]-p0[0])*dp+(dp=p1[1]-p0[1])*dp,dl=(dl=l1[0]-l0[0])*dl+(dl=l1[1]-l0[1])*dl;t=scale(t,Math.sqrt(dp/dl)),p=[(p0[0]+p1[0])/2,(p0[1]+p1[1])/2],l=[(l0[0]+l1[0])/2,(l0[1]+l1[1])/2];}else{if(!g.touch0)return;p=g.touch0[0],l=g.touch0[1];}g.zoom("touch",constrain(translate(t,p,l),g.extent,translateExtent));}}function touchended(event,...args){if(this.__zooming){var i,t,g=gesture(this,args).event(event),touches=event.changedTouches,n=touches.length;for(nopropagation(event),touchending&&clearTimeout(touchending),touchending=setTimeout(function(){touchending=null;},touchDelay),i=0;i<n;++i)t=touches[i],g.touch0&&g.touch0[2]===t.identifier?delete g.touch0:g.touch1&&g.touch1[2]===t.identifier&&delete g.touch1;if(g.touch1&&!g.touch0&&(g.touch0=g.touch1,delete g.touch1),g.touch0)g.touch0[1]=this.__zoom.invert(g.touch0[0]);else if(g.end(),2===g.taps&&(t=pointer$2(t,this),Math.hypot(touchfirst[0]-t[0],touchfirst[1]-t[1])<tapDistance)){var p=select(this).on("dblclick.zoom");p&&p.apply(this,arguments);}}}return zoom.transform=function(collection,transform,point,event){var selection=collection.selection?collection.selection():collection;selection.property("__zoom",defaultTransform),collection!==selection?schedule(collection,transform,point,event):selection.interrupt().each(function(){gesture(this,arguments).event(event).start().zoom(null,"function"==typeof transform?transform.apply(this,arguments):transform).end();});},zoom.scaleBy=function(selection,k,p,event){zoom.scaleTo(selection,function(){return this.__zoom.k*("function"==typeof k?k.apply(this,arguments):k);},p,event);},zoom.scaleTo=function(selection,k,p,event){zoom.transform(selection,function(){var e=extent.apply(this,arguments),t0=this.__zoom,p0=null==p?centroid(e):"function"==typeof p?p.apply(this,arguments):p,p1=t0.invert(p0),k1="function"==typeof k?k.apply(this,arguments):k;return constrain(translate(scale(t0,k1),p0,p1),e,translateExtent);},p,event);},zoom.translateBy=function(selection,x,y,event){zoom.transform(selection,function(){return constrain(this.__zoom.translate("function"==typeof x?x.apply(this,arguments):x,"function"==typeof y?y.apply(this,arguments):y),extent.apply(this,arguments),translateExtent);},null,event);},zoom.translateTo=function(selection,x,y,p,event){zoom.transform(selection,function(){var e=extent.apply(this,arguments),t=this.__zoom,p0=null==p?centroid(e):"function"==typeof p?p.apply(this,arguments):p;return constrain(identity$1.translate(p0[0],p0[1]).scale(t.k).translate("function"==typeof x?-x.apply(this,arguments):-x,"function"==typeof y?-y.apply(this,arguments):-y),e,translateExtent);},p,event);},Gesture.prototype={event:function(event){return event&&(this.sourceEvent=event),this;},start:function(){return 1==++this.active&&(this.that.__zooming=this,this.emit("start")),this;},zoom:function(key,transform){return this.mouse&&"mouse"!==key&&(this.mouse[1]=transform.invert(this.mouse[0])),this.touch0&&"touch"!==key&&(this.touch0[1]=transform.invert(this.touch0[0])),this.touch1&&"touch"!==key&&(this.touch1[1]=transform.invert(this.touch1[0])),this.that.__zoom=transform,this.emit("zoom"),this;},end:function(){return 0==--this.active&&(delete this.that.__zooming,this.emit("end")),this;},emit:function(type){var d=select(this.that).datum();listeners.call(type,this.that,new ZoomEvent(type,{sourceEvent:this.sourceEvent,target:zoom,type:type,transform:this.that.__zoom,dispatch:listeners}),d);}},zoom.wheelDelta=function(_){return arguments.length?(wheelDelta="function"==typeof _?_:constant(+_),zoom):wheelDelta;},zoom.filter=function(_){return arguments.length?(filter="function"==typeof _?_:constant(!!_),zoom):filter;},zoom.touchable=function(_){return arguments.length?(touchable="function"==typeof _?_:constant(!!_),zoom):touchable;},zoom.extent=function(_){return arguments.length?(extent="function"==typeof _?_:constant([[+_[0][0],+_[0][1]],[+_[1][0],+_[1][1]]]),zoom):extent;},zoom.scaleExtent=function(_){return arguments.length?(scaleExtent[0]=+_[0],scaleExtent[1]=+_[1],zoom):[scaleExtent[0],scaleExtent[1]];},zoom.translateExtent=function(_){return arguments.length?(translateExtent[0][0]=+_[0][0],translateExtent[1][0]=+_[1][0],translateExtent[0][1]=+_[0][1],translateExtent[1][1]=+_[1][1],zoom):[[translateExtent[0][0],translateExtent[0][1]],[translateExtent[1][0],translateExtent[1][1]]];},zoom.constrain=function(_){return arguments.length?(constrain=_,zoom):constrain;},zoom.duration=function(_){return arguments.length?(duration=+_,zoom):duration;},zoom.interpolate=function(_){return arguments.length?(interpolate=_,zoom):interpolate;},zoom.on=function(){var value=listeners.on.apply(listeners,arguments);return value===listeners?zoom:value;},zoom.clickDistance=function(_){return arguments.length?(clickDistance2=(_=+_)*_,zoom):Math.sqrt(clickDistance2);},zoom.tapDistance=function(_){return arguments.length?(tapDistance=+_,zoom):tapDistance;},zoom;}function handleYAxisDrag(yElement,yZoom,e,yScale,yTransform,plotArea,yAxis,onFreePanChanged,onRedraw){yElement.call(yZoom.scaleBy,Math.pow(2,-e.dy/(yScale.range()[0]-yScale.range()[1])),[0,(yScale.range()[0]-yScale.range()[1])/2]);const yr=yTransform().rescaleY(yScale);plotArea.yScale(yr),yAxis.yScale(yr),onFreePanChanged(!0),onRedraw();}function measureXAxis(event,xScale,xZoom,xTransform,xAxis,yAxes,plotAreas,dates,onBoundsChanged){const{width:width,pixelRatio:pixelRatio}=event.detail;if(0===width)return;const ratio=width/pixelRatio/(xScale.range()[1]-xScale.range()[0]);if(1!==ratio){const domainWidth=xScale.domain()[1].getTime()-xScale.domain()[0].getTime(),domain0=xScale.domain()[1].getTime()-ratio*domainWidth,domain1=xScale.domain()[1].getTime();xScale.domain([new Date(domain0),new Date(domain1)]),onBoundsChanged([new Date(domain0),new Date(domain1)]);}xScale.range([0,width/pixelRatio]);const offset=(width/pixelRatio-122)/xTransform().k;xZoom.translateExtent([[xScale(dates[0])-offset,-1/0],[xScale(dates[dates.length-1])+offset,1/0]]);const xr=xTransform().rescaleX(xScale);xAxis.xScale(xr);for(const axis of Object.values(yAxes))axis.xScale(xr);for(const plotArea of Object.values(plotAreas))plotArea.xScale(xr);onBoundsChanged(xr.domain());}function drawXAxis(event,xAxis){const ctx=select(event.currentTarget).select("canvas").node()?.getContext("2d");if(ctx){const pixelRatio=event.detail.pixelRatio;ctx?.scale(pixelRatio,pixelRatio),xAxis.context(ctx).pixelRatio(pixelRatio).draw();}}function handleZoomend(plotAreas,offset,yScale,xAxis,yAxis,id,onRedraw){const index=plotAreas[id].getIndex(offset[0]);if(null!==index){for(const plotArea of Object.values(plotAreas))plotArea.crosshair([index[1],yScale.invert(offset[1])]);xAxis.crosshair(index[1]),yAxis.crosshair(yScale.invert(offset[1])),onRedraw();}}function handleZoomstart(plotAreas,yAxes,xAxis){for(const plotArea of Object.values(plotAreas))plotArea.crosshair([null,null]);for(const axis of Object.values(yAxes))axis.crosshair(null);xAxis.crosshair(null);}function measureYAxis(event,scale,yTransform,plotArea,plotAreaInteraction,plotAreaAnnotations,yAxis,isFreePan,id,resetYAxis){const{height:height,pixelRatio:pixelRatio}=event.detail;scale.range([height/pixelRatio,0]);const yr=yTransform().rescaleY(scale);plotArea.yScale(yr),plotAreaInteraction.yScale(yr),plotAreaAnnotations.yScale(yr),yAxis.yScale(yr),isFreePan||resetYAxis(id);}function drawPlotAreaInteraction(event,plotAreaInteraction){plotAreaInteraction.draw(select(event.currentTarget).select("svg"));}function drawPlotArea(event,plotArea){const ctx=select(event.currentTarget).select("canvas").node()?.getContext("2d");if(ctx){const pixelRatio=event.detail.pixelRatio;ctx.scale(pixelRatio,pixelRatio),plotArea.context(ctx).pixelRatio(pixelRatio).draw();}}function drawYAxis(event,yAxis){const ctx=select(event.currentTarget).select("canvas").node()?.getContext("2d");if(ctx){const pixelRatio=event.detail.pixelRatio;ctx.scale(pixelRatio,pixelRatio),yAxis.context(ctx).pixelRatio(pixelRatio).draw();}}function handleMouseout(plotAreas,xAxis,yAxes,onMouseout,onRedraw){for(const plotArea of Object.values(plotAreas))plotArea.crosshair([null,null]);xAxis.crosshair(null);for(const axis of Object.values(yAxes))axis.crosshair(null);onMouseout(),onRedraw();}function handleMousemove(plotAreas,offset,yScale,yAxes,xAxis,id,onMousemove,onRedraw){const index=plotAreas[id].getIndex(offset[0]);if(null!==index){for(const plotArea of Object.values(plotAreas))plotArea.crosshair([index[1],null]);for(const axis of Object.values(yAxes))axis.crosshair(null);xAxis.crosshair(index[1]),plotAreas[id].crosshair([index[1],yScale.invert(offset[1])]),yAxes[id].crosshair(yScale.invert(offset[1])),onMousemove(index[0],id),onRedraw();}}function handleZoom(xScale,yScales,xAxis,yAxes,xElement,xZoom,xTransform,yElements,yTransforms,yZooms,plotAreas,isPinned,isFreePan,isSimple,dates,t,point,id,onBoundsChanged,onRedraw,onFetchData,onIsPinnedChanged){if(1===t.k)xElement.call(xZoom.translateBy,t.x/xTransform().k,0),isFreePan?yElements[id].call(yZooms[id].translateBy,0,t.y/yTransforms[id]().k):Object.keys(plotAreas).forEach(id=>{recalculateScale(xTransform,xScale,yScales,id,plotAreas,yElements,yZooms);}),onIsPinnedChanged(!1);else{const k=xTransform().k*t.k,offset=(xScale.range()[1]-122)/k;xZoom.translateExtent([[xScale(dates[0])-offset,-1/0],[xScale(dates[dates.length-1])+offset,1/0]]);const referencePoint=xTransform().rescaleX(xScale)(dates[dates.length-1]);xElement.call(xZoom.scaleBy,t.k,isPinned?[referencePoint,0]:point),isFreePan||Object.keys(plotAreas).forEach(id=>{recalculateScale(xTransform,xScale,yScales,id,plotAreas,yElements,yZooms);});}const xr=xTransform().rescaleX(xScale),yr=yTransforms[id]().rescaleY(yScales[id]);xAxis.xScale(xr);for(const plotArea of Object.values(plotAreas))plotArea.xScale(xr);plotAreas[id].yScale(yr),yAxes[id].yScale(yr);const domain=xr.domain(),domainWidth=domain[1].getTime()-domain[0].getTime();if(dates[0].getTime()+domainWidth>domain[0].getTime()){const to=dates[0];onFetchData(new Date(dates[0].getTime()-domainWidth),to);}onRedraw(),onBoundsChanged(xr.domain());}function recalculateScale(xTransform,xScale,yScales,id,plotAreas,yElements,yZooms){const domain=xTransform().rescaleX(xScale).domain(),originalExtent=yScales[id].range(),newExtent=plotAreas[id].extent(domain),originalHeight=Math.abs(originalExtent[0]-originalExtent[1]),newHeight=Math.abs(yScales[id](newExtent[1])-yScales[id](newExtent[0]));yElements[id].call(yZooms[id].transform,identity$1.translate(0,originalHeight/2).scale(originalHeight/newHeight).translate(0,-(yScales[id](newExtent[0])+yScales[id](newExtent[1]))/2));}transform.prototype=Transform.prototype;class PlotArea{constructor(x,y,elements,originalData,fields,labels,isSimple,colors){this.colors=void 0,this._crosshair=new CrosshairElement(),this.ctx=null,this._data=void 0,this.gridline=new GridElement(),this._labels=void 0,this.latestPriceCrosshair=new CrosshairElement(),this.latestPricePosition=null,this._pixelRatio=1,this.position=[null,null],this._renderableElements=void 0,this._xScale=void 0,this._yEncodingFields=void 0,this._yScale=void 0,this.isSimple=!1,this._xScale=x.copy(),this._yScale=y.copy(),this._renderableElements=elements,this._data=originalData,this._yEncodingFields=fields,this._labels=labels,this.isSimple=isSimple,this.colors=colors;}context(context){return this.ctx=context,this;}crosshair(pos){return this.position=pos,this;}data(originalData){return this._data=originalData,this;}draw(){if(this.ctx){clearCanvas(this.ctx.canvas,this.ctx,this.colors.backgroundSurface),this.gridline.draw(this.ctx,this._xScale,this._yScale,this._pixelRatio,this.colors.emphasis100),this._renderableElements[0].draw(this.ctx,this._xScale,this._yScale,this._pixelRatio);for(const element of this._renderableElements)element.draw(this.ctx,this._xScale,this._yScale,this._pixelRatio);this.isSimple||this.latestPriceCrosshair.draw(this.ctx,this._xScale,this._yScale,this._pixelRatio,[null,this.latestPricePosition],this.colors.textPrimary),this._crosshair.draw(this.ctx,this._xScale,this._yScale,this._pixelRatio,this.position,this.colors.textPrimary);for(const label of this._labels)label.draw(this.ctx,this._xScale,this._yScale,this._pixelRatio,this.colors);}}extent(bounds){const domain=extent(bounds?this._data.filter(d=>d.date>=bounds[0]&&d.date<=bounds[1]).flatMap(d=>this._yEncodingFields?.map(field=>d[field])):this._data.flatMap(d=>this._yEncodingFields?.map(field=>d[field]))),domainWidth=Math.abs(domain[1]-domain[0]);return[domain[0]-.1*domainWidth,domain[1]+.2*domainWidth];}getIndex(offset){const timeAtMouseX=this._xScale.invert(offset);if(!isValid(timeAtMouseX))return null;const index=bisector$2(d=>d.date).left(this._data,timeAtMouseX);if(0===this._data.length)return null;const firstElement=this._data[Math.max(0,index-1)].date,secondElement=this._data[Math.min(this._data.length-1,index)].date;let indexOffset=0;if(firstElement&&secondElement){indexOffset=function(dirtyDateToCompare,dirtyDatesArray){requiredArgs(2,arguments);var dateToCompare=toDate(dirtyDateToCompare);if(isNaN(Number(dateToCompare)))return NaN;var result,minDistance,timeToCompare=dateToCompare.getTime();return(null==dirtyDatesArray?[]:"function"==typeof dirtyDatesArray.forEach?dirtyDatesArray:Array.prototype.slice.call(dirtyDatesArray)).forEach(function(dirtyDate,index){var currentDate=toDate(dirtyDate);if(isNaN(Number(currentDate)))return result=NaN,void(minDistance=NaN);var distance=Math.abs(timeToCompare-currentDate.getTime());(null==result||distance<Number(minDistance))&&(result=index,minDistance=distance);}),result;}(timeAtMouseX,[firstElement,secondElement])??0;}else indexOffset=firstElement?0:1;const dataIndex=lodashExports.clamp(index+indexOffset-1,0,this._data.length-1);return[dataIndex,this._data[dataIndex].date];}pixelRatio(ratio){return this._pixelRatio=ratio,this;}labels(elements){return this._labels=elements,this;}latestPrice(price){return this.latestPricePosition=price,this;}renderableElements(elements){return this._renderableElements=elements,this;}xScale(x){return this._xScale=x.copy(),this;}yEncodingFields(fields){return this._yEncodingFields=fields,this;}yScale(y){return this._yScale=y.copy(),this;}}class PlotAreaAnnotations{constructor(_x,_y,_labels){this.listeners=dispatch("click"),this._xScale=void 0,this._yScale=void 0,this._labels=void 0,this.labels=labels=>(this._labels=labels,this),this.xScale=x=>(this._xScale=x.copy(),this),this.yScale=y=>(this._yScale=y.copy(),this),this._xScale=_x.copy(),this._yScale=_y.copy(),this._labels=_labels;}draw(selection){for(const label of this._labels)label.draw(selection,this._xScale,this._yScale);}on(typenames,callback){return this.listeners.on(typenames,callback),this;}}class PlotAreaInteraction{constructor(_x,_y){this.listeners=dispatch("contextmenu","dblclick","mousemove","mouseout","zoom","zoomend","zoomstart"),this._xScale=void 0,this._yScale=void 0,this.z=identity$1,this.zoom=void 0,this.tempTransform=identity$1,this.xScale=x=>(this._xScale=x.copy(),this),this.yScale=y=>(this._yScale=y.copy(),this),this._xScale=_x.copy(),this._yScale=_y.copy(),this.zoom=d3Zoom().filter(e=>"dblclick"!==e.type||(this.listeners.call("dblclick",this,e),!1)).on("zoom",e=>{const t=e.transform,k=t.k/this.z.k,point=this.center(e);this.listeners.call("zoom",this,e,{x:t.x-this.z.x,y:t.y-this.z.y,k:k},point),this.z=t;}).on("start",e=>{this.tempTransform=e.transform,this.listeners.call("zoomstart",this);}).on("end",e=>{e.transform.k===this.tempTransform.k&&e.transform.x===this.tempTransform.x&&e.transform.y===this.tempTransform.y||this.listeners.call("zoomend",this,[e.sourceEvent.offsetX,e.sourceEvent.offsetY]);});}center(event){if(event.sourceEvent){const p=((events=event).target&&(events=sourceEvent(events),void 0===node&&(node=events.currentTarget),events=events.touches||[events]),Array.from(events,event=>pointer$2(event,node)));return[mean$1(p,d=>d[0]),mean$1(p,d=>d[1])];}var events,node;return[(this._xScale.range()[1]-this._xScale.range()[0])/2,(this._yScale.range()[0]-this._yScale.range()[1])/2];}draw(selection){selection.call(this.zoom),selection.on("mousemove",event=>this.listeners.call("mousemove",this,[event.offsetX,event.offsetY])).on("mouseout",()=>this.listeners.call("mouseout",this)).on("contextmenu",event=>{event.preventDefault(),this.listeners.call("contextmenu",this,{position:[event.pageX,event.pageY],price:this._yScale.invert(event.offsetY)});});}on(typenames,callback){return this.listeners.on(typenames,callback),this;}}class XAxis{constructor(x,interval,colors){this.colors=void 0,this.axis=new XAxisElement(),this.ctx=null,this._interval=void 0,this._pixelRatio=1,this.position=null,this.tooltip=new XAxisTooltipElement(),this._xScale=void 0,this._interval=interval,this._xScale=x.copy(),this.colors=colors;}context(context){return this.ctx=context,this;}crosshair(pos){return this.position=pos,this;}draw(){this.ctx&&(clearCanvas(this.ctx.canvas,this.ctx,this.colors.backgroundSurface),this.axis.draw(this.ctx,this._xScale,null,this._pixelRatio,this._interval,this.colors.textSecondary),this.tooltip.draw(this.ctx,this._xScale,null,this._pixelRatio,this.position,this._interval,this.colors));}interval(interval){return this._interval=interval,this;}pixelRatio(ratio){return this._pixelRatio=ratio,this;}xScale(x){return this._xScale=x.copy(),this;}}class XAxisInteraction{constructor(){this.drag=d3Drag().on("drag",e=>{this.listeners.call("drag",this,e);}),this.listeners=dispatch("dblclick","drag");}draw(selection){selection.call(this.drag).on("dblclick",()=>{this.listeners.call("dblclick");});}on(typenames,callback){return this.listeners.on(typenames,callback),this;}}class YAxis{constructor(x,y,decimalPlaces=5,colors){this.colors=void 0,this.axis=new YAxisElement(),this.ctx=null,this.latestPricePosition=null,this._pixelRatio=1,this.position=null,this.tooltip=void 0,this.latestPriceTooltip=void 0,this._xScale=void 0,this._yScale=void 0,this._xScale=x.copy(),this._yScale=y.copy(),this.tooltip=new YAxisTooltipElement(decimalPlaces),this.latestPriceTooltip=new YAxisTooltipElement(decimalPlaces),this.colors=colors;}context(context){return this.ctx=context,this;}crosshair(pos){return this.position=pos,this;}draw(){this.ctx&&(this.axis.draw(this.ctx,this._xScale,this._yScale,this._pixelRatio,this.colors),this.latestPriceTooltip.draw(this.ctx,this._xScale,this._yScale,this._pixelRatio,this.latestPricePosition,this.colors),this.tooltip.draw(this.ctx,this._xScale,this._yScale,this._pixelRatio,this.position,this.colors));}latestPrice(price){return this.latestPricePosition=price,this;}pixelRatio(ratio){return this._pixelRatio=ratio,this;}xScale(x){return this._xScale=x.copy(),this;}yScale(y){return this._yScale=y.copy(),this;}}class YAxisInteraction{constructor(){this.drag=d3Drag().on("drag",e=>{this.listeners.call("drag",this,e);}),this.listeners=dispatch("dblclick","drag");}draw(selection){selection.call(this.drag).on("dblclick",()=>{this.listeners.call("dblclick");});}on(typenames,callback){return this.listeners.on(typenames,callback),this;}}function getCandlePadding(isSimple,intervalWidth){return(isSimple?0:92)+(isSimple?.5:3)*intervalWidth;}class Core{constructor(panes,axis,initialViewport,decimalPlaces=5,positionDecimalPlaces=0,simple=!1,initialNumCandles=24,colors){this.listeners=dispatch("bounds_changed","click","contextmenu","dblclick","drag","dragend","dragstart","fetch_data","mousemove","mouseout","mouseover","redraw","rightclick","viewport_changed"),this._interval=Interval.I1M,this._decimalPlaces=5,this._positionDecimalPlaces=3,this.initialNumCandles=INITIAL_NUM_CANDLES_TO_DISPLAY,this.isPinned=!0,this.isFreePan=!1,this.isSimple=!1,this._colors=void 0,this.dates=void 0,this.xAxis=void 0,this.xAxisInteraction=void 0,this.xElement=void 0,this.xScale=void 0,this.xTransform=void 0,this.xZoom=void 0,this.yAxes=void 0,this.yAxisInteractions=void 0,this.yElements=void 0,this.yScales=void 0,this.yTransforms=void 0,this.yZooms=void 0,this.plotAreas=void 0,this.plotAreaInteractions=void 0,this.plotAreaAnnotations=void 0,this.plotAreaElements=void 0,this._decimalPlaces=decimalPlaces,this._positionDecimalPlaces=positionDecimalPlaces,this.isSimple=simple,this.initialNumCandles=initialNumCandles,this._colors=colors,this.dates=axis.data,this.xScale=time(),this.xZoom=d3Zoom().scaleExtent([.1,10]),this.xElement=select(axis.ref.current).select(".x-axis").style("pointer-events","none"),this.xAxis=new XAxis(this.xScale,this._interval,colors),this.xAxisInteraction=new XAxisInteraction().on("drag",e=>{!function(xElement,xZoom,e,xScale,isPinned,xTransform,xAxis,plotAreas,yAxes,onBoundsChanged,onRedraw){xElement.call(xZoom.scaleBy,Math.pow(2,-e.dx/(xScale.range()[1]-xScale.range()[0])),[isPinned?xScale.range()[1]-92:(xScale.range()[1]-xScale.range()[0])/2,0]);const xr=xTransform().rescaleX(xScale);xAxis.xScale(xr);for(const plotArea of Object.values(plotAreas))plotArea.xScale(xr);for(const axis of Object.values(yAxes))axis.xScale(xr);onBoundsChanged(xr.domain()),onRedraw();}(this.xElement,this.xZoom,e,this.xScale,this.isPinned,this.xTransform,this.xAxis,this.plotAreas,this.yAxes,bounds=>this.listeners.call("bounds_changed",this,bounds),()=>this.listeners.call("redraw"));}).on("dblclick",()=>{this.resetXAxis(),this.isPinned=!0,this.listeners.call("redraw");}),this.xTransform=()=>transform(this.xElement.node()),this.yScales=Object.fromEntries(Object.keys(panes).map(id=>[id,linear()])),this.yAxes=Object.fromEntries(Object.entries(this.yScales).map(([id,scale])=>[id,new YAxis(this.xScale,scale,"volume"===id?this._positionDecimalPlaces:this._decimalPlaces,this._colors)])),this.yAxisInteractions=Object.fromEntries(Object.keys(panes).map(id=>[id,new YAxisInteraction().on("drag",e=>{handleYAxisDrag(this.yElements[id],this.yZooms[id],e,this.yScales[id],this.yTransforms[id],this.plotAreas[id],this.yAxes[id],isFreePan=>{this.isFreePan=isFreePan;},()=>this.listeners.call("redraw"));}).on("dblclick",()=>{this.resetYAxis(id),this.isFreePan=!1,this.listeners.call("redraw");})])),this.yElements=Object.fromEntries(Object.entries(panes).map(([id,pane])=>[id,select(pane.ref.current).select(".y-axis").style("pointer-events","none")])),this.plotAreas=Object.fromEntries(Object.entries(panes).map(([id,pane])=>[pane.id,new PlotArea(this.xScale,this.yScales[id],pane.renderableElements.flat(1),pane.data,pane.yEncodingFields,pane.labelLines,this.isSimple,this._colors)])),this.plotAreaInteractions=Object.fromEntries(Object.keys(panes).map(id=>[id,new PlotAreaInteraction(this.xScale,this.yScales[id]).on("zoom",(_e,t,point)=>{handleZoom(this.xScale,this.yScales,this.xAxis,this.yAxes,this.xElement,this.xZoom,this.xTransform,this.yElements,this.yTransforms,this.yZooms,this.plotAreas,this.isPinned,this.isFreePan,this.isSimple,this.dates,t,point,id,bounds=>{this.listeners.call("bounds_changed",this,bounds);},()=>this.listeners.call("redraw"),(from,to)=>this.listeners.call("fetch_data",this,from,to),isPinned=>{this.isPinned=isPinned;});}).on("zoomstart",()=>{handleZoomstart(this.plotAreas,this.yAxes,this.xAxis);}).on("zoomend",offset=>{handleZoomend(this.plotAreas,offset,this.yTransforms[id]().rescaleY(this.yScales[id]),this.xAxis,this.yAxes[id],id,()=>this.listeners.call("redraw"));}).on("dblclick",()=>{this.reset(),this.listeners.call("dblclick",this);}).on("mousemove",offset=>{handleMousemove(this.plotAreas,offset,this.yTransforms[id]().rescaleY(this.yScales[id]),this.yAxes,this.xAxis,id,(index,id)=>this.listeners.call("mousemove",this,index,id),()=>this.listeners.call("redraw"));}).on("mouseout",()=>{handleMouseout(this.plotAreas,this.xAxis,this.yAxes,()=>this.listeners.call("redraw"),()=>this.listeners.call("mouseout",this));}).on("contextmenu",event=>{this.listeners.call("contextmenu",this,event);})])),this.plotAreaAnnotations=Object.fromEntries(Object.entries(panes).map(([id,value])=>[value.id,new PlotAreaAnnotations(this.xScale,this.yScales[id],panes[id].labels)])),this.plotAreaElements=Object.fromEntries(Object.entries(panes).map(([id,area])=>[id,select(area.ref.current).select(".plot-area").style("pointer-events","none")])),this.yTransforms=Object.fromEntries(Object.entries(this.yElements).map(([id,yElement])=>[id,()=>transform(yElement.node())])),Object.entries(this.yScales).forEach(([id,scale])=>{scale.domain(this.plotAreas[id].extent());}),this.yZooms=Object.fromEntries(Object.keys(panes).map(id=>[id,d3Zoom()])),this.xElement.call(this.xZoom),Object.entries(this.plotAreaElements).forEach(([id,plotAreaElement])=>plotAreaElement.call(this.yZooms[id])),select(axis.ref.current).select(".x-axis").on("measure",event=>{measureXAxis(event,this.xScale,this.xZoom,this.xTransform,this.xAxis,this.yAxes,this.plotAreas,this.dates,bounds=>{this.listeners.call("bounds_changed",this,bounds);});}).on("draw",event=>{drawXAxis(event,this.xAxis);}),select(axis.ref.current).select(".x-axis-interaction").on("draw",event=>{this.xAxisInteraction.draw(select(event.currentTarget).select("svg"));}),Object.entries(this.yScales).map(([id,scale])=>select(panes[id].ref.current).select(".y-axis").on("measure",event=>{measureYAxis(event,scale,this.yTransforms[id],this.plotAreas[id],this.plotAreaInteractions[id],this.plotAreaAnnotations[id],this.yAxes[id],this.isFreePan,id,this.resetYAxis.bind(this));}).on("draw",event=>{drawYAxis(event,this.yAxes[id]);})),Object.entries(panes).forEach(([id,area])=>select(area.ref.current).select(".y-axis-interaction").on("draw",event=>{this.yAxisInteractions[id].draw(select(event.currentTarget).select("svg"));})),Object.entries(panes).forEach(([id,area])=>{const selection=select(area.ref.current).select(".plot-area-annotations");select(area.ref.current).select(".plot-area").on("draw",event=>{drawPlotArea(event,this.plotAreas[id]),this.plotAreaAnnotations[id].draw(selection);});}),Object.entries(panes).forEach(([id,area])=>{select(area.ref.current).select(".plot-area-interaction").on("draw",event=>{drawPlotAreaInteraction(event,this.plotAreaInteractions[id]);});});const latestPrice=panes.main.data[panes.main.data.length-1].close;this.yAxes.main.latestPrice(latestPrice),this.plotAreas.main.latestPrice(latestPrice);}draw(){this.listeners.call("redraw");}interval(interval){return this._interval=interval,this.xAxis.interval(interval),this.initialize(),this;}on(typenames,callback){return this.listeners.on(typenames,callback),this;}panBy(n){const xr=this.xTransform().rescaleX(this.xScale);this.xElement.call(this.xZoom.translateBy,-(this.xScale(6e4*getSubMinutes(this._interval,n))-this.xScale(0)),0),this.xAxis.xScale(xr),Object.entries(this.plotAreas).forEach(([id,plotArea])=>{plotArea.xScale(xr),this.isFreePan||recalculateScale(this.xTransform,this.xScale,this.yScales,id,this.plotAreas,this.yElements,this.yZooms);}),this.isPinned=!1,this.listeners.call("redraw"),this.listeners.call("bounds_changed",this,xr.domain());}initialize(initialViewport){let viewport=initialViewport;initialViewport||(viewport={date:this.dates[this.dates.length-1],intervalWidth:10}),this.resetXAxis(),Object.keys(this.yAxes).map(id=>{this.resetYAxis(id);}),this.isPinned=!0,this.isFreePan=!1,this.listeners.call("redraw"),this.listeners.call("bounds_changed",this,this.xTransform().rescaleX(this.xScale).domain());}reset(){this.resetXAxis(),Object.keys(this.yAxes).map(id=>{this.resetYAxis(id);}),this.isPinned=!0,this.isFreePan=!1,this.listeners.call("redraw");}pinXAxis(){const intervalWidth=(this.xScale.range()[1]-this.xScale.range()[0])/this.initialNumCandles??10,xr=this.xTransform().rescaleX(this.xScale),latestDate=this.dates[this.dates.length-1],previousLatestDate=xr.invert(xr.range()[1]-getCandlePadding(this.isSimple,intervalWidth));if(1===function(dirtyDateLeft,dirtyDateRight){requiredArgs(2,arguments);var dateLeft=toDate(dirtyDateLeft),dateRight=toDate(dirtyDateRight),diff=dateLeft.getTime()-dateRight.getTime();return diff<0?-1:diff>0?1:diff;}(latestDate,previousLatestDate)){const difference=xr(latestDate)-xr(previousLatestDate);this.xElement.call(this.xZoom.translateBy,-difference,0);}}resetXAxis(){const latestDate=this.dates[this.dates.length-1],width=this.xScale.range()[1]-this.xScale.range()[0],intervalWidth=width/this.initialNumCandles??10,ratio=width/(this.xScale.range()[1]-getCandlePadding(this.isSimple,intervalWidth)-this.xScale.range()[0]),date0=new Date(latestDate.getTime()-Math.abs(this.xScale.range()[1]-this.xScale.range()[0]-getCandlePadding(this.isSimple,intervalWidth))/intervalWidth*1e3*60*getSubMinutes(this._interval,1)),domain=[date0,new Date(latestDate.getTime()+(latestDate.getTime()-date0.getTime())*(ratio-1))];this.xScale.domain(domain),this.xElement.call(this.xZoom.transform,identity$1);}resetYAxis(id){const domain=this.plotAreas[id].extent(this.xTransform().rescaleX(this.xScale).domain());this.yScales[id].domain(domain),this.yElements[id].call(this.yZooms[id].transform,identity$1);}update(panes,axis){const oldIds=Object.keys(this.plotAreas),newIds=Object.keys(panes),enteringIds=lodashExports.difference(newIds,oldIds),updatingIds=lodashExports.intersection(newIds,oldIds);for(const id of lodashExports.union(oldIds,newIds))if(updatingIds.includes(id))this.plotAreas[id].data(panes[id].data).renderableElements(panes[id].renderableElements).yEncodingFields(panes[id].yEncodingFields).labels(panes[id].labelLines),this.plotAreaAnnotations[id].labels(panes[id].labels);else if(enteringIds.includes(id)){this.yScales[id]=linear(),this.yElements[id]=select(panes[id].ref.current).select(".y-axis").style("pointer-events","none"),this.yAxes[id]=new YAxis(this.xTransform().rescaleX(this.xScale),this.yScales[id],"volume"===id?this._positionDecimalPlaces:this._decimalPlaces,this._colors),this.yAxisInteractions[id]=new YAxisInteraction().on("drag",e=>{handleYAxisDrag(this.yElements[id],this.yZooms[id],e,this.yScales[id],this.yTransforms[id],this.plotAreas[id],this.yAxes[id],isFreePan=>{this.isFreePan=isFreePan;},()=>this.listeners.call("redraw"));}).on("dblclick",()=>{this.resetYAxis(id),this.isFreePan=!1,this.listeners.call("redraw");}),this.plotAreas[id]=new PlotArea(this.xTransform().rescaleX(this.xScale),this.yScales[id],panes[id].renderableElements,panes[id].data,panes[id].yEncodingFields,panes[id].labelLines,this.isSimple,this._colors),this.plotAreaInteractions[id]=new PlotAreaInteraction(this.xTransform().rescaleX(this.xScale),this.yScales[id]).on("zoom",(e,t,point)=>{handleZoom(this.xScale,this.yScales,this.xAxis,this.yAxes,this.xElement,this.xZoom,this.xTransform,this.yElements,this.yTransforms,this.yZooms,this.plotAreas,this.isPinned,this.isFreePan,this.isSimple,this.dates,t,point,id,bounds=>{this.listeners.call("bounds_changed",this,bounds);},()=>this.listeners.call("redraw"),(from,to)=>this.listeners.call("fetch_data",this,from,to),isPinned=>{this.isPinned=isPinned;});}).on("zoomstart",()=>{handleZoomstart(this.plotAreas,this.yAxes,this.xAxis);}).on("zoomend",offset=>{handleZoomend(this.plotAreas,offset,this.yTransforms[id]().rescaleY(this.yScales[id]),this.xAxis,this.yAxes[id],id,()=>this.listeners.call("redraw"));}).on("dblclick",()=>{this.reset(),this.listeners.call("dblclick",this);}).on("mousemove",offset=>{handleMousemove(this.plotAreas,offset,this.yTransforms[id]().rescaleY(this.yScales[id]),this.yAxes,this.xAxis,id,(index,id)=>this.listeners.call("mousemove",this,index,id),()=>this.listeners.call("redraw"));}).on("mouseout",()=>{handleMouseout(this.plotAreas,this.xAxis,this.yAxes,()=>this.listeners.call("mouseout",this),()=>this.listeners.call("redraw"));}).on("contextmenu",event=>{this.listeners.call("contextmenu",this,[event.pageX,event.pageY]);}),this.plotAreaAnnotations[id]=new PlotAreaAnnotations(this.xScale,this.yScales[id],panes[id].labels);const domain=this.xTransform().rescaleX(this.xScale).domain(),newExtent=this.plotAreas[id].extent(domain);this.yZooms[id]=d3Zoom(),this.plotAreaElements[id]=select(panes[id].ref.current),this.yTransforms[id]=()=>transform(this.yElements[id].node()),this.yScales[id].domain(newExtent),this.yScales[id].range(),select(axis.ref.current).select(".x-axis").on("measure",event=>{measureXAxis(event,this.xScale,this.xZoom,this.xTransform,this.xAxis,this.yAxes,this.plotAreas,this.dates,bounds=>{this.listeners.call("bounds_changed",this,bounds);});}).on("draw",event=>{drawXAxis(event,this.xAxis);}),select(panes[id].ref.current).select(".y-axis").on("measure",event=>{measureYAxis(event,this.yScales[id],this.yTransforms[id],this.plotAreas[id],this.plotAreaInteractions[id],this.plotAreaAnnotations[id],this.yAxes[id],this.isFreePan,id,this.resetYAxis.bind(this));}).on("draw",event=>{drawYAxis(event,this.yAxes[id]);}),select(panes[id].ref.current).select(".y-axis-interaction").on("draw",event=>{this.yAxisInteractions[id].draw(select(event.currentTarget).select("svg"));}),select(panes[id].ref.current).select(".plot-area").on("draw",event=>{drawPlotArea(event,this.plotAreas[id]),this.plotAreaAnnotations[id].draw(select(panes[id].ref.current).select(".plot-area-annotations"));}),select(panes[id].ref.current).select(".plot-area-interaction").on("draw",event=>{drawPlotAreaInteraction(event,this.plotAreaInteractions[id]);}),this.resetYAxis(id);}else this.yScales=lodashExports.omit(this.yScales,id),this.yAxes=lodashExports.omit(this.yAxes,id),this.yAxisInteractions=lodashExports.omit(this.yAxisInteractions,id),this.yElements=lodashExports.omit(this.yElements,id),this.yTransforms=lodashExports.omit(this.yTransforms,id),this.yZooms=lodashExports.omit(this.yZooms,id),this.plotAreas=lodashExports.omit(this.plotAreas,id),this.plotAreaInteractions=lodashExports.omit(this.plotAreaInteractions,id),this.plotAreaElements=lodashExports.omit(this.plotAreaElements,id);this.dates=axis.data;const latestPrice=panes.main.data[panes.main.data.length-1].close;return this.yAxes.main.latestPrice(latestPrice),this.plotAreas.main.latestPrice(latestPrice),this.isPinned&&this.pinXAxis(),this;}zoom(delta){const xr=this.xTransform().rescaleX(this.xScale);this.xElement.call(this.xZoom.scaleBy,2**delta,[this.isPinned?this.xScale.range()[1]-getCandlePadding(this.isSimple,10):(this.xScale.range()[0]+this.xScale.range()[1])/2,0]),this.xAxis.xScale(xr),Object.entries(this.plotAreas).forEach(([id,plotArea])=>{plotArea.xScale(xr),this.isFreePan||recalculateScale(this.xTransform,this.xScale,this.yScales,id,this.plotAreas,this.yElements,this.yZooms);}),this.listeners.call("redraw"),this.listeners.call("bounds_changed",this,xr.domain());}zoomIn(delta){this.zoom(delta);}zoomOut(delta){this.zoom(-delta);}set colors(colors){this._colors=colors,Object.values(this.plotAreas).forEach(plotArea=>{plotArea.colors=colors;}),Object.values(this.yAxes).map(yAxis=>{yAxis.colors=colors;}),this.xAxis.colors=colors,this.listeners.call("redraw");}}function _extends(){return _extends=Object.assign?Object.assign.bind():function(target){for(var i=1;i<arguments.length;i++){var source=arguments[i];for(var key in source)Object.prototype.hasOwnProperty.call(source,key)&&(target[key]=source[key]);}return target;},_extends.apply(this,arguments);}var h,c={};/*!
  Copyright (c) 2018 Jed Watson.
  Licensed under the MIT License (MIT), see
  http://jedwatson.github.io/classnames
*/h={get exports(){return c;},set exports(e){c=e;}},function(){var e={}.hasOwnProperty;function t(){for(var i=[],n=0;n<arguments.length;n++){var r=arguments[n];if(r){var s=typeof r;if("string"===s||"number"===s)i.push(r);else if(Array.isArray(r)){if(r.length){var o=t.apply(null,r);o&&i.push(o);}}else if("object"===s)if(r.toString===Object.prototype.toString)for(var a in r)e.call(r,a)&&r[a]&&i.push(a);else i.push(r.toString());}}return i.join(" ");}h.exports?(t.default=t,h.exports=t):window.classNames=t;}();var l=c,f=/^\s+|\s+$/g,m=/^[-+]0x[0-9a-f]+$/i,d=/^0b[01]+$/i,p=/^0o[0-7]+$/i,v=parseInt,y=Object.prototype.toString;function g(e){var t=typeof e;return!!e&&("object"==t||"function"==t);}function b(e){if("number"==typeof e)return e;if(function(e){return"symbol"==typeof e||function(e){return!!e&&"object"==typeof e;}(e)&&"[object Symbol]"==y.call(e);}(e))return NaN;if(g(e)){var t="function"==typeof e.valueOf?e.valueOf():e;e=g(t)?t+"":t;}if("string"!=typeof e)return 0===e?e:+e;e=e.replace(f,"");var i=d.test(e);return i||p.test(e)?v(e.slice(2),i?2:8):m.test(e)?NaN:+e;}var z=function(e,t,i){return void 0===i&&(i=t,t=void 0),void 0!==i&&(i=(i=b(i))==i?i:0),void 0!==t&&(t=(t=b(t))==t?t:0),function(e,t,i){return e==e&&(void 0!==i&&(e=e<=i?e:i),void 0!==t&&(e=e>=t?e:t)),e;}(b(e),t,i);},w="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self?self:{},S={};!function(e,t){var i="__lodash_hash_undefined__",n=9007199254740991,r="[object Arguments]",s="[object Array]",o="[object Boolean]",a="[object Date]",u="[object Error]",h="[object Function]",c="[object Map]",l="[object Number]",f="[object Object]",m="[object Promise]",d="[object RegExp]",p="[object Set]",v="[object String]",g="[object WeakMap]",b="[object ArrayBuffer]",z="[object DataView]",S=/^\[object .+?Constructor\]$/,_=/^(?:0|[1-9]\d*)$/,I={};I["[object Float32Array]"]=I["[object Float64Array]"]=I["[object Int8Array]"]=I["[object Int16Array]"]=I["[object Int32Array]"]=I["[object Uint8Array]"]=I["[object Uint8ClampedArray]"]=I["[object Uint16Array]"]=I["[object Uint32Array]"]=!0,I[r]=I[s]=I[b]=I[o]=I[z]=I[a]=I[u]=I[h]=I[c]=I[l]=I[f]=I[d]=I[p]=I[v]=I[g]=!1;var x="object"==typeof w&&w&&w.Object===Object&&w,E="object"==typeof self&&self&&self.Object===Object&&self,V=x||E||Function("return this")(),j=t&&!t.nodeType&&t,N=j&&e&&!e.nodeType&&e,L=N&&N.exports===j,D=L&&x.process,O=function(){try{return D&&D.binding&&D.binding("util");}catch(e){}}(),M=O&&O.isTypedArray;function P(e,t){for(var i=-1,n=null==e?0:e.length;++i<n;)if(t(e[i],i,e))return!0;return!1;}function A(e){var t=-1,i=Array(e.size);return e.forEach(function(e,n){i[++t]=[n,e];}),i;}function T(e){var t=-1,i=Array(e.size);return e.forEach(function(e){i[++t]=e;}),i;}var C,F,k,$=Array.prototype,H=Function.prototype,Y=Object.prototype,B=V["__core-js_shared__"],R=H.toString,W=Y.hasOwnProperty,G=(C=/[^.]+$/.exec(B&&B.keys&&B.keys.IE_PROTO||""))?"Symbol(src)_1."+C:"",U=Y.toString,X=RegExp("^"+R.call(W).replace(/[\\^$.*+?()[\]{}|]/g,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$"),J=L?V.Buffer:void 0,K=V.Symbol,Z=V.Uint8Array,Q=Y.propertyIsEnumerable,q=$.splice,ee=K?K.toStringTag:void 0,te=Object.getOwnPropertySymbols,ie=J?J.isBuffer:void 0,ne=(F=Object.keys,k=Object,function(e){return F(k(e));}),re=Oe(V,"DataView"),se=Oe(V,"Map"),oe=Oe(V,"Promise"),ae=Oe(V,"Set"),ue=Oe(V,"WeakMap"),he=Oe(Object,"create"),ce=Te(re),le=Te(se),fe=Te(oe),me=Te(ae),de=Te(ue),pe=K?K.prototype:void 0,ve=pe?pe.valueOf:void 0;function ye(e){var t=-1,i=null==e?0:e.length;for(this.clear();++t<i;){var n=e[t];this.set(n[0],n[1]);}}function ge(e){var t=-1,i=null==e?0:e.length;for(this.clear();++t<i;){var n=e[t];this.set(n[0],n[1]);}}function be(e){var t=-1,i=null==e?0:e.length;for(this.clear();++t<i;){var n=e[t];this.set(n[0],n[1]);}}function ze(e){var t=-1,i=null==e?0:e.length;for(this.__data__=new be();++t<i;)this.add(e[t]);}function we(e){var t=this.__data__=new ge(e);this.size=t.size;}function _e(e,t){for(var i=e.length;i--;)if(Ce(e[i][0],t))return i;return-1;}function Ie(e){return null==e?void 0===e?"[object Undefined]":"[object Null]":ee&&ee in Object(e)?function(e){var t=W.call(e,ee),i=e[ee];try{e[ee]=void 0;var n=!0;}catch(e){}var r=U.call(e);return n&&(t?e[ee]=i:delete e[ee]),r;}(e):function(e){return U.call(e);}(e);}function xe(e){return Re(e)&&Ie(e)==r;}function Ee(e,t,i,n,h){return e===t||(null==e||null==t||!Re(e)&&!Re(t)?e!=e&&t!=t:function(e,t,i,n,h,m){var g=ke(e),w=ke(t),S=g?s:Pe(e),_=w?s:Pe(t),I=(S=S==r?f:S)==f,x=(_=_==r?f:_)==f,E=S==_;if(E&&$e(e)){if(!$e(t))return!1;g=!0,I=!1;}if(E&&!I)return m||(m=new we()),g||We(e)?Ne(e,t,i,n,h,m):function(e,t,i,n,r,s,h){switch(i){case z:if(e.byteLength!=t.byteLength||e.byteOffset!=t.byteOffset)return!1;e=e.buffer,t=t.buffer;case b:return!(e.byteLength!=t.byteLength||!s(new Z(e),new Z(t)));case o:case a:case l:return Ce(+e,+t);case u:return e.name==t.name&&e.message==t.message;case d:case v:return e==t+"";case c:var f=A;case p:var m=1&n;if(f||(f=T),e.size!=t.size&&!m)return!1;var g=h.get(e);if(g)return g==t;n|=2,h.set(e,t);var w=Ne(f(e),f(t),n,r,s,h);return h.delete(e),w;case"[object Symbol]":if(ve)return ve.call(e)==ve.call(t);}return!1;}(e,t,S,i,n,h,m);if(!(1&i)){var V=I&&W.call(e,"__wrapped__"),j=x&&W.call(t,"__wrapped__");if(V||j){var N=V?e.value():e,L=j?t.value():t;return m||(m=new we()),h(N,L,i,n,m);}}return!!E&&(m||(m=new we()),function(e,t,i,n,r,s){var o=1&i,a=Le(e),u=a.length;if(u!=Le(t).length&&!o)return!1;for(var c=u;c--;){var l=a[c];if(!(o?l in t:W.call(t,l)))return!1;}var f=s.get(e);if(f&&s.get(t))return f==t;var m=!0;s.set(e,t),s.set(t,e);for(var d=o;++c<u;){var p=e[l=a[c]],v=t[l];if(n)var y=o?n(v,p,l,t,e,s):n(p,v,l,e,t,s);if(!(void 0===y?p===v||r(p,v,i,n,s):y)){m=!1;break;}d||(d="constructor"==l);}if(m&&!d){var g=e.constructor,b=t.constructor;g==b||!("constructor"in e)||!("constructor"in t)||"function"==typeof g&&g instanceof g&&"function"==typeof b&&b instanceof b||(m=!1);}return s.delete(e),s.delete(t),m;}(e,t,i,n,h,m));}(e,t,i,n,Ee,h));}function Ne(e,t,i,n,r,s){var o=1&i,a=e.length,u=t.length;if(a!=u&&!(o&&u>a))return!1;var h=s.get(e);if(h&&s.get(t))return h==t;var c=-1,l=!0,f=2&i?new ze():void 0;for(s.set(e,t),s.set(t,e);++c<a;){var m=e[c],d=t[c];if(n)var p=o?n(d,m,c,t,e,s):n(m,d,c,e,t,s);if(void 0!==p){if(p)continue;l=!1;break;}if(f){if(!P(t,function(e,t){if(o=t,!f.has(o)&&(m===e||r(m,e,i,n,s)))return f.push(t);var o;})){l=!1;break;}}else if(m!==d&&!r(m,d,i,n,s)){l=!1;break;}}return s.delete(e),s.delete(t),l;}function Le(e){return function(e,t,i){var n=t(e);return ke(e)?n:function(e,t){for(var i=-1,n=t.length,r=e.length;++i<n;)e[r+i]=t[i];return e;}(n,i(e));}(e,Ge,Me);}function De(e,t){var i,n,r=e.__data__;return("string"==(n=typeof(i=t))||"number"==n||"symbol"==n||"boolean"==n?"__proto__"!==i:null===i)?r["string"==typeof t?"string":"hash"]:r.map;}function Oe(e,t){var i=function(e,t){return null==e?void 0:e[t];}(e,t);return function(e){return!(!Be(e)||function(e){return!!G&&G in e;}(e))&&(He(e)?X:S).test(Te(e));}(i)?i:void 0;}ye.prototype.clear=function(){this.__data__=he?he(null):{},this.size=0;},ye.prototype.delete=function(e){var t=this.has(e)&&delete this.__data__[e];return this.size-=t?1:0,t;},ye.prototype.get=function(e){var t=this.__data__;if(he){var n=t[e];return n===i?void 0:n;}return W.call(t,e)?t[e]:void 0;},ye.prototype.has=function(e){var t=this.__data__;return he?void 0!==t[e]:W.call(t,e);},ye.prototype.set=function(e,t){var n=this.__data__;return this.size+=this.has(e)?0:1,n[e]=he&&void 0===t?i:t,this;},ge.prototype.clear=function(){this.__data__=[],this.size=0;},ge.prototype.delete=function(e){var t=this.__data__,i=_e(t,e);return!(i<0||(i==t.length-1?t.pop():q.call(t,i,1),--this.size,0));},ge.prototype.get=function(e){var t=this.__data__,i=_e(t,e);return i<0?void 0:t[i][1];},ge.prototype.has=function(e){return _e(this.__data__,e)>-1;},ge.prototype.set=function(e,t){var i=this.__data__,n=_e(i,e);return n<0?(++this.size,i.push([e,t])):i[n][1]=t,this;},be.prototype.clear=function(){this.size=0,this.__data__={hash:new ye(),map:new(se||ge)(),string:new ye()};},be.prototype.delete=function(e){var t=De(this,e).delete(e);return this.size-=t?1:0,t;},be.prototype.get=function(e){return De(this,e).get(e);},be.prototype.has=function(e){return De(this,e).has(e);},be.prototype.set=function(e,t){var i=De(this,e),n=i.size;return i.set(e,t),this.size+=i.size==n?0:1,this;},ze.prototype.add=ze.prototype.push=function(e){return this.__data__.set(e,i),this;},ze.prototype.has=function(e){return this.__data__.has(e);},we.prototype.clear=function(){this.__data__=new ge(),this.size=0;},we.prototype.delete=function(e){var t=this.__data__,i=t.delete(e);return this.size=t.size,i;},we.prototype.get=function(e){return this.__data__.get(e);},we.prototype.has=function(e){return this.__data__.has(e);},we.prototype.set=function(e,t){var i=this.__data__;if(i instanceof ge){var n=i.__data__;if(!se||n.length<199)return n.push([e,t]),this.size=++i.size,this;i=this.__data__=new be(n);}return i.set(e,t),this.size=i.size,this;};var Me=te?function(e){return null==e?[]:(e=Object(e),function(e,t){for(var i=-1,n=null==e?0:e.length,r=0,s=[];++i<n;){var o=e[i];t(o)&&(s[r++]=o);}return s;}(te(e),function(t){return Q.call(e,t);}));}:function(){return[];},Pe=Ie;function Ae(e,t){return!!(t=null==t?n:t)&&("number"==typeof e||_.test(e))&&e>-1&&e%1==0&&e<t;}function Te(e){if(null!=e){try{return R.call(e);}catch(e){}try{return e+"";}catch(e){}}return"";}function Ce(e,t){return e===t||e!=e&&t!=t;}(re&&Pe(new re(new ArrayBuffer(1)))!=z||se&&Pe(new se())!=c||oe&&Pe(oe.resolve())!=m||ae&&Pe(new ae())!=p||ue&&Pe(new ue())!=g)&&(Pe=function(e){var t=Ie(e),i=t==f?e.constructor:void 0,n=i?Te(i):"";if(n)switch(n){case ce:return z;case le:return c;case fe:return m;case me:return p;case de:return g;}return t;});var Fe=xe(function(){return arguments;}())?xe:function(e){return Re(e)&&W.call(e,"callee")&&!Q.call(e,"callee");},ke=Array.isArray,$e=ie||function(){return!1;};function He(e){if(!Be(e))return!1;var t=Ie(e);return t==h||"[object GeneratorFunction]"==t||"[object AsyncFunction]"==t||"[object Proxy]"==t;}function Ye(e){return"number"==typeof e&&e>-1&&e%1==0&&e<=n;}function Be(e){var t=typeof e;return null!=e&&("object"==t||"function"==t);}function Re(e){return null!=e&&"object"==typeof e;}var We=M?function(e){return function(t){return e(t);};}(M):function(e){return Re(e)&&Ye(e.length)&&!!I[Ie(e)];};function Ge(e){return null!=(t=e)&&Ye(t.length)&&!He(t)?function(e,t){var i=ke(e),n=!i&&Fe(e),r=!i&&!n&&$e(e),s=!i&&!n&&!r&&We(e),o=i||n||r||s,a=o?function(e,t){for(var i=-1,n=Array(e);++i<e;)n[i]=t(i);return n;}(e.length,String):[],u=a.length;for(var h in e)!t&&!W.call(e,h)||o&&("length"==h||r&&("offset"==h||"parent"==h)||s&&("buffer"==h||"byteLength"==h||"byteOffset"==h)||Ae(h,u))||a.push(h);return a;}(e):function(e){if(i=(t=e)&&t.constructor,t!==("function"==typeof i&&i.prototype||Y))return ne(e);var t,i,r=[];for(var s in Object(e))W.call(e,s)&&"constructor"!=s&&r.push(s);return r;}(e);var t;}e.exports=function(e,t){return Ee(e,t);};}({get exports(){return S;},set exports(e){S=e;}},S);var _=S;function I(e,t,i){return e[t]?e[t][0]?e[t][0][i]:e[t][i]:"contentBoxSize"===t?e.contentRect["inlineSize"===i?"width":"height"]:void 0;}function x(e){void 0===e&&(e={});var o=e.onResize,a=React.useRef(void 0);a.current=o;var u=e.round||Math.round,h=React.useRef(),c=React.useState({width:void 0,height:void 0}),l=c[0],f=c[1],m=React.useRef(!1);React.useEffect(function(){return m.current=!1,function(){m.current=!0;};},[]);var d=React.useRef({width:void 0,height:void 0}),p=function(e,i){var s=React.useRef(null),o=React.useRef(null);o.current=i;var a=React.useRef(null);React.useEffect(function(){u();});var u=React.useCallback(function(){var t=a.current,i=o.current,n=t||(i?i instanceof Element?i:i.current:null);s.current&&s.current.element===n&&s.current.subscriber===e||(s.current&&s.current.cleanup&&s.current.cleanup(),s.current={element:n,subscriber:e,cleanup:n?e(n):void 0});},[e]);return React.useEffect(function(){return function(){s.current&&s.current.cleanup&&(s.current.cleanup(),s.current=null);};},[]),React.useCallback(function(e){a.current=e,u();},[u]);}(React.useCallback(function(t){return h.current&&h.current.box===e.box&&h.current.round===u||(h.current={box:e.box,round:u,instance:new ResizeObserver(function(t){var i=t[0],n="border-box"===e.box?"borderBoxSize":"device-pixel-content-box"===e.box?"devicePixelContentBoxSize":"contentBoxSize",r=I(i,n,"inlineSize"),s=I(i,n,"blockSize"),o=r?u(r):void 0,h=s?u(s):void 0;if(d.current.width!==o||d.current.height!==h){var c={width:o,height:h};d.current.width=o,d.current.height=h,a.current?a.current(c):m.current||f(c);}})}),h.current.instance.observe(t,{box:e.box}),function(){h.current&&h.current.instance.unobserve(t);};},[e.box,u]),e.ref);return React.useMemo(function(){return{ref:p,width:l.width,height:l.height};},[p,l.width,l.height]);}var N="allotment-module_splitViewView__MGZ6O";let M,P=!1,A=!1;"object"==typeof navigator&&(M=navigator.userAgent,A=M.indexOf("Macintosh")>=0,P=(M.indexOf("Macintosh")>=0||M.indexOf("iPad")>=0||M.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0);const T=P,C=A,F="undefined"!=typeof window&&void 0!==window.document&&void 0!==window.document.createElement?React.useLayoutEffect:React.useEffect;class k{constructor(){this._size=void 0;}getSize(){return this._size;}setSize(e){this._size=e;}}function $(e,t){const i=e.length,n=i-t.length;return n>=0&&e.slice(n,i)===t;}var H={};function Y(e,t){const i=e.indexOf(t);i>-1&&(e.splice(i,1),e.unshift(t));}function B$1(e,t){const i=e.indexOf(t);i>-1&&(e.splice(i,1),e.push(t));}function R(e,t,i=1){const n=Math.max(0,Math.ceil((t-e)/i)),r=new Array(n);let s=-1;for(;++s<n;)r[s]=e+s*i;return r;}!function(e){var t=Object.prototype.hasOwnProperty,i="~";function n(){}function r(e,t,i){this.fn=e,this.context=t,this.once=i||!1;}function s(e,t,n,s,o){if("function"!=typeof n)throw new TypeError("The listener must be a function");var a=new r(n,s||e,o),u=i?i+t:t;return e._events[u]?e._events[u].fn?e._events[u]=[e._events[u],a]:e._events[u].push(a):(e._events[u]=a,e._eventsCount++),e;}function o(e,t){0==--e._eventsCount?e._events=new n():delete e._events[t];}function a(){this._events=new n(),this._eventsCount=0;}Object.create&&(n.prototype=Object.create(null),new n().__proto__||(i=!1)),a.prototype.eventNames=function(){var e,n,r=[];if(0===this._eventsCount)return r;for(n in e=this._events)t.call(e,n)&&r.push(i?n.slice(1):n);return Object.getOwnPropertySymbols?r.concat(Object.getOwnPropertySymbols(e)):r;},a.prototype.listeners=function(e){var t=i?i+e:e,n=this._events[t];if(!n)return[];if(n.fn)return[n.fn];for(var r=0,s=n.length,o=new Array(s);r<s;r++)o[r]=n[r].fn;return o;},a.prototype.listenerCount=function(e){var t=i?i+e:e,n=this._events[t];return n?n.fn?1:n.length:0;},a.prototype.emit=function(e,t,n,r,s,o){var a=i?i+e:e;if(!this._events[a])return!1;var u,h,c=this._events[a],l=arguments.length;if(c.fn){switch(c.once&&this.removeListener(e,c.fn,void 0,!0),l){case 1:return c.fn.call(c.context),!0;case 2:return c.fn.call(c.context,t),!0;case 3:return c.fn.call(c.context,t,n),!0;case 4:return c.fn.call(c.context,t,n,r),!0;case 5:return c.fn.call(c.context,t,n,r,s),!0;case 6:return c.fn.call(c.context,t,n,r,s,o),!0;}for(h=1,u=new Array(l-1);h<l;h++)u[h-1]=arguments[h];c.fn.apply(c.context,u);}else{var f,m=c.length;for(h=0;h<m;h++)switch(c[h].once&&this.removeListener(e,c[h].fn,void 0,!0),l){case 1:c[h].fn.call(c[h].context);break;case 2:c[h].fn.call(c[h].context,t);break;case 3:c[h].fn.call(c[h].context,t,n);break;case 4:c[h].fn.call(c[h].context,t,n,r);break;default:if(!u)for(f=1,u=new Array(l-1);f<l;f++)u[f-1]=arguments[f];c[h].fn.apply(c[h].context,u);}}return!0;},a.prototype.on=function(e,t,i){return s(this,e,t,i,!1);},a.prototype.once=function(e,t,i){return s(this,e,t,i,!0);},a.prototype.removeListener=function(e,t,n,r){var s=i?i+e:e;if(!this._events[s])return this;if(!t)return o(this,s),this;var a=this._events[s];if(a.fn)a.fn!==t||r&&!a.once||n&&a.context!==n||o(this,s);else{for(var u=0,h=[],c=a.length;u<c;u++)(a[u].fn!==t||r&&!a[u].once||n&&a[u].context!==n)&&h.push(a[u]);h.length?this._events[s]=1===h.length?h[0]:h:o(this,s);}return this;},a.prototype.removeAllListeners=function(e){var t;return e?(t=i?i+e:e,this._events[t]&&o(this,t)):(this._events=new n(),this._eventsCount=0),this;},a.prototype.off=a.prototype.removeListener,a.prototype.addListener=a.prototype.on,a.prefixed=i,a.EventEmitter=a,e.exports=a;}({get exports(){return H;},set exports(e){H=e;}});var W=/^\s+|\s+$/g,G=/^[-+]0x[0-9a-f]+$/i,U=/^0b[01]+$/i,X=/^0o[0-7]+$/i,J=parseInt,K="object"==typeof w&&w&&w.Object===Object&&w,Z="object"==typeof self&&self&&self.Object===Object&&self,Q=K||Z||Function("return this")(),q=Object.prototype.toString,ee=Math.max,te=Math.min,ie=function(){return Q.Date.now();};function ne(e){var t=typeof e;return!!e&&("object"==t||"function"==t);}function re(e){if("number"==typeof e)return e;if(function(e){return"symbol"==typeof e||function(e){return!!e&&"object"==typeof e;}(e)&&"[object Symbol]"==q.call(e);}(e))return NaN;if(ne(e)){var t="function"==typeof e.valueOf?e.valueOf():e;e=ne(t)?t+"":t;}if("string"!=typeof e)return 0===e?e:+e;e=e.replace(W,"");var i=U.test(e);return i||X.test(e)?J(e.slice(2),i?2:8):G.test(e)?NaN:+e;}var se=function(e,t,i){var n,r,s,o,a,u,h=0,c=!1,l=!1,f=!0;if("function"!=typeof e)throw new TypeError("Expected a function");function m(t){var i=n,s=r;return n=r=void 0,h=t,o=e.apply(s,i);}function p(e){var i=e-u;return void 0===u||i>=t||i<0||l&&e-h>=s;}function v(){var e=ie();if(p(e))return y(e);a=setTimeout(v,function(e){var i=t-(e-u);return l?te(i,s-(e-h)):i;}(e));}function y(e){return a=void 0,f&&n?m(e):(n=r=void 0,o);}function g(){var e=ie(),i=p(e);if(n=arguments,r=this,u=e,i){if(void 0===a)return function(e){return h=e,a=setTimeout(v,t),c?m(e):o;}(u);if(l)return a=setTimeout(v,t),m(u);}return void 0===a&&(a=setTimeout(v,t)),o;}return t=re(t)||0,ne(i)&&(c=!!i.leading,s=(l="maxWait"in i)?ee(re(i.maxWait)||0,t):s,f="trailing"in i?!!i.trailing:f),g.cancel=function(){void 0!==a&&clearTimeout(a),h=0,n=u=r=a=void 0;},g.flush=function(){return void 0===a?o:y(ie());},g;},he="sash-module_vertical__pB-rs",fe="sash-module_horizontal__kFbiw",me="sash-module_hover__80W6I",de="sash-module_active__bJspD";let pe=((e={}).Vertical="VERTICAL",e.Horizontal="HORIZONTAL",e),ve=function(e){return e.Disabled="DISABLED",e.Minimum="MINIMUM",e.Maximum="MAXIMUM",e.Enabled="ENABLED",e;}({}),ye=T?20:8;var e;const ge=new H();class be extends H{get state(){return this._state;}set state(e){this._state!==e&&(this.el.classList.toggle("sash-module_disabled__Hm-wx",e===ve.Disabled),this.el.classList.toggle("dash-disabled",e===ve.Disabled),this.el.classList.toggle("sash-module_minimum__-UKxp",e===ve.Minimum),this.el.classList.toggle("sash-minimum",e===ve.Minimum),this.el.classList.toggle("sash-module_maximum__TCWxD",e===ve.Maximum),this.el.classList.toggle("sash-maximum",e===ve.Maximum),this._state=e,this.emit("enablementChange",e));}constructor(e,t,i){var _i$orientation;super(),this.el=void 0,this.layoutProvider=void 0,this.orientation=void 0,this.size=void 0,this.hoverDelay=300,this.hoverDelayer=se(e=>e.classList.add("sash-hover",me),this.hoverDelay),this._state=ve.Enabled,this.onPointerStart=e=>{const t=e.pageX,i=e.pageY,n={startX:t,currentX:t,startY:i,currentY:i};this.el.classList.add("sash-active",de),this.emit("start",n),this.el.setPointerCapture(e.pointerId);const r=e=>{e.preventDefault();const n={startX:t,currentX:e.pageX,startY:i,currentY:e.pageY};this.emit("change",n);},s=e=>{e.preventDefault(),this.el.classList.remove("sash-active",de),this.hoverDelayer.cancel(),this.emit("end"),this.el.releasePointerCapture(e.pointerId),window.removeEventListener("pointermove",r),window.removeEventListener("pointerup",s);};window.addEventListener("pointermove",r),window.addEventListener("pointerup",s);},this.onPointerDoublePress=()=>{this.emit("reset");},this.onMouseEnter=()=>{this.el.classList.contains(de)?(this.hoverDelayer.cancel(),this.el.classList.add("sash-hover",me)):this.hoverDelayer(this.el);},this.onMouseLeave=()=>{this.hoverDelayer.cancel(),this.el.classList.remove("sash-hover",me);},this.el=document.createElement("div"),this.el.classList.add("sash","sash-module_sash__K-9lB"),this.el.dataset.testid="sash",e.append(this.el),C&&this.el.classList.add("sash-mac","sash-module_mac__Jf6OJ"),this.el.addEventListener("pointerdown",this.onPointerStart),this.el.addEventListener("dblclick",this.onPointerDoublePress),this.el.addEventListener("mouseenter",this.onMouseEnter),this.el.addEventListener("mouseleave",this.onMouseLeave),"number"==typeof i.size?(this.size=i.size,i.orientation===pe.Vertical?this.el.style.width=`${this.size}px`:this.el.style.height=`${this.size}px`):(this.size=ye,ge.on("onDidChangeGlobalSize",e=>{this.size=e,this.layout();})),this.layoutProvider=t,this.orientation=null!=(_i$orientation=i.orientation)?_i$orientation:pe.Vertical,this.orientation===pe.Horizontal?(this.el.classList.add("sash-horizontal",fe),this.el.classList.remove("sash-vertical",he)):(this.el.classList.remove("sash-horizontal",fe),this.el.classList.add("sash-vertical",he)),this.layout();}layout(){if(this.orientation===pe.Vertical){const e=this.layoutProvider;this.el.style.left=e.getVerticalSashLeft(this)-this.size/2+"px",e.getVerticalSashTop&&(this.el.style.top=e.getVerticalSashTop(this)+"px"),e.getVerticalSashHeight&&(this.el.style.height=e.getVerticalSashHeight(this)+"px");}else{const e=this.layoutProvider;this.el.style.top=e.getHorizontalSashTop(this)-this.size/2+"px",e.getHorizontalSashLeft&&(this.el.style.left=e.getHorizontalSashLeft(this)+"px"),e.getHorizontalSashWidth&&(this.el.style.width=e.getHorizontalSashWidth(this)+"px");}}dispose(){this.el.removeEventListener("pointerdown",this.onPointerStart),this.el.removeEventListener("dblclick",this.onPointerDoublePress),this.el.removeEventListener("mouseenter",this.onMouseEnter),this.el.removeEventListener("mouseleave",()=>this.onMouseLeave),this.el.remove();}}let ze;var we;(we=ze||(ze={})).Distribute={type:"distribute"},we.Split=function(e){return{type:"split",index:e};},we.Invisible=function(e){return{type:"invisible",cachedVisibleSize:e};};let Se=function(e){return e.Normal="NORMAL",e.Low="LOW",e.High="HIGH",e;}({});class _e{constructor(e,t,i){this.container=void 0,this.view=void 0,this._size=void 0,this._cachedVisibleSize=void 0,this.container=e,this.view=t,this.container.classList.add("split-view-view",N),this.container.dataset.testid="split-view-view","number"==typeof i?(this._size=i,this._cachedVisibleSize=void 0,e.classList.add("split-view-view-visible")):(this._size=0,this._cachedVisibleSize=i.cachedVisibleSize);}set size(e){this._size=e;}get size(){return this._size;}get priority(){return this.view.priority;}get snap(){return!!this.view.snap;}get cachedVisibleSize(){return this._cachedVisibleSize;}get visible(){return void 0===this._cachedVisibleSize;}setVisible(e,t){e!==this.visible&&(e?(this.size=z(this._cachedVisibleSize,this.viewMinimumSize,this.viewMaximumSize),this._cachedVisibleSize=void 0):(this._cachedVisibleSize="number"==typeof t?t:this.size,this.size=0),this.container.classList.toggle("split-view-view-visible",e),this.view.setVisible&&this.view.setVisible(e));}get minimumSize(){return this.visible?this.view.minimumSize:0;}get viewMinimumSize(){return this.view.minimumSize;}get maximumSize(){return this.visible?this.view.maximumSize:0;}get viewMaximumSize(){return this.view.maximumSize;}set enabled(e){this.container.style.pointerEvents=e?"":"none";}layout(e){this.layoutContainer(e),this.view.layout(this.size,e);}}class Ie extends _e{layoutContainer(e){this.container.style.left=`${e}px`,this.container.style.width=`${this.size}px`;}}class xe extends _e{layoutContainer(e){this.container.style.top=`${e}px`,this.container.style.height=`${this.size}px`;}}class Ee extends H{get startSnappingEnabled(){return this._startSnappingEnabled;}set startSnappingEnabled(e){this._startSnappingEnabled!==e&&(this._startSnappingEnabled=e,this.updateSashEnablement());}get endSnappingEnabled(){return this._endSnappingEnabled;}set endSnappingEnabled(e){this._endSnappingEnabled!==e&&(this._endSnappingEnabled=e,this.updateSashEnablement());}constructor(e,t={},i,n,r){var _t$orientation,_t$proportionalLayout;if(super(),this.onDidChange=void 0,this.onDidDragStart=void 0,this.onDidDragEnd=void 0,this.orientation=void 0,this.sashContainer=void 0,this.size=0,this.contentSize=0,this.proportions=void 0,this.viewItems=[],this.sashItems=[],this.sashDragState=void 0,this.proportionalLayout=void 0,this.getSashOrthogonalSize=void 0,this._startSnappingEnabled=!0,this._endSnappingEnabled=!0,this.onSashEnd=e=>{this.emit("sashchange",e),this.saveProportions();for(const _e2 of this.viewItems)_e2.enabled=!0;},this.orientation=null!=(_t$orientation=t.orientation)?_t$orientation:pe.Vertical,this.proportionalLayout=null==(_t$proportionalLayout=t.proportionalLayout)||_t$proportionalLayout,this.getSashOrthogonalSize=t.getSashOrthogonalSize,i&&(this.onDidChange=i),n&&(this.onDidDragStart=n),r&&(this.onDidDragEnd=r),this.sashContainer=document.createElement("div"),this.sashContainer.classList.add("sash-container","allotment-module_sashContainer__fzwJF"),e.prepend(this.sashContainer),t.descriptor){this.size=t.descriptor.size;for(const[_e3,_i]of t.descriptor.views.entries()){const _t=_i.size,_n=_i.container,_r=_i.view;this.addView(_n,_r,_t,_e3,!0);}this.contentSize=this.viewItems.reduce((e,t)=>e+t.size,0),this.saveProportions();}}addView(e,t,i,n=this.viewItems.length,r){let s;s="number"==typeof i?i:"split"===i.type?this.getViewSize(i.index)/2:"invisible"===i.type?{cachedVisibleSize:i.cachedVisibleSize}:t.minimumSize;const o=this.orientation===pe.Vertical?new xe(e,t,s):new Ie(e,t,s);if(this.viewItems.splice(n,0,o),this.viewItems.length>1){const _e4=this.orientation===pe.Vertical?new be(this.sashContainer,{getHorizontalSashTop:e=>this.getSashPosition(e),getHorizontalSashWidth:this.getSashOrthogonalSize},{orientation:pe.Horizontal}):new be(this.sashContainer,{getVerticalSashLeft:e=>this.getSashPosition(e),getVerticalSashHeight:this.getSashOrthogonalSize},{orientation:pe.Vertical}),_t2=this.orientation===pe.Vertical?t=>({sash:_e4,start:t.startY,current:t.currentY}):t=>({sash:_e4,start:t.startX,current:t.currentX});_e4.on("start",e=>{var _this$onDidDragStart;this.emit("sashDragStart"),this.onSashStart(_t2(e));const i=this.viewItems.map(e=>e.size);null==(_this$onDidDragStart=this.onDidDragStart)||_this$onDidDragStart.call(this,i);}),_e4.on("change",e=>this.onSashChange(_t2(e))),_e4.on("end",()=>{var _this$onDidDragEnd;this.emit("sashDragEnd"),this.onSashEnd(this.sashItems.findIndex(t=>t.sash===_e4));const t=this.viewItems.map(e=>e.size);null==(_this$onDidDragEnd=this.onDidDragEnd)||_this$onDidDragEnd.call(this,t);}),_e4.on("reset",()=>{const t=this.sashItems.findIndex(t=>t.sash===_e4),i=R(t,-1,-1),n=R(t+1,this.viewItems.length),r=this.findFirstSnapIndex(i),s=this.findFirstSnapIndex(n);("number"!=typeof r||this.viewItems[r].visible)&&("number"!=typeof s||this.viewItems[s].visible)&&this.emit("sashreset",t);});const _i2={sash:_e4};this.sashItems.splice(n-1,0,_i2);}r||this.relayout(),r||"number"==typeof i||"distribute"!==i.type||this.distributeViewSizes();}removeView(e,t){if(e<0||e>=this.viewItems.length)throw new Error("Index out of bounds");const i=this.viewItems.splice(e,1)[0].view;if(this.viewItems.length>=1){const _t3=Math.max(e-1,0);this.sashItems.splice(_t3,1)[0].sash.dispose();}return this.relayout(),t&&"distribute"===t.type&&this.distributeViewSizes(),i;}moveView(e,t,i){const n=this.getViewCachedVisibleSize(t),r=void 0===n?this.getViewSize(t):ze.Invisible(n),s=this.removeView(t);this.addView(e,s,r,i);}getViewCachedVisibleSize(e){if(e<0||e>=this.viewItems.length)throw new Error("Index out of bounds");return this.viewItems[e].cachedVisibleSize;}layout(e=this.size){const t=Math.max(this.size,this.contentSize);if(this.size=e,this.proportions)for(let _t4=0;_t4<this.viewItems.length;_t4++){const i=this.viewItems[_t4];i.size=z(Math.round(this.proportions[_t4]*e),i.minimumSize,i.maximumSize);}else{const i=R(0,this.viewItems.length),n=i.filter(e=>this.viewItems[e].priority===Se.Low),r=i.filter(e=>this.viewItems[e].priority===Se.High);this.resize(this.viewItems.length-1,e-t,void 0,n,r);}this.distributeEmptySpace(),this.layoutViews();}resizeView(e,t){if(e<0||e>=this.viewItems.length)return;const i=R(0,this.viewItems.length).filter(t=>t!==e),n=[...i.filter(e=>this.viewItems[e].priority===Se.Low),e],r=i.filter(e=>this.viewItems[e].priority===Se.High),s=this.viewItems[e];t=Math.round(t),t=z(t,s.minimumSize,Math.min(s.maximumSize,this.size)),s.size=t,this.relayout(n,r);}resizeViews(e){for(let t=0;t<e.length;t++){const i=this.viewItems[t];let n=e[t];n=Math.round(n),n=z(n,i.minimumSize,Math.min(i.maximumSize,this.size)),i.size=n;}this.contentSize=this.viewItems.reduce((e,t)=>e+t.size,0),this.saveProportions(),this.layout(this.size);}getViewSize(e){return e<0||e>=this.viewItems.length?-1:this.viewItems[e].size;}isViewVisible(e){if(e<0||e>=this.viewItems.length)throw new Error("Index out of bounds");return this.viewItems[e].visible;}setViewVisible(e,t){if(e<0||e>=this.viewItems.length)throw new Error("Index out of bounds");this.viewItems[e].setVisible(t),this.distributeEmptySpace(e),this.layoutViews(),this.saveProportions();}distributeViewSizes(){const e=[];let t=0;for(const _i3 of this.viewItems)_i3.maximumSize-_i3.minimumSize>0&&(e.push(_i3),t+=_i3.size);const i=Math.floor(t/e.length);for(const _t5 of e)_t5.size=z(i,_t5.minimumSize,_t5.maximumSize);const n=R(0,this.viewItems.length),r=n.filter(e=>this.viewItems[e].priority===Se.Low),s=n.filter(e=>this.viewItems[e].priority===Se.High);this.relayout(r,s);}dispose(){this.sashItems.forEach(e=>e.sash.dispose()),this.sashItems=[],this.sashContainer.remove();}relayout(e,t){const i=this.viewItems.reduce((e,t)=>e+t.size,0);this.resize(this.viewItems.length-1,this.size-i,void 0,e,t),this.distributeEmptySpace(),this.layoutViews(),this.saveProportions();}onSashStart({sash:e,start:t}){const i=this.sashItems.findIndex(t=>t.sash===e);(e=>{const t=this.viewItems.map(e=>e.size);let n,r,s=Number.NEGATIVE_INFINITY,o=Number.POSITIVE_INFINITY;const a=R(i,-1,-1),u=R(i+1,this.viewItems.length),h=a.reduce((e,i)=>e+(this.viewItems[i].minimumSize-t[i]),0),c=a.reduce((e,i)=>e+(this.viewItems[i].viewMaximumSize-t[i]),0),l=0===u.length?Number.POSITIVE_INFINITY:u.reduce((e,i)=>e+(t[i]-this.viewItems[i].minimumSize),0),f=0===u.length?Number.NEGATIVE_INFINITY:u.reduce((e,i)=>e+(t[i]-this.viewItems[i].viewMaximumSize),0);s=Math.max(h,f),o=Math.min(l,c);const m=this.findFirstSnapIndex(a),d=this.findFirstSnapIndex(u);if("number"==typeof m){const _e5=this.viewItems[m],_t6=Math.floor(_e5.viewMinimumSize/2);n={index:m,limitDelta:_e5.visible?s-_t6:s+_t6,size:_e5.size};}if("number"==typeof d){const _e6=this.viewItems[d],_t7=Math.floor(_e6.viewMinimumSize/2);r={index:d,limitDelta:_e6.visible?o+_t7:o-_t7,size:_e6.size};}this.sashDragState={start:e,current:e,index:i,sizes:t,minDelta:s,maxDelta:o,snapBefore:n,snapAfter:r};})(t);}onSashChange({current:e}){const{index:t,start:i,sizes:n,minDelta:r,maxDelta:s,snapBefore:o,snapAfter:a}=this.sashDragState;this.sashDragState.current=e;const u=e-i;this.resize(t,u,n,void 0,void 0,r,s,o,a),this.distributeEmptySpace(),this.layoutViews();}getSashPosition(e){let t=0;for(let i=0;i<this.sashItems.length;i++)if(t+=this.viewItems[i].size,this.sashItems[i].sash===e)return t;return 0;}resize(e,t,i=this.viewItems.map(e=>e.size),n,r,s=Number.NEGATIVE_INFINITY,o=Number.POSITIVE_INFINITY,a,u){if(e<0||e>=this.viewItems.length)return 0;const h=R(e,-1,-1),c=R(e+1,this.viewItems.length);if(r)for(const _e7 of r)Y(h,_e7),Y(c,_e7);if(n)for(const _e8 of n)B$1(h,_e8),B$1(c,_e8);const l=h.map(e=>this.viewItems[e]),f=h.map(e=>i[e]),m=c.map(e=>this.viewItems[e]),d=c.map(e=>i[e]),p=h.reduce((e,t)=>e+(this.viewItems[t].minimumSize-i[t]),0),v=h.reduce((e,t)=>e+(this.viewItems[t].maximumSize-i[t]),0),y=0===c.length?Number.POSITIVE_INFINITY:c.reduce((e,t)=>e+(i[t]-this.viewItems[t].minimumSize),0),g=0===c.length?Number.NEGATIVE_INFINITY:c.reduce((e,t)=>e+(i[t]-this.viewItems[t].maximumSize),0),b=Math.max(p,g,s),w=Math.min(y,v,o);let S=!1;if(a){const _e9=this.viewItems[a.index],_i4=t>=a.limitDelta;S=_i4!==_e9.visible,_e9.setVisible(_i4,a.size);}if(!S&&u){const _e10=this.viewItems[u.index],_i5=t<u.limitDelta;S=_i5!==_e10.visible,_e10.setVisible(_i5,u.size);}if(S)return this.resize(e,t,i,n,r,s,o);for(let _e11=0,_i6=t=z(t,b,w);_e11<l.length;_e11++){const _t8=l[_e11],_n2=z(f[_e11]+_i6,_t8.minimumSize,_t8.maximumSize);_i6-=_n2-f[_e11],_t8.size=_n2;}for(let _e12=0,_i7=t;_e12<m.length;_e12++){const _t9=m[_e12],_n3=z(d[_e12]-_i7,_t9.minimumSize,_t9.maximumSize);_i7+=_n3-d[_e12],_t9.size=_n3;}return t;}distributeEmptySpace(e){const t=this.viewItems.reduce((e,t)=>e+t.size,0);let i=this.size-t;const n=R(this.viewItems.length-1,-1,-1);"number"==typeof e&&B$1(n,e);for(let _e13=0;0!==i&&_e13<n.length;_e13++){const _t10=this.viewItems[n[_e13]],r=z(_t10.size+i,_t10.minimumSize,_t10.maximumSize);i-=r-_t10.size,_t10.size=r;}}layoutViews(){var _this$onDidChange;this.contentSize=this.viewItems.reduce((e,t)=>e+t.size,0);let e=0;for(const t of this.viewItems)t.layout(e),e+=t.size;null!=(_this$onDidChange=this.onDidChange)&&_this$onDidChange.call(this,this.viewItems.map(e=>e.size)),this.sashItems.forEach(e=>e.sash.layout()),this.updateSashEnablement();}saveProportions(){this.proportionalLayout&&this.contentSize>0&&(this.proportions=this.viewItems.map(e=>e.size/this.contentSize));}updateSashEnablement(){let e=!1;const t=this.viewItems.map(t=>e=t.size-t.minimumSize>0||e);e=!1;const i=this.viewItems.map(t=>e=t.maximumSize-t.size>0||e),n=[...this.viewItems].reverse();e=!1;const r=n.map(t=>e=t.size-t.minimumSize>0||e).reverse();e=!1;const s=n.map(t=>e=t.maximumSize-t.size>0||e).reverse();let o=0;for(let _e14=0;_e14<this.sashItems.length;_e14++){const{sash:_n4}=this.sashItems[_e14];o+=this.viewItems[_e14].size;const a=!(t[_e14]&&s[_e14+1]),u=!(i[_e14]&&r[_e14+1]);if(a&&u){const _i8=R(_e14,-1,-1),_s=R(_e14+1,this.viewItems.length),_a=this.findFirstSnapIndex(_i8),_u=this.findFirstSnapIndex(_s),h="number"==typeof _a&&!this.viewItems[_a].visible,c="number"==typeof _u&&!this.viewItems[_u].visible;h&&r[_e14]&&(o>0||this.startSnappingEnabled)?_n4.state=ve.Minimum:c&&t[_e14]&&(o<this.contentSize||this.endSnappingEnabled)?_n4.state=ve.Maximum:_n4.state=ve.Disabled;}else _n4.state=a&&!u?ve.Minimum:!a&&u?ve.Maximum:ve.Enabled;}}findFirstSnapIndex(e){for(const t of e){const _e15=this.viewItems[t];if(_e15.visible&&_e15.snap)return t;}for(const t of e){const _e16=this.viewItems[t];if(_e16.visible&&_e16.maximumSize-_e16.minimumSize>0)return;if(!_e16.visible&&_e16.snap)return t;}}}class Ve{constructor(e){this.size=void 0,this.size=e;}getPreferredSize(){return this.size;}}class je{constructor(e,t){this.proportion=void 0,this.layoutService=void 0,this.proportion=e,this.layoutService=t;}getPreferredSize(){return this.proportion*this.layoutService.getSize();}}class Ne{getPreferredSize(){}}class Le{get preferredSize(){return this.layoutStrategy.getPreferredSize();}set preferredSize(e){if("number"==typeof e)this.layoutStrategy=new Ve(e);else if("string"==typeof e){const t=e.trim();if($(t,"%")){const _e17=Number(t.slice(0,-1))/100;this.layoutStrategy=new je(_e17,this.layoutService);}else if($(t,"px")){const _e18=Number(t.slice(0,-2))/100;this.layoutStrategy=new Ve(_e18);}else if("number"==typeof Number.parseFloat(t)){const _e19=Number.parseFloat(t);this.layoutStrategy=new Ve(_e19);}else this.layoutStrategy=new Ne();}else this.layoutStrategy=new Ne();}constructor(e,t){var _t$priority;if(this.minimumSize=0,this.maximumSize=Number.POSITIVE_INFINITY,this.element=void 0,this.priority=void 0,this.snap=void 0,this.layoutService=void 0,this.layoutStrategy=void 0,this.layoutService=e,this.element=t.element,this.minimumSize="number"==typeof t.minimumSize?t.minimumSize:30,this.maximumSize="number"==typeof t.maximumSize?t.maximumSize:Number.POSITIVE_INFINITY,"number"==typeof t.preferredSize)this.layoutStrategy=new Ve(t.preferredSize);else if("string"==typeof t.preferredSize){const _e20=t.preferredSize.trim();if($(_e20,"%")){const _t11=Number(_e20.slice(0,-1))/100;this.layoutStrategy=new je(_t11,this.layoutService);}else if($(_e20,"px")){const _t12=Number(_e20.slice(0,-2));this.layoutStrategy=new Ve(_t12);}else if("number"==typeof Number.parseFloat(_e20)){const _t13=Number.parseFloat(_e20);this.layoutStrategy=new Ve(_t13);}else this.layoutStrategy=new Ne();}else this.layoutStrategy=new Ne();this.priority=null!=(_t$priority=t.priority)?_t$priority:Se.Normal,this.snap="boolean"==typeof t.snap&&t.snap;}layout(e){}}function De(e){return void 0!==e.minSize||void 0!==e.maxSize||void 0!==e.preferredSize||void 0!==e.priority||void 0!==e.visible;}const Oe=React.forwardRef(({className:t,children:i},n)=>React.createElement("div",{ref:n,className:l("split-view-view",N,t)},i));Oe.displayName="Allotment.Pane";const Me=React.forwardRef(({children:o,className:a,maxSize:h=1/0,minSize:c=30,proportionalLayout:f=!0,separator:m=!0,sizes:d,defaultSizes:p=d,snap:v=!1,vertical:y=!1,onChange:g,onReset:b,onVisibleChange:z,onDragStart:w,onDragEnd:S},I)=>{const V=React.useRef(null),N=React.useRef([]),M=React.useRef(new Map()),P=React.useRef(null),A=React.useRef(new Map()),C=React.useRef(new k()),$=React.useRef([]),[H,Y]=React.useState(!1);"production"!==process.env.NODE_ENV&&d&&console.warn("Prop sizes is deprecated. Please use defaultSizes instead.");const B=React.useMemo(()=>React.Children.toArray(o).filter(React.isValidElement),[o]),R=React.useCallback(e=>{var _$$current,_P$current;const t=null==(_$$current=$.current)?void 0:_$$current[e];return"number"==typeof(null==t?void 0:t.preferredSize)&&(null!=(_P$current=P.current)&&_P$current.resizeView(e,Math.round(t.preferredSize)),!0);},[]);return React.useImperativeHandle(I,()=>({reset:()=>{if(b)b();else{var _P$current2;null==(_P$current2=P.current)||_P$current2.distributeViewSizes();for(let e=0;e<$.current.length;e++)R(e);}},resize:e=>{var _P$current3;null==(_P$current3=P.current)||_P$current3.resizeViews(e);}})),F(()=>{let e=!0;p&&A.current.size!==p.length&&(e=!1,console.warn(`Expected ${p.length} children based on defaultSizes but found ${A.current.size}`)),e&&p&&(N.current=B.map(e=>e.key));const t=_extends({orientation:y?pe.Vertical:pe.Horizontal,proportionalLayout:f},e&&p&&{descriptor:{size:p.reduce((e,t)=>e+t,0),views:p.map((e,t)=>{var _i$minSize,_i$maxSize,_i$priority,_i$snap;const i=M.current.get(N.current[t]),n=new Le(C.current,_extends({element:document.createElement("div"),minimumSize:null!=(_i$minSize=null==i?void 0:i.minSize)?_i$minSize:c,maximumSize:null!=(_i$maxSize=null==i?void 0:i.maxSize)?_i$maxSize:h,priority:null!=(_i$priority=null==i?void 0:i.priority)?_i$priority:Se.Normal},(null==i?void 0:i.preferredSize)&&{preferredSize:null==i?void 0:i.preferredSize},{snap:null!=(_i$snap=null==i?void 0:i.snap)?_i$snap:v}));return $.current.push(n),{container:[...A.current.values()][t],size:e,view:n};})}});P.current=new Ee(V.current,t,g,w,S),P.current.on("sashDragStart",()=>{var _V$current;null==(_V$current=V.current)||_V$current.classList.add("split-view-sash-dragging");}),P.current.on("sashDragEnd",()=>{var _V$current2;null==(_V$current2=V.current)||_V$current2.classList.remove("split-view-sash-dragging");}),P.current.on("sashchange",e=>{if(z&&P.current){const _e21=B.map(e=>e.key);for(let t=0;t<_e21.length;t++){const i=M.current.get(_e21[t]);void 0!==(null==i?void 0:i.visible)&&i.visible!==P.current.isViewVisible(t)&&z(t,P.current.isViewVisible(t));}}}),P.current.on("sashreset",e=>{if(b)b();else{var _P$current4;if(R(e))return;if(R(e+1))return;null==(_P$current4=P.current)||_P$current4.distributeViewSizes();}});const i=P.current;return()=>{i.dispose();};},[]),F(()=>{if(H){const e=B.map(e=>e.key),t=[...N.current],i=e.filter(e=>!N.current.includes(e)),n=e.filter(e=>N.current.includes(e)),r=N.current.map(t=>!e.includes(t));for(let _e22=r.length-1;_e22>=0;_e22--){var _P$current5;r[_e22]&&(null!=(_P$current5=P.current)&&_P$current5.removeView(_e22),t.splice(_e22,1),$.current.splice(_e22,1));}for(const _n5 of i){var _i9$minSize,_i9$maxSize,_i9$priority,_i9$snap,_P$current6;const _i9=M.current.get(_n5),_r2=new Le(C.current,_extends({element:document.createElement("div"),minimumSize:null!=(_i9$minSize=null==_i9?void 0:_i9.minSize)?_i9$minSize:c,maximumSize:null!=(_i9$maxSize=null==_i9?void 0:_i9.maxSize)?_i9$maxSize:h,priority:null!=(_i9$priority=null==_i9?void 0:_i9.priority)?_i9$priority:Se.Normal},(null==_i9?void 0:_i9.preferredSize)&&{preferredSize:null==_i9?void 0:_i9.preferredSize},{snap:null!=(_i9$snap=null==_i9?void 0:_i9.snap)?_i9$snap:v}));null!=(_P$current6=P.current)&&_P$current6.addView(A.current.get(_n5),_r2,ze.Distribute,e.findIndex(e=>e===_n5)),t.splice(e.findIndex(e=>e===_n5),0,_n5),$.current.splice(e.findIndex(e=>e===_n5),0,_r2);}for(;!_(e,t);)for(const[_i10,_n6]of e.entries()){const _e23=t.findIndex(e=>e===_n6);if(_e23!==_i10){var _P$current7;null==(_P$current7=P.current)||_P$current7.moveView(A.current.get(_n6),_e23,_i10);const _r3=t[_e23];t.splice(_e23,1),t.splice(_i10,0,_r3);break;}}for(const _t14 of i){var _P$current8;const _i11=e.findIndex(e=>e===_t14),_n7=$.current[_i11].preferredSize;void 0!==_n7&&(null==(_P$current8=P.current)||_P$current8.resizeView(_i11,_n7));}for(const _t15 of[...i,...n]){var _P$current9,_P$current10;const _i12=M.current.get(_t15),_n8=e.findIndex(e=>e===_t15);_i12&&De(_i12)&&void 0!==_i12.visible&&(null==(_P$current9=P.current)?void 0:_P$current9.isViewVisible(_n8))!==_i12.visible&&(null==(_P$current10=P.current)||_P$current10.setViewVisible(_n8,_i12.visible));}for(const _t16 of n){const _i13=M.current.get(_t16),_n9=e.findIndex(e=>e===_t16);if(_i13&&De(_i13)){var _P$current11;void 0!==_i13.preferredSize&&$.current[_n9].preferredSize!==_i13.preferredSize&&($.current[_n9].preferredSize=_i13.preferredSize);let _e24=!1;void 0!==_i13.minSize&&$.current[_n9].minimumSize!==_i13.minSize&&($.current[_n9].minimumSize=_i13.minSize,_e24=!0),void 0!==_i13.maxSize&&$.current[_n9].maximumSize!==_i13.maxSize&&($.current[_n9].maximumSize=_i13.maxSize,_e24=!0),_e24&&(null==(_P$current11=P.current)||_P$current11.layout());}}(i.length>0||r.length>0)&&(N.current=e);}},[B,H,h,c,v]),React.useEffect(()=>{P.current&&(P.current.onDidChange=g);},[g]),React.useEffect(()=>{P.current&&(P.current.onDidDragStart=w);},[w]),React.useEffect(()=>{P.current&&(P.current.onDidDragEnd=S);},[S]),x({ref:V,onResize:({width:e,height:t})=>{var _P$current12;e&&t&&(null!=(_P$current12=P.current)&&_P$current12.layout(y?t:e),C.current.setSize(y?t:e),Y(!0));}}),F(()=>{if(!H){var _P$current13;const{height:e,width:t}=V.current.getBoundingClientRect();null!=(_P$current13=P.current)&&_P$current13.layout(y?e:t),C.current.setSize(y?e:t),Y(!0);}},[H,y]),React.useEffect(()=>{T&&Pe(20);},[]),React.createElement("div",{ref:V,className:l("split-view",y?"split-view-vertical":"split-view-horizontal",{"split-view-separator-border":m},"allotment-module_splitView__L-yRc",y?"allotment-module_vertical__WSwwa":"allotment-module_horizontal__7doS8",{"allotment-module_separatorBorder__x-rDS":m},a)},React.createElement("div",{className:l("split-view-container","allotment-module_splitViewContainer__rQnVa")},React.Children.toArray(o).map(t=>{if(!React.isValidElement(t))return null;const i=t.key;return"Allotment.Pane"===t.type.displayName?(M.current.set(i,t.props),React.cloneElement(t,{key:i,ref:e=>{e?A.current.set(i,e):A.current.delete(i);}})):React.createElement(Oe,{key:i,ref:e=>{e?A.current.set(i,e):A.current.delete(i);}},t);})));});function Pe(e){const t=z(e,4,20),i=z(e,1,8);document.documentElement.style.setProperty("--sash-size",t+"px"),document.documentElement.style.setProperty("--sash-hover-size",i+"px"),function(e){ye=e,ge.emit("onDidChangeGlobalSize",e);}(t);}Me.displayName="Allotment";var Ae=Object.assign(Me,{Pane:Oe});const PlotContainer=React.forwardRef(({scenegraph:scenegraph,interval:interval,initialViewport:initialViewport,decimalPlaces:decimalPlaces,positionDecimalPlaces:positionDecimalPlaces,priceMonitoringBounds:priceMonitoringBounds,overlays:overlays,simple:simple,initialNumCandles:initialNumCandles,colors:colors,studySize:studySize,studySizes:studySizes,drawThrottleMs:drawThrottleMs,onViewportChanged=()=>{},onBoundsChanged=()=>{},onRightClick=()=>{},onGetDataRange=()=>{},onClosePane:onClosePane,onChangePane:onChangePane,onRemoveOverlay:onRemoveOverlay},ref)=>{React.useImperativeHandle(ref,()=>({panBy:n=>{chartElement.current?.panBy(n);},reset:()=>{chartElement.current?.reset();},snapshot:async()=>snapshot(),zoomIn:delta=>{chartElement.current?.zoomIn(delta);},zoomOut:delta=>{chartElement.current?.zoomOut(delta);}}));const onGetDataRangeThrottled=React.useMemo(()=>lodashExports.throttle(onGetDataRange,800),[onGetDataRange]),snapshot=React.useCallback(()=>asyncSnapshot(chartRef),[]),[bounds,setBounds]=React.useState(null),[dataIndex,setDataIndex]=React.useState(null),chartRef=React.useRef(null),xAxisRef=React.useRef(null),allotmentRef=React.useRef(null),requestRedraw=React.useCallback(()=>{chartRef.current?.requestRedraw();},[]),throttleRequestRedraw=React.useMemo(()=>lodashExports.throttle(requestRedraw,drawThrottleMs),[requestRedraw]),handleBoundsChanged=React.useCallback(bounds=>{setBounds(bounds),onBoundsChanged?.(bounds);},[onBoundsChanged]),handleThrottledBoundsChanged=React.useMemo(()=>lodashExports.throttle(handleBoundsChanged,drawThrottleMs),[handleBoundsChanged]),handleDataIndexChanged=React.useMemo(()=>lodashExports.throttle(setDataIndex,drawThrottleMs),[]),handleViewportChanged=React.useMemo(()=>lodashExports.throttle(onViewportChanged,drawThrottleMs),[onViewportChanged]),refs=React.useMemo(()=>scenegraph.panes.map(pane=>pane.id).reduce((acc,value)=>(acc[value]=React.createRef(),acc),{}),[scenegraph.panes]),chartElement=React.useRef(null);React.useEffect(()=>{chartElement.current=new Core(Object.fromEntries(scenegraph.panes.map(pane=>[pane.id,{id:String(pane.id),ref:refs[pane.id],data:pane.originalData,renderableElements:pane.renderableElements.flat(1),yEncodingFields:pane.yEncodingFields,labels:pane.labels??[],labelLines:pane.labelLines??[]}])),{ref:xAxisRef,data:scenegraph.panes[0].originalData.map(d=>d.date)},initialViewport,decimalPlaces,positionDecimalPlaces,simple,initialNumCandles,colors).interval(interval).on("redraw",()=>{throttleRequestRedraw();}).on("bounds_changed",bounds=>{handleThrottledBoundsChanged(bounds);}).on("viewport_changed",viewport=>{handleViewportChanged(viewport);}).on("mousemove",(index,id)=>{handleDataIndexChanged(index);}).on("mouseout",()=>{handleDataIndexChanged(null);}).on("fetch_data",(from,to)=>{onGetDataRangeThrottled(from,to,interval);}).on("contextmenu",event=>{onRightClick(event);}),throttleRequestRedraw(),requestAnimationFrame(()=>chartElement.current?.initialize(initialViewport));},[]),React.useEffect(()=>{chartElement.current&&chartElement.current.interval(interval).on("fetch_data",(from,to)=>{onGetDataRangeThrottled(from,to,interval);});},[interval,onGetDataRangeThrottled]),React.useEffect(()=>{chartElement.current&&(chartElement.current.update(Object.fromEntries(scenegraph.panes.map(pane=>[pane.id,{id:String(pane.id),ref:refs[pane.id],data:pane.originalData,renderableElements:pane.renderableElements.flat(1),yEncodingFields:pane.yEncodingFields,labels:pane.labels??[],labelLines:pane.labelLines??[]}])),{ref:xAxisRef,data:scenegraph.panes[0].originalData.map(d=>d.date)}),throttleRequestRedraw());},[chartElement,refs,scenegraph.panes,throttleRequestRedraw]),React.useEffect(()=>{chartElement.current&&chartElement.current.interval(interval);},[interval]),React.useEffect(()=>{chartElement.current&&(chartElement.current.colors=colors);},[colors]);const numPanes=scenegraph.panes.length;return React.useEffect(()=>{allotmentRef.current.reset();},[numPanes,studySize]),jsxRuntimeExports.jsxs("d3fc-group",{ref:chartRef,class:"plot-container__chart",children:[jsxRuntimeExports.jsx(Ae,{ref:allotmentRef,minSize:20,vertical:!0,proportionalLayout:!1,onChange:sizes=>{throttleRequestRedraw(),onChangePane(sizes);},children:scenegraph.panes.map((pane,index)=>{const isMain=0===index,preferredSize=function(size,defaultStudySize,n,main){if(main)return"100%";if(void 0!==size)return size;if("string"!=typeof defaultStudySize)return defaultStudySize;{const preferredSize=defaultStudySize.trim();if(preferredSize.endsWith("%")){const ratio=1/(Number(preferredSize.slice(0,-1))/100);return(1-ratio/(ratio+(n-1)))/Math.max(n-1,1)*100+"%";}if(preferredSize.endsWith("px"))return Number(preferredSize.slice(0,-2));if("number"==typeof Number.parseFloat(preferredSize))return Number.parseFloat(preferredSize);}}(isMain?void 0:studySizes[index-1],studySize,numPanes,isMain);return jsxRuntimeExports.jsx(Ae.Pane,{preferredSize:preferredSize,priority:isMain?Se.High:Se.Low,children:jsxRuntimeExports.jsx(PaneView,{ref:refs[pane.id],bounds:bounds,colors:colors,dataIndex:dataIndex,decimalPlaces:decimalPlaces,positionDecimalPlaces:positionDecimalPlaces,priceMonitoringBounds:priceMonitoringBounds,overlays:overlays,pane:pane,simple:simple,onClosePane:onClosePane,onRemoveOverlay:onRemoveOverlay})},pane.id);})}),jsxRuntimeExports.jsx(XAxisView,{ref:xAxisRef,simple:simple})]});});var styles$4_tooltip="tooltip-module_tooltip__J6uoz",styles$4_date="tooltip-module_date__EuGqu",styles$4_primary="tooltip-module_primary__1Eadh",styles$4_sub="tooltip-module_sub__7Bg6X",styles$4_series="tooltip-module_series__-bQAW",styles$4_indicator="tooltip-module_indicator__DstXq",styles$4_name="tooltip-module_name__WS4zM",styles$4_value="tooltip-module_value__I8eEt";const Tooltip=({label:label,series:series})=>jsxRuntimeExports.jsxs("div",{className:styles$4_tooltip,children:[jsxRuntimeExports.jsxs("div",{className:styles$4_date,children:[label.primary?jsxRuntimeExports.jsx("div",{className:styles$4_primary,children:label.primary}):null,label.sub?jsxRuntimeExports.jsx("div",{className:styles$4_sub,children:label.sub}):null]}),series.map(s=>jsxRuntimeExports.jsxs("div",{className:styles$4_series,children:[jsxRuntimeExports.jsxs("div",{children:[jsxRuntimeExports.jsx("div",{className:styles$4_indicator,style:{backgroundColor:s.color}}),jsxRuntimeExports.jsx("span",{className:styles$4_name,children:s.name})]}),jsxRuntimeExports.jsx("span",{className:styles$4_value,children:s.value})]},s.name))]}),XAxisView=React.forwardRef(({simple=!1},ref)=>jsxRuntimeExports.jsxs("div",{ref:ref,className:"x-axis-container",style:{height:simple?0:"24px",visibility:simple?"hidden":"visible"},children:[jsxRuntimeExports.jsx("d3fc-canvas",{class:"x-axis","use-device-pixel-ratio":!0}),jsxRuntimeExports.jsx("d3fc-svg",{class:"x-axis-interaction"})]}));var styles$3_container="area-chart-module_container__zLnde",styles$3_canvasContainer="area-chart-module_canvasContainer__FD9-o",styles$3_canvas="area-chart-module_canvas__zInZl",styles$3_tooltipContainer="area-chart-module_tooltipContainer__l6mkA";let Gesture$1=class{constructor(that){this.that=void 0,this.active=0,this.taps=0,this.touch0=null,this.touch1=null,this.sourceEvent=null,this.wheel=null,this.wheelHorizontal=!1,this.mouse=[null,null],this.zooming=!1,this.that=that;}start(transform){this.that.emit("zoomstart",transform);}zoom(transform,point){this.that.zoom.__zoom=transform,this.that.emit("zoom",{transform:transform,point:[point[0],point[1]]});}end(){this.that.emit("zoomend");}};class ZoomTransform{constructor(k,x,y){this.k=void 0,this.x=void 0,this.y=void 0,this.k=k,this.x=x,this.y=y;}scale(k){return 1===k?this:new ZoomTransform(this.k*k,this.x,this.y);}translate(x,y){return 0===x&&0===y?this:new ZoomTransform(this.k,this.x+this.k*x,this.y+this.k*y);}apply(point){return[point[0]*this.k+this.x,point[1]*this.k+this.y];}applyX(x){return x*this.k+this.x;}applyY(y){return y*this.k+this.y;}invert(location){return[(location[0]-this.x)/this.k,(location[1]-this.y)/this.k];}invertX(x){return(x-this.x)/this.k;}invertY(y){return(y-this.y)/this.k;}rescaleX(x){return x.copy().domain(x.range().map(this.invertX,this).map(x.invert,x));}rescaleY(y){return y.copy().domain(y.range().map(this.invertY,this).map(y.invert,y));}toString(){return"translate("+this.x+","+this.y+") scale("+this.k+")";}}const zoomIdentity=new ZoomTransform(1,0,0);function defaultConstrain(transform,extent,translateExtent){const dx0=transform.invertX(extent[0][0])-translateExtent[0][0],dx1=transform.invertX(extent[1][0])-translateExtent[1][0],dy0=transform.invertY(extent[0][1])-translateExtent[0][1],dy1=transform.invertY(extent[1][1])-translateExtent[1][1];return transform.translate(dx1>dx0?(dx0+dx1)/2:Math.min(0,dx0)||Math.max(0,dx1),dy1>dy0?(dy0+dy1)/2:Math.min(0,dy0)||Math.max(0,dy1));}class Zoom{constructor(){this.__zoom=zoomIdentity,this.constrain=defaultConstrain,this.scaleExtent=[0,1/0],this.translateExtent=[[-1/0,-1/0],[1/0,1/0]],this.extent=[[0,0],[1e4,1e4]];}scaleBy(k,p){this.scaleTo(this.__zoom.k*k,p);}scaleTo(k,p){this.transform(this.constrain(this.translate(this.scale(this.__zoom,k),p,this.__zoom.invert(p)),this.extent,this.translateExtent));}translateBy(x,y){this.transform(this.constrain(this.__zoom.translate(x,y),this.extent,this.translateExtent));}translateTo(x,y,p){this.transform(this.constrain(zoomIdentity.translate(p[0],p[1]).scale(this.__zoom.k).translate(-x,-y),this.extent,this.translateExtent));}transform(transform){this.__zoom=transform;}wheeled(wheelDelta,point,viewportExtent){const t=this.__zoom,k=Math.max(this.scaleExtent[0],Math.min(this.scaleExtent[1],t.k*Math.pow(2,wheelDelta)));this.scaleTo(k,point);}scale(transform,k){const constrainedK=Math.max(this.scaleExtent[0],Math.min(this.scaleExtent[1],k));return constrainedK===transform.k?transform:new ZoomTransform(constrainedK,transform.x,transform.y);}translate(transform,p0,p1){const x=p0[0]-p1[0]*transform.k,y=p0[1]-p1[1]*transform.k;return x===transform.x&&y===transform.y?transform:new ZoomTransform(transform.k,x,y);}}const createTexture$1=lodashExports.memoize((colorStop1,colorStop2,size,offset=0,invert=!1)=>{const gradTexture=function(colorStop1,colorStop2,size=600,offset=0,invert=!1){invert||(offset=0);const canvas=document.createElement("canvas");canvas.width=1,canvas.height=Math.max(1,Math.abs(size+offset));const ctx=canvas.getContext("2d"),grd=ctx.createLinearGradient(0,offset,0,size+offset);return grd.addColorStop(0,hex2string(invert?colorStop2:colorStop1)),grd.addColorStop(1,hex2string(invert?colorStop1:colorStop2)),ctx.fillStyle=grd,ctx.fillRect(0,offset,1,size+offset),Texture.from(canvas);}(colorStop1,colorStop2,size,offset,invert);return gradTexture.orig=new Rectangle(0,0,1,Math.max(1,Math.abs(size+offset))),gradTexture._frame=new Rectangle(0,0,1,Math.max(1,Math.abs(size+offset))),gradTexture;},(...args)=>lodashExports.values(args).join("_"));class PriceCurve extends Container{constructor(stroke=0,fill=16777215,backgroundSurface=16777215,curve=stepBefore){super(),this.area=new Graphics(),this.line=new Graphics(),this.stroke=void 0,this.fill=void 0,this.backgroundSurface=void 0,this.curve=void 0,this.stroke=stroke,this.fill=fill,this.backgroundSurface=backgroundSurface,this.curve=curve,this.area.lineStyle({width:0}),this.line.lineStyle({width:4,color:stroke,alpha:.5}),this.addChild(this.area),this.addChild(this.line);}update(points,height,resolution=1,fill=16777215,stroke=0,backgroundSurface=0,invert,startPrice){this.fill=fill,this.stroke=stroke,this.backgroundSurface=backgroundSurface,this.area.clear(),this.area.beginTextureFill({alpha:.5,texture:createTexture$1(this.stroke,this.backgroundSurface,height,startPrice,invert)}),this.area.drawArea(points.map(d=>[d[0],startPrice,d[1]]),this.curve),this.area.endFill(),this.line.clear(),this.line.lineStyle({width:4,color:this.stroke}),this.line.drawLine(points,this.curve);}}class Area extends Container{constructor(colors){super(),this.priceCurvePositive=void 0,this.maskPositive=void 0,this.priceCurveNegative=void 0,this.maskNegative=void 0,this.colors=void 0,this.colors=colors,this.priceCurvePositive=new PriceCurve(colors.positiveStroke,colors.positiveFill,colors.backgroundSurface,curveLinear),this.maskPositive=new Graphics(),this.maskPositive.beginFill(),this.maskPositive.drawRect(0,-1e3,3200,1e3),this.maskPositive.endFill(),this.priceCurveNegative=new PriceCurve(colors.negativeStroke,colors.negativeFill,colors.backgroundSurface,curveLinear),this.maskNegative=new Graphics(),this.maskNegative.beginFill(16777215),this.maskNegative.drawRect(0,0,3200,1e3),this.maskNegative.endFill(),this.priceCurvePositive.mask=this.maskPositive,this.priceCurveNegative.mask=this.maskNegative,this.addChild(this.priceCurveNegative),this.priceCurveNegative.addChild(this.maskNegative),this.addChild(this.priceCurvePositive),this.priceCurvePositive.addChild(this.maskPositive);}update(priceScale,timeScale,data,startPrice,height,resolution=1){this.maskPositive.y=startPrice,this.maskNegative.y=startPrice,this.priceCurvePositive.update(data,startPrice,resolution,this.colors.positiveFill,this.colors.positiveStroke,this.colors.backgroundSurface,!1,startPrice),this.priceCurveNegative.update(data,height-startPrice,resolution,this.colors.negativeFill,this.colors.negativeStroke,this.colors.backgroundSurface,!0,startPrice);}}class HorizontalLine extends Graphics{constructor(width=1,color=16777215,lineDash=[]){super(),this.width=void 0,this.color=void 0,this.lineDash=void 0,this.width=width,this.color=color,this.lineDash=lineDash;}update(y,width,resolution=1){this.clear(),this.lineStyle({width:this.width,color:this.color,lineDash:this.lineDash}),this.moveTo(0,.5),this.lineTo(width,.5),this.endFill(),this.y=y;}}function cumsum(values,valueof){let fn=v=>sum+=+valueof(v,index++,values)||0;void 0===valueof&&(fn=v=>sum+=+v||0);var sum=0,index=0;return Float64Array.from(values,fn);}class DepthCurve extends Container{constructor(fill=16777215,stroke=0,width=1,curve=stepBefore){super(),this.area=new Graphics(),this.line=new Graphics(),this.fill=void 0,this.stroke=void 0,this.width=void 0,this.curve=void 0,this.fill=fill,this.stroke=stroke,this.width=width,this.curve=curve,this.area.lineStyle({width:0}),this.line.lineStyle({width:width,color:stroke,alpha:.5}),this.addChild(this.area),this.addChild(this.line);}update(points,height,resolution=1,fill=16777215,stroke=0,width=1){this.fill=fill,this.stroke=stroke,this.width=width,this.area.clear(),this.area.beginFill(this.fill,1),this.area.drawArea(points.map(point=>[point[0],height-resolution*AXIS_HEIGHT,point[1]]),this.curve),this.area.endFill(),this.line.clear(),this.line.lineStyle({width:this.width,color:this.stroke}),this.line.drawLine(points,this.curve);}}let HorizontalAxis$1=class extends Container{constructor(){super(),this.nodeByKeyValue=new Map();}update(scale,width,height,resolution=1,colors){const numTicks=width/resolution/200,ticks=scale.ticks(numTicks),tickFormat=scale.tickFormat(numTicks),enter=ticks.filter(tick=>!this.nodeByKeyValue.has(tickFormat(tick))),update=ticks.filter(tick=>this.nodeByKeyValue.has(tickFormat(tick))),exit=[...this.nodeByKeyValue.keys()].filter(node=>!(-1!==ticks.map(tickFormat).indexOf(node)));for(const node of enter){const text=new Text(tickFormat(node),{fill:colors.textSecondary,fontFamily:"monospace",fontSize:FONT_SIZE});text.x=scale(node),text.y=height-resolution*AXIS_HEIGHT/2,text.anchor.set(.5,.5),text.updateText(),this.nodeByKeyValue.set(tickFormat(node),text),this.addChild(text);}for(const node of update){const text=this.nodeByKeyValue.get(tickFormat(node));text.style.fill=colors.textSecondary,text.x=scale(node),text.y=height-resolution*AXIS_HEIGHT/2;}for(const node of exit){const text=this.nodeByKeyValue.get(node);this.nodeByKeyValue.delete(node),this.removeChild(text);}}},Indicator$1=class extends Container{constructor(color=16777215){super(),this.circle=new Graphics(),this.line=new Graphics(),this.color=void 0,this.color=color,this.circle.beginFill(color),this.circle.drawCircle(0,0,4),this.circle.endFill(),this.addChild(this.line),this.addChild(this.circle),this.visible=!1;}update(x,y,width){this.circle.x=x,this.circle.y=y,this.line.clear(),this.line.lineStyle({width:1,color:this.color,lineDash:[3,3]}),this.line.moveTo(x,0),this.line.lineTo(x,y),this.line.lineTo(width/2,y),this.line.endFill();}},Label$1=class extends Container{constructor(){super(),this.text=new Text("",{fill:16777215,fontFamily:"monospace",fontSize:12}),this.background=new Graphics(),this.addChild(this.background),this.addChild(this.text);}update(text,x,y,anchor,resolution=1,colors){this.text.x=x,this.text.y=y,this.text.text=text,this.text.anchor.x=anchor.x,this.text.anchor.y=anchor.y,this.text.style.fill=colors.textPrimary;const width=resolution*this.text.width,height=resolution*this.text.height,anchorX=anchor.x,anchorY=anchor.y,padding=1.5*resolution;this.background.clear(),this.background.beginFill(colors.backgroundLabel,1),this.background.drawRect(x-(anchorX*width+padding),y-(anchorY*height+padding),width+2*padding,height+2*padding),this.background.endFill();}get width(){return this.text.width;}get height(){return this.text.height;}};class MidMarketPriceLabel extends Container{constructor(colors){super(),this.price=void 0,this.label=void 0,this.background=new Graphics(),this.price=new Text("9999",{fill:colors.textPrimary,fontSize:18}),this.label=new Text("Mid Market Price",{fill:colors.textSecondary,fontSize:FONT_SIZE}),this.addChild(this.background),this.addChild(this.label),this.addChild(this.price);}update(x,y,anchor,resolution=1,colors,price,title){this.price.x=x,this.price.y=y,this.price.anchor.x=anchor.x,this.price.anchor.y=anchor.y,this.price.style.fill=colors.textPrimary,price&&(this.price.text=price),this.label.x=x,this.label.anchor.x=anchor.x,this.label.anchor.y=anchor.y,this.label.style.fill=colors.textSecondary,title&&(this.label.text=title);const width=resolution*Math.max(this.price.width,this.label.width),height=resolution*(this.price.height+this.label.height);this.label.y=y+resolution*this.price.height;const anchorX=anchor.x,anchorY=anchor.y,padding=4*resolution;this.background.clear(),this.background.beginFill(colors.backgroundSurface,.9),this.background.drawRect(x-(anchorX*width+padding),y-(anchorY*height+padding),width+2*padding,height+2*padding),this.background.endFill();}get width(){return this.price.width;}get height(){return this.price.height+this.label.height;}}let VerticalAxis$1=class extends Container{constructor(){super(),this.nodeByKeyValue=new Map();}update(scale,width,height,resolution=1,colors){const numTicks=height/resolution/50,ticks=scale.ticks(numTicks).filter(tick=>0!==tick),tickFormat=scale.tickFormat(numTicks),enter=ticks.filter(tick=>!this.nodeByKeyValue.has(tickFormat(tick))),update=ticks.filter(tick=>this.nodeByKeyValue.has(tickFormat(tick))),exit=[...this.nodeByKeyValue.keys()].filter(node=>!(-1!==ticks.map(tickFormat).indexOf(node)));for(const node of enter){const text=new Text(tickFormat(node),{fill:colors.textSecondary,fontFamily:"monospace",fontSize:FONT_SIZE});text.x=width-7*resolution,text.y=scale(node),text.anchor.set(1,.5),text.updateText(),this.nodeByKeyValue.set(tickFormat(node),text),this.addChild(text);}for(const node of update){const text=this.nodeByKeyValue.get(tickFormat(node));text.style.fill=colors.textSecondary,text.x=width-7*resolution,text.y=scale(node);}for(const node of exit){const text=this.nodeByKeyValue.get(node);this.nodeByKeyValue.delete(node),this.removeChild(text);}}};const splitter=134217729,resulterrbound=33306690738754706e-32;function sum(elen,e,flen,f,h){let Q,Qnew,hh,bvirt,enow=e[0],fnow=f[0],eindex=0,findex=0;fnow>enow==fnow>-enow?(Q=enow,enow=e[++eindex]):(Q=fnow,fnow=f[++findex]);let hindex=0;if(eindex<elen&&findex<flen)for(fnow>enow==fnow>-enow?(Qnew=enow+Q,hh=Q-(Qnew-enow),enow=e[++eindex]):(Qnew=fnow+Q,hh=Q-(Qnew-fnow),fnow=f[++findex]),Q=Qnew,0!==hh&&(h[hindex++]=hh);eindex<elen&&findex<flen;)fnow>enow==fnow>-enow?(Qnew=Q+enow,bvirt=Qnew-Q,hh=Q-(Qnew-bvirt)+(enow-bvirt),enow=e[++eindex]):(Qnew=Q+fnow,bvirt=Qnew-Q,hh=Q-(Qnew-bvirt)+(fnow-bvirt),fnow=f[++findex]),Q=Qnew,0!==hh&&(h[hindex++]=hh);for(;eindex<elen;)Qnew=Q+enow,bvirt=Qnew-Q,hh=Q-(Qnew-bvirt)+(enow-bvirt),enow=e[++eindex],Q=Qnew,0!==hh&&(h[hindex++]=hh);for(;findex<flen;)Qnew=Q+fnow,bvirt=Qnew-Q,hh=Q-(Qnew-bvirt)+(fnow-bvirt),fnow=f[++findex],Q=Qnew,0!==hh&&(h[hindex++]=hh);return 0===Q&&0!==hindex||(h[hindex++]=Q),hindex;}function vec(n){return new Float64Array(n);}const ccwerrboundB=22204460492503146e-32,ccwerrboundC=11093356479670487e-47,B=vec(4),C1=vec(8),C2=vec(12),D=vec(16),u=vec(4);function orient2d(ax,ay,bx,by,cx,cy){const detleft=(ay-cy)*(bx-cx),detright=(ax-cx)*(by-cy),det=detleft-detright,detsum=Math.abs(detleft+detright);return Math.abs(det)>=33306690738754716e-32*detsum?det:-function(ax,ay,bx,by,cx,cy,detsum){let acxtail,acytail,bcxtail,bcytail,bvirt,c,ahi,alo,bhi,blo,_i,_j,_0,s1,s0,t1,t0,u3;const acx=ax-cx,bcx=bx-cx,acy=ay-cy,bcy=by-cy;s1=acx*bcy,c=splitter*acx,ahi=c-(c-acx),alo=acx-ahi,c=splitter*bcy,bhi=c-(c-bcy),blo=bcy-bhi,s0=alo*blo-(s1-ahi*bhi-alo*bhi-ahi*blo),t1=acy*bcx,c=splitter*acy,ahi=c-(c-acy),alo=acy-ahi,c=splitter*bcx,bhi=c-(c-bcx),blo=bcx-bhi,t0=alo*blo-(t1-ahi*bhi-alo*bhi-ahi*blo),_i=s0-t0,bvirt=s0-_i,B[0]=s0-(_i+bvirt)+(bvirt-t0),_j=s1+_i,bvirt=_j-s1,_0=s1-(_j-bvirt)+(_i-bvirt),_i=_0-t1,bvirt=_0-_i,B[1]=_0-(_i+bvirt)+(bvirt-t1),u3=_j+_i,bvirt=u3-_j,B[2]=_j-(u3-bvirt)+(_i-bvirt),B[3]=u3;let det=function(elen,e){let Q=e[0];for(let i=1;i<elen;i++)Q+=e[i];return Q;}(4,B),errbound=ccwerrboundB*detsum;if(det>=errbound||-det>=errbound)return det;if(bvirt=ax-acx,acxtail=ax-(acx+bvirt)+(bvirt-cx),bvirt=bx-bcx,bcxtail=bx-(bcx+bvirt)+(bvirt-cx),bvirt=ay-acy,acytail=ay-(acy+bvirt)+(bvirt-cy),bvirt=by-bcy,bcytail=by-(bcy+bvirt)+(bvirt-cy),0===acxtail&&0===acytail&&0===bcxtail&&0===bcytail)return det;if(errbound=ccwerrboundC*detsum+resulterrbound*Math.abs(det),det+=acx*bcytail+bcy*acxtail-(acy*bcxtail+bcx*acytail),det>=errbound||-det>=errbound)return det;s1=acxtail*bcy,c=splitter*acxtail,ahi=c-(c-acxtail),alo=acxtail-ahi,c=splitter*bcy,bhi=c-(c-bcy),blo=bcy-bhi,s0=alo*blo-(s1-ahi*bhi-alo*bhi-ahi*blo),t1=acytail*bcx,c=splitter*acytail,ahi=c-(c-acytail),alo=acytail-ahi,c=splitter*bcx,bhi=c-(c-bcx),blo=bcx-bhi,t0=alo*blo-(t1-ahi*bhi-alo*bhi-ahi*blo),_i=s0-t0,bvirt=s0-_i,u[0]=s0-(_i+bvirt)+(bvirt-t0),_j=s1+_i,bvirt=_j-s1,_0=s1-(_j-bvirt)+(_i-bvirt),_i=_0-t1,bvirt=_0-_i,u[1]=_0-(_i+bvirt)+(bvirt-t1),u3=_j+_i,bvirt=u3-_j,u[2]=_j-(u3-bvirt)+(_i-bvirt),u[3]=u3;const C1len=sum(4,B,4,u,C1);s1=acx*bcytail,c=splitter*acx,ahi=c-(c-acx),alo=acx-ahi,c=splitter*bcytail,bhi=c-(c-bcytail),blo=bcytail-bhi,s0=alo*blo-(s1-ahi*bhi-alo*bhi-ahi*blo),t1=acy*bcxtail,c=splitter*acy,ahi=c-(c-acy),alo=acy-ahi,c=splitter*bcxtail,bhi=c-(c-bcxtail),blo=bcxtail-bhi,t0=alo*blo-(t1-ahi*bhi-alo*bhi-ahi*blo),_i=s0-t0,bvirt=s0-_i,u[0]=s0-(_i+bvirt)+(bvirt-t0),_j=s1+_i,bvirt=_j-s1,_0=s1-(_j-bvirt)+(_i-bvirt),_i=_0-t1,bvirt=_0-_i,u[1]=_0-(_i+bvirt)+(bvirt-t1),u3=_j+_i,bvirt=u3-_j,u[2]=_j-(u3-bvirt)+(_i-bvirt),u[3]=u3;const C2len=sum(C1len,C1,4,u,C2);s1=acxtail*bcytail,c=splitter*acxtail,ahi=c-(c-acxtail),alo=acxtail-ahi,c=splitter*bcytail,bhi=c-(c-bcytail),blo=bcytail-bhi,s0=alo*blo-(s1-ahi*bhi-alo*bhi-ahi*blo),t1=acytail*bcxtail,c=splitter*acytail,ahi=c-(c-acytail),alo=acytail-ahi,c=splitter*bcxtail,bhi=c-(c-bcxtail),blo=bcxtail-bhi,t0=alo*blo-(t1-ahi*bhi-alo*bhi-ahi*blo),_i=s0-t0,bvirt=s0-_i,u[0]=s0-(_i+bvirt)+(bvirt-t0),_j=s1+_i,bvirt=_j-s1,_0=s1-(_j-bvirt)+(_i-bvirt),_i=_0-t1,bvirt=_0-_i,u[1]=_0-(_i+bvirt)+(bvirt-t1),u3=_j+_i,bvirt=u3-_j,u[2]=_j-(u3-bvirt)+(_i-bvirt),u[3]=u3;const Dlen=sum(C2len,C2,4,u,D);return D[Dlen-1];}(ax,ay,bx,by,cx,cy,detsum);}const EPSILON=Math.pow(2,-52),EDGE_STACK=new Uint32Array(512);class Delaunator{static from(points,getX=defaultGetX,getY=defaultGetY){const n=points.length,coords=new Float64Array(2*n);for(let i=0;i<n;i++){const p=points[i];coords[2*i]=getX(p),coords[2*i+1]=getY(p);}return new Delaunator(coords);}constructor(coords){const n=coords.length>>1;if(n>0&&"number"!=typeof coords[0])throw new Error("Expected coords to contain numbers.");this.coords=coords;const maxTriangles=Math.max(2*n-5,0);this._triangles=new Uint32Array(3*maxTriangles),this._halfedges=new Int32Array(3*maxTriangles),this._hashSize=Math.ceil(Math.sqrt(n)),this._hullPrev=new Uint32Array(n),this._hullNext=new Uint32Array(n),this._hullTri=new Uint32Array(n),this._hullHash=new Int32Array(this._hashSize).fill(-1),this._ids=new Uint32Array(n),this._dists=new Float64Array(n),this.update();}update(){const{coords:coords,_hullPrev:hullPrev,_hullNext:hullNext,_hullTri:hullTri,_hullHash:hullHash}=this,n=coords.length>>1;let minX=1/0,minY=1/0,maxX=-1/0,maxY=-1/0;for(let i=0;i<n;i++){const x=coords[2*i],y=coords[2*i+1];x<minX&&(minX=x),y<minY&&(minY=y),x>maxX&&(maxX=x),y>maxY&&(maxY=y),this._ids[i]=i;}const cx=(minX+maxX)/2,cy=(minY+maxY)/2;let i0,i1,i2,minDist=1/0;for(let i=0;i<n;i++){const d=dist(cx,cy,coords[2*i],coords[2*i+1]);d<minDist&&(i0=i,minDist=d);}const i0x=coords[2*i0],i0y=coords[2*i0+1];minDist=1/0;for(let i=0;i<n;i++){if(i===i0)continue;const d=dist(i0x,i0y,coords[2*i],coords[2*i+1]);d<minDist&&d>0&&(i1=i,minDist=d);}let i1x=coords[2*i1],i1y=coords[2*i1+1],minRadius=1/0;for(let i=0;i<n;i++){if(i===i0||i===i1)continue;const r=circumradius(i0x,i0y,i1x,i1y,coords[2*i],coords[2*i+1]);r<minRadius&&(i2=i,minRadius=r);}let i2x=coords[2*i2],i2y=coords[2*i2+1];if(minRadius===1/0){for(let i=0;i<n;i++)this._dists[i]=coords[2*i]-coords[0]||coords[2*i+1]-coords[1];quicksort(this._ids,this._dists,0,n-1);const hull=new Uint32Array(n);let j=0;for(let i=0,d0=-1/0;i<n;i++){const id=this._ids[i];this._dists[id]>d0&&(hull[j++]=id,d0=this._dists[id]);}return this.hull=hull.subarray(0,j),this.triangles=new Uint32Array(0),void(this.halfedges=new Uint32Array(0));}if(orient2d(i0x,i0y,i1x,i1y,i2x,i2y)<0){const i=i1,x=i1x,y=i1y;i1=i2,i1x=i2x,i1y=i2y,i2=i,i2x=x,i2y=y;}const center=function(ax,ay,bx,by,cx,cy){const dx=bx-ax,dy=by-ay,ex=cx-ax,ey=cy-ay,bl=dx*dx+dy*dy,cl=ex*ex+ey*ey,d=.5/(dx*ey-dy*ex),x=ax+(ey*bl-dy*cl)*d,y=ay+(dx*cl-ex*bl)*d;return{x:x,y:y};}(i0x,i0y,i1x,i1y,i2x,i2y);this._cx=center.x,this._cy=center.y;for(let i=0;i<n;i++)this._dists[i]=dist(coords[2*i],coords[2*i+1],center.x,center.y);quicksort(this._ids,this._dists,0,n-1),this._hullStart=i0;let hullSize=3;hullNext[i0]=hullPrev[i2]=i1,hullNext[i1]=hullPrev[i0]=i2,hullNext[i2]=hullPrev[i1]=i0,hullTri[i0]=0,hullTri[i1]=1,hullTri[i2]=2,hullHash.fill(-1),hullHash[this._hashKey(i0x,i0y)]=i0,hullHash[this._hashKey(i1x,i1y)]=i1,hullHash[this._hashKey(i2x,i2y)]=i2,this.trianglesLen=0,this._addTriangle(i0,i1,i2,-1,-1,-1);for(let xp,yp,k=0;k<this._ids.length;k++){const i=this._ids[k],x=coords[2*i],y=coords[2*i+1];if(k>0&&Math.abs(x-xp)<=EPSILON&&Math.abs(y-yp)<=EPSILON)continue;if(xp=x,yp=y,i===i0||i===i1||i===i2)continue;let start=0;for(let j=0,key=this._hashKey(x,y);j<this._hashSize&&(start=hullHash[(key+j)%this._hashSize],-1===start||start===hullNext[start]);j++);start=hullPrev[start];let q,e=start;for(;q=hullNext[e],orient2d(x,y,coords[2*e],coords[2*e+1],coords[2*q],coords[2*q+1])>=0;)if(e=q,e===start){e=-1;break;}if(-1===e)continue;let t=this._addTriangle(e,i,hullNext[e],-1,-1,hullTri[e]);hullTri[i]=this._legalize(t+2),hullTri[e]=t,hullSize++;let n=hullNext[e];for(;q=hullNext[n],orient2d(x,y,coords[2*n],coords[2*n+1],coords[2*q],coords[2*q+1])<0;)t=this._addTriangle(n,i,q,hullTri[i],-1,hullTri[n]),hullTri[i]=this._legalize(t+2),hullNext[n]=n,hullSize--,n=q;if(e===start)for(;q=hullPrev[e],orient2d(x,y,coords[2*q],coords[2*q+1],coords[2*e],coords[2*e+1])<0;)t=this._addTriangle(q,i,e,-1,hullTri[e],hullTri[q]),this._legalize(t+2),hullTri[q]=t,hullNext[e]=e,hullSize--,e=q;this._hullStart=hullPrev[i]=e,hullNext[e]=hullPrev[n]=i,hullNext[i]=n,hullHash[this._hashKey(x,y)]=i,hullHash[this._hashKey(coords[2*e],coords[2*e+1])]=e;}this.hull=new Uint32Array(hullSize);for(let i=0,e=this._hullStart;i<hullSize;i++)this.hull[i]=e,e=hullNext[e];this.triangles=this._triangles.subarray(0,this.trianglesLen),this.halfedges=this._halfedges.subarray(0,this.trianglesLen);}_hashKey(x,y){return Math.floor(function(dx,dy){const p=dx/(Math.abs(dx)+Math.abs(dy));return(dy>0?3-p:1+p)/4;}(x-this._cx,y-this._cy)*this._hashSize)%this._hashSize;}_legalize(a){const{_triangles:triangles,_halfedges:halfedges,coords:coords}=this;let i=0,ar=0;for(;;){const b=halfedges[a],a0=a-a%3;if(ar=a0+(a+2)%3,-1===b){if(0===i)break;a=EDGE_STACK[--i];continue;}const b0=b-b%3,al=a0+(a+1)%3,bl=b0+(b+2)%3,p0=triangles[ar],pr=triangles[a],pl=triangles[al],p1=triangles[bl];if(inCircle(coords[2*p0],coords[2*p0+1],coords[2*pr],coords[2*pr+1],coords[2*pl],coords[2*pl+1],coords[2*p1],coords[2*p1+1])){triangles[a]=p1,triangles[b]=p0;const hbl=halfedges[bl];if(-1===hbl){let e=this._hullStart;do{if(this._hullTri[e]===bl){this._hullTri[e]=a;break;}e=this._hullPrev[e];}while(e!==this._hullStart);}this._link(a,hbl),this._link(b,halfedges[ar]),this._link(ar,bl);const br=b0+(b+1)%3;i<EDGE_STACK.length&&(EDGE_STACK[i++]=br);}else{if(0===i)break;a=EDGE_STACK[--i];}}return ar;}_link(a,b){this._halfedges[a]=b,-1!==b&&(this._halfedges[b]=a);}_addTriangle(i0,i1,i2,a,b,c){const t=this.trianglesLen;return this._triangles[t]=i0,this._triangles[t+1]=i1,this._triangles[t+2]=i2,this._link(t,a),this._link(t+1,b),this._link(t+2,c),this.trianglesLen+=3,t;}}function dist(ax,ay,bx,by){const dx=ax-bx,dy=ay-by;return dx*dx+dy*dy;}function inCircle(ax,ay,bx,by,cx,cy,px,py){const dx=ax-px,dy=ay-py,ex=bx-px,ey=by-py,fx=cx-px,fy=cy-py,bp=ex*ex+ey*ey,cp=fx*fx+fy*fy;return dx*(ey*cp-bp*fy)-dy*(ex*cp-bp*fx)+(dx*dx+dy*dy)*(ex*fy-ey*fx)<0;}function circumradius(ax,ay,bx,by,cx,cy){const dx=bx-ax,dy=by-ay,ex=cx-ax,ey=cy-ay,bl=dx*dx+dy*dy,cl=ex*ex+ey*ey,d=.5/(dx*ey-dy*ex),x=(ey*bl-dy*cl)*d,y=(dx*cl-ex*bl)*d;return x*x+y*y;}function quicksort(ids,dists,left,right){if(right-left<=20)for(let i=left+1;i<=right;i++){const temp=ids[i],tempDist=dists[temp];let j=i-1;for(;j>=left&&dists[ids[j]]>tempDist;)ids[j+1]=ids[j--];ids[j+1]=temp;}else{let i=left+1,j=right;swap(ids,left+right>>1,i),dists[ids[left]]>dists[ids[right]]&&swap(ids,left,right),dists[ids[i]]>dists[ids[right]]&&swap(ids,i,right),dists[ids[left]]>dists[ids[i]]&&swap(ids,left,i);const temp=ids[i],tempDist=dists[temp];for(;;){do{i++;}while(dists[ids[i]]<tempDist);do{j--;}while(dists[ids[j]]>tempDist);if(j<i)break;swap(ids,i,j);}ids[left+1]=ids[j],ids[j]=temp,right-i+1>=j-left?(quicksort(ids,dists,i,right),quicksort(ids,dists,left,j-1)):(quicksort(ids,dists,left,j-1),quicksort(ids,dists,i,right));}}function swap(arr,i,j){const tmp=arr[i];arr[i]=arr[j],arr[j]=tmp;}function defaultGetX(p){return p[0];}function defaultGetY(p){return p[1];}class Path{constructor(){this._x0=this._y0=this._x1=this._y1=null,this._="";}moveTo(x,y){this._+=`M${this._x0=this._x1=+x},${this._y0=this._y1=+y}`;}closePath(){null!==this._x1&&(this._x1=this._x0,this._y1=this._y0,this._+="Z");}lineTo(x,y){this._+=`L${this._x1=+x},${this._y1=+y}`;}arc(x,y,r){const x0=(x=+x)+(r=+r),y0=y=+y;if(r<0)throw new Error("negative radius");null===this._x1?this._+=`M${x0},${y0}`:(Math.abs(this._x1-x0)>1e-6||Math.abs(this._y1-y0)>1e-6)&&(this._+="L"+x0+","+y0),r&&(this._+=`A${r},${r},0,1,1,${x-r},${y}A${r},${r},0,1,1,${this._x1=x0},${this._y1=y0}`);}rect(x,y,w,h){this._+=`M${this._x0=this._x1=+x},${this._y0=this._y1=+y}h${+w}v${+h}h${-w}Z`;}value(){return this._||null;}}class Polygon{constructor(){this._=[];}moveTo(x,y){this._.push([x,y]);}closePath(){this._.push(this._[0].slice());}lineTo(x,y){this._.push([x,y]);}value(){return this._.length?this._:null;}}class Voronoi{constructor(delaunay,[xmin,ymin,xmax,ymax]=[0,0,960,500]){if(!((xmax=+xmax)>=(xmin=+xmin)&&(ymax=+ymax)>=(ymin=+ymin)))throw new Error("invalid bounds");this.delaunay=delaunay,this._circumcenters=new Float64Array(2*delaunay.points.length),this.vectors=new Float64Array(2*delaunay.points.length),this.xmax=xmax,this.xmin=xmin,this.ymax=ymax,this.ymin=ymin,this._init();}update(){return this.delaunay.update(),this._init(),this;}_init(){const{delaunay:{points:points,hull:hull,triangles:triangles},vectors:vectors}=this;let bx,by;const circumcenters=this.circumcenters=this._circumcenters.subarray(0,triangles.length/3*2);for(let x,y,i=0,j=0,n=triangles.length;i<n;i+=3,j+=2){const t1=2*triangles[i],t2=2*triangles[i+1],t3=2*triangles[i+2],x1=points[t1],y1=points[t1+1],x2=points[t2],y2=points[t2+1],x3=points[t3],y3=points[t3+1],dx=x2-x1,dy=y2-y1,ex=x3-x1,ey=y3-y1,ab=2*(dx*ey-dy*ex);if(Math.abs(ab)<1e-9){if(void 0===bx){bx=by=0;for(const i of hull)bx+=points[2*i],by+=points[2*i+1];bx/=hull.length,by/=hull.length;}const a=1e9*Math.sign((bx-x1)*ey-(by-y1)*ex);x=(x1+x3)/2-a*ey,y=(y1+y3)/2+a*ex;}else{const d=1/ab,bl=dx*dx+dy*dy,cl=ex*ex+ey*ey;x=x1+(ey*bl-dy*cl)*d,y=y1+(dx*cl-ex*bl)*d;}circumcenters[j]=x,circumcenters[j+1]=y;}let p0,x0,y0,h=hull[hull.length-1],p1=4*h,x1=points[2*h],y1=points[2*h+1];vectors.fill(0);for(let i=0;i<hull.length;++i)h=hull[i],p0=p1,x0=x1,y0=y1,p1=4*h,x1=points[2*h],y1=points[2*h+1],vectors[p0+2]=vectors[p1]=y0-y1,vectors[p0+3]=vectors[p1+1]=x1-x0;}render(context){const buffer=null==context?context=new Path():void 0,{delaunay:{halfedges:halfedges,inedges:inedges,hull:hull},circumcenters:circumcenters,vectors:vectors}=this;if(hull.length<=1)return null;for(let i=0,n=halfedges.length;i<n;++i){const j=halfedges[i];if(j<i)continue;const ti=2*Math.floor(i/3),tj=2*Math.floor(j/3),xi=circumcenters[ti],yi=circumcenters[ti+1],xj=circumcenters[tj],yj=circumcenters[tj+1];this._renderSegment(xi,yi,xj,yj,context);}let h0,h1=hull[hull.length-1];for(let i=0;i<hull.length;++i){h0=h1,h1=hull[i];const t=2*Math.floor(inedges[h1]/3),x=circumcenters[t],y=circumcenters[t+1],v=4*h0,p=this._project(x,y,vectors[v+2],vectors[v+3]);p&&this._renderSegment(x,y,p[0],p[1],context);}return buffer&&buffer.value();}renderBounds(context){const buffer=null==context?context=new Path():void 0;return context.rect(this.xmin,this.ymin,this.xmax-this.xmin,this.ymax-this.ymin),buffer&&buffer.value();}renderCell(i,context){const buffer=null==context?context=new Path():void 0,points=this._clip(i);if(null===points||!points.length)return;context.moveTo(points[0],points[1]);let n=points.length;for(;points[0]===points[n-2]&&points[1]===points[n-1]&&n>1;)n-=2;for(let i=2;i<n;i+=2)points[i]===points[i-2]&&points[i+1]===points[i-1]||context.lineTo(points[i],points[i+1]);return context.closePath(),buffer&&buffer.value();}*cellPolygons(){const{delaunay:{points:points}}=this;for(let i=0,n=points.length/2;i<n;++i){const cell=this.cellPolygon(i);cell&&(cell.index=i,yield cell);}}cellPolygon(i){const polygon=new Polygon();return this.renderCell(i,polygon),polygon.value();}_renderSegment(x0,y0,x1,y1,context){let S;const c0=this._regioncode(x0,y0),c1=this._regioncode(x1,y1);0===c0&&0===c1?(context.moveTo(x0,y0),context.lineTo(x1,y1)):(S=this._clipSegment(x0,y0,x1,y1,c0,c1))&&(context.moveTo(S[0],S[1]),context.lineTo(S[2],S[3]));}contains(i,x,y){return(x=+x)==x&&(y=+y)==y&&this.delaunay._step(i,x,y)===i;}*neighbors(i){const ci=this._clip(i);if(ci)for(const j of this.delaunay.neighbors(i)){const cj=this._clip(j);if(cj)loop:for(let ai=0,li=ci.length;ai<li;ai+=2)for(let aj=0,lj=cj.length;aj<lj;aj+=2)if(ci[ai]===cj[aj]&&ci[ai+1]===cj[aj+1]&&ci[(ai+2)%li]===cj[(aj+lj-2)%lj]&&ci[(ai+3)%li]===cj[(aj+lj-1)%lj]){yield j;break loop;}}}_cell(i){const{circumcenters:circumcenters,delaunay:{inedges:inedges,halfedges:halfedges,triangles:triangles}}=this,e0=inedges[i];if(-1===e0)return null;const points=[];let e=e0;do{const t=Math.floor(e/3);if(points.push(circumcenters[2*t],circumcenters[2*t+1]),e=e%3==2?e-2:e+1,triangles[e]!==i)break;e=halfedges[e];}while(e!==e0&&-1!==e);return points;}_clip(i){if(0===i&&1===this.delaunay.hull.length)return[this.xmax,this.ymin,this.xmax,this.ymax,this.xmin,this.ymax,this.xmin,this.ymin];const points=this._cell(i);if(null===points)return null;const{vectors:V}=this,v=4*i;return this._simplify(V[v]||V[v+1]?this._clipInfinite(i,points,V[v],V[v+1],V[v+2],V[v+3]):this._clipFinite(i,points));}_clipFinite(i,points){const n=points.length;let x0,y0,c0,e0,P=null,x1=points[n-2],y1=points[n-1],c1=this._regioncode(x1,y1),e1=0;for(let j=0;j<n;j+=2)if(x0=x1,y0=y1,x1=points[j],y1=points[j+1],c0=c1,c1=this._regioncode(x1,y1),0===c0&&0===c1)e0=e1,e1=0,P?P.push(x1,y1):P=[x1,y1];else{let S,sx0,sy0,sx1,sy1;if(0===c0){if(null===(S=this._clipSegment(x0,y0,x1,y1,c0,c1)))continue;[sx0,sy0,sx1,sy1]=S;}else{if(null===(S=this._clipSegment(x1,y1,x0,y0,c1,c0)))continue;[sx1,sy1,sx0,sy0]=S,e0=e1,e1=this._edgecode(sx0,sy0),e0&&e1&&this._edge(i,e0,e1,P,P.length),P?P.push(sx0,sy0):P=[sx0,sy0];}e0=e1,e1=this._edgecode(sx1,sy1),e0&&e1&&this._edge(i,e0,e1,P,P.length),P?P.push(sx1,sy1):P=[sx1,sy1];}if(P)e0=e1,e1=this._edgecode(P[0],P[1]),e0&&e1&&this._edge(i,e0,e1,P,P.length);else if(this.contains(i,(this.xmin+this.xmax)/2,(this.ymin+this.ymax)/2))return[this.xmax,this.ymin,this.xmax,this.ymax,this.xmin,this.ymax,this.xmin,this.ymin];return P;}_clipSegment(x0,y0,x1,y1,c0,c1){const flip=c0<c1;for(flip&&([x0,y0,x1,y1,c0,c1]=[x1,y1,x0,y0,c1,c0]);;){if(0===c0&&0===c1)return flip?[x1,y1,x0,y0]:[x0,y0,x1,y1];if(c0&c1)return null;let x,y,c=c0||c1;8&c?(x=x0+(x1-x0)*(this.ymax-y0)/(y1-y0),y=this.ymax):4&c?(x=x0+(x1-x0)*(this.ymin-y0)/(y1-y0),y=this.ymin):2&c?(y=y0+(y1-y0)*(this.xmax-x0)/(x1-x0),x=this.xmax):(y=y0+(y1-y0)*(this.xmin-x0)/(x1-x0),x=this.xmin),c0?(x0=x,y0=y,c0=this._regioncode(x0,y0)):(x1=x,y1=y,c1=this._regioncode(x1,y1));}}_clipInfinite(i,points,vx0,vy0,vxn,vyn){let p,P=Array.from(points);if((p=this._project(P[0],P[1],vx0,vy0))&&P.unshift(p[0],p[1]),(p=this._project(P[P.length-2],P[P.length-1],vxn,vyn))&&P.push(p[0],p[1]),P=this._clipFinite(i,P))for(let c0,j=0,n=P.length,c1=this._edgecode(P[n-2],P[n-1]);j<n;j+=2)c0=c1,c1=this._edgecode(P[j],P[j+1]),c0&&c1&&(j=this._edge(i,c0,c1,P,j),n=P.length);else this.contains(i,(this.xmin+this.xmax)/2,(this.ymin+this.ymax)/2)&&(P=[this.xmin,this.ymin,this.xmax,this.ymin,this.xmax,this.ymax,this.xmin,this.ymax]);return P;}_edge(i,e0,e1,P,j){for(;e0!==e1;){let x,y;switch(e0){case 5:e0=4;continue;case 4:e0=6,x=this.xmax,y=this.ymin;break;case 6:e0=2;continue;case 2:e0=10,x=this.xmax,y=this.ymax;break;case 10:e0=8;continue;case 8:e0=9,x=this.xmin,y=this.ymax;break;case 9:e0=1;continue;case 1:e0=5,x=this.xmin,y=this.ymin;}P[j]===x&&P[j+1]===y||!this.contains(i,x,y)||(P.splice(j,0,x,y),j+=2);}return j;}_project(x0,y0,vx,vy){let c,x,y,t=1/0;if(vy<0){if(y0<=this.ymin)return null;(c=(this.ymin-y0)/vy)<t&&(y=this.ymin,x=x0+(t=c)*vx);}else if(vy>0){if(y0>=this.ymax)return null;(c=(this.ymax-y0)/vy)<t&&(y=this.ymax,x=x0+(t=c)*vx);}if(vx>0){if(x0>=this.xmax)return null;(c=(this.xmax-x0)/vx)<t&&(x=this.xmax,y=y0+(t=c)*vy);}else if(vx<0){if(x0<=this.xmin)return null;(c=(this.xmin-x0)/vx)<t&&(x=this.xmin,y=y0+(t=c)*vy);}return[x,y];}_edgecode(x,y){return(x===this.xmin?1:x===this.xmax?2:0)|(y===this.ymin?4:y===this.ymax?8:0);}_regioncode(x,y){return(x<this.xmin?1:x>this.xmax?2:0)|(y<this.ymin?4:y>this.ymax?8:0);}_simplify(P){if(P&&P.length>4){for(let i=0;i<P.length;i+=2){const j=(i+2)%P.length,k=(i+4)%P.length;(P[i]===P[j]&&P[j]===P[k]||P[i+1]===P[j+1]&&P[j+1]===P[k+1])&&(P.splice(j,2),i-=2);}P.length||(P=null);}return P;}}const tau=2*Math.PI,pow=Math.pow;function pointX(p){return p[0];}function pointY(p){return p[1];}function jitter(x,y,r){return[x+Math.sin(x+y)*r,y+Math.cos(x-y)*r];}class Delaunay{static from(points,fx=pointX,fy=pointY,that){return new Delaunay("length"in points?function(points,fx,fy,that){const n=points.length,array=new Float64Array(2*n);for(let i=0;i<n;++i){const p=points[i];array[2*i]=fx.call(that,p,i,points),array[2*i+1]=fy.call(that,p,i,points);}return array;}(points,fx,fy,that):Float64Array.from(function*(points,fx,fy,that){let i=0;for(const p of points)yield fx.call(that,p,i,points),yield fy.call(that,p,i,points),++i;}(points,fx,fy,that)));}constructor(points){this._delaunator=new Delaunator(points),this.inedges=new Int32Array(points.length/2),this._hullIndex=new Int32Array(points.length/2),this.points=this._delaunator.coords,this._init();}update(){return this._delaunator.update(),this._init(),this;}_init(){const d=this._delaunator,points=this.points;if(d.hull&&d.hull.length>2&&function(d){const{triangles:triangles,coords:coords}=d;for(let i=0;i<triangles.length;i+=3){const a=2*triangles[i],b=2*triangles[i+1],c=2*triangles[i+2];if((coords[c]-coords[a])*(coords[b+1]-coords[a+1])-(coords[b]-coords[a])*(coords[c+1]-coords[a+1])>1e-10)return!1;}return!0;}(d)){this.collinear=Int32Array.from({length:points.length/2},(_,i)=>i).sort((i,j)=>points[2*i]-points[2*j]||points[2*i+1]-points[2*j+1]);const e=this.collinear[0],f=this.collinear[this.collinear.length-1],bounds=[points[2*e],points[2*e+1],points[2*f],points[2*f+1]],r=1e-8*Math.hypot(bounds[3]-bounds[1],bounds[2]-bounds[0]);for(let i=0,n=points.length/2;i<n;++i){const p=jitter(points[2*i],points[2*i+1],r);points[2*i]=p[0],points[2*i+1]=p[1];}this._delaunator=new Delaunator(points);}else delete this.collinear;const halfedges=this.halfedges=this._delaunator.halfedges,hull=this.hull=this._delaunator.hull,triangles=this.triangles=this._delaunator.triangles,inedges=this.inedges.fill(-1),hullIndex=this._hullIndex.fill(-1);for(let e=0,n=halfedges.length;e<n;++e){const p=triangles[e%3==2?e-2:e+1];-1!==halfedges[e]&&-1!==inedges[p]||(inedges[p]=e);}for(let i=0,n=hull.length;i<n;++i)hullIndex[hull[i]]=i;hull.length<=2&&hull.length>0&&(this.triangles=new Int32Array(3).fill(-1),this.halfedges=new Int32Array(3).fill(-1),this.triangles[0]=hull[0],inedges[hull[0]]=1,2===hull.length&&(inedges[hull[1]]=0,this.triangles[1]=hull[1],this.triangles[2]=hull[1]));}voronoi(bounds){return new Voronoi(this,bounds);}*neighbors(i){const{inedges:inedges,hull:hull,_hullIndex:_hullIndex,halfedges:halfedges,triangles:triangles,collinear:collinear}=this;if(collinear){const l=collinear.indexOf(i);return l>0&&(yield collinear[l-1]),void(l<collinear.length-1&&(yield collinear[l+1]));}const e0=inedges[i];if(-1===e0)return;let e=e0,p0=-1;do{if(yield p0=triangles[e],e=e%3==2?e-2:e+1,triangles[e]!==i)return;if(e=halfedges[e],-1===e){const p=hull[(_hullIndex[i]+1)%hull.length];return void(p!==p0&&(yield p));}}while(e!==e0);}find(x,y,i=0){if((x=+x)!=x||(y=+y)!=y)return-1;const i0=i;let c;for(;(c=this._step(i,x,y))>=0&&c!==i&&c!==i0;)i=c;return c;}_step(i,x,y){const{inedges:inedges,hull:hull,_hullIndex:_hullIndex,halfedges:halfedges,triangles:triangles,points:points}=this;if(-1===inedges[i]||!points.length)return(i+1)%(points.length>>1);let c=i,dc=pow(x-points[2*i],2)+pow(y-points[2*i+1],2);const e0=inedges[i];let e=e0;do{let t=triangles[e];const dt=pow(x-points[2*t],2)+pow(y-points[2*t+1],2);if(dt<dc&&(dc=dt,c=t),e=e%3==2?e-2:e+1,triangles[e]!==i)break;if(e=halfedges[e],-1===e){if(e=hull[(_hullIndex[i]+1)%hull.length],e!==t&&pow(x-points[2*e],2)+pow(y-points[2*e+1],2)<dc)return e;break;}}while(e!==e0);return c;}render(context){const buffer=null==context?context=new Path():void 0,{points:points,halfedges:halfedges,triangles:triangles}=this;for(let i=0,n=halfedges.length;i<n;++i){const j=halfedges[i];if(j<i)continue;const ti=2*triangles[i],tj=2*triangles[j];context.moveTo(points[ti],points[ti+1]),context.lineTo(points[tj],points[tj+1]);}return this.renderHull(context),buffer&&buffer.value();}renderPoints(context,r){void 0!==r||context&&"function"==typeof context.moveTo||(r=context,context=null),r=null==r?2:+r;const buffer=null==context?context=new Path():void 0,{points:points}=this;for(let i=0,n=points.length;i<n;i+=2){const x=points[i],y=points[i+1];context.moveTo(x+r,y),context.arc(x,y,r,0,tau);}return buffer&&buffer.value();}renderHull(context){const buffer=null==context?context=new Path():void 0,{hull:hull,points:points}=this,h=2*hull[0],n=hull.length;context.moveTo(points[h],points[h+1]);for(let i=1;i<n;++i){const h=2*hull[i];context.lineTo(points[h],points[h+1]);}return context.closePath(),buffer&&buffer.value();}hullPolygon(){const polygon=new Polygon();return this.renderHull(polygon),polygon.value();}renderTriangle(i,context){const buffer=null==context?context=new Path():void 0,{points:points,triangles:triangles}=this,t0=2*triangles[i*=3],t1=2*triangles[i+1],t2=2*triangles[i+2];return context.moveTo(points[t0],points[t0+1]),context.lineTo(points[t1],points[t1+1]),context.lineTo(points[t2],points[t2+1]),context.closePath(),buffer&&buffer.value();}*trianglePolygons(){const{triangles:triangles}=this;for(let i=0,n=triangles.length/3;i<n;++i)yield this.trianglePolygon(i);}trianglePolygon(i){const polygon=new Polygon();return this.renderTriangle(i,polygon),polygon.value();}}function ascending(a,b){return null==a||null==b?NaN:a<b?-1:a>b?1:a>=b?0:NaN;}function bisector(f){let delta=f,compare=f;function left(a,x,lo,hi){for(null==lo&&(lo=0),null==hi&&(hi=a.length);lo<hi;){const mid=lo+hi>>>1;compare(a[mid],x)<0?lo=mid+1:hi=mid;}return lo;}return 1===f.length&&(delta=(d,x)=>f(d)-x,compare=function(f){return(d,x)=>ascending(f(d),x);}(f)),{left:left,center:function(a,x,lo,hi){null==lo&&(lo=0),null==hi&&(hi=a.length);const i=left(a,x,lo,hi-1);return i>lo&&delta(a[i-1],x)>-delta(a[i],x)?i-1:i;},right:function(a,x,lo,hi){for(null==lo&&(lo=0),null==hi&&(hi=a.length);lo<hi;){const mid=lo+hi>>>1;compare(a[mid],x)>0?hi=mid:lo=mid+1;}return lo;}};}bisector(ascending);const bisectCenter=bisector(function(x){return null===x?NaN:+x;}).center;function pointer$1(event){const node=event.target,rect=node.getBoundingClientRect();return[event.clientX-rect.left-node.clientLeft,event.clientY-rect.top-node.clientTop];}class Gesture{constructor(that){this.that=void 0,this.active=0,this.taps=0,this.touch0=null,this.touch1=null,this.sourceEvent=null,this.wheel=null,this.zooming=!1,this.that=that;}start(){this.that.emit("zoomstart");}zoom(scale){this.that.emit("zoom",scale);}end(){this.that.emit("zoomend");}}let UI$3=class extends EventEmitter{constructor(options){super(),this.stage=new Container(),this.renderer=void 0,this.scaleExtent=[0,1/0],this.colors=void 0,this.prices=[],this.volumes=[],this.priceLabels=[],this.volumeLabels=[],this.priceScale=linear(),this.midPrice=0,this._indicativePrice=0,this.transform=1,this.horizontalAxis=new HorizontalAxis$1(),this.verticalAxis=new VerticalAxis$1(),this.buyIndicator=void 0,this.sellIndicator=void 0,this.auctionIndicator=new Indicator$1(13421772),this.buyPriceText=new Label$1(),this.buyVolumeText=new Label$1(),this.sellPriceText=new Label$1(),this.sellVolumeText=new Label$1(),this.auctionPriceText=new Label$1(),this.auctionVolumeText=new Label$1(),this.buyOverlay=new Rect(0,.05),this.sellOverlay=new Rect(0,.05),this.midMarketPriceLabel=void 0,this.midPriceLine=new VerticalLine(1,4802889),this.separator=new HorizontalLine(1,4802889),this.lastEvent=null,this.gesture=new Gesture(this),this.originalTransform=1,this.onPointerMove=event=>{if("ontouchstart"in self)return;this.lastEvent=event;let x=event.data?.global.x;if(x&&this.prices.length>1){const resolution=this.renderer.resolution;x*=resolution;const width=this.renderer.view.width,height=this.renderer.view.height;if(this._indicativePrice){const y=event.data?.global.y*resolution,radius=50*resolution,points=zip$1(this.prices,this.volumes),index=Delaunay.from(points).find(x,y);Math.hypot(x-this.prices[index],y-this.volumes[index])<radius?(this.auctionPriceText.update(this.priceLabels[index],Math.max(Math.min(this.prices[index],width-resolution*this.auctionPriceText.width/2-2),width/2+resolution*this.sellPriceText.width/2+2*resolution),height-resolution*AXIS_HEIGHT/2,{x:.5,y:.5},resolution,this.colors),this.auctionVolumeText.update(this.volumeLabels[index],this.prices[index]>width/2?this.prices[index]-width/2>resolution*this.auctionVolumeText.width+6*resolution?width/2+3*resolution:this.prices[index]+6:width/2-this.prices[index]>resolution*this.auctionVolumeText.width+6?width/2-2*resolution:this.prices[index]-6,Math.min(Math.max(this.volumes[index],this.auctionVolumeText.height/2+2),height-resolution*AXIS_HEIGHT-this.auctionVolumeText.height/2-2),{x:this.prices[index]>width/2?0:1,y:.5},resolution,this.colors),this.auctionIndicator.update(this.prices[index],this.volumes[index],width),this.auctionPriceText.visible=!0,this.auctionVolumeText.visible=!0,this.auctionIndicator.visible=!0):(this.auctionPriceText.visible=!1,this.auctionVolumeText.visible=!1,this.auctionIndicator.visible=!1);}else{const index=bisectCenter(this.prices,x),nearestX=this.prices[index];let buyIndex,sellIndex,buyNearestX,sellNearestX;x>width/2?(buyIndex=this.prices[0]>=width/2?-1:bisectLeft(this.prices,2*this.priceScale(this.midPrice)-nearestX),sellIndex=index,buyNearestX=2*this.priceScale(this.midPrice)-nearestX,sellNearestX=nearestX):(buyIndex=index,sellIndex=this.prices[this.prices.length-1]<=width/2?-1:bisectRight$1(this.prices,2*this.priceScale(this.midPrice)-nearestX)-1,buyNearestX=nearestX,sellNearestX=2*this.priceScale(this.midPrice)-nearestX),this.buyPriceText.update(this.priceLabels[buyIndex],Math.min(Math.max(buyNearestX,resolution*this.buyPriceText.width/2+2),width/2-resolution*this.buyPriceText.width/2-2*resolution),height-resolution*AXIS_HEIGHT/2,{x:.5,y:.5},resolution,this.colors),this.buyVolumeText.update(this.volumeLabels[buyIndex],width/2-buyNearestX>resolution*this.buyVolumeText.width+6?width/2-2*resolution:buyNearestX-6,Math.min(Math.max(this.volumes[buyIndex],resolution*this.buyVolumeText.height/2+2),height-resolution*AXIS_HEIGHT-resolution*this.buyVolumeText.height/2-2),{x:1,y:.5},resolution,this.colors),this.sellPriceText.update(this.priceLabels[sellIndex],Math.max(Math.min(sellNearestX,width-resolution*this.sellPriceText.width/2-2),width/2+resolution*this.sellPriceText.width/2+2*resolution),height-resolution*AXIS_HEIGHT/2,{x:.5,y:.5},resolution,this.colors),this.sellVolumeText.update(this.volumeLabels[sellIndex],sellNearestX-width/2>resolution*this.sellVolumeText.width+6?width/2+3*resolution:sellNearestX+6,Math.min(Math.max(this.volumes[sellIndex],resolution*this.sellVolumeText.height/2+2),height-resolution*AXIS_HEIGHT-resolution*this.sellVolumeText.height/2-2),{x:0,y:.5},resolution,this.colors);const sellPricesPresent=this.prices[this.prices.length-1]>width/2,buyPricesPresent=this.prices[0]<width/2;this.buyIndicator.update(buyNearestX,this.volumes[buyIndex],width),this.sellIndicator.update(sellNearestX,this.volumes[sellIndex],width),this.buyOverlay.update(0,0,buyNearestX,height-resolution*AXIS_HEIGHT,this.colors.textPrimary),this.sellOverlay.update(sellNearestX,0,width-sellNearestX,height-resolution*AXIS_HEIGHT,this.colors.textPrimary),this.priceScale.invert(buyNearestX)>this.priceScale.domain()[0]&&buyPricesPresent&&-1!==buyIndex?(this.buyPriceText.visible=!0,this.buyVolumeText.visible=!0,this.buyIndicator.visible=!0,this.buyOverlay.visible=!0):(this.buyPriceText.visible=!1,this.buyVolumeText.visible=!1,this.buyIndicator.visible=!1,this.buyOverlay.visible=!1),this.priceScale.invert(sellNearestX)<this.priceScale.domain()[1]&&sellPricesPresent&&-1!==sellIndex?(this.sellPriceText.visible=!0,this.sellVolumeText.visible=!0,this.sellIndicator.visible=!0,this.sellOverlay.visible=!0):(this.sellPriceText.visible=!1,this.sellVolumeText.visible=!1,this.sellIndicator.visible=!1,this.sellOverlay.visible=!1);}this.render();}},this.onPointerOut=()=>{this.buyPriceText.visible=!1,this.buyVolumeText.visible=!1,this.sellPriceText.visible=!1,this.sellVolumeText.visible=!1,this.buyIndicator.visible=!1,this.sellIndicator.visible=!1,this.buyOverlay.visible=!1,this.sellOverlay.visible=!1,this.lastEvent=null,this.render();},this.renderer=new Renderer({view:options.view,resolution:options.resolution,width:options.width,height:options.height}),this.colors=options.colors,this.buyIndicator=new Indicator$1(options.colors.buyStroke),this.sellIndicator=new Indicator$1(options.colors.sellStroke),this.midMarketPriceLabel=new MidMarketPriceLabel(options.colors);const _resolution=this.renderer.resolution;this.separator.update(options.height-_resolution*AXIS_HEIGHT,options.width),this.buyPriceText.visible=!1,this.buyVolumeText.visible=!1,this.sellPriceText.visible=!1,this.sellVolumeText.visible=!1,this.auctionPriceText.visible=!1,this.auctionVolumeText.visible=!1,this.stage.addChild(this.buyOverlay),this.stage.addChild(this.sellOverlay),this.stage.addChild(this.buyIndicator),this.stage.addChild(this.sellIndicator),this.stage.addChild(this.auctionIndicator),this.stage.addChild(this.horizontalAxis),this.stage.addChild(this.verticalAxis),this.stage.addChild(this.midPriceLine),this.stage.addChild(this.midMarketPriceLabel),this.stage.addChild(this.buyPriceText),this.stage.addChild(this.buyVolumeText),this.stage.addChild(this.sellPriceText),this.stage.addChild(this.sellVolumeText),this.stage.addChild(this.auctionPriceText),this.stage.addChild(this.auctionVolumeText),this.stage.addChild(this.separator),this.stage.interactive=!0,this.stage.hitArea=new Rectangle(0,0,options.width,options.height),this.stage.on("wheel",event=>{const tempEvent=event.data?.originalEvent;this.gesture.wheel?window.clearTimeout(this.gesture.wheel):this.gesture.start();const k=Math.pow(2,.002*-tempEvent.deltaY*(tempEvent.ctrlKey?10:1));this.transform=lodashExports.clamp(this.transform*k,this.scaleExtent[0],this.scaleExtent[1]),this.gesture.wheel=window.setTimeout(()=>{this.gesture.wheel=null,this.gesture.end();},150),this.emit("zoom",this.transform);}).on("touchstart",event=>{if(event.data.originalEvent instanceof TouchEvent){const originalEvent=event.data.originalEvent,touches=originalEvent.touches;let started=!1;originalEvent.stopImmediatePropagation();for(const touch of touches){const p=pointer$1(touch);this.gesture.touch0?this.gesture.touch1||this.gesture.touch0.identifier===touch.identifier||(this.gesture.touch1={point:p,originalPoint:p,identifier:touch.identifier},this.gesture.taps=0):(this.gesture.touch0={point:p,originalPoint:p,identifier:touch.identifier},started=!0);}started&&(this.originalTransform=this.transform,this.gesture.start());}}).on("touchmove",event=>{if(event.data.originalEvent instanceof TouchEvent){event.data.originalEvent.preventDefault(),event.data.originalEvent.stopImmediatePropagation();const touches=event.data.originalEvent.changedTouches??[];for(const touch of touches)this.gesture.touch0&&this.gesture.touch0.identifier===touch.identifier?this.gesture.touch0.point=pointer$1(touch):this.gesture.touch1&&this.gesture.touch1.identifier===touch.identifier&&(this.gesture.touch1.point=pointer$1(touch));if(this.gesture.touch1){const p0=this.gesture.touch0.point,p1=this.gesture.touch1.point,l0=this.gesture.touch0.originalPoint,l1=this.gesture.touch1.originalPoint,dp=(p1[0]-p0[0])**2+(p1[1]-p0[1])**2,dl=(l1[0]-l0[0])**2+(l1[1]-l0[1])**2,k=Math.sqrt(dp/dl);this.transform=lodashExports.clamp(this.originalTransform*k,this.scaleExtent[0],this.scaleExtent[1]),this.gesture.zoom(lodashExports.clamp(this.transform,this.scaleExtent[0],this.scaleExtent[1]));}}}).on("touchend",event=>{if(event.data.originalEvent instanceof TouchEvent){const touches=event.data.originalEvent.changedTouches??[];for(const touch of touches)this.gesture.touch0&&this.gesture.touch0.identifier===touch.identifier?this.gesture.touch0=null:this.gesture.touch1&&this.gesture.touch1.identifier===touch.identifier&&(this.gesture.touch1=null);this.gesture.touch1&&!this.gesture.touch0&&(this.gesture.touch0=null,this.gesture.touch1=null),this.gesture.end();}}).on("pointermove",this.onPointerMove).on("pointerout",this.onPointerOut);}render(){this.renderer.render(this.stage);}update(prices,volumes,midPrice,priceLabels,volumeLabels,midPriceLabel,midPriceTitle,priceScale,volumeScale){this.prices=prices,this.volumes=volumes,this.midPrice=midPrice,this.priceLabels=priceLabels,this.volumeLabels=volumeLabels,this.priceScale=priceScale;const width=this.renderer.view.width,height=this.renderer.view.height,resolution=this.renderer.resolution;this.horizontalAxis.update(this.priceScale,width,height,resolution,this.colors),this.verticalAxis.update(volumeScale,width,height,resolution,this.colors),this.midMarketPriceLabel.update(width/2,10,{x:.5,y:0},resolution,this.colors,midPriceLabel,midPriceTitle),this.midPriceLine.update(width/2,height,resolution),this.separator.update(height-resolution*AXIS_HEIGHT,width),this.stage.hitArea=new Rectangle(0,0,this.renderer.screen.width,this.renderer.screen.height),this.lastEvent&&this.onPointerMove(this.lastEvent);}updatePrice(price){const event=new InteractionEvent();event.data=new InteractionData(),event.data.global.x=this.priceScale(price),this.onPointerMove(event);}clearPrice(){this.onPointerOut();}destroy(){this.stage.destroy(),this.renderer.destroy();}set indicativePrice(price){this._indicativePrice=price;}};let Chart$3=class extends EventEmitter{constructor(options){super(),this.chart=void 0,this.axis=void 0,this.prices=[],this.volumes=[],this.priceLabels=[],this.volumeLabels=[],this._span=1,this.initialSpan=1,this.maxPriceDifference=0,this.initialPriceDifference=0,this._data={buy:[],sell:[]},this._indicativePrice=0,this._midPrice=0,this.priceFormat=void 0,this.volumeFormat=void 0,this._colors=void 0,this._dimensions=void 0,this.priceFormat=options.priceFormat,this.volumeFormat=options.volumeFormat,this._colors=options.colors,this._dimensions=options.dimensions,this.chart=new class{constructor(options){this.stage=new Container(),this.renderer=void 0,this.buyCurve=void 0,this.sellCurve=void 0,this.colors=void 0,this.dimensions=void 0,this.renderer=new Renderer({view:options.view,resolution:options.resolution,width:options.width,height:options.height}),this.colors=options.colors,this.dimensions=options.dimensions,this.buyCurve=new DepthCurve(options.colors.buyFill,options.colors.buyStroke,options.dimensions.strokeWidth,stepAfter),this.sellCurve=new DepthCurve(options.colors.sellFill,options.colors.sellStroke,options.dimensions.strokeWidth,stepAfter),this.stage.addChild(this.buyCurve),this.stage.addChild(this.sellCurve);}render(){this.renderer.render(this.stage);}update(buyPoints,sellPoints){const resolution=this.renderer.resolution;this.buyCurve.update(buyPoints,this.renderer.view.height,resolution,this.colors.buyFill,this.colors.buyStroke,this.dimensions.strokeWidth),this.sellCurve.update(sellPoints,this.renderer.view.height,resolution,this.colors.sellFill,this.colors.sellStroke,this.dimensions.strokeWidth);}}({view:options.chartView,resolution:options.resolution,width:options.width,height:options.height,colors:options.colors,dimensions:options.dimensions}),this.axis=new UI$3({view:options.axisView,resolution:options.resolution,width:options.width,height:options.height,colors:options.colors}),this.axis.on("zoomstart",()=>{this.emit("zoomstart");}).on("zoom",k=>{this.span=this.initialSpan/k,this.emit("zoom");}).on("zoomend",()=>{this.emit("zoomend");});}updatePrice(price){this.axis.updatePrice(price);}clearPrice(){this.axis.clearPrice();}render(){this.chart.render(),this.axis.render();}resize(width,height){this.chart.renderer.resize(width,height),this.axis.renderer.resize(width,height);}destroy(){this.axis.destroy();}update(){const resolution=this.axis.renderer.resolution,cumulativeBuy=lodashExports.zip(this._data.buy.map(priceLevel=>priceLevel.price),cumsum(this._data.buy.map(priceLevel=>priceLevel.volume))),cumulativeSell=lodashExports.zip(this._data.sell.map(priceLevel=>priceLevel.price),cumsum(this._data.sell.map(priceLevel=>priceLevel.volume))),midPrice=function(indicativePrice,midPrice,buyPrice,sellPrice){return indicativePrice||midPrice||mean$1([buyPrice,sellPrice]);}(this._indicativePrice,this._midPrice,this._data.buy?.[0]?.price,this._data.sell?.[0]?.price);if(this.maxPriceDifference=max(this.prices.map(price=>Math.abs(price-midPrice)))??0,!this.initialPriceDifference){const buyPriceLevels=lodashExports.orderBy(this._data.buy,["price"]),sellPriceLevels=lodashExports.orderBy(this._data.sell,["price"]);for(;buyPriceLevels.length>2&&Math.abs((buyPriceLevels[0].price-buyPriceLevels[1].price)/(buyPriceLevels[0].price-midPrice))/(buyPriceLevels[0].volume/cumulativeBuy[cumulativeBuy.length-1][1])>100;)buyPriceLevels.splice(0,1);for(;sellPriceLevels.length>2;){const maxIndex=sellPriceLevels.length-1;if(!(Math.abs((sellPriceLevels[maxIndex].price-sellPriceLevels[maxIndex-1].price)/(sellPriceLevels[maxIndex].price-midPrice))/(sellPriceLevels[maxIndex].volume/cumulativeSell[cumulativeSell.length-1][1])>100))break;sellPriceLevels.splice(-1,1);}this.initialPriceDifference=max([...buyPriceLevels,...sellPriceLevels].map(priceLevel=>Math.abs(priceLevel.price-midPrice)))??0,this.initialSpan=this.initialPriceDifference/this.maxPriceDifference,this._span=this.initialSpan;}const priceExtent=[midPrice-this._span*this.maxPriceDifference,midPrice+this._span*this.maxPriceDifference],indexExtent=extent(lodashExports.orderBy([...this._data.buy,...this._data.sell],["price"]).map((priceLevel,index)=>({...priceLevel,index:index})).filter(priceLevel=>priceLevel.price>=priceExtent[0]&&priceLevel.price<=priceExtent[1]).map(priceLevel=>priceLevel.index)),volumeExtent=[0,2*(max(this.volumes.slice(indexExtent[0],indexExtent[1]))??0)],priceScale=linear().domain(priceExtent).range([0,this.width]),volumeScale=linear().domain(volumeExtent).range([this.height-resolution*AXIS_HEIGHT,0]);if(cumulativeBuy.length>0&&cumulativeBuy.push([midPrice-this.maxPriceDifference,cumulativeBuy[cumulativeBuy.length-1][1]]),cumulativeSell.length>0&&cumulativeSell.push([midPrice+this.maxPriceDifference,cumulativeSell[cumulativeSell.length-1][1]]),this.chart.colors=this._colors,this.chart.dimensions=this._dimensions,this.chart.update(cumulativeBuy.map(point=>[priceScale(point[0]),volumeScale(point[1])]),cumulativeSell.map(point=>[priceScale(point[0]),volumeScale(point[1])])),this._data.buy.length>0&&this._data.sell.length>0){const minExtent=min$1(this.prices.filter(price=>midPrice-price>0).map(price=>midPrice-price))??0+min$1(this.prices.filter(price=>price-midPrice>0).map(price=>price-midPrice))??0;this.axis.scaleExtent=[this.initialSpan,this.maxPriceDifference/(2*(minExtent??this.maxPriceDifference/10))];}this.axis.colors=this._colors,this.axis.update(this.prices.map(price=>priceScale(price)),this.volumes.map(volume=>volumeScale(volume)),midPrice,this.priceLabels,this.volumeLabels,this.priceFormat(midPrice),this._indicativePrice>0?"Indicative price":"Mid Market Price",priceScale,volumeScale);}set colors(colors){this._colors=colors,this.update(),this.render();}set dimensions(dimensions){this._dimensions=dimensions,this.update(),this.render();}get data(){return this._data;}set data(data){this._data=data,this._data.buy=lodashExports.sortBy(this._data.buy,priceLevel=>-priceLevel.price),this._data.sell=lodashExports.sortBy(this._data.sell,priceLevel=>priceLevel.price),this.prices=lodashExports.sortBy([...this._data.buy.map(priceLevel=>priceLevel.price),...this._data.sell.map(priceLevel=>priceLevel.price)]),this.priceLabels=this.prices.map(price=>this.priceFormat(price));const cumulativeBuy=lodashExports.zip(this._data.buy.map(priceLevel=>priceLevel.price),cumsum(this._data.buy.map(priceLevel=>priceLevel.volume))),cumulativeSell=lodashExports.zip(this._data.sell.map(priceLevel=>priceLevel.price),cumsum(this._data.sell.map(priceLevel=>priceLevel.volume)));this.volumes=lodashExports.orderBy([...cumulativeBuy,...cumulativeSell],["0"]).map(priceLevel=>priceLevel[1]),this.volumeLabels=this.volumes.map(volume=>this.volumeFormat(volume)),this.update(),this.render();}set indicativePrice(price){this._indicativePrice=price,this.axis.indicativePrice=price,this.update(),this.render();}set midPrice(price){this._midPrice=price,this.update(),this.render();}get height(){return this.chart.renderer.view.height;}get width(){return this.chart.renderer.view.width;}get span(){return this._span;}set span(span){this._span=span,this.update(),this.render();}};var styles$2_container="depth-chart-module_container__INk9v",styles$2_canvasContainer="depth-chart-module_canvasContainer__LeU2-",styles$2_canvas="depth-chart-module_canvas__PB4Cf";function getColors$3(element){const cssStyleDeclaration=element?getComputedStyle(element):null;return{buyFill:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-depth-buy-fill").trim()||"#16452d"),buyStroke:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-depth-buy-stroke").trim()||"#26ff8a"),sellFill:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-depth-sell-fill").trim()||"#800700"),sellStroke:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-depth-sell-stroke").trim()||"#ff261a"),textPrimary:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-font-color-base").trim()||"#ffffff"),textSecondary:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-font-color-secondary").trim()||"#fafafa"),backgroundSurface:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-background-surface-color").trim()||"#0a0a0a"),backgroundLabel:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-background-label-color").trim()||"#0a0a0a")};}function getDimensions(element){const cssStyleDeclaration=element?getComputedStyle(element):null;return{strokeWidth:string2num(cssStyleDeclaration?.getPropertyValue("--pennant-depth-stroke-width").trim()||"1px")};}function defaultVolumeFormat(volume){return numberFormatter(0).format(volume);}const FONT_SIZE=12,AXIS_HEIGHT=FONT_SIZE+5,DepthChart=React.forwardRef(({data:data,priceFormat=defaultPriceFormat,volumeFormat=defaultVolumeFormat,indicativePrice=0,midPrice=0,notEnoughDataText="No data",theme="dark"},ref)=>{const contentsRef=React.useRef(null),uiRef=React.useRef(null),chartRef=React.useRef(null),styleRef=React.useRef(null),{ref:resizeOberverRef,width=0,height=0,devicePixelContentBoxSizeInlineSize:devicePixelContentBoxSizeInlineSize,devicePixelContentBoxSizeBlockSize:devicePixelContentBoxSizeBlockSize}=useThrottledResizeObserver(50);return React.useEffect(()=>{const colors=getColors$3(styleRef?.current),dimensions=getDimensions(styleRef?.current);return chartRef.current=new Chart$3({chartView:contentsRef.current,axisView:uiRef.current,resolution:window.devicePixelRatio,width:0,height:0,priceFormat:priceFormat,volumeFormat:volumeFormat,colors:colors,dimensions:dimensions}),()=>{chartRef.current.destroy();};},[]),React.useEffect(()=>{chartRef.current.resize(devicePixelContentBoxSizeInlineSize?devicePixelContentBoxSizeInlineSize/window.devicePixelRatio:width,devicePixelContentBoxSizeBlockSize?devicePixelContentBoxSizeBlockSize/window.devicePixelRatio:height),chartRef.current.data=data,chartRef.current.render();},[height,width,data,devicePixelContentBoxSizeInlineSize,devicePixelContentBoxSizeBlockSize]),React.useEffect(()=>{chartRef.current.indicativePrice=indicativePrice;},[indicativePrice]),React.useEffect(()=>{chartRef.current.midPrice=midPrice;},[midPrice]),React.useEffect(()=>{requestAnimationFrame(()=>{chartRef.current.colors=getColors$3(styleRef?.current),chartRef.current.dimensions=getDimensions(styleRef?.current);});},[theme]),React.useImperativeHandle(ref,()=>({update(price){chartRef.current.updatePrice(price);},clear(){chartRef.current.clearPrice();}})),0===data.buy.length&&0===data.sell.length?jsxRuntimeExports.jsx("div",{ref:styleRef,className:styles$2_container,"data-theme":theme,children:jsxRuntimeExports.jsx(NonIdealState,{title:notEnoughDataText})}):jsxRuntimeExports.jsx("div",{ref:styleRef,className:styles$2_container,"data-theme":theme,children:jsxRuntimeExports.jsxs("div",{ref:resizeOberverRef,className:styles$2_canvasContainer,children:[jsxRuntimeExports.jsx("canvas",{ref:contentsRef,className:styles$2_canvas}),jsxRuntimeExports.jsx("canvas",{ref:uiRef,className:styles$2_canvas})]})});});DepthChart.displayName="DepthChart";class VerticalLine extends Graphics{constructor(width=1,color=16777215,lineDash=[]){super(),this.width=void 0,this.color=void 0,this.lineDash=void 0,this.width=width,this.color=color,this.lineDash=lineDash;}update(x,height,resolution=1){this.clear(),this.lineStyle({width:this.width,color:this.color,lineDash:this.lineDash}),this.moveTo(.5,0),this.lineTo(.5,height-resolution*AXIS_HEIGHT),this.endFill(),this.x=x;}}class Crosshair extends Container{constructor(width=1,color=16777215,lineDash=[]){super(),this.horizontalLine=void 0,this.verticalLine=void 0,this.horizontalLine=new HorizontalLine(width,color,lineDash),this.verticalLine=new VerticalLine(width,color,lineDash),this.addChild(this.horizontalLine),this.addChild(this.verticalLine);}update(x,y,width,height,resolution=1){null!==x?(this.verticalLine.visible=!0,this.verticalLine.update(x,height,resolution)):this.verticalLine.visible=!1,null!==y?(this.horizontalLine.visible=!0,this.horizontalLine.update(y,width,resolution)):this.horizontalLine.visible=!1;}}function pointer(event,resolution=1){const node=event.target,rect=node.getBoundingClientRect();return[resolution*(event.clientX-rect.left-node.clientLeft),resolution*(event.clientY-rect.top-node.clientTop)];}class VerticalAxis extends Container{constructor(renderer){super(),this.renderer=void 0,this.zoom=new Zoom(),this.gesture=new Gesture$1(this),this.firstPoint=[0,0],this.overlay=new Graphics(),this.nodeByKeyValue=new Map(),this.onWheel=event=>{const tempEvent=event.data?.originalEvent,p=pointer(tempEvent,this.renderer.resolution);this.gesture.wheel?window.clearTimeout(this.gesture.wheel):(this.gesture.mouse=[p,p],this.gesture.start()),this.gesture.wheel=window.setTimeout(()=>{this.gesture.wheel=null,this.gesture.end();},150),this.zoom.wheeled(.002*-tempEvent.deltaY*(tempEvent.ctrlKey?10:1),this.gesture.mouse[0]??[0,0],[[0,0],[100,100]]),this.emit("zoom",{transform:this.zoom.__zoom,point:p});},this.onPointerDown=event=>{const resolution=this.renderer.resolution,p=pointer(event.data?.originalEvent,resolution);this.firstPoint=p??[0,0],event.data?.identifier&&this.renderer.context.canvas.setPointerCapture(event.data?.identifier),this.gesture.mouse=[p,this.zoom.__zoom.invert(p)],this.gesture.start();const handleMouseMove=event=>{event.preventDefault(),this.gesture.mouse[0]=pointer(event,resolution),this.gesture.mouse[1]&&this.gesture.zoom(this.zoom.constrain(this.zoom.translate(this.zoom.__zoom,this.gesture.mouse[0],this.gesture.mouse[1]),[[0,0],[100,100]],this.zoom.translateExtent),this.firstPoint);},handleMouseUp=event=>{event.preventDefault(),window.removeEventListener("mousemove",handleMouseMove),window.removeEventListener("mouseup",handleMouseUp),event.data?.identifier&&this.renderer.context.canvas.releasePointerCapture(event.data?.identifier),this.gesture.end();};window.addEventListener("mousemove",handleMouseMove),window.addEventListener("mouseup",handleMouseUp);},this.onPointerMove=event=>{const tempEvent=event.data?.originalEvent,p=pointer(tempEvent,this.renderer.resolution);tempEvent.target===this.renderer.context.canvas&&this.emit("mousemove",p);},this.onPointerOut=event=>{this.emit("mouseout");},this.renderer=renderer,this.addChild(this.overlay),this.on("wheel",this.onWheel).on("pointerdown",this.onPointerDown).on("pointermove",this.onPointerMove).on("pointerout",this.onPointerOut);}update(scale,width,height,resolution=1,colors,tickFormatSpecifier){this.overlay.clear(),this.overlay.beginFill(colors.backgroundSurface,.7),this.overlay.drawRect(width-72*resolution,0,72*resolution,height),this.overlay.endFill();const numTicks=height/resolution/50,ticks=scale.ticks(numTicks),tickFormat=scale.tickFormat(numTicks,tickFormatSpecifier),enter=ticks.filter(tick=>!this.nodeByKeyValue.has(tickFormat(tick))),update=ticks.filter(tick=>this.nodeByKeyValue.has(tickFormat(tick))),exit=[...this.nodeByKeyValue.keys()].filter(node=>!(-1!==ticks.map(tickFormat).indexOf(node)));for(const node of enter){const text=new Text(tickFormat(node),{fill:colors.textSecondary,fontFamily:"monospace",fontSize:12});text.x=width-7*resolution,text.y=scale(node),text.anchor.set(1,.5),text.updateText(),this.nodeByKeyValue.set(tickFormat(node),text),this.addChild(text);}for(const node of update){const text=this.nodeByKeyValue.get(tickFormat(node));text.style.fill=colors.textSecondary,text.x=width-7*resolution,text.y=scale(node);}for(const node of exit){const text=this.nodeByKeyValue.get(node);this.nodeByKeyValue.delete(node),this.removeChild(text);}}}class HorizontalAxis extends Container{constructor(renderer){super(),this.renderer=void 0,this.zoom=new Zoom(),this.gesture=new Gesture$1(this),this.firstPoint=[0,0],this.overlay=new Graphics(),this.tickNodes=[],this.onWheel=event=>{const tempEvent=event.data?.originalEvent,p=pointer(tempEvent,this.renderer.resolution);this.gesture.wheel?window.clearTimeout(this.gesture.wheel):(this.gesture.mouse=[p,p],this.gesture.start(this.zoom.__zoom)),this.gesture.wheel=window.setTimeout(()=>{this.gesture.wheel=null,this.gesture.end();},150),this.zoom.wheeled(.002*-tempEvent.deltaY*(tempEvent.ctrlKey?10:1),this.gesture.mouse[0]??[0,0],[[0,0],[100,100]]),this.emit("zoom",{transform:this.zoom.__zoom,point:p});},this.onPointerDown=event=>{const resolution=this.renderer.resolution,p=pointer(event.data?.originalEvent,resolution);this.firstPoint=p??[0,0],event.data?.identifier&&this.renderer.context.canvas.setPointerCapture(event.data?.identifier),this.gesture.mouse=[p,this.zoom.__zoom.invert(p)],this.gesture.start(this.zoom.constrain(this.zoom.translate(this.zoom.__zoom,this.gesture.mouse[0],this.gesture.mouse[1]),[[0,0],[100,100]],this.zoom.translateExtent));const handleMouseMove=event=>{event.preventDefault(),this.gesture.mouse[0]=pointer(event,resolution),this.gesture.mouse[1]&&this.gesture.zoom(this.zoom.constrain(this.zoom.translate(this.zoom.__zoom,this.gesture.mouse[0],this.gesture.mouse[1]),[[0,0],[100,100]],this.zoom.translateExtent),this.firstPoint);},handleMouseUp=event=>{event.preventDefault(),window.removeEventListener("mousemove",handleMouseMove),window.removeEventListener("mouseup",handleMouseUp),event.data?.identifier&&this.renderer.context.canvas.releasePointerCapture(event.data?.identifier),this.gesture.end();};window.addEventListener("mousemove",handleMouseMove),window.addEventListener("mouseup",handleMouseUp);},this.onPointerMove=event=>{const tempEvent=event.data?.originalEvent,p=pointer(tempEvent,this.renderer.resolution);tempEvent.target===this.renderer.context.canvas&&this.emit("mousemove",p);},this.onPointerOut=event=>{this.emit("mouseout");},this.renderer=renderer,this.addChild(this.overlay),this.on("wheel",this.onWheel).on("pointerdown",this.onPointerDown).on("pointermove",this.onPointerMove).on("pointerout",this.onPointerOut),this.tickNodes=range(0,20).map(()=>new Text("",{fill:16777215,fontFamily:"monospace",fontSize:12}));for(let i=0;i<this.tickNodes.length;i++)this.tickNodes[i].visible=!1,this.addChild(this.tickNodes[i]);}update(scale,width,height,resolution=1,colors){this.overlay.clear(),this.overlay.beginFill(colors.backgroundSurface,.7),this.overlay.drawRect(0,height-17*resolution,width,17*resolution),this.overlay.endFill();const numTicks=width/resolution/200,ticks=scale.ticks(numTicks),tickFormat=scale.tickFormat(numTicks);for(let i=0;i<this.tickNodes.length;i++)this.tickNodes[i].visible=!1;for(let i=0;i<Math.min(ticks.length,this.tickNodes.length);i++){const text=this.tickNodes[i];text.visible=!0,text.text=tickFormat(ticks[i]),text.x=scale(ticks[i]),text.y=height-17*resolution/2,text.anchor.set(.5,.5),text.style.fill=colors.textSecondary,text.updateText();}}}class HorizontalGrid extends Container{constructor(color=4013373){super(),this.nodeByKeyValue=new Map(),this.color=void 0,this.color=color;}update(scale,width,height,resolution=1){const numTicks=width/resolution/200,ticks=scale.ticks(numTicks);let enter,update,exit;enter=isDateArray(ticks)?ticks.filter(tick=>!this.nodeByKeyValue.has(tick.getTime())):ticks.filter(tick=>!this.nodeByKeyValue.has(tick)),update=isDateArray(ticks)?ticks.filter(tick=>this.nodeByKeyValue.has(tick.getTime())):ticks.filter(tick=>this.nodeByKeyValue.has(tick)),exit=isDateArray(ticks)?[...this.nodeByKeyValue.keys()].filter(node=>!(-1!==ticks.map(tick=>tick.getTime()).indexOf(node))):[...this.nodeByKeyValue.keys()].filter(node=>!(-1!==ticks.map(tick=>tick).indexOf(node)));for(const node of enter){const line=new Graphics();line.clear(),line.lineStyle({width:1,color:this.color,lineDash:[]}),line.moveTo(.5,0),line.lineTo(.5,height),line.endFill(),line.x=scale(node),this.nodeByKeyValue.set(isDate(node)?node.getTime():node,line),this.addChild(line);}for(const node of update){const line=this.nodeByKeyValue.get(isDate(node)?node.getTime():node);line.clear(),line.lineStyle({width:1,color:this.color,lineDash:[]}),line.moveTo(.5,0),line.lineTo(.5,height),line.endFill(),line.x=scale(node),line.x=Math.round(scale(node));}for(const node of exit){const text=this.nodeByKeyValue.get(node);this.nodeByKeyValue.delete(node),this.removeChild(text);}}}class Indicator extends Container{constructor(color=16777215){super(),this.innerCircle=new Graphics(),this.outerCircle=new Graphics(),this.color=void 0,this.color=color,this.outerCircle.beginFill(16777215),this.outerCircle.drawCircle(0,0,12),this.outerCircle.endFill(),this.innerCircle.beginFill(color),this.innerCircle.drawCircle(0,0,8),this.innerCircle.endFill(),this.addChild(this.outerCircle),this.addChild(this.innerCircle),this.visible=!1;}update(x,y,color){this.outerCircle.x=x,this.outerCircle.y=y,this.innerCircle.x=x,this.innerCircle.y=y,this.color!==color&&(this.color=color,this.innerCircle.clear(),this.innerCircle.beginFill(color),this.innerCircle.drawCircle(0,0,8),this.innerCircle.endFill());}}class Label extends Container{constructor(){super(),this.text=new Text("",{fill:16777215,fontFamily:"monospace",fontSize:12}),this.background=new Graphics(),this.addChild(this.background),this.addChild(this.text);}update(text,x,y,anchor,resolution=1,colors){this.text.x=x,this.text.y=y,this.text.text=text,this.text.anchor.x=anchor.x,this.text.anchor.y=anchor.y,this.text.style.fill=colors.textPrimary;const width=resolution*this.text.width,height=resolution*this.text.height,anchorX=anchor.x,anchorY=anchor.y,padding=1.2*resolution;this.background.clear(),this.background.beginFill(colors.backgroundSurface,1),this.background.drawRect(x-(anchorX*width+padding),y-(anchorY*height+padding),width+2*padding,height+2*padding),this.background.endFill();}get width(){return this.text.width;}get height(){return this.text.height;}}lodashExports.memoize((colorStop1,colorStop2,size,offset=0,invert=!1)=>{const gradTexture=function(colorStop1,colorStop2,size=600,offset=0,invert=!1){invert||(offset=0);const canvas=document.createElement("canvas");canvas.width=1,canvas.height=size+offset;const ctx=canvas.getContext("2d"),grd=ctx.createLinearGradient(0,offset,0,size+offset);return grd.addColorStop(0,hex2string(invert?colorStop2:colorStop1)),grd.addColorStop(1,hex2string(invert?colorStop1:colorStop2)),ctx.fillStyle=grd,ctx.fillRect(0,offset,1,size+offset),Texture.from(canvas);}(colorStop1,colorStop2,size,offset,invert);return gradTexture.orig=new Rectangle(0,0,1,size+offset),gradTexture._frame=new Rectangle(0,0,1,size+offset),gradTexture;},(...args)=>lodashExports.values(args).join("_"));class LineCurve extends Container{constructor(stroke=0,fill=16777215,backgroundSurface=16777215,curve=curveLinear){super(),this.line=new Graphics(),this.stroke=void 0,this.backgroundSurface=void 0,this.curve=void 0,this.stroke=stroke,this.backgroundSurface=backgroundSurface,this.curve=curve,this.line.lineStyle({width:4,color:stroke,alpha:.5}),this.addChild(this.line);}update(points,height,resolution=1,fill=16777215,stroke=0,backgroundSurface=0,invert,startPrice){this.stroke=stroke,this.backgroundSurface=backgroundSurface,this.line.clear(),this.line.lineStyle({width:4,color:this.stroke}),this.line.drawLine(points,this.curve);}}class Rect extends Graphics{constructor(color=16777215,alpha=1){super(),this.alpha=1,this.color=16777215,this.color=color,this.alpha=alpha;}update(x,y,width,height,color){this.color=color,this.clear(),this.beginFill(this.color,this.alpha),this.drawRect(x,y,width,height),this.endFill();}}class VerticalGrid extends Container{constructor(color=4013373){super(),this.nodeByKeyValue=new Map(),this.color=void 0,this.color=color;}update(scale,width,height,resolution=1){const numTicks=height/resolution/50,ticks=scale.ticks(numTicks),tickFormat=scale.tickFormat(numTicks),enter=ticks.filter(tick=>!this.nodeByKeyValue.has(tickFormat(tick))),update=ticks.filter(tick=>this.nodeByKeyValue.has(tickFormat(tick))),exit=[...this.nodeByKeyValue.keys()].filter(node=>!(-1!==ticks.map(tickFormat).indexOf(node)));for(const node of enter){const line=new Graphics();line.clear(),line.lineStyle({width:1,color:this.color,lineDash:[]}),line.moveTo(0,.5),line.lineTo(width,.5),line.endFill(),line.y=scale(node),this.nodeByKeyValue.set(tickFormat(node),line),this.addChild(line);}for(const node of update){const line=this.nodeByKeyValue.get(tickFormat(node));line.clear(),line.lineStyle({width:1,color:this.color,lineDash:[]}),line.moveTo(0,.5),line.lineTo(width,.5),line.endFill(),line.y=scale(node);}for(const node of exit){const text=this.nodeByKeyValue.get(node);this.nodeByKeyValue.delete(node),this.removeChild(text);}}}const createTexture=lodashExports.memoize((colorStop1,colorStop2,size)=>{const gradTexture=function(colorStop1,colorStop2,size=600){const canvas=document.createElement("canvas");canvas.width=1,canvas.height=size;const ctx=canvas.getContext("2d"),grd=ctx.createLinearGradient(0,0,0,size);return grd.addColorStop(0,hex2string(colorStop1)),grd.addColorStop(1,hex2string(colorStop2)),ctx.fillStyle=grd,ctx.fillRect(0,0,1,size),Texture.from(canvas);}(colorStop1,colorStop2,size);return gradTexture.orig=new Rectangle(0,0,1,size),gradTexture._frame=new Rectangle(0,0,1,size),gradTexture;},(...args)=>lodashExports.values(args).join("_"));class AreaCurve extends Container{constructor(stroke=0,fill=16777215,backgroundSurface=16777215,curve=curveLinear){super(),this.area=new Graphics(),this.line=new Graphics(),this.stroke=void 0,this.fill=void 0,this.backgroundSurface=void 0,this.curve=void 0,this.stroke=stroke,this.fill=fill,this.backgroundSurface=backgroundSurface,this.curve=curve,this.area.lineStyle({width:0}),this.line.lineStyle({width:4,color:stroke,alpha:.5}),this.addChild(this.area),this.addChild(this.line);}update(points,height,resolution=1,fill=16777215,stroke=0,backgroundSurface=0){this.fill=fill,this.stroke=stroke,this.backgroundSurface=backgroundSurface,this.area.clear(),this.area.beginTextureFill({alpha:.5,texture:createTexture(this.stroke,this.backgroundSurface,height)}),this.area.drawArea(points,this.curve),this.area.endFill(),this.line.clear(),this.line.lineStyle({width:4,color:this.stroke}),this.line.drawLine(points.map(d=>[d[0],d[2]]),this.curve);}}let UI$2=class extends EventEmitter{constructor(options){super(),this.colors=void 0,this.renderer=void 0,this.scaleExtent=[0,1/0],this.stage=new Container(),this.zoom=new Zoom(),this._interactive=!0,this.data=[],this.lastPriceZoomTransform=zoomIdentity,this.lastXZoomTransform=zoomIdentity,this.priceScale=linear(),this.priceZoom=new Zoom(),this.xScale=null,this.xZoom=new Zoom(),this.firstPoint=null,this.gesture=new Gesture$1(this),this.isZooming=!1,this.lastEvent=null,this.horizontalAxis=void 0,this.verticalAxis=void 0,this.verticalAxisSeparator=new Graphics(),this.horizontalAxisSeparator=new Graphics(),this.crosshair=new Crosshair(1,8947848,[3,3]),this.indicator=lodashExports.range(0,6).map(()=>new Indicator(16711680)),this.priceLabel=new Label(),this.xLabel=new Label(),this.hitBox=new Container(),this.priceFormat=void 0,this.xFormat=void 0,this.onWheel=event=>{if(this._interactive){const tempEvent=event.data?.originalEvent,p=pointer(tempEvent,this.renderer.resolution);this.isZooming=!0,this.hideTooltips(),this.emit("mouseout"),this.gesture.wheel?window.clearTimeout(this.gesture.wheel):(this.gesture.mouse=[p,p],this.gesture.start(this.zoom.__zoom)),this.gesture.wheel=window.setTimeout(()=>{this.isZooming=!1,this.lastEvent&&this.onPointerMove(this.lastEvent),this.gesture.wheel=null,this.gesture.end();},150),this.zoom.wheeled(.002*-tempEvent.deltaY*(tempEvent.ctrlKey?10:1),this.gesture.mouse[0]??[0,0],[[0,0],[100,100]]);const transform=this.zoom.__zoom,k=transform.k/this.lastXZoomTransform.k;1===k?this.xZoom.scaleBy(Math.pow(2,-(transform.x-this.lastXZoomTransform.x)/1/(this.xScale.range()[1]-this.xScale.range()[0])),[Math.abs(this.xScale.range()[1]-this.xScale.range()[0])/2,0]):this.xZoom.scaleBy(k,[(this.xScale.range()[1]-this.xScale.range()[0])/2,0]),this.lastXZoomTransform=transform,this.emit("zoom.horizontalAxis",this.zoom.__zoom,p);}},this.onPointerDown=event=>{if(this._interactive){const resolution=this.renderer.resolution,p=pointer(event.data?.originalEvent,resolution);this.firstPoint=p??[0,0],event.data?.identifier&&this.renderer.context.canvas.setPointerCapture(event.data?.identifier),this.gesture.mouse=[p,this.zoom.__zoom.invert(p)],this.gesture.start(this.zoom.constrain(this.zoom.translate(this.zoom.__zoom,this.gesture.mouse[0],this.gesture.mouse[1]),[[0,0],[100,100]],this.zoom.translateExtent)),this.isZooming=!0,this.hideTooltips(),this.emit("mouseout"),this.hitBox.cursor="grabbing",this.render();const handleMouseMove=event=>{event.preventDefault(),this.gesture.mouse[0]=pointer(event,resolution),this.gesture.mouse[1]&&this.gesture.zoom(this.zoom.constrain(this.zoom.translate(this.zoom.__zoom,this.gesture.mouse[0],this.gesture.mouse[1]),[[0,0],[100,100]],this.zoom.translateExtent),this.firstPoint);},handleMouseUp=event=>{event.preventDefault(),this.hitBox.cursor="default",window.removeEventListener("mousemove",handleMouseMove),window.removeEventListener("mouseup",handleMouseUp),event.data?.identifier&&this.renderer.context.canvas.releasePointerCapture(event.data?.identifier),this.gesture.end(),this.isZooming=!1,this.lastEvent&&this.onPointerMove(this.lastEvent);};window.addEventListener("mousemove",handleMouseMove),window.addEventListener("mouseup",handleMouseUp);}},this.onPointerMove=event=>{if("ontouchstart"in self)return;this.crosshair.visible=!0,this.priceLabel.visible=!0,this.xLabel.visible=!0;for(let index=0;index<this.indicator.length;index++)index<this.data.length&&(this.indicator[index].visible=!0);let x=event.data?.global.x,y=event.data?.global.y;if(x&&y&&this.data[0].length>1){const resolution=this.renderer.resolution;x*=resolution;const width=this.renderer.view.width,height=this.renderer.view.height,index=bisectCenter(this.data[0].i.map(d=>this.xScale(d)),x),nearestX=this.data[0].i[index];this.crosshair.update(this.xScale(nearestX),resolution*y,width,height,resolution);for(let i=0;i<this.indicator.length;i++)i<this.data.length?this.indicator[i].update(this.xScale(nearestX),this.priceScale(this.data[i][index][1]),this.colors[`accent${i+1}`]):this.indicator[i].visible=!1;this.priceLabel.update(this.priceFormat(this.priceScale.invert(resolution*y)),width-7*resolution,resolution*y,{x:1,y:.5},resolution,{...this.colors,backgroundSurface:this.colors.emphasis100}),this.xLabel.update(isDate(nearestX)?format$1(nearestX,"dd/MM/yyyy HH:mm a"):this.xFormat(nearestX),this.xScale(nearestX),height-17*resolution/2,{x:.5,y:.5},resolution,{...this.colors,backgroundSurface:this.colors.emphasis100}),this.render(),this.isZooming?this.onPointerOut():this.emit("mousemove",{index:index,point:[this.xScale(nearestX)/resolution,y],value:nearestX,series:lodashExports.range(0,this.data.length).map(i=>({color:hex2string(this.colors[`accent${i+1}`]),name:this.data[i].key,value:this.priceFormat(this.data[i][index].data[this.data[i].key])}))}),this.lastEvent=event;}},this.onZoomStartHorizontalAxis=transform=>{this.emit("zoomstart.horizontalAxis",transform);},this.onZoomHorizontalAxis=({transform:transform,point:point})=>{const k=transform.k/this.lastXZoomTransform.k;1===k?this.xZoom.scaleBy(Math.pow(2,-(transform.x-this.lastXZoomTransform.x)/(this.xScale.range()[1]-this.xScale.range()[0])),[Math.abs(this.xScale.range()[1]-this.xScale.range()[0])/2,0]):this.xZoom.scaleBy(k,[(this.xScale.range()[1]-this.xScale.range()[0])/2,0]),this.lastXZoomTransform=transform,this.emit("zoom.horizontalAxis",this.xZoom.__zoom,point);},this.onZoomVerticalAxis=({transform:transform,point:point})=>{const k=transform.k/this.lastPriceZoomTransform.k;1===k?this.priceZoom.scaleBy(Math.pow(2,-(transform.y-this.lastPriceZoomTransform.y)/1/(this.priceScale.range()[1]-this.priceScale.range()[0])),[0,Math.abs(this.priceScale.range()[1]-this.priceScale.range()[0])/2]):this.priceZoom.scaleBy(k,[0,(this.priceScale.range()[1]-this.priceScale.range()[0])/2]),this.lastPriceZoomTransform=transform,this.emit("zoom.verticalAxis",this.priceZoom.__zoom,point);},this.hideTooltips=()=>{this.crosshair.visible=!1,this.priceLabel.visible=!1,this.xLabel.visible=!1;for(let i=0;i<this.indicator.length;i++)this.indicator[i].visible=!1;},this.onPointerOut=()=>{this.hideTooltips(),this.emit("mouseout"),this.lastEvent=null,this.render();},this.renderer=new Renderer({view:options.view,resolution:options.resolution,width:options.width,height:options.height}),this.priceFormat=options.priceFormat,this.xFormat=options.xFormat,this.colors=options.colors,this.horizontalAxis=new HorizontalAxis(this.renderer),this.verticalAxis=new VerticalAxis(this.renderer),this.stage.addChild(this.horizontalAxis),this.stage.addChild(this.verticalAxis),this.stage.addChild(this.verticalAxisSeparator),this.stage.addChild(this.horizontalAxisSeparator),this.stage.addChild(this.crosshair),this.stage.addChild(...this.indicator),this.stage.addChild(this.priceLabel),this.stage.addChild(this.xLabel),this.stage.addChild(this.hitBox),this.hitBox.interactive=!0,this.hitBox.cursor="default",this.hitBox.hitArea=new Rectangle(0,0,300,300),this.hitBox.on("wheel",this.onWheel).on("pointerdown",this.onPointerDown).on("pointermove",this.onPointerMove).on("pointerout",this.onPointerOut),this.horizontalAxis.interactive=!0,this.horizontalAxis.cursor="ew-resize",this.horizontalAxis.hitArea=new Rectangle(options.width-72,0,72,options.height),this.horizontalAxis.on("zoomstart",this.onZoomStartHorizontalAxis).on("zoom",this.onZoomHorizontalAxis).on("dblclick",()=>this.emit("reset")),this.verticalAxis.interactive=!0,this.verticalAxis.cursor="ns-resize",this.verticalAxis.hitArea=new Rectangle(options.width-100,0,100,options.height),this.verticalAxis.on("zoom",this.onZoomVerticalAxis).on("dblclick",()=>this.emit("reset"));}render(){this.renderer.render(this.stage);}update(data,xScale,xFormat,priceScale,priceFormat){this.data=data,this.xScale=xScale,this.xFormat=xFormat,this.priceScale=priceScale,this.priceFormat=priceFormat;const width=this.renderer.view.width,height=this.renderer.view.height,resolution=this.renderer.resolution;this.hitBox.hitArea=new Rectangle(0,0,this.renderer.screen.width-72,this.renderer.screen.height-17),this.horizontalAxis.hitArea=new Rectangle(0,this.renderer.screen.height-17,this.renderer.screen.width-72,17),this.horizontalAxis.update(this.xScale,width,height,resolution,this.colors),this.verticalAxis.hitArea=new Rectangle(this.renderer.screen.width-72,0,72,this.renderer.screen.height-17),this.verticalAxis.update(priceScale,width,height-17*resolution,resolution,this.colors),this.verticalAxisSeparator.clear(),this.verticalAxisSeparator.lineStyle({width:1,color:this.colors.emphasis200}),this.verticalAxisSeparator.moveTo(resolution*this.renderer.screen.width-72*resolution,0),this.verticalAxisSeparator.lineTo(resolution*this.renderer.screen.width-72*resolution,resolution*this.renderer.screen.height),this.verticalAxisSeparator.endFill(),this.horizontalAxisSeparator.clear(),this.horizontalAxisSeparator.lineStyle({width:1,color:this.colors.emphasis200}),this.horizontalAxisSeparator.moveTo(0,resolution*this.renderer.screen.height-17*resolution),this.horizontalAxisSeparator.lineTo(resolution*this.renderer.screen.width,resolution*this.renderer.screen.height-17*resolution),this.horizontalAxisSeparator.endFill();}destroy(){this.stage.destroy(),this.renderer.destroy();}set interactive(interactive){this._interactive=interactive,this.horizontalAxis.interactive=interactive,this.verticalAxis.interactive=interactive;}};let Chart$2=class extends EventEmitter{constructor(options){super(),this.contents=void 0,this.ui=void 0,this.priceScale=linear(),this.priceZoom=new Zoom(),this.lastPriceZoomTransform=identity$1,this.xScale=null,this.xZoom=new Zoom(),this.lastXZoomTransform=identity$1,this.series=[],this.priceFormat=void 0,this.xFormat=void 0,this._colors=void 0,this.onZoomStart=t=>{this.lastXZoomTransform=t,this.emit("zoomstart");},this.onZoomEnd=()=>{this.emit("zoomend");},this.onZoom=({transform:t})=>{const k=this.xZoom.__zoom.k,x=t.x-this.lastXZoomTransform.x;this.xZoom.translateBy(x/k,0),this.lastXZoomTransform=t,this.update(),this.render(),this.emit("zoom");},this.onMouseMove=d=>this.emit("mousemove",d),this.onMouseOut=()=>this.emit("mouseout"),this.onZoomStartHorizontalAxis=t=>{this.lastXZoomTransform=t;},this.onZoomHorizontalAxis=(t,point)=>{const k=t.k/this.lastXZoomTransform.k;this.xZoom.scaleBy(k,[point[0],0]),this.lastXZoomTransform=t,this.update(),this.render();},this.onZoomVerticalAxis=t=>{const k=t.k/this.lastPriceZoomTransform.k;this.priceZoom.scaleBy(k,[(this.height-17*this.ui.renderer.resolution)/2,0]),this.lastPriceZoomTransform=t,this.update(),this.render();},this.priceFormat=options.priceFormat,this.xFormat=options.xFormat,this._colors=options.colors,this.contents=new class{constructor(options){this.stage=new Container(),this.renderer=void 0,this.horizontalGrid=void 0,this.verticalgrid=void 0,this.series=void 0,this.colors=void 0,this.renderer=new Renderer({view:options.view,resolution:options.resolution,width:options.width,height:options.height}),this.colors=options.colors,this.horizontalGrid=new HorizontalGrid(this.colors.emphasis100),this.verticalgrid=new VerticalGrid(this.colors.emphasis100),this.series=range(0,5).map(()=>new AreaCurve()),this.stage.addChild(this.horizontalGrid),this.stage.addChild(this.verticalgrid),this.stage.addChild(...this.series);}render(){this.renderer.render(this.stage);}update(priceScale,timeScale,data,height){const resolution=this.renderer.resolution;this.horizontalGrid.update(timeScale,this.renderer.width,this.renderer.height-17*resolution,resolution),this.verticalgrid.update(priceScale,this.renderer.width-72*resolution,this.renderer.height,resolution);for(let i=0;i<this.series.length;i++)i<data.length?(this.series[i].visible=!0,this.series[i].update(data[i].map((d,j)=>[timeScale(data[i].i[j]),priceScale(d[0]),priceScale(d[1])]),height,resolution,void 0,this.colors[`accent${i+1}`],this.colors.backgroundSurface),this.series[i].visible=!0):this.series[i].visible=!1;}}({view:options.chartView,resolution:options.resolution,width:options.width,height:options.height,colors:options.colors}),this.ui=new UI$2({view:options.axisView,resolution:options.resolution,width:options.width,height:options.height,colors:options.colors,priceFormat:this.priceFormat,xFormat:this.xFormat}),this.ui.on("zoomstart",this.onZoomStart).on("zoom",this.onZoom).on("zoomend",this.onZoomEnd).on("mousemove",this.onMouseMove).on("mouseout",this.onMouseOut).on("zoomstart.horizontalAxis",this.onZoomStartHorizontalAxis).on("zoom.horizontalAxis",this.onZoomHorizontalAxis).on("zoom.verticalAxis",this.onZoomVerticalAxis).on("reset",()=>this.reset());}render(){this.contents.render(),this.ui.render();}resize(width,height){this.contents.renderer.resize(width,height),this.ui.renderer.resize(width,height);}reset(){this.priceZoom.transform(identity$1),this.xZoom.transform(identity$1),this.lastPriceZoomTransform=identity$1,this.lastXZoomTransform=identity$1,this.update(),this.render();}destroy(){this.ui.destroy();}update(){const resolution=this.ui.renderer.resolution;this.priceScale.range([this.height-17*resolution,0]),this.xScale.range([0,this.width-72*resolution]);const xr=this.xZoom.__zoom.rescaleX(this.xScale);extent(this.series.flat(2));const yr=this.priceZoom.__zoom.rescaleX(this.priceScale);this.contents.colors=this._colors,this.contents.update(yr,xr,this.series,this.height),this.ui.colors=this._colors,this.ui.update(this.series,xr,this.xFormat,yr,this.priceFormat);}set colors(colors){this._colors=colors,this.update(),this.render();}set data(data){let _data;_data=1===data.rows.length?{cols:data.cols,rows:[data.rows[0],data.rows[0]]}:data;const resolution=this.ui.renderer.resolution;if(data.rows.length>0){const stack=function(){var keys=constant$4([]),order=stackOrderNone,offset=stackOffsetNone,value=stackValue;function stack(data){var i,oz,sz=Array.from(keys.apply(this,arguments),stackSeries),n=sz.length,j=-1;for(const d of data)for(i=0,++j;i<n;++i)(sz[i][j]=[0,+value(d,sz[i].key,j,data)]).data=d;for(i=0,oz=array$1(order(sz));i<n;++i)sz[oz[i]].index=i;return offset(sz,oz),sz;}return stack.keys=function(_){return arguments.length?(keys="function"==typeof _?_:constant$4(Array.from(_)),stack):keys;},stack.value=function(_){return arguments.length?(value="function"==typeof _?_:constant$4(+_),stack):value;},stack.order=function(_){return arguments.length?(order=null==_?stackOrderNone:"function"==typeof _?_:constant$4(Array.from(_)),stack):order;},stack.offset=function(_){return arguments.length?(offset=null==_?stackOffsetNone:_,stack):offset;},stack;}().keys(_data.cols.slice(1)).order(stackOrderNone).offset(stackOffsetNone);this.series=stack(_data.rows.map(row=>Object.fromEntries(_data.cols.map((col,i)=>[col,row[i]])))).map(s=>Object.assign(s,{i:_data.rows.map(row=>row[0])}));const priceExtent=extent(this.series.flat(2)),adjustment=Math.abs(priceExtent[1]-priceExtent[0])/10,xExtent=[data.rows[0][0],data.rows[data.rows.length-1][0]];xExtent[0]===xExtent[1]&&(xExtent[0]=addHours(xExtent[0],-1),xExtent[1]=addHours(xExtent[1],1)),this.priceScale=this.priceScale.domain([priceExtent[0]-adjustment,priceExtent[1]+adjustment]),this.xScale=function(array){return"number"!=typeof array[0][0];}(data.rows)?time():linear(),this.xScale.domain(xExtent),this.priceScale.range([0,this.height-17*resolution]),this.xScale.range([0,this.width-72*resolution]),this.xZoom.extent=[[0,0],[this.width-72*resolution,this.height]],this.xZoom.scaleExtent=[1,10],this.xZoom.translateExtent=[[this.xScale(data.rows[0][0]),-1/0],[this.xScale(data.rows[data.rows.length-1][0]),1/0]];}this.update(),this.render();}get height(){return this.contents.renderer.view.height;}get width(){return this.contents.renderer.view.width;}set interactive(interactive){this.ui.interactive=interactive;}};function getColors$2(element){const cssStyleDeclaration=element?getComputedStyle(element):null;return{backgroundSurface:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-background-surface-color").trim()||"#0a0a0a"),positiveFill:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-price-positive-fill").trim()||"#16452d"),positiveStroke:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-price-positive-stroke").trim()||"#26ff8a"),emphasis100:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-emphasis-100").trim()||"ff268a"),emphasis200:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-emphasis-200").trim()||"ff268a"),negativeFill:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-price-negative-fill").trim()||"#800700"),negativeStroke:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-price-negative-stroke").trim()||"#ff261a"),textPrimary:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-font-color-base").trim()||"#ffffff"),textSecondary:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-font-color-secondary").trim()||"#fafafa"),accent1:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-accent1").trim()||COLORS.VEGA_ORANGE),accent2:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-accent2").trim()||COLORS.VEGA_YELLOW),accent3:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-accent3").trim()||COLORS.VEGA_RED),accent4:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-accent4").trim()||COLORS.VEGA_YELLOW),accent5:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-accent5").trim()||COLORS.VEGA_ORANGE),accent6:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-accent6").trim()||COLORS.VEGA_RED)};}function mean(values,valueof){let count=0,sum=0;if(void 0===valueof)for(let value of values)null!=value&&(value=+value)>=value&&(++count,sum+=value);else{let index=-1;for(let value of values)null!=(value=valueof(value,++index,values))&&(value=+value)>=value&&(++count,sum+=value);}if(count)return sum/count;}function pair(a,b){return[a,b];}function length(d){return d.length;}function zip(){return function(matrix){if(!(n=matrix.length))return[];for(var i=-1,m=function(values,valueof){let min;if(void 0===valueof)for(const value of values)null!=value&&(min>value||void 0===min&&value>=value)&&(min=value);else{let index=-1;for(let value of values)null!=(value=valueof(value,++index,values))&&(min>value||void 0===min&&value>=value)&&(min=value);}return min;}(matrix,length),transpose=new Array(m);++i<m;)for(var n,j=-1,row=transpose[i]=new Array(n);++j<n;)row[j]=matrix[j][i];return transpose;}(arguments);}var createReboundMethod=(target,source,name)=>{const method=source[name];if("function"!=typeof method)throw new Error(`Attempt to rebind ${name} which isn't a function on the source object`);return(...args)=>{var value=method.apply(source,args);return value===source?target:value;};},rebind=(target,source,...names)=>{for(const name of names)target[name]=createReboundMethod(target,source,name);return target;};var rebindAll=(target,source,...transforms)=>{const transform=(transforms=>name=>transforms.reduce((name,fn)=>name&&fn(name),name))(transforms);for(const name of Object.keys(source)){const result=transform(name);result&&(target[result]=createReboundMethod(target,source,name));}return target;},includeMap=mappings=>name=>mappings[name];function identity(d){return d;}function noop$1(d){}function functor(v){return"function"==typeof v?v:()=>v;}function convertNaN(value){return"number"==typeof value&&isNaN(value)?void 0:value;}function _slidingWindow(){let period=()=>10,accumulator=noop$1,value=identity,defined=d=>null!=d;var slidingWindow=function(data){const size=period.apply(this,arguments),windowData=data.slice(0,size).map(value);return data.map((d,i)=>(i>=size&&(windowData.shift(),windowData.push(value(d,i))),i<size-1||windowData.some(d=>!defined(d))?accumulator(void 0,i):accumulator(windowData,i)));};return slidingWindow.period=(...args)=>args.length?(period=functor(args[0]),slidingWindow):period,slidingWindow.accumulator=(...args)=>args.length?(accumulator=args[0],slidingWindow):accumulator,slidingWindow.defined=(...args)=>args.length?(defined=args[0],slidingWindow):defined,slidingWindow.value=(...args)=>args.length?(value=args[0],slidingWindow):value,slidingWindow;}function indicatorBollingerBands(){let multiplier=2;const slidingWindow=_slidingWindow().accumulator(values=>{const stdDev=values&&function(values,valueof){const v=function(values,valueof){let delta,count=0,mean=0,sum=0;if(void 0===valueof)for(let value of values)null!=value&&(value=+value)>=value&&(delta=value-mean,mean+=delta/++count,sum+=delta*(value-mean));else{let index=-1;for(let value of values)null!=(value=valueof(value,++index,values))&&(value=+value)>=value&&(delta=value-mean,mean+=delta/++count,sum+=delta*(value-mean));}if(count>1)return sum/(count-1);}(values,valueof);return v?Math.sqrt(v):v;}(values),average=values&&mean(values);return{average:average,upper:convertNaN(average+multiplier*stdDev),lower:convertNaN(average-multiplier*stdDev)};}),bollingerBands=data=>slidingWindow(data);return bollingerBands.multiplier=(...args)=>args.length?(multiplier=args[0],bollingerBands):multiplier,rebind(bollingerBands,slidingWindow,"period","value"),bollingerBands;}function indicatorExponentialMovingAverage(){let value=identity,period=()=>9;const exponentialMovingAverage=function(data){const size=period.apply(this,arguments),alpha=2/(size+1),initialAccumulator=(period=>{let values=[];return value=>{let movingAverage;return values.length<period&&(null!=value?values.push(value):values=[]),values.length>=period&&(movingAverage=mean(values)),movingAverage;};})(size);let ema;return data.map((d,i)=>{const v=value(d,i);return ema=void 0===ema?initialAccumulator(v):v*alpha+(1-alpha)*ema,convertNaN(ema);});};return exponentialMovingAverage.period=(...args)=>args.length?(period=functor(args[0]),exponentialMovingAverage):period,exponentialMovingAverage.value=(...args)=>args.length?(value=args[0],exponentialMovingAverage):value,exponentialMovingAverage;}function indicatorMacd(){let value=identity;const fastEMA=indicatorExponentialMovingAverage().period(12),slowEMA=indicatorExponentialMovingAverage().period(26),signalEMA=indicatorExponentialMovingAverage().period(9),macd=data=>{fastEMA.value(value),slowEMA.value(value);const diff=zip(fastEMA(data),slowEMA(data)).map(d=>void 0!==d[0]&&void 0!==d[1]?d[0]-d[1]:void 0);return zip(diff,signalEMA(diff)).map(d=>({macd:d[0],signal:d[1],divergence:void 0!==d[0]&&void 0!==d[1]?d[0]-d[1]:void 0}));};return macd.value=(...args)=>args.length?(value=args[0],macd):value,rebindAll(macd,fastEMA,includeMap({period:"fastPeriod"})),rebindAll(macd,slowEMA,includeMap({period:"slowPeriod"})),rebindAll(macd,signalEMA,includeMap({period:"signalPeriod"})),macd;}function indicatorRelativeStrengthIndex(){const slidingWindow=_slidingWindow().period(14),downChange=([prevClose,close])=>prevClose<close?0:prevClose-close,upChange=([prevClose,close])=>prevClose>close?0:close-prevClose,updateAverage=(changes,prevAverage)=>{return void 0!==prevAverage?(prevAvg=prevAverage)+((values=changes)[values.length-1]-prevAvg)/values.length:mean(changes);var values,prevAvg;},makeAccumulator=()=>{let prevClose,downChangesAvg,upChangesAvg;return closes=>{if(!closes)return void(void 0!==prevClose&&(prevClose=NaN));if(void 0===prevClose)return void(prevClose=closes[0]);const closePairs=function(values,pairof=pair){const pairs=[];let previous,first=!1;for(const value of values)first&&pairs.push(pairof(previous,value)),previous=value,first=!0;return pairs;}([prevClose,...closes]);downChangesAvg=updateAverage(closePairs.map(downChange),downChangesAvg),upChangesAvg=updateAverage(closePairs.map(upChange),upChangesAvg);return convertNaN(100-100/(1+(isNaN(prevClose)?NaN:upChangesAvg/downChangesAvg)));};};var rsi=data=>{const rsiAccumulator=makeAccumulator();return slidingWindow.accumulator(rsiAccumulator),slidingWindow(data);};return rebind(rsi,slidingWindow,"period","value"),rsi;}function indicatorMovingAverage(){const slidingWindow=_slidingWindow().accumulator(values=>values&&mean(values)),movingAverage=data=>slidingWindow(data);return rebind(movingAverage,slidingWindow,"period","value"),movingAverage;}function indicatorForceIndex(){let volumeValue=(d,i)=>d.volume,closeValue=(d,i)=>d.close;const emaComputer=indicatorExponentialMovingAverage().period(13),slidingWindow=_slidingWindow().period(2).defined(d=>null!=closeValue(d)&&null!=volumeValue(d)).accumulator(values=>values&&convertNaN((closeValue(values[1])-closeValue(values[0]))*volumeValue(values[1]))),force=data=>{const forceIndex=slidingWindow(data);return emaComputer(forceIndex);};return force.volumeValue=(...args)=>args.length?(volumeValue=args[0],force):volumeValue,force.closeValue=(...args)=>args.length?(closeValue=args[0],force):closeValue,rebind(force,emaComputer,"period"),force;}function indicatorEnvelope(){let factor=.1,value=identity;const envelope=data=>data.map(d=>({lower:convertNaN(value(d)*(1-factor)),upper:convertNaN(value(d)*(1+factor))}));return envelope.factor=(...args)=>args.length?(factor=args[0],envelope):factor,envelope.value=(...args)=>args.length?(value=args[0],envelope):value,envelope;}function indicatorElderRay(){let closeValue=(d,i)=>d.close,highValue=(d,i)=>d.high,lowValue=(d,i)=>d.low;const emaComputer=indicatorExponentialMovingAverage().period(13),elderRay=data=>(emaComputer.value(closeValue),zip(data,emaComputer(data)).map(d=>({bullPower:convertNaN(highValue(d[0])-d[1]),bearPower:convertNaN(lowValue(d[0])-d[1])})));return elderRay.closeValue=(...args)=>args.length?(closeValue=args[0],elderRay):closeValue,elderRay.highValue=(...args)=>args.length?(highValue=args[0],elderRay):highValue,elderRay.lowValue=(...args)=>args.length?(lowValue=args[0],elderRay):lowValue,rebind(elderRay,emaComputer,"period"),elderRay;}function compileLayer(data,encoding,mark,candleWidth,dimensions,pixelsToTime){let markType,cfg={};return markType="object"==typeof mark?mark.type:mark,"area"===markType&&"object"==typeof Mark?(cfg=function(data,x,y,y2,fill,line){return void 0===y2?{points:data.map(d=>[d[x],0,d[y]]),fill:fill??COLORS.GRAY,line:line}:{points:data.map(d=>[d[x],d[y],d[y2]]),fill:fill??COLORS.GRAY,line:line};}(data?.values,encoding.x?.field,encoding.y?.field,encoding.y2?.field,mark?.color,mark?.line?.color),[createElement("area",cfg)]):"line"===markType?(cfg=function(data,x,y,color){return{points:data.map(d=>[d[x],d[y]]),color:color};}(data?.values,encoding.x?.field,encoding.y?.field,mark?.color),[createElement("line",cfg)]):data?.values?.map(d=>{let cfg={};return"bar"===markType?cfg=function(d,x,y,y2,width,fill,stroke,lineWidth,innerPadding=PADDING_INNER,maxPaddingInPixels=MAX_PADDING,pixelsToTime=1e3){let base=0;y2&&(base=d[y2]);const strokesWidth=stroke&&lineWidth?2*lineWidth*pixelsToTime:0,calculatedPadding=Math.min(width*innerPadding,maxPaddingInPixels*pixelsToTime+strokesWidth);return{x:d[x],y:Math.max(d[y],base),height:Math.abs(base-d[y]),width:width-calculatedPadding,fill:fill,stroke:stroke,lineWidth:lineWidth??1};}(d,encoding.x?.field,encoding.y?.field,encoding.y2?.field,candleWidth,getConditionalColor(encoding.fill)(d),getConditionalColor(encoding.stroke)(d),encoding.strokeWidth?.value??dimensions.strokeWidth,dimensions.innerPadding,dimensions.maxPaddingInPixels,pixelsToTime):"rule"===markType?cfg=function(d,x,x2,y,y2,color){return void 0===x?{x:null,x2:null,y:d[y],y2:void 0!==y2?d[y2]:null,color:color}:void 0===y?{x:d[x],x2:void 0!==x2?d[x2]:null,y:null,y2:null,color:color}:{x:d[x],x2:void 0!==x2?d[x2]:null,y:d[y],y2:d[y2],color:color};}(d,encoding.x?.field,encoding.x2?.field,encoding.y?.field,encoding.y2?.field,getConditionalColor(encoding?.color)(d)):"tick"===markType&&(cfg=function(d,x,y,width,color,orient){return{x:d[x],y:d[y],width:width*(1-PADDING_INNER),color:color,orient:orient};}(d,encoding.x?.field,encoding.y?.field,candleWidth,getConditionalColor(encoding?.color)(d),mark.orient??"left")),createElement(markType??"bar",cfg);}).filter(d=>void 0!==d.x);}function parseLayer(layer,data,encoding,candleWidth,dimensions,pixelsToTime){const series=[];let layerData=data,layerEncoding=encoding;if(layer?.data&&(layerData=layer.data),layer?.encoding&&(layerEncoding={...encoding,...layer.encoding}),layer?.mark&&series.push(compileLayer(layerData,layerEncoding,layer.mark,candleWidth,dimensions,pixelsToTime)),layer?.layer)for(const subLayer of layer.layer)series.push(...parseLayer(subLayer,layerData,layerEncoding,candleWidth,dimensions,pixelsToTime));return series;}function extractYDomain(layer,data){const mappedData=extractYEncodingFields(layer).flatMap(field=>data.map(d=>d[field])),domain=extent(mappedData),domainSize=Math.abs(domain[1]-domain[0]);return[domain[0]-.1*domainSize,domain[1]+.2*domainSize];}function extractYEncodingFields(layer){const yEncodingFields=[];if(layer?.encoding&&(layer.encoding.y?.field&&yEncodingFields.push(layer.encoding.y.field),layer.encoding.y2?.field&&yEncodingFields.push(layer.encoding.y2.field)),layer?.layer)for(const subLayer of layer.layer)yEncodingFields.push(...extractYEncodingFields(subLayer));return yEncodingFields;}const noop=()=>{},CandlestickChart=React.forwardRef(({dataSource:dataSource,interval:interval,options={chartType:ChartType.CANDLE,studies:[],overlays:[],initialNumCandlesToDisplay:INITIAL_NUM_CANDLES_TO_DISPLAY,initialNumCandlesToFetch:INITIAL_NUM_CANDLES_TO_FETCH,studySize:"50%",studySizes:[]},initialViewport:initialViewport,theme="dark",drawThrottleMs=16.67,onOptionsChanged=noop,onPaneChanged=noop,onViewportChanged=noop},ref)=>{const{chartType=ChartType.CANDLE,studies=[],overlays=[],simple=!1,initialNumCandlesToDisplay:initialNumCandles=INITIAL_NUM_CANDLES_TO_DISPLAY,initialNumCandlesToFetch=INITIAL_NUM_CANDLES_TO_FETCH,notEnoughDataText:notEnoughDataText,studySize="50%",studySizes=[]}=options;React.useImperativeHandle(ref,()=>({panBy:n=>{chartRef.current.panBy(n);},reset:()=>{chartRef.current.reset();},snapshot:async()=>chartRef.current?await chartRef.current.snapshot():null,subscribe:(typenames,callback)=>{listeners.current.on(typenames,callback);},zoomIn:delta=>{chartRef.current.zoomIn(delta);},zoomOut:delta=>{chartRef.current.zoomOut(delta);}}));const[width,setWidth]=React.useState(400),chartRef=React.useRef(null),styleRef=React.useRef(null),listeners=React.useRef(dispatch("contextmenu")),[data,setData]=React.useState([]),[annotations,setAnnotations]=React.useState([]),[internalInterval,setInternalInterval]=React.useState(interval),[colors,setColors]=React.useState(getColors$4(null)),dimensions=function(element){const cssStyleDeclaration=element?getComputedStyle(element):null,strokeWidth=string2num(cssStyleDeclaration?.getPropertyValue("--pennant-candlestick-stroke-width").trim()||"1px"),innerPadding=string2num(cssStyleDeclaration?.getPropertyValue("--pennant-candlestick-inner-padding").trim()||"0.4"),maxPaddingInPixels=string2num(cssStyleDeclaration?.getPropertyValue("--pennant-candlestick-max-padding-in-pixels").trim()||"2px");return React.useMemo(()=>({strokeWidth:strokeWidth,innerPadding:innerPadding,maxPaddingInPixels:maxPaddingInPixels}),[strokeWidth,innerPadding,maxPaddingInPixels]);}(styleRef.current),[loading,setLoading]=React.useState(!0),query=React.useCallback(async(from,to,interval,merge=!0)=>{const newData=await dataSource.query(interval,from.toISOString(),to.toISOString());setData(data=>mergeData(newData,merge?data:[])),setLoading(!1);},[dataSource]),{ready:dataSourceInitializing,configuration:configuration}=function(dataSource){const[ready,setReady]=React.useState(!0),[configuration,setConfiguration]=React.useState(null);return React.useEffect(()=>{(async()=>{setReady(!0);const configuration=await dataSource.onReady();setConfiguration(configuration),setReady(!1);})();},[dataSource]),{ready:ready,configuration:configuration};}(dataSource),specification=React.useMemo(()=>function(data,chartType,colors,overlays,studies,priceMonitoringBounds){const vconcat=[],transform=[];let colorIndex=0;function constructOverlayLayerSpec(overlay){switch(overlay){case"bollinger":return[{encoding:{y:{field:"bollingerLower",type:"quantitative"}},mark:{type:"line",color:colors[getAccentColor(colorIndex++)]}},{encoding:{y:{field:"bollingerUpper",type:"quantitative"}},mark:{type:"line",color:colors[getAccentColor(colorIndex++)]}}];case"envelope":return[{encoding:{y:{field:"envelopeLower",type:"quantitative"}},mark:{type:"line",color:colors[getAccentColor(colorIndex++)]}},{encoding:{y:{field:"envelopeUpper",type:"quantitative"}},mark:{type:"line",color:colors[getAccentColor(colorIndex++)]}}];case"exponentialMovingAverage":return[{encoding:{y:{field:"exponentialMovingAverage",type:"quantitative"}},mark:{type:"line",color:colors[getAccentColor(colorIndex++)]}}];case"movingAverage":return[{encoding:{y:{field:"movingAverage",type:"quantitative"}},mark:{type:"line",color:colors[getAccentColor(colorIndex++)]}}];case"priceMonitoringBounds":return priceMonitoringBounds?priceMonitoringBounds.flatMap((_bounds,i)=>[{encoding:{y:{field:`minValidPrice_${i+1}`,type:"quantitative"}},mark:{type:"line",color:colors[getAccentColor(colorIndex++)]}},{encoding:{y:{field:`maxValidPrice_${i+1}`,type:"quantitative"}},mark:{type:"line",color:colors[getAccentColor(colorIndex++)]}},{encoding:{y:{field:`referencePrice_${i+1}`,type:"quantitative"}},mark:{type:"line",color:colors[getAccentColor(colorIndex++)]}}]):[];default:return[];}}const mainSpecification={name:"main",layer:constructMainLayerSpec(chartType,colors)};if(overlays&&overlays.length)for(const overlay of overlays)transform.push(...constructOverlayTransform(overlay)),mainSpecification.layer?.push(...constructOverlayLayerSpec(overlay));if(vconcat.push(mainSpecification),studies&&studies.length>0)for(const study of studies){transform.push(...constructStudyTransform(study));const studySpecification={name:study,layer:constructStudyLayerSpec(study,colors)};vconcat.push(studySpecification);}const percentageChangeData=indicatorPercentageChange().period(2)(data.map(d=>d.close)),percentageChangeData24=indicatorPercentageChange().period(25)(data.map(d=>d.close)),absoluteChangeData=function(){let period=2;const absoluteChangeIndicator=function(data){const windowData=data.slice(0,period);return data.map((d,i)=>(i>=period&&(windowData.shift(),windowData.push(d)),i<period-1||windowData.some(d=>!(d=>null!==d)(d))?NaN:windowData[windowData.length-1]-windowData[0]));};return absoluteChangeIndicator.period=arg=>(period=arg,absoluteChangeIndicator),absoluteChangeIndicator;}().period(2)(data.map(d=>d.close));if(data=data.map((d,i)=>({...d,percentageChange:percentageChangeData[i],percentageChangeData24:percentageChangeData24[i],absoluteChange:absoluteChangeData[i]})),priceMonitoringBounds)for(let i=0;i<priceMonitoringBounds.length;i++)data=data.map(d=>({...d,[`maxValidPrice_${i+1}`]:priceMonitoringBounds[i].maxValidPrice,[`minValidPrice_${i+1}`]:priceMonitoringBounds[i].minValidPrice,[`referencePrice_${i+1}`]:priceMonitoringBounds[i].referencePrice}));return{data:{values:data},transform:transform,encoding:{x:{field:"date",type:"temporal"}},vconcat:vconcat};}(data,chartType,colors,overlays,studies,configuration?.priceMonitoringBounds),[data,chartType,colors,overlays,studies,configuration?.priceMonitoringBounds]),candleWidth=getCandleWidth(internalInterval),[timeViewRange,setTimeViewRange]=React.useState(initialNumCandles*candleWidth),pixelsToTime=timeViewRange/width,scenegraph=React.useMemo(()=>function(specification,candleWidth,dimensions,pixelsToTime,decimalPlaces,annotations){if(0===specification.data?.values.length)return null;const data=specification?.data?.values??[];let head=compile(specification).component.data.outputNodes.data,newData=[...data];for(;null!==head;){if(head instanceof TechnicalIndicatorTransformNode)switch(head.assemble().method){case"bollinger":{const indicatorData=indicatorBollingerBands().value(datum=>datum.close)(data);newData=newData.map((d,i)=>({...d,bollingerUpper:indicatorData[i].upper,bollingerAverage:indicatorData[i].average,bollingerLower:indicatorData[i].lower}));}break;case"eldarRay":{const indicatorData=indicatorElderRay()(data);newData=newData.map((d,i)=>({...d,...indicatorData[i]}));}break;case"envelope":{const indicatorData=indicatorEnvelope().value(datum=>datum.close)(data);newData=newData.map((d,i)=>({...d,envelopeUpper:indicatorData[i].upper,envelopeLower:indicatorData[i].lower}));}break;case"exponentialMovingAverage":{const indicatorData=indicatorExponentialMovingAverage().value(datum=>datum.close)(data);newData=newData.map((d,i)=>({...d,exponentialMovingAverage:indicatorData[i]}));}break;case"forceIndex":{const indicatorData=indicatorForceIndex()(data);newData=newData.map((d,i)=>({...d,forceIndex:indicatorData[i]}));}break;case"movingAverage":{const indicatorData=indicatorMovingAverage().value(datum=>datum.close)(data);newData=newData.map((d,i)=>({...d,movingAverage:indicatorData[i]}));}break;case"macd":{const indicatorData=indicatorMacd().value(datum=>datum.close)(data);newData=newData.map((d,i)=>({...d,...indicatorData[i]}));}break;case"relativeStrengthIndex":{const indicatorData=indicatorRelativeStrengthIndex().value(datum=>datum.close)(data);newData=newData.map((d,i)=>({...d,relativeStrengthIndex:indicatorData[i]}));}}head=head.parent;}return specification.data={values:newData},{panes:(spec=specification,"vconcat"in spec?specification.vconcat.map((pane,paneIndex)=>({id:pane.name??"",renderableElements:parseLayer(pane,{values:newData},specification.encoding??{},candleWidth,dimensions,pixelsToTime),bounds:calculateScales(pane,newData,extractYEncodingFields(pane)),originalData:newData??[],grid:new GridElement(),axis:new YAxisElement(),crosshair:new CrosshairElement(),axisTooltip:new YAxisTooltipElement(decimalPlaces),annotations:0===paneIndex?[new YAxisAnnotationElement(newData[newData.length-1].close,decimalPlaces)]:[],labels:0===paneIndex?[new LabelAnnotationHtmlElement({labels:annotations})]:[],labelLines:0===paneIndex?[new LabelAnnotationElement({labels:annotations})]:[],yEncodingFields:extractYEncodingFields(pane),yDomain:extractYDomain(pane,newData)})):[]),xAxis:{id:"x-axis",originalData:data,renderableElements:[data.map(d=>new DummyElement({x:d.date}))],axis:new XAxisElement(),axisTooltip:new XAxisTooltipElement(),yEncodingFields:[]}};var spec;}(specification,candleWidth,dimensions,pixelsToTime,dataSource.decimalPlaces,annotations),[annotations,dataSource.decimalPlaces,dimensions,specification,pixelsToTime,candleWidth]);React.useEffect(()=>{if(!dataSourceInitializing){const myDataSource=dataSource;return(async interval=>{await query(new Date(new Date().getTime()-6e4*getSubMinutes(interval,initialNumCandlesToFetch)),new Date(),interval,!1),setInternalInterval(interval);})(interval),function(interval){dataSource.subscribeData(interval,datum=>{setData(data=>mergeData([datum],data));});}(interval),()=>{myDataSource.unsubscribeData(),setData([]);};}},[dataSource,dataSourceInitializing,initialNumCandlesToFetch,interval,query]),React.useEffect(()=>{if(!dataSourceInitializing){const myDataSource=dataSource;return dataSource.subscribeAnnotations&&!simple&&dataSource.subscribeAnnotations(annotations=>{setAnnotations(annotations);}),()=>{myDataSource.unsubscribeAnnotations&&myDataSource.unsubscribeAnnotations(),setAnnotations([]);};}},[dataSource,dataSourceInitializing,simple]),React.useEffect(()=>{requestAnimationFrame(()=>{setColors(getColors$4(styleRef?.current));});},[theme]);const handleBoundsChanged=React.useCallback(bounds=>{setTimeViewRange(bounds[1].getTime()-bounds[0].getTime()),setWidth(styleRef.current?.getBoundingClientRect().width??0);},[]),handleViewportChanged=React.useCallback(viewport=>{onViewportChanged(viewport);},[onViewportChanged]),handleGetDataRange=React.useCallback((from,to,interval)=>{query(from,to,interval);},[query]),handleClosePane=React.useCallback(id=>{onOptionsChanged({...options,studies:studies.filter(study=>study!==id)});},[onOptionsChanged,options,studies]),handleRemoveOverlay=React.useCallback(id=>{onOptionsChanged({...options,overlays:overlays.filter(overlay=>overlay!==id)});},[onOptionsChanged,options,overlays]),viewport=React.useMemo(()=>initialViewport??{date:data.length>0?data[data.length-1].date:new Date(),intervalWidth:10},[data,initialViewport]);return loading?jsxRuntimeExports.jsx("div",{ref:styleRef,className:"chart__wrapper","data-theme":theme,children:jsxRuntimeExports.jsx(NonIdealState,{title:"Loading"})}):scenegraph?jsxRuntimeExports.jsx(ErrorBoundary,{children:jsxRuntimeExports.jsx("div",{ref:styleRef,className:"chart__wrapper","data-theme":theme,children:jsxRuntimeExports.jsx(PlotContainer,{ref:chartRef,width:400,height:300,decimalPlaces:dataSource.decimalPlaces,positionDecimalPlaces:dataSource.positionDecimalPlaces,priceMonitoringBounds:configuration?.priceMonitoringBounds??[],scenegraph:scenegraph,interval:internalInterval,initialViewport:viewport,overlays:overlays,simple:simple,initialNumCandles:initialNumCandles,colors:colors,studySize:studySize,studySizes:studySizes,drawThrottleMs:drawThrottleMs,onViewportChanged:handleViewportChanged,onGetDataRange:handleGetDataRange,onClosePane:handleClosePane,onChangePane:onPaneChanged,onRemoveOverlay:handleRemoveOverlay,onRightClick:event=>{listeners.current.call("contextmenu",void 0,event);},onBoundsChanged:handleBoundsChanged})})}):jsxRuntimeExports.jsx("div",{ref:styleRef,className:"chart__wrapper","data-theme":theme,children:jsxRuntimeExports.jsx(NonIdealState,{title:notEnoughDataText||"No data found"})});});let UI$1=class extends EventEmitter{constructor(options){super(),this.colors=void 0,this.renderer=void 0,this.scaleExtent=[0,1/0],this.stage=new Container(),this.zoom=new Zoom(),this._interactive=!0,this.data={cols:[],rows:[]},this.lastPriceZoomTransform=zoomIdentity,this.lastXZoomTransform=zoomIdentity,this.priceScale=linear(),this.priceZoom=new Zoom(),this.xScale=null,this.xZoom=new Zoom(),this.firstPoint=null,this.gesture=new Gesture$1(this),this.isZooming=!1,this.lastEvent=null,this.horizontalAxis=void 0,this.verticalAxis=void 0,this.verticalAxisSeparator=new Graphics(),this.horizontalAxisSeparator=new Graphics(),this.crosshair=new Crosshair(1,8947848,[3,3]),this.indicator=lodashExports.range(0,6).map(()=>new Indicator(16711680)),this.priceLabel=new Label(),this.xLabel=new Label(),this.hitBox=new Container(),this.priceFormat=void 0,this.xFormat=void 0,this.onWheel=event=>{if(this._interactive){const tempEvent=event.data?.originalEvent,p=pointer(tempEvent,this.renderer.resolution);this.isZooming=!0,this.hideTooltips(),this.emit("mouseout"),this.gesture.wheel?window.clearTimeout(this.gesture.wheel):(this.gesture.mouse=[p,p],this.gesture.start(this.zoom.__zoom)),this.gesture.wheel=window.setTimeout(()=>{this.isZooming=!1,this.lastEvent&&this.onPointerMove(this.lastEvent),this.gesture.wheel=null,this.gesture.end();},150),this.zoom.wheeled(.002*-tempEvent.deltaY*(tempEvent.ctrlKey?10:1),this.gesture.mouse[0]??[0,0],[[0,0],[100,100]]);const transform=this.zoom.__zoom,k=transform.k/this.lastXZoomTransform.k;1===k?this.xZoom.scaleBy(Math.pow(2,-(transform.x-this.lastXZoomTransform.x)/1/(this.xScale.range()[1]-this.xScale.range()[0])),[Math.abs(this.xScale.range()[1]-this.xScale.range()[0])/2,0]):this.xZoom.scaleBy(k,[(this.xScale.range()[1]-this.xScale.range()[0])/2,0]),this.lastXZoomTransform=transform,this.emit("zoom.horizontalAxis",this.zoom.__zoom,p);}},this.onPointerDown=event=>{if(this._interactive){const resolution=this.renderer.resolution,p=pointer(event.data?.originalEvent,resolution);this.firstPoint=p??[0,0],event.data?.identifier&&this.renderer.context.canvas.setPointerCapture(event.data?.identifier),this.gesture.mouse=[p,this.zoom.__zoom.invert(p)],this.gesture.start(this.zoom.constrain(this.zoom.translate(this.zoom.__zoom,this.gesture.mouse[0],this.gesture.mouse[1]),[[0,0],[100,100]],this.zoom.translateExtent)),this.isZooming=!0,this.hideTooltips(),this.emit("mouseout"),this.hitBox.cursor="grabbing",this.render();const handleMouseMove=event=>{event.preventDefault(),this.gesture.mouse[0]=pointer(event,resolution),this.gesture.mouse[1]&&this.gesture.zoom(this.zoom.constrain(this.zoom.translate(this.zoom.__zoom,this.gesture.mouse[0],this.gesture.mouse[1]),[[0,0],[100,100]],this.zoom.translateExtent),this.firstPoint);},handleMouseUp=event=>{event.preventDefault(),this.hitBox.cursor="default",window.removeEventListener("mousemove",handleMouseMove),window.removeEventListener("mouseup",handleMouseUp),event.data?.identifier&&this.renderer.context.canvas.releasePointerCapture(event.data?.identifier),this.gesture.end(),this.isZooming=!1,this.lastEvent&&this.onPointerMove(this.lastEvent);};window.addEventListener("mousemove",handleMouseMove),window.addEventListener("mouseup",handleMouseUp);}},this.onPointerMove=event=>{if("ontouchstart"in self)return;this.crosshair.visible=!0,this.priceLabel.visible=!0,this.xLabel.visible=!0;for(let index=0;index<this.indicator.length;index++)index+1<this.data.cols.length&&(this.indicator[index].visible=!0);let x=event.data?.global.x,y=event.data?.global.y;if(x&&y&&this.data.rows.length>1){const resolution=this.renderer.resolution;x*=resolution;const width=this.renderer.view.width,height=this.renderer.view.height,index=bisectCenter(this.data.rows.map(d=>this.xScale(d[0])),x),nearestX=this.data.rows[index];this.crosshair.update(this.xScale(nearestX[0]),resolution*y,width,height,resolution);for(let i=0;i<this.indicator.length;i++)i+1<this.data.cols.length?this.indicator[i].update(this.xScale(nearestX[0]),this.priceScale(nearestX[i+1]),this.colors[`accent${i+1}`]):this.indicator[i].visible=!1;this.priceLabel.update(this.priceFormat(this.priceScale.invert(resolution*y)),width-7*resolution,resolution*y,{x:1,y:.5},resolution,{...this.colors,backgroundSurface:this.colors.emphasis100}),this.xLabel.update(isDate(nearestX[0])?format$1(nearestX[0],"dd/MM/yyyy HH:mm a"):this.xFormat(nearestX[0]),this.xScale(nearestX[0]),height-17*resolution/2,{x:.5,y:.5},resolution,{...this.colors,backgroundSurface:this.colors.emphasis100}),this.render(),this.isZooming?this.onPointerOut():this.emit("mousemove",{index:index,point:[this.xScale(nearestX[0])/resolution,y],value:nearestX[0],series:lodashExports.range(0,this.data.cols.length-1).map(i=>({color:hex2string(this.colors[`accent${i+1}`]),name:this.data.cols[i+1],value:this.priceFormat(nearestX[i+1])}))}),this.lastEvent=event;}},this.onZoomStartHorizontalAxis=transform=>{this.emit("zoomstart.horizontalAxis",transform);},this.onZoomHorizontalAxis=({transform:transform,point:point})=>{const k=transform.k/this.lastXZoomTransform.k;1===k?this.xZoom.scaleBy(Math.pow(2,-(transform.x-this.lastXZoomTransform.x)/(this.xScale.range()[1]-this.xScale.range()[0])),[Math.abs(this.xScale.range()[1]-this.xScale.range()[0])/2,0]):this.xZoom.scaleBy(k,[(this.xScale.range()[1]-this.xScale.range()[0])/2,0]),this.lastXZoomTransform=transform,this.emit("zoom.horizontalAxis",this.xZoom.__zoom,point);},this.onZoomVerticalAxis=({transform:transform,point:point})=>{const k=transform.k/this.lastPriceZoomTransform.k;1===k?this.priceZoom.scaleBy(Math.pow(2,-(transform.y-this.lastPriceZoomTransform.y)/1/(this.priceScale.range()[1]-this.priceScale.range()[0])),[0,Math.abs(this.priceScale.range()[1]-this.priceScale.range()[0])/2]):this.priceZoom.scaleBy(k,[0,(this.priceScale.range()[1]-this.priceScale.range()[0])/2]),this.lastPriceZoomTransform=transform,this.emit("zoom.verticalAxis",this.priceZoom.__zoom,point);},this.hideTooltips=()=>{this.crosshair.visible=!1,this.priceLabel.visible=!1,this.xLabel.visible=!1;for(let i=0;i<this.indicator.length;i++)this.indicator[i].visible=!1;},this.onPointerOut=()=>{this.hideTooltips(),this.emit("mouseout"),this.lastEvent=null,this.render();},this.renderer=new Renderer({view:options.view,resolution:options.resolution,width:options.width,height:options.height}),this.priceFormat=options.priceFormat,this.xFormat=options.xFormat,this.colors=options.colors,this.horizontalAxis=new HorizontalAxis(this.renderer),this.verticalAxis=new VerticalAxis(this.renderer),this.stage.addChild(this.horizontalAxis),this.stage.addChild(this.verticalAxis),this.stage.addChild(this.verticalAxisSeparator),this.stage.addChild(this.horizontalAxisSeparator),this.stage.addChild(this.crosshair),this.stage.addChild(...this.indicator),this.stage.addChild(this.priceLabel),this.stage.addChild(this.xLabel),this.stage.addChild(this.hitBox),this.hitBox.interactive=!0,this.hitBox.cursor="default",this.hitBox.hitArea=new Rectangle(0,0,300,300),this.hitBox.on("wheel",this.onWheel).on("pointerdown",this.onPointerDown).on("pointermove",this.onPointerMove).on("pointerout",this.onPointerOut),this.horizontalAxis.interactive=!0,this.horizontalAxis.cursor="ew-resize",this.horizontalAxis.hitArea=new Rectangle(options.width-72,0,72,options.height),this.horizontalAxis.on("zoomstart",this.onZoomStartHorizontalAxis).on("zoom",this.onZoomHorizontalAxis).on("dblclick",()=>this.emit("reset")),this.verticalAxis.interactive=!0,this.verticalAxis.cursor="ns-resize",this.verticalAxis.hitArea=new Rectangle(options.width-100,0,100,options.height),this.verticalAxis.on("zoom",this.onZoomVerticalAxis).on("dblclick",()=>this.emit("reset"));}render(){this.renderer.render(this.stage);}update(data,xScale,xFormat,priceScale,priceFormat,yAxisTickFormat){this.data=data,this.xScale=xScale,this.xFormat=xFormat,this.priceScale=priceScale,this.priceFormat=priceFormat;const width=this.renderer.view.width,height=this.renderer.view.height,resolution=this.renderer.resolution;this.hitBox.hitArea=new Rectangle(0,0,this.renderer.screen.width-72,this.renderer.screen.height-17),this.horizontalAxis.hitArea=new Rectangle(0,this.renderer.screen.height-17,this.renderer.screen.width-72,17),this.horizontalAxis.update(this.xScale,width,height,resolution,this.colors),this.verticalAxis.hitArea=new Rectangle(this.renderer.screen.width-72,0,72,this.renderer.screen.height-17),this.verticalAxis.update(priceScale,width,height-17*resolution,resolution,this.colors,yAxisTickFormat),this.verticalAxisSeparator.clear(),this.verticalAxisSeparator.lineStyle({width:1,color:this.colors.emphasis200}),this.verticalAxisSeparator.moveTo(resolution*this.renderer.screen.width-72*resolution,0),this.verticalAxisSeparator.lineTo(resolution*this.renderer.screen.width-72*resolution,resolution*this.renderer.screen.height),this.verticalAxisSeparator.endFill(),this.horizontalAxisSeparator.clear(),this.horizontalAxisSeparator.lineStyle({width:1,color:this.colors.emphasis200}),this.horizontalAxisSeparator.moveTo(0,resolution*this.renderer.screen.height-17*resolution),this.horizontalAxisSeparator.lineTo(resolution*this.renderer.screen.width,resolution*this.renderer.screen.height-17*resolution),this.horizontalAxisSeparator.endFill();}destroy(){this.stage.destroy(),this.renderer.destroy();}set interactive(interactive){this._interactive=interactive,this.horizontalAxis.interactive=interactive,this.verticalAxis.interactive=interactive;}};let Chart$1=class extends EventEmitter{constructor(options){super(),this.contents=void 0,this.ui=void 0,this.priceScale=linear(),this.priceZoom=new Zoom(),this.lastPriceZoomTransform=identity$1,this.xScale=null,this.xZoom=new Zoom(),this.lastXZoomTransform=identity$1,this._data={cols:[],rows:[]},this.priceFormat=void 0,this.yAxisTickFormat=void 0,this.xFormat=void 0,this._colors=void 0,this.onZoomStart=t=>{this.lastXZoomTransform=t,this.emit("zoomstart");},this.onZoomEnd=()=>{this.emit("zoomend");},this.onZoom=({transform:t})=>{const k=this.xZoom.__zoom.k,x=t.x-this.lastXZoomTransform.x;this.xZoom.translateBy(x/k,0),this.lastXZoomTransform=t,this.update(),this.render(),this.emit("zoom");},this.onMouseMove=d=>this.emit("mousemove",d),this.onMouseOut=()=>this.emit("mouseout"),this.onZoomStartHorizontalAxis=t=>{this.lastXZoomTransform=t;},this.onZoomHorizontalAxis=(t,point)=>{const k=t.k/this.lastXZoomTransform.k;this.xZoom.scaleBy(k,[point[0],0]),this.lastXZoomTransform=t,this.update(),this.render();},this.onZoomVerticalAxis=t=>{const k=t.k/this.lastPriceZoomTransform.k;this.priceZoom.scaleBy(k,[(this.height-17*this.ui.renderer.resolution)/2,0]),this.lastPriceZoomTransform=t,this.update(),this.render();},this.priceFormat=options.priceFormat,this.yAxisTickFormat=options.yAxisTickFormat,this.xFormat=options.xFormat,this._colors=options.colors,this.contents=new class{constructor(options){this.stage=new Container(),this.renderer=void 0,this.horizontalGrid=void 0,this.verticalgrid=void 0,this.series=void 0,this.colors=void 0,this.renderer=new Renderer({view:options.view,resolution:options.resolution,width:options.width,height:options.height}),this.colors=options.colors,this.horizontalGrid=new HorizontalGrid(this.colors.emphasis100),this.verticalgrid=new VerticalGrid(this.colors.emphasis100),this.series=range(0,5).map(()=>new LineCurve()),this.stage.addChild(this.horizontalGrid),this.stage.addChild(this.verticalgrid),this.stage.addChild(...this.series);}render(){this.renderer.render(this.stage);}update(priceScale,xScale,data,startPrice,height){const resolution=this.renderer.resolution;this.horizontalGrid.update(xScale,this.renderer.width,this.renderer.height-17*resolution,resolution),this.verticalgrid.update(priceScale,this.renderer.width-72*resolution,this.renderer.height,resolution);for(let i=0;i<this.series.length;i++)i+1<data.length?(this.series[i].visible=!0,this.series[i].update(data.map(d=>[d[0],d[i+1]]),height,resolution,void 0,this.colors[`accent${i+1}`],this.colors.backgroundSurface,!1,startPrice)):this.series[i].visible=!1;}}({view:options.chartView,resolution:options.resolution,width:options.width,height:options.height,colors:options.colors}),this.ui=new UI$1({view:options.axisView,resolution:options.resolution,width:options.width,height:options.height,colors:options.colors,priceFormat:this.priceFormat,xFormat:this.xFormat}),this.ui.on("zoomstart",this.onZoomStart).on("zoom",this.onZoom).on("zoomend",this.onZoomEnd).on("mousemove",this.onMouseMove).on("mouseout",this.onMouseOut).on("zoomstart.horizontalAxis",this.onZoomStartHorizontalAxis).on("zoom.horizontalAxis",this.onZoomHorizontalAxis).on("zoom.verticalAxis",this.onZoomVerticalAxis).on("reset",()=>this.reset());}render(){this.contents.render(),this.ui.render();}resize(width,height){this.contents.renderer.resize(width,height),this.ui.renderer.resize(width,height);}reset(){this.priceZoom.transform(identity$1),this.xZoom.transform(identity$1),this.lastPriceZoomTransform=identity$1,this.lastXZoomTransform=identity$1,this.update(),this.render();}destroy(){this.ui.destroy();}update(){const resolution=this.ui.renderer.resolution;this.priceScale.range([this.height-17*resolution,0]),this.xScale.range([0,this.width-72*resolution]);const xr=this.xZoom.__zoom.rescaleX(this.xScale);extent(this._data.rows.flatMap(d=>d.slice(1)));const yr=this.priceZoom.__zoom.rescaleX(this.priceScale);this.contents.colors=this._colors,this.contents.update(yr,xr,this._data.rows.map(d=>[xr(d[0]),...d.slice(1).map(series=>yr(series))]),yr(this._data.rows[0][1]),this.height),this.ui.colors=this._colors,this.ui.update(this._data,xr,this.xFormat,yr,this.priceFormat,this.yAxisTickFormat);}set colors(colors){this._colors=colors,this.update(),this.render();}get data(){return this._data;}set data(data){1===data.rows.length?this._data={cols:data.cols,rows:[data.rows[0],data.rows[0]]}:this._data=data;const resolution=this.ui.renderer.resolution;if(data.rows.length>0){const priceExtent=extent(data.rows.flatMap(d=>d.slice(1))),adjustment=Math.abs(priceExtent[1]-priceExtent[0])/10,xExtent=[data.rows[0][0],data.rows[data.rows.length-1][0]];xExtent[0]===xExtent[1]&&(xExtent[0]=addHours(xExtent[0],-1),xExtent[1]=addHours(xExtent[1],1)),this.priceScale=this.priceScale.domain([priceExtent[0]-adjustment,priceExtent[1]+adjustment]),this.xScale=function(array){return"number"!=typeof array[0][0];}(data.rows)?time():linear(),this.xScale.domain(xExtent),this.priceScale.range([0,this.height-17*resolution]),this.xScale.range([0,this.width-72*resolution]),this.xZoom.extent=[[0,0],[this.width-72*resolution,this.height]],this.xZoom.scaleExtent=[1,10],this.xZoom.translateExtent=[[this.xScale(data.rows[0][0]),-1/0],[this.xScale(data.rows[data.rows.length-1][0]),1/0]];}this.update(),this.render();}get height(){return this.contents.renderer.view.height;}get width(){return this.contents.renderer.view.width;}set interactive(interactive){this.ui.interactive=interactive;}};function getColors$1(element){const cssStyleDeclaration=element?getComputedStyle(element):null;return{backgroundSurface:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-background-surface-color").trim()||"#0a0a0a"),positiveFill:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-price-positive-fill").trim()||"#16452d"),positiveStroke:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-price-positive-stroke").trim()||"#26ff8a"),emphasis100:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-emphasis-100").trim()||"ff268a"),emphasis200:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-emphasis-200").trim()||"ff268a"),negativeFill:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-price-negative-fill").trim()||"#800700"),negativeStroke:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-price-negative-stroke").trim()||"#ff261a"),textPrimary:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-font-color-base").trim()||"#ffffff"),textSecondary:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-font-color-secondary").trim()||"#fafafa"),accent1:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-accent1").trim()||COLORS.VEGA_ORANGE),accent2:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-accent2").trim()||COLORS.VEGA_YELLOW),accent3:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-accent3").trim()||COLORS.VEGA_RED),accent4:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-accent4").trim()||COLORS.VEGA_YELLOW),accent5:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-accent5").trim()||COLORS.VEGA_ORANGE),accent6:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-accent6").trim()||COLORS.VEGA_RED)};}var styles$1_container="line-chart-module_container__0ayZx",styles$1_canvasContainer="line-chart-module_canvasContainer__M7fxl",styles$1_canvas="line-chart-module_canvas__oukR-",styles$1_tooltipContainer="line-chart-module_tooltipContainer__6yKeq";class Contents{constructor(options){this.stage=new Container(),this.renderer=void 0,this.horizontalGrid=void 0,this.verticalgrid=void 0,this.priceCurve=void 0,this.colors=void 0,this.renderer=new Renderer({view:options.view,resolution:options.resolution,width:options.width,height:options.height}),this.colors=options.colors,this.horizontalGrid=new HorizontalGrid(this.colors.emphasis100),this.verticalgrid=new VerticalGrid(this.colors.emphasis100),this.priceCurve=new Area(options.colors),this.stage.addChild(this.horizontalGrid),this.stage.addChild(this.verticalgrid),this.stage.addChild(this.priceCurve);}render(){this.renderer.render(this.stage);}update(priceScale,timeScale,data,startPrice,height){const resolution=this.renderer.resolution;this.horizontalGrid.update(timeScale,this.renderer.width,this.renderer.height-17*resolution,resolution),this.verticalgrid.update(priceScale,this.renderer.width-72*resolution,this.renderer.height,resolution),this.priceCurve.visible=!0,this.priceCurve.colors=this.colors,this.priceCurve.update(priceScale,timeScale,data.map(d=>[d[0],d[1]]),startPrice,height,resolution);}}class UI extends EventEmitter{constructor(options){super(),this.colors=void 0,this.renderer=void 0,this.scaleExtent=[0,1/0],this.stage=new Container(),this.zoom=new Zoom(),this._interactive=!0,this.data={cols:["col1","col2"],rows:[]},this.lastPriceZoomTransform=zoomIdentity,this.lastTimeZoomTransform=zoomIdentity,this.priceScale=linear(),this.priceZoom=new Zoom(),this.startPrice=0,this.timeScale=time(),this.timeZoom=new Zoom(),this.firstPoint=null,this.gesture=new Gesture$1(this),this.isZooming=!1,this.lastEvent=null,this.horizontalAxis=void 0,this.verticalAxis=void 0,this.startPriceLine=new Graphics(),this.verticalAxisSeparator=new Graphics(),this.horizontalAxisSeparator=new Graphics(),this.crosshair=new Crosshair(1,8947848,[3,3]),this.indicator=lodashExports.range(0,6).map(()=>new Indicator(16711680)),this.priceLabel=new Label(),this.timeLabel=new Label(),this.startPriceLabel=new Label(),this.hitBox=new Container(),this.priceFormat=void 0,this.onWheel=event=>{if(this._interactive){const tempEvent=event.data?.originalEvent,p=pointer(tempEvent,this.renderer.resolution);this.isZooming=!0,this.hideTooltips(),this.emit("mouseout"),this.gesture.wheel?window.clearTimeout(this.gesture.wheel):(this.gesture.mouse=[p,p],this.gesture.start(this.zoom.__zoom)),this.gesture.wheel=window.setTimeout(()=>{this.isZooming=!1,this.lastEvent&&this.onPointerMove(this.lastEvent),this.gesture.wheel=null,this.gesture.end();},150),this.zoom.wheeled(.002*-tempEvent.deltaY*(tempEvent.ctrlKey?10:1),this.gesture.mouse[0]??[0,0],[[0,0],[100,100]]);const transform=this.zoom.__zoom,k=transform.k/this.lastTimeZoomTransform.k;1===k?this.timeZoom.scaleBy(Math.pow(2,-(transform.x-this.lastTimeZoomTransform.x)/1/(this.timeScale.range()[1]-this.timeScale.range()[0])),[Math.abs(this.timeScale.range()[1]-this.timeScale.range()[0])/2,0]):this.timeZoom.scaleBy(k,[(this.timeScale.range()[1]-this.timeScale.range()[0])/2,0]),this.lastTimeZoomTransform=transform,this.emit("zoom.horizontalAxis",this.zoom.__zoom,p);}},this.onPointerDown=event=>{if(this._interactive){const resolution=this.renderer.resolution,p=pointer(event.data?.originalEvent,resolution);this.firstPoint=p??[0,0],event.data?.identifier&&this.renderer.context.canvas.setPointerCapture(event.data?.identifier),this.gesture.mouse=[p,this.zoom.__zoom.invert(p)],this.gesture.start(this.zoom.constrain(this.zoom.translate(this.zoom.__zoom,this.gesture.mouse[0],this.gesture.mouse[1]),[[0,0],[100,100]],this.zoom.translateExtent)),this.isZooming=!0,this.hideTooltips(),this.emit("mouseout"),this.hitBox.cursor="grabbing",this.render();const handleMouseMove=event=>{event.preventDefault(),this.gesture.mouse[0]=pointer(event,resolution),this.gesture.mouse[1]&&this.gesture.zoom(this.zoom.constrain(this.zoom.translate(this.zoom.__zoom,this.gesture.mouse[0],this.gesture.mouse[1]),[[0,0],[100,100]],this.zoom.translateExtent),this.firstPoint);},handleMouseUp=event=>{event.preventDefault(),this.hitBox.cursor="default",window.removeEventListener("mousemove",handleMouseMove),window.removeEventListener("mouseup",handleMouseUp),event.data?.identifier&&this.renderer.context.canvas.releasePointerCapture(event.data?.identifier),this.gesture.end(),this.isZooming=!1,this.lastEvent&&this.onPointerMove(this.lastEvent);};window.addEventListener("mousemove",handleMouseMove),window.addEventListener("mouseup",handleMouseUp);}},this.onPointerMove=event=>{if("ontouchstart"in self)return;this.crosshair.visible=!0,this.priceLabel.visible=!0,this.timeLabel.visible=!0;for(let index=0;index<this.indicator.length;index++)index+1<this.data.cols.length&&(this.indicator[index].visible=!0);let x=event.data?.global.x,y=event.data?.global.y;if(x&&y&&this.data.rows.length>1){const resolution=this.renderer.resolution;x*=resolution;const width=this.renderer.view.width,height=this.renderer.view.height,index=bisectCenter(this.data.rows.map(d=>this.timeScale(d[0])),x),nearestX=this.data.rows[index];this.crosshair.update(this.timeScale(nearestX[0]),resolution*y,width,height,resolution);for(let i=0;i<this.indicator.length;i++)i+1<this.data.cols.length?this.indicator[i].update(this.timeScale(nearestX[0]),this.priceScale(nearestX[i+1]),2===this.data.cols.length?nearestX[i+1]>this.startPrice?this.colors.positiveStroke:this.colors.negativeStroke:this.colors[`accent${i+1}`]):this.indicator[i].visible=!1;if(this.priceLabel.update(this.priceFormat(this.priceScale.invert(resolution*y)),width-7*resolution,resolution*y,{x:1,y:.5},resolution,{...this.colors,backgroundSurface:this.colors.emphasis100}),this.timeLabel.update(format$1(nearestX[0],"dd/MM/yyyy HH:mm a"),this.timeScale(nearestX[0]),height-17*resolution/2,{x:.5,y:.5},resolution,{...this.colors,backgroundSurface:this.colors.emphasis100}),this.render(),this.isZooming)this.onPointerOut();else{const arg={index:index,point:[this.timeScale(nearestX[0])/resolution,y],value:nearestX[0],series:lodashExports.range(0,this.data.cols.length-1).map(i=>({color:2===this.data.cols.length?nearestX[i+1]>this.startPrice?hex2string(this.colors.positiveStroke):hex2string(this.colors.negativeStroke):hex2string(this.colors[`accent${i+1}`]),name:this.data.cols[i+1],value:this.priceFormat(nearestX[i+1])}))};this.emit("mousemove",arg);}this.lastEvent=event;}},this.onZoomStartHorizontalAxis=transform=>{this.emit("zoomstart.horizontalAxis",transform);},this.onZoomHorizontalAxis=({transform:transform,point:point})=>{const k=transform.k/this.lastTimeZoomTransform.k;1===k?this.timeZoom.scaleBy(Math.pow(2,-(transform.x-this.lastTimeZoomTransform.x)/(this.timeScale.range()[1]-this.timeScale.range()[0])),[Math.abs(this.timeScale.range()[1]-this.timeScale.range()[0])/2,0]):this.timeZoom.scaleBy(k,[(this.timeScale.range()[1]-this.timeScale.range()[0])/2,0]),this.lastTimeZoomTransform=transform,this.emit("zoom.horizontalAxis",this.timeZoom.__zoom,point);},this.onZoomVerticalAxis=({transform:transform,point:point})=>{const k=transform.k/this.lastPriceZoomTransform.k;1===k?this.priceZoom.scaleBy(Math.pow(2,-(transform.y-this.lastPriceZoomTransform.y)/1/(this.priceScale.range()[1]-this.priceScale.range()[0])),[0,Math.abs(this.priceScale.range()[1]-this.priceScale.range()[0])/2]):this.priceZoom.scaleBy(k,[0,(this.priceScale.range()[1]-this.priceScale.range()[0])/2]),this.lastPriceZoomTransform=transform,this.emit("zoom.verticalAxis",this.priceZoom.__zoom,point);},this.hideTooltips=()=>{this.crosshair.visible=!1,this.priceLabel.visible=!1,this.timeLabel.visible=!1;for(let i=0;i<this.indicator.length;i++)this.indicator[i].visible=!1;},this.onPointerOut=()=>{this.hideTooltips(),this.emit("mouseout"),this.lastEvent=null,this.render();},this.renderer=new Renderer({view:options.view,resolution:options.resolution,width:options.width,height:options.height}),this.priceFormat=options.priceFormat,this.colors=options.colors,this.horizontalAxis=new HorizontalAxis(this.renderer),this.verticalAxis=new VerticalAxis(this.renderer),this.stage.addChild(this.horizontalAxis),this.stage.addChild(this.verticalAxis),this.stage.addChild(this.startPriceLine),this.stage.addChild(this.verticalAxisSeparator),this.stage.addChild(this.horizontalAxisSeparator),this.stage.addChild(this.crosshair),this.stage.addChild(...this.indicator),this.stage.addChild(this.startPriceLabel),this.stage.addChild(this.priceLabel),this.stage.addChild(this.timeLabel),this.stage.addChild(this.hitBox),this.hitBox.interactive=!0,this.hitBox.cursor="default",this.hitBox.hitArea=new Rectangle(0,0,300,300),this.hitBox.on("wheel",this.onWheel).on("pointerdown",this.onPointerDown).on("pointermove",this.onPointerMove).on("pointerout",this.onPointerOut),this.horizontalAxis.interactive=!0,this.horizontalAxis.cursor="ew-resize",this.horizontalAxis.hitArea=new Rectangle(options.width-72,0,72,options.height),this.horizontalAxis.on("zoomstart",this.onZoomStartHorizontalAxis).on("zoom",this.onZoomHorizontalAxis).on("dblclick",()=>this.emit("reset")),this.verticalAxis.interactive=!0,this.verticalAxis.cursor="ns-resize",this.verticalAxis.hitArea=new Rectangle(options.width-100,0,100,options.height),this.verticalAxis.on("zoom",this.onZoomVerticalAxis).on("dblclick",()=>this.emit("reset"));}render(){this.renderer.render(this.stage);}update(data,timeScale,priceScale,startPrice,priceFormat){this.data=data,this.timeScale=timeScale,this.priceScale=priceScale,this.startPrice=startPrice,this.priceFormat=priceFormat;const width=this.renderer.view.width,height=this.renderer.view.height,resolution=this.renderer.resolution;this.hitBox.hitArea=new Rectangle(0,0,this.renderer.screen.width-72,this.renderer.screen.height-17),this.horizontalAxis.hitArea=new Rectangle(0,this.renderer.screen.height-17,this.renderer.screen.width-72,17),this.horizontalAxis.update(this.timeScale,width,height,resolution,this.colors),this.verticalAxis.hitArea=new Rectangle(this.renderer.screen.width-72,0,72,this.renderer.screen.height-17),this.verticalAxis.update(priceScale,width,height-17*resolution,resolution,this.colors),this.startPriceLine.clear(),this.startPriceLine.lineStyle({width:2,color:this.colors.textPrimary,lineDash:[6,3]}),this.startPriceLine.moveTo(0,priceScale(startPrice)),this.startPriceLine.lineTo(resolution*this.renderer.screen.width,priceScale(startPrice)),this.startPriceLine.endFill(),this.data.cols.length>2?(this.startPriceLine.visible=!1,this.startPriceLabel.visible=!1):(this.startPriceLine.visible=!0,this.startPriceLabel.visible=!0);const numTicks=height/resolution/50;this.priceScale.tickFormat(numTicks),this.startPriceLabel.update(priceFormat(startPrice),resolution*this.renderer.screen.width-7*resolution,priceScale(startPrice),{x:1,y:.5},resolution,{backgroundSurface:this.colors.emphasis200,textPrimary:this.colors.textPrimary}),this.verticalAxisSeparator.clear(),this.verticalAxisSeparator.lineStyle({width:1,color:this.colors.emphasis200}),this.verticalAxisSeparator.moveTo(resolution*this.renderer.screen.width-72*resolution,0),this.verticalAxisSeparator.lineTo(resolution*this.renderer.screen.width-72*resolution,resolution*this.renderer.screen.height),this.verticalAxisSeparator.endFill(),this.horizontalAxisSeparator.clear(),this.horizontalAxisSeparator.lineStyle({width:1,color:this.colors.emphasis200}),this.horizontalAxisSeparator.moveTo(0,resolution*this.renderer.screen.height-17*resolution),this.horizontalAxisSeparator.lineTo(resolution*this.renderer.screen.width,resolution*this.renderer.screen.height-17*resolution),this.horizontalAxisSeparator.endFill();}destroy(){this.stage.destroy(),this.renderer.destroy();}set interactive(interactive){this._interactive=interactive,this.horizontalAxis.interactive=interactive,this.verticalAxis.interactive=interactive;}}class Chart extends EventEmitter{constructor(options){super(),this.contents=void 0,this.ui=void 0,this.priceScale=linear(),this.priceZoom=new Zoom(),this.lastPriceZoomTransform=identity$1,this.timeScale=time(),this.timeZoom=new Zoom(),this.lastTimeZoomTransform=identity$1,this._data={cols:["col1","col2"],rows:[]},this.priceFormat=void 0,this._colors=void 0,this.onZoomStart=t=>{this.lastTimeZoomTransform=t,this.emit("zoomstart");},this.onZoomEnd=()=>{this.emit("zoomend");},this.onZoom=({transform:t})=>{const k=this.timeZoom.__zoom.k,x=t.x-this.lastTimeZoomTransform.x;this.timeZoom.translateBy(x/k,0),this.lastTimeZoomTransform=t,this.update(),this.render(),this.emit("zoom");},this.onMouseMove=d=>this.emit("mousemove",d),this.onMouseOut=()=>this.emit("mouseout"),this.onZoomStartHorizontalAxis=t=>{this.lastTimeZoomTransform=t;},this.onZoomHorizontalAxis=(t,point)=>{const k=t.k/this.lastTimeZoomTransform.k;this.timeZoom.scaleBy(k,[point[0],0]),this.lastTimeZoomTransform=t,this.update(),this.render();},this.onZoomVerticalAxis=t=>{const k=t.k/this.lastPriceZoomTransform.k;this.priceZoom.scaleBy(k,[(this.height-17*this.ui.renderer.resolution)/2,0]),this.lastPriceZoomTransform=t,this.update(),this.render();},this.priceFormat=options.priceFormat,this._colors=options.colors,this.contents=new Contents({view:options.chartView,resolution:options.resolution,width:options.width,height:options.height,colors:options.colors}),this.ui=new UI({view:options.axisView,resolution:options.resolution,width:options.width,height:options.height,colors:options.colors,priceFormat:this.priceFormat}),this.ui.on("zoomstart",this.onZoomStart).on("zoom",this.onZoom).on("zoomend",this.onZoomEnd).on("mousemove",this.onMouseMove).on("mouseout",this.onMouseOut).on("zoomstart.horizontalAxis",this.onZoomStartHorizontalAxis).on("zoom.horizontalAxis",this.onZoomHorizontalAxis).on("zoom.verticalAxis",this.onZoomVerticalAxis).on("reset",()=>this.reset());}render(){this.contents.render(),this.ui.render();}resize(width,height){this.contents.renderer.resize(width,height),this.ui.renderer.resize(width,height);}reset(){this.priceZoom.transform(identity$1),this.timeZoom.transform(identity$1),this.lastPriceZoomTransform=identity$1,this.lastTimeZoomTransform=identity$1,this.update(),this.render();}destroy(){this.ui.destroy();}update(){const resolution=this.ui.renderer.resolution;this.priceScale.range([this.height-17*resolution,0]),this.timeScale.range([0,this.width-72*resolution]);const xr=this.timeZoom.__zoom.rescaleX(this.timeScale);extent(this._data.rows.flatMap(d=>d.slice(1)));const yr=this.priceZoom.__zoom.rescaleX(this.priceScale);this.contents.colors=this._colors,this.contents.update(yr,xr,this._data.rows.map(d=>[xr(d[0]),yr(d[1])]),yr(this._data.rows[0][1]),this.height),this.ui.colors=this._colors,this.ui.update(this._data,xr,yr,this._data.rows[0][1],this.priceFormat);}set colors(colors){this._colors=colors,this.update(),this.render();}get data(){return this._data;}set data(data){1===data.rows.length?this._data={cols:data.cols,rows:[data.rows[0],data.rows[0]]}:this._data=data;const resolution=this.ui.renderer.resolution;if(data.rows.length>0){const priceExtent=extent(data.rows.flatMap(d=>d.slice(1))),adjustment=Math.abs(priceExtent[1]-priceExtent[0])/10,timeExtent=[data.rows[0][0],data.rows[data.rows.length-1][0]];timeExtent[0]===timeExtent[1]&&(timeExtent[0]=addHours(timeExtent[0],-1),timeExtent[1]=addHours(timeExtent[1],1)),this.priceScale=this.priceScale.domain([priceExtent[0]-adjustment,priceExtent[1]+adjustment]),this.timeScale=this.timeScale.domain(timeExtent),this.priceScale.range([0,this.height-17*resolution]),this.timeScale.range([0,this.width-72*resolution]),this.timeZoom.extent=[[0,0],[this.width-72*resolution,this.height]],this.timeZoom.scaleExtent=[1,10],this.timeZoom.translateExtent=[[this.timeScale(data.rows[0][0]),-1/0],[this.timeScale(data.rows[data.rows.length-1][0]),1/0]];}this.update(),this.render();}get height(){return this.contents.renderer.view.height;}get width(){return this.contents.renderer.view.width;}set interactive(interactive){this.ui.interactive=interactive;}}function getColors(element){const cssStyleDeclaration=element?getComputedStyle(element):null;return{backgroundSurface:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-background-surface-color").trim()||"#0a0a0a"),positiveFill:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-price-positive-fill").trim()||"#16452d"),positiveStroke:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-price-positive-stroke").trim()||"#26ff8a"),emphasis100:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-emphasis-100").trim()||"ff268a"),emphasis200:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-emphasis-200").trim()||"ff268a"),negativeFill:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-price-negative-fill").trim()||"#800700"),negativeStroke:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-color-price-negative-stroke").trim()||"#ff261a"),textPrimary:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-font-color-base").trim()||"#ffffff"),textSecondary:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-font-color-secondary").trim()||"#fafafa"),accent1:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-accent1").trim()||COLORS.VEGA_ORANGE),accent2:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-accent2").trim()||COLORS.VEGA_YELLOW),accent3:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-accent3").trim()||COLORS.VEGA_RED),accent4:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-accent4").trim()||COLORS.VEGA_YELLOW),accent5:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-accent5").trim()||COLORS.VEGA_ORANGE),accent6:string2hex(cssStyleDeclaration?.getPropertyValue("--pennant-accent6").trim()||COLORS.VEGA_RED)};}var styles_container="price-chart-module_container__lRKvJ",styles_canvasContainer="price-chart-module_canvasContainer__wMdge",styles_canvas="price-chart-module_canvas__gkqM-",styles_tooltipContainer="price-chart-module_tooltipContainer__r-FzK";exports.AreaChart=({data:data,annotations:annotations,interactive=!0,notEnoughDataText="Not enough data",priceFormat=defaultPriceFormat,theme="dark",tooltip:tooltip,xFormat=defaultNumberFormat})=>{const contentsRef=React.useRef(null),uiRef=React.useRef(null),chartRef=React.useRef(null),styleRef=React.useRef(null),tooltipRef=React.useRef(null),[tooltipContent,setTooltipContent]=React.useState(null),{ref:resizeOberverRef,width=300,height=300,devicePixelContentBoxSizeInlineSize:devicePixelContentBoxSizeInlineSize,devicePixelContentBoxSizeBlockSize:devicePixelContentBoxSizeBlockSize}=useThrottledResizeObserver(50);return React.useEffect(()=>{const colors=getColors$2(styleRef?.current);return chartRef.current=new Chart$2({chartView:contentsRef.current,axisView:uiRef.current,resolution:window.devicePixelRatio,width:300,height:300,priceFormat:priceFormat,xFormat:xFormat,colors:colors}),chartRef.current.on("mousemove",d=>{const point=d.point,rect=styleRef.current.getBoundingClientRect();computePosition({getBoundingClientRect:()=>({width:0,height:0,x:point[0]+rect.x,y:point[1]+rect.y,top:point[1]+rect.y,left:point[0]+rect.x,right:point[0]+rect.x,bottom:point[1]+rect.y})},tooltipRef.current,{placement:"right",middleware:[offset(16),flip(),shift()]}).then(({x:x,y:y})=>{Object.assign(tooltipRef.current.style,{left:0,top:0,transform:`translate(${Math.round(x)}px,${Math.round(y)}px)`,visibility:"visible"}),setTooltipContent({value:d.value,label:{primary:isDate(d.value)?format$1(d.value,"dd/MM/yyyy"):data.cols[0],sub:isDate(d.value)?format$1(d.value,"HH:mm a"):xFormat(d.value)},series:d.series,annotations:annotations?.[d.index]});});}).on("mouseout",()=>{Object.assign(tooltipRef.current.style,{visibility:"hidden"}),setTooltipContent(null);}),()=>{chartRef.current.destroy();};},[annotations,data.cols,priceFormat,xFormat]),React.useEffect(()=>{chartRef.current.resize(devicePixelContentBoxSizeInlineSize?devicePixelContentBoxSizeInlineSize/window.devicePixelRatio:width,devicePixelContentBoxSizeBlockSize?devicePixelContentBoxSizeBlockSize/window.devicePixelRatio:height),chartRef.current.data=data,chartRef.current.render();},[height,width,data,devicePixelContentBoxSizeInlineSize,devicePixelContentBoxSizeBlockSize]),React.useEffect(()=>{requestAnimationFrame(()=>chartRef.current.colors=getColors$2(styleRef?.current));},[theme]),React.useEffect(()=>{chartRef.current.reset();},[data]),React.useEffect(()=>{chartRef.current.interactive=interactive;},[interactive]),data.rows.length<2?jsxRuntimeExports.jsx("div",{ref:styleRef,className:styles$3_container,"data-theme":theme,children:jsxRuntimeExports.jsx(NonIdealState,{delay:0,title:notEnoughDataText})}):jsxRuntimeExports.jsxs("div",{ref:styleRef,className:styles$3_container,"data-theme":theme,children:[jsxRuntimeExports.jsxs("div",{ref:resizeOberverRef,className:styles$3_canvasContainer,children:[jsxRuntimeExports.jsx("canvas",{ref:contentsRef,className:styles$3_canvas}),jsxRuntimeExports.jsx("canvas",{ref:uiRef,className:styles$3_canvas})]}),jsxRuntimeExports.jsx("div",{ref:tooltipRef,className:styles$3_tooltipContainer,children:tooltipContent&&(tooltip?tooltip(tooltipContent):jsxRuntimeExports.jsx(Tooltip,{...tooltipContent}))})]});},exports.CandlestickChart=CandlestickChart,exports.ChartType=ChartType,exports.DepthChart=DepthChart,exports.Intent={NONE:"none",PRIMARY:"primary",SUCCESS:"success",WARNING:"warning",DANGER:"danger"},exports.Interval=Interval,exports.LineChart=({data:data,annotations:annotations,interactive=!0,notEnoughDataText="Not enough data",priceFormat=defaultPriceFormat,theme="dark",tooltip:tooltip,xFormat=defaultNumberFormat,yAxisTickFormat:yAxisTickFormat})=>{const contentsRef=React.useRef(null),uiRef=React.useRef(null),chartRef=React.useRef(null),styleRef=React.useRef(null),tooltipRef=React.useRef(null),[tooltipContent,setTooltipContent]=React.useState(null),{ref:resizeOberverRef,width=300,height=300,devicePixelContentBoxSizeInlineSize:devicePixelContentBoxSizeInlineSize,devicePixelContentBoxSizeBlockSize:devicePixelContentBoxSizeBlockSize}=useThrottledResizeObserver(50);return React.useEffect(()=>{const colors=getColors$1(styleRef?.current);return chartRef.current=new Chart$1({chartView:contentsRef.current,axisView:uiRef.current,resolution:window.devicePixelRatio,width:300,height:300,priceFormat:priceFormat,yAxisTickFormat:yAxisTickFormat,xFormat:xFormat,colors:colors}),chartRef.current.on("mousemove",d=>{const point=d.point,rect=styleRef.current.getBoundingClientRect();computePosition({getBoundingClientRect:()=>({width:0,height:0,x:point[0]+rect.x,y:point[1]+rect.y,top:point[1]+rect.y,left:point[0]+rect.x,right:point[0]+rect.x,bottom:point[1]+rect.y})},tooltipRef.current,{placement:"right",middleware:[offset(16),flip(),shift()]}).then(({x:x,y:y})=>{Object.assign(tooltipRef.current.style,{left:0,top:0,transform:`translate(${Math.round(x)}px,${Math.round(y)}px)`,visibility:"visible"}),setTooltipContent({value:d.value,label:{primary:isDate(d.value)?format$1(d.value,"dd/MM/yyyy"):data.cols[0],sub:isDate(d.value)?format$1(d.value,"HH:mm a"):xFormat(d.value)},series:d.series,annotations:annotations?.[d.index]});});}).on("mouseout",()=>{Object.assign(tooltipRef.current.style,{visibility:"hidden"}),setTooltipContent(null);}),()=>{chartRef.current.destroy();};},[annotations,data.cols,priceFormat,xFormat,yAxisTickFormat]),React.useEffect(()=>{chartRef.current.resize(devicePixelContentBoxSizeInlineSize?devicePixelContentBoxSizeInlineSize/window.devicePixelRatio:width,devicePixelContentBoxSizeBlockSize?devicePixelContentBoxSizeBlockSize/window.devicePixelRatio:height),chartRef.current.data=data,chartRef.current.render();},[height,width,data,devicePixelContentBoxSizeInlineSize,devicePixelContentBoxSizeBlockSize]),React.useEffect(()=>{requestAnimationFrame(()=>chartRef.current.colors=getColors$1(styleRef?.current));},[theme]),React.useEffect(()=>{chartRef.current.reset();},[data]),React.useEffect(()=>{chartRef.current.interactive=interactive;},[interactive]),data.rows.length<2?jsxRuntimeExports.jsx("div",{ref:styleRef,className:styles$1_container,"data-theme":theme,children:jsxRuntimeExports.jsx(NonIdealState,{delay:0,title:notEnoughDataText})}):jsxRuntimeExports.jsxs("div",{ref:styleRef,className:styles$1_container,"data-theme":theme,children:[jsxRuntimeExports.jsxs("div",{ref:resizeOberverRef,className:styles$1_canvasContainer,children:[jsxRuntimeExports.jsx("canvas",{ref:contentsRef,className:styles$1_canvas}),jsxRuntimeExports.jsx("canvas",{ref:uiRef,className:styles$1_canvas})]}),jsxRuntimeExports.jsx("div",{ref:tooltipRef,className:styles$1_tooltipContainer,children:tooltipContent&&(tooltip?tooltip(tooltipContent):jsxRuntimeExports.jsx(Tooltip,{...tooltipContent}))})]});},exports.Overlay={BOLLINGER:"bollinger",ENVELOPE:"envelope",EXPONENTIAL_MOVING_AVERAGE:"exponentialMovingAverage",MOVING_AVERAGE:"movingAverage",PRICE_MONITORING_BOUNDS:"priceMonitoringBounds"},exports.PriceChart=({data:data,annotations:annotations,interactive=!0,notEnoughDataText="Not enough data",priceFormat=defaultPriceFormat,theme="dark",tooltip:tooltip})=>{const contentsRef=React.useRef(null),uiRef=React.useRef(null),chartRef=React.useRef(null),styleRef=React.useRef(null),tooltipRef=React.useRef(null),[tooltipContent,setTooltipContent]=React.useState(null),{ref:resizeOberverRef,width=300,height=300,devicePixelContentBoxSizeInlineSize:devicePixelContentBoxSizeInlineSize,devicePixelContentBoxSizeBlockSize:devicePixelContentBoxSizeBlockSize}=useThrottledResizeObserver(50);return React.useEffect(()=>{const colors=getColors(styleRef?.current);return chartRef.current=new Chart({chartView:contentsRef.current,axisView:uiRef.current,resolution:window.devicePixelRatio,width:300,height:300,priceFormat:priceFormat,colors:colors}),chartRef.current.on("mousemove",d=>{const point=d.point,rect=styleRef.current.getBoundingClientRect();computePosition({getBoundingClientRect:()=>({width:0,height:0,x:point[0]+rect.x,y:point[1]+rect.y,top:point[1]+rect.y,left:point[0]+rect.x,right:point[0]+rect.x,bottom:point[1]+rect.y})},tooltipRef.current,{placement:"right",middleware:[offset(16),flip(),shift()]}).then(({x:x,y:y})=>{Object.assign(tooltipRef.current.style,{left:0,top:0,transform:`translate(${Math.round(x)}px,${Math.round(y)}px)`,visibility:"visible"}),setTooltipContent({value:d.value,label:{primary:isDate(d.value)?format$1(d.value,"dd/MM/yyyy"):data.cols[0],sub:isDate(d.value)?format$1(d.value,"HH:mm a"):String(d.value)},series:d.series,annotations:annotations?.[d.index]});});}).on("mouseout",()=>{Object.assign(tooltipRef.current.style,{visibility:"hidden"}),setTooltipContent(null);}),()=>{chartRef.current.destroy();};},[annotations,data.cols,priceFormat]),React.useEffect(()=>{chartRef.current.resize(devicePixelContentBoxSizeInlineSize?devicePixelContentBoxSizeInlineSize/window.devicePixelRatio:width,devicePixelContentBoxSizeBlockSize?devicePixelContentBoxSizeBlockSize/window.devicePixelRatio:height),chartRef.current.data=data,chartRef.current.render();},[height,width,data,devicePixelContentBoxSizeInlineSize,devicePixelContentBoxSizeBlockSize]),React.useEffect(()=>{requestAnimationFrame(()=>chartRef.current.colors=getColors(styleRef?.current));},[theme]),React.useEffect(()=>{chartRef.current.reset();},[data]),React.useEffect(()=>{chartRef.current.interactive=interactive;},[interactive]),data.rows.length<2?jsxRuntimeExports.jsx("div",{ref:styleRef,className:styles_container,"data-theme":theme,children:jsxRuntimeExports.jsx(NonIdealState,{delay:0,title:notEnoughDataText})}):jsxRuntimeExports.jsxs("div",{ref:styleRef,className:styles_container,"data-theme":theme,children:[jsxRuntimeExports.jsxs("div",{ref:resizeOberverRef,className:styles_canvasContainer,children:[jsxRuntimeExports.jsx("canvas",{ref:contentsRef,className:styles_canvas}),jsxRuntimeExports.jsx("canvas",{ref:uiRef,className:styles_canvas})]}),jsxRuntimeExports.jsx("div",{ref:tooltipRef,className:styles_tooltipContainer,children:tooltipContent&&(tooltip?tooltip(tooltipContent):jsxRuntimeExports.jsx(Tooltip,{...tooltipContent}))})]});},exports.Study={ELDAR_RAY:"eldarRay",FORCE_INDEX:"forceIndex",MACD:"macd",RELATIVE_STRENGTH_INDEX:"relativeStrengthIndex",VOLUME:"volume"},exports.chartTypeLabels={area:"Mountain",candle:"Candlestick",line:"Line",ohlc:"OHLC"},exports.intervalLabels={I1M:"1m",I5M:"5m",I15M:"15m",I30M:"30m",I1H:"1h",I4H:"4h",I6H:"6h",I8H:"8h",I12H:"12h",I1D:"D",I7D:"W"},exports.overlayLabels={bollinger:"Bollinger bands",envelope:"Envelope",exponentialMovingAverage:"EMA",movingAverage:"Moving average",priceMonitoringBounds:"Price monitoring bounds"},exports.studyLabels={eldarRay:"Eldar-ray",forceIndex:"Force index",macd:"MACD",relativeStrengthIndex:"RSI",volume:"Volume"};
